#!/bin/sh
#############################################################################
#
# Licensed Materials - Property of IBM
#
# 5648-B90
# (C) COPYRIGHT International Business Machines Corp. 1998, 1999
#
# 5648-B91
# (C) COPYRIGHT International Business Machines Corp. 1998, 1999
#
# 5648-B95
# (C) COPYRIGHT International Business Machines Corp. 1998, 1999
#
# 5648-B97
# (C) COPYRIGHT International Business Machines Corp. 1998, 1999
#
# 5648-B99
# (C) COPYRIGHT International Business Machines Corp. 1998, 1999
#
# 5648-B96
# (C) COPYRIGHT International Business Machines Corp. 1998, 1999
#
# 5648-B98
# (C) COPYRIGHT International Business Machines Corp. 1998, 1999
#
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#############################################################################
#
# NAME: rc.db2
#
# FUNCTION: rc.db2 - auto start all DB2 services on boot
#
# USAGE: rc.db2
#
# NOTE: To avoid your system from failing on reboot, do not change this
#       file in any way.
#
#       This script is designed to be executed on reboot. Do the following
#       to enable auto-starting all DB2 Instances and Administration Server:
#
#       1) copy this file as /etc/rc.db2
#       2) add the following line to /etc/inittab:
#
#          db:234:once:/etc/rc.db2 > /dev/console 2>&1 # Start DB2 services
#
#############################################################################

# Default DB2 product directory
DB2DIR="/usr/IBMdb2/V7.1"

if [ -x ${DB2DIR?}/instance/db2istrt ]; then
    ${DB2DIR?}/instance/db2istrt 
fi

if [ -x /usr/IBMdb2/V5.0/instance/db2istrt ]; then
    /usr/IBMdb2/V5.0/instance/db2istrt
fi

if [ -x /usr/IBMdb2/V6.1/instance/db2istrt ]; then
    /usr/IBMdb2/V6.1/instance/db2istrt
fi

#-----------------------------------------------------------------------
# Exit successfully.
#-----------------------------------------------------------------------
exit 0
