      ******************************************************************
      *
      *  Source File Name = SQLMONCT.CBL
      *
      *  (C) Copyright IBM Corp. 1993,1997
      *  All Rights Reserved
      *  Licensed Material - Program Property of IBM
      *
      *  US Government Users Restricted Rights - Use, duplication or
      *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
      *
      *  Function = Copy File defining:
      *               DB Monitor Constants
      *               DB Monitor External APIs
      *               DB Monitor Error Messages
      *               DB Monitor Local Structures
      *
      ******************************************************************

      ******************************************************************
      * Database Monitor Version Constants
      ******************************************************************

       77 SQLM-DBMON-VERSION1        PIC S9(4) COMP-5 VALUE 1.
       77 SQLM-DBMON-VERSION2        PIC S9(4) COMP-5 VALUE 2.
       77 SQLM-DBMON-VERSION5        PIC S9(4) COMP-5 VALUE 3.
       77 SQLM-DBMON-VERSION5-2      PIC S9(4) COMP-5 VALUE 4.
       77 SQLM-DBMON-VERSION6        PIC S9(4) COMP-5 VALUE 5.
       77 SQLM-CURRENT-VERSION       PIC S9(4) COMP-5 VALUE 5.


      ******************************************************************
      * Snapshot Monitor Collected Information types
      * Structure identifier in Snapshot buffer (info_type element)
      ******************************************************************

       77 SQLM-DB2-SS                PIC X(1) VALUE "1".
      *DB2 information

       77 SQLM-DBASE-SS              PIC X(1) VALUE "2".
      *Database information

       77 SQLM-APPL-SS               PIC X(1) VALUE "3".
      *Application information

       77 SQLM-APPLINFO-SS           PIC X(1) VALUE "4".
      *Summary Application information

       77 SQLM-TABLE-HEADER-SS       PIC X(1) VALUE "5".
      *Table information

       77 SQLM-TABLE-SS              PIC X(1) VALUE "6".
      *Table information

       77 SQLM-DBASE-LOCK-SS         PIC X(1) VALUE "7".
      *Lock information

       77 SQLM-APPL-LOCK-SS          PIC X(1) VALUE "8".
      *Lock information

       77 SQLM-LOCK-SS               PIC X(1) VALUE "9".
      *Lock information

       77 SQLM-DCS-APPLINFO-SS       PIC X(1) VALUE "A".
      *Lock information

       77 SQLM-TABLESPACE-HEADER-SS  PIC X(1) VALUE "B".
      *Tablespace Header information

       77 SQLM-TABLESPACE-SS         PIC X(1) VALUE "C".
      *Tablespace information

       77 SQLM-FCM-SS                PIC X(1) VALUE "E".
      *DB2 FCM info (sqlm_fcm)

       77 SQLM-NODE-SS               PIC X(1) VALUE "G".
      *DB2 FCM Node info (sqlm_fcm_node)

       77 SQLM-DBASE-ROLLFWD-SS      PIC X(1) VALUE "H".
      *Rollfwd info  (sqlm_rollfwd_info)

       77 SQLM-DBASE-ROLLFWD-TS-SS   PIC X(1) VALUE "I".
      *Rollfwd tablespace information
      *  (sqlm_rollfwd_ts_info)

       77 SQLM-BUFFERPOOL-SS         PIC X(1) VALUE "J".
      *Bufferpool info (sqlm_bufferpool)

       77 SQLM-LOCK-WAIT-SS          PIC X(1) VALUE "K".
      *Lock wait info (sqlm_lock_wait)

       77 SQLM-STMT-SS               PIC X(1) VALUE "L".
      *Statement info (sqlm_stmt)

       77 SQLM-SUBSECTION-SS         PIC X(1) VALUE "M".
      *Subsection info (sqlm_subsection)

       77 SQLM-AGENT-SS              PIC X(1) VALUE "N".
      *Agent info (sqlm_agent)
       
       77 SQLM-DCS-APPL-SS           PIC X(1) VALUE "O".
      *DCS Application Snapshot

       77 SQLM-DCS-APPLID-SS         PIC X(1) VALUE "P".
      *DCS Application Id                                     
      
       77 SQLM-DCS-APPL-STATS-SS     PIC X(1) VALUE "Q".
      *DCS Appl Transaction Id
      
       77 SQLM-DCS-APPL-XID-SS       PIC X(1) VALUE "R".
      *DCS Appl Transaction Id                            
      
       77 SQLM-DCS-TPMON-INFO-SS     PIC X(1) VALUE "S".
      *TPMon Info
                                     
       77 SQLM-DCS-STMT-SS           PIC X(1) VALUE "T".
      *DCS Statement                                    

       77 SQLM-DCS-DBASE-SS          PIC X(1) VALUE "U".
      *DCS DBase Snapshot                                 
      

       77 SQLM-COLLECTED-SS          PIC X(1) VALUE "V".
      *Collected Snapshot                                     


      ******************************************************************
      * level of data to collect
      ******************************************************************

       77 SQLMA-DB2                  PIC S9(4) COMP-5 VALUE 1.
      *DB2 related information

       77 SQLMA-DBASE                PIC S9(4) COMP-5 VALUE 2.
      *Database related information

       77 SQLMA-APPL                 PIC S9(4) COMP-5 VALUE 3.
      *Application information - by application id

       77 SQLMA-AGENT-ID             PIC S9(4) COMP-5 VALUE 4.
      *Application information - by agent id

       77 SQLMA-DBASE-TABLES         PIC S9(4) COMP-5 VALUE 5.
      *Table related information for a database

       77 SQLMA-DBASE-APPLS          PIC S9(4) COMP-5 VALUE 6.
      *Application related information for a database

       77 SQLMA-DBASE-APPLINFO       PIC S9(4) COMP-5 VALUE 7.
      *Summary application information for a database

       77 SQLMA-APPL-LOCKS          PIC S9(4) COMP-5 VALUE 20.
      *Lock related information for an application (appl-id)

       77 SQLMA-APPL-LOCKS-AGENT-ID PIC S9(4) COMP-5 VALUE 21.
      *Lock related information for an application (agent-id)

       77 SQLMA-DBASE-LOCKS          PIC S9(4) COMP-5 VALUE 8.
      *Lock related information for a database

       77 SQLMA-DBASE-ALL            PIC S9(4) COMP-5 VALUE 9.
      *Database related information for all databases in DB2

       77 SQLMA-APPL-ALL             PIC S9(4) COMP-5 VALUE 10.
      *Application related information for all active applications

       77 SQLMA-APPLINFO-ALL         PIC S9(4) COMP-5 VALUE 11.
      *Summary application information for all active applications.

       77 SQLMA-DCS-APPLINFO-ALL     PIC S9(4) COMP-5 VALUE 12.
      *Information for all active DDCS applications.

       77 SQLMA-DBASE-TABLESPACES    PIC S9(4) COMP-5 VALUE 13.
      *Tablespace related information for a database

       77 SQLMA-DBASE-BUFFERPOOLS    PIC S9(4) COMP-5 VALUE 22.
      *Bufferpool information for a database

       77 SQLMA-BUFFERPOOLS-ALL      PIC S9(4) COMP-5 VALUE 23.
      *Bufferpool information for all bufferpools
       
       77 SQLMA-DCS-DBASE            PIC S9(4) COMP-5 VALUE 34.
      *DCS DB SNAPSHOT
       
       77 SQLMA-DCS-DBASE-ALL        PIC S9(4) COMP-5 VALUE 35.
      *DCS DB Snapshot (ALL)
       
       77 SQLMA-DCS-APPL-ALL         PIC S9(4) COMP-5 VALUE 30.
      *DCS Appl Snapshot
       
       77 SQLMA-DCS-APPL             PIC S9(4) COMP-5 VALUE 31.
      *DCS Appl Handle Snapshot
       
       77 SQLMA-DCS-APPL-HANDLE      PIC S9(4) COMP-5 VALUE 32.
      *DCS Database Appl Snapshot
       
       77 SQLMA-DCS-DBASE-APPLS      PIC S9(4) COMP-5 VALUE 33.
      *DCS Database Appl Snapshot
       
       77 SQLMA-DYNAMIC-SQL          PIC S9(4) COMP-5 VALUE 36.
      *Snapshot for dynamic sql

      ******************************************************************
      * stream type ids 
      ******************************************************************
       77 SQLM-STREAM-SNAPSHOT       PIC S9(4) COMP-5 VALUE 1.
       77 SQLM-STREAM-EVMON          PIC S9(4) COMP-5 VALUE 2.

      ******************************************************************
      * flag constants for sqlmrset() 
      ******************************************************************
       77 SQLM-UDB-DBASE             PIC S9(4) COMP-5 VALUE 0.
       77 SQLM-UDB-ALL               PIC S9(4) COMP-5 VALUE 1.
       77 SQLM-DCS-DBASE             PIC S9(4) COMP-5 VALUE 2.
       77 SQLM-DCS-ALL               PIC S9(4) COMP-5 VALUE 3.
       77 SQLM-APM                   PIC S9(4) COMP-5 VALUE 4.      

      ******************************************************************
      * size definitions
      ******************************************************************

       77 SQLM-APPLID-SZ             PIC S9(4) COMP-5 VALUE 32.
      *size of the application id

       77 SQLM-SEQ-SZ                PIC S9(4) COMP-5 VALUE 4.
      *size of sequence number

       77 SQLM-SH-IDENT-SZ           PIC S9(4) COMP-5 VALUE 8.
      *size of short identifier

       77 SQLM-IDENT-SZ              PIC S9(4) COMP-5 VALUE 20.
      *general identifier size

       77 SQLM-LG-IDENT-SZ           PIC S9(4) COMP-5 VALUE 32.
      *Long identifier size

       77 SQLM-OBJECT-SZ             PIC S9(4) COMP-5 VALUE 36.
      *object name size in sqlma

       77 SQLM-DBPATH-SZ             PIC S9(4) COMP-5 VALUE 256.
      *size of database path

       77 SQLM-COMM-ADDR-SZ          PIC S9(4) COMP-5 VALUE 32.

      ******************************************************************
      * Information group state switches
      ******************************************************************

       77 SQLM-OFF                   PIC S9(4) COMP-5 VALUE 0.
      *turn monitoring group OFF

       77 SQLM-ON                    PIC S9(4) COMP-5 VALUE 1.
      *turn monitoring group ON

       77 SQLM-HOLD                  PIC S9(4) COMP-5 VALUE 2.
      *leave monitoring group in current state

      ******************************************************************
      * Information groups array indexes
      ******************************************************************

       77 SQLM-UOW-SW                PIC S9(4) COMP-5 VALUE 1.
      *Select Unit of Work information

       77 SQLM-STATEMENT-SW          PIC S9(4) COMP-5 VALUE 2.
      *Select Statement information

       77 SQLM-TABLE-SW              PIC S9(4) COMP-5 VALUE 3.
      *Select Table information

       77 SQLM-BUFFER-POOL-SW        PIC S9(4) COMP-5 VALUE 4.
      *Select Buffer Pool information

       77 SQLM-LOCK-SW               PIC S9(4) COMP-5 VALUE 5.
      *Select Lock information

       77 SQLM-SORT-SW               PIC S9(4) COMP-5 VALUE 6.
      *Select Sort information

       77 SQLM-NUM-GROUPS            PIC S9(4) COMP-5 VALUE 6.
      *Number of monitoring groups

      ******************************************************************
      * Statement Types
      ******************************************************************

       77 SQLM-STATIC                PIC S9(4) COMP-5 VALUE 1.
      *Static Statement

       77 SQLM-DYNAMIC               PIC S9(4) COMP-5 VALUE 2.
      *Dynamic Statement

       77 SQLM-NON-STMT              PIC S9(4) COMP-5 VALUE 3.
      *Operation other than an SQL Statement

       77 SQLM-STMT-TYPE-UNKNOWN     PIC S9(4) COMP-5 VALUE 4.
      *Unknown statement type

      ******************************************************************
      * Statement Operation Types
      ******************************************************************

       77 SQLM-SELECT                PIC S9(4) COMP-5 VALUE 15.
      *SELECT statement

       77 SQLM-PREPARE               PIC S9(4) COMP-5 VALUE 1.
      *Prepare operation

       77 SQLM-EXECUTE               PIC S9(4) COMP-5 VALUE 2.
      *Execute operation

       77 SQLM-EXECUTE-IMMEDIATE     PIC S9(4) COMP-5 VALUE 3.
      *Execute Immediate operation

       77 SQLM-OPEN                  PIC S9(4) COMP-5 VALUE 4.
      *Open operation

       77 SQLM-FETCH                 PIC S9(4) COMP-5 VALUE 5.
      *Fetch operation

       77 SQLM-CLOSE                 PIC S9(4) COMP-5 VALUE 6.
      *Close operation

       77 SQLM-DESCRIBE              PIC S9(4) COMP-5 VALUE 7.
      *Describe operation

       77 SQLM-STATIC-COMMIT         PIC S9(4) COMP-5 VALUE 8.
      *Static Commit operation

       77 SQLM-STATIC-ROLLBACK       PIC S9(4) COMP-5 VALUE 9.
      *Static Rollback operation

       77 SQLM-FREE-LOCATOR          PIC S9(4) COMP-5 VALUE 10.
      *SQL Free Locator

       77 SQLM-PREP-COMMIT           PIC S9(4) COMP-5 VALUE 11.
      *Prepare to commit (2-phase commit)
       
       77 SQLM-CALL                  PIC S9(4) COMP-5 VALUE 12.
      *Call stored procedure
       
       77 SQLM-PREP-OPEN             PIC S9(4) COMP-5 VALUE 16.
      *Prep and open
       
       77 SQLM-PREP-EXEC             PIC S9(4) COMP-5 VALUE 17.
      *Prep and execute

       77 SQLM-COMPILE               PIC S9(4) COMP-5 VALUE 18.
      *Compile

      **********************************************************************
      * non-SQL operations
      **********************************************************************

       77 SQLM-RUNSTATS              PIC S9(4) COMP-5 VALUE 20.
      *Runstats

       77 SQLM-REORG                 PIC S9(4) COMP-5 VALUE 21.
      *Reorg

       77 SQLM-REBIND                PIC S9(4) COMP-5 VALUE 22.
      *Rebind package

       77 SQLM-REDIST                PIC S9(4) COMP-5 VALUE 23.
      *Redistribute

       77 SQLM-GETTA                 PIC S9(4) COMP-5 VALUE 24.
      *Get Table Authorization

       77 SQLM-GETAA                 PIC S9(4) COMP-5 VALUE 25.
      *Get Administrative Authorization

      ******************************************************************
      * Table Types
      ******************************************************************

       77 SQLM-USER-TABLE            PIC S9(4) COMP-5 VALUE 1.
      *User table

       77 SQLM-DROPPED-TABLE         PIC S9(4) COMP-5 VALUE 2.
      *Dropped User table

       77 SQLM-TEMP-TABLE            PIC S9(4) COMP-5 VALUE 3.
      *Temporary table

       77 SQLM-CATALOG-TABLE         PIC S9(4) COMP-5 VALUE 4.
      *System Catalog table

       77 SQLM-REORG-TABLE           PIC S9(4) COMP-5 VALUE 5.
      *Reorg table

      ******************************************************************
      * lock modes
      ******************************************************************

       77 SQLM-LNON                  PIC S9(4) COMP-5 VALUE 0.
      *No Lock

       77 SQLM-LOIS                  PIC S9(4) COMP-5 VALUE 1.
      *Intention Share Lock

       77 SQLM-LOIX                  PIC S9(4) COMP-5 VALUE 2.
      *Intention Exclusive Lock

       77 SQLM-LOOS                  PIC S9(4) COMP-5 VALUE 3.
      *Share Lock

       77 SQLM-LSIX                  PIC S9(4) COMP-5 VALUE 4.
      *Share with Intention Exclusive Lock

       77 SQLM-LOOX                  PIC S9(4) COMP-5 VALUE 5.
      *Exclusive Lock

       77 SQLM-LOIN                  PIC S9(4) COMP-5 VALUE 6.
      *Intent None (For Dirty Read)

       77 SQLM-LOOZ                  PIC S9(4) COMP-5 VALUE 7.
      *Super Exclusive Lock

       77 SQLM-LOOU                  PIC S9(4) COMP-5 VALUE 8.
      *Update Lock

       77 SQLM-LONS                  PIC S9(4) COMP-5 VALUE 9.
      *Next-key Share Lock

       77 SQLM-LONX                  PIC S9(4) COMP-5 VALUE 10.
      *Next-key Exclusive Lock

       77 SQLM-LOOW                  PIC S9(4) COMP-5 VALUE 11.
      *Weak Exclusive Lock

       77 SQLM-LONW                  PIC S9(4) COMP-5 VALUE 12.
      *Next-key Weak Exclusive Lock

      **********************************************************************
      * subsection status (ss_status)
      **********************************************************************

       77 SQLM-SSEXEC                PIC S9(4) COMP-5 VALUE 1.
      *Subsection executing

       77 SQLM-SSTQ-WAIT-TO-RCV      PIC S9(4) COMP-5 VALUE 2.
      *Waiting to receive data on a tablequeue

       77 SQLM-SSTQ-WAIT-TO-SEND     PIC S9(4) COMP-5 VALUE 3.
      *Waiting to send data on a tablequeue

       77 SQLM-SSCOMPLETED           PIC S9(4) COMP-5 VALUE 4.
      *Subsection execution is completed


      ******************************************************************
      * application status
      ******************************************************************

       77 SQLM-CONNECTPEND           PIC S9(4) COMP-5 VALUE 1.
      *Connect Pending

       77 SQLM-CONNECTED             PIC S9(4) COMP-5 VALUE 2.
      *Connect Completed

       77 SQLM-UOWEXEC               PIC S9(4) COMP-5 VALUE 3.
      *Unit of Work executing

       77 SQLM-UOWWAIT               PIC S9(4) COMP-5 VALUE 4.
      *Unit of Work waitng

       77 SQLM-LOCKWAIT              PIC S9(4) COMP-5 VALUE 5.
      *Lock Wait

       77 SQLM-COMMIT-ACT            PIC S9(4) COMP-5 VALUE 6.
      *Commit Active

       77 SQLM-ROLLBACK-ACT          PIC S9(4) COMP-5 VALUE 7.
      *Rollback Active

       77 SQLM-RECOMP                PIC S9(4) COMP-5 VALUE 8.
      *Recompiling a plan

       77 SQLM-COMP                  PIC S9(4) COMP-5 VALUE 9.
      *Compiling an SQL statement

       77 SQLM-INTR                  PIC S9(4) COMP-5 VALUE 10.
      *Request interrupted

       77 SQLM-DISCONNECTPEND        PIC S9(4) COMP-5 VALUE 11.
      *Disconnect Pending

       77 SQLM-TPREP                 PIC S9(4) COMP-5 VALUE 12.
      *Prepared Transaction

       77 SQLM-THCOMT                PIC S9(4) COMP-5 VALUE 13.
      *Transaction heuristically committed

       77 SQLM-THABRT                PIC S9(4) COMP-5 VALUE 14.
      *Transaction heuristically rolled back

       77 SQLM-TEND                  PIC S9(4) COMP-5 VALUE 15.
      *Transaction ended

       77 SQLM-CREATE-DB             PIC S9(4) COMP-5 VALUE 16.
      *Creating Database

       77 SQLM-RESTART               PIC S9(4) COMP-5 VALUE 17.
      *Restarting a Database

       77 SQLM-RESTORE               PIC S9(4) COMP-5 VALUE 18.
      *Restoring a Database

       77 SQLM-BACKUP                PIC S9(4) COMP-5 VALUE 19.
      *Performing a Backup

       77 SQLM-LOAD                  PIC S9(4) COMP-5 VALUE 20.
      *Performing a fast load

       77 SQLM-UNLOAD                PIC S9(4) COMP-5 VALUE 21.
      *Performing a fast unload

       77 SQLM-IOERROR-WAIT          PIC S9(4) COMP-5 VALUE 22.
      *Wait to disable tablespace

       77 SQLM-QUIESCE-TABLESPACE    PIC S9(4) COMP-5 VALUE 23.
      *Quiescing a tablespace
      
       77 SQLM-WAITFOR-REMOTE        PIC S9(4) COMP-5 VALUE 24.
      
      ******************************************************************
      * DCS Application Status
      ******************************************************************

       77 SQLM-DCS-CONNECTPEND-OUTBOUND    PIC S9(4) COMP-5 VALUE 101. 
      * Connect to host db pending
       
       77 SQLM-DCS-UOWWAIT-OUTBOUND        PIC S9(4) COMP-5 VALUE 102.
      * Gateway waiting for reply from host database
       
       77 SQLM-DCS-UOWWAIT-INBOUND         PIC S9(4) COMP-5 VALUE 103.
      * Connect to host db established or gateway waiting for request

      ******************************************************************
      * database status
      ******************************************************************

       77 SQLM-DB-ACTIVE             PIC S9(4) COMP-5 VALUE 0.
      *Database is active

       77 SQLM-DB-QUIESCE-PEND       PIC S9(4) COMP-5 VALUE 1.
      *Quiesce is pending for DB

       77 SQLM-DB-QUIESCED           PIC S9(4) COMP-5 VALUE 2.
      *Database has been quiesced

       77 SQLM-DB-ROLLFWD            PIC S9(4) COMP-5 VALUE 3.
      *DB in Database rollforward

      ********************************************************************
      * rollforward types (rf_type)
      ********************************************************************
       77 SQLM-ROLLFWD-TYP-DB        PIC S9(4) COMP-5 VALUE 0.
      *Database rollforward

       77 SQLM-ROLLFWD-TYP-TSPACE    PIC S9(4) COMP-5 VALUE 1.
      *DB tablespace (on-line) rollforward

       77 SQLM-NO-ROLLFWD            PIC S9(4) COMP-5 VALUE 2.
      *No rollforward in progress

      *********************************************************************
      * Rollforward status (rf_status)
      *********************************************************************
       77 SQLM-ROLLFWD-STATUS-REDO   PIC S9(4) COMP-5 VALUE 0.
      *REDO phase in progress

       77 SQLM-ROLLFWD-STATUS-UNDO   PIC S9(4) COMP-5 VALUE 1.
      *UNDO phase in progress

       77 SQLM-ROLLFWD-STATUS-SUCCESS PIC S9(4) COMP-5 VALUE 2.
      *Successfuly completed on this node

       77 SQLM-ROLLFWD-STATUS-ERROR  PIC S9(4) COMP-5 VALUE 3.
      *Error occurred on this node

       77 SQLM-ROLLFWD-STATUS-USR-INTR  PIC S9(4) COMP-5 VALUE 4.
      *User intervention required

      ******************************************************************
      * database manager status
      ******************************************************************

       77 SQLM-DB2-ACTIVE            PIC S9(4) COMP-5 VALUE 0.
      *DB2 is active

       77 SQLM-DB2-QUIESCE-PEND      PIC S9(4) COMP-5 VALUE 1.
      *Quiesce is pending for DB2

       77 SQLM-DB2-QUIESCED          PIC S9(4) COMP-5 VALUE 2.
      *DB2 has been quiesced

      ******************************************************************
      * UOW completion status
      ******************************************************************

       77 SQLM-UOWCOMMIT             PIC S9(4) COMP-5 VALUE 1.
      *Unit of Work issued a commit

       77 SQLM-UOWROLLBACK           PIC S9(4) COMP-5 VALUE 2.
      *Unit of Work issued a rollback

       77 SQLM-UOWDEADLOCK           PIC S9(4) COMP-5 VALUE 3.
      *Unit of Work was rolled back due to a deadlock

       77 SQLM-UOWABEND              PIC S9(4) COMP-5 VALUE 4.
      *Unit of Work was rolled back due to an abend

       77 SQLM-APPL-END              PIC S9(4) COMP-5 VALUE 5.
      *Normal application termination

       77 SQLM-UOWLOCKTIMEOUT        PIC S9(4) COMP-5 VALUE 6.
      *Unit of work was rolled back from a lock timeout
       
       77 SQLM-UOW-UNKNOWN           PIC S9(4) COMP-5 VALUE 7.
      *Returned for flushed events

      ******************************************************************
      * lock object type
      ******************************************************************

       77 SQLM-TABLE-LOCK            PIC S9(4) COMP-5 VALUE 1.
      *Table lock type

       77 SQLM-ROW-LOCK              PIC S9(4) COMP-5 VALUE 2.
      *Table Row lock type

       77 SQLM-INTERNAL-LOCK         PIC S9(4) COMP-5 VALUE 3.
      *Internal lock type

       77 SQLM-TABLESPACE-LOCK       PIC S9(4) COMP-5 VALUE 4.
      *Tablespace lock type

       77 SQLM-EOT-LOCK              PIC S9(4) COMP-5 VALUE 5.
      *end of table lock

       77 SQLM-KEYVALUE-LOCK         PIC S9(4) COMP-5 VALUE 6.
      *key value lock
       
       77 SQLM-SYSBOOT-LOCK          PIC S9(4) COMP-5 VALUE 7.
      *sysboot lock

       77 SQLM-INTERNALP-LOCK        PIC S9(4) COMP-5 VALUE 8.
       77 SQLM-INTERNALV-LOCK        PIC S9(4) COMP-5 VALUE 9.
       77 SQLM-INTERNALS-LOCK        PIC S9(4) COMP-5 VALUE 10.
       77 SQLM-INTERNALJ-LOCK        PIC S9(4) COMP-5 VALUE 11.
       77 SQLM-INTERNALL-LOCK        PIC S9(4) COMP-5 VALUE 12.
      *for internal use

      ******************************************************************
      * lock status
      ******************************************************************

       77 SQLM-LRBGRNT               PIC S9(4) COMP-5 VALUE 1.
      *Granted State

       77 SQLM-LRBCONV               PIC S9(4) COMP-5 VALUE 2.
      *Converting State


      ******************************************************************
      * client communications protocols
      ******************************************************************

       77 SQLM-PROT-APPC             PIC S9(4) COMP-5 VALUE 0.
      *appc

       77 SQLM-PROT-NETBIOS          PIC S9(4) COMP-5 VALUE 1.
      *netbios

       77 SQLM-PROT-APPN             PIC S9(4) COMP-5 VALUE 2.
      *appn

       77 SQLM-PROT-TCPIP            PIC S9(4) COMP-5 VALUE 3.
      *tcp/ip

       77 SQLM-PROT-CPIC             PIC S9(4) COMP-5 VALUE 4.
      *cpic

       77 SQLM-PROT-IPXSPX           PIC S9(4) COMP-5 VALUE 5.
      *ipx/spx

       77 SQLM-PROT-LOCAL            PIC S9(4) COMP-5 VALUE 6.
      *local client

       77 SQLM-PROT-NPIPE            PIC S9(4) COMP-5 VALUE 7.
      *named pipe


      ******************************************************************
      * client platforms
      ******************************************************************
       77 SQLM-PLATFORM-UNKNOWN      PIC S9(4) COMP-5 VALUE  0.
      *Unknown client platform

       77 SQLM-PLATFORM-OS2          PIC S9(4) COMP-5 VALUE  1.
      *OS/2 client

       77 SQLM-PLATFORM-DOS          PIC S9(4) COMP-5 VALUE  2.
      *DOS client

       77 SQLM-PLATFORM-WINDOWS      PIC S9(4) COMP-5 VALUE  3.
      *Windows client

       77 SQLM-PLATFORM-AIX          PIC S9(4) COMP-5 VALUE  4.
      *AIX client

       77 SQLM-PLATFORM-NT           PIC S9(4) COMP-5 VALUE  5.
      *NT client

       77 SQLM-PLATFORM-HP           PIC S9(4) COMP-5 VALUE  6.
      *HP client

       77 SQLM-PLATFORM-SUN          PIC S9(4) COMP-5 VALUE  7.
      *Sun client

       77 SQLM-PLATFORM-MVS-DRDA     PIC S9(4) COMP-5 VALUE  8.
      *MVS client via DRDA

       77 SQLM-PLATFORM-AS400-DRDA   PIC S9(4) COMP-5 VALUE  9.
      *AS400 client via DRDA

       77 SQLM-PLATFORM-VM-DRDA      PIC S9(4) COMP-5 VALUE 10.
      *VM client via DRDA

       77 SQLM-PLATFORM-VSE-DRDA     PIC S9(4) COMP-5 VALUE 11.
      *VSE client via DRDA

       77 SQLM-PLATFORM-UNKNOWN-DRDA PIC S9(4) COMP-5 VALUE 12.
      *Unknown DRDA Client

       77 SQLM-PLATFORM-SNI          PIC S9(4) COMP-5 VALUE 13.
      *Siemens Nixdorf Client

       77 SQLM-PLATFORM-MAC          PIC S9(4) COMP-5 VALUE 14.
      *Macintosh Client

       77 SQLM-PLATFORM-WINDOWS95    PIC S9(4) COMP-5 VALUE 15.
      *Windows 95

       77 SQLM-PLATFORM-SCO          PIC S9(4) COMP-5 VALUE 16.
      *SCO

       77 SQLM-PLATFORM-SGI          PIC S9(4) COMP-5 VALUE 17.
      *Silicon Graphics
       
       77 SQLM-PLATFORM-LINUX        PIC S9(4) COMP-5 VALUE 18.
      *Linux

       77 SQLM-PLATFORM-DYNIX        PIC S9(4) COMP-5 VALUE 19.
      *DYNIX/PTX


      *****************************************************************
      * Operating System Application Priority Type (appl_priority_type)
      *****************************************************************
       77 SQLM-FIXED-PRIORITY         PIC S9(4) COMP-5 VALUE 1.
      *Remains unchanged over time.

       77 SQLM-DYNAMIC-PRIORITY       PIC S9(4) COMP-5 VALUE 2.
      *Recalculated by OS based on usage


      ******************************************************************
      * Event Monitor Type Identifiers
      ******************************************************************
       77 SQLM-EVENT-DB              PIC S9(4) COMP-5 VALUE  1.
      *Database Event

       77 SQLM-EVENT-CONN            PIC S9(4) COMP-5 VALUE  2.
      *Connection Event

       77 SQLM-EVENT-TABLE           PIC S9(4) COMP-5 VALUE  3.
      *Table Event

       77 SQLM-EVENT-STMT            PIC S9(4) COMP-5 VALUE  4.
      *Statement Event

       77 SQLM-EVENT-STMTTEXT        PIC S9(4) COMP-5 VALUE  5.
      *Dynamic Statement Text Event

       77 SQLM-EVENT-XACT            PIC S9(4) COMP-5 VALUE  6.
      *Transaction Event

       77 SQLM-EVENT-DEADLOCK        PIC S9(4) COMP-5 VALUE  7.
      *Deadlock Event

       77 SQLM-EVENT-DLCONN          PIC S9(4) COMP-5 VALUE  8.
      *Deadlock Connection Event

       77 SQLM-EVENT-TABLESPACE      PIC S9(4) COMP-5 VALUE  9.
      *Tablespace Event

       77 SQLM-EVENT-DBHEADER        PIC S9(4) COMP-5 VALUE 10.
      *Database Header Event

       77 SQLM-EVENT-START           PIC S9(4) COMP-5 VALUE 11.
      *Event Monitor Start Event

       77 SQLM-EVENT-CONNHEADER      PIC S9(4) COMP-5 VALUE 12.
      *Connection Header Event

       77 SQLM-EVENT-OVERFLOW        PIC S9(4) COMP-5 VALUE 13.
      *Overflow Event

       77 SQLM-EVENT-BUFFERPOOL      PIC S9(4) COMP-5 VALUE 14.
      *Bufferpool Event

       77 SQLM-EVENT-SUBSECTION      PIC S9(4) COMP-5 VALUE 15.
      *Subsection Event (MPP systems)

       77 SQLM-EVENT-LOG-HEADER      PIC S9(4) COMP-5 VALUE 16.
      *Log header event

       77 SQLM-EVENT-MAX             PIC S9(4) COMP-5 VALUE 16.
      *Largest value in the list

      ******************************************************************
      * Event Monitor Byte Order Identifiers
      ******************************************************************
       77 SQLM-LITTLE-ENDIAN         PIC S9(4) COMP-5 VALUE  0.
      *Little endian server

       77 SQLM-BIG-ENDIAN            PIC S9(4) COMP-5 VALUE -1.
      *Big endian server


      **********************************************************************
      * Database Monitor Structure Size Constants
      * DON'T USE THESE CONSTANTS. THEY ARE PROVIDED FOR COMPATIBILITY ONLY
      **********************************************************************

       77 SQLM-DB2-SZ                PIC S9(4) COMP-5 VALUE 100.
      *structure SQLM-DB2

       77 SQLM-DBASE-SZ              PIC S9(4) COMP-5 VALUE 548.
      *structure SQLM-DBASE

       77 SQLM-APPL-SZ               PIC S9(4) COMP-5 VALUE 880.
      *structure SQLM-APPL

       77 SQLM-APPLINFO-SZ           PIC S9(4) COMP-5 VALUE 492.
      *structure SQLM-APPLINFO

       77 SQLM-DCS-APPLINFO-SZ       PIC S9(4) COMP-5 VALUE 260.
      *structure SQLM-DCS-APPLINFO

       77 SQLM-TABLE-HEADER-SZ       PIC S9(4) COMP-5 VALUE 356.
      *structure SQLM-TABLE-HEADER

       77 SQLM-TABLE-SZ              PIC S9(4) COMP-5 VALUE 60.
      *structure SQLM-TABLE

       77 SQLM-DBASE-LOCK-SZ         PIC S9(4) COMP-5 VALUE 352.
      *structure SQLM-DBASE-LOCK

       77 SQLM-APPL-LOCK-SZ          PIC S9(4) COMP-5 VALUE 216.
      *structure SQLM-APPL-LOCK

       77 SQLM-LOCK-SZ               PIC S9(4) COMP-5 VALUE 60.
      *structure SQLM-LOCK

       77 SQLM-TIMESTAMP-SZ          PIC S9(4) COMP-5 VALUE 8.
      *structure SQLM-TIMESTAMP

       77 SQLM-COLLECTED-SZ          PIC S9(4) COMP-5 VALUE 232.
      *structure SQLM-COLLECTED

      ******************************************************************
      * Database Monitor Error Constants
      ******************************************************************

       77 SQLM-RC-INV-PTR            PIC S9(4) COMP-5 VALUE -1601.
      *Parameter is a NULL pointer

       77 SQLM-RC-INV-OBJ-TYPE       PIC S9(4) COMP-5 VALUE -1602.
      *invalid obj-type in sqlma structure

       77 SQLM-RC-NOT-SPECIFIED      PIC S9(4) COMP-5 VALUE -1603.
      *database alias or application id not specified in sqlma structure

       77 SQLM-RC-NOT-NULL-TERM      PIC S9(4) COMP-5 VALUE -1604.
      *database alias or application id not NULL terminated

       77 SQLM-RC-DBNOACT            PIC S9(4) COMP-5 VALUE  1605.
      *specified database is not active

       77 SQLM-RC-BUFFER-FULL        PIC S9(4) COMP-5 VALUE  1606.
      *Database Monitor buffer area is full

       77 SQLM-RC-NOMEM              PIC S9(4) COMP-5 VALUE -1607.
      *not enough working memory for Database Monitor request

       77 SQLM-RC-DUPLICATE-DB       PIC S9(4) COMP-5 VALUE  1608.
      *duplicate database aliases were specified

       77 SQLM-RC-REMOTE-DB          PIC S9(4) COMP-5 VALUE -1609.
      *Database Monitor cannot monitor remote databases

       77 SQLM-RC-INV-VALUE          PIC S9(4) COMP-5 VALUE -1610.
      *Invalid value for input parameter

       77 SQLM-RC-NO-DATA            PIC S9(4) COMP-5 VALUE  1611.
      *No data returned by Database Monitor

       77 SQLM-RC-TOO-MANY-OBJECTS   PIC S9(4) COMP-5 VALUE -1623.
      *Too many objects for this request.

       77 SQLM-RC-MULTIPLE-NODES     PIC S9(4) COMP-5 VALUE -1624.
      *Databases in a sqlmonsz or sqlmonss reside at different nodes.

      **********************************************************************
      * FCM Connection Status (connection_status)
      **********************************************************************
       77 SQLM-FCM-CONNECT-INACTIVE  PIC S9(4) COMP-5 VALUE  0.
      *No current connection

       77 SQLM-FCM-CONNECT-ACTIVE    PIC S9(4) COMP-5 VALUE  1.
      *Connection is active

       77 SQLM-FCM-CONNECT-CONGESTED PIC S9(4) COMP-5 VALUE  2.
      *Connection is congested

      **********************************************************************
      * Database location relative to snapshot agent (db_location)
      **********************************************************************

       77 SQLM-LOCAL                 PIC S9(4) COMP-5 VALUE 1.
      *Same node as snapshot

       77 SQLM-REMOTE                PIC S9(4) COMP-5 VALUE 2.
      *DB is on a different node

      **********************************************************************
      * Node location definitions 
      **********************************************************************
       77 SQLM-CURRENT-NODE          PIC S9(4) COMP-5 VALUE -1.
       77 SQLM-ALL-NODES             PIC S9(4) COMP-5 VALUE -2.      
      
      **********************************************************************
      * Version 6 Monitor Stream Elements 
      **********************************************************************
       
      * Logical Data Elements
       
       77 SQLM-TYPE-HEADER                  PIC S9(4) COMP-5 VALUE 1.
       77 SQLM-TYPE-STRING                  PIC S9(4) COMP-5 VALUE 50.
       77 SQLM-TYPE-U8BIT                   PIC S9(4) COMP-5 VALUE 51.
       77 SQLM-TYPE-8BIT                    PIC S9(4) COMP-5 VALUE 52.
       77 SQLM-TYPE-16BIT                   PIC S9(4) COMP-5 VALUE 53.
       77 SQLM-TYPE-U16BIT                  PIC S9(4) COMP-5 VALUE 54.
       77 SQLM-TYPE-32BIT                   PIC S9(4) COMP-5 VALUE 55.
       77 SQLM-TYPE-U32BIT                  PIC S9(4) COMP-5 VALUE 56.
       77 SQLM-TYPE-U64BIT                  PIC S9(4) COMP-5 VALUE 57.
       77 SQLM-TYPE-64BIT                   PIC S9(4) COMP-5 VALUE 58.
       
      * Monitor Data Elements
       
       77 SQLM-ELM-DB2                        PIC S9(4) COMP-5 VALUE 1.
       77 SQLM-ELM-FCM                        PIC S9(4) COMP-5 VALUE 2.
       77 SQLM-ELM-FCM-NODE                   PIC S9(4) COMP-5 VALUE 3.
       77 SQLM-ELM-APPL-INFO                  PIC S9(4) COMP-5 VALUE 4.
       77 SQLM-ELM-APPL                       PIC S9(4) COMP-5 VALUE 5.
       77 SQLM-ELM-DCS-APPL-INFO              PIC S9(4) COMP-5 VALUE 6.
       77 SQLM-ELM-DCS-APPL                   PIC S9(4) COMP-5 VALUE 7.
       77 SQLM-ELM-DCS-STMT                   PIC S9(4) COMP-5 VALUE 8.
       77 SQLM-ELM-SUBSECTION                 PIC S9(4) COMP-5 VALUE 9.
       77 SQLM-ELM-AGENT                      PIC S9(4) COMP-5 VALUE 10.
       77 SQLM-ELM-LOCK-WAIT                  PIC S9(4) COMP-5 VALUE 11.
       77 SQLM-ELM-DCS-DBASE                  PIC S9(4) COMP-5 VALUE 12.
       77 SQLM-ELM-DBASE                      PIC S9(4) COMP-5 VALUE 13.
       77 SQLM-ELM-ROLLFORWARD                PIC S9(4) COMP-5 VALUE 14.
       77 SQLM-ELM-TABLE                      PIC S9(4) COMP-5 VALUE 15.
       77 SQLM-ELM-LOCK                       PIC S9(4) COMP-5 VALUE 16.
       77 SQLM-ELM-TABLESPACE                 PIC S9(4) COMP-5 VALUE 17.
       77 SQLM-ELM-BUFFERPOOL                 PIC S9(4) COMP-5 VALUE 18.
       77 SQLM-ELM-DYNSQL                     PIC S9(4) COMP-5 VALUE 19.
       77 SQLM-ELM-COLLECTED                  PIC S9(4) COMP-5 VALUE 20.
       77 SQLM-ELM-SWITCH-LIST                PIC S9(4) COMP-5 VALUE 21.
       77 SQLM-ELM-UOW-SW                     PIC S9(4) COMP-5 VALUE 22.
       77 SQLM-ELM-STATEMENT-SW               PIC S9(4) COMP-5 VALUE 23.
       77 SQLM-ELM-TABLE-SW                   PIC S9(4) COMP-5 VALUE 24.
       77 SQLM-ELM-BUFFPOOL-SW                PIC S9(4) COMP-5 VALUE 25.
       77 SQLM-ELM-LOCK-SW                    PIC S9(4) COMP-5 VALUE 26.
       77 SQLM-ELM-SORT-SW                    PIC S9(4) COMP-5 VALUE 27.
       77 SQLM-ELM-TABLE-LIST                 PIC S9(4) COMP-5 VALUE 28.
       77 SQLM-ELM-TABLESPACE-LIST            PIC S9(4) COMP-5 VALUE 29.
       77 SQLM-ELM-DYNSQL-LIST                PIC S9(4) COMP-5 VALUE 30.
       77 SQLM-ELM-APPL-LOCK-LIST             PIC S9(4) COMP-5 VALUE 31.
       77 SQLM-ELM-DB-LOCK-LIST               PIC S9(4) COMP-5 VALUE 32.
       77 SQLM-ELM-STMT                       PIC S9(4) COMP-5 VALUE 33.
       77 SQLM-MAX-LOGICAL-ELEMENT            PIC S9(4) COMP-5 VALUE 33.


      * Monitor data element groupings
      
       77 SQLM-ELM-EVENT-DB                  PIC S9(4) COMP-5 VALUE 100.
       77 SQLM-ELM-EVENT-CONN                PIC S9(4) COMP-5 VALUE 101.
       77 SQLM-ELM-EVENT-TABLE               PIC S9(4) COMP-5 VALUE 102.
       77 SQLM-ELM-EVENT-STMT                PIC S9(4) COMP-5 VALUE 103.
       77 SQLM-ELM-EVENT-XACT                PIC S9(4) COMP-5 VALUE 104.
       77 SQLM-ELM-EVENT-DEADLOCK            PIC S9(4) COMP-5 VALUE 105.
       77 SQLM-ELM-EVENT-DLCONN              PIC S9(4) COMP-5 VALUE 106.
       77 SQLM-ELM-EVENT-TABLESPACE          PIC S9(4) COMP-5 VALUE 107.
       77 SQLM-ELM-EVENT-DBHEADER            PIC S9(4) COMP-5 VALUE 108.
       77 SQLM-ELM-EVENT-START               PIC S9(4) COMP-5 VALUE 109.
       77 SQLM-ELM-EVENT-CONNHEADER          PIC S9(4) COMP-5 VALUE 110.
       77 SQLM-ELM-EVENT-OVERFLOW            PIC S9(4) COMP-5 VALUE 111.
       77 SQLM-ELM-EVENT-BUFFERPOOL          PIC S9(4) COMP-5 VALUE 112.
       77 SQLM-ELM-EVENT-SUBSECTION          PIC S9(4) COMP-5 VALUE 113.
       77 SQLM-ELM-EVENT-LOG-HEADER          PIC S9(4) COMP-5 VALUE 114.


      * Timestamps
      
       77 SQLM-ELM-TIME-STAMP                PIC S9(4) COMP-5 VALUE 200.
       77 SQLM-ELM-STATUS-CHANGE-TIME        PIC S9(4) COMP-5 VALUE 201.
       77 SQLM-ELM-GW-CON-TIME               PIC S9(4) COMP-5 VALUE 202.
       77 SQLM-ELM-PREV-UOW-STOP-TIME        PIC S9(4) COMP-5 VALUE 203.
       77 SQLM-ELM-UOW-START-TIME            PIC S9(4) COMP-5 VALUE 204.
       77 SQLM-ELM-UOW-STOP-TIME             PIC S9(4) COMP-5 VALUE 205.
       77 SQLM-ELM-STMT-START                PIC S9(4) COMP-5 VALUE 206.
       77 SQLM-ELM-STMT-STOP                 PIC S9(4) COMP-5 VALUE 207.
       77 SQLM-ELM-LAST-RESET                PIC S9(4) COMP-5 VALUE 208.
       77 SQLM-ELM-DB2START-TIME             PIC S9(4) COMP-5 VALUE 209.
       77 SQLM-ELM-DB-CONN-TIME              PIC S9(4) COMP-5 VALUE 210.
       77 SQLM-ELM-LAST-BACKUP               PIC S9(4) COMP-5 VALUE 211.
       77 SQLM-ELM-LOCK-WAIT-START-TIME      PIC S9(4) COMP-5 VALUE 212.
       77 SQLM-ELM-APPL-CON-TIME             PIC S9(4) COMP-5 VALUE 213.
       77 SQLM-ELM-CONN-COMPLETE-TIME        PIC S9(4) COMP-5 VALUE 214.
       77 SQLM-ELM-DISCONN-TIME              PIC S9(4) COMP-5 VALUE 215.
       77 SQLM-ELM-EVENT-TIME                PIC S9(4) COMP-5 VALUE 216.
       77 SQLM-ELM-START-TIME                PIC S9(4) COMP-5 VALUE 217.
       77 SQLM-ELM-STOP-TIME                 PIC S9(4) COMP-5 VALUE 218.
       77 SQLM-ELM-RF-TIMESTAMP              PIC S9(4) COMP-5 VALUE 219.
       77 SQLM-ELM-CONN-TIME                 PIC S9(4) COMP-5 VALUE 220.
       77 SQLM-ELM-FIRST-OVERFLOW-TIME       PIC S9(4) COMP-5 VALUE 221.
       77 SQLM-ELM-LAST-OVERFLOW-TIME        PIC S9(4) COMP-5 VALUE 222.
       77 SQLM-ELM-GW-EXEC-TIME              PIC S9(4) COMP-5 VALUE 223.
       77 SQLM-ELM-AGENT-USR-CPU-TIME        PIC S9(4) COMP-5 VALUE 224.
       77 SQLM-ELM-AGENT-SYS-CPU-TIME        PIC S9(4) COMP-5 VALUE 225.
       77 SQLM-ELM-SS-USR-CPU-TIME           PIC S9(4) COMP-5 VALUE 226.
       77 SQLM-ELM-SS-SYS-CPU-TIME           PIC S9(4) COMP-5 VALUE 227.
       77 SQLM-ELM-USER-CPU-TIME             PIC S9(4) COMP-5 VALUE 228.
       77 SQLM-ELM-TOTAL-EXEC-TIME           PIC S9(4) COMP-5 VALUE 229.
       77 SQLM-ELM-SWITCH-SET-TIME           PIC S9(4) COMP-5 VALUE 230.

      * Atomic Elements
      
       77 SQLM-ELM-SECONDS                   PIC S9(4) COMP-5 VALUE 300.
       77 SQLM-ELM-MICROSEC                  PIC S9(4) COMP-5 VALUE 301.
       77 SQLM-ELM-AGENT-ID                  PIC S9(4) COMP-5 VALUE 302.
       77 SQLM-ELM-SERVER-DB2-TYPE           PIC S9(4) COMP-5 VALUE 303.
       77 SQLM-ELM-SERVER-PRDID              PIC S9(4) COMP-5 VALUE 304.
       77 SQLM-ELM-SERVER-NNAME              PIC S9(4) COMP-5 VALUE 305.
       77 SQLM-ELM-SERVER-INSTANCE-NAME      PIC S9(4) COMP-5 VALUE 306.
       77 SQLM-ELM-NODE-NUMBER               PIC S9(4) COMP-5 VALUE 307.
       77 SQLM-ELM-TIME-ZONE-DISP            PIC S9(4) COMP-5 VALUE 308.
       77 SQLM-ELM-SERVER-VERSION            PIC S9(4) COMP-5 VALUE 309.
       77 SQLM-ELM-APPL-STATUS               PIC S9(4) COMP-5 VALUE 310.
       77 SQLM-ELM-CODEPAGE-ID               PIC S9(4) COMP-5 VALUE 311.
       77 SQLM-ELM-STMT-TEXT                 PIC S9(4) COMP-5 VALUE 312.
       77 SQLM-ELM-APPL-NAME                 PIC S9(4) COMP-5 VALUE 313.
       77 SQLM-ELM-APPL-ID                   PIC S9(4) COMP-5 VALUE 314.
       77 SQLM-ELM-SEQUENCE-NO               PIC S9(4) COMP-5 VALUE 315.
       77 SQLM-ELM-AUTH-ID                   PIC S9(4) COMP-5 VALUE 316.
       77 SQLM-ELM-CLIENT-NNAME              PIC S9(4) COMP-5 VALUE 317.
       77 SQLM-ELM-CLIENT-PRDID              PIC S9(4) COMP-5 VALUE 318.
       77 SQLM-ELM-INPUT-DB-ALIAS            PIC S9(4) COMP-5 VALUE 319.
       77 SQLM-ELM-CLIENT-DB-ALIAS           PIC S9(4) COMP-5 VALUE 320.
       77 SQLM-ELM-DB-NAME                   PIC S9(4) COMP-5 VALUE 321.
       77 SQLM-ELM-DB-PATH                   PIC S9(4) COMP-5 VALUE 322.
       77 SQLM-ELM-NUM-ASSOC-AGENTS          PIC S9(4) COMP-5 VALUE 323.
       77 SQLM-ELM-COORD-NODE-NUM            PIC S9(4) COMP-5 VALUE 324.
       77 SQLM-ELM-AUTHORITY-LVL             PIC S9(4) COMP-5 VALUE 325.
       77 SQLM-ELM-EXECUTION-ID              PIC S9(4) COMP-5 VALUE 326.
       77 SQLM-ELM-CORR-TOKEN                PIC S9(4) COMP-5 VALUE 327.
       77 SQLM-ELM-CLIENT-PID                PIC S9(4) COMP-5 VALUE 328.
       77 SQLM-ELM-CLIENT-PLATFORM           PIC S9(4) COMP-5 VALUE 329.
       77 SQLM-ELM-CLIENT-PROTOCOL           PIC S9(4) COMP-5 VALUE 330.
       77 SQLM-ELM-COUNTRY-CODE              PIC S9(4) COMP-5 VALUE 331.
       77 SQLM-ELM-COORD-AGENT-PID           PIC S9(4) COMP-5 VALUE 332.
       77 SQLM-ELM-GW-DB-ALIAS               PIC S9(4) COMP-5 VALUE 333.
       77 SQLM-ELM-OUTBOUND-COMM-ADDRESS     PIC S9(4) COMP-5 VALUE 334.
       77 SQLM-ELM-INBOUND-COMM-ADDRESS      PIC S9(4) COMP-5 VALUE 335.
       77 SQLM-ELM-OUTBOUND-COMM-PROT        PIC S9(4) COMP-5 VALUE 336.
       77 SQLM-ELM-DCS-DB-NAME               PIC S9(4) COMP-5 VALUE 337.
       77 SQLM-ELM-HOST-DB-NAME              PIC S9(4) COMP-5 VALUE 338.
       77 SQLM-ELM-HOST-PRDID                PIC S9(4) COMP-5 VALUE 339.
       77 SQLM-ELM-OUTBOUND-APPL-ID          PIC S9(4) COMP-5 VALUE 340.
       77 SQLM-ELM-OUTBOUND-SEQUENCE-NO      PIC S9(4) COMP-5 VALUE 341.
       77 SQLM-ELM-DCS-APPL-STATUS           PIC S9(4) COMP-5 VALUE 342.
       77 SQLM-ELM-HOST-CCSID                PIC S9(4) COMP-5 VALUE 343.
       77 SQLM-ELM-OUTPUT-STATE              PIC S9(4) COMP-5 VALUE 344.
       77 SQLM-ELM-COUNT                     PIC S9(4) COMP-5 VALUE 345.
       77 SQLM-ELM-ROWS-SELECTED             PIC S9(4) COMP-5 VALUE 346.
       77 SQLM-ELM-SQL-STMTS                 PIC S9(4) COMP-5 VALUE 347.
       77 SQLM-ELM-FAILED-SQL-STMTS          PIC S9(4) COMP-5 VALUE 348.
       77 SQLM-ELM-COMMIT-SQL-STMTS          PIC S9(4) COMP-5 VALUE 349.
       77 SQLM-ELM-ROLLBACK-SQL-STMTS        PIC S9(4) COMP-5 VALUE 350.
       77 SQLM-ELM-INBOUND-BYTES-RECV        PIC S9(4) COMP-5 VALUE 351.
       77 SQLM-ELM-OUTBOUND-BYTES-SENT       PIC S9(4) COMP-5 VALUE 352.
       77 SQLM-ELM-OUTBOUND-BYTES-RECV       PIC S9(4) COMP-5 VALUE 353.
       77 SQLM-ELM-INBOUND-BYTES-SENT        PIC S9(4) COMP-5 VALUE 354.
       77 SQLM-ELM-STMT-OPERATION            PIC S9(4) COMP-5 VALUE 355.
       77 SQLM-ELM-SECTION-NUMBER            PIC S9(4) COMP-5 VALUE 356.
       77 SQLM-ELM-LOCK-NODE                 PIC S9(4) COMP-5 VALUE 357.
       77 SQLM-ELM-CREATOR                   PIC S9(4) COMP-5 VALUE 358.
       77 SQLM-ELM-PACKAGE-NAME              PIC S9(4) COMP-5 VALUE 359.
       77 SQLM-ELM-APPL-IDLE-TIME            PIC S9(4) COMP-5 VALUE 360.
       77 SQLM-ELM-OPEN-CURSORS              PIC S9(4) COMP-5 VALUE 361.
       77 SQLM-ELM-UOW-COMP-STATUS           PIC S9(4) COMP-5 VALUE 362.
       77 SQLM-ELM-SEQUENCE-NO-HOLD-LK       PIC S9(4) COMP-5 VALUE 363.
       77 SQLM-ELM-ROLLED-BACK-AGENT-ID      PIC S9(4) COMP-5 VALUE 364.
       77 SQLM-ELM-ROLLED-BACK-APPL-ID       PIC S9(4) COMP-5 VALUE 365.
       77 SQLM-ELM-ROLLED-BACK-SEQ-NO        PIC S9(4) COMP-5 VALUE 366.
       77 SQLM-ELM-XID                       PIC S9(4) COMP-5 VALUE 367.
       77 SQLM-ELM-TPMON-CLIENT-USERID       PIC S9(4) COMP-5 VALUE 368.
       77 SQLM-ELM-TPMON-CLIENT-WKSTN        PIC S9(4) COMP-5 VALUE 369.
       77 SQLM-ELM-TPMON-CLIENT-APP          PIC S9(4) COMP-5 VALUE 370.
       77 SQLM-ELM-TPMON-ACC-STR             PIC S9(4) COMP-5 VALUE 371.
       77 SQLM-ELM-QUERY-COST-ESTIMATE       PIC S9(4) COMP-5 VALUE 372.
       77 SQLM-ELM-QUERY-CARD-ESTIMATE       PIC S9(4) COMP-5 VALUE 373.
       77 SQLM-ELM-FETCH-COUNT               PIC S9(4) COMP-5 VALUE 374.
       77 SQLM-ELM-GW-TOTAL-CONS             PIC S9(4) COMP-5 VALUE 375.
       77 SQLM-ELM-GW-CUR-CONS               PIC S9(4) COMP-5 VALUE 376.
       77 SQLM-ELM-GW-CONS-WAIT-HOST         PIC S9(4) COMP-5 VALUE 377.
       77 SQLM-ELM-GW-CONS-WAIT-CLIENT       PIC S9(4) COMP-5 VALUE 378.
       77 SQLM-ELM-GW-CONNECTIONS-TOP        PIC S9(4) COMP-5 VALUE 379.
       77 SQLM-ELM-SORT-HEAP-ALLOCATED       PIC S9(4) COMP-5 VALUE 380.
       77 SQLM-ELM-POST-THRESHOLD-SORTS      PIC S9(4) COMP-5 VALUE 381.
       77 SQLM-ELM-PIPED-SORTS-REQUESTED     PIC S9(4) COMP-5 VALUE 382.
       77 SQLM-ELM-PIPED-SORTS-ACCEPTED      PIC S9(4) COMP-5 VALUE 383.
       77 SQLM-ELM-DL-CONNS                  PIC S9(4) COMP-5 VALUE 384.
       77 SQLM-ELM-REM-CONS-IN               PIC S9(4) COMP-5 VALUE 385.
       77 SQLM-ELM-REM-CONS-IN-EXEC          PIC S9(4) COMP-5 VALUE 386.
       77 SQLM-ELM-LOCAL-CONS                PIC S9(4) COMP-5 VALUE 387.
       77 SQLM-ELM-LOCAL-CONS-IN-EXEC        PIC S9(4) COMP-5 VALUE 388.
       77 SQLM-ELM-CON-LOCAL-DBASES          PIC S9(4) COMP-5 VALUE 389.
       77 SQLM-ELM-AGENTS-REGISTERED         PIC S9(4) COMP-5 VALUE 390.
       77 SQLM-ELM-AGENTS-WAITING-ON-TKN     PIC S9(4) COMP-5 VALUE 391.
       77 SQLM-ELM-DB2-STATUS                PIC S9(4) COMP-5 VALUE 392.
       77 SQLM-ELM-AGENTS-REGISTERED-TOP     PIC S9(4) COMP-5 VALUE 393.
       77 SQLM-ELM-AGENTS-WAITING-TOP        PIC S9(4) COMP-5 VALUE 394.
       77 SQLM-ELM-COMM-PRIVATE-MEM          PIC S9(4) COMP-5 VALUE 395.
       77 SQLM-ELM-IDLE-AGENTS               PIC S9(4) COMP-5 VALUE 396.
       77 SQLM-ELM-AGENTS-FROM-POOL          PIC S9(4) COMP-5 VALUE 397.
       77 SQLM-ELM-AGENTS-CREAT-EMPTY-PL     PIC S9(4) COMP-5 VALUE 398.
       77 SQLM-ELM-AGENTS-TOP                PIC S9(4) COMP-5 VALUE 399.
       77 SQLM-ELM-COORD-AGENTS-TOP          PIC S9(4) COMP-5 VALUE 400.
       77 SQLM-ELM-MAX-AGENT-OVERFLOWS       PIC S9(4) COMP-5 VALUE 401.
       77 SQLM-ELM-AGENTS-STOLEN             PIC S9(4) COMP-5 VALUE 402.
       77 SQLM-ELM-PRODUCT-NAME              PIC S9(4) COMP-5 VALUE 403.
       77 SQLM-ELM-COMPONENT-ID              PIC S9(4) COMP-5 VALUE 404.
       77 SQLM-ELM-SERVICE-LEVEL             PIC S9(4) COMP-5 VALUE 405.
       77 SQLM-ELM-POST-THRESHOLD-HJ         PIC S9(4) COMP-5 VALUE 406.
       77 SQLM-ELM-BUFF-FREE                 PIC S9(4) COMP-5 VALUE 407.
       77 SQLM-ELM-BUFF-FREE-BOTTOM          PIC S9(4) COMP-5 VALUE 408.
       77 SQLM-ELM-MA-FREE                   PIC S9(4) COMP-5 VALUE 409.
       77 SQLM-ELM-MA-FREE-BOTTOM            PIC S9(4) COMP-5 VALUE 410.
       77 SQLM-ELM-CE-FREE                   PIC S9(4) COMP-5 VALUE 411.
       77 SQLM-ELM-CE-FREE-BOTTOM            PIC S9(4) COMP-5 VALUE 412.
       77 SQLM-ELM-RB-FREE                   PIC S9(4) COMP-5 VALUE 413.
       77 SQLM-ELM-RB-FREE-BOTTOM            PIC S9(4) COMP-5 VALUE 414.
       77 SQLM-ELM-NUMBER-NODES              PIC S9(4) COMP-5 VALUE 415.
       77 SQLM-ELM-CONNECTION-STATUS         PIC S9(4) COMP-5 VALUE 416.
       77 SQLM-ELM-TOTAL-BUFFERS-SENT        PIC S9(4) COMP-5 VALUE 417.
       77 SQLM-ELM-TOTAL-BUFFERS-RCVD        PIC S9(4) COMP-5 VALUE 418.
       77 SQLM-ELM-LOCKS-HELD                PIC S9(4) COMP-5 VALUE 419.
       77 SQLM-ELM-LOCK-WAITS                PIC S9(4) COMP-5 VALUE 420.
       77 SQLM-ELM-LOCK-WAIT-TIME            PIC S9(4) COMP-5 VALUE 421.
       77 SQLM-ELM-LOCK-LIST-IN-USE          PIC S9(4) COMP-5 VALUE 422.
       77 SQLM-ELM-DEADLOCKS                 PIC S9(4) COMP-5 VALUE 423.
       77 SQLM-ELM-LOCK-ESCALS               PIC S9(4) COMP-5 VALUE 424.
       77 SQLM-ELM-X-LOCK-ESCALS             PIC S9(4) COMP-5 VALUE 425.
       77 SQLM-ELM-LOCKS-WAITING             PIC S9(4) COMP-5 VALUE 426.
       77 SQLM-ELM-TOTAL-SORTS               PIC S9(4) COMP-5 VALUE 427.
       77 SQLM-ELM-TOTAL-SORT-TIME           PIC S9(4) COMP-5 VALUE 428.
       77 SQLM-ELM-SORT-OVERFLOWS            PIC S9(4) COMP-5 VALUE 429.
       77 SQLM-ELM-ACTIVE-SORTS              PIC S9(4) COMP-5 VALUE 430.
       77 SQLM-ELM-POOL-DATA-L-READS         PIC S9(4) COMP-5 VALUE 431.
       77 SQLM-ELM-POOL-DATA-P-READS         PIC S9(4) COMP-5 VALUE 432.
       77 SQLM-ELM-POOL-DATA-WRITES          PIC S9(4) COMP-5 VALUE 433.
       77 SQLM-ELM-POOL-INDEX-L-READS        PIC S9(4) COMP-5 VALUE 434.
       77 SQLM-ELM-POOL-INDEX-P-READS        PIC S9(4) COMP-5 VALUE 435.
       77 SQLM-ELM-POOL-INDEX-WRITES         PIC S9(4) COMP-5 VALUE 436.
       77 SQLM-ELM-POOL-READ-TIME            PIC S9(4) COMP-5 VALUE 437.
       77 SQLM-ELM-POOL-WRITE-TIME           PIC S9(4) COMP-5 VALUE 438.
       77 SQLM-ELM-FILES-CLOSED              PIC S9(4) COMP-5 VALUE 439.
       77 SQLM-ELM-DYNAMIC-SQL-STMTS         PIC S9(4) COMP-5 VALUE 440.
       77 SQLM-ELM-STATIC-SQL-STMTS          PIC S9(4) COMP-5 VALUE 441.
       77 SQLM-ELM-SELECT-SQL-STMTS          PIC S9(4) COMP-5 VALUE 442.
       77 SQLM-ELM-DDL-SQL-STMTS             PIC S9(4) COMP-5 VALUE 443.
       77 SQLM-ELM-UID-SQL-STMTS             PIC S9(4) COMP-5 VALUE 444.
       77 SQLM-ELM-INT-AUTO-REBINDS          PIC S9(4) COMP-5 VALUE 445.
       77 SQLM-ELM-INT-ROWS-DELETED          PIC S9(4) COMP-5 VALUE 446.
       77 SQLM-ELM-INT-ROWS-UPDATED          PIC S9(4) COMP-5 VALUE 447.
       77 SQLM-ELM-INT-COMMITS               PIC S9(4) COMP-5 VALUE 448.
       77 SQLM-ELM-INT-ROLLBACKS             PIC S9(4) COMP-5 VALUE 449.
       77 SQLM-ELM-INT-DEADLOCK-RBACKS       PIC S9(4) COMP-5 VALUE 450.
       77 SQLM-ELM-ROWS-DELETED              PIC S9(4) COMP-5 VALUE 451.
       77 SQLM-ELM-ROWS-INSERTED             PIC S9(4) COMP-5 VALUE 452.
       77 SQLM-ELM-ROWS-UPDATED              PIC S9(4) COMP-5 VALUE 453.
       77 SQLM-ELM-BINDS-PRECOMPILES         PIC S9(4) COMP-5 VALUE 454.
       77 SQLM-ELM-LOCKS-HELD-TOP            PIC S9(4) COMP-5 VALUE 455.
       77 SQLM-ELM-NUM-NODES-IN-DB2-INST     PIC S9(4) COMP-5 VALUE 456.
       77 SQLM-ELM-TOTAL-CONS                PIC S9(4) COMP-5 VALUE 457.
       77 SQLM-ELM-APPLS-CUR-CONS            PIC S9(4) COMP-5 VALUE 458.
       77 SQLM-ELM-APPLS-IN-DB2              PIC S9(4) COMP-5 VALUE 459.
       77 SQLM-ELM-SEC-LOG-USED-TOP          PIC S9(4) COMP-5 VALUE 460.
       77 SQLM-ELM-TOT-LOG-USED-TOP          PIC S9(4) COMP-5 VALUE 461.
       77 SQLM-ELM-SEC-LOGS-ALLOCATED        PIC S9(4) COMP-5 VALUE 462.
       77 SQLM-ELM-POOL-ASYNC-INDEX-RDS      PIC S9(4) COMP-5 VALUE 463.
       77 SQLM-ELM-POOL-DATA-TO-ESTORE       PIC S9(4) COMP-5 VALUE 464.
       77 SQLM-ELM-POOL-INDEX-TO-ESTORE      PIC S9(4) COMP-5 VALUE 465.
       77 SQLM-ELM-POOL-INDEX-FROM-ESTRE     PIC S9(4) COMP-5 VALUE 466.
       77 SQLM-ELM-POOL-DATA-FROM-ESTORE     PIC S9(4) COMP-5 VALUE 467.
       77 SQLM-ELM-DB-STATUS                 PIC S9(4) COMP-5 VALUE 468.
       77 SQLM-ELM-LOCK-TIMEOUTS             PIC S9(4) COMP-5 VALUE 469.
       77 SQLM-ELM-CONNECTIONS-TOP           PIC S9(4) COMP-5 VALUE 470.
       77 SQLM-ELM-DB-HEAP-TOP               PIC S9(4) COMP-5 VALUE 471.
       77 SQLM-ELM-POOL-ASYNC-DATA-READS     PIC S9(4) COMP-5 VALUE 472.
       77 SQLM-ELM-POOL-ASYNC-DATA-WRTS      PIC S9(4) COMP-5 VALUE 473.
       77 SQLM-ELM-POOL-ASYNC-INDEX-WRTS     PIC S9(4) COMP-5 VALUE 474.
       77 SQLM-ELM-POOL-ASYNC-READ-TIME      PIC S9(4) COMP-5 VALUE 475.
       77 SQLM-ELM-POOL-ASYNC-WRITE-TIME     PIC S9(4) COMP-5 VALUE 476.
       77 SQLM-ELM-POOL-ASYNC-DT-RD-RQS      PIC S9(4) COMP-5 VALUE 477.
       77 SQLM-ELM-POOL-LSN-GAP-CLNS         PIC S9(4) COMP-5 VALUE 478.
       77 SQLM-ELM-POOL-DRTY-PG-STL-CLNS     PIC S9(4) COMP-5 VALUE 479.
       77 SQLM-ELM-POOL-DRTY-PG-THS-CLNS     PIC S9(4) COMP-5 VALUE 480.
       77 SQLM-ELM-DIRECT-READS              PIC S9(4) COMP-5 VALUE 481.
       77 SQLM-ELM-DIRECT-WRITES             PIC S9(4) COMP-5 VALUE 482.
       77 SQLM-ELM-DIRECT-READ-REQS          PIC S9(4) COMP-5 VALUE 483.
       77 SQLM-ELM-DIRECT-WRITE-REQS         PIC S9(4) COMP-5 VALUE 484.
       77 SQLM-ELM-DIRECT-READ-TIME          PIC S9(4) COMP-5 VALUE 485.
       77 SQLM-ELM-DIRECT-WRITE-TIME         PIC S9(4) COMP-5 VALUE 486.
       77 SQLM-ELM-INT-ROWS-INSERTED         PIC S9(4) COMP-5 VALUE 487.
       77 SQLM-ELM-LOG-READS                 PIC S9(4) COMP-5 VALUE 488.
       77 SQLM-ELM-LOG-WRITES                PIC S9(4) COMP-5 VALUE 489.
       77 SQLM-ELM-PKG-CACHE-LOOKUPS         PIC S9(4) COMP-5 VALUE 490.
       77 SQLM-ELM-PKG-CACHE-INSERTS         PIC S9(4) COMP-5 VALUE 491.
       77 SQLM-ELM-CAT-CACHE-LOOKUPS         PIC S9(4) COMP-5 VALUE 492.
       77 SQLM-ELM-CAT-CACHE-INSERTS         PIC S9(4) COMP-5 VALUE 493.
       77 SQLM-ELM-CAT-CACHE-OVERFLOWS       PIC S9(4) COMP-5 VALUE 494.
       77 SQLM-ELM-CAT-CACHE-HEAP-FULL       PIC S9(4) COMP-5 VALUE 495.
       77 SQLM-ELM-CATALOG-NODE              PIC S9(4) COMP-5 VALUE 496.
       77 SQLM-ELM-TOTAL-SEC-CONS            PIC S9(4) COMP-5 VALUE 497.
       77 SQLM-ELM-DB-LOCATION               PIC S9(4) COMP-5 VALUE 498.
       77 SQLM-ELM-SERVER-PLATFORM           PIC S9(4) COMP-5 VALUE 499.
       77 SQLM-ELM-CATALOG-NODE-NAME         PIC S9(4) COMP-5 VALUE 500.
       77 SQLM-ELM-PREFETCH-WAIT-TIME        PIC S9(4) COMP-5 VALUE 501.
       77 SQLM-ELM-APPL-SECTION-LOOKUPS      PIC S9(4) COMP-5 VALUE 502.
       77 SQLM-ELM-APPL-SECTION-INSERTS      PIC S9(4) COMP-5 VALUE 503.
       77 SQLM-ELM-TOTAL-HASH-JOINS          PIC S9(4) COMP-5 VALUE 504.
       77 SQLM-ELM-TOTAL-HASH-LOOPS          PIC S9(4) COMP-5 VALUE 505.
       77 SQLM-ELM-HASH-JOIN-OVERFLOWS       PIC S9(4) COMP-5 VALUE 506.
       77 SQLM-ELM-HASH-JOIN-SMALL-OFS       PIC S9(4) COMP-5 VALUE 507.
       77 SQLM-ELM-UOW-LOCK-WAIT-TIME        PIC S9(4) COMP-5 VALUE 508.
       77 SQLM-ELM-STMT-TYPE                 PIC S9(4) COMP-5 VALUE 509.
       77 SQLM-ELM-CURSOR-NAME               PIC S9(4) COMP-5 VALUE 510.
       77 SQLM-ELM-UOW-LOG-SPACE-USED        PIC S9(4) COMP-5 VALUE 511.
       77 SQLM-ELM-OPEN-REM-CURS             PIC S9(4) COMP-5 VALUE 512.
       77 SQLM-ELM-OPEN-REM-CURS-BLK         PIC S9(4) COMP-5 VALUE 513.
       77 SQLM-ELM-REJ-CURS-BLK              PIC S9(4) COMP-5 VALUE 514.
       77 SQLM-ELM-ACC-CURS-BLK              PIC S9(4) COMP-5 VALUE 515.
       77 SQLM-ELM-VERSION                   PIC S9(4) COMP-5 VALUE 516.
       77 SQLM-ELM-EVENT-MONITOR-NAME        PIC S9(4) COMP-5 VALUE 517.
       77 SQLM-ELM-SQL-REQS-SINCE-COMMIT     PIC S9(4) COMP-5 VALUE 518.
       77 SQLM-ELM-NUM-SEC-APPL-STRUCTS      PIC S9(4) COMP-5 VALUE 519.
       77 SQLM-ELM-BYTE-ORDER                PIC S9(4) COMP-5 VALUE 520.
       77 SQLM-ELM-PREP-TIME-WORST           PIC S9(4) COMP-5 VALUE 521.
       77 SQLM-ELM-ROWS-READ                 PIC S9(4) COMP-5 VALUE 522.
       77 SQLM-ELM-ROWS-WRITTEN              PIC S9(4) COMP-5 VALUE 523.
       77 SQLM-ELM-OPEN-LOC-CURS             PIC S9(4) COMP-5 VALUE 524.
       77 SQLM-ELM-OPEN-LOC-CURS-BLK         PIC S9(4) COMP-5 VALUE 525.
       77 SQLM-ELM-COORD-NODE                PIC S9(4) COMP-5 VALUE 526.
       77 SQLM-ELM-NUM-AGENTS                PIC S9(4) COMP-5 VALUE 527.
       77 SQLM-ELM-ASSOCIATED-AGENTS-TOP     PIC S9(4) COMP-5 VALUE 528.
       77 SQLM-ELM-APPL-PRIORITY             PIC S9(4) COMP-5 VALUE 529.
       77 SQLM-ELM-APPL-PRIORITY-TYPE        PIC S9(4) COMP-5 VALUE 530.
       77 SQLM-ELM-DEGREE-PARALLELISM        PIC S9(4) COMP-5 VALUE 531.
       77 SQLM-ELM-STMT-SORTS                PIC S9(4) COMP-5 VALUE 532.
       77 SQLM-ELM-STMT-USR-CPU-TIME         PIC S9(4) COMP-5 VALUE 533.
       77 SQLM-ELM-STMT-SYS-CPU-TIME         PIC S9(4) COMP-5 VALUE 534.
       77 SQLM-ELM-SS-NUMBER                 PIC S9(4) COMP-5 VALUE 535.
       77 SQLM-ELM-SS-STATUS                 PIC S9(4) COMP-5 VALUE 536.
       77 SQLM-ELM-SS-NODE-NUMBER            PIC S9(4) COMP-5 VALUE 537.
       77 SQLM-ELM-SS-EXEC-TIME              PIC S9(4) COMP-5 VALUE 538.
       77 SQLM-ELM-PREP-TIME-BEST            PIC S9(4) COMP-5 VALUE 539.
       77 SQLM-ELM-NUM-COMPILATIONS          PIC S9(4) COMP-5 VALUE 540.
       77 SQLM-ELM-TQ-NODE-WAITED-FOR        PIC S9(4) COMP-5 VALUE 541.
       77 SQLM-ELM-TQ-WAIT-FOR-ANY           PIC S9(4) COMP-5 VALUE 542.
       77 SQLM-ELM-TQ-ID-WAITING-ON          PIC S9(4) COMP-5 VALUE 543.
       77 SQLM-ELM-TQ-TOT-SEND-SPILLS        PIC S9(4) COMP-5 VALUE 544.
       77 SQLM-ELM-TQ-CUR-SEND-SPILLS        PIC S9(4) COMP-5 VALUE 545.
       77 SQLM-ELM-TQ-MAX-SEND-SPILLS        PIC S9(4) COMP-5 VALUE 546.
       77 SQLM-ELM-TQ-ROWS-READ              PIC S9(4) COMP-5 VALUE 547.
       77 SQLM-ELM-LOCK-ESCALATION           PIC S9(4) COMP-5 VALUE 550.
       77 SQLM-ELM-SUBSECTION-NUMBER         PIC S9(4) COMP-5 VALUE 551.
       77 SQLM-ELM-LOCK-MODE                 PIC S9(4) COMP-5 VALUE 552.
       77 SQLM-ELM-LOCK-OBJECT-TYPE          PIC S9(4) COMP-5 VALUE 553.
       77 SQLM-ELM-NUM-EXECUTIONS            PIC S9(4) COMP-5 VALUE 554.
       77 SQLM-ELM-TABLE-NAME                PIC S9(4) COMP-5 VALUE 555.
       77 SQLM-ELM-TABLE-SCHEMA              PIC S9(4) COMP-5 VALUE 556.
       77 SQLM-ELM-TABLESPACE-NAME           PIC S9(4) COMP-5 VALUE 557.
       77 SQLM-ELM-AGENT-ID-HOLDING-LK       PIC S9(4) COMP-5 VALUE 558.
       77 SQLM-ELM-APPL-ID-HOLDING-LK        PIC S9(4) COMP-5 VALUE 559.
       77 SQLM-ELM-NUM-TABLES                PIC S9(4) COMP-5 VALUE 560.
       77 SQLM-ELM-TABLE-FILE-ID             PIC S9(4) COMP-5 VALUE 561.
       77 SQLM-ELM-TABLE-TYPE                PIC S9(4) COMP-5 VALUE 562.
       77 SQLM-ELM-OVERFLOW-ACCESSES         PIC S9(4) COMP-5 VALUE 563.
       77 SQLM-ELM-PAGE-REORGS               PIC S9(4) COMP-5 VALUE 564.
       77 SQLM-ELM-SQLCABC                   PIC S9(4) COMP-5 VALUE 565.
       77 SQLM-ELM-LOCK-STATUS               PIC S9(4) COMP-5 VALUE 566.
       77 SQLM-ELM-LOCK-OBJECT-NAME          PIC S9(4) COMP-5 VALUE 567.
       77 SQLM-ELM-RF-STATUS                 PIC S9(4) COMP-5 VALUE 570.
       77 SQLM-ELM-TS-NAME                   PIC S9(4) COMP-5 VALUE 571.
       77 SQLM-ELM-BP-NAME                   PIC S9(4) COMP-5 VALUE 572.
       77 SQLM-ELM-STMT-NODE-NUMBER          PIC S9(4) COMP-5 VALUE 573.
       77 SQLM-ELM-PARTIAL-RECORD            PIC S9(4) COMP-5 VALUE 574.
       77 SQLM-ELM-SYSTEM-CPU-TIME           PIC S9(4) COMP-5 VALUE 575.
       77 SQLM-ELM-SQLCA                     PIC S9(4) COMP-5 VALUE 576.
       77 SQLM-ELM-SQLCODE                   PIC S9(4) COMP-5 VALUE 577.
       77 SQLM-ELM-SQLERRML                  PIC S9(4) COMP-5 VALUE 578.
       77 SQLM-ELM-SQLERRMC                  PIC S9(4) COMP-5 VALUE 579.
       77 SQLM-ELM-SQLERRP                   PIC S9(4) COMP-5 VALUE 580.
       77 SQLM-ELM-SQLERRD                   PIC S9(4) COMP-5 VALUE 581.
       77 SQLM-ELM-SQLWARN                   PIC S9(4) COMP-5 VALUE 582.
       77 SQLM-ELM-SQLSTATE                  PIC S9(4) COMP-5 VALUE 583.
       77 SQLM-ELM-UOW-STATUS                PIC S9(4) COMP-5 VALUE 584.
       77 SQLM-ELM-TOTAL-SYS-CPU-TIME        PIC S9(4) COMP-5 VALUE 585.
       77 SQLM-ELM-TOTAL-USR-CPU-TIME        PIC S9(4) COMP-5 VALUE 586.
       77 SQLM-ELM-LOCK-MODE-REQUESTED       PIC S9(4) COMP-5 VALUE 587.
       77 SQLM-ELM-INACTIVE-GW-AGENTS        PIC S9(4) COMP-5 VALUE 588.
       77 SQLM-ELM-NUM-GW-CONN-SWITCHES      PIC S9(4) COMP-5 VALUE 589.
       77 SQLM-ELM-GW-COMM-ERRORS            PIC S9(4) COMP-5 VALUE 590.
       77 SQLM-ELM-GW-COMM-ERROR-TIME        PIC S9(4) COMP-5 VALUE 591.
       77 SQLM-ELM-GW-CON-START-TIME         PIC S9(4) COMP-5 VALUE 592.
       77 SQLM-ELM-CON-RESPONSE-TIME         PIC S9(4) COMP-5 VALUE 593.
       77 SQLM-ELM-CON-ELAPSED-TIME          PIC S9(4) COMP-5 VALUE 594.
       77 SQLM-ELM-HOST-RESPONSE-TIME        PIC S9(4) COMP-5 VALUE 595.
       77 SQLM-ELM-PKG-CACHE-NUM-OFS         PIC S9(4) COMP-5 VALUE 596.
       77 SQLM-ELM-PKG-CACHE-SIZE-TOP        PIC S9(4) COMP-5 VALUE 597.
       77 SQLM-ELM-APPL-ID-OLDEST-XACT       PIC S9(4) COMP-5 VALUE 598.
       77 SQLM-ELM-TOTAL-LOG-USED            PIC S9(4) COMP-5 VALUE 599.
       77 SQLM-ELM-TOTAL-LOG-AVAILABLE       PIC S9(4) COMP-5 VALUE 600.
       77 SQLM-ELM-STMT-ELAPSED-TIME         PIC S9(4) COMP-5 VALUE 601.
       77 SQLM-ELM-UOW-ELAPSED-TIME          PIC S9(4) COMP-5 VALUE 602.
       77 SQLM-ELM-SQLCAID                   PIC S9(4) COMP-5 VALUE 603.
      
      ******************************************************************
      * Database Monitor Data Structures
      ******************************************************************

      **********************************************************************
      *  Dynamic (V6) Monitor Stream structures
      **********************************************************************
       01 SQLM-HEADER-INFO.
          05 SQLM-SIZE              PIC 9(9) COMP-5.
          05 SQLM-TYPE              PIC 9(4) COMP-5.
          05 ELEMENT                PIC 9(4) COMP-5.
        
       01 SQLM-HEADER-DATA.
          05 HEADER.
             10 SQLM-SIZE           PIC 9(9) COMP-5.
             10 SQLM-TYPE           PIC 9(4) COMP-5.
             10 ELEMENT             PIC 9(4) COMP-5.
          05 SQLM-DATA                   PIC X(1).

      ******************************************************************
      *  SQL Monitor Area
      ******************************************************************

       01 SQLMA.
          05 OBJ-NUM                 PIC 9(9) COMP-5.
          05 OBJ-VAR OCCURS 0 TO 100 TIMES DEPENDING ON OBJ-NUM.
             10 AGENT-ID             PIC 9(9) COMP-5.
             10 OBJ-TYPE             PIC 9(9) COMP-5.
             10 SQLMA-OBJECT         PIC X(36).

      ******************************************************************
      * time stamp data structure
      ******************************************************************

       01 SQLM-TIMESTAMP.
          05 SECONDS                 PIC 9(9) COMP-5.
          05 MICROSEC                PIC 9(9) COMP-5.

      ******************************************************************
      * Elpased time data structure  (For CPU times)
      ******************************************************************

       01 SQLM-TIME.
          05 SECONDS                 PIC 9(9) COMP-5.
          05 MICROSEC                PIC 9(9) COMP-5.

      ******************************************************************
      * State information for each monitor group
      ******************************************************************

       01 SQLM-RECORDING-GROUP.
          05 SQLM-RECORDING-GROUP-STATES OCCURS 6 TIMES.
             10 INPUT-STATE          PIC 9(9) COMP-5.
             10 OUTPUT-STATE         PIC 9(9) COMP-5.
             10 START-TIME.
                15 SECONDS           PIC 9(9) COMP-5.
                15 MICROSEC          PIC 9(9) COMP-5.

      ******************************************************************
      * collection count data structure returned from get monitor info
      ******************************************************************

       01 SQLM-COLLECTED.
          05 SQLM-SIZE               PIC 9(9) COMP-5.
          05 DB2                     PIC 9(9) COMP-5.
          05 DATABASES               PIC 9(9) COMP-5.
          05 TABLE-DATABASES         PIC 9(9) COMP-5.
          05 LOCK-DATABASES          PIC 9(9) COMP-5.
          05 APPLICATIONS            PIC 9(9) COMP-5.
          05 APPLINFOS               PIC 9(9) COMP-5.
          05 DCS-APPLINFOS           PIC 9(9) COMP-5.
          05 SERVER-DB2-TYPE         PIC 9(9) COMP-5.
          05 TIME-STAMP.
             10 SECONDS              PIC 9(9) COMP-5.
             10 MICROSEC             PIC 9(9) COMP-5.
          05 GROUP-STATES OCCURS 6.
             10 INPUT-STATE          PIC 9(9) COMP-5.
             10 OUTPUT-STATE         PIC 9(9) COMP-5.
             10 START-TIME.
                15 SECONDS           PIC 9(9) COMP-5.
                15 MICROSEC          PIC 9(9) COMP-5.
          05 SERVER-PRDID            PIC X(20).
          05 SERVER-NNAME            PIC X(20).
          05 SERVER-INSTANCE-NAME    PIC X(20).
          05 RESERVED                PIC X(22).
          05 NODE-NUMBER             PIC 9(5) COMP-5.
          05 TIME-ZONE-DISP          PIC S9(9) COMP-5.
          05 NUM-TOP-LEVEL-STRUCTS   PIC 9(9) COMP-5.
          05 TABLESPACE-DATABASES    PIC 9(9) COMP-5.
          05 SERVER-VERSION          PIC 9(9) COMP-5.
