      *************************************************************************
      * 
      * Source File Name: db2ApiDf
      * 
      * (C) COPYRIGHT International Business Machines Corp. 1987, 1997
      * All Rights Reserved
      * Licensed Materials - Property of IBM
      * 
      * US Government Users Restricted Rights - Use, duplication or
      * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
      * 
      * Function = Include File defining:
      *              Environment Commands - Constants
      *              Environment Commands - Structures
      *              Environment Commands - Function Prototypes
      *              Environment Commands - Labels for SQLCODES
      * 
      * Operating System: LINUX
      * 
      **************************************************************************

      * Version, Release PTF identifier
      * Pre Version 6.1.0.0
       77  DB2VERSION6PRIOR          PIC S9(4) COMP-5 VALUE 0.
      * Version 6.1.0.0
       77  DB2VERSION610             PIC S9(9) COMP-5 VALUE 6010000.
      * Version 7.1.0.0
       77  DB2VERSION710             PIC S9(9) COMP-5 VALUE 7010000.

      *************************************************************************
      * Structure db2Char
      * 
      * Description:
      *     pioData  -- Pointer to character data.
      *              -- If NULL, no data will be returned.
      * 
      *     iLength  -- Input:  Size of the pData buffer.
      * 
      *     oLength  -- Output: Length of valid data in pData.
      *              -- If the output data was truncated, this will be set to
      *                 the complete size before truncation
      **************************************************************************
       01 DB2CHAR.
      * Character data
           05 DB2-PIO-DATA           USAGE IS POINTER.
      * I:  Length of pioData
           05 DB2-I-LENGTH           PIC 9(9) COMP-5.
      * O:  Untruncated length of data
           05 DB2-O-LENGTH           PIC 9(9) COMP-5.

      *************************************************************************
      * Load Query Structures and Constants
      **************************************************************************

      * Possible values for "iStringType"
      * Tablename specified
       77  DB2LOADQUERY-TABLENAME    PIC S9(4) COMP-5 VALUE 0.
       77  DB2LOADQUERY-TEMPPATHNAME PIC S9(4) COMP-5 VALUE 1.

      * Possible values for "iShowLoadMessages"
      * Show ALL LOAD messages
       77  DB2LOADQUERY-SHOW-ALL-MSGS PIC S9(4) COMP-5 VALUE 0.
      * Show NO LOAD messages
       77  DB2LOADQUERY-SHOW-NO-MSGS PIC S9(4) COMP-5 VALUE 1.
      * Show only NEW LOAD messages
       77  DB2LOADQUERY-SHOW-NEW-MSGS PIC S9(4) COMP-5 VALUE 2.

      * Possible values for "oWhichPhase"
      * Load Phase
       77  DB2LOADQUERY-LOAD-PHASE   PIC S9(4) COMP-5 VALUE 1.
      * Build Phase
       77  DB2LOADQUERY-BUILD-PHASE  PIC S9(4) COMP-5 VALUE 2.
      * Delete Phase
       77  DB2LOADQUERY-DELETE-PHASE PIC S9(4) COMP-5 VALUE 3.

      * Load Query Output Structure
       01 DB2LOAD-QUERY-OUTPUT-STRUCT.
      * Rows Read
           05 DB2-O-ROWS-READ        PIC 9(9) COMP-5.
      * Rows Skipped
           05 DB2-O-ROWS-SKIPPED     PIC 9(9) COMP-5.
      * Rows Committed
           05 DB2-O-ROWS-COMMITTED   PIC 9(9) COMP-5.
      * Rows Loaded
           05 DB2-O-ROWS-LOADED      PIC 9(9) COMP-5.
      * Rows Rejected
           05 DB2-O-ROWS-REJECTED    PIC 9(9) COMP-5.
      * Rows Deleted
           05 DB2-O-ROWS-DELETED     PIC 9(9) COMP-5.
      * Current Index (BUILD PHASE)
           05 DB2-O-CURRENT-INDEX    PIC 9(9) COMP-5.
      * Total # of Indexes to build (BUILD PHASE)
           05 DB2-O-NUM-TOTAL-INDEXES PIC 9(9) COMP-5.
      * Node being queried (MPP only)
           05 DB2-O-CURRENT-MPPNODE  PIC 9(9) COMP-5.
      * Load Restart indicator
           05 DB2-O-LOAD-RESTARTED   PIC 9(9) COMP-5.
      * Phase of queried Load
           05 DB2-O-WHICH-PHASE      PIC 9(9) COMP-5.
      * Warning Count
           05 DB2-O-WARNING-COUNT    PIC 9(9) COMP-5.

      * Generic Load Query Parameter Structure
       01 DB2G-LOAD-QUERY-STRUCT.
      * Type of piString
           05 DB2-I-STRING-TYPE      PIC 9(9) COMP-5.
      * Length in bytes of piString
           05 DB2-I-STRING-LEN       PIC 9(9) COMP-5.
      * Name to query
           05 DB2-PI-STRING          USAGE IS POINTER.
      * Level of Load message reporting
           05 DB2-I-SHOW-LOAD-MESSAGES PIC 9(9) COMP-5.
      * Load Query Output Structure
           05 DB2-PO-OUTPUT-STRUCT   USAGE IS POINTER.
      * Length in bytes of message file variable
           05 DB2-I-LOCAL-MESSAGE-FILE-LEN PIC 9(9) COMP-5.
      * Message File
           05 DB2-PI-LOCAL-MESSAGE-FILE USAGE IS POINTER.

      *************************************************************************
      * Open History Scan Definitions
      **************************************************************************

      * Values for db2HistoryOpen - iCallerAction
       77  DB2HISTORY-LIST-HISTORY   PIC S9(4) COMP-5 VALUE 0.
       77  DB2HISTORY-LIST-BACKUP    PIC S9(4) COMP-5 VALUE 1.
       77  DB2HISTORY-LIST-ROLLFORWARD PIC S9(4) COMP-5 VALUE 2.
       77  DB2HISTORY-LIST-RUNSTATS  PIC S9(4) COMP-5 VALUE 3.
       77  DB2HISTORY-LIST-REORG     PIC S9(4) COMP-5 VALUE 4.
       77  DB2HISTORY-LIST-ALT-TABLESPACE PIC S9(4) COMP-5 VALUE 5.
       77  DB2HISTORY-LIST-DROPPED-TABLE PIC S9(4) COMP-5 VALUE 6.
       77  DB2HISTORY-LIST-LOAD      PIC S9(4) COMP-5 VALUE 7.
       77  DB2HISTORY-LIST-REN-TABLESPACE PIC S9(4) COMP-5 VALUE 8.
       77  DB2HISTORY-LIST-CRT-TABLESPACE PIC S9(4) COMP-5 VALUE 9.

      * db2gHistoryOpen input struct
       01 DB2G-HISTORY-OPEN-STRUCT.
      * DB to fetch history from
           05 DB2-PI-DATABASE-ALIAS  USAGE IS POINTER.
      * Since this timestamp
           05 DB2-PI-TIMESTAMP       USAGE IS POINTER.
      * Entries containing this object
           05 DB2-PI-OBJECT-NAME     USAGE IS POINTER.
      * Length of database alias string
           05 DB2-I-ALIAS-LEN        PIC 9(9) COMP-5 VALUE 0.
      * Length of timestamp string
           05 DB2-I-TIMESTAMP-LEN    PIC 9(9) COMP-5 VALUE 0.
      * Length of object name string
           05 DB2-I-OBJECT-NAME-LEN  PIC 9(9) COMP-5 VALUE 0.
      * # of entries matching search
           05 DB2-O-NUM-ROWS         PIC 9(9) COMP-5.
      * Max. # of tablespace names stored with ANY history entry
           05 DB2-O-MAX-TBSPACES     PIC 9(9) COMP-5.
      * Caller action
           05 DB2-I-CALLER-ACTION    PIC 9(4) COMP-5.
      * Handle for this scan
           05 DB2-O-HANDLE           PIC 9(4) COMP-5.

      * db2gHistoryOpenScan - Generic API

      *************************************************************************
      * Fetch Next History Entry Definititions
      **************************************************************************

      * Structure db2HistoryEID
       01 DB2HISTORY-EID.
      * Node number
           05 DB2-IO-NODE            PIC S9(4) COMP-5.
           05 FILLER                 PIC X(2)
                                     USAGE DISPLAY NATIVE.
      * Local history file entry ID
           05 DB2-IO-HID             PIC 9(9) COMP-5.

      * Max Sizes of db2HistoryDataStruct db2Char fields
      * NOTE:  These lengths do not include NULL terminators
       77  DB2HISTORY-TIMESTAMP-SZ   PIC S9(4) COMP-5 VALUE 14.
       77  DB2HISTORY-SEQNUM-SZ      PIC S9(4) COMP-5 VALUE 3.
       77  DB2HISTORY-OBJPART-SZ     PIC S9(4) COMP-5 VALUE 17.
       77  DB2HISTORY-LOGFILE-SZ     PIC S9(4) COMP-5 VALUE 12.
       77  DB2HISTORY-ID-SZ          PIC S9(4) COMP-5 VALUE 24.
       77  DB2HISTORY-TABLE-QUAL-SZ  PIC S9(4) COMP-5 VALUE 30.
       77  DB2HISTORY-TABLE-NAME-SZ  PIC S9(4) COMP-5 VALUE 128.
       77  DB2HISTORY-LOCATION-SZ    PIC S9(4) COMP-5 VALUE 255.
       77  DB2HISTORY-COMMENT-SZ     PIC S9(4) COMP-5 VALUE 30.
       77  DB2HISTORY-COMMAND-SZ     PIC S9(9) COMP-5 VALUE 65535.

      * Structure db2HistoryData
      * 
      * Description:
      *      ioHistDataID      -- Eye catcher, must be set to "SQLUHINF"
      * 
      *      oObjectPart       -- Start time + sequence number
      *                        -- DB2HISTORY_OBJPART_SZ
      * 
      *      oEndTime          -- Completion timestamp
      *                        -- DB2HISTORY_TIMESTAMP_SZ
      * 
      *      oFirstLog         -- First log file referrenced by event
      *                        -- DB2HISTORY_LOGFILE_SZ
      * 
      *      oLastLog          -- Last log file referrenced by event
      *                        -- DB2HISTORY_LOGFILE_SZ
      * 
      *      oID               -- Backup ID (timestamp), or unique table ID
      *                        -- DB2HISTORY_ID_SZ
      * 
      *      oTableQualifier   -- Table qualifier
      *                        -- DB2HISTORY_TABLE_QUAL_SZ
      * 
      *      oTableName        -- Table name
      *                        -- DB2HISTORY_TABLE_NAME_SZ
      * 
      *      oLocation         -- Location of object used or produced by
      * event
      *                        -- DB2HISTORY_LOCATION_SZ
      * 
      *      oComment          -- Text comment
      *                        -- DB2HISTORY_COMMENT_SZ
      * 
      *      oCommandText      -- Command text, or DDL
      *                        -- DB2HISTORY_COMMAND_SZ
      * 
      *      oLastLSN          -- Last Log Sequence Number
      *      poEventSQLCA      -- SQLCA returned at event completion
      *      poTablespace      -- LIST of tablespace names
      *      iNumTablespaces   -- # of available entries in the poTablespace
      * list
      *      oNumTablespaces   -- # of used entries in the poTablespace list
      *      oEID              -- Unique history entry ID
      *      oOperation        -- Event type:        DB2HISTORY_TYPE_*
      *      oObject           -- Event granularity: DB2HISTORY_GRAN_*
      *      oOptype           -- Event details:     DB2HISTORY_OPTYPE_*
      *      oStatus           -- Entry status:      DB2HISTORY_STATUS_*
      *      oDeviceType       -- Type of oLocation: DB2_MEDIA_*

      * db2HistoryData structure.
       01 DB2HISTORY-DATA.
           05 DB2-IO-HIST-DATA-ID    PIC X(8)
                                     USAGE DISPLAY NATIVE.
           05 DB2-O-OBJECT-PART.
               10 DB2-PIO-DATA       USAGE IS POINTER.
               10 DB2-I-LENGTH       PIC 9(9) COMP-5 VALUE 0.
               10 DB2-O-LENGTH       PIC 9(9) COMP-5 VALUE 0.
           05 DB2-O-END-TIME.
               10 DB2-PIO-DATA       USAGE IS POINTER.
               10 DB2-I-LENGTH       PIC 9(9) COMP-5 VALUE 0.
               10 DB2-O-LENGTH       PIC 9(9) COMP-5 VALUE 0.
           05 DB2-O-FIRST-LOG.
               10 DB2-PIO-DATA       USAGE IS POINTER.
               10 DB2-I-LENGTH       PIC 9(9) COMP-5 VALUE 0.
               10 DB2-O-LENGTH       PIC 9(9) COMP-5 VALUE 0.
           05 DB2-O-LAST-LOG.
               10 DB2-PIO-DATA       USAGE IS POINTER.
               10 DB2-I-LENGTH       PIC 9(9) COMP-5 VALUE 0.
               10 DB2-O-LENGTH       PIC 9(9) COMP-5 VALUE 0.
           05 DB2-O-ID.
               10 DB2-PIO-DATA       USAGE IS POINTER.
               10 DB2-I-LENGTH       PIC 9(9) COMP-5 VALUE 0.
               10 DB2-O-LENGTH       PIC 9(9) COMP-5 VALUE 0.
           05 DB2-O-TABLE-QUALIFIER.
               10 DB2-PIO-DATA       USAGE IS POINTER.
               10 DB2-I-LENGTH       PIC 9(9) COMP-5 VALUE 0.
               10 DB2-O-LENGTH       PIC 9(9) COMP-5 VALUE 0.
           05 DB2-O-TABLE-NAME.
               10 DB2-PIO-DATA       USAGE IS POINTER.
               10 DB2-I-LENGTH       PIC 9(9) COMP-5 VALUE 0.
               10 DB2-O-LENGTH       PIC 9(9) COMP-5 VALUE 0.
           05 DB2-O-LOCATION.
               10 DB2-PIO-DATA       USAGE IS POINTER.
               10 DB2-I-LENGTH       PIC 9(9) COMP-5 VALUE 0.
               10 DB2-O-LENGTH       PIC 9(9) COMP-5 VALUE 0.
           05 DB2-O-COMMENT.
               10 DB2-PIO-DATA       USAGE IS POINTER.
               10 DB2-I-LENGTH       PIC 9(9) COMP-5 VALUE 0.
               10 DB2-O-LENGTH       PIC 9(9) COMP-5 VALUE 0.
           05 DB2-O-COMMAND-TEXT.
               10 DB2-PIO-DATA       USAGE IS POINTER.
               10 DB2-I-LENGTH       PIC 9(9) COMP-5 VALUE 0.
               10 DB2-O-LENGTH       PIC 9(9) COMP-5 VALUE 0.
      * Structure SQLU_LSN
           05 DB2-O-LAST-LSN.
               10 SQL-LSN-CHAR       PIC X(6)
                                     USAGE DISPLAY NATIVE.
               10 SQL-LSN-WORD       REDEFINES SQL-LSN-CHAR
                                     PIC 9(4) COMP-5 OCCURS 3 TIMES.
               10 FILLER             REDEFINES SQL-LSN-CHAR
                                     PIC X(6)
                                     USAGE DISPLAY NATIVE.
               10 FILLER             PIC X(2)
                                     USAGE DISPLAY NATIVE.
      * Structure db2HistoryEID
           05 DB2-O-EID.
               10 DB2-IO-NODE        PIC S9(4) COMP-5 VALUE 0.
               10 FILLER             PIC X(2)
                                     USAGE DISPLAY NATIVE.
               10 DB2-IO-HID         PIC 9(9) COMP-5 VALUE 0.
      * Result SQLCA from event
           05 DB2-PO-EVENT-SQLCA     USAGE IS POINTER.
           05 DB2-PO-TABLESPACE      USAGE IS POINTER.
           05 DB2-I-NUM-TABLESPACES  PIC 9(9) COMP-5 VALUE 0.
           05 DB2-O-NUM-TABLESPACES  PIC 9(9) COMP-5 VALUE 0.
           05 DB2-O-OPERATION        PIC X
                                     USAGE DISPLAY NATIVE.
           05 DB2-O-OBJECT           PIC X
                                     USAGE DISPLAY NATIVE.
           05 DB2-O-OPTYPE           PIC X
                                     USAGE DISPLAY NATIVE.
           05 DB2-O-STATUS           PIC X
                                     USAGE DISPLAY NATIVE.
           05 DB2-O-DEVICE-TYPE      PIC X
                                     USAGE DISPLAY NATIVE.
           05 FILLER                 PIC X(3)
                                     USAGE DISPLAY NATIVE.

      * Values for db2HistoryGetEntry - iCallerAction
      * Next entry, without command data
       77  DB2HISTORY-GET-ENTRY      PIC S9(4) COMP-5 VALUE 0.
      * ONLY command data from previous fetch
       77  DB2HISTORY-GET-DDL        PIC S9(4) COMP-5 VALUE 1.
      * Next entry, with all data
       77  DB2HISTORY-GET-ALL        PIC S9(4) COMP-5 VALUE 2.

      * db2HistoryGetEntry input struct
       01 DB2HISTORY-GET-ENTRY-STRUCT.
      * History entry data area
           05 DB2-PIO-HIST-DATA      USAGE IS POINTER.
      * History scan handle
           05 DB2-I-HANDLE           PIC 9(4) COMP-5.
      * Caller action
           05 DB2-I-CALLER-ACTION    PIC 9(4) COMP-5.

      * db2gHistoryGetEntry - Generic API

      * History Operations
       77  DB2HIST-OP-CRT-TABLESPACE PIC X(1) value "A"
                                     USAGE DISPLAY NATIVE.
       77  DB2HIST-OP-BACKUP         PIC X(1) value "B"
                                     USAGE DISPLAY NATIVE.
       77  DB2HIST-OP-LOAD-COPY      PIC X(1) value "C"
                                     USAGE DISPLAY NATIVE.
       77  DB2HIST-OP-DROPPED-TABLE  PIC X(1) value "D"
                                     USAGE DISPLAY NATIVE.
       77  DB2HIST-OP-ROLLFWD        PIC X(1) value "F"
                                     USAGE DISPLAY NATIVE.
       77  DB2HIST-OP-REORG          PIC X(1) value "G"
                                     USAGE DISPLAY NATIVE.
       77  DB2HIST-OP-LOAD           PIC X(1) value "L"
                                     USAGE DISPLAY NATIVE.
       77  DB2HIST-OP-REN-TABLESPACE PIC X(1) value "N"
                                     USAGE DISPLAY NATIVE.
       77  DB2HIST-OP-DROP-TABLESPACE PIC X(1) value "O"
                                     USAGE DISPLAY NATIVE.
       77  DB2HIST-OP-QUIESCE        PIC X(1) value "Q"
                                     USAGE DISPLAY NATIVE.
       77  DB2HIST-OP-RESTORE        PIC X(1) value "R"
                                     USAGE DISPLAY NATIVE.
       77  DB2HIST-OP-RUNSTATS       PIC X(1) value "S"
                                     USAGE DISPLAY NATIVE.
       77  DB2HIST-OP-ALT-TBS        PIC X(1) value "T"
                                     USAGE DISPLAY NATIVE.
       77  DB2HIST-OP-UNLOAD         PIC X(1) value "U"
                                     USAGE DISPLAY NATIVE.

      * History Objects
       77  DB2HISTORY-GRAN-DB        PIC X(1) value "D"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-GRAN-TBS       PIC X(1) value "P"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-GRAN-TABLE     PIC X(1) value "T"
                                     USAGE DISPLAY NATIVE.

      * Backup Optypes
       77  DB2HISTORY-OPTYPE-OFFLINE PIC X(1) value "F"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-OPTYPE-ONLINE  PIC X(1) value "N"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-OPTYPE-INCR-OFFLINE PIC X(1) value "I"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-OPTYPE-INCR-ONLINE PIC X(1) value "O"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-OPTYPE-DELT-OFFLINE PIC X(1) value "D"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-OPTYPE-DELT-ONLINE PIC X(1) value "E"
                                     USAGE DISPLAY NATIVE.

      * Quiesce Optypes
       77  DB2HISTORY-OPTYPE-SHARE   PIC X(1) value "S"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-OPTYPE-UPDATE  PIC X(1) value "U"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-OPTYPE-EXCL    PIC X(1) value "X"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-OPTYPE-RESET   PIC X(1) value "Z"
                                     USAGE DISPLAY NATIVE.

      * Rollforward Optypes
       77  DB2HISTORY-OPTYPE-EOL     PIC X(1) value "E"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-OPTYPE-PIT     PIC X(1) value "P"
                                     USAGE DISPLAY NATIVE.

      * Load Optypes
       77  DB2HISTORY-OPTYPE-INSERT  PIC X(1) value "I"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-OPTYPE-REPLACE PIC X(1) value "R"
                                     USAGE DISPLAY NATIVE.

      * Alter Tablespace Optypes
       77  DB2HISTORY-OPTYPE-ADD-CONT PIC X(1) value "C"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-OPTYPE-REB     PIC X(1) value "R"
                                     USAGE DISPLAY NATIVE.

      * History Entry Status Flags
       77  DB2HISTORY-STATUS-ACTIVE  PIC X(1) value "A"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-STATUS-INACTIVE PIC X(1) value "I"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-STATUS-EXPIRED PIC X(1) value "E"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-STATUS-DELETED PIC X(1) value "D"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-STATUS-NC      PIC X(1) value "N"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-STATUS-INCMP-ACTV PIC X(1) value "a"
                                     USAGE DISPLAY NATIVE.
       77  DB2HISTORY-STATUS-INCMP-INACTV PIC X(1) value "i"
                                     USAGE DISPLAY NATIVE.


      * db2gHistoryCloseScan - Generic API

      *************************************************************************
      * Update History Entry Definititions
      **************************************************************************

      * Update history API input struct
       01 DB2G-HISTORY-UPDATE-STRUCT.
           05 DB2-PI-NEW-LOCATION    USAGE IS POINTER.
           05 DB2-PI-NEW-DEVICE-TYPE USAGE IS POINTER.
           05 DB2-PI-NEW-COMMENT     USAGE IS POINTER.
           05 DB2-I-NEW-LOCATION-LEN PIC 9(9) COMP-5 VALUE 0.
           05 DB2-I-NEW-DEVICE-LEN   PIC 9(9) COMP-5 VALUE 0.
           05 DB2-I-NEW-COMMENT-LEN  PIC 9(9) COMP-5 VALUE 0.
      * ID of the entry to be updated
           05 DB2-I-EID.
      * Node number
               10 DB2-IO-NODE        PIC S9(4) COMP-5.
               10 FILLER             PIC X(2)
                                     USAGE DISPLAY NATIVE.
      * Local history file entry ID
               10 DB2-IO-HID         PIC 9(9) COMP-5.

      * db2gHistoryUpdate - Generic API

      *************************************************************************
      * Precompiler API Related Definitions
      **************************************************************************

      * Generic Compile SQL Parmeter Structure
       01 DB2G-COMPILE-SQL-STRUCT.
      * SQL statement text length
           05 DB2-PI-SQL-STMT-LEN    USAGE IS POINTER.
      * SQL statement text
           05 DB2-PI-SQL-STMT        USAGE IS POINTER.
      * Source Line Number
           05 DB2-PI-LINE-NUM        USAGE IS POINTER.
      * SQL Flagger information
           05 DB2-PIO-FLAG-INFO      USAGE IS POINTER.
      * Token ID Array
           05 DB2-PIO-TOKEN-ID-ARRAY USAGE IS POINTER.
      * Task Array
           05 DB2-PO-TASK-ARRAY      USAGE IS POINTER.
      * Section Number
           05 DB2-PO-SECTION-NUM     USAGE IS POINTER.
      * Type of SQL statement
           05 DB2-PO-SQL-STMT-TYPE   USAGE IS POINTER.
      * 256 byte string buffer 1
           05 DB2-PO-BUFFER1         USAGE IS POINTER.
      * 256 byte string buffer 2
           05 DB2-PO-BUFFER2         USAGE IS POINTER.
      * 256 byte string buffer 3
           05 DB2-PO-BUFFER3         USAGE IS POINTER.
      * Reserved
           05 DB2-PIO-RESERVED       USAGE IS POINTER.

      * Generic Initialization Parmeter Structure
       01 DB2G-INIT-STRUCT.
      * Program name length
           05 DB2-PI-PROGRAM-NAME-LENGTH USAGE IS POINTER.
      * Program name
           05 DB2-PI-PROGRAM-NAME    USAGE IS POINTER.
      * Database name length
           05 DB2-PI-DB-NAME-LENGTH  USAGE IS POINTER.
      * Database name
           05 DB2-PI-DB-NAME         USAGE IS POINTER.
      * Password length
           05 DB2-PI-DB-PASSWORD-LENGTH USAGE IS POINTER.
      * Password
           05 DB2-PI-DB-PASSWORD     USAGE IS POINTER.
      * Bindfile name length
           05 DB2-PI-BIND-NAME-LENGTH USAGE IS POINTER.
      * Bindfile name
           05 DB2-PI-BIND-NAME       USAGE IS POINTER.
      * Precompiler options array
           05 DB2-PI-OPTIONS-ARRAY   USAGE IS POINTER.
      * Precompiler program ID buffer length
           05 DB2-PI-PID-LENGTH      USAGE IS POINTER.
      * Precompiler program ID
           05 DB2-PO-PRECOMPILER-PID USAGE IS POINTER.

      *************************************************************************
      * Prune Database History Definititions
      **************************************************************************

      * Values for db2Prune - iCallerAction
      * Remove history file entries
       77  DB2PRUNE-ACTION-HISTORY   PIC S9(4) COMP-5 VALUE 1.
      * Remove log files from active log path
       77  DB2PRUNE-ACTION-LOG       PIC S9(4) COMP-5 VALUE 2.

      * Values for db2Prune - iOptions
      * Force removal of last backup
       77  DB2PRUNE-OPTION-NONE      PIC S9(4) COMP-5 VALUE 0.
      * Force removal of last backup
       77  DB2PRUNE-OPTION-FORCE     PIC S9(4) COMP-5 VALUE 1.
      * piString is an LSN-string, used by DB2PRUNE_ACTION_LOG
       77  DB2PRUNE-OPTION-LSNSTRING PIC S9(4) COMP-5 VALUE 2.

      * Generic Prune API input struct
       01 DB2G-PRUNE-STRUCT.
      * length in bytes of piString
           05 DB2-I-STRING-LEN       PIC 9(9) COMP-5 VALUE 0.
      * Timestamp, or lastLSN
           05 DB2-PI-STRING          USAGE IS POINTER.
      * Prune history since this EID
           05 DB2-I-EID.
      * Node number
               10 DB2-IO-NODE        PIC S9(4) COMP-5.
               10 FILLER             PIC X(2)
                                     USAGE DISPLAY NATIVE.
      * Local history file entry ID
               10 DB2-IO-HID         PIC 9(9) COMP-5.
      * What to prune
           05 DB2-I-ACTION           PIC 9(9) COMP-5.
      * Options relevent to particular iAction
           05 DB2-I-OPTIONS          PIC 9(9) COMP-5.


      *************************************************************************
      * Archive Active Log Definitions
      **************************************************************************

      * Values for db2ArchiveLog - iAllNodeFlag
      * Apply to nodes specified in piNodeList
       77  DB2ARCHIVELOG-NODE-LIST   PIC S9(4) COMP-5 VALUE 0.
      * Apply to all nodes
       77  DB2ARCHIVELOG-ALL-NODES   PIC S9(4) COMP-5 VALUE 1.
      * Apply to all nodes except those in piNodeList
       77  DB2ARCHIVELOG-ALL-EXCEPT  PIC S9(4) COMP-5 VALUE 2.

      * Generic Archive Active Log API Input Struct
       01 DB2G-ARCHIVE-LOG-STRUCT.
      * Length of database alias field
           05 DB2-I-ALIAS-LEN        PIC 9(9) COMP-5.
      * Length of username field
           05 DB2-I-USER-NAME-LEN    PIC 9(9) COMP-5.
      * Length of password field
           05 DB2-I-PASSWORD-LEN     PIC 9(9) COMP-5.
      * Alias of database to archive log for
           05 DB2-PI-DATABASE-ALIAS  USAGE IS POINTER.
      * User name to execute command under
           05 DB2-PI-USER-NAME       USAGE IS POINTER.
      * Password for username
           05 DB2-PI-PASSWORD        USAGE IS POINTER.
      * Flag indicating how the iNodeList should be used
           05 DB2-I-ALL-NODE-FLAG    PIC 9(4) COMP-5.
      * Number of nodes in piNodeList array
           05 DB2-I-NUM-NODES        PIC 9(4) COMP-5.
      * Node list
           05 DB2-PI-NODE-LIST       USAGE IS POINTER.
      * Future use
           05 DB2-I-OPTIONS          PIC 9(9) COMP-5.


      * Generic Ping Database Parameter Structure
       01 DB2G-DATABASE-PING-STRUCT.
      * Input: Db alias name length - reserved
           05 DB2-I-DB-ALIAS-LENGTH  PIC 9(4) COMP-5.
      * Input: Database alias - reserved
           05 DB2-I-DB-ALIAS         PIC X(8)
                                     USAGE DISPLAY NATIVE.
      * Input: Number of iterations
           05 DB2-I-NUM-ITERATIONS   PIC 9(4) COMP-5.
      * Output: Array of elapsed times (microsec), contains iNumIterations
      * elements
           05 DB2-PO-ELAPSED-TIME    USAGE IS POINTER.


      * Convert Monitor Data Interface Structure
       01 DB2CONV-MON-STREAM-DATA.
      * Pointer to target structure
           05 DB2-PO-TARGET          USAGE IS POINTER.
      * Pointer to V6 stream
           05 DB2-PI-SOURCE          USAGE IS POINTER.
      * Target structure type
           05 DB2-I-TARGET-TYPE      PIC 9(9) COMP-5.
      * Space allocated for target
           05 DB2-I-TARGET-SIZE      PIC 9(9) COMP-5.
      * Type of source stream
           05 DB2-I-SOURCE-TYPE      PIC 9(9) COMP-5.
      * Get Snapshot Data Interface Structure
       01 DB2G-GET-SNAPSHOT-DATA.
      * Pointer to monitor area
           05 DB2-PI-SQLMA-DATA      USAGE IS POINTER.
      * Pointer to collected data
           05 DB2-PO-COLLECTED-DATA  USAGE IS POINTER.
      * Pointer to output buffer
           05 DB2-PO-BUFFER          USAGE IS POINTER.
      * Snapshot version
           05 DB2-I-VERSION          PIC 9(9) COMP-5.
      * Size of output buffer
           05 DB2-I-BUFFER-SIZE      PIC 9(9) COMP-5.
      * Write to file flag
           05 DB2-I-STORE-RESULT     PIC 9(9) COMP-5.
      * Target node
           05 DB2-I-NODE-NUMBER      PIC S9(9) COMP-5.
      * Pointer to output format indicator
           05 DB2-PO-OUTPUT-FORMAT   USAGE IS POINTER.

      * Get Snapshot Size Data Interface Structure
       01 DB2G-GET-SNAPSHOT-SIZE-DATA.
      * Pointer to monitor area
           05 DB2-PI-SQLMA-DATA      USAGE IS POINTER.
      * Pointer to output buffer
           05 DB2-PO-BUFFER-SIZE     USAGE IS POINTER.
      * Snapshot version
           05 DB2-I-VERSION          PIC 9(9) COMP-5.
      * Target node
           05 DB2-I-NODE-NUMBER      PIC S9(9) COMP-5.

      * Monitor Switches Data Interface Structure
       01 DB2G-MONITOR-SWITCHES-DATA.
      * Pointer to group states
           05 DB2-PI-GROUP-STATES    USAGE IS POINTER.
      * Pointer to output buffer
           05 DB2-PO-BUFFER          USAGE IS POINTER.
      * Size of output buffer
           05 DB2-I-BUFFER-SIZE      PIC 9(9) COMP-5.
      * Return data flag
           05 DB2-I-RETURN-DATA      PIC 9(9) COMP-5.
      * Snapshot version
           05 DB2-I-VERSION          PIC 9(9) COMP-5.
      * Target node
           05 DB2-I-NODE-NUMBER      PIC S9(9) COMP-5.
      * Pointer to output format indicator
           05 DB2-PO-OUTPUT-FORMAT   USAGE IS POINTER.

      * Monitor Reset Data Interface Structure
      * Monitor Reset Data General Interface Structure
       01 DB2G-RESET-MONITOR-DATA.
      * Reset value flag
           05 DB2-I-RESET-ALL        PIC 9(9) COMP-5.
      * Database alias
           05 DB2-PI-DB-ALIAS        USAGE IS POINTER.
      * Length of DB alias
           05 DB2-I-DB-ALIAS-LENGTH  PIC 9(9) COMP-5.
      * Snapshot version
           05 DB2-I-VERSION          PIC 9(9) COMP-5.
      * Target node
           05 DB2-I-NODE-NUMBER      PIC S9(9) COMP-5.

       01 DB2G-RESTART-DB-STRUCT.
      * Length in bytes of piDatabaseName
           05 DB2-I-DATABASE-NAME-LEN PIC 9(9) COMP-5.
      * Length in bytes of piUserId
           05 DB2-I-USER-ID-LEN      PIC 9(9) COMP-5.
      * Length in bytes of piPassword
           05 DB2-I-PASSWORD-LEN     PIC 9(9) COMP-5.
      * Length in bytes of piTablespaceNames
           05 DB2-I-TABLESPACE-NAMES-LEN PIC 9(9) COMP-5.
      * Database name or alias
           05 DB2-PI-DATABASE-NAME   USAGE IS POINTER.
      * User Id
           05 DB2-PI-USER-ID         USAGE IS POINTER.
      * Password
           05 DB2-PI-PASSWORD        USAGE IS POINTER.
      * Tablespace name list
           05 DB2-PI-TABLESPACE-NAMES USAGE IS POINTER.

