      ***********************************************************************
      *
      *  Source File Name = SQLMONCT.CBL
      *
      *  (C) Copyright IBM Corp. 1993,1997
      *  All Rights Reserved
      *  Licensed Material - Program Property of IBM
      *
      *  US Government Users Restricted Rights - Use, duplication or
      *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
      *
      *  Function = Copy File defining:
      *               DB Monitor Constants
      *               DB Monitor External APIs
      *               DB Monitor Error Messages
      *               DB Monitor Local Structures
      *
      ***********************************************************************

      **********************************************************************
      * Database Monitor Version Constants
      **********************************************************************

       78 SQLM-DBMON-VERSION1        VALUE 1.
       78 SQLM-DBMON-VERSION2        VALUE 2.
       78 SQLM-DBMON-VERSION5        VALUE 3.
       78 SQLM-DBMON-VERSION5-2      VALUE 4.
       78 SQLM-DBMON-VERSION6        VALUE 5.
       78 SQLM-CURRENT-VERSION       VALUE 5.


      **********************************************************************
      * Snapshot Monitor Collected Information types
      * Structure identifier in Snapshot buffer (info_type element)
      **********************************************************************

       78 SQLM-DB2-SS                VALUE "1".
      *DB2 information

       78 SQLM-DBASE-SS              VALUE "2".
      *Database information

       78 SQLM-APPL-SS               VALUE "3".
      *Application information

       78 SQLM-APPLINFO-SS           VALUE "4".
      *Summary Application information

       78 SQLM-TABLE-HEADER-SS       VALUE "5".
      *Table information

       78 SQLM-TABLE-SS              VALUE "6".
      *Table information

       78 SQLM-DBASE-LOCK-SS         VALUE "7".
      *Lock information

       78 SQLM-APPL-LOCK-SS          VALUE "8".
      *Lock information

       78 SQLM-LOCK-SS               VALUE "9".
      *Lock information

       78 SQLM-DCS-APPLINFO-SS       VALUE "A".
      *Lock information

       78 SQLM-TABLESPACE-HEADER-SS  VALUE "B".
      *Tablespace Header information

       78 SQLM-TABLESPACE-SS         VALUE "C".
      *Tablespace information

       78 SQLM-FCM-SS                VALUE "E".
      *DB2 FCM info (sqlm_fcm)

       78 SQLM-NODE-SS               VALUE "G".
      *DB2 FCM Node info (sqlm_fcm_node)

       78 SQLM-DBASE-ROLLFWD-SS      VALUE "H".
      *Rollfwd info  (sqlm_rollfwd_info)

       78 SQLM-DBASE-ROLLFWD-TS-SS   VALUE "I".
      *Rollfwd tablespace information
      *  (sqlm_rollfwd_ts_info)

       78 SQLM-BUFFERPOOL-SS         VALUE "J".
      *Bufferpool info (sqlm_bufferpool)

       78 SQLM-LOCK-WAIT-SS          VALUE "K".
      *Lock wait info (sqlm_lock_wait)

       78 SQLM-STMT-SS               VALUE "L".
      *Statement info (sqlm_stmt)

       78 SQLM-SUBSECTION-SS         VALUE "M".
      *Subsection info (sqlm_subsection)

       78 SQLM-AGENT-SS              VALUE "N".
      *Agent info (sqlm_agent)

       78 SQLM-DCS-APPL-SS           VALUE "O".
      *DCS Application snapshot

       78 SQLM-DCS-APPLID-SS         VALUE "P".
      *DCS Application ID

       78 SQLM-DCS-APPL-STATS-SS     VALUE "Q".
      *DCS Application Statistics

       78 SQLM-DCS-APPL-XID-SS       VALUE "R".
      *DCS Appl Transaction ID

       78 SQLM-DCS-TPMON-INFO-SS     VALUE "S".
      *TPMon Info

       78 SQLM-DCS-STMT-SS           VALUE "T".
      *DCS Statement

       78 SQLM-DCS-DBASE-SS          VALUE "U".
      *DCS DBase Snapshot

       78 SQLM-COLLECTED-SS          VALUE "V".
      *Collected Snapshot

      **********************************************************************
      * level of data to collect
      **********************************************************************

       78 SQLMA-DB2                  VALUE 1.
      *DB2 related information

       78 SQLMA-DBASE                VALUE 2.
      *Database related information

       78 SQLMA-APPL                 VALUE 3.
      *Application information - by application id

       78 SQLMA-AGENT-ID             VALUE 4.
      *Application information - by agent id

       78 SQLMA-DBASE-TABLES         VALUE 5.
      *Table related information for a database

       78 SQLMA-DBASE-APPLS          VALUE 6.
      *Application related information for a database

       78 SQLMA-DBASE-APPLINFO       VALUE 7.
      *Summary application information for a database

       78 SQLMA-APPL-LOCKS          VALUE 20.
      *Lock related information for an application (appl-id)

       78 SQLMA-APPL-LOCKS-AGENT-ID VALUE 21.
      *Lock related information for an application (agent-id)

       78 SQLMA-DBASE-LOCKS          VALUE 8.
      *Lock related information for a database

       78 SQLMA-DBASE-ALL            VALUE 9.
      *Database related information for all databases in DB2

       78 SQLMA-APPL-ALL             VALUE 10.
      *Application related information for all active applications

       78 SQLMA-APPLINFO-ALL         VALUE 11.
      *Summary application information for all active applications.

       78 SQLMA-DCS-APPLINFO-ALL     VALUE 12.
      *Information for all active DDCS applications.

       78 SQLMA-DBASE-TABLESPACES    VALUE 13.
      *Tablespace related information for a database

       78 SQLMA-DBASE-BUFFERPOOLS    VALUE 22.
      *Bufferpool information for a database

       78 SQLMA-BUFFERPOOLS-ALL      VALUE 23.
      *Bufferpool information for all bufferpools

       78 SQLMA-DCS-DBASE            VALUE 34.
      *DCS DB Snapshot
      
       78 SQLMA-DCS-DBASE-ALL        VALUE 35.
      *DCS DB Snapshot (All)
      
       78 SQLMA-DCS-APPL-ALL         VALUE 30.      
      *DCS Appl Snapshot (All)
      
       78 SQLMA-DCS-APPL             VALUE 31.
      *DCS Appl Snapshot
       
       78 SQLMA-DCS-APPL-HANDLE      VALUE 32.
      *DCS Appl Handle Snapshot
      
       78 SQLMA-DCS-DBASE-APPLS      VALUE 33.
      *DCS Database Appl Snapshot

       78 SQLMA-DYNAMIC-SQL          VALUE 36.
      *Snapshot for dynamic sql

      **********************************************************************
      * stream type ids
      **********************************************************************
       78 SQLM-STREAM-SNAPSHOT       VALUE 1.
       78 SQLM-STREAM-EVMON          VALUE 2.
      
      **********************************************************************
      * flag constants for sqlmrset() 
      **********************************************************************
       78 SQLM-UDB-DBASE             VALUE 0.
       78 SQLM-UDB-ALL               VALUE 1.
       78 SQLM-DCS-DBASE             VALUE 2.
       78 SQLM-DCS-ALL               VALUE 3.
       78 SQLM-APM                   VALUE 4.
      
      
      **********************************************************************
      * size definitions
      **********************************************************************

       78 SQLM-APPLID-SZ             VALUE 32.
      *size of the application id

       78 SQLM-SEQ-SZ                VALUE 4.
      *size of sequence number

       78 SQLM-SH-IDENT-SZ           VALUE 8.
      *size of short identifier

       78 SQLM-IDENT-SZ              VALUE 20.
      *general identifier size

       78 SQLM-LG-IDENT-SZ           VALUE 32.
      *Long identifier size

       78 SQLM-OBJECT-SZ             VALUE 36.
      *object name size in sqlma

       78 SQLM-DBPATH-SZ             VALUE 256.
      *size of database path

       78 SQLM-COMM-ADDR-SZ          VALUE 32.
      *size of comm address

      **********************************************************************
      * Information group state switches
      **********************************************************************

       78 SQLM-OFF                   VALUE 0.
      *turn monitoring group OFF

       78 SQLM-ON                    VALUE 1.
      *turn monitoring group ON

       78 SQLM-HOLD                  VALUE 2.
      *leave monitoring group in current state

      **********************************************************************
      * Information groups array indexes
      **********************************************************************

       78 SQLM-UOW-SW                VALUE 1.
      *Select Unit of Work information

       78 SQLM-STATEMENT-SW          VALUE 2.
      *Select Statement information

       78 SQLM-TABLE-SW              VALUE 3.
      *Select Table information

       78 SQLM-BUFFER-POOL-SW        VALUE 4.
      *Select Buffer Pool information

       78 SQLM-LOCK-SW               VALUE 5.
      *Select Lock information

       78 SQLM-SORT-SW               VALUE 6.
      *Select Sort information


       78 SQLM-NUM-GROUPS            VALUE 6.
      *Number of monitoring groups

      **********************************************************************
      * Statement Types
      **********************************************************************

       78 SQLM-STATIC                VALUE 1.
      *Static Statement

       78 SQLM-DYNAMIC               VALUE 2.
      *Dynamic Statement

       78 SQLM-NON-STMT              VALUE 3.
      *Operation other than an SQL Statement

       78 SQLM-STMT-TYPE-UNKNOWN     VALUE 4.
      *Unknown statement type

      **********************************************************************
      * Statement Operation Types
      **********************************************************************

       78 SQLM-SELECT                VALUE 15.
      *SELECT statement

       78 SQLM-PREPARE               VALUE 1.
      *Prepare operation

       78 SQLM-EXECUTE               VALUE 2.
      *Execute operation

       78 SQLM-EXECUTE-IMMEDIATE     VALUE 3.
      *Execute Immediate operation

       78 SQLM-OPEN                  VALUE 4.
      *Open operation

       78 SQLM-FETCH                 VALUE 5.
      *Fetch operation

       78 SQLM-CLOSE                 VALUE 6.
      *Close operation

       78 SQLM-DESCRIBE              VALUE 7.
      *Describe operation

       78 SQLM-STATIC-COMMIT         VALUE 8.
      *Static Commit operation

       78 SQLM-STATIC-ROLLBACK       VALUE 9.
      *Static Rollback operation

       78 SQLM-FREE-LOCATOR          VALUE 10.
      *SQL Free Locator

       78 SQLM-PREP-COMMIT           VALUE 11.
      *Prepare to commit (2-phase commit)

       78 SQLM-CALL                  VALUE 12.
      *Call stored procedure

       78 SQLM-PREP-OPEN             VALUE 16.
      * Prep and open (DB2 Connect only)

       78 SQLM-PREP-EXEC             VALUE 17.
      * Prep and execute (DB2 Connect)

       78 SQLM-COMPILE               VALUE 18.
      * Compile (DB2 Connect only)

      **********************************************************************
      * non-SQL operations
      **********************************************************************

       78 SQLM-RUNSTATS              VALUE 20.
      *Runstats

       78 SQLM-REORG                 VALUE 21.
      *Reorg

       78 SQLM-REBIND                VALUE 22.
      *Rebind package

       78 SQLM-REDIST                VALUE 23.
      *Redistribute

       78 SQLM-GETTA                 VALUE 24.
      *Get Table Authorization

       78 SQLM-GETAA                 VALUE 25.
      *Get Administrative Authorization

      **********************************************************************
      * Table Types
      **********************************************************************

       78 SQLM-USER-TABLE            VALUE 1.
      *User table

       78 SQLM-DROPPED-TABLE         VALUE 2.
      *Dropped User table

       78 SQLM-TEMP-TABLE            VALUE 3.
      *Temporary table

       78 SQLM-CATALOG-TABLE         VALUE 4.
      *System Catalog table

       78 SQLM-REORG-TABLE           VALUE 5.
      *Reorg table

      **********************************************************************
      * lock modes
      **********************************************************************

       78 SQLM-LNON                  VALUE 0.
      *No Lock

       78 SQLM-LOIS                  VALUE 1.
      *Intention Share Lock

       78 SQLM-LOIX                  VALUE 2.
      *Intention Exclusive Lock

       78 SQLM-LOOS                  VALUE 3.
      *Share Lock

       78 SQLM-LSIX                  VALUE 4.
      *Share with Intention Exclusive Lock

       78 SQLM-LOOX                  VALUE 5.
      *Exclusive Lock

       78 SQLM-LOIN                  VALUE 6.
      *Intent None (For Dirty Read)

       78 SQLM-LOOZ                  VALUE 7.
      *Super Exclusive Lock

       78 SQLM-LOOU                 VALUE 8.
      *Update Lock

       78 SQLM-LONS                  VALUE 9.
      *Next-key Share Lock

       78 SQLM-LONX                  VALUE 10.
      *Next-key Exclusive Lock

       78 SQLM-LOOW                  VALUE 11.
      *Weak Exclusive Lock

       78 SQLM-LONW                  VALUE 12.
      *Next-key Weak Exclusive Lock

      **********************************************************************
      * subsection status (ss_status)
      **********************************************************************

       78 SQLM-SSEXEC                VALUE 1.
      *Subsection executing

       78 SQLM-SSTQ-WAIT-TO-RCV      VALUE 2.
      *Waiting to receive data on a tablequeue

       78 SQLM-SSTQ-WAIT-TO-SEND     VALUE 3.
      *Waiting to send data on a tablequeue

       78 SQLM-SSCOMPLETED           VALUE 4.
      *Subsection execution is completed

      **********************************************************************
      * application status
      **********************************************************************

       78 SQLM-CONNECTPEND           VALUE 1.
      *Connect Pending

       78 SQLM-CONNECTED             VALUE 2.
      *Connect Completed

       78 SQLM-UOWEXEC               VALUE 3.
      *Unit of Work executing

       78 SQLM-UOWWAIT               VALUE 4.
      *Unit of Work waitng

       78 SQLM-LOCKWAIT              VALUE 5.
      *Lock Wait

       78 SQLM-COMMIT-ACT            VALUE 6.
      *Commit Active

       78 SQLM-ROLLBACK-ACT          VALUE 7.
      *Rollback Active

       78 SQLM-RECOMP                VALUE 8.
      *Recompiling a plan

       78 SQLM-COMP                  VALUE 9.
      *Compiling an SQL statement

       78 SQLM-INTR                  VALUE 10.
      *Request interrupted

       78 SQLM-DISCONNECTPEND        VALUE 11.
      *Disconnect Pending

       78 SQLM-TPREP                 VALUE 12.
      *Prepared Transaction

       78 SQLM-THCOMT                VALUE 13.
      *Transaction heuristically committed

       78 SQLM-THABRT                VALUE 14.
      *Transaction heuristically rolled back

       78 SQLM-TEND                  VALUE 15.
      *Transaction ended

       78 SQLM-CREATE-DB             VALUE 16.
      *Creating Database

       78 SQLM-RESTART               VALUE 17.
      *Restarting a Database

       78 SQLM-RESTORE               VALUE 18.
      *Restoring a Database

       78 SQLM-BACKUP                VALUE 19.
      *Performing a Backup

       78 SQLM-LOAD                  VALUE 20.
      *Performing a fast load

       78 SQLM-UNLOAD                VALUE 21.
      *Performing a fast unload

       78 SQLM-IOERROR-WAIT          VALUE 22.
      *Wait to disable tablespace

       78 SQLM-QUIESCE-TABLESPACE    VALUE 23.
      *Quiescing a tablespace

       78 SQLM-WAITFOR-REMOTE        VALUE 24.
      *Waiting for remote node

      **********************************************************************
      * DCS application status (dcs_appl_status) 
      **********************************************************************
       78 SQLM-DCS-CONNECTPEND-OUTBOUND   VALUE 101.
      * Connect to host db pending

       78 SQLM-DCS-UOWWAIT-OUTBOUND       VALUE 102.
      * Gateway waiting for reply from host database
      
       78 SQLM-DCS-UOWWAIT-INBOUND        VALUE 103.
      * Connect to host db established or gateway waiting for request
      
      **********************************************************************
      * database status
      **********************************************************************

       78 SQLM-DB-ACTIVE             VALUE 0.
      *Database is active

       78 SQLM-DB-QUIESCE-PEND       VALUE 1.
      *Quiesce is pending for DB

       78 SQLM-DB-QUIESCED           VALUE 2.
      *Database has been quiesced

       78 SQLM-DB-ROLLFWD            VALUE 3.
      *DB in Database rollforward

      ********************************************************************
      * rollforward types (rf_type)
      ********************************************************************
       78 SQLM-ROLLFWD-TYP-DB        VALUE 0.
      *Database rollforward

       78 SQLM-ROLLFWD-TYP-TSPACE    VALUE 1.
      *DB tablespace (on-line) rollforward

       78 SQLM-NO-ROLLFWD            VALUE 2.
      *No rollforward in progress

      *********************************************************************
      * Rollforward status (rf_status)
      *********************************************************************
       78 SQLM-ROLLFWD-STATUS-REDO   VALUE 0.
      *REDO phase in progress

       78 SQLM-ROLLFWD-STATUS-UNDO   VALUE 1.
      *UNDO phase in progress

       78 SQLM-ROLLFWD-STATUS-SUCCESS VALUE 2.
      *Successfuly completed on this node

       78 SQLM-ROLLFWD-STATUS-ERROR  VALUE 3.
      *Error occurred on this node

       78 SQLM-ROLLFWD-STATUS-USR-INTR  VALUE 4.
      *User intervention required

      *********************************************************************
      * database manager status
      *********************************************************************

       78 SQLM-DB2-ACTIVE            VALUE 0.
      *DB2 is active

       78 SQLM-DB2-QUIESCE-PEND      VALUE 1.
      *Quiesce is pending for DB2

       78 SQLM-DB2-QUIESCED          VALUE 2.
      *DB2 has been quiesced

      **********************************************************************
      * UOW completion status
      **********************************************************************

       78 SQLM-UOWCOMMIT             VALUE 1.
      *Unit of Work issued a commit

       78 SQLM-UOWROLLBACK           VALUE 2.
      *Unit of Work issued a rollback

       78 SQLM-UOWDEADLOCK           VALUE 3.
      *Unit of Work was rolled back due to a deadlock

       78 SQLM-UOWABEND              VALUE 4.
      *Unit of Work was rolled back due to an abend

       78 SQLM-APPL-END              VALUE 5.
      *Normal application termination

       78 SQLM-UOWLOCKTIMEOUT        VALUE 6.
      *Unit of work was rolled back from a lock timeout

       78 SQLM-UOW-UNKNOWN           VALUE 7.
      *Returned for flushed events

      **********************************************************************
      * lock object type
      **********************************************************************

       78 SQLM-TABLE-LOCK            VALUE 1.
      *Table lock type

       78 SQLM-ROW-LOCK              VALUE 2.
      *Table Row lock type

       78 SQLM-INTERNAL-LOCK         VALUE 3.
      *Internal lock type

       78 SQLM-TABLESPACE-LOCK       VALUE 4.
      *Tablespace lock type

       78 SQLM-EOT-LOCK              VALUE 5.
      *end of table lock

       78 SQLM-KEYVALUE-LOCK         VALUE 6.
      *key value lock

       78 SQLM-SYSBOOT-LOCK          VALUE 7.
      *sysboot lock
      
       78 SQLM-INTERNALP-LOCK        VALUE 8.
       78 SQLM-INTERNALV-LOCK        VALUE 9.
       78 SQLM-INTERNALS-LOCK        VALUE 10.
       78 SQLM-INTERNALJ-LOCK        VALUE 11.
       78 SQLM-INTERNALL-LOCK        VALUE 12.
      *for internal use

      **********************************************************************
      * lock status
      **********************************************************************

       78 SQLM-LRBGRNT               VALUE 1.
      *Granted State

       78 SQLM-LRBCONV               VALUE 2.
      *Converting State

      **********************************************************************
      * client communications protocols
      **********************************************************************

       78 SQLM-PROT-APPC             VALUE 0.
      *appc

       78 SQLM-PROT-NETBIOS          VALUE 1.
      *netbios

       78 SQLM-PROT-APPN             VALUE 2.
      *appn

       78 SQLM-PROT-TCPIP            VALUE 3.
      *tcp/ip

       78 SQLM-PROT-CPIC             VALUE 4.
      *cpic

       78 SQLM-PROT-IPXSPX           VALUE 5.
      *ipx/spx

       78 SQLM-PROT-LOCAL            VALUE 6.
      *local client

       78 SQLM-PROT-NPIPE            VALUE 7.
      *named pipe


      **********************************************************************
      * client platforms
      **********************************************************************
       78 SQLM-PLATFORM-UNKNOWN      VALUE  0.
      *Unknown client platform

       78 SQLM-PLATFORM-OS2          VALUE  1.
      *OS/2 client

       78 SQLM-PLATFORM-DOS          VALUE  2.
      *DOS client

       78 SQLM-PLATFORM-WINDOWS      VALUE  3.
      *Windows client

       78 SQLM-PLATFORM-AIX          VALUE  4.
      *AIX client

       78 SQLM-PLATFORM-NT           VALUE  5.
      *NT client

       78 SQLM-PLATFORM-HP           VALUE  6.
      *HP client

       78 SQLM-PLATFORM-SUN          VALUE  7.
      *Sun client

       78 SQLM-PLATFORM-MVS-DRDA     VALUE  8.
      *MVS client via DRDA

       78 SQLM-PLATFORM-AS400-DRDA   VALUE  9.
      *AS400 client via DRDA

       78 SQLM-PLATFORM-VM-DRDA      VALUE 10.
      *VM client via DRDA

       78 SQLM-PLATFORM-VSE-DRDA     VALUE 11.
      *VSE client via DRDA

       78 SQLM-PLATFORM-UNKNOWN-DRDA VALUE 12.
      *Unknown DRDA Client

       78 SQLM-PLATFORM-SNI          VALUE 13.
      *Siemens Nixdorf Client

       78 SQLM-PLATFORM-MAC          VALUE 14.
      *Macintosh Client

       78 SQLM-PLATFORM-WINDOWS95    VALUE 15.
      *Windows 95

       78 SQLM-PLATFORM-SCO          VALUE 16.
      *SCO

       78 SQLM-PLATFORM-SGI          VALUE 17.
      *Silicon Graphics

       78 SQLM-PLATFORM-LINUX        VALUE 18.
      *Linux
       
       78 SQLM-PLATFORM-DYNIX        VALUE 19.
      *DYNIX/ptx


      *********************************************************************
      * Operating System Application Priority Type (appl_priority_type)
      *********************************************************************
       78 SQLM-FIXED-PRIORITY         VALUE 1.
      *Remains unchanged over time.

       78 SQLM-DYNAMIC-PRIORITY       VALUE 2.
      *Recalculated by OS based on usage


      *********************************************************************
      * Event Monitor Type Identifiers
      *********************************************************************
       78 SQLM-EVENT-DB              VALUE  1.
      *Database Event

       78 SQLM-EVENT-CONN            VALUE  2.
      *Connection Event

       78 SQLM-EVENT-TABLE           VALUE  3.
      *Table Event

       78 SQLM-EVENT-STMT            VALUE  4.
      *Statement Event

       78 SQLM-EVENT-STMTTEXT        VALUE  5.
      *Dynamic Statement Text Event

       78 SQLM-EVENT-XACT            VALUE  6.
      *Transaction Event

       78 SQLM-EVENT-DEADLOCK        VALUE  7.
      *Deadlock Event

       78 SQLM-EVENT-DLCONN          VALUE  8.
      *Deadlock Connection Event

       78 SQLM-EVENT-TABLESPACE      VALUE  9.
      *Tablespace Event

       78 SQLM-EVENT-DBHEADER        VALUE 10.
      *Database Header Event

       78 SQLM-EVENT-START           VALUE 11.
      *Event Monitor Start Event

       78 SQLM-EVENT-CONNHEADER      VALUE 12.
      *Connection Header Event

       78 SQLM-EVENT-OVERFLOW        VALUE 13.
      *Overflow Event

       78 SQLM-EVENT-BUFFERPOOL      VALUE 14.
      *Bufferpool Event

       78 SQLM-EVENT-SUBSECTION      VALUE 15.
      *Subsection Event (MPP systems)

       78 SQLM-EVENT-LOG-HEADER      VALUE 16.
      *Log header event

       78 SQLM-EVENT-MAX             VALUE 16.
      *Largest value in the list

      *****************************************************************************
      * Event Monitor Byte Order Identifiers
      *****************************************************************************
       78 SQLM-LITTLE-ENDIAN         VALUE  0.
      *Little endian server

       78 SQLM-BIG-ENDIAN            VALUE -1.
      *Big endian server


      **********************************************************************
      * Database Monitor Structure Size Constants
      * DON'T USE THESE CONSTANTS. THEY ARE PROVIDED FOR COMPATIBILITY ONLY
      **********************************************************************

       78 SQLM-DB2-SZ                VALUE 100.
      *structure SQLM-DB2

       78 SQLM-DBASE-SZ              VALUE 548.
      *structure SQLM-DBASE

       78 SQLM-APPL-SZ               VALUE 880.
      *structure SQLM-APPL

       78 SQLM-APPLINFO-SZ           VALUE 492.
      *structure SQLM-APPLINFO

       78 SQLM-DCS-APPLINFO-SZ       VALUE 260.
      *structure SQLM-DCS-APPLINFO

       78 SQLM-TABLE-HEADER-SZ       VALUE 356.
      *structure SQLM-TABLE-HEADER

       78 SQLM-TABLE-SZ              VALUE 60.
      *structure SQLM-TABLE

       78 SQLM-DBASE-LOCK-SZ         VALUE 352.
      *structure SQLM-DBASE-LOCK

       78 SQLM-APPL-LOCK-SZ          VALUE 216.
      *structure SQLM-APPL-LOCK

       78 SQLM-LOCK-SZ               VALUE 60.
      *structure SQLM-LOCK

       78 SQLM-TIMESTAMP-SZ          VALUE 8.
      *structure SQLM-TIMESTAMP

       78 SQLM-COLLECTED-SZ          VALUE 232.
      *structure SQLM-COLLECTED

      **********************************************************************
      * Database Monitor Error Constants
      **********************************************************************

       78 SQLM-RC-INV-PTR            VALUE -1601.
      *Parameter is a NULL pointer

       78 SQLM-RC-INV-OBJ-TYPE       VALUE -1602.
      *invalid obj-type in sqlma structure

       78 SQLM-RC-NOT-SPECIFIED      VALUE -1603.
      *database alias or application id not specified in sqlma structure

       78 SQLM-RC-NOT-NULL-TERM      VALUE -1604.
      *database alias or application id not NULL terminated

       78 SQLM-RC-DBNOACT            VALUE  1605.
      *specified database is not active

       78 SQLM-RC-BUFFER-FULL        VALUE  1606.
      *Database Monitor buffer area is full

       78 SQLM-RC-NOMEM              VALUE -1607.
      *not enough working memory for Database Monitor request

       78 SQLM-RC-DUPLICATE-DB       VALUE  1608.
      *duplicate database aliases were specified

       78 SQLM-RC-REMOTE-DB          VALUE -1609.
      *Database Monitor cannot monitor remote databases

       78 SQLM-RC-INV-VALUE          VALUE -1610.
      *Invalid value for input parameter

       78 SQLM-RC-NO-DATA            VALUE  1611.
      *No data returned by Database Monitor

       78 SQLM-RC-TOO-MANY-OBJECTS   VALUE -1623.
      *Too many objects for this request.

       78 SQLM-RC-MULTIPLE-NODES     VALUE -1624.
      *Databases in a sqlmonsz or sqlmonss reside at different nodes.

      **********************************************************************
      * FCM Connection Status (connection_status)
      **********************************************************************
       78 SQLM-FCM-CONNECT-INACTIVE  VALUE  0.
      *No current connection

       78 SQLM-FCM-CONNECT-ACTIVE    VALUE  1.
      *Connection is active

       78 SQLM-FCM-CONNECT-CONGESTED VALUE  2.
      *Connection is congested

      **********************************************************************
      * Database location relative to snapshot appliction (db_location)
      **********************************************************************

       78 SQLM-LOCAL                 VALUE 1.
      *Same node as snapshot

       78 SQLM-REMOTE                VALUE 2.
      *DB is on a different node

      **********************************************************************
      * Node location definitions 
      **********************************************************************
      
       78 SQLM-CURRENT-NODE          VALUE -1.
       78 SQLM-ALL-NODES             VALUE -2.

       
      **********************************************************************
      * Version 6 Monitor Stream Elements
      **********************************************************************       

      * Logical Data Elements
      
       78 SQLM-TYPE-HEADER                         VALUE 1.

      
      * Base Data Elements
      
       78 SQLM-TYPE-STRING                         VALUE 50.
       78 SQLM-TYPE-U8BIT                          VALUE 51.
       78 SQLM-TYPE-8BIT                           VALUE 52.
       78 SQLM-TYPE-16BIT                          VALUE 53.
       78 SQLM-TYPE-U16BIT                         VALUE 54.
       78 SQLM-TYPE-32BIT                          VALUE 55.
       78 SQLM-TYPE-U32BIT                         VALUE 56.
       78 SQLM-TYPE-U64BIT                         VALUE 57.
       78 SQLM-TYPE-64BIT                          VALUE 58.

      * Monitor data elements
      
       78 SQLM-ELM-DB2                  VALUE 1.
       78 SQLM-ELM-FCM                  VALUE 2.
       78 SQLM-ELM-FCM-NODE             VALUE 3.
       78 SQLM-ELM-APPL-INFO            VALUE 4.
       78 SQLM-ELM-APPL                 VALUE 5.
       78 SQLM-ELM-DCS-APPL-INFO        VALUE 6.
       78 SQLM-ELM-DCS-APPL             VALUE 7.
       78 SQLM-ELM-DCS-STMT             VALUE 8.
       78 SQLM-ELM-SUBSECTION           VALUE 9.
       78 SQLM-ELM-AGENT                VALUE 10.
       78 SQLM-ELM-LOCK-WAIT            VALUE 11.
       78 SQLM-ELM-DCS-DBASE            VALUE 12.
       78 SQLM-ELM-DBASE                VALUE 13.
       78 SQLM-ELM-ROLLFORWARD          VALUE 14.
       78 SQLM-ELM-TABLE                VALUE 15.
       78 SQLM-ELM-LOCK                 VALUE 16.
       78 SQLM-ELM-TABLESPACE           VALUE 17.
       78 SQLM-ELM-BUFFERPOOL           VALUE 18.
       78 SQLM-ELM-DYNSQL               VALUE 19.
       78 SQLM-ELM-COLLECTED            VALUE 20.
       78 SQLM-ELM-SWITCH-LIST          VALUE 21.
       78 SQLM-ELM-UOW-SW               VALUE 22.
       78 SQLM-ELM-STATEMENT-SW         VALUE 23.
       78 SQLM-ELM-TABLE-SW             VALUE 24.
       78 SQLM-ELM-BUFFPOOL-SW          VALUE 25.
       78 SQLM-ELM-LOCK-SW              VALUE 26.
       78 SQLM-ELM-SORT-SW              VALUE 27.
       78 SQLM-ELM-TABLE-LIST           VALUE 28.
       78 SQLM-ELM-TABLESPACE-LIST      VALUE 29.
       78 SQLM-ELM-DYNSQL-LIST          VALUE 30.
       78 SQLM-ELM-APPL-LOCK-LIST       VALUE 31.
       78 SQLM-ELM-DB-LOCK-LIST         VALUE 32.
       78 SQLM-ELM-STMT                 VALUE 33.
       78 SQLM-MAX-LOGICAL-ELEMENT      VALUE 33.


      * Monitor data element groupings
       
       78 SQLM-ELM-EVENT-DB             VALUE 100.
       78 SQLM-ELM-EVENT-CONN           VALUE 101.
       78 SQLM-ELM-EVENT-TABLE          VALUE 102.
       78 SQLM-ELM-EVENT-STMT           VALUE 103.
       78 SQLM-ELM-EVENT-XACT           VALUE 104.
       78 SQLM-ELM-EVENT-DEADLOCK       VALUE 105.
       78 SQLM-ELM-EVENT-DLCONN         VALUE 106.
       78 SQLM-ELM-EVENT-TABLESPACE     VALUE 107.
       78 SQLM-ELM-EVENT-DBHEADER       VALUE 108.
       78 SQLM-ELM-EVENT-START          VALUE 109.
       78 SQLM-ELM-EVENT-CONNHEADER     VALUE 110.
       78 SQLM-ELM-EVENT-OVERFLOW       VALUE 111.
       78 SQLM-ELM-EVENT-BUFFERPOOL     VALUE 112.
       78 SQLM-ELM-EVENT-SUBSECTION     VALUE 113.
       78 SQLM-ELM-EVENT-LOG-HEADER     VALUE 114.


      * Timestamps
       
       78 SQLM-ELM-TIME-STAMP           VALUE 200.
       78 SQLM-ELM-STATUS-CHANGE-TIME   VALUE 201.
       78 SQLM-ELM-GW-CON-TIME          VALUE 202.
       78 SQLM-ELM-PREV-UOW-STOP-TIME   VALUE 203.
       78 SQLM-ELM-UOW-START-TIME       VALUE 204.
       78 SQLM-ELM-UOW-STOP-TIME        VALUE 205.
       78 SQLM-ELM-STMT-START           VALUE 206.
       78 SQLM-ELM-STMT-STOP            VALUE 207.
       78 SQLM-ELM-LAST-RESET           VALUE 208.
       78 SQLM-ELM-DB2START-TIME        VALUE 209.
       78 SQLM-ELM-DB-CONN-TIME         VALUE 210.
       78 SQLM-ELM-LAST-BACKUP          VALUE 211.
       78 SQLM-ELM-LOCK-WAIT-START-TIME VALUE 212.
       78 SQLM-ELM-APPL-CON-TIME        VALUE 213.
       78 SQLM-ELM-CONN-COMPLETE-TIME   VALUE 214.
       78 SQLM-ELM-DISCONN-TIME         VALUE 215.
       78 SQLM-ELM-EVENT-TIME           VALUE 216.
       78 SQLM-ELM-START-TIME           VALUE 217.
       78 SQLM-ELM-STOP-TIME            VALUE 218.
       78 SQLM-ELM-RF-TIMESTAMP         VALUE 219.
       78 SQLM-ELM-CONN-TIME            VALUE 220.
       78 SQLM-ELM-FIRST-OVERFLOW-TIME  VALUE 221.
       78 SQLM-ELM-LAST-OVERFLOW-TIME   VALUE 222.
       78 SQLM-ELM-GW-EXEC-TIME         VALUE 223.
       78 SQLM-ELM-AGENT-USR-CPU-TIME   VALUE 224.
       78 SQLM-ELM-AGENT-SYS-CPU-TIME   VALUE 225.
       78 SQLM-ELM-SS-USR-CPU-TIME      VALUE 226.
       78 SQLM-ELM-SS-SYS-CPU-TIME      VALUE 227.
       78 SQLM-ELM-USER-CPU-TIME        VALUE 228.
       78 SQLM-ELM-TOTAL-EXEC-TIME      VALUE 229.
       78 SQLM-ELM-SWITCH-SET-TIME      VALUE 230.

      * Atomic elements
       
       78 SQLM-ELM-SECONDS              VALUE 300.
       78 SQLM-ELM-MICROSEC             VALUE 301.
       78 SQLM-ELM-AGENT-ID             VALUE 302.
       78 SQLM-ELM-SERVER-DB2-TYPE      VALUE 303.
       78 SQLM-ELM-SERVER-PRDID         VALUE 304.
       78 SQLM-ELM-SERVER-NNAME         VALUE 305.
       78 SQLM-ELM-SERVER-INSTANCE-NAME VALUE 306.
       78 SQLM-ELM-NODE-NUMBER          VALUE 307.
       78 SQLM-ELM-TIME-ZONE-DISP       VALUE 308.
       78 SQLM-ELM-SERVER-VERSION       VALUE 309.
       78 SQLM-ELM-APPL-STATUS          VALUE 310.
       78 SQLM-ELM-CODEPAGE-ID          VALUE 311.
       78 SQLM-ELM-STMT-TEXT            VALUE 312.
       78 SQLM-ELM-APPL-NAME            VALUE 313.
       78 SQLM-ELM-APPL-ID              VALUE 314.
       78 SQLM-ELM-SEQUENCE-NO          VALUE 315.
       78 SQLM-ELM-AUTH-ID              VALUE 316.
       78 SQLM-ELM-CLIENT-NNAME         VALUE 317.
       78 SQLM-ELM-CLIENT-PRDID         VALUE 318.
       78 SQLM-ELM-INPUT-DB-ALIAS       VALUE 319.
       78 SQLM-ELM-CLIENT-DB-ALIAS      VALUE 320.
       78 SQLM-ELM-DB-NAME              VALUE 321.
       78 SQLM-ELM-DB-PATH              VALUE 322.
       78 SQLM-ELM-NUM-ASSOC-AGENTS     VALUE 323.
       78 SQLM-ELM-COORD-NODE-NUM       VALUE 324.
       78 SQLM-ELM-AUTHORITY-LVL        VALUE 325.
       78 SQLM-ELM-EXECUTION-ID         VALUE 326.
       78 SQLM-ELM-CORR-TOKEN           VALUE 327.
       78 SQLM-ELM-CLIENT-PID           VALUE 328.
       78 SQLM-ELM-CLIENT-PLATFORM      VALUE 329.
       78 SQLM-ELM-CLIENT-PROTOCOL      VALUE 330.
       78 SQLM-ELM-COUNTRY-CODE         VALUE 331.
       78 SQLM-ELM-COORD-AGENT-PID      VALUE 332.
       78 SQLM-ELM-GW-DB-ALIAS          VALUE 333.
       78 SQLM-ELM-OUTBOUND-COMM-ADDR   VALUE 334.
       78 SQLM-ELM-INBOUND-COMM-ADDRESS VALUE 335.
       78 SQLM-ELM-OUTBOUND-COMM-PROT   VALUE 336.
       78 SQLM-ELM-DCS-DB-NAME          VALUE 337.
       78 SQLM-ELM-HOST-DB-NAME         VALUE 338.
       78 SQLM-ELM-HOST-PRDID           VALUE 339.
       78 SQLM-ELM-OUTBOUND-APPL-ID     VALUE 340.
       78 SQLM-ELM-OUTBOUND-SEQUENCE-NO VALUE 341.
       78 SQLM-ELM-DCS-APPL-STATUS      VALUE 342.
       78 SQLM-ELM-HOST-CCSID           VALUE 343.
       78 SQLM-ELM-OUTPUT-STATE         VALUE 344.
       78 SQLM-ELM-COUNT                VALUE 345.
       78 SQLM-ELM-ROWS-SELECTED        VALUE 346.
       78 SQLM-ELM-SQL-STMTS            VALUE 347.
       78 SQLM-ELM-FAILED-SQL-STMTS     VALUE 348.
       78 SQLM-ELM-COMMIT-SQL-STMTS     VALUE 349.
       78 SQLM-ELM-ROLLBACK-SQL-STMTS   VALUE 350.
       78 SQLM-ELM-INBOUND-BYTES-RECV   VALUE 351.
       78 SQLM-ELM-OUTBOUND-BYTES-SENT  VALUE 352.
       78 SQLM-ELM-OUTBOUND-BYTES-RECV  VALUE 353.
       78 SQLM-ELM-INBOUND-BYTES-SENT   VALUE 354.
       78 SQLM-ELM-STMT-OPERATION       VALUE 355.
       78 SQLM-ELM-SECTION-NUMBER       VALUE 356.
       78 SQLM-ELM-LOCK-NODE            VALUE 357.
       78 SQLM-ELM-CREATOR              VALUE 358.
       78 SQLM-ELM-PACKAGE-NAME         VALUE 359.
       78 SQLM-ELM-APPL-IDLE-TIME       VALUE 360.
       78 SQLM-ELM-OPEN-CURSORS         VALUE 361.
       78 SQLM-ELM-UOW-COMP-STATUS      VALUE 362.
       78 SQLM-ELM-SEQ-NO-HOLDING-LK    VALUE 363.
       78 SQLM-ELM-ROLLED-BACK-AGENT-ID VALUE 364.
       78 SQLM-ELM-ROLLED-BACK-APPL-ID  VALUE 365.
       78 SQLM-ELM-ROLLED-BACK-SEQ-NO   VALUE 366.
       78 SQLM-ELM-XID                  VALUE 367.
       78 SQLM-ELM-TPMON-CLIENT-USERID  VALUE 368.
       78 SQLM-ELM-TPMON-CLIENT-WKSTN   VALUE 369.
       78 SQLM-ELM-TPMON-CLIENT-APP     VALUE 370.
       78 SQLM-ELM-TPMON-ACC-STR        VALUE 371.
       78 SQLM-ELM-QUERY-COST-ESTIMATE  VALUE 372.
       78 SQLM-ELM-QUERY-CARD-ESTIMATE  VALUE 373.
       78 SQLM-ELM-FETCH-COUNT          VALUE 374.
       78 SQLM-ELM-GW-TOTAL-CONS        VALUE 375.
       78 SQLM-ELM-GW-CUR-CONS          VALUE 376.
       78 SQLM-ELM-GW-CONS-WAIT-HOST    VALUE 377.
       78 SQLM-ELM-GW-CONS-WAIT-CLIENT  VALUE 378.
       78 SQLM-ELM-GW-CONNECTIONS-TOP   VALUE 379.
       78 SQLM-ELM-SORT-HEAP-ALLOCATED  VALUE 380.
       78 SQLM-ELM-POST-THRESHOLD-SORTS VALUE 381.
       78 SQLM-ELM-PIPED-SORTS-REQ      VALUE 382.
       78 SQLM-ELM-PIPED-SORTS-ACCEPTED VALUE 383.
       78 SQLM-ELM-DL-CONNS             VALUE 384.
       78 SQLM-ELM-REM-CONS-IN          VALUE 385.
       78 SQLM-ELM-REM-CONS-IN-EXEC     VALUE 386.
       78 SQLM-ELM-LOCAL-CONS           VALUE 387.
       78 SQLM-ELM-LOCAL-CONS-IN-EXEC   VALUE 388.
       78 SQLM-ELM-CON-LOCAL-DBASES     VALUE 389.
       78 SQLM-ELM-AGENTS-REGISTERED    VALUE 390.
       78 SQLM-ELM-AGENTS-WAIT-ON-TOKEN VALUE 391.
       78 SQLM-ELM-DB2-STATUS           VALUE 392.
       78 SQLM-ELM-AGENTS-REGISTERED-TP VALUE 393.
       78 SQLM-ELM-AGENTS-WAITING-TOP   VALUE 394.
       78 SQLM-ELM-COMM-PRIVATE-MEM     VALUE 395.
       78 SQLM-ELM-IDLE-AGENTS          VALUE 396.
       78 SQLM-ELM-AGENTS-FROM-POOL     VALUE 397.
       78 SQLM-ELM-AGENTS-CR-EMPTY-PL   VALUE 398.
       78 SQLM-ELM-AGENTS-TOP           VALUE 399.
       78 SQLM-ELM-COORD-AGENTS-TOP     VALUE 400.
       78 SQLM-ELM-MAX-AGENT-OVERFLOWS  VALUE 401.
       78 SQLM-ELM-AGENTS-STOLEN        VALUE 402.
       78 SQLM-ELM-PRODUCT-NAME         VALUE 403.
       78 SQLM-ELM-COMPONENT-ID         VALUE 404.
       78 SQLM-ELM-SERVICE-LEVEL        VALUE 405.
       78 SQLM-ELM-POST-THRESHOLD-HJ    VALUE 406.
       78 SQLM-ELM-BUFF-FREE            VALUE 407.
       78 SQLM-ELM-BUFF-FREE-BOTTOM     VALUE 408.
       78 SQLM-ELM-MA-FREE              VALUE 409.
       78 SQLM-ELM-MA-FREE-BOTTOM       VALUE 410.
       78 SQLM-ELM-CE-FREE              VALUE 411.
       78 SQLM-ELM-CE-FREE-BOTTOM       VALUE 412.
       78 SQLM-ELM-RB-FREE              VALUE 413.
       78 SQLM-ELM-RB-FREE-BOTTOM       VALUE 414.
       78 SQLM-ELM-NUMBER-NODES         VALUE 415.
       78 SQLM-ELM-CONNECTION-STATUS    VALUE 416.
       78 SQLM-ELM-TOTAL-BUFFERS-SENT   VALUE 417.
       78 SQLM-ELM-TOTAL-BUFFERS-RCVD   VALUE 418.
       78 SQLM-ELM-LOCKS-HELD           VALUE 419.
       78 SQLM-ELM-LOCK-WAITS           VALUE 420.
       78 SQLM-ELM-LOCK-WAIT-TIME       VALUE 421.
       78 SQLM-ELM-LOCK-LIST-IN-USE     VALUE 422.
       78 SQLM-ELM-DEADLOCKS            VALUE 423.
       78 SQLM-ELM-LOCK-ESCALS          VALUE 424.
       78 SQLM-ELM-X-LOCK-ESCALS        VALUE 425.
       78 SQLM-ELM-LOCKS-WAITING        VALUE 426.
       78 SQLM-ELM-TOTAL-SORTS          VALUE 427.
       78 SQLM-ELM-TOTAL-SORT-TIME      VALUE 428.
       78 SQLM-ELM-SORT-OVERFLOWS       VALUE 429.
       78 SQLM-ELM-ACTIVE-SORTS         VALUE 430.
       78 SQLM-ELM-POOL-DATA-L-READS    VALUE 431.
       78 SQLM-ELM-POOL-DATA-P-READS    VALUE 432.
       78 SQLM-ELM-POOL-DATA-WRITES     VALUE 433.
       78 SQLM-ELM-POOL-INDEX-L-READS   VALUE 434.
       78 SQLM-ELM-POOL-INDEX-P-READS   VALUE 435.
       78 SQLM-ELM-POOL-INDEX-WRITES    VALUE 436.
       78 SQLM-ELM-POOL-READ-TIME       VALUE 437.
       78 SQLM-ELM-POOL-WRITE-TIME      VALUE 438.
       78 SQLM-ELM-FILES-CLOSED         VALUE 439.
       78 SQLM-ELM-DYNAMIC-SQL-STMTS    VALUE 440.
       78 SQLM-ELM-STATIC-SQL-STMTS     VALUE 441.
       78 SQLM-ELM-SELECT-SQL-STMTS     VALUE 442.
       78 SQLM-ELM-DDL-SQL-STMTS        VALUE 443.
       78 SQLM-ELM-UID-SQL-STMTS        VALUE 444.
       78 SQLM-ELM-INT-AUTO-REBINDS     VALUE 445.
       78 SQLM-ELM-INT-ROWS-DELETED     VALUE 446.
       78 SQLM-ELM-INT-ROWS-UPDATED     VALUE 447.
       78 SQLM-ELM-INT-COMMITS          VALUE 448.
       78 SQLM-ELM-INT-ROLLBACKS        VALUE 449.
       78 SQLM-ELM-INT-DEADLOCK-RB      VALUE 450.
       78 SQLM-ELM-ROWS-DELETED         VALUE 451.
       78 SQLM-ELM-ROWS-INSERTED        VALUE 452.
       78 SQLM-ELM-ROWS-UPDATED         VALUE 453.
       78 SQLM-ELM-BINDS-PRECOMPILES    VALUE 454.
       78 SQLM-ELM-LOCKS-HELD-TOP       VALUE 455.
       78 SQLM-ELM-NUM-NDS-IN-DB2-INST  VALUE 456.
       78 SQLM-ELM-TOTAL-CONS           VALUE 457.
       78 SQLM-ELM-APPLS-CUR-CONS       VALUE 458.
       78 SQLM-ELM-APPLS-IN-DB2         VALUE 459.
       78 SQLM-ELM-SEC-LOG-USED-TOP     VALUE 460.
       78 SQLM-ELM-TOT-LOG-USED-TOP     VALUE 461.
       78 SQLM-ELM-SEC-LOGS-ALLOCATED   VALUE 462.
       78 SQLM-ELM-POOL-ASYNC-INDEX-RDS VALUE 463.
       78 SQLM-ELM-POOL-DATA-TO-ESTORE  VALUE 464.
       78 SQLM-ELM-POOL-INDEX-TO-ESTORE VALUE 465.
       78 SQLM-ELM-POOL-INDEX-FRM-ESTR  VALUE 466.
       78 SQLM-ELM-POOL-DATA-FROM-ESTR  VALUE 467.
       78 SQLM-ELM-DB-STATUS            VALUE 468.
       78 SQLM-ELM-LOCK-TIMEOUTS        VALUE 469.
       78 SQLM-ELM-CONNECTIONS-TOP      VALUE 470.
       78 SQLM-ELM-DB-HEAP-TOP          VALUE 471.
       78 SQLM-ELM-POOL-ASYNC-DATA-RDS  VALUE 472.
       78 SQLM-ELM-POOL-ASYNC-DATA-WRTS VALUE 473.
       78 SQLM-ELM-POOL-ASYNC-INDX-WRTS VALUE 474.
       78 SQLM-ELM-POOL-ASYNC-READ-TIME VALUE 475.
       78 SQLM-ELM-POOL-ASYNC-WRT-TIME  VALUE 476.
       78 SQLM-ELM-POOL-ASYNC-DT-RD-RQS VALUE 477.
       78 SQLM-ELM-POOL-LSN-GAP-CLNS    VALUE 478.
       78 SQLM-ELM-POOL-DRTY-PG-STL-CS  VALUE 479.
       78 SQLM-ELM-POOL-DRTY-PG-THSH-CS VALUE 480.
       78 SQLM-ELM-DIRECT-READS         VALUE 481.
       78 SQLM-ELM-DIRECT-WRITES        VALUE 482.
       78 SQLM-ELM-DIRECT-READ-REQS     VALUE 483.
       78 SQLM-ELM-DIRECT-WRITE-REQS    VALUE 484.
       78 SQLM-ELM-DIRECT-READ-TIME     VALUE 485.
       78 SQLM-ELM-DIRECT-WRITE-TIME    VALUE 486.
       78 SQLM-ELM-INT-ROWS-INSERTED    VALUE 487.
       78 SQLM-ELM-LOG-READS            VALUE 488.
       78 SQLM-ELM-LOG-WRITES           VALUE 489.
       78 SQLM-ELM-PKG-CACHE-LOOKUPS    VALUE 490.
       78 SQLM-ELM-PKG-CACHE-INSERTS    VALUE 491.
       78 SQLM-ELM-CAT-CACHE-LOOKUPS    VALUE 492.
       78 SQLM-ELM-CAT-CACHE-INSERTS    VALUE 493.
       78 SQLM-ELM-CAT-CACHE-OVERFLOWS  VALUE 494.
       78 SQLM-ELM-CAT-CACHE-HEAP-FULL  VALUE 495.
       78 SQLM-ELM-CATALOG-NODE         VALUE 496.
       78 SQLM-ELM-TOTAL-SEC-CONS       VALUE 497.
       78 SQLM-ELM-DB-LOCATION          VALUE 498.
       78 SQLM-ELM-SERVER-PLATFORM      VALUE 499.
       78 SQLM-ELM-CATALOG-NODE-NAME    VALUE 500.
       78 SQLM-ELM-PREFETCH-WAIT-TIME   VALUE 501.
       78 SQLM-ELM-APPL-SECTION-LOOKUPS VALUE 502.
       78 SQLM-ELM-APPL-SECTION-INSERTS VALUE 503.
       78 SQLM-ELM-TOTAL-HASH-JOINS     VALUE 504.
       78 SQLM-ELM-TOTAL-HASH-LOOPS     VALUE 505.
       78 SQLM-ELM-HASH-JOIN-OVERFLOWS  VALUE 506.
       78 SQLM-ELM-HASH-JOIN-SMALL-OFS  VALUE 507.
       78 SQLM-ELM-UOW-LOCK-WAIT-TIME   VALUE 508.
       78 SQLM-ELM-STMT-TYPE            VALUE 509.
       78 SQLM-ELM-CURSOR-NAME          VALUE 510.
       78 SQLM-ELM-UOW-LOG-SPACE-USED   VALUE 511.
       78 SQLM-ELM-OPEN-REM-CURS        VALUE 512.
       78 SQLM-ELM-OPEN-REM-CURS-BLK    VALUE 513.
       78 SQLM-ELM-REJ-CURS-BLK         VALUE 514.
       78 SQLM-ELM-ACC-CURS-BLK         VALUE 515.
       78 SQLM-ELM-VERSION              VALUE 516.
       78 SQLM-ELM-EVENT-MONITOR-NAME   VALUE 517.
       78 SQLM-ELM-SQL-REQS-SINCE-CM    VALUE 518.
       78 SQLM-ELM-NUM-SEC-APPL-STRUCTS VALUE 519.
       78 SQLM-ELM-BYTE-ORDER           VALUE 520.
       78 SQLM-ELM-PREP-TIME-WORST      VALUE 521.
       78 SQLM-ELM-ROWS-READ            VALUE 522.
       78 SQLM-ELM-ROWS-WRITTEN         VALUE 523.
       78 SQLM-ELM-OPEN-LOC-CURS        VALUE 524.
       78 SQLM-ELM-OPEN-LOC-CURS-BLK    VALUE 525.
       78 SQLM-ELM-COORD-NODE           VALUE 526.
       78 SQLM-ELM-NUM-AGENTS           VALUE 527.
       78 SQLM-ELM-ASSOCIATED-AGENTS-TP VALUE 528.
       78 SQLM-ELM-APPL-PRIORITY        VALUE 529.
       78 SQLM-ELM-APPL-PRIORITY-TYPE   VALUE 530.
       78 SQLM-ELM-DEGREE-PARALLELISM   VALUE 531.
       78 SQLM-ELM-STMT-SORTS           VALUE 532.
       78 SQLM-ELM-STMT-USR-CPU-TIME    VALUE 533.
       78 SQLM-ELM-STMT-SYS-CPU-TIME    VALUE 534.
       78 SQLM-ELM-SS-NUMBER            VALUE 535.
       78 SQLM-ELM-SS-STATUS            VALUE 536.
       78 SQLM-ELM-SS-NODE-NUMBER       VALUE 537.
       78 SQLM-ELM-SS-EXEC-TIME         VALUE 538.
       78 SQLM-ELM-PREP-TIME-BEST       VALUE 539.
       78 SQLM-ELM-NUM-COMPILATIONS     VALUE 540.
       78 SQLM-ELM-TQ-NODE-WAITED-FOR   VALUE 541.
       78 SQLM-ELM-TQ-WAIT-FOR-ANY      VALUE 542.
       78 SQLM-ELM-TQ-ID-WAITING-ON     VALUE 543.
       78 SQLM-ELM-TQ-TOT-SEND-SPILLS   VALUE 544.
       78 SQLM-ELM-TQ-CUR-SEND-SPILLS   VALUE 545.
       78 SQLM-ELM-TQ-MAX-SEND-SPILLS   VALUE 546.
       78 SQLM-ELM-TQ-ROWS-READ         VALUE 547.
       78 SQLM-ELM-TQ-ROWS-WRITTEN      VALUE 548.
       78 SQLM-ELM-AGENT-PID            VALUE 549.
       78 SQLM-ELM-LOCK-ESCALATION      VALUE 550.
       78 SQLM-ELM-SUBSECTION-NUMBER    VALUE 551.
       78 SQLM-ELM-LOCK-MODE            VALUE 552.
       78 SQLM-ELM-LOCK-OBJECT-TYPE     VALUE 553.
       78 SQLM-ELM-NUM-EXECUTIONS       VALUE 554.
       78 SQLM-ELM-TABLE-NAME           VALUE 555.
       78 SQLM-ELM-TABLE-SCHEMA         VALUE 556.
       78 SQLM-ELM-TABLESPACE-NAME      VALUE 557.
       78 SQLM-ELM-AGENT-ID-HOLDING-LK  VALUE 558.
       78 SQLM-ELM-APPL-ID-HOLDING-LK   VALUE 559.
       78 SQLM-ELM-NUM-TABLES           VALUE 560.
       78 SQLM-ELM-TABLE-FILE-ID        VALUE 561.
       78 SQLM-ELM-TABLE-TYPE           VALUE 562.
       78 SQLM-ELM-OVERFLOW-ACCESSES    VALUE 563.
       78 SQLM-ELM-PAGE-REORGS          VALUE 564.
       78 SQLM-ELM-SQLCABC              VALUE 565.
       78 SQLM-ELM-LOCK-STATUS          VALUE 566.
       78 SQLM-ELM-LOCK-OBJECT-NAME     VALUE 567.
       78 SQLM-ELM-RF-TYPE              VALUE 568.
       78 SQLM-ELM-RF-LOG-NUM           VALUE 569.
       78 SQLM-ELM-RF-STATUS            VALUE 570.
       78 SQLM-ELM-TS-NAME              VALUE 571.
       78 SQLM-ELM-BP-NAME              VALUE 572.
       78 SQLM-ELM-STMT-NODE-NUMBER     VALUE 573.
       78 SQLM-ELM-PARTIAL-RECORD       VALUE 574.
       78 SQLM-ELM-SYSTEM-CPU-TIME      VALUE 575.
       78 SQLM-ELM-SQLCA                VALUE 576.
       78 SQLM-ELM-SQLCODE              VALUE 577.
       78 SQLM-ELM-SQLERRML             VALUE 578.
       78 SQLM-ELM-SQLERRMC             VALUE 579.
       78 SQLM-ELM-SQLERRP              VALUE 580.
       78 SQLM-ELM-SQLERRD              VALUE 581.
       78 SQLM-ELM-SQLWARN              VALUE 582.
       78 SQLM-ELM-SQLSTATE             VALUE 583.
       78 SQLM-ELM-UOW-STATUS           VALUE 584.
       78 SQLM-ELM-TOTAL-SYS-CPU-TIME   VALUE 585.
       78 SQLM-ELM-TOTAL-USR-CPU-TIME   VALUE 586.
       78 SQLM-ELM-LOCK-MODE-REQUESTED  VALUE 587.
       78 SQLM-ELM-INACTIVE-GW-AGENTS   VALUE 588.
       78 SQLM-ELM-NUM-GW-CONN-SWITCHES VALUE 589.
       78 SQLM-ELM-GW-COMM-ERRORS       VALUE 590.
       78 SQLM-ELM-GW-COMM-ERROR-TIME   VALUE 591.
       78 SQLM-ELM-GW-CON-START-TIME    VALUE 592.
       78 SQLM-ELM-CON-RESPONSE-TIME    VALUE 593.
       78 SQLM-ELM-CON-ELAPSED-TIME     VALUE 594.
       78 SQLM-ELM-HOST-RESPONSE-TIME   VALUE 595.
       78 SQLM-ELM-PKG-CACHE-NUM-OFS    VALUE 596.
       78 SQLM-ELM-PKG-CACHE-SIZE-TOP   VALUE 597.
       78 SQLM-ELM-APPL-ID-OLDEST-XACT  VALUE 598.
       78 SQLM-ELM-TOTAL-LOG-USED       VALUE 599.
       78 SQLM-ELM-TOTAL-LOG-AVAILABLE  VALUE 600.
       78 SQLM-ELM-STMT-ELAPSED-TIME    VALUE 601.
       78 SQLM-ELM-UOW-ELAPSED-TIME     VALUE 602.
       78 SQLM-ELM-SQLCAID              VALUE 603.

      **********************************************************************
      * Database Monitor Data Structures
      **********************************************************************

      **********************************************************************
      *  Dynamic (V6) Monitor Stream structures
      **********************************************************************
       01 SQLM-HEADER-INFO.
          05 SQLM-SIZE              PIC 9(9) COMP-5.
          05 SQLM-TYPE                   PIC 9(4) COMP-5.
          05 ELEMENT                PIC 9(4) COMP-5.
        
       01 SQLM-HEADER-DATA.
          05 HEADER.
             10 SQLM-SIZE           PIC 9(9) COMP-5.
             10 SQLM-TYPE           PIC 9(4) COMP-5.
             10 ELEMENT             PIC 9(4) COMP-5.
          05 SQLM-DATA              PIC X(1).

      **********************************************************************
      *  SQL Monitor Area
      **********************************************************************

       01 SQLMA.
          05 OBJ-NUM                 PIC 9(9) COMP-5.
          05 OBJ-VAR OCCURS 0 TO 100 TIMES DEPENDING ON OBJ-NUM.
             10 AGENT-ID             PIC 9(9) COMP-5.
             10 OBJ-TYPE             PIC 9(9) COMP-5.
             10 SQLMA-OBJECT         PIC X(36).

      **********************************************************************
      * time stamp data structure
      **********************************************************************

       01 SQLM-TIMESTAMP.
          05 SECONDS                 PIC 9(9) COMP-5.
          05 MICROSEC                PIC 9(9) COMP-5.

      **********************************************************************
      * Elpased time data structure  (For CPU times)
      **********************************************************************

       01 SQLM-TIME.
          05 SECONDS                 PIC 9(9) COMP-5.
          05 MICROSEC                PIC 9(9) COMP-5.

      **********************************************************************
      * State information for each monitor group
      **********************************************************************

       01 SQLM-RECORDING-GROUP OCCURS 6 TIMES.
          05 INPUT-STATE             PIC 9(9) COMP-5.
          05 OUTPUT-STATE            PIC 9(9) COMP-5.
          05 START-TIME.
             10 SECONDS              PIC 9(9) COMP-5.
             10 MICROSEC             PIC 9(9) COMP-5.

      **********************************************************************
      * collection count data structure returned from get monitor info
      **********************************************************************

       01 SQLM-COLLECTED.
          05 SQLM-SIZE               PIC 9(9) COMP-5.
          05 DB2                     PIC 9(9) COMP-5.
          05 DATABASES               PIC 9(9) COMP-5.
          05 TABLE-DATABASES         PIC 9(9) COMP-5.
          05 LOCK-DATABASES          PIC 9(9) COMP-5.
          05 APPLICATIONS            PIC 9(9) COMP-5.
          05 APPLINFOS               PIC 9(9) COMP-5.
          05 DCS-APPLINFOS           PIC 9(9) COMP-5.
          05 SERVER-DB2-TYPE         PIC 9(9) COMP-5.
          05 TIME-STAMP.
             10 SECONDS              PIC 9(9) COMP-5.
             10 MICROSEC             PIC 9(9) COMP-5.
          05 GROUP-STATES OCCURS 6.
             10 INPUT-STATE          PIC 9(9) COMP-5.
             10 OUTPUT-STATE         PIC 9(9) COMP-5.
             10 START-TIME.
                15 SECONDS           PIC 9(9) COMP-5.
                15 MICROSEC          PIC 9(9) COMP-5.
          05 SERVER-PRDID            PIC X(20).
          05 SERVER-NNAME            PIC X(20).
          05 SERVER-INSTANCE-NAME    PIC X(20).
          05 RESERVED                PIC X(22).
          05 NODE-NUMBER             PIC 9(5) COMP-5.
          05 TIME-ZONE-DISP          PIC S9(9) COMP-5.
          05 NUM-TOP-LEVEL-STRUCTS   PIC 9(9) COMP-5.
          05 TABLESPACE-DATABASES    PIC 9(9) COMP-5.
          05 SERVER-VERSION          PIC 9(9) COMP-5.
