*******************************************************************************
*  
*  Source File Name: db2ApiDf
*  
*  (C) COPYRIGHT International Business Machines Corp. 1987, 1997
*  All Rights Reserved
*  Licensed Materials - Property of IBM
*  
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*  
*  Function = Include File defining:
*               Environment Commands - Constants
*               Environment Commands - Structures
*               Environment Commands - Function Prototypes
*               Environment Commands - Labels for SQLCODES
*  
*  Operating System: LINUX
*  
********************************************************************************

* Version, Release PTF identifier
* Pre Version 6.1.0.0
       integer*2   db2Version6Prior
       parameter ( db2Version6Prior        = 0 )

* Version 6.1.0.0
       integer*4   db2Version610
       parameter ( db2Version610           = 6010000 )

* Version 7.1.0.0
       integer*4   db2Version710
       parameter ( db2Version710           = 7010000 )


*******************************************************************************
*  Structure db2Char
*  
*  Description:
*      pioData  -- Pointer to character data.
*               -- If NULL, no data will be returned.
*  
*      iLength  -- Input:  Size of the pData buffer.
*  
*      oLength  -- Output: Length of valid data in pData.
*               -- If the output data was truncated, this will be set to
*                  the complete size before truncation
********************************************************************************
       integer*2   db2Char_struct_sz
       parameter ( db2Char_struct_sz       = 12 )

* Character data
       integer*2   db2Char_pioData_sz
       parameter ( db2Char_pioData_sz      = 4 )

       integer*2   db2Char_pioData_ofs
       parameter ( db2Char_pioData_ofs     = 1 )

* I:  Length of pioData
       integer*2   db2Char_iLength_sz
       parameter ( db2Char_iLength_sz      = 4 )

       integer*2   db2Char_iLength_ofs
       parameter ( db2Char_iLength_ofs     = 5 )

* O:  Untruncated length of data
       integer*2   db2Char_oLength_sz
       parameter ( db2Char_oLength_sz      = 4 )

       integer*2   db2Char_oLength_ofs
       parameter ( db2Char_oLength_ofs     = 9 )


*******************************************************************************
*  Load Query Structures and Constants
********************************************************************************

* Possible values for "iStringType"
* Tablename specified
       integer*2   DB2LOADQUERY_TABLENAME
       parameter ( DB2LOADQUERY_TABLENAME  = 0 )

       integer*2   DB2LOADQUERY_TEMPPATHNAME
       parameter ( DB2LOADQUERY_TEMPPATHNAME = 1 )


* Possible values for "iShowLoadMessages"
* Show ALL LOAD messages
       integer*2   DB2LOADQUERY_SHOW_ALL_MSGS
       parameter ( DB2LOADQUERY_SHOW_ALL_MSGS = 0 )

* Show NO LOAD messages
       integer*2   DB2LOADQUERY_SHOW_NO_MSGS
       parameter ( DB2LOADQUERY_SHOW_NO_MSGS = 1 )

* Show only NEW LOAD messages
       integer*2   DB2LOADQUERY_SHOW_NEW_MSGS
       parameter ( DB2LOADQUERY_SHOW_NEW_MSGS = 2 )


* Possible values for "oWhichPhase"
* Load Phase
       integer*2   DB2LOADQUERY_LOAD_PHASE
       parameter ( DB2LOADQUERY_LOAD_PHASE = 1 )

* Build Phase
       integer*2   DB2LOADQUERY_BUILD_PHASE
       parameter ( DB2LOADQUERY_BUILD_PHASE = 2 )

* Delete Phase
       integer*2   DB2LOADQUERY_DELETE_PHASE
       parameter ( DB2LOADQUERY_DELETE_PHASE = 3 )


* Load Query Output Structure
       integer*2   db2LoadQueryOutput_struct_sz
       parameter ( db2LoadQueryOutput_struct_sz = 48 )

* Rows Read
       integer*2   db2LoadQueryOutput_oRowsRead_sz
       parameter ( db2LoadQueryOutput_oRowsRead_sz = 4 )

       integer*2   db2LoadQueryOutput_oRowsRead_ofs
       parameter ( db2LoadQueryOutput_oRowsRead_ofs = 1 )

* Rows Skipped
       integer*2   db2LoadQueryOutput_oRowsSkipped_sz
       parameter ( db2LoadQueryOutput_oRowsSkipped_sz = 4 )

       integer*2   db2LoadQueryOutput_oRowsSkipped_ofs
       parameter ( db2LoadQueryOutput_oRowsSkipped_ofs = 5 )

* Rows Committed
       integer*2   db2LoadQueryOutput_oRowsCommitted_sz
       parameter ( db2LoadQueryOutput_oRowsCommitted_sz = 4 )

       integer*2   db2LoadQueryOutput_oRowsCommitted_ofs
       parameter ( db2LoadQueryOutput_oRowsCommitted_ofs = 9 )

* Rows Loaded
       integer*2   db2LoadQueryOutput_oRowsLoaded_sz
       parameter ( db2LoadQueryOutput_oRowsLoaded_sz = 4 )

       integer*2   db2LoadQueryOutput_oRowsLoaded_ofs
       parameter ( db2LoadQueryOutput_oRowsLoaded_ofs = 13 )

* Rows Rejected
       integer*2   db2LoadQueryOutput_oRowsRejected_sz
       parameter ( db2LoadQueryOutput_oRowsRejected_sz = 4 )

       integer*2   db2LoadQueryOutput_oRowsRejected_ofs
       parameter ( db2LoadQueryOutput_oRowsRejected_ofs = 17 )

* Rows Deleted
       integer*2   db2LoadQueryOutput_oRowsDeleted_sz
       parameter ( db2LoadQueryOutput_oRowsDeleted_sz = 4 )

       integer*2   db2LoadQueryOutput_oRowsDeleted_ofs
       parameter ( db2LoadQueryOutput_oRowsDeleted_ofs = 21 )

* Current Index (BUILD PHASE)
       integer*2   db2LoadQueryOutput_oCurrentIndex_sz
       parameter ( db2LoadQueryOutput_oCurrentIndex_sz = 4 )

       integer*2   db2LoadQueryOutput_oCurrentIndex_ofs
       parameter ( db2LoadQueryOutput_oCurrentIndex_ofs = 25 )

* Total # of Indexes to build (BUILD PHASE)
       integer*2   db2LoadQueryOutput_oNumTotalIndexes_sz
       parameter ( db2LoadQueryOutput_oNumTotalIndexes_sz = 4 )

       integer*2   db2LoadQueryOutput_oNumTotalIndexes_ofs
       parameter ( db2LoadQueryOutput_oNumTotalIndexes_ofs = 29 )

* Node being queried (MPP only)
       integer*2   db2LoadQueryOutput_oCurrentMPPNode_sz
       parameter ( db2LoadQueryOutput_oCurrentMPPNode_sz = 4 )

       integer*2   db2LoadQueryOutput_oCurrentMPPNode_ofs
       parameter ( db2LoadQueryOutput_oCurrentMPPNode_ofs = 33 )

* Load Restart indicator
       integer*2   db2LoadQueryOutput_oLoadRestarted_sz
       parameter ( db2LoadQueryOutput_oLoadRestarted_sz = 4 )

       integer*2   db2LoadQueryOutput_oLoadRestarted_ofs
       parameter ( db2LoadQueryOutput_oLoadRestarted_ofs = 37 )

* Phase of queried Load
       integer*2   db2LoadQueryOutput_oWhichPhase_sz
       parameter ( db2LoadQueryOutput_oWhichPhase_sz = 4 )

       integer*2   db2LoadQueryOutput_oWhichPhase_ofs
       parameter ( db2LoadQueryOutput_oWhichPhase_ofs = 41 )

* Warning Count
       integer*2   db2LoadQueryOutput_oWarningCount_sz
       parameter ( db2LoadQueryOutput_oWarningCount_sz = 4 )

       integer*2   db2LoadQueryOutput_oWarningCount_ofs
       parameter ( db2LoadQueryOutput_oWarningCount_ofs = 45 )


* Generic Load Query Parameter Structure
       integer*2   db2gLoadQueryStruct_struct_sz
       parameter ( db2gLoadQueryStruct_struct_sz = 28 )

* Type of piString
       integer*2   db2gLoadQueryStruct_iStringType_sz
       parameter ( db2gLoadQueryStruct_iStringType_sz = 4 )

       integer*2   db2gLoadQueryStruct_iStringType_ofs
       parameter ( db2gLoadQueryStruct_iStringType_ofs = 1 )

* Length in bytes of piString
       integer*2   db2gLoadQueryStruct_iStringLen_sz
       parameter ( db2gLoadQueryStruct_iStringLen_sz = 4 )

       integer*2   db2gLoadQueryStruct_iStringLen_ofs
       parameter ( db2gLoadQueryStruct_iStringLen_ofs = 5 )

* Name to query
       integer*2   db2gLoadQueryStruct_piString_sz
       parameter ( db2gLoadQueryStruct_piString_sz = 4 )

       integer*2   db2gLoadQueryStruct_piString_ofs
       parameter ( db2gLoadQueryStruct_piString_ofs = 9 )

* Level of Load message reporting
       integer*2   db2gLoadQueryStruct_iShowLoadMessages_sz
       parameter ( db2gLoadQueryStruct_iShowLoadMessages_sz = 4 )

       integer*2   db2gLoadQueryStruct_iShowLoadMessages_ofs
       parameter ( db2gLoadQueryStruct_iShowLoadMessages_ofs = 13 )

* Load Query Output Structure
       integer*2   db2gLoadQueryStruct_poOutputStruct_sz
       parameter ( db2gLoadQueryStruct_poOutputStruct_sz = 4 )

       integer*2   db2gLoadQueryStruct_poOutputStruct_ofs
       parameter ( db2gLoadQueryStruct_poOutputStruct_ofs = 17 )

* Length in bytes of message file variable
       integer*2   iLocalMsgFileLen_sz
       parameter ( iLocalMsgFileLen_sz     = 4 )

       integer*2   iLocalMsgFileLen_ofs
       parameter ( iLocalMsgFileLen_ofs    = 21 )

* Message File
       integer*2   db2gLoadQueryStruct_piLocalMessageFile_sz
       parameter ( db2gLoadQueryStruct_piLocalMessageFile_sz = 4 )

       integer*2   db2gLoadQueryStruct_piLocalMessageFile_ofs
       parameter ( db2gLoadQueryStruct_piLocalMessageFile_ofs = 25 )


* Generic Load Query
       integer*4    db2gLoadQuery
       external     db2gLoadQuery


*******************************************************************************
*  Open History Scan Definitions
********************************************************************************

* Values for db2HistoryOpen - iCallerAction
       integer*2   DB2HISTORY_LIST_HISTORY
       parameter ( DB2HISTORY_LIST_HISTORY = 0 )

       integer*2   DB2HISTORY_LIST_BACKUP
       parameter ( DB2HISTORY_LIST_BACKUP  = 1 )

       integer*2   DB2HISTORY_LIST_ROLLFORWARD
       parameter ( DB2HISTORY_LIST_ROLLFORWARD = 2 )

       integer*2   DB2HISTORY_LIST_RUNSTATS
       parameter ( DB2HISTORY_LIST_RUNSTATS = 3 )

       integer*2   DB2HISTORY_LIST_REORG
       parameter ( DB2HISTORY_LIST_REORG   = 4 )

       integer*2   DB2HISTORY_LIST_ALT_TABLESPACE
       parameter ( DB2HISTORY_LIST_ALT_TABLESPACE = 5 )

       integer*2   DB2HISTORY_LIST_DROPPED_TABLE
       parameter ( DB2HISTORY_LIST_DROPPED_TABLE = 6 )

       integer*2   DB2HISTORY_LIST_LOAD
       parameter ( DB2HISTORY_LIST_LOAD    = 7 )

       integer*2   DB2HISTORY_LIST_REN_TABLESPACE
       parameter ( DB2HISTORY_LIST_REN_TABLESPACE = 8 )

       integer*2   DB2HISTORY_LIST_CRT_TABLESPACE
       parameter ( DB2HISTORY_LIST_CRT_TABLESPACE = 9 )


* db2gHistoryOpen input struct
       integer*2   db2gHistoryOpenStruct_struct_sz
       parameter ( db2gHistoryOpenStruct_struct_sz = 36 )

* DB to fetch history from
       integer*2   db2gHistoryOpenStruct_piDatabaseAlias_sz
       parameter ( db2gHistoryOpenStruct_piDatabaseAlias_sz = 4 )

       integer*2   db2gHistoryOpenStruct_piDatabaseAlias_ofs
       parameter ( db2gHistoryOpenStruct_piDatabaseAlias_ofs = 1 )

* Since this timestamp
       integer*2   db2gHistoryOpenStruct_piTimestamp_sz
       parameter ( db2gHistoryOpenStruct_piTimestamp_sz = 4 )

       integer*2   db2gHistoryOpenStruct_piTimestamp_ofs
       parameter ( db2gHistoryOpenStruct_piTimestamp_ofs = 5 )

* Entries containing this object
       integer*2   db2gHistoryOpenStruct_piObjectName_sz
       parameter ( db2gHistoryOpenStruct_piObjectName_sz = 4 )

       integer*2   db2gHistoryOpenStruct_piObjectName_ofs
       parameter ( db2gHistoryOpenStruct_piObjectName_ofs = 9 )

* Length of database alias string
       integer*2   db2gHistoryOpenStruct_iAliasLen_sz
       parameter ( db2gHistoryOpenStruct_iAliasLen_sz = 4 )

       integer*2   db2gHistoryOpenStruct_iAliasLen_ofs
       parameter ( db2gHistoryOpenStruct_iAliasLen_ofs = 13 )

* Length of timestamp string
       integer*2   db2gHistoryOpenStruct_iTimestampLen_sz
       parameter ( db2gHistoryOpenStruct_iTimestampLen_sz = 4 )

       integer*2   db2gHistoryOpenStruct_iTimestampLen_ofs
       parameter ( db2gHistoryOpenStruct_iTimestampLen_ofs = 17 )

* Length of object name string
       integer*2   db2gHistoryOpenStruct_iObjectNameLen_sz
       parameter ( db2gHistoryOpenStruct_iObjectNameLen_sz = 4 )

       integer*2   db2gHistoryOpenStruct_iObjectNameLen_ofs
       parameter ( db2gHistoryOpenStruct_iObjectNameLen_ofs = 21 )

* # of entries matching search
       integer*2   db2gHistoryOpenStruct_oNumRows_sz
       parameter ( db2gHistoryOpenStruct_oNumRows_sz = 4 )

       integer*2   db2gHistoryOpenStruct_oNumRows_ofs
       parameter ( db2gHistoryOpenStruct_oNumRows_ofs = 25 )

* Max. # of tablespace names stored with ANY history entry
       integer*2   db2gHistoryOpenStruct_oMaxTbspaces_sz
       parameter ( db2gHistoryOpenStruct_oMaxTbspaces_sz = 4 )

       integer*2   db2gHistoryOpenStruct_oMaxTbspaces_ofs
       parameter ( db2gHistoryOpenStruct_oMaxTbspaces_ofs = 29 )

* Caller action
       integer*2   db2gHistoryOpenStruct_iCallerAction_sz
       parameter ( db2gHistoryOpenStruct_iCallerAction_sz = 2 )

       integer*2   db2gHistoryOpenStruct_iCallerAction_ofs
       parameter ( db2gHistoryOpenStruct_iCallerAction_ofs = 33 )

* Handle for this scan
       integer*2   db2gHistoryOpenStruct_oHandle_sz
       parameter ( db2gHistoryOpenStruct_oHandle_sz = 2 )

       integer*2   db2gHistoryOpenStruct_oHandle_ofs
       parameter ( db2gHistoryOpenStruct_oHandle_ofs = 35 )


* db2gHistoryOpenScan - Generic API
* Open a history file scan
       integer*4    db2gHistoryOpenScan
       external     db2gHistoryOpenScan


*******************************************************************************
*  Fetch Next History Entry Definititions
********************************************************************************

* Structure db2HistoryEID
       integer*2   db2HistoryEID_struct_sz
       parameter ( db2HistoryEID_struct_sz = 8 )

* Node number
       integer*2   db2HistoryEID_ioNode_sz
       parameter ( db2HistoryEID_ioNode_sz = 2 )

       integer*2   db2HistoryEID_ioNode_ofs
       parameter ( db2HistoryEID_ioNode_ofs = 1 )

* Local history file entry ID
       integer*2   db2HistoryEID_ioHID_sz
       parameter ( db2HistoryEID_ioHID_sz  = 4 )

       integer*2   db2HistoryEID_ioHID_ofs
       parameter ( db2HistoryEID_ioHID_ofs = 5 )


* Max Sizes of db2HistoryDataStruct db2Char fields
* NOTE:  These lengths do not include NULL terminators
       integer*2   DB2HISTORY_TIMESTAMP_SZ
       parameter ( DB2HISTORY_TIMESTAMP_SZ = 14 )

       integer*2   DB2HISTORY_SEQNUM_SZ
       parameter ( DB2HISTORY_SEQNUM_SZ    = 3 )

       integer*2   DB2HISTORY_OBJPART_SZ
       parameter ( DB2HISTORY_OBJPART_SZ   = 17 )

       integer*2   DB2HISTORY_LOGFILE_SZ
       parameter ( DB2HISTORY_LOGFILE_SZ   = 12 )

       integer*2   DB2HISTORY_ID_SZ
       parameter ( DB2HISTORY_ID_SZ        = 24 )

       integer*2   DB2HISTORY_TABLE_QUAL_SZ
       parameter ( DB2HISTORY_TABLE_QUAL_SZ = 30 )

       integer*2   DB2HISTORY_TABLE_NAME_SZ
       parameter ( DB2HISTORY_TABLE_NAME_SZ = 128 )

       integer*2   DB2HISTORY_LOCATION_SZ
       parameter ( DB2HISTORY_LOCATION_SZ  = 255 )

       integer*2   DB2HISTORY_COMMENT_SZ
       parameter ( DB2HISTORY_COMMENT_SZ   = 30 )

       integer*4   DB2HISTORY_COMMAND_SZ
       parameter ( DB2HISTORY_COMMAND_SZ   = 65535 )


* Structure db2HistoryData
* 
* Description:
*      ioHistDataID      -- Eye catcher, must be set to "SQLUHINF"
* 
*      oObjectPart       -- Start time + sequence number
*                        -- DB2HISTORY_OBJPART_SZ
* 
*      oEndTime          -- Completion timestamp
*                        -- DB2HISTORY_TIMESTAMP_SZ
* 
*      oFirstLog         -- First log file referrenced by event
*                        -- DB2HISTORY_LOGFILE_SZ
* 
*      oLastLog          -- Last log file referrenced by event
*                        -- DB2HISTORY_LOGFILE_SZ
* 
*      oID               -- Backup ID (timestamp), or unique table ID
*                        -- DB2HISTORY_ID_SZ
* 
*      oTableQualifier   -- Table qualifier
*                        -- DB2HISTORY_TABLE_QUAL_SZ
* 
*      oTableName        -- Table name
*                        -- DB2HISTORY_TABLE_NAME_SZ
* 
*      oLocation         -- Location of object used or produced by event
*                        -- DB2HISTORY_LOCATION_SZ
* 
*      oComment          -- Text comment
*                        -- DB2HISTORY_COMMENT_SZ
* 
*      oCommandText      -- Command text, or DDL
*                        -- DB2HISTORY_COMMAND_SZ
* 
*      oLastLSN          -- Last Log Sequence Number
*      poEventSQLCA      -- SQLCA returned at event completion
*      poTablespace      -- LIST of tablespace names
*      iNumTablespaces   -- # of available entries in the poTablespace list
*      oNumTablespaces   -- # of used entries in the poTablespace list
*      oEID              -- Unique history entry ID
*      oOperation        -- Event type:        DB2HISTORY_TYPE_*
*      oObject           -- Event granularity: DB2HISTORY_GRAN_*
*      oOptype           -- Event details:     DB2HISTORY_OPTYPE_*
*      oStatus           -- Entry status:      DB2HISTORY_STATUS_*
*      oDeviceType       -- Type of oLocation: DB2_MEDIA_*

       integer*2   db2HistoryData_struct_sz
       parameter ( db2HistoryData_struct_sz = 168 )

* Eye catcher = 'SQLUHINF'
       integer*2   db2HistoryData_ioHistDataID_sz
       parameter ( db2HistoryData_ioHistDataID_sz = 8 )

       integer*2   db2HistoryData_ioHistDataID_ofs
       parameter ( db2HistoryData_ioHistDataID_ofs = 1 )

* Start time + sequence number
       integer*2   db2HistoryData_oObjectPart_sz
       parameter ( db2HistoryData_oObjectPart_sz = 12 )

       integer*2   db2HistoryData_oObjectPart_ofs
       parameter ( db2HistoryData_oObjectPart_ofs = 9 )

* Completion time of event
       integer*2   db2HistoryData_oEndTime_sz
       parameter ( db2HistoryData_oEndTime_sz = 12 )

       integer*2   db2HistoryData_oEndTime_ofs
       parameter ( db2HistoryData_oEndTime_ofs = 21 )

* First log file
       integer*2   db2HistoryData_oFirstLog_sz
       parameter ( db2HistoryData_oFirstLog_sz = 12 )

       integer*2   db2HistoryData_oFirstLog_ofs
       parameter ( db2HistoryData_oFirstLog_ofs = 33 )

* Last log file
       integer*2   db2HistoryData_oLastLog_sz
       parameter ( db2HistoryData_oLastLog_sz = 12 )

       integer*2   db2HistoryData_oLastLog_ofs
       parameter ( db2HistoryData_oLastLog_ofs = 45 )

* Backup ID, or unique table ID
       integer*2   db2HistoryData_oID_sz
       parameter ( db2HistoryData_oID_sz   = 12 )

       integer*2   db2HistoryData_oID_ofs
       parameter ( db2HistoryData_oID_ofs  = 57 )

* Table qualifier
       integer*2   db2HistoryData_oTableQualifier_sz
       parameter ( db2HistoryData_oTableQualifier_sz = 12 )

       integer*2   db2HistoryData_oTableQualifier_ofs
       parameter ( db2HistoryData_oTableQualifier_ofs = 69 )

* Table name
       integer*2   db2HistoryData_oTableName_sz
       parameter ( db2HistoryData_oTableName_sz = 12 )

       integer*2   db2HistoryData_oTableName_ofs
       parameter ( db2HistoryData_oTableName_ofs = 81 )

* Location of referrenced object
       integer*2   db2HistoryData_oLocation_sz
       parameter ( db2HistoryData_oLocation_sz = 12 )

       integer*2   db2HistoryData_oLocation_ofs
       parameter ( db2HistoryData_oLocation_ofs = 93 )

* Text comment
       integer*2   db2HistoryData_oComment_sz
       parameter ( db2HistoryData_oComment_sz = 12 )

       integer*2   db2HistoryData_oComment_ofs
       parameter ( db2HistoryData_oComment_ofs = 105 )

* Command text
       integer*2   db2HistoryData_oCommandText_sz
       parameter ( db2HistoryData_oCommandText_sz = 12 )

       integer*2   db2HistoryData_oCommandText_ofs
       parameter ( db2HistoryData_oCommandText_ofs = 117 )

* Last log sequence number
       integer*2   db2HistoryData_oLastLSN_sz
       parameter ( db2HistoryData_oLastLSN_sz = 6 )

       integer*2   db2HistoryData_oLastLSN_ofs
       parameter ( db2HistoryData_oLastLSN_ofs = 129 )

* Unique entry ID
       integer*2   db2HistoryData_oEID_sz
       parameter ( db2HistoryData_oEID_sz  = 8 )

       integer*2   db2HistoryData_oEID_ofs
       parameter ( db2HistoryData_oEID_ofs = 137 )

* Resulting SQLCA of event
       integer*2   db2HistoryData_poEventSQLCA_sz
       parameter ( db2HistoryData_poEventSQLCA_sz = 4 )

       integer*2   db2HistoryData_poEventSQLCA_ofs
       parameter ( db2HistoryData_poEventSQLCA_ofs = 145 )

* List of tablespace names
       integer*2   db2HistoryData_poTablespace_sz
       parameter ( db2HistoryData_poTablespace_sz = 4 )

       integer*2   db2HistoryData_poTablespace_ofs
       parameter ( db2HistoryData_poTablespace_ofs = 149 )

* I: # of available poTablespace fields
       integer*2   db2HistoryData_iNumTablespaces_sz
       parameter ( db2HistoryData_iNumTablespaces_sz = 4 )

       integer*2   db2HistoryData_iNumTablespaces_ofs
       parameter ( db2HistoryData_iNumTablespaces_ofs = 153 )

* O: # of used poTablespace fields
       integer*2   db2HistoryData_oNumTablespaces_sz
       parameter ( db2HistoryData_oNumTablespaces_sz = 4 )

       integer*2   db2HistoryData_oNumTablespaces_ofs
       parameter ( db2HistoryData_oNumTablespaces_ofs = 157 )

* Event type
       integer*2   db2HistoryData_oOperation_sz
       parameter ( db2HistoryData_oOperation_sz = 1 )

       integer*2   db2HistoryData_oOperation_ofs
       parameter ( db2HistoryData_oOperation_ofs = 161 )

* Operation granularity
       integer*2   db2HistoryData_oObject_sz
       parameter ( db2HistoryData_oObject_sz = 1 )

       integer*2   db2HistoryData_oObject_ofs
       parameter ( db2HistoryData_oObject_ofs = 162 )

* Operation details
       integer*2   db2HistoryData_oOptype_sz
       parameter ( db2HistoryData_oOptype_sz = 1 )

       integer*2   db2HistoryData_oOptype_ofs
       parameter ( db2HistoryData_oOptype_ofs = 163 )

* Status of entry
       integer*2   db2HistoryData_oStatus_sz
       parameter ( db2HistoryData_oStatus_sz = 1 )

       integer*2   db2HistoryData_oStatus_ofs
       parameter ( db2HistoryData_oStatus_ofs = 164 )

* Device type of 'location'
       integer*2   db2HistoryData_oDeviceType_sz
       parameter ( db2HistoryData_oDeviceType_sz = 1 )

       integer*2   db2HistoryData_oDeviceType_ofs
       parameter ( db2HistoryData_oDeviceType_ofs = 165 )


* Values for db2HistoryGetEntry - iCallerAction
* Next entry, without command data
       integer*2   DB2HISTORY_GET_ENTRY
       parameter ( DB2HISTORY_GET_ENTRY    = 0 )

* ONLY command data from previous fetch
       integer*2   DB2HISTORY_GET_DDL
       parameter ( DB2HISTORY_GET_DDL      = 1 )

* Next entry, with all data
       integer*2   DB2HISTORY_GET_ALL
       parameter ( DB2HISTORY_GET_ALL      = 2 )


* db2HistoryGetEntry input struct
       integer*2   db2HistoryGetEntryStruct_struct_sz
       parameter ( db2HistoryGetEntryStruct_struct_sz = 8 )

* History entry data area
       integer*2   db2HistoryGetEntryStruct_pioHistData_sz
       parameter ( db2HistoryGetEntryStruct_pioHistData_sz = 4 )

       integer*2   db2HistoryGetEntryStruct_pioHistData_ofs
       parameter ( db2HistoryGetEntryStruct_pioHistData_ofs = 1 )

* History scan handle
       integer*2   db2HistoryGetEntryStruct_iHandle_sz
       parameter ( db2HistoryGetEntryStruct_iHandle_sz = 2 )

       integer*2   db2HistoryGetEntryStruct_iHandle_ofs
       parameter ( db2HistoryGetEntryStruct_iHandle_ofs = 5 )

* Caller action
       integer*2   db2HistoryGetEntryStruct_iCallerAction_sz
       parameter ( db2HistoryGetEntryStruct_iCallerAction_sz = 2 )

       integer*2   db2HistoryGetEntryStruct_iCallerAction_ofs
       parameter ( db2HistoryGetEntryStruct_iCallerAction_ofs = 7 )


* db2gHistoryGetEntry - Generic API
* Fetch the next history file entry
       integer*4    db2gHistoryGetEntry
       external     db2gHistoryGetEntry


* History Operations
       character*1   DB2HIST_OP_CRT_TABLESPACE
       parameter (   DB2HIST_OP_CRT_TABLESPACE = 'A' )

       character*1   DB2HIST_OP_BACKUP
       parameter (   DB2HIST_OP_BACKUP     = 'B' )

       character*1   DB2HIST_OP_LOAD_COPY
       parameter (   DB2HIST_OP_LOAD_COPY  = 'C' )

       character*1   DB2HIST_OP_DROPPED_TABLE
       parameter (   DB2HIST_OP_DROPPED_TABLE = 'D' )

       character*1   DB2HIST_OP_ROLLFWD
       parameter (   DB2HIST_OP_ROLLFWD    = 'F' )

       character*1   DB2HIST_OP_REORG
       parameter (   DB2HIST_OP_REORG      = 'G' )

       character*1   DB2HIST_OP_LOAD
       parameter (   DB2HIST_OP_LOAD       = 'L' )

       character*1   DB2HIST_OP_REN_TABLESPACE
       parameter (   DB2HIST_OP_REN_TABLESPACE = 'N' )

       character*1   DB2HIST_OP_DROP_TABLESPACE
       parameter (   DB2HIST_OP_DROP_TABLESPACE = 'O' )

       character*1   DB2HIST_OP_QUIESCE
       parameter (   DB2HIST_OP_QUIESCE    = 'Q' )

       character*1   DB2HIST_OP_RESTORE
       parameter (   DB2HIST_OP_RESTORE    = 'R' )

       character*1   DB2HIST_OP_RUNSTATS
       parameter (   DB2HIST_OP_RUNSTATS   = 'S' )

       character*1   DB2HIST_OP_ALT_TBS
       parameter (   DB2HIST_OP_ALT_TBS    = 'T' )

       character*1   DB2HIST_OP_UNLOAD
       parameter (   DB2HIST_OP_UNLOAD     = 'U' )


* History Objects
       character*1   DB2HISTORY_GRAN_DB
       parameter (   DB2HISTORY_GRAN_DB    = 'D' )

       character*1   DB2HISTORY_GRAN_TBS
       parameter (   DB2HISTORY_GRAN_TBS   = 'P' )

       character*1   DB2HISTORY_GRAN_TABLE
       parameter (   DB2HISTORY_GRAN_TABLE = 'T' )


* Backup Optypes
       character*1   DB2HISTORY_OPTYPE_OFFLINE
       parameter (   DB2HISTORY_OPTYPE_OFFLINE = 'F' )

       character*1   DB2HISTORY_OPTYPE_ONLINE
       parameter (   DB2HISTORY_OPTYPE_ONLINE = 'N' )

       character*1   DB2HISTORY_OPTYPE_INCR_OFFLINE
       parameter (   DB2HISTORY_OPTYPE_INCR_OFFLINE = 'I' )

       character*1   DB2HISTORY_OPTYPE_INCR_ONLINE
       parameter (   DB2HISTORY_OPTYPE_INCR_ONLINE = 'O' )

       character*1   DB2HISTORY_OPTYPE_DELT_OFFLINE
       parameter (   DB2HISTORY_OPTYPE_DELT_OFFLINE = 'D' )

       character*1   DB2HISTORY_OPTYPE_DELT_ONLINE
       parameter (   DB2HISTORY_OPTYPE_DELT_ONLINE = 'E' )


* Quiesce Optypes
       character*1   DB2HISTORY_OPTYPE_SHARE
       parameter (   DB2HISTORY_OPTYPE_SHARE = 'S' )

       character*1   DB2HISTORY_OPTYPE_UPDATE
       parameter (   DB2HISTORY_OPTYPE_UPDATE = 'U' )

       character*1   DB2HISTORY_OPTYPE_EXCL
       parameter (   DB2HISTORY_OPTYPE_EXCL = 'X' )

       character*1   DB2HISTORY_OPTYPE_RESET
       parameter (   DB2HISTORY_OPTYPE_RESET = 'Z' )


* Rollforward Optypes
       character*1   DB2HISTORY_OPTYPE_EOL
       parameter (   DB2HISTORY_OPTYPE_EOL = 'E' )

       character*1   DB2HISTORY_OPTYPE_PIT
       parameter (   DB2HISTORY_OPTYPE_PIT = 'P' )


* Load Optypes
       character*1   DB2HISTORY_OPTYPE_INSERT
       parameter (   DB2HISTORY_OPTYPE_INSERT = 'I' )

       character*1   DB2HISTORY_OPTYPE_REPLACE
       parameter (   DB2HISTORY_OPTYPE_REPLACE = 'R' )


* Alter Tablespace Optypes
       character*1   DB2HISTORY_OPTYPE_ADD_CONT
       parameter (   DB2HISTORY_OPTYPE_ADD_CONT = 'C' )

       character*1   DB2HISTORY_OPTYPE_REB
       parameter (   DB2HISTORY_OPTYPE_REB = 'R' )


* History Entry Status Flags
       character*1   DB2HISTORY_STATUS_ACTIVE
       parameter (   DB2HISTORY_STATUS_ACTIVE = 'A' )

       character*1   DB2HISTORY_STATUS_INACTIVE
       parameter (   DB2HISTORY_STATUS_INACTIVE = 'I' )

       character*1   DB2HISTORY_STATUS_EXPIRED
       parameter (   DB2HISTORY_STATUS_EXPIRED = 'E' )

       character*1   DB2HISTORY_STATUS_DELETED
       parameter (   DB2HISTORY_STATUS_DELETED = 'D' )

       character*1   DB2HISTORY_STATUS_NC
       parameter (   DB2HISTORY_STATUS_NC  = 'N' )

       character*1   DB2HISTORY_STATUS_INCMP_ACTV
       parameter (   DB2HISTORY_STATUS_INCMP_ACTV = 'a' )

       character*1   DB2HISTORY_STATUS_INCMP_INACTV
       parameter (   DB2HISTORY_STATUS_INCMP_INACTV = 'i' )


*******************************************************************************
*  Close History Scan Definititions
********************************************************************************


* db2gHistoryCloseScan - Generic API
* Close a history file scan
       integer*4    db2gHistoryCloseScan
       external     db2gHistoryCloseScan


*******************************************************************************
*  Update History Entry Definititions
********************************************************************************

* Update history entry data
       integer*4    db2HistoryUpdate
       external     db2HistoryUpdate

* Update history API input struct
       integer*2   db2gHistoryUpdateStruct_struct_sz
       parameter ( db2gHistoryUpdateStruct_struct_sz = 32 )

       integer*2   db2gHistoryUpdateStruct_piNewLocation_sz
       parameter ( db2gHistoryUpdateStruct_piNewLocation_sz = 4 )

       integer*2   db2gHistoryUpdateStruct_piNewLocation_ofs
       parameter ( db2gHistoryUpdateStruct_piNewLocation_ofs = 1 )

       integer*2   db2gHistoryUpdateStruct_piNewDeviceType_sz
       parameter ( db2gHistoryUpdateStruct_piNewDeviceType_sz = 4 )

       integer*2   db2gHistoryUpdateStruct_piNewDeviceType_ofs
       parameter ( db2gHistoryUpdateStruct_piNewDeviceType_ofs = 5 )

       integer*2   db2gHistoryUpdateStruct_piNewComment_sz
       parameter ( db2gHistoryUpdateStruct_piNewComment_sz = 4 )

       integer*2   db2gHistoryUpdateStruct_piNewComment_ofs
       parameter ( db2gHistoryUpdateStruct_piNewComment_ofs = 9 )

       integer*2   db2gHistoryUpdateStruct_iNewLocationLen_sz
       parameter ( db2gHistoryUpdateStruct_iNewLocationLen_sz = 4 )

       integer*2   db2gHistoryUpdateStruct_iNewLocationLen_ofs
       parameter ( db2gHistoryUpdateStruct_iNewLocationLen_ofs = 13 )

       integer*2   db2gHistoryUpdateStruct_iNewDeviceLen_sz
       parameter ( db2gHistoryUpdateStruct_iNewDeviceLen_sz = 4 )

       integer*2   db2gHistoryUpdateStruct_iNewDeviceLen_ofs
       parameter ( db2gHistoryUpdateStruct_iNewDeviceLen_ofs = 17 )

       integer*2   db2gHistoryUpdateStruct_iNewCommentLen_sz
       parameter ( db2gHistoryUpdateStruct_iNewCommentLen_sz = 4 )

       integer*2   db2gHistoryUpdateStruct_iNewCommentLen_ofs
       parameter ( db2gHistoryUpdateStruct_iNewCommentLen_ofs = 21 )

* ID of the entry to be updated
       integer*2   db2gHistoryUpdateStruct_iEID_sz
       parameter ( db2gHistoryUpdateStruct_iEID_sz = 8 )

       integer*2   db2gHistoryUpdateStruct_iEID_ofs
       parameter ( db2gHistoryUpdateStruct_iEID_ofs = 25 )


* db2gHistoryUpdate - Generic API
* Update history entry data
       integer*4    db2gHistoryUpdate
       external     db2gHistoryUpdate


*******************************************************************************
*  Precompiler API Related Definitions
********************************************************************************

* Generic Compile SQL Parmeter Structure
       integer*2   db2gCompileSqlStruct_struct_sz
       parameter ( db2gCompileSqlStruct_struct_sz = 48 )

* SQL statement text length
       integer*2   db2gCompileSqlStruct_piSqlStmtLen_sz
       parameter ( db2gCompileSqlStruct_piSqlStmtLen_sz = 4 )

       integer*2   db2gCompileSqlStruct_piSqlStmtLen_ofs
       parameter ( db2gCompileSqlStruct_piSqlStmtLen_ofs = 1 )

* SQL statement text
       integer*2   db2gCompileSqlStruct_piSqlStmt_sz
       parameter ( db2gCompileSqlStruct_piSqlStmt_sz = 4 )

       integer*2   db2gCompileSqlStruct_piSqlStmt_ofs
       parameter ( db2gCompileSqlStruct_piSqlStmt_ofs = 5 )

* Source Line Number
       integer*2   db2gCompileSqlStruct_piLineNum_sz
       parameter ( db2gCompileSqlStruct_piLineNum_sz = 4 )

       integer*2   db2gCompileSqlStruct_piLineNum_ofs
       parameter ( db2gCompileSqlStruct_piLineNum_ofs = 9 )

* SQL Flagger information
       integer*2   db2gCompileSqlStruct_pioFlagInfo_sz
       parameter ( db2gCompileSqlStruct_pioFlagInfo_sz = 4 )

       integer*2   db2gCompileSqlStruct_pioFlagInfo_ofs
       parameter ( db2gCompileSqlStruct_pioFlagInfo_ofs = 13 )

* Token ID Array
       integer*2   db2gCompileSqlStruct_pioTokenIdArray_sz
       parameter ( db2gCompileSqlStruct_pioTokenIdArray_sz = 4 )

       integer*2   db2gCompileSqlStruct_pioTokenIdArray_ofs
       parameter ( db2gCompileSqlStruct_pioTokenIdArray_ofs = 17 )

* Task Array
       integer*2   db2gCompileSqlStruct_poTaskArray_sz
       parameter ( db2gCompileSqlStruct_poTaskArray_sz = 4 )

       integer*2   db2gCompileSqlStruct_poTaskArray_ofs
       parameter ( db2gCompileSqlStruct_poTaskArray_ofs = 21 )

* Section Number
       integer*2   db2gCompileSqlStruct_poSectionNum_sz
       parameter ( db2gCompileSqlStruct_poSectionNum_sz = 4 )

       integer*2   db2gCompileSqlStruct_poSectionNum_ofs
       parameter ( db2gCompileSqlStruct_poSectionNum_ofs = 25 )

* Type of SQL statement
       integer*2   db2gCompileSqlStruct_poSqlStmtType_sz
       parameter ( db2gCompileSqlStruct_poSqlStmtType_sz = 4 )

       integer*2   db2gCompileSqlStruct_poSqlStmtType_ofs
       parameter ( db2gCompileSqlStruct_poSqlStmtType_ofs = 29 )

* 256 byte string buffer 1
       integer*2   db2gCompileSqlStruct_poBuffer1_sz
       parameter ( db2gCompileSqlStruct_poBuffer1_sz = 4 )

       integer*2   db2gCompileSqlStruct_poBuffer1_ofs
       parameter ( db2gCompileSqlStruct_poBuffer1_ofs = 33 )

* 256 byte string buffer 2
       integer*2   db2gCompileSqlStruct_poBuffer2_sz
       parameter ( db2gCompileSqlStruct_poBuffer2_sz = 4 )

       integer*2   db2gCompileSqlStruct_poBuffer2_ofs
       parameter ( db2gCompileSqlStruct_poBuffer2_ofs = 37 )

* 256 byte string buffer 3
       integer*2   db2gCompileSqlStruct_poBuffer3_sz
       parameter ( db2gCompileSqlStruct_poBuffer3_sz = 4 )

       integer*2   db2gCompileSqlStruct_poBuffer3_ofs
       parameter ( db2gCompileSqlStruct_poBuffer3_ofs = 41 )

* Reserved
       integer*2   db2gCompileSqlStruct_pioReserved_sz
       parameter ( db2gCompileSqlStruct_pioReserved_sz = 4 )

       integer*2   db2gCompileSqlStruct_pioReserved_ofs
       parameter ( db2gCompileSqlStruct_pioReserved_ofs = 45 )


* Generic Compile SQL API
* Compile an SQL statement
       integer*4    db2gCompileSql
       external     db2gCompileSql


* Generic Initialization Parmeter Structure
       integer*2   db2gInitStruct_struct_sz
       parameter ( db2gInitStruct_struct_sz = 44 )

* Program name length
       integer*2   db2gInitStruct_piProgramNameLength_sz
       parameter ( db2gInitStruct_piProgramNameLength_sz = 4 )

       integer*2   db2gInitStruct_piProgramNameLength_ofs
       parameter ( db2gInitStruct_piProgramNameLength_ofs = 1 )

* Program name
       integer*2   db2gInitStruct_piProgramName_sz
       parameter ( db2gInitStruct_piProgramName_sz = 4 )

       integer*2   db2gInitStruct_piProgramName_ofs
       parameter ( db2gInitStruct_piProgramName_ofs = 5 )

* Database name length
       integer*2   db2gInitStruct_piDbNameLength_sz
       parameter ( db2gInitStruct_piDbNameLength_sz = 4 )

       integer*2   db2gInitStruct_piDbNameLength_ofs
       parameter ( db2gInitStruct_piDbNameLength_ofs = 9 )

* Database name
       integer*2   db2gInitStruct_piDbName_sz
       parameter ( db2gInitStruct_piDbName_sz = 4 )

       integer*2   db2gInitStruct_piDbName_ofs
       parameter ( db2gInitStruct_piDbName_ofs = 13 )

* Password length
       integer*2   db2gInitStruct_piDbPasswordLength_sz
       parameter ( db2gInitStruct_piDbPasswordLength_sz = 4 )

       integer*2   db2gInitStruct_piDbPasswordLength_ofs
       parameter ( db2gInitStruct_piDbPasswordLength_ofs = 17 )

* Password
       integer*2   db2gInitStruct_piDbPassword_sz
       parameter ( db2gInitStruct_piDbPassword_sz = 4 )

       integer*2   db2gInitStruct_piDbPassword_ofs
       parameter ( db2gInitStruct_piDbPassword_ofs = 21 )

* Bindfile name length
       integer*2   db2gInitStruct_piBindNameLength_sz
       parameter ( db2gInitStruct_piBindNameLength_sz = 4 )

       integer*2   db2gInitStruct_piBindNameLength_ofs
       parameter ( db2gInitStruct_piBindNameLength_ofs = 25 )

* Bindfile name
       integer*2   db2gInitStruct_piBindName_sz
       parameter ( db2gInitStruct_piBindName_sz = 4 )

       integer*2   db2gInitStruct_piBindName_ofs
       parameter ( db2gInitStruct_piBindName_ofs = 29 )

* Precompiler options array
       integer*2   db2gInitStruct_piOptionsArray_sz
       parameter ( db2gInitStruct_piOptionsArray_sz = 4 )

       integer*2   db2gInitStruct_piOptionsArray_ofs
       parameter ( db2gInitStruct_piOptionsArray_ofs = 33 )

* Precompiler program ID buffer length
       integer*2   db2gInitStruct_piPidLength_sz
       parameter ( db2gInitStruct_piPidLength_sz = 4 )

       integer*2   db2gInitStruct_piPidLength_ofs
       parameter ( db2gInitStruct_piPidLength_ofs = 37 )

* Precompiler program ID
       integer*2   db2gInitStruct_poPrecompilerPid_sz
       parameter ( db2gInitStruct_poPrecompilerPid_sz = 4 )

       integer*2   db2gInitStruct_poPrecompilerPid_ofs
       parameter ( db2gInitStruct_poPrecompilerPid_ofs = 41 )


* Generic Initialization SQL API
* Initialize an access plan
       integer*4    db2gInitialize
       external     db2gInitialize


*******************************************************************************
*  Prune Database History Definititions
********************************************************************************

* Values for db2Prune - iCallerAction
* Remove history file entries
       integer*2   DB2PRUNE_ACTION_HISTORY
       parameter ( DB2PRUNE_ACTION_HISTORY = 1 )

* Remove log files from active log path
       integer*2   DB2PRUNE_ACTION_LOG
       parameter ( DB2PRUNE_ACTION_LOG     = 2 )


* Values for db2Prune - iOptions
* Force removal of last backup
       integer*2   DB2PRUNE_OPTION_NONE
       parameter ( DB2PRUNE_OPTION_NONE    = '0'x )

* Force removal of last backup
       integer*2   DB2PRUNE_OPTION_FORCE
       parameter ( DB2PRUNE_OPTION_FORCE   = '1'x )

* piString is an LSN-string, used by DB2PRUNE_ACTION_LOG
       integer*2   DB2PRUNE_OPTION_LSNSTRING
       parameter ( DB2PRUNE_OPTION_LSNSTRING = '2'x )


* Prune API input struct
       integer*2   db2PruneStruct_struct_sz
       parameter ( db2PruneStruct_struct_sz = 20 )

* Timestamp, or lastLSN
       integer*2   db2PruneStruct_piString_sz
       parameter ( db2PruneStruct_piString_sz = 4 )

       integer*2   db2PruneStruct_piString_ofs
       parameter ( db2PruneStruct_piString_ofs = 1 )

* Prune history since this EID
       integer*2   db2PruneStruct_iEID_sz
       parameter ( db2PruneStruct_iEID_sz  = 8 )

       integer*2   db2PruneStruct_iEID_ofs
       parameter ( db2PruneStruct_iEID_ofs = 5 )

* What to prune
       integer*2   db2PruneStruct_iAction_sz
       parameter ( db2PruneStruct_iAction_sz = 4 )

       integer*2   db2PruneStruct_iAction_ofs
       parameter ( db2PruneStruct_iAction_ofs = 13 )

* Options relevent to particular iAction
       integer*2   db2PruneStruct_iOptions_sz
       parameter ( db2PruneStruct_iOptions_sz = 4 )

       integer*2   db2PruneStruct_iOptions_ofs
       parameter ( db2PruneStruct_iOptions_ofs = 17 )


* Prune history / log
       integer*4    db2Prune
       external     db2Prune


* Generic Prune API input struct
       integer*2   db2gPruneStruct_struct_sz
       parameter ( db2gPruneStruct_struct_sz = 24 )

* length in bytes of piString
       integer*2   db2gPruneStruct_iStringLen_sz
       parameter ( db2gPruneStruct_iStringLen_sz = 4 )

       integer*2   db2gPruneStruct_iStringLen_ofs
       parameter ( db2gPruneStruct_iStringLen_ofs = 1 )

* Timestamp, or lastLSN
       integer*2   db2gPruneStruct_piString_sz
       parameter ( db2gPruneStruct_piString_sz = 4 )

       integer*2   db2gPruneStruct_piString_ofs
       parameter ( db2gPruneStruct_piString_ofs = 5 )

* Prune history since this EID
       integer*2   db2gPruneStruct_iEID_sz
       parameter ( db2gPruneStruct_iEID_sz = 8 )

       integer*2   db2gPruneStruct_iEID_ofs
       parameter ( db2gPruneStruct_iEID_ofs = 9 )

* What to prune
       integer*2   db2gPruneStruct_iAction_sz
       parameter ( db2gPruneStruct_iAction_sz = 4 )

       integer*2   db2gPruneStruct_iAction_ofs
       parameter ( db2gPruneStruct_iAction_ofs = 17 )

* Options relevent to particular iAction
       integer*2   db2gPruneStruct_iOptions_sz
       parameter ( db2gPruneStruct_iOptions_sz = 4 )

       integer*2   db2gPruneStruct_iOptions_ofs
       parameter ( db2gPruneStruct_iOptions_ofs = 21 )


* Generic Prune history / log
       integer*4    db2gPrune
       external     db2gPrune


*******************************************************************************
*  Archive Active Log Definitions
********************************************************************************

* Values for db2ArchiveLog - iAllNodeFlag
* Apply to nodes specified in piNodeList
       integer*2   DB2ARCHIVELOG_NODE_LIST
       parameter ( DB2ARCHIVELOG_NODE_LIST = 0 )

* Apply to all nodes
       integer*2   DB2ARCHIVELOG_ALL_NODES
       parameter ( DB2ARCHIVELOG_ALL_NODES = 1 )

* Apply to all nodes except those in piNodeList
       integer*2   DB2ARCHIVELOG_ALL_EXCEPT
       parameter ( DB2ARCHIVELOG_ALL_EXCEPT = 2 )


* Archive Active Log API Input Structure
       integer*2   db2ArchiveLogStruct_struct_sz
       parameter ( db2ArchiveLogStruct_struct_sz = 24 )

* Alias of database to archive log for
       integer*2   db2ArchiveLogStruct_piDatabaseAlias_sz
       parameter ( db2ArchiveLogStruct_piDatabaseAlias_sz = 4 )

       integer*2   db2ArchiveLogStruct_piDatabaseAlias_ofs
       parameter ( db2ArchiveLogStruct_piDatabaseAlias_ofs = 1 )

* User name to execute command under
       integer*2   db2ArchiveLogStruct_piUserName_sz
       parameter ( db2ArchiveLogStruct_piUserName_sz = 4 )

       integer*2   db2ArchiveLogStruct_piUserName_ofs
       parameter ( db2ArchiveLogStruct_piUserName_ofs = 5 )

* Password for username
       integer*2   db2ArchiveLogStruct_piPassword_sz
       parameter ( db2ArchiveLogStruct_piPassword_sz = 4 )

       integer*2   db2ArchiveLogStruct_piPassword_ofs
       parameter ( db2ArchiveLogStruct_piPassword_ofs = 9 )

* Flag indicating how the iNodeList should be used
       integer*2   db2ArchiveLogStruct_iAllNodeFlag_sz
       parameter ( db2ArchiveLogStruct_iAllNodeFlag_sz = 2 )

       integer*2   db2ArchiveLogStruct_iAllNodeFlag_ofs
       parameter ( db2ArchiveLogStruct_iAllNodeFlag_ofs = 13 )

* Number of nodes in piNodeList array
       integer*2   db2ArchiveLogStruct_iNumNodes_sz
       parameter ( db2ArchiveLogStruct_iNumNodes_sz = 2 )

       integer*2   db2ArchiveLogStruct_iNumNodes_ofs
       parameter ( db2ArchiveLogStruct_iNumNodes_ofs = 15 )

* Node list
       integer*2   db2ArchiveLogStruct_piNodeList_sz
       parameter ( db2ArchiveLogStruct_piNodeList_sz = 4 )

       integer*2   db2ArchiveLogStruct_piNodeList_ofs
       parameter ( db2ArchiveLogStruct_piNodeList_ofs = 17 )

* Future use
       integer*2   db2ArchiveLogStruct_iOptions_sz
       parameter ( db2ArchiveLogStruct_iOptions_sz = 4 )

       integer*2   db2ArchiveLogStruct_iOptions_ofs
       parameter ( db2ArchiveLogStruct_iOptions_ofs = 21 )


* Archive Active Log
       integer*4    db2ArchiveLog
       external     db2ArchiveLog


* Generic Archive Active Log API Input Struct
       integer*2   db2gArchiveLogStruct_struct_sz
       parameter ( db2gArchiveLogStruct_struct_sz = 36 )

* Length of database alias field
       integer*2   db2gArchiveLogStruct_iAliasLen_sz
       parameter ( db2gArchiveLogStruct_iAliasLen_sz = 4 )

       integer*2   db2gArchiveLogStruct_iAliasLen_ofs
       parameter ( db2gArchiveLogStruct_iAliasLen_ofs = 1 )

* Length of username field
       integer*2   db2gArchiveLogStruct_iUserNameLen_sz
       parameter ( db2gArchiveLogStruct_iUserNameLen_sz = 4 )

       integer*2   db2gArchiveLogStruct_iUserNameLen_ofs
       parameter ( db2gArchiveLogStruct_iUserNameLen_ofs = 5 )

* Length of password field
       integer*2   db2gArchiveLogStruct_iPasswordLen_sz
       parameter ( db2gArchiveLogStruct_iPasswordLen_sz = 4 )

       integer*2   db2gArchiveLogStruct_iPasswordLen_ofs
       parameter ( db2gArchiveLogStruct_iPasswordLen_ofs = 9 )

* Alias of database to archive log for
       integer*2   db2gArchiveLogStruct_piDatabaseAlias_sz
       parameter ( db2gArchiveLogStruct_piDatabaseAlias_sz = 4 )

       integer*2   db2gArchiveLogStruct_piDatabaseAlias_ofs
       parameter ( db2gArchiveLogStruct_piDatabaseAlias_ofs = 13 )

* User name to execute command under
       integer*2   db2gArchiveLogStruct_piUserName_sz
       parameter ( db2gArchiveLogStruct_piUserName_sz = 4 )

       integer*2   db2gArchiveLogStruct_piUserName_ofs
       parameter ( db2gArchiveLogStruct_piUserName_ofs = 17 )

* Password for username
       integer*2   db2gArchiveLogStruct_piPassword_sz
       parameter ( db2gArchiveLogStruct_piPassword_sz = 4 )

       integer*2   db2gArchiveLogStruct_piPassword_ofs
       parameter ( db2gArchiveLogStruct_piPassword_ofs = 21 )

* Flag indicating how the iNodeList should be used
       integer*2   db2gArchiveLogStruct_iAllNodeFlag_sz
       parameter ( db2gArchiveLogStruct_iAllNodeFlag_sz = 2 )

       integer*2   db2gArchiveLogStruct_iAllNodeFlag_ofs
       parameter ( db2gArchiveLogStruct_iAllNodeFlag_ofs = 25 )

* Number of nodes in piNodeList array
       integer*2   db2gArchiveLogStruct_iNumNodes_sz
       parameter ( db2gArchiveLogStruct_iNumNodes_sz = 2 )

       integer*2   db2gArchiveLogStruct_iNumNodes_ofs
       parameter ( db2gArchiveLogStruct_iNumNodes_ofs = 27 )

* Node list
       integer*2   db2gArchiveLogStruct_piNodeList_sz
       parameter ( db2gArchiveLogStruct_piNodeList_sz = 4 )

       integer*2   db2gArchiveLogStruct_piNodeList_ofs
       parameter ( db2gArchiveLogStruct_piNodeList_ofs = 29 )

* Future use
       integer*2   db2gArchiveLogStruct_iOptions_sz
       parameter ( db2gArchiveLogStruct_iOptions_sz = 4 )

       integer*2   db2gArchiveLogStruct_iOptions_ofs
       parameter ( db2gArchiveLogStruct_iOptions_ofs = 33 )


* Generic Archive Active Log
       integer*4    db2gArchiveLog
       external     db2gArchiveLog


* Convert Monitor Data Interface Structure
       integer*2   db2ConvMonStreamData_struct_sz
       parameter ( db2ConvMonStreamData_struct_sz = 20 )

* Pointer to target structure
       integer*2   db2ConvMonStreamData_poTarget_sz
       parameter ( db2ConvMonStreamData_poTarget_sz = 4 )

       integer*2   db2ConvMonStreamData_poTarget_ofs
       parameter ( db2ConvMonStreamData_poTarget_ofs = 1 )

* Pointer to V6 stream
       integer*2   db2ConvMonStreamData_piSource_sz
       parameter ( db2ConvMonStreamData_piSource_sz = 4 )

       integer*2   db2ConvMonStreamData_piSource_ofs
       parameter ( db2ConvMonStreamData_piSource_ofs = 5 )

* Target structure type
       integer*2   db2ConvMonStreamData_iTargetType_sz
       parameter ( db2ConvMonStreamData_iTargetType_sz = 4 )

       integer*2   db2ConvMonStreamData_iTargetType_ofs
       parameter ( db2ConvMonStreamData_iTargetType_ofs = 9 )

* Space allocated for target
       integer*2   db2ConvMonStreamData_iTargetSize_sz
       parameter ( db2ConvMonStreamData_iTargetSize_sz = 4 )

       integer*2   db2ConvMonStreamData_iTargetSize_ofs
       parameter ( db2ConvMonStreamData_iTargetSize_ofs = 13 )

* Type of source stream
       integer*2   db2ConvMonStreamData_iSourceType_sz
       parameter ( db2ConvMonStreamData_iSourceType_sz = 4 )

       integer*2   db2ConvMonStreamData_iSourceType_ofs
       parameter ( db2ConvMonStreamData_iSourceType_ofs = 17 )

* Convert monitor stream
       integer*4    db2gConvMonStream
       external     db2gConvMonStream


* Get Snapshot Data Interface Structure
       integer*2   db2gGetSnapshotData_struct_sz
       parameter ( db2gGetSnapshotData_struct_sz = 32 )

* Pointer to monitor area
       integer*2   db2gGetSnapshotData_piSqlmaData_sz
       parameter ( db2gGetSnapshotData_piSqlmaData_sz = 4 )

       integer*2   db2gGetSnapshotData_piSqlmaData_ofs
       parameter ( db2gGetSnapshotData_piSqlmaData_ofs = 1 )

* Pointer to collected data
       integer*2   db2gGetSnapshotData_poCollectedData_sz
       parameter ( db2gGetSnapshotData_poCollectedData_sz = 4 )

       integer*2   db2gGetSnapshotData_poCollectedData_ofs
       parameter ( db2gGetSnapshotData_poCollectedData_ofs = 5 )

* Pointer to output buffer
       integer*2   db2gGetSnapshotData_poBuffer_sz
       parameter ( db2gGetSnapshotData_poBuffer_sz = 4 )

       integer*2   db2gGetSnapshotData_poBuffer_ofs
       parameter ( db2gGetSnapshotData_poBuffer_ofs = 9 )

* Snapshot version
       integer*2   db2gGetSnapshotData_iVersion_sz
       parameter ( db2gGetSnapshotData_iVersion_sz = 4 )

       integer*2   db2gGetSnapshotData_iVersion_ofs
       parameter ( db2gGetSnapshotData_iVersion_ofs = 13 )

* Size of output buffer
       integer*2   db2gGetSnapshotData_iBufferSize_sz
       parameter ( db2gGetSnapshotData_iBufferSize_sz = 4 )

       integer*2   db2gGetSnapshotData_iBufferSize_ofs
       parameter ( db2gGetSnapshotData_iBufferSize_ofs = 17 )

* Write to file flag
       integer*2   db2gGetSnapshotData_iStoreResult_sz
       parameter ( db2gGetSnapshotData_iStoreResult_sz = 4 )

       integer*2   db2gGetSnapshotData_iStoreResult_ofs
       parameter ( db2gGetSnapshotData_iStoreResult_ofs = 21 )

* Target node
       integer*2   db2gGetSnapshotData_iNodeNumber_sz
       parameter ( db2gGetSnapshotData_iNodeNumber_sz = 4 )

       integer*2   db2gGetSnapshotData_iNodeNumber_ofs
       parameter ( db2gGetSnapshotData_iNodeNumber_ofs = 25 )

* Pointer to output format indicator
       integer*2   db2gGetSnapshotData_poOutputFormat_sz
       parameter ( db2gGetSnapshotData_poOutputFormat_sz = 4 )

       integer*2   db2gGetSnapshotData_poOutputFormat_ofs
       parameter ( db2gGetSnapshotData_poOutputFormat_ofs = 29 )


* Get snapshot
       integer*4    db2gGetSnapshot
       external     db2gGetSnapshot


* Get Snapshot Size Data Interface Structure
       integer*2   db2gGetSnapshotSizeData_struct_sz
       parameter ( db2gGetSnapshotSizeData_struct_sz = 16 )

* Pointer to monitor area
       integer*2   db2gGetSnapshotSizeData_piSqlmaData_sz
       parameter ( db2gGetSnapshotSizeData_piSqlmaData_sz = 4 )

       integer*2   db2gGetSnapshotSizeData_piSqlmaData_ofs
       parameter ( db2gGetSnapshotSizeData_piSqlmaData_ofs = 1 )

* Pointer to output buffer
       integer*2   db2gGetSnapshotSizeData_poBufferSize_sz
       parameter ( db2gGetSnapshotSizeData_poBufferSize_sz = 4 )

       integer*2   db2gGetSnapshotSizeData_poBufferSize_ofs
       parameter ( db2gGetSnapshotSizeData_poBufferSize_ofs = 5 )

* Snapshot version
       integer*2   db2gGetSnapshotSizeData_iVersion_sz
       parameter ( db2gGetSnapshotSizeData_iVersion_sz = 4 )

       integer*2   db2gGetSnapshotSizeData_iVersion_ofs
       parameter ( db2gGetSnapshotSizeData_iVersion_ofs = 9 )

* Target node
       integer*2   db2gGetSnapshotSizeData_iNodeNumber_sz
       parameter ( db2gGetSnapshotSizeData_iNodeNumber_sz = 4 )

       integer*2   db2gGetSnapshotSizeData_iNodeNumber_ofs
       parameter ( db2gGetSnapshotSizeData_iNodeNumber_ofs = 13 )


* Get snapshot size
       integer*4    db2gGetSnapshotSize
       external     db2gGetSnapshotSize


* Monitor Switches Data Interface Structure
       integer*2   db2gMonitorSwitchesData_struct_sz
       parameter ( db2gMonitorSwitchesData_struct_sz = 28 )

* Pointer to group states
       integer*2   db2gMonitorSwitchesData_piGroupStates_sz
       parameter ( db2gMonitorSwitchesData_piGroupStates_sz = 4 )

       integer*2   db2gMonitorSwitchesData_piGroupStates_ofs
       parameter ( db2gMonitorSwitchesData_piGroupStates_ofs = 1 )

* Pointer to output buffer
       integer*2   db2gMonitorSwitchesData_poBuffer_sz
       parameter ( db2gMonitorSwitchesData_poBuffer_sz = 4 )

       integer*2   db2gMonitorSwitchesData_poBuffer_ofs
       parameter ( db2gMonitorSwitchesData_poBuffer_ofs = 5 )

* Size of output buffer
       integer*2   db2gMonitorSwitchesData_iBufferSize_sz
       parameter ( db2gMonitorSwitchesData_iBufferSize_sz = 4 )

       integer*2   db2gMonitorSwitchesData_iBufferSize_ofs
       parameter ( db2gMonitorSwitchesData_iBufferSize_ofs = 9 )

* Return data flag
       integer*2   db2gMonitorSwitchesData_iReturnData_sz
       parameter ( db2gMonitorSwitchesData_iReturnData_sz = 4 )

       integer*2   db2gMonitorSwitchesData_iReturnData_ofs
       parameter ( db2gMonitorSwitchesData_iReturnData_ofs = 13 )

* Snapshot version
       integer*2   db2gMonitorSwitchesData_iVersion_sz
       parameter ( db2gMonitorSwitchesData_iVersion_sz = 4 )

       integer*2   db2gMonitorSwitchesData_iVersion_ofs
       parameter ( db2gMonitorSwitchesData_iVersion_ofs = 17 )

* Target node
       integer*2   db2gMonitorSwitchesData_iNodeNumber_sz
       parameter ( db2gMonitorSwitchesData_iNodeNumber_sz = 4 )

       integer*2   db2gMonitorSwitchesData_iNodeNumber_ofs
       parameter ( db2gMonitorSwitchesData_iNodeNumber_ofs = 21 )

* Pointer to output format indicator
       integer*2   db2gMonitorSwitchesData_poOutputFormat_sz
       parameter ( db2gMonitorSwitchesData_poOutputFormat_sz = 4 )

       integer*2   db2gMonitorSwitchesData_poOutputFormat_ofs
       parameter ( db2gMonitorSwitchesData_poOutputFormat_ofs = 25 )


* Get snapshot size
       integer*4    db2gMonitorSwitches
       external     db2gMonitorSwitches


* Monitor Reset Data Interface Structure
* Monitor Reset Data General Interface Structure
       integer*2   db2gResetMonitorData_struct_sz
       parameter ( db2gResetMonitorData_struct_sz = 20 )

* Reset value flag
       integer*2   db2gResetMonitorData_iResetAll_sz
       parameter ( db2gResetMonitorData_iResetAll_sz = 4 )

       integer*2   db2gResetMonitorData_iResetAll_ofs
       parameter ( db2gResetMonitorData_iResetAll_ofs = 1 )

* Database alias
       integer*2   db2gResetMonitorData_piDbAlias_sz
       parameter ( db2gResetMonitorData_piDbAlias_sz = 4 )

       integer*2   db2gResetMonitorData_piDbAlias_ofs
       parameter ( db2gResetMonitorData_piDbAlias_ofs = 5 )

* Length of DB alias
       integer*2   db2gResetMonitorData_iDbAliasLength_sz
       parameter ( db2gResetMonitorData_iDbAliasLength_sz = 4 )

       integer*2   db2gResetMonitorData_iDbAliasLength_ofs
       parameter ( db2gResetMonitorData_iDbAliasLength_ofs = 9 )

* Snapshot version
       integer*2   db2gResetMonitorData_iVersion_sz
       parameter ( db2gResetMonitorData_iVersion_sz = 4 )

       integer*2   db2gResetMonitorData_iVersion_ofs
       parameter ( db2gResetMonitorData_iVersion_ofs = 13 )

* Target node
       integer*2   db2gResetMonitorData_iNodeNumber_sz
       parameter ( db2gResetMonitorData_iNodeNumber_sz = 4 )

       integer*2   db2gResetMonitorData_iNodeNumber_ofs
       parameter ( db2gResetMonitorData_iNodeNumber_ofs = 17 )


* Get snapshot size
       integer*4    db2gResetMonitor
       external     db2gResetMonitor


       integer*2   db2gRestartDbStruct_struct_sz
       parameter ( db2gRestartDbStruct_struct_sz = 32 )

* Length in bytes of piDatabaseName
       integer*2   db2gRestartDbStruct_iDatabaseNameLen_sz
       parameter ( db2gRestartDbStruct_iDatabaseNameLen_sz = 4 )

       integer*2   db2gRestartDbStruct_iDatabaseNameLen_ofs
       parameter ( db2gRestartDbStruct_iDatabaseNameLen_ofs = 1 )

* Length in bytes of piUserId
       integer*2   db2gRestartDbStruct_iUserIdLen_sz
       parameter ( db2gRestartDbStruct_iUserIdLen_sz = 4 )

       integer*2   db2gRestartDbStruct_iUserIdLen_ofs
       parameter ( db2gRestartDbStruct_iUserIdLen_ofs = 5 )

* Length in bytes of piPassword
       integer*2   db2gRestartDbStruct_iPasswordLen_sz
       parameter ( db2gRestartDbStruct_iPasswordLen_sz = 4 )

       integer*2   db2gRestartDbStruct_iPasswordLen_ofs
       parameter ( db2gRestartDbStruct_iPasswordLen_ofs = 9 )

* Length in bytes of piTablespaceNames
       integer*2   db2gRestartDbStruct_iTablespaceNamesLen_sz
       parameter ( db2gRestartDbStruct_iTablespaceNamesLen_sz = 4 )

       integer*2   db2gRestartDbStruct_iTablespaceNamesLen_ofs
       parameter ( db2gRestartDbStruct_iTablespaceNamesLen_ofs = 13 )

* Database name or alias
       integer*2   db2gRestartDbStruct_piDatabaseName_sz
       parameter ( db2gRestartDbStruct_piDatabaseName_sz = 4 )

       integer*2   db2gRestartDbStruct_piDatabaseName_ofs
       parameter ( db2gRestartDbStruct_piDatabaseName_ofs = 17 )

* User Id
       integer*2   db2gRestartDbStruct_piUserId_sz
       parameter ( db2gRestartDbStruct_piUserId_sz = 4 )

       integer*2   db2gRestartDbStruct_piUserId_ofs
       parameter ( db2gRestartDbStruct_piUserId_ofs = 21 )

* Password
       integer*2   db2gRestartDbStruct_piPassword_sz
       parameter ( db2gRestartDbStruct_piPassword_sz = 4 )

       integer*2   db2gRestartDbStruct_piPassword_ofs
       parameter ( db2gRestartDbStruct_piPassword_ofs = 25 )

* Tablespace name list
       integer*2   db2gRestartDbStruct_piTablespaceNames_sz
       parameter ( db2gRestartDbStruct_piTablespaceNames_sz = 4 )

       integer*2   db2gRestartDbStruct_piTablespaceNames_ofs
       parameter ( db2gRestartDbStruct_piTablespaceNames_ofs = 29 )


* Generic Database Restart
       integer*4    db2gDatabaseRestart
       external     db2gDatabaseRestart


