*******************************************************************************
*  
*  Source File Name: SQL
*  
*  (C) COPYRIGHT International Business Machines Corp. 1987, 1999
*  All Rights Reserved
*  Licensed Materials - Property of IBM
*  
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*  
*  Function = Include File defining:
*               System Constants
*               National Language Support Information
*               SQLCA / SQLDA Constants
*               Interface to BINDER and PRECOMPILER
*               Error Message Retrieval Interface
*               Authorization Constants
*  
*  Operating System: LINUX
*  
********************************************************************************
* Release Identifier Constants

* Pre Version 6.1.0.0
       integer*2   sql_relpre6
       parameter ( sql_relpre6             = 0 )

* V6.1.0.0
       integer*4   sql_rel6100
       parameter ( sql_rel6100             = 6010000 )

* V7.1.0.0
       integer*4   sql_rel7100
       parameter ( sql_rel7100             = 7010000 )

* V7.1.2.0
       integer*4   sql_rel7102
       parameter ( sql_rel7102             = 7010200 )

* V7.1.3.0 => V7.2
       integer*4   sql_rel7103
       parameter ( sql_rel7103             = 7020000 )

* V7.2.0.0
       integer*4   sql_rel7200
       parameter ( sql_rel7200             = 7020100 )

* V7.2.1.0
       integer*4   sql_rel7201
       parameter ( sql_rel7201             = 7020200 )

* V7.2.4.0
       integer*4   sql_rel7204
       parameter ( sql_rel7204             = 7020400 )

* Future Release
       integer*4   sql_futurel
       parameter ( sql_futurel             = 9999999 )


* System Constants

* successful execution
       integer*2   sql_rc_ok
       parameter ( sql_rc_ok               = 0 )


* Maximum nbr of key parts in Index
       integer*2   sql_keypmax
       parameter ( sql_keypmax             = 16 )

* Maximum key length
       integer*2   sql_keylmax
       parameter ( sql_keylmax             = 1024 )

* Maximum size of field for sort
       integer*2   sql_sortfldlmt
       parameter ( sql_sortfldlmt          = 32677 )

* Maximum record length on a 4K page
       integer*2   sql_maxrecl_4k
       parameter ( sql_maxrecl_4k          = 4005 )

* Maximum record length on a 8K page
       integer*2   sql_maxrecl_8k
       parameter ( sql_maxrecl_8k          = 8101 )

* Maximum record length
       integer*2   sql_maxrecl
       parameter ( sql_maxrecl             = 32677 )

* Maximum nbr of tables in a SELECT
       integer*2   sql_maxtables
       parameter ( sql_maxtables           = 15 )

* Maximum nbr of Host Vars per stmt
       integer*2   sql_maxvars_stmt
       parameter ( sql_maxvars_stmt        = 32767 )

* Internal max nbr of columns in a table
       integer*2   sql_maxcols
       parameter ( sql_maxcols             = 3000 )

* External max nbr of columns in a table
       integer*2   sql_maxcols_ext
       parameter ( sql_maxcols_ext         = 1012 )

* Maximum nbr of items in a SELECT
       integer*2   sql_maxsel_items
       parameter ( sql_maxsel_items        = 1012 )

* Maximum nbr of parms in a function
       integer*2   sql_maxparms
       parameter ( sql_maxparms            = 90 )

* Maximum statement size
       integer*4   sql_max_stmt_siz
       parameter ( sql_max_stmt_siz        = 65535 )


* Size of a SMALLINT
       integer*2   sql_small_length
       parameter ( sql_small_length        = 2 )

* Maximum value of a SMALLINT
       integer*2   sql_maxsmallval
       parameter ( sql_maxsmallval         = 32767 )

* Minimum value of a SMALLINT
       integer*2   sql_minsmallval
       parameter ( sql_minsmallval         = -32768 )

* Size of an INTEGER
       integer*2   sql_int_length
       parameter ( sql_int_length          = 4 )

* Maximum value of an INTEGER
       integer*4   sql_maxintval
       parameter ( sql_maxintval           = 2147483647 )

* Minimum value of an INTEGER
       integer*4   sql_minintval
       parameter ( sql_minintval           = -sql_maxintval-1 )

* Size of a FLOAT
       integer*2   sql_float_length
       parameter ( sql_float_length        = 8 )

* Size of a 4-byte FLOAT
       integer*2   sql_float4_length
       parameter ( sql_float4_length       = 4 )

* Maximum prec for small float
       integer*2   sql_maxsfltprec
       parameter ( sql_maxsfltprec         = 24 )

* Minimum prec for small float
       integer*2   sql_minsfltprec
       parameter ( sql_minsfltprec         = 1 )

* Minimum prec for any float
       integer*2   sql_maxfloatprec
       parameter ( sql_maxfloatprec        = 53 )

* Default precision for DECIMAL
       integer*2   sql_defdec_precision
       parameter ( sql_defdec_precision    = 5 )

* Default scale for DECIMAL
       integer*2   sql_defdec_scale
       parameter ( sql_defdec_scale        = 0 )

* Maximum scale/prec. for DECIMAL
       integer*2   sql_maxdecimal
       parameter ( sql_maxdecimal          = 31 )

* Default length for a CHAR
       integer*2   sql_defchar
       parameter ( sql_defchar             = 1 )

* Default length for a graphic
       integer*2   sql_defwchar
       parameter ( sql_defwchar            = 1 )

* Maximum length of a CHAR
       integer*2   sql_maxchar
       parameter ( sql_maxchar             = 254 )

* Maximum length of an LSTRING
       integer*2   sql_maxlstr
       parameter ( sql_maxlstr             = 255 )

* Maximum length of a VARCHAR
       integer*2   sql_maxvchar
       parameter ( sql_maxvchar            = 32672 )

* Maximum length of a VARGRAPHIC
       integer*2   sql_maxvgraph
       parameter ( sql_maxvgraph           = 16336 )

* Max. length of a BLOB host var
       integer*4   sql_maxblob
       parameter ( sql_maxblob             = 2147483647 )

* Max. length of a CLOB host var
       integer*4   sql_maxclob
       parameter ( sql_maxclob             = 2147483647 )

* Max. length of an DBCLOB host var
       integer*4   sql_maxdbclob
       parameter ( sql_maxdbclob           = 1073741823 )

* Length of a LOB locator host var
       integer*2   sql_loblocator_len
       parameter ( sql_loblocator_len      = 4 )

* Length of a LOB file host var
       integer*2   sql_lobfile_len
       parameter ( sql_lobfile_len         = 267 )

* Overhead for VARCHAR in record
       integer*2   sql_vcharoh
       parameter ( sql_vcharoh             = 4 )

* Maximum length of a LONG VARCHAR
       integer*2   sql_longmax
       parameter ( sql_longmax             = 32700 )

* Max. length of a LONG VARGRAPHIC
       integer*2   sql_longgrmax
       parameter ( sql_longgrmax           = 16350 )

* Overhead for LONG VARCHAR in record
       integer*2   sql_lvcharoh
       parameter ( sql_lvcharoh            = 24 )

* Overhead for LOB in record
       integer*2   sql_lobcharoh
       parameter ( sql_lobcharoh           = 312 )

* BLOB maximum length, in bytes
       integer*4   sql_blob_maxlen
       parameter ( sql_blob_maxlen         = 2147483647 )

* CLOB maximum length, in chars
       integer*4   sql_clob_maxlen
       parameter ( sql_clob_maxlen         = 2147483647 )

* maxlen for dbcs lobs
       integer*4   sql_dbclob_maxlen
       parameter ( sql_dbclob_maxlen       = 1073741823 )

* Size of a TIME field
       integer*2   sql_time_length
       parameter ( sql_time_length         = 3 )

* Size of a TIME field output
       integer*2   sql_time_strlen
       parameter ( sql_time_strlen         = 8 )

* Size of a non-USA TIME field output without seconds
       integer*2   sql_time_minstrlen
       parameter ( sql_time_minstrlen      = 5 )

* Size of a DATE field
       integer*2   sql_date_length
       parameter ( sql_date_length         = 4 )

* Size of a DATE field output
       integer*2   sql_date_strlen
       parameter ( sql_date_strlen         = 10 )

* Size of a TIMESTAMP field
       integer*2   sql_stamp_length
       parameter ( sql_stamp_length        = 10 )

* Size of a TIMESTAMP field output
       integer*2   sql_stamp_strlen
       parameter ( sql_stamp_strlen        = 26 )

* Size of a TIMESTAMP field output without microseconds
       integer*2   sql_stamp_minstrlen
       parameter ( sql_stamp_minstrlen     = 19 )

* Size of a BOOLEAN field
       integer*2   sql_boolean_length
       parameter ( sql_boolean_length      = 1 )

* Size of a DATALINK field
       integer*2   sql_datalink_length
       parameter ( sql_datalink_length     = 254 )

* Size of an indicator value
       integer*2   sql_ind_length
       parameter ( sql_ind_length          = 2 )


* Max size of Stored Proc Name
       integer*2   sql_max_pname_length
       parameter ( sql_max_pname_length    = 254 )

* Maximum length of Identifer
       integer*2   sql_max_ident
       parameter ( sql_max_ident           = 128 )

* Maximum length of Long Identifer
       integer*2   sql_lg_ident
       parameter ( sql_lg_ident            = 18 )

* Maximum length of Short Identifer
       integer*2   sql_sh_ident
       parameter ( sql_sh_ident            = 8 )

* Minimum length of Identifiers
       integer*2   sql_mn_ident
       parameter ( sql_mn_ident            = 1 )

* Max size of Host Variable Name
       integer*2   sql_max_var_name
       parameter ( sql_max_var_name        = 255 )

* Number of partitions in a pmap
       integer*2   sql_pdb_map_size
       parameter ( sql_pdb_map_size        = 4096 )

* Max # of Partition Keys
       integer*2   sql_max_num_part_keys
       parameter ( sql_max_num_part_keys   = 500 )

* decimal columns for sqlugrpn are in zoneddecimal format
       integer*2   sql_zoneddecimal_format
       parameter ( sql_zoneddecimal_format = '20'x )

* decimal columns for sqlugrpn are in implieddecimal format
       integer*2   sql_implieddecimal_format
       parameter ( sql_implieddecimal_format = '10'x )

* numeric columns for sqlugrpn are in binary format
       integer*2   sql_binarynumerics_format
       parameter ( sql_binarynumerics_format = '4'x )

* decimal columns for sqlugrpn are in packeddecimal format
       integer*2   sql_packeddecimal_format
       parameter ( sql_packeddecimal_format = '8'x )

* numeric/decimal columns for sqlugrpn are in character string format
       integer*2   sql_charstring_format
       parameter ( sql_charstring_format   = '0'x )

* # of bytes in a kilobyte
       integer*2   sql_kilo_value
       parameter ( sql_kilo_value          = 1024 )

* # of bytes in a megabyte
       integer*4   sql_mega_value
       parameter ( sql_mega_value          = 1048576 )

* # of bytes in a gigabyte
       integer*4   sql_giga_value
       parameter ( sql_giga_value          = 1073741824 )


* size of container name for api's (includes 1 byte for C NULL terminator)
       integer*2   sqlb_max_contain_name_sz
       parameter ( sqlb_max_contain_name_sz = 256 )

* System types 
* limit for max. # of nodes
       integer*2   sql_pdb_max_num_node
       parameter ( sql_pdb_max_num_node    = 1000 )

* information related to logical node name
* no. of digits for node number in node name
       integer*2   sql_pdb_node_num_digit
       parameter ( sql_pdb_node_num_digit  = 4 )

* length of logical node name
       integer*2   sql_pdb_node_name_len
       parameter ( sql_pdb_node_name_len   = 8 )

* Codepages
* Codepage 367 - EUC single byte
       integer*2   sql_cp_367
       parameter ( sql_cp_367              = 367 )

* Codepage 437 - US, Europe
       integer*2   sql_cp_437
       parameter ( sql_cp_437              = 437 )

* Codepage 737 - WIN Greece
       integer*2   sql_cp_737
       parameter ( sql_cp_737              = 737 )

* Codepage 806 - ISCII, India
       integer*2   sql_cp_806
       parameter ( sql_cp_806              = 806 )

* Codepage 813 - AIX Greece
       integer*2   sql_cp_813
       parameter ( sql_cp_813              = 813 )

* Codepage 819 - ISO 8859-1
       integer*2   sql_cp_819
       parameter ( sql_cp_819              = 819 )

* Codepage 850 - International PC
       integer*2   sql_cp_850
       parameter ( sql_cp_850              = 850 )

* Codepage 855 - OS2 Cyrillic
       integer*2   sql_cp_855
       parameter ( sql_cp_855              = 855 )

* Codepage 852 - OS2 Latin2
       integer*2   sql_cp_852
       parameter ( sql_cp_852              = 852 )

* Codepage 856 - Hebrew
       integer*2   sql_cp_856
       parameter ( sql_cp_856              = 856 )

* Codepage 857 - OS2 Turkey
       integer*2   sql_cp_857
       parameter ( sql_cp_857              = 857 )

* Codepage 860 - Portuguese
       integer*2   sql_cp_860
       parameter ( sql_cp_860              = 860 )

* Codepage 862 - OS2 Hebrew
       integer*2   sql_cp_862
       parameter ( sql_cp_862              = 862 )

* Codepage 863 - Canadian-French
       integer*2   sql_cp_863
       parameter ( sql_cp_863              = 863 )

* Codepage 864 - OS2 Arabic
       integer*2   sql_cp_864
       parameter ( sql_cp_864              = 864 )

* Codepage 865 - Norway, Denmark
       integer*2   sql_cp_865
       parameter ( sql_cp_865              = 865 )

* Codepage 866 - Russia
       integer*2   sql_cp_866
       parameter ( sql_cp_866              = 866 )

* Codepage 869 - OS2 Greece
       integer*2   sql_cp_869
       parameter ( sql_cp_869              = 869 )

* Codepage 874 - OS2/AIX Thailand
       integer*2   sql_cp_874
       parameter ( sql_cp_874              = 874 )

* Codepage 891 - Korean
       integer*2   sql_cp_891
       parameter ( sql_cp_891              = 891 )

* Codepage 897 - Japanese
       integer*2   sql_cp_897
       parameter ( sql_cp_897              = 897 )

* Codepage 903 - Chinese
       integer*2   sql_cp_903
       parameter ( sql_cp_903              = 903 )

* Codepage 904 - Taiwan
       integer*2   sql_cp_904
       parameter ( sql_cp_904              = 904 )

* Codepage 912 - AIX Latin2
       integer*2   sql_cp_912
       parameter ( sql_cp_912              = 912 )

* Codepage 915 - AIX Cyrillic
       integer*2   sql_cp_915
       parameter ( sql_cp_915              = 915 )

* Codepage 916 - AIX Hebrew
       integer*2   sql_cp_916
       parameter ( sql_cp_916              = 916 )

* Codepage 920 - AIX Turkey
       integer*2   sql_cp_920
       parameter ( sql_cp_920              = 920 )

* Codepage 921 - Latvia, Lithuania
       integer*2   sql_cp_921
       parameter ( sql_cp_921              = 921 )

* Codepage 922 - Estonia
       integer*2   sql_cp_922
       parameter ( sql_cp_922              = 922 )

* Codepage 1004 - MS-WINDOWS
       integer*2   sql_cp_1004
       parameter ( sql_cp_1004             = 1004 )

* Codepage 1040 - Extended Korean
       integer*2   sql_cp_1040
       parameter ( sql_cp_1040             = 1040 )

* Codepage 1041 - Extended Japanese
       integer*2   sql_cp_1041
       parameter ( sql_cp_1041             = 1041 )

* Codepage 1042 - Extended Chinese
       integer*2   sql_cp_1042
       parameter ( sql_cp_1042             = 1042 )

* Codepage 1043 - Extended Taiwan
       integer*2   sql_cp_1043
       parameter ( sql_cp_1043             = 1043 )

* Codepage 1046 - AIX Arabic
       integer*2   sql_cp_1046
       parameter ( sql_cp_1046             = 1046 )

* Codepage 1051 - HP Roman8
       integer*2   sql_cp_1051
       parameter ( sql_cp_1051             = 1051 )

* Codepage 1088 - Korea Std
       integer*2   sql_cp_1088
       parameter ( sql_cp_1088             = 1088 )

* Codepage 1089 - AIX Arabic
       integer*2   sql_cp_1089
       parameter ( sql_cp_1089             = 1089 )

* Codepage 1114 - Big-5 & GBK
       integer*2   sql_cp_1114
       parameter ( sql_cp_1114             = 1114 )

* Codepage 1115 - China GB
       integer*2   sql_cp_1115
       parameter ( sql_cp_1115             = 1115 )

* Codepage 1124 - AIX Ukraine 
       integer*2   sql_cp_1124
       parameter ( sql_cp_1124             = 1124 )

* Codepage 1125 - OS/2 Ukraine 
       integer*2   sql_cp_1125
       parameter ( sql_cp_1125             = 1125 )

* Codepage 1126 - Windows Korean Std
       integer*2   sql_cp_1126
       parameter ( sql_cp_1126             = 1126 )

* Codepage 1131 - OS/2 Belarus 
       integer*2   sql_cp_1131
       parameter ( sql_cp_1131             = 1131 )

* Codepage 1163 - Vietnamese
       integer*2   sql_cp_1163
       parameter ( sql_cp_1163             = 1163 )

* Codepage 1250 - Windows Latin-2
       integer*2   sql_cp_1250
       parameter ( sql_cp_1250             = 1250 )

* Codepage 1251 - Windows Cyrillic
       integer*2   sql_cp_1251
       parameter ( sql_cp_1251             = 1251 )

* Codepage 1252 - Windows Latin-1
       integer*2   sql_cp_1252
       parameter ( sql_cp_1252             = 1252 )

* Codepage 1253 - Windows Greek
       integer*2   sql_cp_1253
       parameter ( sql_cp_1253             = 1253 )

* Codepage 1254 - Windows Turkish
       integer*2   sql_cp_1254
       parameter ( sql_cp_1254             = 1254 )

* Codepage 1255 - Windows Hebrew
       integer*2   sql_cp_1255
       parameter ( sql_cp_1255             = 1255 )

* Codepage 1256 - Windows Arabic
       integer*2   sql_cp_1256
       parameter ( sql_cp_1256             = 1256 )

* Codepage 1257 - Windows Baltic
       integer*2   sql_cp_1257
       parameter ( sql_cp_1257             = 1257 )

* Codepage 1258 - Windows Vietnamese
       integer*2   sql_cp_1258
       parameter ( sql_cp_1258             = 1258 )

* Codepage 1275 - Mac Latin-1
       integer*2   sql_cp_1275
       parameter ( sql_cp_1275             = 1275 )

* Codepage 1280 - Mac Greek
       integer*2   sql_cp_1280
       parameter ( sql_cp_1280             = 1280 )

* Codepage 1281 - Mac Turkish
       integer*2   sql_cp_1281
       parameter ( sql_cp_1281             = 1281 )

* Codepage 1282 - Mac Latin-2
       integer*2   sql_cp_1282
       parameter ( sql_cp_1282             = 1282 )

* Codepage 1283 - Mac Cyrillic
       integer*2   sql_cp_1283
       parameter ( sql_cp_1283             = 1283 )

* CCSID xF300, (CP856, ST4)
       integer*4   sql_cp_62208
       parameter ( sql_cp_62208            = 62208 )

* CCSID xF301, (CP862, ST4)
       integer*4   sql_cp_62209
       parameter ( sql_cp_62209            = 62209 )

* CCSID xF302, (CP916, ST4)
       integer*4   sql_cp_62210
       parameter ( sql_cp_62210            = 62210 )

* CCSID xF305, (CP862, ST5)
       integer*4   sql_cp_62213
       parameter ( sql_cp_62213            = 62213 )

* CCSID xF30C, (CP856, ST6)
       integer*4   sql_cp_62220
       parameter ( sql_cp_62220            = 62220 )

* CCSID xF30D, (CP862, ST6)
       integer*4   sql_cp_62221
       parameter ( sql_cp_62221            = 62221 )

* CCSID xF30E, (CP916, ST6)
       integer*4   sql_cp_62222
       parameter ( sql_cp_62222            = 62222 )

* CCSID xF30F, (CP1255, ST6)
       integer*4   sql_cp_62223
       parameter ( sql_cp_62223            = 62223 )

* CCSID xF311, (CP864, ST6)
       integer*4   sql_cp_62225
       parameter ( sql_cp_62225            = 62225 )

* CCSID xF312, (CP1046, ST6)
       integer*4   sql_cp_62226
       parameter ( sql_cp_62226            = 62226 )

* CCSID xF313, (CP1089, ST6)
       integer*4   sql_cp_62227
       parameter ( sql_cp_62227            = 62227 )

* CCSID xF314, (CP1256, ST6)
       integer*4   sql_cp_62228
       parameter ( sql_cp_62228            = 62228 )

* CCSID xF316, (CP856, ST8)
       integer*4   sql_cp_62230
       parameter ( sql_cp_62230            = 62230 )

* CCSID xF317, (CP862, ST8)
       integer*4   sql_cp_62231
       parameter ( sql_cp_62231            = 62231 )

* CCSID xF318, (CP916, ST8)
       integer*4   sql_cp_62232
       parameter ( sql_cp_62232            = 62232 )

* CCSID xF31C, (CP856, ST10)
       integer*4   sql_cp_62236
       parameter ( sql_cp_62236            = 62236 )

* CCSID xF31E, (CP916, ST10)
       integer*4   sql_cp_62238
       parameter ( sql_cp_62238            = 62238 )

* CCSID xF31F, (CP1255, ST10)
       integer*4   sql_cp_62239
       parameter ( sql_cp_62239            = 62239 )

* CCSID xF321, (CP856, ST11)
       integer*4   sql_cp_62241
       parameter ( sql_cp_62241            = 62241 )

* CCSID xF322, (CP862, ST11)
       integer*4   sql_cp_62242
       parameter ( sql_cp_62242            = 62242 )

* CCSID xF323, (CP916, ST11)
       integer*4   sql_cp_62243
       parameter ( sql_cp_62243            = 62243 )

* CCSID xF324, (CP1255, ST11)
       integer*4   sql_cp_62244
       parameter ( sql_cp_62244            = 62244 )


* DBCS Codepages
* Codepage 926 - Korean
       integer*2   sql_cp_926
       parameter ( sql_cp_926              = 926 )

* Codepage 951 - New Korean
       integer*2   sql_cp_951
       parameter ( sql_cp_951              = 951 )

* Codepage 301 - Japanese
       integer*2   sql_cp_301
       parameter ( sql_cp_301              = 301 )

* Codepage 928 - Chinese
       integer*2   sql_cp_928
       parameter ( sql_cp_928              = 928 )

* Codepage 927 - Taiwan
       integer*2   sql_cp_927
       parameter ( sql_cp_927              = 927 )

* Codepage 941 - Japanese
       integer*2   sql_cp_941
       parameter ( sql_cp_941              = 941 )

* Codepage 947 - Taiwan Big-5
       integer*2   sql_cp_947
       parameter ( sql_cp_947              = 947 )

* Codepage 971 - Korean 5601
       integer*2   sql_cp_971
       parameter ( sql_cp_971              = 971 )

* Codepage 1351 - Japanese
       integer*2   sql_cp_1351
       parameter ( sql_cp_1351             = 1351 )

* Codepage 1362 - Korean Windows
       integer*2   sql_cp_1362
       parameter ( sql_cp_1362             = 1362 )

* Codepage1380 - China GB
       integer*2   sql_cp_1380
       parameter ( sql_cp_1380             = 1380 )

* Codepage1382 - Simp Chinese GB
       integer*2   sql_cp_1382
       parameter ( sql_cp_1382             = 1382 )

* Codepage1385 - Simp Chinese GBK
       integer*2   sql_cp_1385
       parameter ( sql_cp_1385             = 1385 )

* Codepage13488 - UCS-2
       integer*2   sql_cp_13488
       parameter ( sql_cp_13488            = 13488 )

* Codepage1200 - UCS-2
       integer*2   sql_cp_1200
       parameter ( sql_cp_1200             = 1200 )


* Combined Codepages
* Codepage 891 + 926 - Korean
       integer*2   sql_cp_934
       parameter ( sql_cp_934              = 934 )

* CP 1088 + 951 - Korean Std
       integer*2   sql_cp_949
       parameter ( sql_cp_949              = 949 )

* Codepage 897 + 301 - Japanese
       integer*2   sql_cp_932
       parameter ( sql_cp_932              = 932 )

* Codepage 903 + 928 - Chinese
       integer*2   sql_cp_936
       parameter ( sql_cp_936              = 936 )

* Codepage 904 + 927 - Taiwan
       integer*2   sql_cp_938
       parameter ( sql_cp_938              = 938 )

* Codepage 1040 + 926 - Ext.Korean
       integer*2   sql_cp_944
       parameter ( sql_cp_944              = 944 )

* Codepage 1041 + 301 - Ext.Japanese
       integer*2   sql_cp_942
       parameter ( sql_cp_942              = 942 )

* Codepage  897 + 941 - Ext.Japanese
       integer*2   sql_cp_943
       parameter ( sql_cp_943              = 943 )

* Codepage 1042 + 928 - Ext.Chinese
       integer*2   sql_cp_946
       parameter ( sql_cp_946              = 946 )

* Codepage 1043 + 927 - Ext.Taiwan
       integer*2   sql_cp_948
       parameter ( sql_cp_948              = 948 )

* Codepage 1114 + 947 - Taiwan Big5
       integer*2   sql_cp_950
       parameter ( sql_cp_950              = 950 )

* Codepage 954 + 13488 - euc Japan
       integer*2   sql_cp_954
       parameter ( sql_cp_954              = 954 )

* Codepage 964 + 13488 - euc Taiwan
       integer*2   sql_cp_964
       parameter ( sql_cp_964              = 964 )

* Codepage  367 + 971 - Korean 5601
       integer*2   sql_cp_970
       parameter ( sql_cp_970              = 970 )

* Codepage 1363 - Korean Windows
       integer*2   sql_cp_1363
       parameter ( sql_cp_1363             = 1363 )

* Codepage 1115 +1380 - China GB
       integer*2   sql_cp_1381
       parameter ( sql_cp_1381             = 1381 )

* Codepage  367 +1382 - Chinese GB
       integer*2   sql_cp_1383
       parameter ( sql_cp_1383             = 1383 )

* Codepage  1114 +1385 - Chinese GBK
       integer*2   sql_cp_1386
       parameter ( sql_cp_1386             = 1386 )

* Codepage  1200 + 1208 - Chinese GB18030
       integer*2   sql_cp_5488
       parameter ( sql_cp_5488             = 5488 )

* Codepage 1200 + 1208 - Japanese Shift_JISX0213
       integer*2   sql_cp_1394
       parameter ( sql_cp_1394             = 1394 )

* Codepage  1041 + 1351 - Japanese
       integer*2   sql_cp_5039
       parameter ( sql_cp_5039             = 5039 )

* Codepage  1208 + 1200 - UTF-8
       integer*2   sql_cp_1208
       parameter ( sql_cp_1208             = 1208 )

* Datastream Types
* Single byte PC
       integer*2   sql_sbc_pc
       parameter ( sql_sbc_pc              = 0 )

* Japanese-PC
       integer*2   sql_jpn_pc
       parameter ( sql_jpn_pc              = 1 )

* Chinese-PC
       integer*2   sql_chn_pc
       parameter ( sql_chn_pc              = 2 )

* Korean-PC
       integer*2   sql_kor_pc
       parameter ( sql_kor_pc              = 3 )

* New Korean-PC
       integer*2   sql_ksc_pc
       parameter ( sql_ksc_pc              = 4 )

* Korean 5601
       integer*2   sql_kr5_pc
       parameter ( sql_kr5_pc              = 5 )

* Taiwan Big-5
       integer*2   sql_twn_pc
       parameter ( sql_twn_pc              = 6 )

* China GB
       integer*2   sql_cgb_pc
       parameter ( sql_cgb_pc              = 7 )

* China GB on AIX
       integer*2   sql_cgba_pc
       parameter ( sql_cgba_pc             = 8 )

* Japan euc
       integer*2   sql_eucjp_pc
       parameter ( sql_eucjp_pc            = 9 )

* Taiwan euc
       integer*2   sql_euctw_pc
       parameter ( sql_euctw_pc            = 10 )

* UCS-2
       integer*2   sql_ucs2_pc
       parameter ( sql_ucs2_pc             = 11 )

* Korean Windows 
       integer*2   sql_ksc2_pc
       parameter ( sql_ksc2_pc             = 12 )

* China GBK
       integer*2   sql_cgbk_pc
       parameter ( sql_cgbk_pc             = 13 )

* UTF-8
       integer*2   sql_utf8_pc
       parameter ( sql_utf8_pc             = 14 )

* Unknown
       integer*2   sql_unkn_pc
       parameter ( sql_unkn_pc             = 255 )


* OEM codeset & locale lengths
       integer*2   sql_codeset_len
       parameter ( sql_codeset_len         = 17 )

       integer*2   sql_locale_len
       parameter ( sql_locale_len          = 33 )


* SQLCA Constants
* Invalid SQLCA address
       integer*2   sql_rc_invalid_sqlca
       parameter ( sql_rc_invalid_sqlca    = -1 )


* Size of SQLCA
       integer*2   sqlca_size
       parameter ( sqlca_size              = 136 )


* SQL Error message token delimiter
       integer*2   sql_errmc_pres
       parameter ( sql_errmc_pres          = 'ff'x )


* Offset in SQLERRD - Diagnostic information
* return code
       integer*2   sql_errd_rc
       parameter ( sql_errd_rc             = 0 )

* reason code
       integer*2   sql_errd_reas
       parameter ( sql_errd_reas           = 1 )

* nbr rows inserted/updated/deleted
       integer*2   sql_errd_cnt
       parameter ( sql_errd_cnt            = 2 )

* optimizer estimate of # rows
       integer*2   sql_errd_opt_card
       parameter ( sql_errd_opt_card       = 2 )

* obsolete -- do not use -- 
       integer*2   sql_errd_optm
       parameter ( sql_errd_optm           = 3 )

* optimzer estimate of total cost
       integer*2   sql_errd_opt_totcost
       parameter ( sql_errd_opt_totcost    = 3 )

* nbr of cascaded deletes/updates
       integer*2   sql_errd_dcnt
       parameter ( sql_errd_dcnt           = 4 )

* line number for recompile error
       integer*2   sql_errd_line
       parameter ( sql_errd_line           = 4 )

* authentication type returned for CONNECT/ATTACH
       integer*2   sql_errd_authtype
       parameter ( sql_errd_authtype       = 4 )

* diagnostics
       integer*2   sql_errd_diag
       parameter ( sql_errd_diag           = 5 )


* Indexes in SQLWARN - Warning flags
* composite - set if any warnings
       integer*2   sql_warn_any
       parameter ( sql_warn_any            = 0 )

* string column truncated
       integer*2   sql_warn_trunc
       parameter ( sql_warn_trunc          = 1 )

* null values eliminated
       integer*2   sql_warn_nul
       parameter ( sql_warn_nul            = 2 )

* nbr of columns/host vars mismatch
       integer*2   sql_warn_mism
       parameter ( sql_warn_mism           = 3 )

* no WHERE clause in update/delete
       integer*2   sql_warn_allr
       parameter ( sql_warn_allr           = 4 )

* date has been truncated
       integer*2   sql_warn_date
       parameter ( sql_warn_date           = 6 )

* character conversion substitution
       integer*2   sql_warn_sub
       parameter ( sql_warn_sub            = 8 )

* arithmetic error nulls eliminated
       integer*2   sql_warn_nul2
       parameter ( sql_warn_nul2           = 9 )

* SQLCA conversion error
       integer*2   sql_warn_sqlca
       parameter ( sql_warn_sqlca          = 10 )


* Values for Warning flags in SQLWARN
* warning indicator
       character*1   sql_warning
       parameter (   sql_warning           = 'W' )

* null terminator truncated warning
       character*1   sql_null_trn
       parameter (   sql_null_trn          = 'N' )

* truncation warning with application context length returned in sqlind
       character*1   sql_trn_app_len
       parameter (   sql_trn_app_len       = 'X' )

* no warning indicator
       character*1   sql_no_warn
       parameter (   sql_no_warn           = ' ' )


* SQLDA Constants

* Increment for type with null indicator
       integer*2   sql_typ_nulinc
       parameter ( sql_typ_nulinc          = 1 )


* Variable Types
* DATE
       integer*2   sql_typ_date
       parameter ( sql_typ_date            = 384 )

       integer*2   sql_typ_ndate
       parameter ( sql_typ_ndate           = 385 )


* TIME
       integer*2   sql_typ_time
       parameter ( sql_typ_time            = 388 )

       integer*2   sql_typ_ntime
       parameter ( sql_typ_ntime           = 389 )


* TIMESTAMP
       integer*2   sql_typ_stamp
       parameter ( sql_typ_stamp           = 392 )

       integer*2   sql_typ_nstamp
       parameter ( sql_typ_nstamp          = 393 )


* DATALINK
       integer*2   sql_typ_datalink
       parameter ( sql_typ_datalink        = 396 )

       integer*2   sql_typ_ndatalink
       parameter ( sql_typ_ndatalink       = 397 )


* C NUL-terminated graphic str
       integer*2   sql_typ_cgstr
       parameter ( sql_typ_cgstr           = 400 )

       integer*2   sql_typ_ncgstr
       parameter ( sql_typ_ncgstr          = 401 )


* BLOB - varying length string
       integer*2   sql_typ_blob
       parameter ( sql_typ_blob            = 404 )

       integer*2   sql_typ_nblob
       parameter ( sql_typ_nblob           = 405 )


* CLOB - varying length string
       integer*2   sql_typ_clob
       parameter ( sql_typ_clob            = 408 )

       integer*2   sql_typ_nclob
       parameter ( sql_typ_nclob           = 409 )


* DBCLOB - varying length string
       integer*2   sql_typ_dbclob
       parameter ( sql_typ_dbclob          = 412 )

       integer*2   sql_typ_ndbclob
       parameter ( sql_typ_ndbclob         = 413 )


* VARCHAR(i) - varying length string (2 byte length)
       integer*2   sql_typ_varchar
       parameter ( sql_typ_varchar         = 448 )

       integer*2   sql_typ_nvarchar
       parameter ( sql_typ_nvarchar        = 449 )


* CHAR(i) - fixed length string
       integer*2   sql_typ_char
       parameter ( sql_typ_char            = 452 )

       integer*2   sql_typ_nchar
       parameter ( sql_typ_nchar           = 453 )


* LONG VARCHAR - varying length string
       integer*2   sql_typ_long
       parameter ( sql_typ_long            = 456 )

       integer*2   sql_typ_nlong
       parameter ( sql_typ_nlong           = 457 )


* varying length string for C (null terminated)
       integer*2   sql_typ_cstr
       parameter ( sql_typ_cstr            = 460 )

       integer*2   sql_typ_ncstr
       parameter ( sql_typ_ncstr           = 461 )


* VARGRAPHIC(i) - varying length graphic string (2 byte length)
       integer*2   sql_typ_vargraph
       parameter ( sql_typ_vargraph        = 464 )

       integer*2   sql_typ_nvargraph
       parameter ( sql_typ_nvargraph       = 465 )


* GRAPHIC(i) - fixed length graphic string
       integer*2   sql_typ_graphic
       parameter ( sql_typ_graphic         = 468 )

       integer*2   sql_typ_ngraphic
       parameter ( sql_typ_ngraphic        = 469 )


* LONG VARGRAPHIC(i) - varying length graphic string
       integer*2   sql_typ_longraph
       parameter ( sql_typ_longraph        = 472 )

       integer*2   sql_typ_nlongraph
       parameter ( sql_typ_nlongraph       = 473 )


* varying length string for Pascal (1-byte length)
       integer*2   sql_typ_lstr
       parameter ( sql_typ_lstr            = 476 )

       integer*2   sql_typ_nlstr
       parameter ( sql_typ_nlstr           = 477 )


* FLOAT - 4 or 8 byte floating point
       integer*2   sql_typ_float
       parameter ( sql_typ_float           = 480 )

       integer*2   sql_typ_nfloat
       parameter ( sql_typ_nfloat          = 481 )


* DECIMAL (m,n)
       integer*2   sql_typ_decimal
       parameter ( sql_typ_decimal         = 484 )

       integer*2   sql_typ_ndecimal
       parameter ( sql_typ_ndecimal        = 485 )


* Zoned Decimal -> DECIMAL (m,n)
       integer*2   sql_typ_zoned
       parameter ( sql_typ_zoned           = 488 )

       integer*2   sql_typ_nzoned
       parameter ( sql_typ_nzoned          = 489 )


* BIGINT - 8-byte signed integer
       integer*2   sql_typ_bigint
       parameter ( sql_typ_bigint          = 492 )

       integer*2   sql_typ_nbigint
       parameter ( sql_typ_nbigint         = 493 )


* INTEGER - 4-byte signed integer
       integer*2   sql_typ_integer
       parameter ( sql_typ_integer         = 496 )

       integer*2   sql_typ_ninteger
       parameter ( sql_typ_ninteger        = 497 )


* SMALLINT - 2-byte signed integer
       integer*2   sql_typ_small
       parameter ( sql_typ_small           = 500 )

       integer*2   sql_typ_nsmall
       parameter ( sql_typ_nsmall          = 501 )


* NUMERIC -> DECIMAL (m,n)
       integer*2   sql_typ_numeric
       parameter ( sql_typ_numeric         = 504 )

       integer*2   sql_typ_nnumeric
       parameter ( sql_typ_nnumeric        = 505 )


* Obsolete Value
       integer*2   sql_typ_blob_file_obsolete
       parameter ( sql_typ_blob_file_obsolete = 804 )

       integer*2   sql_typ_nblob_file_obsolete
       parameter ( sql_typ_nblob_file_obsolete = 805 )


* Obsolete Value
       integer*2   sql_typ_clob_file_obsolete
       parameter ( sql_typ_clob_file_obsolete = 808 )

       integer*2   sql_typ_nclob_file_obsolete
       parameter ( sql_typ_nclob_file_obsolete = 809 )


* Obsolete Value
       integer*2   sql_typ_dbclob_file_obsolete
       parameter ( sql_typ_dbclob_file_obsolete = 812 )

       integer*2   sql_typ_ndbclob_file_obsolete
       parameter ( sql_typ_ndbclob_file_obsolete = 813 )


* BLOB File - Binary Large Object File
       integer*2   sql_typ_blob_file
       parameter ( sql_typ_blob_file       = 916 )

       integer*2   sql_typ_nblob_file
       parameter ( sql_typ_nblob_file      = 917 )


* CLOB File - Char Large Object File
       integer*2   sql_typ_clob_file
       parameter ( sql_typ_clob_file       = 920 )

       integer*2   sql_typ_nclob_file
       parameter ( sql_typ_nclob_file      = 921 )


* DBCLOB File - Double Byte Char Large Object File
       integer*2   sql_typ_dbclob_file
       parameter ( sql_typ_dbclob_file     = 924 )

       integer*2   sql_typ_ndbclob_file
       parameter ( sql_typ_ndbclob_file    = 925 )


* BLOB locator
       integer*2   sql_typ_blob_locator
       parameter ( sql_typ_blob_locator    = 960 )

       integer*2   sql_typ_nblob_locator
       parameter ( sql_typ_nblob_locator   = 961 )


* CLOB locator
       integer*2   sql_typ_clob_locator
       parameter ( sql_typ_clob_locator    = 964 )

       integer*2   sql_typ_nclob_locator
       parameter ( sql_typ_nclob_locator   = 965 )


* DBCLOB locator
       integer*2   sql_typ_dbclob_locator
       parameter ( sql_typ_dbclob_locator  = 968 )

       integer*2   sql_typ_ndbclob_locator
       parameter ( sql_typ_ndbclob_locator = 969 )


       integer*2   sql_lobtoken_len
       parameter ( sql_lobtoken_len        = 4 )

       integer*2   sql_typ_blob_token
       parameter ( sql_typ_blob_token      = 960 )

       integer*2   sql_typ_nblob_token
       parameter ( sql_typ_nblob_token     = 961 )

       integer*2   sql_typ_clob_token
       parameter ( sql_typ_clob_token      = 964 )

       integer*2   sql_typ_nclob_token
       parameter ( sql_typ_nclob_token     = 965 )

       integer*2   sql_typ_dbclob_token
       parameter ( sql_typ_dbclob_token    = 968 )

       integer*2   sql_typ_ndbclob_token
       parameter ( sql_typ_ndbclob_token   = 969 )

       integer*4   sql_nclob_maxlen
       parameter ( sql_nclob_maxlen        = 1073741823 )

       integer*2   sql_lobhandle_len
       parameter ( sql_lobhandle_len       = 4 )

       integer*2   sql_typ_blob_handle
       parameter ( sql_typ_blob_handle     = 960 )

       integer*2   sql_typ_nblob_handle
       parameter ( sql_typ_nblob_handle    = 961 )

       integer*2   sql_typ_clob_handle
       parameter ( sql_typ_clob_handle     = 964 )

       integer*2   sql_typ_nclob_handle
       parameter ( sql_typ_nclob_handle    = 965 )

       integer*2   sql_typ_dbclob_handle
       parameter ( sql_typ_dbclob_handle   = 968 )

       integer*2   sql_typ_ndbclob_handle
       parameter ( sql_typ_ndbclob_handle  = 969 )


* Values for 30th byte of sqlname
       integer*2   sql_sqlname_sysgen
       parameter ( sql_sqlname_sysgen      = 'ff'x )

       integer*2   sql_sqlname_not_sysgen
       parameter ( sql_sqlname_not_sysgen  = '0'x )


* Return Codes for sqlabndx, sqlaprep and sqlarbnd
* The option(s) specified are not supported by the target  database and will
* be ignored
       integer*2   sqla_rc_opt_ignored
       parameter ( sqla_rc_opt_ignored     = 20 )

* Bind execution succeeded with warnings.
       integer*2   sqla_rc_bindwarn
       parameter ( sqla_rc_bindwarn        = 25 )

* Precompilation succeeded with warnings.
       integer*2   sqla_rc_prepwarn
       parameter ( sqla_rc_prepwarn        = 25 )

* Bind execution failed
       integer*2   sqla_rc_binderror
       parameter ( sqla_rc_binderror       = -1 )

* Precompilation failed
       integer*2   sqla_rc_preperror
       parameter ( sqla_rc_preperror       = -1 )

* Invalid bind file
       integer*2   sqla_rc_bad_bindname
       parameter ( sqla_rc_bad_bindname    = -2 )

* Invalid database
       integer*2   sqla_rc_bad_dbname
       parameter ( sqla_rc_bad_dbname      = -3 )

* Invalid message file
       integer*2   sqla_rc_bad_msgname
       parameter ( sqla_rc_bad_msgname     = -5 )

* Invalid format
       integer*2   sqla_rc_bad_format
       parameter ( sqla_rc_bad_format      = -6 )

* Error opening list file
       integer*2   sqla_rc_open_error
       parameter ( sqla_rc_open_error      = -31 )

* Error opening message file
       integer*2   sqla_rc_mfile_open_err
       parameter ( sqla_rc_mfile_open_err  = -35 )

* Source file name is invalid
       integer*2   sqla_rc_file_name_bad
       parameter ( sqla_rc_file_name_bad   = -36 )

* Bind file corrupted
       integer*2   sqla_rc_bad_bndfile
       parameter ( sqla_rc_bad_bndfile     = -39 )

* Bind list errors
       integer*2   sqla_rc_list_error
       parameter ( sqla_rc_list_error      = -40 )

* Interrupt
       integer*2   sqla_rc_interrupt
       parameter ( sqla_rc_interrupt       = -94 )

* System error
       integer*2   sqla_rc_oserror
       parameter ( sqla_rc_oserror         = -1086 )

* Prep/Bind already in use
       integer*2   sqla_rc_prep_bind_busy
       parameter ( sqla_rc_prep_bind_busy  = -1392 )

* Invalid parm. length
       integer*2   sqla_rc_option_len_bad
       parameter ( sqla_rc_option_len_bad  = -4903 )

* Invalid parm. ptr
       integer*2   sqla_rc_option_ptr_bad
       parameter ( sqla_rc_option_ptr_bad  = -4904 )

* Invalid parm. size
       integer*2   sqla_rc_option_size_bad
       parameter ( sqla_rc_option_size_bad = -4905 )

* Invalid parm. data
       integer*2   sqla_rc_option_data_bad
       parameter ( sqla_rc_option_data_bad = -4917 )

* Invalid option or option value
       integer*2   sqla_rc_option_invalid
       parameter ( sqla_rc_option_invalid  = -4930 )

* No SDK/6000 license
       integer*2   sqla_rc_sdk_license
       parameter ( sqla_rc_sdk_license     = -8005 )


* Values used for the date/time format parameter of sqlabind() ** OBSOLETE
* **
* FORMAT = Default for Country Code
       character*3   sql_fmt_def
       parameter (   sql_fmt_def           = 'DEF' )

* FORMAT = USA
       character*3   sql_fmt_usa
       parameter (   sql_fmt_usa           = 'USA' )

* FORMAT = EUR
       character*3   sql_fmt_eur
       parameter (   sql_fmt_eur           = 'EUR' )

* FORMAT = ISO
       character*3   sql_fmt_iso
       parameter (   sql_fmt_iso           = 'ISO' )

* FORMAT = JIS
       character*3   sql_fmt_jis
       parameter (   sql_fmt_jis           = 'JIS' )

* FORMAT = LOCAL
       character*3   sql_fmt_loc
       parameter (   sql_fmt_loc           = 'LOC' )


* The size of a date/time format buffer
       integer*2   sql_fmt_length
       parameter ( sql_fmt_length          = 3 )


* Structures used system wide


* File reference structure for LOBs
       integer*2   sqlfile_struct_sz
       parameter ( sqlfile_struct_sz       = 268 )

       integer*2   sqlfile_name_length_sz
       parameter ( sqlfile_name_length_sz  = 4 )

       integer*2   sqlfile_name_length_ofs
       parameter ( sqlfile_name_length_ofs = 1 )

       integer*2   sqlfile_data_length_sz
       parameter ( sqlfile_data_length_sz  = 4 )

       integer*2   sqlfile_data_length_ofs
       parameter ( sqlfile_data_length_ofs = 5 )

       integer*2   sqlfile_file_options_sz
       parameter ( sqlfile_file_options_sz = 4 )

       integer*2   sqlfile_file_options_ofs
       parameter ( sqlfile_file_options_ofs = 9 )

       integer*2   sqlfile_name_sz
       parameter ( sqlfile_name_sz         = 255 )

       integer*2   sqlfile_name_ofs
       parameter ( sqlfile_name_ofs        = 13 )


* Values used for file_options in the sqlfile structure
* Input file to read from
       integer*2   sql_file_read
       parameter ( sql_file_read           = 2 )

* Output file - new file to be created
       integer*2   sql_file_create
       parameter ( sql_file_create         = 8 )

* Output file - overwrite existing file or create a new file if it doesn't
* exist
       integer*2   sql_file_overwrite
       parameter ( sql_file_overwrite      = 16 )

* Output file - append to an existing file or create a new file if it
* doesn't exist
       integer*2   sql_file_append
       parameter ( sql_file_append         = 32 )


* Structure used to store binder options when calling sqlabndr()
* or sqlabndx(), or to store precompile options when calling
* sqlaprep(), or to store rebind options when calling sqlarbnd().

* Values used for option[n].type in the sqloptions structure
* of sqlabndx(), sqlaprep() and sqlarbnd().
* Option for date/time format - bind and precompile option
       integer*2   sql_datetime_opt
       parameter ( sql_datetime_opt        = 1 )

* Option for standards level compliance - precompile option only
       integer*2   sql_standards_opt
       parameter ( sql_standards_opt       = 2 )

* Option for isolation level - bind and precompile option
       integer*2   sql_iso_opt
       parameter ( sql_iso_opt             = 4 )

* Option for record blocking - bind and precompile option
       integer*2   sql_block_opt
       parameter ( sql_block_opt           = 5 )

* Option for granting privileges - bind option only
       integer*2   sql_grant_opt
       parameter ( sql_grant_opt           = 6 )

* Option for the Flagger - precompile option only
       integer*2   sql_flag_opt
       parameter ( sql_flag_opt            = 8 )

* Option for granting privileges to a user - bind option only
       integer*2   sql_grant_user_opt
       parameter ( sql_grant_user_opt      = 9 )

* Option for granting privileges to a group - bind option only
       integer*2   sql_grant_group_opt
       parameter ( sql_grant_group_opt     = 10 )

* Option for adding NULLs to strings - bind option only
       integer*2   sql_cnulreqd_opt
       parameter ( sql_cnulreqd_opt        = 11 )

* Generic option for DRDA servers - bind option only
       integer*2   sql_generic_opt
       parameter ( sql_generic_opt         = 12 )

* Option for Deferred Prepare - precompile option only
       integer*2   sql_deferred_prepare_opt
       parameter ( sql_deferred_prepare_opt = 15 )

* Specifies whether one or multiple connections are allowed similtaneously
* within a unit of work.
       integer*2   sql_connect_opt
       parameter ( sql_connect_opt         = 16 )

* Specifies the set of rules used for connection to multiple databases
* within a single unit of work
       integer*2   sql_rules_opt
       parameter ( sql_rules_opt           = 17 )

* Specifies which of multiple databases connected to will be disconnected
* when a COMMIT or ROLLBACK is issued.
       integer*2   sql_disconnect_opt
       parameter ( sql_disconnect_opt      = 18 )

* Specifies what syncpoint option (for example one phase or two phase) will
* be used
       integer*2   sql_syncpoint_opt
       parameter ( sql_syncpoint_opt       = 19 )

* Option to create a bind file - precompile option only
       integer*2   sql_bind_opt
       parameter ( sql_bind_opt            = 20 )

* Option specifies SAA/non-SAA compatibility - FORTRAN precompile option
* only
       integer*2   sql_saa_opt
       parameter ( sql_saa_opt             = 21 )

* Option to create a package with a specific name - precompile option only
       integer*2   sql_pkg_opt
       parameter ( sql_pkg_opt             = 23 )

* Option to specify SQLDA optimization - precompile option only
       integer*2   sql_optim_opt
       parameter ( sql_optim_opt           = 24 )

* Option to not create a package or bind file - precompile option only
       integer*2   sql_syntax_opt
       parameter ( sql_syntax_opt          = 25 )

* Indicates under what conditions a package will be be created - bind and
* precompile option
       integer*2   sql_sqlerror_opt
       parameter ( sql_sqlerror_opt        = 25 )

* Option to suppress #line macro generation in modified source file - C
* precompile option only
       integer*2   sql_linemacro_opt
       parameter ( sql_linemacro_opt       = 26 )

* 'No-op' option - ignore this entry in the option array - bind, precompile
* and rebind option
       integer*2   sql_no_opt
       parameter ( sql_no_opt              = 27 )

* Level of a module - precompile option only
       integer*2   sql_level_opt
       parameter ( sql_level_opt           = 30 )

* Package collection identifier - precompile option only
       integer*2   sql_collection_opt
       parameter ( sql_collection_opt      = 31 )

* Package version identifier - precompile option only
       integer*2   sql_version_opt
       parameter ( sql_version_opt         = 32 )

* Package owner authorization identifier - bind and precompile option
       integer*2   sql_owner_opt
       parameter ( sql_owner_opt           = 33 )

* Synonym for owner - bind and precompile option
       integer*2   sql_schema_opt
       parameter ( sql_schema_opt          = 33 )

* Authorization identifier that is to be used as a qualifier for unqualified
* objects - bind and precompile option
       integer*2   sql_qualifier_opt
       parameter ( sql_qualifier_opt       = 34 )

* Synonym for qualifier - bind and precompile option
       integer*2   sql_catalog_opt
       parameter ( sql_catalog_opt         = 34 )

* Package description - bind and precompile option
       integer*2   sql_text_opt
       parameter ( sql_text_opt            = 35 )

* Indicates when object validation occurs - bind and precompile option
       integer*2   sql_validate_opt
       parameter ( sql_validate_opt        = 40 )

* Determines whether information will be produced about how the SQL
* statements in a package will be executed - bind and precompile option
       integer*2   sql_explain_opt
       parameter ( sql_explain_opt         = 41 )

* Indicates whether a package is to be added or replaced - bind and
* precompile option
       integer*2   sql_action_opt
       parameter ( sql_action_opt          = 42 )

* Replaces a specific version of a package - bind and precompile option
       integer*2   sql_replver_opt
       parameter ( sql_replver_opt         = 44 )

* Indicates whether EXECUTE authorities are to be preserved when a package
* is replaced - bind and precompile option
       integer*2   sql_retain_opt
       parameter ( sql_retain_opt          = 45 )

* Indicates whether resources are released at each COMMIT or when the
* application  terminates - bind and precompile option
       integer*2   sql_release_opt
       parameter ( sql_release_opt         = 46 )

* Specifies whether or not the query is executed using I/O parallelism -
* bind and precompile option
       integer*2   sql_degree_opt
       parameter ( sql_degree_opt          = 47 )

* Designates whether an apostrophe or quote will be used as a string
* delimiter - bind and precompile option
       integer*2   sql_strdel_opt
       parameter ( sql_strdel_opt          = 50 )

* Designates whether a period or comma will be used as a decimal point
* indicator - bind and precompile option
       integer*2   sql_decdel_opt
       parameter ( sql_decdel_opt          = 51 )

* Designates default character subtype that is to be used for column
* definitions in the CREATE and ALTER TABLE SQL statements - bind and
* precompile option
       integer*2   sql_charsub_opt
       parameter ( sql_charsub_opt         = 55 )

* Designates what CCSID will be used for single byte characters for
* character column definitions without a specific CCSID clause in the CREATE
* and ALTER TABLE SQL statements - bind and precompile option
       integer*2   sql_ccsids_opt
       parameter ( sql_ccsids_opt          = 56 )

* Designates what CCSID will be used for mixed byte characters for character
* column definitions without a specific CCSID clause in the CREATE and ALTER
* TABLE SQL statements - bind and precompile option
       integer*2   sql_ccsidm_opt
       parameter ( sql_ccsidm_opt          = 57 )

* Designates what CCSID will be used for double byte characters for
* character column definitions without a specific CCSID clause in the CREATE
* and ALTER TABLE SQL statements - bind and precompile option
       integer*2   sql_ccsidg_opt
       parameter ( sql_ccsidg_opt          = 58 )

* Specifies maximum precision to be used in decimal arithmetic operations -
* bind and precompile option
       integer*2   sql_dec_opt
       parameter ( sql_dec_opt             = 59 )

* Specifies handling of graphic vars. - precompile only
       integer*2   sql_wchar_opt
       parameter ( sql_wchar_opt           = 60 )

* Specifies which authorization identifier to use when dynamic SQL in a
* package is executed - bind and precompile option
       integer*2   sql_dynamicrules_opt
       parameter ( sql_dynamicrules_opt    = 61 )

* Buffers VALUE inserts - bind and precompile option for DB2/PE servers only
       integer*2   sql_insert_opt
       parameter ( sql_insert_opt          = 62 )

* Capture explain snapshot - bind and precompile option
       integer*2   sql_explsnap_opt
       parameter ( sql_explsnap_opt        = 63 )

* Path for user-defined function resolution - bind and precompile option
       integer*2   sql_function_path
       parameter ( sql_function_path       = 64 )

* Disable prepare-time SQL warnings - bind and precompile option
       integer*2   sql_sqlwarn_opt
       parameter ( sql_sqlwarn_opt         = 65 )

* Set query optimization class - bind and precompile option
       integer*2   sql_queryopt_opt
       parameter ( sql_queryopt_opt        = 66 )

* Target compiler - precompile option
       integer*2   sql_target_opt
       parameter ( sql_target_opt          = 67 )

* Name of precompiler output file - precompile option
       integer*2   sql_prep_output_opt
       parameter ( sql_prep_output_opt     = 68 )

* Preprocessor command - precompile option only
       integer*2   sql_preprocessor_opt
       parameter ( sql_preprocessor_opt    = 69 )

* Indicates whether function and type resolution should or should not use
* conservative binding semantics - rebind option only
       integer*2   sql_resolve_opt
       parameter ( sql_resolve_opt         = 70 )

* CLIPKG option - bind option only
       integer*2   sql_clipkg_opt
       parameter ( sql_clipkg_opt          = 71 )

* FEDERATED option - bind and precompile option
       integer*2   sql_federated_opt
       parameter ( sql_federated_opt       = 72 )

* Transform Group - precompile and bind option
       integer*2   sql_transformgroup_opt
       parameter ( sql_transformgroup_opt  = 73 )

* Option to treat long host variable declarations as errors - precompile
* option only
       integer*2   sql_longerror_opt
       parameter ( sql_longerror_opt       = 74 )

* DECTYPE Option to convert decimals  precompile option only
       integer*2   sql_dectype_opt
       parameter ( sql_dectype_opt         = 75 )

* PSM option - bind option
       integer*2   sql_psm_opt
       parameter ( sql_psm_opt             = 76 )


* # of PREP/BIND/REBIND options
       integer*2   sql_num_opts
       parameter ( sql_num_opts            = 76 )


* Values used for option[n].val when option[n].type is
* SQL_DATETIME_OPT. These can also be used for the date/time
* format parameter of sqlabind().

* FORMAT = Default for Country Code
       integer*2   sql_datetime_def
       parameter ( sql_datetime_def        = 48 )

* FORMAT = USA
       integer*2   sql_datetime_usa
       parameter ( sql_datetime_usa        = 49 )

* FORMAT = EUR
       integer*2   sql_datetime_eur
       parameter ( sql_datetime_eur        = 50 )

* FORMAT = ISO
       integer*2   sql_datetime_iso
       parameter ( sql_datetime_iso        = 51 )

* FORMAT = JIS
       integer*2   sql_datetime_jis
       parameter ( sql_datetime_jis        = 52 )

* FORMAT = LOCAL
       integer*2   sql_datetime_loc
       parameter ( sql_datetime_loc        = 53 )


* The following constants are here for backwards compatbility with earlier
* releases.

       integer*2   sql_frmt_opt
       parameter ( sql_frmt_opt            = 1 )

       integer*2   sql_fmt_0
       parameter ( sql_fmt_0               = 48 )

       integer*2   sql_fmt_1
       parameter ( sql_fmt_1               = 49 )

       integer*2   sql_fmt_2
       parameter ( sql_fmt_2               = 50 )

       integer*2   sql_fmt_3
       parameter ( sql_fmt_3               = 51 )

       integer*2   sql_fmt_4
       parameter ( sql_fmt_4               = 52 )

       integer*2   sql_fmt_5
       parameter ( sql_fmt_5               = 53 )


* Values used for option[n].val when option[n].type is SQL_STANDARDS_OPT.
* SAA Level 1 Database CPI
       integer*2   sql_saa_comp
       parameter ( sql_saa_comp            = 0 )

* MIA
       integer*2   sql_mia_comp
       parameter ( sql_mia_comp            = 1 )

* SQL92 Entry
       integer*2   sql_sql92e_comp
       parameter ( sql_sql92e_comp         = 2 )


* Values used for option[n].val when option[n].type is SQL_ISO_OPT
* Repeatable read level
       integer*2   sql_rep_read
       parameter ( sql_rep_read            = 0 )

* Cursor stability level
       integer*2   sql_cursor_stab
       parameter ( sql_cursor_stab         = 1 )

* Uncommitted read level
       integer*2   sql_uncom_read
       parameter ( sql_uncom_read          = 2 )

* Read stability level
       integer*2   sql_read_stab
       parameter ( sql_read_stab           = 3 )

* No Commit level      l
       integer*2   sql_no_commit
       parameter ( sql_no_commit           = 4 )


* Values used for option[n].val when option[n].type is SQL_BLOCK_OPT
* Block Unambiguous cursors
       integer*2   sql_bl_unambig
       parameter ( sql_bl_unambig          = 0 )

* Block All cursors
       integer*2   sql_bl_all
       parameter ( sql_bl_all              = 1 )

* Block No cursors
       integer*2   sql_no_bl
       parameter ( sql_no_bl               = 2 )


* Values used for option[n].val when option[n].type is SQL_FLAG_OPT
* Flagger check against MVS
       integer*2   sql_mvsdb2v23_syntax
       parameter ( sql_mvsdb2v23_syntax    = 4 )

* DB2 V2.3, V3.1 or V4.1 SQL
       integer*2   sql_mvsdb2v31_syntax
       parameter ( sql_mvsdb2v31_syntax    = 5 )

* syntax
       integer*2   sql_mvsdb2v41_syntax
       parameter ( sql_mvsdb2v41_syntax    = 6 )

* FIPS flagger SQL92E syntax
       integer*2   sql_sql92e_syntax
       parameter ( sql_sql92e_syntax       = 7 )


* Values used for option[n].val when option[n].type is SQL_CNULREQD_OPT
* C NULL value not required
       integer*2   sql_cnulreqd_no
       parameter ( sql_cnulreqd_no         = 0 )

* C NULL value required
       integer*2   sql_cnulreqd_yes
       parameter ( sql_cnulreqd_yes        = 1 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_GENERIC_OPT
       integer*2   sql_max_generic
       parameter ( sql_max_generic         = 1023 )


* Values used for option[n].val when option[n].type is SQL_SAA_OPT.
* SQLCA definition not SAA compatible
       integer*2   sql_saa_no
       parameter ( sql_saa_no              = 0 )

* SQLCA definition is SAA compatible
       integer*2   sql_saa_yes
       parameter ( sql_saa_yes             = 1 )


* Values used for option[n].val when option[n].type is SQL_OPTIM_OPT.
* Do not optimize SQLDA initialization
       integer*2   sql_dont_optimize
       parameter ( sql_dont_optimize       = 0 )

* Optimize SQLDA initialization
       integer*2   sql_optimize
       parameter ( sql_optimize            = 1 )


* Values used for option[n].val when option[n].type is SQL_SYNTAX_OPT.
* Create a package and/or a bind file
       integer*2   sql_no_syntax_check
       parameter ( sql_no_syntax_check     = 0 )

* Do not create a package or bind file
       integer*2   sql_syntax_check
       parameter ( sql_syntax_check        = 1 )


* Values used for option[n].val when option[n].type is SQL_LINEMACRO_OPT.
* Do not generate #line macros in modified source file
       integer*2   sql_no_line_macros
       parameter ( sql_no_line_macros      = 0 )

* Generate #line macros in modified source file
       integer*2   sql_line_macros
       parameter ( sql_line_macros         = 1 )


* Values used for option[n].val when option[n].type is SQL_WCHAR_OPT.
* graphic variable not converted
       integer*2   sql_wchar_noconvert
       parameter ( sql_wchar_noconvert     = 0 )

* graphic variable converted
       integer*2   sql_wchar_convert
       parameter ( sql_wchar_convert       = 1 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_LEVEL_OPT
       integer*2   sql_max_level
       parameter ( sql_max_level           = 8 )


* Values used for option[n].val when option[n].type is SQL_CONNECT_OPT
* Dynamic SQL statements will be chained.
       integer*2   sql_deferred_prepare_yes
       parameter ( sql_deferred_prepare_yes = 1 )

* Dynamic SQL statements will not be chained.
       integer*2   sql_deferred_prepare_no
       parameter ( sql_deferred_prepare_no = 2 )

* Dynamic SQL statements will be chained in all cases.  The application must
* not allocate host vars a FETCH SQLDA until after the OPEN statement for
* the cursor.
       integer*2   sql_deferred_prepare_all
       parameter ( sql_deferred_prepare_all = 3 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_COLLECTION_OPT
       integer*2   sql_max_collection
       parameter ( sql_max_collection      = 30 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_VERSION_OPT
       integer*2   sql_max_version
       parameter ( sql_max_version         = 254 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_OWNER_OPT
       integer*2   sql_max_owner
       parameter ( sql_max_owner           = 30 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_SCHEMA_OPT
       integer*2   sql_max_schema
       parameter ( sql_max_schema          = 30 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_QUALIFIER_OPT
       integer*2   sql_max_qualifier
       parameter ( sql_max_qualifier       = 30 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_CATALOG_OPT
       integer*2   sql_max_catalog
       parameter ( sql_max_catalog         = 30 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_TEXT_OPT
       integer*2   sql_max_text
       parameter ( sql_max_text            = 255 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_PREPROCESSOR_OPT
       integer*2   sql_max_preprocessor
       parameter ( sql_max_preprocessor    = 1024 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_TRANSFORMGROUP_OPT
       integer*2   sql_max_transformgroup
       parameter ( sql_max_transformgroup  = 1024 )


* Values used for option[n].val when option[n].type is SQL_VALIDATE_OPT
* Validate objects during BIND
       integer*2   sql_validate_bind
       parameter ( sql_validate_bind       = 0 )

* Validate objects during execution
       integer*2   sql_validate_run
       parameter ( sql_validate_run        = 1 )


* Values used for option[n].val when option[n].type is SQL_EXPLAIN_OPT
* No Explain output saved
       integer*2   sql_explain_no
       parameter ( sql_explain_no          = 0 )

* Explain output saved
       integer*2   sql_explain_yes
       parameter ( sql_explain_yes         = 1 )

* Explain output saved for all static and dynamic statements
       integer*2   sql_explain_all
       parameter ( sql_explain_all         = 2 )


* Values used for option[n].val when option[n].type is SQL_ACTION_OPT
* Package is to be added
       integer*2   sql_action_add
       parameter ( sql_action_add          = 0 )

* Package is to be replaced
       integer*2   sql_action_replace
       parameter ( sql_action_replace      = 1 )


* Max/Min value of CLIPKG for option[n].val when option[n].type is
* SQL_CLIPKG_OPT
       integer*2   sql_min_clipkg
       parameter ( sql_min_clipkg          = 3 )

       integer*2   sql_max_clipkg
       parameter ( sql_max_clipkg          = 30 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_REPLVER_OPT
       integer*2   sql_max_replver
       parameter ( sql_max_replver         = 254 )


* Values used for option[n].val when option[n].type is SQL_SQLERROR_OPT
* Do not create a package if errors are encountered
       integer*2   sql_sqlerror_nopackage
       parameter ( sql_sqlerror_nopackage  = 0 )

* Do not create a package
       integer*2   sql_sqlerror_check
       parameter ( sql_sqlerror_check      = 1 )

* Create a package even if errors are encountered
       integer*2   sql_sqlerror_continue
       parameter ( sql_sqlerror_continue   = 2 )


* Values used for option[n].val when option[n].type is SQL_RETAIN_OPT
* Do not preserve EXECUTE authorities when a package is replaced
       integer*2   sql_retain_no
       parameter ( sql_retain_no           = 0 )

* Preserve EXECUTE authorities when a package is replaced
       integer*2   sql_retain_yes
       parameter ( sql_retain_yes          = 1 )


* Values used for option[n].val when option[n].type is SQL_RELEASE_OPT
* Release resources at COMMIT
       integer*2   sql_release_commit
       parameter ( sql_release_commit      = 0 )

* Release resources when the program terminates
       integer*2   sql_release_deallocate
       parameter ( sql_release_deallocate  = 1 )


* Values used for option[n].val when option[n].type is SQL_STRDEL_OPT
* Apostrophe string delimiter
       integer*2   sql_strdel_apostrophe
       parameter ( sql_strdel_apostrophe   = 0 )

* Quote string delimiter
       integer*2   sql_strdel_quote
       parameter ( sql_strdel_quote        = 1 )


* Values used for option[n].val when option[n].type is SQL_DECDEL_OPT
* Period is used as a decimal point indicator in decimal and floating point
* literals
       integer*2   sql_decdel_period
       parameter ( sql_decdel_period       = 0 )

* Comma is used as a decimal point indicator in decimal and floating point
* literals
       integer*2   sql_decdel_comma
       parameter ( sql_decdel_comma        = 1 )


* Values used for option[n].val when option[n].type is SQL_CHARSUB_OPT
* Use the target system defined default for all new character columns for
* which an explicit subtype is not specified
       integer*2   sql_charsub_default
       parameter ( sql_charsub_default     = 0 )

* Use the BIT character subtype for all new character columns for which an
* explicit subtype is not specified
       integer*2   sql_charsub_bit
       parameter ( sql_charsub_bit         = 1 )

* Use the SBCS character subtype for all new character columns for which an
* explicit subtype is not specified
       integer*2   sql_charsub_sbcs
       parameter ( sql_charsub_sbcs        = 2 )

* Use the mixed character subtype for all new character columns for which an
* explicit subtype is not specified
       integer*2   sql_charsub_mixed
       parameter ( sql_charsub_mixed       = 3 )


* Values used for option[n].val when option[n].type is SQL_DEC_OPT
* 15 bit precision is used in decimal arithmetic operations
       integer*2   sql_dec_15
       parameter ( sql_dec_15              = 15 )

* 31 bit precision is used in decimal arithmetic operations
       integer*2   sql_dec_31
       parameter ( sql_dec_31              = 31 )


* Values used for option[n].val when option[n].type is SQL_DEGREE_OPT
* Prohibits parallel I/O operations
       integer*2   sql_degree_1
       parameter ( sql_degree_1            = 1 )

* Allows the target database system to determine the degree of parallel I/O
* operations
       integer*2   sql_degree_any
       parameter ( sql_degree_any          = 0 )

* Maximum value
       integer*2   sql_max_degree_val
       parameter ( sql_max_degree_val      = 32767 )


* The next four option values (for CONNECT type, SQLRULES, DISCONNECT and
* SYNCPOINT) are used not only by the precompiler but also by the sqlesetc
* and sqleqryc APIs.

* Values used for option[n].val when option[n].type is SQL_CONNECT_OPT
* Indicates that only one connection to a database can exist at any given
* time.
       integer*2   sql_connect_1
       parameter ( sql_connect_1           = 1 )

* Indicates that multiple connections can exist simultaneously, with one
* being active and the others dormant.
       integer*2   sql_connect_2
       parameter ( sql_connect_2           = 2 )


* Values used for option[n].val when option[n].type is SQL_RULES_OPT
* Indicates that CONNECT TO can be used to make a dormant connection the
* current connection.
       integer*2   sql_rules_db2
       parameter ( sql_rules_db2           = 1 )

* Indicates that CONNECT TO is not valid for making a dormant connection
* current, and SET CONNECTION must be used instead.
       integer*2   sql_rules_std
       parameter ( sql_rules_std           = 2 )


* Values used for option[n].val when option[n].type is SQL_DISCONNECT_OPT
* Indicates that all connections marked by the RELEASE statement will be the
* only connections released when a COMMIT is issued.
       integer*2   sql_disconnect_expl
       parameter ( sql_disconnect_expl     = 1 )

* Indicates that all connections that do not have open WITH HOLD cursors
* will be the only connections released when a COMMIT is issued.
       integer*2   sql_disconnect_cond
       parameter ( sql_disconnect_cond     = 2 )

* Indicates that all connections will be released when a COMMIT is issued.
       integer*2   sql_disconnect_auto
       parameter ( sql_disconnect_auto     = 3 )


* Values used for option[n].val when option[n].type is SQL_SYNCPOINT_OPT
* Do not use a transaction manager to perform two phase commit, but enforce
* that there is only one database is updated when multiple databases are
* accessed within a single transaction.
       integer*2   sql_sync_onephase
       parameter ( sql_sync_onephase       = 1 )

* Use a transaction manager to coordinate two phase commit.
       integer*2   sql_sync_twophase
       parameter ( sql_sync_twophase       = 2 )

* No update enforcement or two phase commit protocol will be used.
       integer*2   sql_sync_none
       parameter ( sql_sync_none           = 0 )


* The next option value (for SQL_CONNECT_NODE) is used only by the sqlesetc
* and sqleqryc APIs.
* Connect to the catalog node
       integer*4   sql_conn_catalog_node
       parameter ( sql_conn_catalog_node   = 'fffe'x )


* Values used for option[n].val when option[n].type is SQL_DYNAMICRULES_OPT
* Dynamic SQL in package will use authid of person running the package
       integer*2   sql_dynamicrules_run
       parameter ( sql_dynamicrules_run    = 0 )

* Dynamic SQL in package will use authid of person who owns the package
       integer*2   sql_dynamicrules_bind
       parameter ( sql_dynamicrules_bind   = 1 )

* Dynamic SQL in UDF or stored procedure will use authid of invoker of UDF
* or stored procedure
       integer*2   sql_dynamicrules_invoke
       parameter ( sql_dynamicrules_invoke = 2 )

* Dynamic SQL in UDF or stored procedure will use authid of definer of UDF
* or stored procedure
       integer*2   sql_dynamicrules_define
       parameter ( sql_dynamicrules_define = 3 )


* Values used for option[n].val when option[n].type is SQL_INSERT_OPT
* Do not buffer VALUE inserts
       integer*2   sql_insert_def
       parameter ( sql_insert_def          = 0 )

* Buffer VALUE inserts
       integer*2   sql_insert_buf
       parameter ( sql_insert_buf          = 1 )


* Values used for option[n].val when option[n].type is SQL_EXPLSNAP_OPT
* No Explain snapshot saved
       integer*2   sql_explsnap_no
       parameter ( sql_explsnap_no         = 0 )

* Explain snapshot saved
       integer*2   sql_explsnap_yes
       parameter ( sql_explsnap_yes        = 1 )

* Explain snapshot saved for all static and dynamic statements
       integer*2   sql_explsnap_all
       parameter ( sql_explsnap_all        = 2 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_FUNCTION_PATH
       integer*2   sql_max_funcpath
       parameter ( sql_max_funcpath        = 254 )


* Values used for option[n].val when option[n].type is SQL_SQLWARN_OPT
* Suppress prepare-time warning SQLCODEs
       integer*2   sql_sqlwarn_no
       parameter ( sql_sqlwarn_no          = 0 )

* Permit prepare-time warning SQLCODEs
       integer*2   sql_sqlwarn_yes
       parameter ( sql_sqlwarn_yes         = 1 )


* Values used for option[n].val when option[n].type is SQL_QUERYOPT_OPT
* Class 0 query optimization
       integer*2   sql_queryopt_0
       parameter ( sql_queryopt_0          = 0 )

* Class 1 query optimization
       integer*2   sql_queryopt_1
       parameter ( sql_queryopt_1          = 1 )

* Class 2 query optimization
       integer*2   sql_queryopt_2
       parameter ( sql_queryopt_2          = 2 )

* Class 3 query optimization
       integer*2   sql_queryopt_3
       parameter ( sql_queryopt_3          = 3 )

* Class 5 query optimization
       integer*2   sql_queryopt_5
       parameter ( sql_queryopt_5          = 5 )

* Class 7 query optimization
       integer*2   sql_queryopt_7
       parameter ( sql_queryopt_7          = 7 )

* Class 9 query optimization
       integer*2   sql_queryopt_9
       parameter ( sql_queryopt_9          = 9 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQL_TARGET_OPT
       integer*2   sql_max_target_len
       parameter ( sql_max_target_len      = 32 )


* Values used for option[n].val when option[n].type is SQL_RESOLVE_OPT
* Conservative binding semantics are not used
       integer*2   sql_resolve_any
       parameter ( sql_resolve_any         = 0 )

* Conservative binding semantics are used
       integer*2   sql_resolve_conservative
       parameter ( sql_resolve_conservative = 1 )


* Values used for option[n].val when option[n].type is SQL_FEDERATED_OPT
* Federated systems are not supported
       integer*2   sql_federated_no
       parameter ( sql_federated_no        = 0 )

* Federated systems are supported
       integer*2   sql_federated_yes
       parameter ( sql_federated_yes       = 1 )

* Values used for option[n].val when option[n].type is SQL_PSM_OPT
* PSM no
       integer*2   sql_psm_no
       parameter ( sql_psm_no              = 0 )

* PSM yes
       integer*2   sql_psm_yes
       parameter ( sql_psm_yes             = 1 )


* Values used for option[n].val when option[n].type is SQL_LONGERROR_OPT.
* Do not generate errors for the use of long host variable declarations
       integer*2   sql_longerror_no
       parameter ( sql_longerror_no        = 0 )

* Generate errors for the use of long host variable declarations
       integer*2   sql_longerror_yes
       parameter ( sql_longerror_yes       = 1 )


* Values used for option[n].val when option[n].type is SQL_DECTYPE_OPT.
* Decimal type not converted 
       integer*2   sql_dectype_noconvert
       parameter ( sql_dectype_noconvert   = 0 )

* Decimal type converted 
       integer*2   sql_dectype_convert
       parameter ( sql_dectype_convert     = 1 )


* Binder Interface Parameters/Return Codes

* Generic Interfaces to the Binder and Precompiler

* Bind
       integer*4    sqlgbndx
       external     sqlgbndx


* Rebind
       integer*4    sqlgrbnd
       external     sqlgrbnd


* Precompile Program
       integer*4    sqlgprep
       external     sqlgprep


* Application Context apis

* serial access
       integer*2   sql_ctx_original
       parameter ( sql_ctx_original        = 0 )

* concurrent access
       integer*2   sql_ctx_multi_manual
       parameter ( sql_ctx_multi_manual    = 1 )

* create & attach
       integer*2   sql_ctx_begin_all
       parameter ( sql_ctx_begin_all       = 0 )

* create only
       integer*2   sql_ctx_create_only
       parameter ( sql_ctx_create_only     = 1 )

* detach & free
       integer*2   sql_ctx_end_all
       parameter ( sql_ctx_end_all         = 0 )

* free only
       integer*2   sql_ctx_free_only
       parameter ( sql_ctx_free_only       = 1 )

* Error/SQLSTATE Message Retrieval Interface Parameters/Return Codes

* Generic Interface to Error Message Retrieval
* Get Error Message
       integer*4    sqlgintp
       external     sqlgintp


* Generic Interface to SQLSTATE Message Retrieval
* Sqlstate Message Retrieval
       integer*4    sqlggstt
       external     sqlggstt


* Return Codes for sqlaintp/sqlogstt
* insufficient memory for msg file
       integer*2   sqla_err_badcc
       parameter ( sqla_err_badcc          = -1 )

* no error code in SQLCA
       integer*2   sqla_err_nocod
       parameter ( sqla_err_nocod          = -2 )

* message file inaccessible or incorrect
       integer*2   sqla_err_nomsg
       parameter ( sqla_err_nomsg          = -3 )

* specified line length negative
       integer*2   sqla_err_badll
       parameter ( sqla_err_badll          = -4 )

* invalid sqlca/buffer addr/length
       integer*2   sqla_err_badca
       parameter ( sqla_err_badca          = -5 )


* Administrative/Database Authorizations returned from Get Administrative
* Authorizations function
* Authorizations granted explicitly to user
* SYSADM Authority
       integer*2   sql_sysadm
       parameter ( sql_sysadm              = '1'x )

* DBADM Authority
       integer*2   sql_dbadm
       parameter ( sql_dbadm               = '2'x )

* CREATETAB Privilege
       integer*2   sql_createtab
       parameter ( sql_createtab           = '4'x )

* BINDADD Privilege
       integer*2   sql_bindadd
       parameter ( sql_bindadd             = '8'x )

* CONNECT Privilege
       integer*2   sql_connect
       parameter ( sql_connect             = '10'x )

* CREATE_NOT_FENCED Privilege
       integer*2   sql_create_not_fenc
       parameter ( sql_create_not_fenc     = '20'x )

* SYSCTRL Authority
       integer*2   sql_sysctrl
       parameter ( sql_sysctrl             = '40'x )

* SYSMAINT Authority
       integer*2   sql_sysmaint
       parameter ( sql_sysmaint            = '80'x )

* IMPLICIT_SCHEMA Privilege
       integer*4   sql_implicit_schema
       parameter ( sql_implicit_schema     = '10000'x )

* LOAD Privilege
       integer*4   sql_load
       parameter ( sql_load                = '20000'x )


* Composite of authorizations granted explicitly to user, to groups of which
* user is a member, and to PUBLIC
       integer*2   sql_sysadm_grp
       parameter ( sql_sysadm_grp          = 256 )

       integer*2   sql_dbadm_grp
       parameter ( sql_dbadm_grp           = 512 )

       integer*2   sql_createtab_grp
       parameter ( sql_createtab_grp       = 1024 )

       integer*2   sql_bindadd_grp
       parameter ( sql_bindadd_grp         = 2048 )

       integer*2   sql_connect_grp
       parameter ( sql_connect_grp         = 4096 )

       integer*2   sql_create_not_fenc_grp
       parameter ( sql_create_not_fenc_grp = 8192 )

       integer*2   sql_sysctrl_grp
       parameter ( sql_sysctrl_grp         = 16384 )

       integer*4   sql_sysmaint_grp
       parameter ( sql_sysmaint_grp        = 32768 )

       integer*4   sql_implicit_schema_grp
       parameter ( sql_implicit_schema_grp = 16777216 )

       integer*4   sql_load_grp
       parameter ( sql_load_grp            = 33554432 )


* Table/View Authorizations/Dependencies Bit definitions in
* SYSTABAUTH.TABAUTH and SYSPLANDEP.TABAUTH
* Control Authority
       integer*2   sql_tab_ctl
       parameter ( sql_tab_ctl             = '1'x )

* Alter Privilege
       integer*2   sql_tab_alt
       parameter ( sql_tab_alt             = '2'x )

* Delete Privilege/Dependency
       integer*2   sql_tab_del
       parameter ( sql_tab_del             = '4'x )

* Index Privilege
       integer*2   sql_tab_idx
       parameter ( sql_tab_idx             = '8'x )

* Insert Privilege/Dependency
       integer*2   sql_tab_ins
       parameter ( sql_tab_ins             = '10'x )

* Select Privilege/Dependency
       integer*2   sql_tab_sel
       parameter ( sql_tab_sel             = '20'x )

* Update Privilege/Dependency
       integer*2   sql_tab_upd
       parameter ( sql_tab_upd             = '40'x )

* Reference Privilege
       integer*2   sql_tab_ref
       parameter ( sql_tab_ref             = '80'x )

* Key Dependency
       integer*2   sql_tab_key
       parameter ( sql_tab_key             = '2000'x )

* Cascade Dependency
       integer*2   sql_tab_cas
       parameter ( sql_tab_cas             = '4000'x )


* Bit definitions for SYSTABAUTH.TABAUTH indicating the specified table or
* view privilege is grantable.
* Alter Privilege Grantable
       integer*2   sql_tab_alt_g
       parameter ( sql_tab_alt_g           = '200'x )

* Delete Privilege Grantable
       integer*2   sql_tab_del_g
       parameter ( sql_tab_del_g           = '400'x )

* Index Privilege Grantable
       integer*2   sql_tab_idx_g
       parameter ( sql_tab_idx_g           = '800'x )

* Insert Privilege Grantable
       integer*2   sql_tab_ins_g
       parameter ( sql_tab_ins_g           = '1000'x )

* Select Privilege Grantable
       integer*2   sql_tab_sel_g
       parameter ( sql_tab_sel_g           = '2000'x )

* Update Privilege Grantable
       integer*2   sql_tab_upd_g
       parameter ( sql_tab_upd_g           = '4000'x )

* References Privilege Grantable
       integer*4   sql_tab_ref_g
       parameter ( sql_tab_ref_g           = '8000'x )


* Definitions for application remote interface
* Unload Progam
       integer*2   sqlz_disconnect_proc
       parameter ( sqlz_disconnect_proc    = 1 )

* Keep program loaded
       integer*2   sqlz_hold_proc
       parameter ( sqlz_hold_proc          = 2 )

*******************************************************************************
*  
*  The following functions and symbols are obsolete and may not be
*  supported in future releases. The obsolete functions are provided
*  for backward compatibility and exported from DB2API.LIB. All 
*  applications should be migrated to use new APIs.
********************************************************************************
* Invalid password
       integer*2   sqla_rc_bad_passwd
       parameter ( sqla_rc_bad_passwd      = -4 )

* Maximum statements (see SQL reference)
       integer*2   sql_maxstmts
       parameter ( sql_maxstmts            = 32767 )

* Maximum host variables per precompile unit (see SQL reference)
       integer*2   sql_maxvars
       parameter ( sql_maxvars             = 32767 )

