*******************************************************************************
*  
*  Source File Name: SQLAPREP
*  
*  (C) COPYRIGHT International Business Machines Corp. 1988, 1997
*  All Rights Reserved
*  Licensed Materials - Property of IBM
*  
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*  
*  Function = Include File defining:
*               Global equates, structures, and prototypes for
*               Precompiler and Runtime Command Interfaces
*  
*  Operating System = LINUX
*  
********************************************************************************
* Values used for option[n].type, an input parameter of SQLAINIT.
* Option: date/time format
       integer*2   sqla_format
       parameter ( sqla_format             = 1 )

* Option: access plan creation
       integer*2   sqla_access_plan
       parameter ( sqla_access_plan        = 2 )

* Option: bind file creation
       integer*2   sqla_bind_file
       parameter ( sqla_bind_file          = 3 )

* Option: isolation level
       integer*2   sqla_isolation
       parameter ( sqla_isolation          = 4 )

* Option: record blocking
       integer*2   sqla_block
       parameter ( sqla_block              = 5 )

* Flagger option
       integer*2   sqla_flag_opt
       parameter ( sqla_flag_opt           = 8 )

* Option: standards compliance
       integer*2   sqla_stds_level
       parameter ( sqla_stds_level         = 7 )

* C NULL required option
       integer*2   sqla_cnulreqd_opt
       parameter ( sqla_cnulreqd_opt       = 11 )

* Generic option
       integer*2   sqla_generic_opt
       parameter ( sqla_generic_opt        = 12 )

* Option for Deferred Prepare
       integer*2   sqla_deferred_prepare_opt
       parameter ( sqla_deferred_prepare_opt = 15 )

* Level of a module
       integer*2   sqla_level_opt
       parameter ( sqla_level_opt          = 30 )

* Package collection id
       integer*2   sqla_collection_opt
       parameter ( sqla_collection_opt     = 31 )

* Package version id
       integer*2   sqla_version_opt
       parameter ( sqla_version_opt        = 32 )

* Package owner auth id
       integer*2   sqla_owner_opt
       parameter ( sqla_owner_opt          = 33 )

* Synonym for owner
       integer*2   sqla_schema_opt
       parameter ( sqla_schema_opt         = 33 )

* Authorization identifier that is to be used as qualifier for unqualified
* objects
       integer*2   sqla_qualifier_opt
       parameter ( sqla_qualifier_opt      = 34 )

* Synonym for qualifier.
       integer*2   sqla_catalog_opt
       parameter ( sqla_catalog_opt        = 34 )

* Package description
       integer*2   sqla_text_opt
       parameter ( sqla_text_opt           = 35 )

* Indicates when object validation occurs
       integer*2   sqla_validate_opt
       parameter ( sqla_validate_opt       = 40 )

* Determines whether information will be produced about how the SQL
* statements in a package will be executed
       integer*2   sqla_explain_opt
       parameter ( sqla_explain_opt        = 41 )

* Indicates whether a package is to be added or replaced
       integer*2   sqla_action_opt
       parameter ( sqla_action_opt         = 42 )

* Indicates under what conditions a package will be created
       integer*2   sqla_sqlerror_opt
       parameter ( sqla_sqlerror_opt       = 25 )

* Replaces a specific version of a package
       integer*2   sqla_replver_opt
       parameter ( sqla_replver_opt        = 44 )

* Indicates whether EXECUTE authorities are to be preserved when a package
* is replaced
       integer*2   sqla_retain_opt
       parameter ( sqla_retain_opt         = 45 )

* Indicates whether resources are released at each COMMIT or when the
* application terminates
       integer*2   sqla_release_opt
       parameter ( sqla_release_opt        = 46 )

* Specifies whether or not the query is executed using I/O parallelism
       integer*2   sqla_degree_opt
       parameter ( sqla_degree_opt         = 47 )

* Designates whether an apostrophe or quote will be used as a string
* delimiter
       integer*2   sqla_strdel_opt
       parameter ( sqla_strdel_opt         = 50 )

* Designates whether a period or comma will be used as a decimal point
* indicator
       integer*2   sqla_decdel_opt
       parameter ( sqla_decdel_opt         = 51 )

* Designates default character subtype that is to be used for column
* definitions in the CREATE and ALTER TABLE SQL statements
       integer*2   sqla_charsub_opt
       parameter ( sqla_charsub_opt        = 55 )

* Designates what CCSID will be used for single byte characters for
* character column definitions without a specific CCSID clause in the CREATE
* and ALTER TABLE SQL statements
       integer*2   sqla_ccsids_opt
       parameter ( sqla_ccsids_opt         = 56 )

* Designates what CCSID will be used for mixed byte characters for character
* column definitions without a specific CCSID clause in the CREATE and ALTER
* TABLE SQL statements
       integer*2   sqla_ccsidm_opt
       parameter ( sqla_ccsidm_opt         = 57 )

* Designates what CCSID will be used for double byte characters for
* character column definitions without a specific CCSID clause in the CREATE
* and ALTER TABLE SQL statements
       integer*2   sqla_ccsidg_opt
       parameter ( sqla_ccsidg_opt         = 58 )

* Specifies the maximum precision to be used in decimal arithmetic
* operations
       integer*2   sqla_dec_opt
       parameter ( sqla_dec_opt            = 59 )

* Specifies whether one or multiple connections can exist at the same time.
       integer*2   sqla_connect_opt
       parameter ( sqla_connect_opt        = 16 )

* Specifies the set of rules used for connection to multiple databases
* within a single unit of work
       integer*2   sqla_sqlrules_opt
       parameter ( sqla_sqlrules_opt       = 17 )

* Specifies which databases disconnected when a COMMIT or ROLLBACK is
* issued.
       integer*2   sqla_disconnect_opt
       parameter ( sqla_disconnect_opt     = 18 )

* Specifies what syncpoint option (for example one or two phase) will be
* used.
       integer*2   sqla_syncpoint_opt
       parameter ( sqla_syncpoint_opt      = 19 )

* Specifies which authorization identifier to use when dynamic SQL in a
* package is executed.
       integer*2   sqla_dynamicrules_opt
       parameter ( sqla_dynamicrules_opt   = 61 )

* Buffers VALUE inserts - bind and precompile option for DB2/PE servers only
       integer*2   sqla_insert
       parameter ( sqla_insert             = 62 )

* Capture explain snapshot - bind and precompile option
       integer*2   sqla_explsnap_opt
       parameter ( sqla_explsnap_opt       = 63 )

* Path for user-defined function resolution - bind and precompile option
       integer*2   sqla_function_path
       parameter ( sqla_function_path      = 64 )

* Disable prepare-time SQL warnings - bind and precompile option
       integer*2   sqla_sqlwarn_opt
       parameter ( sqla_sqlwarn_opt        = 65 )

* Set query optimization class -bind and precompile option
       integer*2   sqla_queryopt_opt
       parameter ( sqla_queryopt_opt       = 66 )

* Target compiler -precompile option
       integer*2   sqla_target_opt
       parameter ( sqla_target_opt         = 67 )

* Name of precompiler output file - precompile option
       integer*2   sqla_prep_output_opt
       parameter ( sqla_prep_output_opt    = 68 )

* Internal use only
       integer*2   sqla_token_use_initialized_opt
       parameter ( sqla_token_use_initialized_opt = 1000 )

* Internal use only
       integer*2   sqla_use_long_labels
       parameter ( sqla_use_long_labels    = 1001 )


* Values used for option[n].val when option[n].type is SQLA_FORMAT in
* the Precompiler Option Array.
* Default date/time format
       integer*2   sqla_poa_def
       parameter ( sqla_poa_def            = 0 )

* USA date/time format
       integer*2   sqla_poa_usa
       parameter ( sqla_poa_usa            = 1 )

* European date/time format
       integer*2   sqla_poa_eur
       parameter ( sqla_poa_eur            = 2 )

* International date/time format
       integer*2   sqla_poa_iso
       parameter ( sqla_poa_iso            = 3 )

* Japanese date/time format
       integer*2   sqla_poa_jis
       parameter ( sqla_poa_jis            = 4 )

* Local date/time format
       integer*2   sqla_poa_loc
       parameter ( sqla_poa_loc            = 5 )


* Values used for option[n].val when option[n].type is SQLA_ACCESS_PLAN in
* the Precompiler Option Array.
* Create an access plan
       integer*2   sqla_create_plan
       parameter ( sqla_create_plan        = 1 )

* Do not create an access plan
       integer*2   sqla_no_plan
       parameter ( sqla_no_plan            = 0 )

* Set ocb->syntax to TRUE
       integer*2   sqla_no_plan_syntax
       parameter ( sqla_no_plan_syntax     = 3 )


* Values used for option[n].val when option[n].type is SQLA_BIND_FILE in
* the Precompiler Option Array.
* Create a bind file
       integer*2   sqla_create_bind_file
       parameter ( sqla_create_bind_file   = 1 )

* Do not create a bind file
       integer*2   sqla_no_bind_file
       parameter ( sqla_no_bind_file       = 0 )


* Values used for option[n].val when option[n].type is SQLA_ISOLATION in
* the Precompiler Option Array.
* RR isolation level
       integer*2   sqla_repeatable_read
       parameter ( sqla_repeatable_read    = 0 )

* CS Isolation level
       integer*2   sqla_cursor_stability
       parameter ( sqla_cursor_stability   = 1 )

* UR Isolation level
       integer*2   sqla_uncommitted_read
       parameter ( sqla_uncommitted_read   = 2 )

* RS Isolation level
       integer*2   sqla_read_stability
       parameter ( sqla_read_stability     = 3 )

* NC Isolation level
       integer*2   sqla_no_commit
       parameter ( sqla_no_commit          = 4 )


* Values used for option[n].val when option[n].type is SQLA_BLOCK in
* the Precompiler Option Array.
       integer*2   sqla_block_unambig
       parameter ( sqla_block_unambig      = 0 )

       integer*2   sqla_block_all
       parameter ( sqla_block_all          = 1 )

       integer*2   sqla_no_block
       parameter ( sqla_no_block           = 2 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQLA_LEVEL_OPT
       integer*2   sqla_max_level
       parameter ( sqla_max_level          = 8 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQLA_COLLECTION_OPT
       integer*2   sqla_max_collection
       parameter ( sqla_max_collection     = 30 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQLA_VERSION_OPT
       integer*2   sqla_max_version
       parameter ( sqla_max_version        = 254 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQLA_OWNER_OPT
       integer*2   sqla_max_owner
       parameter ( sqla_max_owner          = 30 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQLA_SCHEMA_OPT
       integer*2   sqla_max_schema
       parameter ( sqla_max_schema         = 30 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQLA_QUALIFIER_OPT
       integer*2   sqla_max_qualifier
       parameter ( sqla_max_qualifier      = 30 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQLA_CATALOG_OPT
       integer*2   sqla_max_catalog
       parameter ( sqla_max_catalog        = 30 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQLA_TEXT_OPT
       integer*2   sqla_max_text
       parameter ( sqla_max_text           = 255 )


* Values used for option[n].val when option[n].type is SQLA_VALIDATE_OPT.
* Validate objects during BIND
       integer*2   sqla_validate_bind
       parameter ( sqla_validate_bind      = 0 )

* Validate objects during execution
       integer*2   sqla_validate_run
       parameter ( sqla_validate_run       = 1 )


* Values used for option[n].val when option[n].type is SQLA_EXPLAIN_OPT.
* No EXPLAIN output produced
       integer*2   sqla_explain_no
       parameter ( sqla_explain_no         = 0 )

* EXPLAIN output produced
       integer*2   sqla_explain_yes
       parameter ( sqla_explain_yes        = 1 )

* EXPLAIN output produced for all static and dynamic statements.
       integer*2   sqla_explain_all
       parameter ( sqla_explain_all        = 2 )


* Values used for option[n].val when option[n].type is SQLA_ACTION_OPT.
* Package is added
       integer*2   sqla_action_add
       parameter ( sqla_action_add         = 0 )

* Package is replaced
       integer*2   sqla_action_replace
       parameter ( sqla_action_replace     = 1 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQLA_REPLVER_OPT
       integer*2   sqla_max_replver
       parameter ( sqla_max_replver        = 254 )


* Values used for option[n].val when option[n].type is SQLA_SQLERROR_OPT.
* Do not create a package if errors are encountered
       integer*2   sqla_sqlerror_nopackage
       parameter ( sqla_sqlerror_nopackage = 0 )

* Do not create a package
       integer*2   sqla_sqlerror_check
       parameter ( sqla_sqlerror_check     = 1 )

* Create a package even if errors are encountered
       integer*2   sqla_sqlerror_continue
       parameter ( sqla_sqlerror_continue  = 2 )


* Values used for option[n].val when option[n].type is SQLA_RETAIN_OPT.
* Do not preserve EXECUTE authorities when a package is replaced
       integer*2   sqla_retain_no
       parameter ( sqla_retain_no          = 0 )

* Preserve EXECUTE authorities when a package is replaced
       integer*2   sqla_retain_yes
       parameter ( sqla_retain_yes         = 1 )


* Values used for option[n].val when option[n].type is SQLA_RELEASE_OPT.
* Release resources at COMMIT
       integer*2   sqla_release_commit
       parameter ( sqla_release_commit     = 0 )

* Release resources when a program terminates
       integer*2   sqla_release_deallocate
       parameter ( sqla_release_deallocate = 1 )


* Values used for option[n].val when option[n].type is SQLA_STRDEL_OPT.
* Apostrophe string delimiter
       integer*2   sqla_strdel_apostrophe
       parameter ( sqla_strdel_apostrophe  = 0 )

* Quote string delimiter
       integer*2   sqla_strdel_quote
       parameter ( sqla_strdel_quote       = 1 )


* Values used for option[n].val when option[n].type is SQLA_DECDEL_OPT.
* Period is used as a decimal point indicator in decimal and floating point
* literals
       integer*2   sqla_decdel_period
       parameter ( sqla_decdel_period      = 0 )

* Comma is used as a decimal point indicator in decimal and floating point
* literals
       integer*2   sqla_decdel_comma
       parameter ( sqla_decdel_comma       = 1 )


* Values used for option[n].val when option[n].type is SQLA_CHARSUB_OPT.
* Use the target system defined default for all new character columns for
* which an explicit subtype is not specified
       integer*2   sqla_charsub_default
       parameter ( sqla_charsub_default    = 0 )

* Use the bit character subtype for all new character columns for which an
* explicit subtype is not specified
       integer*2   sqla_charsub_bit
       parameter ( sqla_charsub_bit        = 1 )

* Use the SBCS character subtype for all new character columns for which an
* explicit subtype is not specified
       integer*2   sqla_charsub_sbcs
       parameter ( sqla_charsub_sbcs       = 2 )

* Use the mixed character subtype for all new character columns for which an
* explicit subtype is not specified
       integer*2   sqla_charsub_mixed
       parameter ( sqla_charsub_mixed      = 3 )


* Values used for option[n].val when option[n].type is SQLA_DEC_OPT.
* 15 bit precision is used in decimal arithmetic operations
       integer*2   sqla_dec_15
       parameter ( sqla_dec_15             = 15 )

* 31 bit precision is used in decimal arithmetic operations
       integer*2   sqla_dec_31
       parameter ( sqla_dec_31             = 31 )


* Values used for option[n].val when option[n].type is SQLA_DEGREE_OPT.
* Prohibits parallel I/O operations
       integer*2   sqla_degree_1
       parameter ( sqla_degree_1           = 1 )

* Allows the target database system to determine the degree of parallel I/O
* operations
       integer*2   sqla_degree_any
       parameter ( sqla_degree_any         = 0 )

* Maximum value
       integer*2   sqla_max_degree_val
       parameter ( sqla_max_degree_val     = 32767 )


* Values used for option[n].val when option[n].type is SQLA_CNULREQD_OPT in
* the Precompiler Option array
* C NULL is not required
       integer*2   sqla_cnulreqd_no
       parameter ( sqla_cnulreqd_no        = 0 )

* C NULL is not required
       integer*2   sqla_cnulreqd_yes
       parameter ( sqla_cnulreqd_yes       = 1 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQLA_GENERIC_OPT
       integer*2   sqla_max_generic
       parameter ( sqla_max_generic        = 1023 )


* Values used for option[n].val when option[n].type is
* SQLA_DEFERRED_PREPARE_OPT.
* Enable Deferred Prepare except for a PREPARE...INTO statement which
* contains parameter markers.
       integer*2   sqla_deferred_prepare_yes
       parameter ( sqla_deferred_prepare_yes = 1 )

* Disable Deferred Prepare
       integer*2   sqla_deferred_prepare_no
       parameter ( sqla_deferred_prepare_no = 2 )

* Same as YES except that a PREPARE...INTO which contains parameter markers
* will also be deferred
       integer*2   sqla_deferred_prepare_all
       parameter ( sqla_deferred_prepare_all = 3 )


* Values used for option[n].val when option[n].type is SQLA_CONNECT_OPT.
* Indicates that only one connection to a database can exist at any given
* time.
       integer*2   sqla_connect_1
       parameter ( sqla_connect_1          = 1 )

* Indicates that multiple connections can exist simultaneously, with one
* being active and the others dormant.
       integer*2   sqla_connect_2
       parameter ( sqla_connect_2          = 2 )


* Values used for option[n].val when option[n].type is SQLA_RULES_OPT.
* Indicates that CONNECT TO can be used to make a dormant connection the
* current connection.
       integer*2   sqla_rules_db2
       parameter ( sqla_rules_db2          = 1 )

* Indicates that CONNECT TO is not valid for making a dormant connection
* current,and SET CONNECTION must be used instead.
       integer*2   sqla_rules_std
       parameter ( sqla_rules_std          = 2 )

* Values used for option[n].val when option[n].type is SQLA_DISCONNECT_OPT.
* Indicates that all connections marked by the RELEASE statement will be the
* only connections released when a COMMIT or ROLLBACK is issued.
       integer*2   sqla_disconnect_expl
       parameter ( sqla_disconnect_expl    = 1 )

* Indicates that all connections which don't have open WITH HOLD cursors
* will be the only connections released when a COMMIT or ROLLBACK is issued.
       integer*2   sqla_disconnect_cond
       parameter ( sqla_disconnect_cond    = 2 )

* Indicates that all connections will be released when a COMMIT or ROLLBACK
* is issued.
       integer*2   sqla_disconnect_auto
       parameter ( sqla_disconnect_auto    = 3 )


* Values used for option[n].val when option[n].type is SQLA_SYNCPOINT_OPT.
* Do not use a transaction manager to perform two phase commit,but enforce
* that there is only one database is updated when multiple databases are
* accessed within a single transaction.
       integer*2   sqla_sync_onephase
       parameter ( sqla_sync_onephase      = 1 )

* Use a transaction manager to coordinate two phase commit.
       integer*2   sqla_sync_twophase
       parameter ( sqla_sync_twophase      = 2 )

* No two-phase commit and no single updater enforcement.
       integer*2   sqla_sync_none
       parameter ( sqla_sync_none          = 0 )


* Values used for option[n].val when option[n].type is
* SQLA_DYNAMICRULES_OPT.
* Dynamic SQL in package will use authid of person running the package
       integer*2   sqla_dynamicrules_run
       parameter ( sqla_dynamicrules_run   = 0 )

* Dynamic SQL in package will use authid of person who owns the package
       integer*2   sqla_dynamicrules_bind
       parameter ( sqla_dynamicrules_bind  = 1 )

* Dynamic SQL in UDF or stored procedure will use authid of invoker of UDF
* or stored procedure
       integer*2   sqla_dynamicrules_invoke
       parameter ( sqla_dynamicrules_invoke = 2 )

* Dynamic SQL in UDF or stored procedure will use authid of definer of UDF
* or stored procedure
       integer*2   sqla_dynamicrules_define
       parameter ( sqla_dynamicrules_define = 3 )


* Values used for option[n].val when option[n].type is SQLA_FLAG_OPT inthe
* Precompiler Option Array.
       integer*2   sqla_db2v23_syntax
       parameter ( sqla_db2v23_syntax      = 4 )

       integer*2   sqla_db2v31_syntax
       parameter ( sqla_db2v31_syntax      = 5 )

       integer*2   sqla_db2v41_syntax
       parameter ( sqla_db2v41_syntax      = 6 )

       integer*2   sqla_fips_syntax
       parameter ( sqla_fips_syntax        = 7 )


* Values used for option[n].val when option[n].type is SQLA_EXPLSNAP_OPT in
* the Precompiler Option array
* Do not save explain snapshot
       integer*2   sqla_explsnap_no
       parameter ( sqla_explsnap_no        = 0 )

* Save explain snapshot
       integer*2   sqla_explsnap_yes
       parameter ( sqla_explsnap_yes       = 1 )

* Save explain snapshot for all static and dynamic statements
       integer*2   sqla_explsnap_all
       parameter ( sqla_explsnap_all       = 2 )


* Maximum sqlchar length for option[n].val when option[n].type is
* SQLA_FUNCTION_PATH
       integer*2   sqla_max_funcpath
       parameter ( sqla_max_funcpath       = 254 )


* Values used for option[n].val when option[n].type is SQLA_SQLWARN_OPT in
* the Precompiler Option array
* Suppress prepare-time warning SQLCODEs
       integer*2   sqla_sqlwarn_no
       parameter ( sqla_sqlwarn_no         = 0 )

* Permit prepare-time warning SQLCODEs
       integer*2   sqla_sqlwarn_yes
       parameter ( sqla_sqlwarn_yes        = 1 )


* Values used for option[n].val when option[n].type is SQLA_QUERYOPT_OPT in
* the Precompiler Option array
* Class 0 query optimization
       integer*2   sqla_queryopt_0
       parameter ( sqla_queryopt_0         = 0 )

* Class 1 query optimization
       integer*2   sqla_queryopt_1
       parameter ( sqla_queryopt_1         = 1 )

* Class 2 query optimization
       integer*2   sqla_queryopt_2
       parameter ( sqla_queryopt_2         = 2 )

* Class 3 query optimization
       integer*2   sqla_queryopt_3
       parameter ( sqla_queryopt_3         = 3 )

* Class 5 query optimization
       integer*2   sqla_queryopt_5
       parameter ( sqla_queryopt_5         = 5 )

* Class 7 query optimization
       integer*2   sqla_queryopt_7
       parameter ( sqla_queryopt_7         = 7 )

* Class 9 query optimization
       integer*2   sqla_queryopt_9
       parameter ( sqla_queryopt_9         = 9 )


* Values used for option[n].val when option[n].type is SQLA_INSERT_OPT
* Do not buffer VALUE inserts
       integer*2   sqla_insert_def
       parameter ( sqla_insert_def         = 0 )

* Buffer VALUE inserts
       integer*2   sqla_insert_buf
       parameter ( sqla_insert_buf         = 1 )


* Maximum target string length in option[n].val when option[n].type is
* SQLA_TARGET_OPT
       integer*2   sqla_max_target_len
       parameter ( sqla_max_target_len     = 32 )


* Values used for option[n].val when option[n].type is SQLA_STDS_LEVEL inthe
* Precompiler Option Array.
* No compliance required
       integer*2   sqla_stnd_none
       parameter ( sqla_stnd_none          = 0 )

* Comply with MIA standard
       integer*2   sqla_stnd_mia
       parameter ( sqla_stnd_mia           = 1 )

* Comply with SQL92E standard
       integer*2   sqla_stnd_sql92e
       parameter ( sqla_stnd_sql92e        = 2 )


* Values used for location, an input parameter of SQLAAHVR.
* Add host var found in a declare section
       integer*2   sqla_declare_sect
       parameter ( sqla_declare_sect       = 0 )

* Add host var found in an SQL statement
       integer*2   sqla_sql_stmt
       parameter ( sqla_sql_stmt           = 1 )


* Values assigned to task[n].func, an output parameter of SQLACMPL.
* Generate a call to sqlastrt
       integer*2   sqla_start
       parameter ( sqla_start              = 0 )

* Begin or end parsing hvar declarations
       integer*2   sqla_declare
       parameter ( sqla_declare            = 1 )

* Generate code for an SQLCA or SQLDA
       integer*2   sqla_include
       parameter ( sqla_include            = 2 )

* Allocate an input SQLDA using SQLAALOC
       integer*2   sqla_alloc_input
       parameter ( sqla_alloc_input        = 3 )

* Allocate an output SQLDA using SQLAALOC
       integer*2   sqla_alloc_output
       parameter ( sqla_alloc_output       = 4 )

* Register a host variable using SQLASETS
       integer*2   sqla_sets
       parameter ( sqla_sets               = 5 )

* Register an input user-defined SQLDA
       integer*2   sqla_usda_input
       parameter ( sqla_usda_input         = 6 )

* Register an output user-defined SQLDA
       integer*2   sqla_usda_output
       parameter ( sqla_usda_output        = 7 )

* Generate a call to SQLACALL
       integer*2   sqla_call
       parameter ( sqla_call               = 8 )

* Generate a call to SQLADLOC
       integer*2   sqla_dealloc
       parameter ( sqla_dealloc            = 9 )

* Generate a call to SQLASTOP
       integer*2   sqla_stop
       parameter ( sqla_stop               = 10 )

* Generate code for WHENEVER SQLERROR
       integer*2   sqla_sqlerror
       parameter ( sqla_sqlerror           = 11 )

* Generate code for WHENEVER SQLWARNING
       integer*2   sqla_sqlwarning
       parameter ( sqla_sqlwarning         = 12 )

* Generate code for WHENEVER NOT_FOUND
       integer*2   sqla_not_found
       parameter ( sqla_not_found          = 13 )

* Process an INCLUDE text-file stmt
       integer*2   sqla_inc_textfile
       parameter ( sqla_inc_textfile       = 14 )

* Begin Compound SQL block
       integer*2   sqla_begin_compound
       parameter ( sqla_begin_compound     = 15 )

* Generate a call to SQLACMPD
       integer*2   sqla_cmpd
       parameter ( sqla_cmpd               = 16 )

* Generate a conditional branch around subsequent Compound SQL
* substatements.
       integer*2   sqla_cmpd_test
       parameter ( sqla_cmpd_test          = 17 )

* Generate a target label for gotos from cmpd_test (optional)
       integer*2   sqla_cmpd_mark
       parameter ( sqla_cmpd_mark          = 18 )

* Request the outer precompiler to get the next triggered SQL statement
       integer*2   sqla_next_substatement
       parameter ( sqla_next_substatement  = 19 )

* Generate code to copy SQLCODE/SQLSTATE
       integer*2   sqla_sqlcode_copy
       parameter ( sqla_sqlcode_copy       = 20 )

* Request the outer precompiler to get the next stored procedure SQL
* statement
       integer*2   sqla_next_storedproc_stmt
       parameter ( sqla_next_storedproc_stmt = 21 )

* Generate code for ASSOCIATE LOCATOR 
       integer*2   sqla_associate_locator
       parameter ( sqla_associate_locator  = 22 )

* Save last called procedure informationor generate code for ASSOCIATE
* LOCATOR referring to the last called procedure
       integer*2   sqla_associate_prev_proc
       parameter ( sqla_associate_prev_proc = 23 )

* Generate code for ALLOCATE CURSOR
       integer*2   sqla_allocate_cursor
       parameter ( sqla_allocate_cursor    = 24 )


* Values returned in task[n].val when task[n].func is SQLA_DECLARE.
* This is an output parameter of SQLACMPL.
       integer*2   sqla_begin
       parameter ( sqla_begin              = 0 )

       integer*2   sqla_end
       parameter ( sqla_end                = 1 )


* Values returned in task[n].val when task[n].func is SQLA_INCLUDE.
* This is an output parameter of SQLACMPL.
       integer*2   sqla_sqlca
       parameter ( sqla_sqlca              = 10 )

       integer*2   sqla_sqlda
       parameter ( sqla_sqlda              = 11 )


* Values returned in task[n].val when task[n].func is SQLA_CALL.
* This is an output parameter of SQLACMPL.
       integer*2   sqla_close
       parameter ( sqla_close              = 20 )

       integer*2   sqla_commit
       parameter ( sqla_commit             = 21 )

       integer*2   sqla_describe
       parameter ( sqla_describe           = 22 )

       integer*2   sqla_execimmd
       parameter ( sqla_execimmd           = 23 )

       integer*2   sqla_execute
       parameter ( sqla_execute            = 24 )

       integer*2   sqla_fetch
       parameter ( sqla_fetch              = 25 )

       integer*2   sqla_open
       parameter ( sqla_open               = 26 )

       integer*2   sqla_prepare
       parameter ( sqla_prepare            = 27 )

       integer*2   sqla_rollback
       parameter ( sqla_rollback           = 28 )

       integer*2   sqla_connect
       parameter ( sqla_connect            = 29 )

* Atomic Compound SQL call
       integer*2   sqla_cmpdexec
       parameter ( sqla_cmpdexec           = 30 )

* SQL free locators call
       integer*2   sqla_free_lob_locators
       parameter ( sqla_free_lob_locators  = 37 )

* Not Atomic Compound SQL call
       integer*2   sqla_cmpdexec_na
       parameter ( sqla_cmpdexec_na        = 38 )

       integer*2   sqla_duow
       parameter ( sqla_duow               = 40 )

* Close Cursor with Release
       integer*2   sqla_close_rel
       parameter ( sqla_close_rel          = 41 )

* Stored Procedure SQL call
       integer*2   sqla_callproc
       parameter ( sqla_callproc           = 42 )

* Set Current Packageset
       integer*2   sqla_set_current_pkgset
       parameter ( sqla_set_current_pkgset = 43 )

       integer*2   sqla_execimmd_async
       parameter ( sqla_execimmd_async     = 44 )

       integer*2   sqla_execute_async
       parameter ( sqla_execute_async      = 45 )

       integer*2   sqla_fetch_async
       parameter ( sqla_fetch_async        = 46 )

       integer*2   sqla_open_async
       parameter ( sqla_open_async         = 47 )

       integer*2   sqla_callproc_async
       parameter ( sqla_callproc_async     = 48 )

       integer*2   sqla_cmpdexec_async
       parameter ( sqla_cmpdexec_async     = 49 )

       integer*2   sqla_describe_async
       parameter ( sqla_describe_async     = 50 )

       integer*2   sqla_prepare_async
       parameter ( sqla_prepare_async      = 51 )

       integer*2   sqla_execimmd_async_commit
       parameter ( sqla_execimmd_async_commit = 52 )

       integer*2   sqla_execute_async_commit
       parameter ( sqla_execute_async_commit = 53 )

       integer*2   sqla_cmpdexec_async_commit
       parameter ( sqla_cmpdexec_async_commit = 54 )

       integer*2   sqla_execimmd_commit
       parameter ( sqla_execimmd_commit    = 55 )

       integer*2   sqla_execute_commit
       parameter ( sqla_execute_commit     = 56 )

       integer*2   sqla_cmpdexec_commit
       parameter ( sqla_cmpdexec_commit    = 57 )

       integer*2   sqla_cmpdexec_na_async
       parameter ( sqla_cmpdexec_na_async  = 58 )

       integer*2   sqla_cmpdexec_na_commit
       parameter ( sqla_cmpdexec_na_commit = 59 )

       integer*2   sqla_cmpdexec_na_diag
       parameter ( sqla_cmpdexec_na_diag   = 60 )

       integer*2   sqla_cmpdexec_na_async_commit
       parameter ( sqla_cmpdexec_na_async_commit = 61 )

       integer*2   sqla_cmpdexec_na_async_diag
       parameter ( sqla_cmpdexec_na_async_diag = 62 )

       integer*2   sqla_cmpdexec_na_commit_diag
       parameter ( sqla_cmpdexec_na_commit_diag = 63 )

       integer*2   sqla_cmpdexec_na_a_c_d
       parameter ( sqla_cmpdexec_na_a_c_d  = 64 )

       integer*2   sqla_close_open
       parameter ( sqla_close_open         = 65 )

       integer*2   sqla_close_open_async
       parameter ( sqla_close_open_async   = 66 )

       integer*2   sqla_closerel_open_async
       parameter ( sqla_closerel_open_async = 67 )

       integer*2   sqla_closerel_open
       parameter ( sqla_closerel_open      = 68 )

       integer*2   sqla_setoption
       parameter ( sqla_setoption          = 69 )

       integer*2   sqla_describe_cursor
       parameter ( sqla_describe_cursor    = 70 )

       integer*2   sqla_describe_cursor_async
       parameter ( sqla_describe_cursor_async = 71 )

       integer*2   sqla_arrayinput
       parameter ( sqla_arrayinput         = 72 )

       integer*2   sqla_arrayinput_async
       parameter ( sqla_arrayinput_async   = 73 )

       integer*2   sqla_getinfo
       parameter ( sqla_getinfo            = 74 )

       integer*2   sqla_open_with_return
       parameter ( sqla_open_with_return   = 75 )

       integer*2   sqla_open_with_return_to_client
       parameter ( sqla_open_with_return_to_client = 76 )


* Values returned in task[n].val when task[n].func is SQLA_SQLCODE_COPY.
* This is an output parameter of SQLACMPL.
* Copy SQLCODE and/or SQLSTATE
       integer*2   sqla_sqlcode
       parameter ( sqla_sqlcode            = 1 )

* Copy PREP errors
       integer*2   sqla_sqlcode_prep_error
       parameter ( sqla_sqlcode_prep_error = 2 )


* Values assigned to token[n].use, an output parameter of SQLACMPL.
* Input host var, no indicator var
       integer*2   sqla_input_hvar
       parameter ( sqla_input_hvar         = 0 )

* Input host var followed by indicator var
       integer*2   sqla_input_with_ind
       parameter ( sqla_input_with_ind     = 1 )

* Output host var, no indicator var
       integer*2   sqla_output_hvar
       parameter ( sqla_output_hvar        = 2 )

* Output host var followed by indicator var
       integer*2   sqla_output_with_ind
       parameter ( sqla_output_with_ind    = 3 )

* Indicator variable
       integer*2   sqla_indicator
       parameter ( sqla_indicator          = 4 )

* SQLDA structure
       integer*2   sqla_user_sqlda
       parameter ( sqla_user_sqlda         = 5 )

* Host variable type does not match use
       integer*2   sqla_invalid_use
       parameter ( sqla_invalid_use        = 6 )

* Host variable token ID is not valid
       integer*2   sqla_invalid_id
       parameter ( sqla_invalid_id         = 7 )

* Literal string
       integer*2   sqla_literal
       parameter ( sqla_literal            = 8 )

* Host var was one of several fields expanded from a structure reference
       integer*2   sqla_multiple_struct_field
       parameter ( sqla_multiple_struct_field = 9 )

* Host var was either atomic or a single field from a structure reference
       integer*2   sqla_atomic_field
       parameter ( sqla_atomic_field       = 10 )


* Values assigned to stmt_type, an output parameter of SQLACMPL.
       integer*2   sqla_type_null_connect
       parameter ( sqla_type_null_connect  = 0 )

       integer*2   sqla_type_conn_excl_no_pwd
       parameter ( sqla_type_conn_excl_no_pwd = 1 )

       integer*2   sqla_type_conn_excl_pwd
       parameter ( sqla_type_conn_excl_pwd = 2 )

       integer*2   sqla_type_conn_excl_no_pwd_sn
       parameter ( sqla_type_conn_excl_no_pwd_sn = 91 )

       integer*2   sqla_type_conn_excl_pwd_sn
       parameter ( sqla_type_conn_excl_pwd_sn = 92 )

       integer*2   sqla_type_connect_reset
       parameter ( sqla_type_connect_reset = 3 )

       integer*2   sqla_type_conn_share_no_pwd
       parameter ( sqla_type_conn_share_no_pwd = 4 )

       integer*2   sqla_type_conn_share_pwd
       parameter ( sqla_type_conn_share_pwd = 5 )

       integer*2   sqla_type_connect_userid
       parameter ( sqla_type_connect_userid = 6 )

       integer*2   sqla_type_begin
       parameter ( sqla_type_begin         = 10 )

       integer*2   sqla_type_begin_compound
       parameter ( sqla_type_begin_compound = 12 )

       integer*2   sqla_type_callproc
       parameter ( sqla_type_callproc      = 13 )

       integer*2   sqla_type_close
       parameter ( sqla_type_close         = 15 )

       integer*2   sqla_type_commit
       parameter ( sqla_type_commit        = 20 )

       integer*2   sqla_type_connect_1
       parameter ( sqla_type_connect_1     = 21 )

       integer*2   sqla_type_connect_2
       parameter ( sqla_type_connect_2     = 22 )

       integer*2   sqla_type_disconnect_dbname
       parameter ( sqla_type_disconnect_dbname = 23 )

       integer*2   sqla_type_disconnect_current
       parameter ( sqla_type_disconnect_current = 24 )

       integer*2   sqla_type_disconnect_all
       parameter ( sqla_type_disconnect_all = 25 )

       integer*2   sqla_type_release_dbname
       parameter ( sqla_type_release_dbname = 26 )

       integer*2   sqla_type_release_current
       parameter ( sqla_type_release_current = 27 )

       integer*2   sqla_type_release_all
       parameter ( sqla_type_release_all   = 28 )

       integer*2   sqla_type_set_connection
       parameter ( sqla_type_set_connection = 29 )

       integer*2   sqla_type_declare_select
       parameter ( sqla_type_declare_select = 30 )

       integer*2   sqla_type_declare_sname
       parameter ( sqla_type_declare_sname = 40 )

       integer*2   sqla_type_allocate_cursor
       parameter ( sqla_type_allocate_cursor = 45 )

       integer*2   sqla_type_describe
       parameter ( sqla_type_describe      = 50 )

       integer*2   sqla_type_describe_cursor
       parameter ( sqla_type_describe_cursor = 55 )

       integer*2   sqla_type_end
       parameter ( sqla_type_end           = 60 )

       integer*2   sqla_type_end_compound
       parameter ( sqla_type_end_compound  = 65 )

       integer*2   sqla_type_execute
       parameter ( sqla_type_execute       = 70 )

       integer*2   sqla_type_execute_imm
       parameter ( sqla_type_execute_imm   = 80 )

       integer*2   sqla_type_fetch
       parameter ( sqla_type_fetch         = 90 )

       integer*2   sqla_type_free_lob_locator
       parameter ( sqla_type_free_lob_locator = 95 )

       integer*2   sqla_type_include_sqlca
       parameter ( sqla_type_include_sqlca = 100 )

       integer*2   sqla_type_include_sqlda
       parameter ( sqla_type_include_sqlda = 110 )

       integer*2   sqla_type_include_textfile
       parameter ( sqla_type_include_textfile = 115 )

       integer*2   sqla_type_open
       parameter ( sqla_type_open          = 120 )

       integer*2   sqla_type_prepare
       parameter ( sqla_type_prepare       = 130 )

       integer*2   sqla_type_rollback
       parameter ( sqla_type_rollback      = 140 )

       integer*2   sqla_type_select
       parameter ( sqla_type_select        = 150 )

       integer*2   sqla_type_select_into
       parameter ( sqla_type_select_into   = 160 )

       integer*2   sqla_type_set_current_pkgset
       parameter ( sqla_type_set_current_pkgset = 163 )

       integer*2   sqla_type_when_not_found
       parameter ( sqla_type_when_not_found = 170 )

       integer*2   sqla_type_when_sqlerror
       parameter ( sqla_type_when_sqlerror = 180 )

       integer*2   sqla_type_when_sqlwarning
       parameter ( sqla_type_when_sqlwarning = 190 )

       integer*2   sqla_type_other
       parameter ( sqla_type_other         = 200 )


* Values used for term_option, an input parameter of SQLAFINI.
* Save the access plan and/or bind file
       integer*2   sqla_save
       parameter ( sqla_save               = 1 )

* Discard the access plan and/or bind file
       integer*2   sqla_discard
       parameter ( sqla_discard            = 0 )


* Miscellaneous Constants

* size of SQLAINIT file name buffer
       integer*2   sql_max_file_name_length
       parameter ( sql_max_file_name_length = 128 )


* size of SQLACMPL output buffers
       integer*2   sql_cmpl_bufsiz
       parameter ( sql_cmpl_bufsiz         = 256 )

* length of precompiler pid for V6.1 or earlier
       integer*2   sql_pid_length_v610
       parameter ( sql_pid_length_v610     = 40 )

* length of precompiler pid
       integer*2   sql_pid_length
       parameter ( sql_pid_length          = 162 )

* minimum length of precompiler pid
       integer*2   sql_min_pid_length
       parameter ( sql_min_pid_length      = 34 )

* Message array length same as SQLH_MAXMSGS
       integer*2   sqla_flag_maxmsgs
       parameter ( sqla_flag_maxmsgs       = 10 )

* Current SQL Flagger version
       integer*2   sqla_flag_version
       parameter ( sqla_flag_version       = 1 )


* Return codes from Precompiler Services and Runtime Services functions.
* sqlca pointer/length invalid
       integer*2   sqla_sqlca_bad
       parameter ( sqla_sqlca_bad          = -1 )

* check sqlca completion status
       integer*2   sqla_check_sqlca
       parameter ( sqla_check_sqlca        = 0 )


* Values returned in sqlca.sqlcode by Precompiler or Runtime Services
       integer*2   sqla_rc_ok
       parameter ( sqla_rc_ok              = 0 )

       integer*2   sqla_rc_option_ignored
       parameter ( sqla_rc_option_ignored  = 20 )

       integer*2   sqla_rc_char_bad
       parameter ( sqla_rc_char_bad        = -7 )

       integer*2   sqla_rc_string_not_terminated
       parameter ( sqla_rc_string_not_terminated = -10 )

       integer*2   sqla_rc_empty_del_ident
       parameter ( sqla_rc_empty_del_ident = -13 )

       integer*2   sqla_rc_bfile_open_error
       parameter ( sqla_rc_bfile_open_error = -31 )

       integer*2   sqla_rc_bfile_disk_error
       parameter ( sqla_rc_bfile_disk_error = -32 )

       integer*2   sqla_rc_section_limit
       parameter ( sqla_rc_section_limit   = -51 )

       integer*2   sqla_rc_memory_bad
       parameter ( sqla_rc_memory_bad      = -83 )

       integer*2   sqla_rc_sname_dup
       parameter ( sqla_rc_sname_dup       = -85 )

       integer*2   sqla_rc_no_struct
       parameter ( sqla_rc_no_struct       = -87 )

       integer*2   sqla_rc_ambig_hostvar
       parameter ( sqla_rc_ambig_hostvar   = -88 )

       integer*2   sqla_rc_stmt_limit
       parameter ( sqla_rc_stmt_limit      = -101 )

       integer*2   sqla_rc_number_bad
       parameter ( sqla_rc_number_bad      = -103 )

       integer*2   sqla_rc_stmt_syntax_bad
       parameter ( sqla_rc_stmt_syntax_bad = -104 )

* DBCS only
       integer*2   sqla_rc_gstring_bad
       parameter ( sqla_rc_gstring_bad     = -105 )

       integer*2   sqla_rc_identifier_limit
       parameter ( sqla_rc_identifier_limit = -107 )

       integer*2   sqla_rc_qualifier_bad
       parameter ( sqla_rc_qualifier_bad   = -108 )

       integer*2   sqla_rc_ddsbad
       parameter ( sqla_rc_ddsbad          = -142 )

       integer*2   sqla_rc_ddsign
       parameter ( sqla_rc_ddsign          = 143 )

       integer*2   sqla_rc_ddswrn
       parameter ( sqla_rc_ddswrn          = 143 )

       integer*2   sqla_rc_stmt_ignored
       parameter ( sqla_rc_stmt_ignored    = 143 )

       integer*2   sqla_rc_keyword_bad
       parameter ( sqla_rc_keyword_bad     = -199 )

       integer*2   sqla_rc_hvar_not_dec
       parameter ( sqla_rc_hvar_not_dec    = -306 )

       integer*2   sqla_rc_hvar_dup_name
       parameter ( sqla_rc_hvar_dup_name   = -307 )

       integer*2   sqla_rc_hvar_limit
       parameter ( sqla_rc_hvar_limit      = -308 )

       integer*2   sqla_rc_stmt_hvar_limit
       parameter ( sqla_rc_stmt_hvar_limit = -310 )

       integer*2   sqla_rc_hvar_use_bad
       parameter ( sqla_rc_hvar_use_bad    = -324 )

       integer*2   sqla_rc_cursor_dup
       parameter ( sqla_rc_cursor_dup      = -505 )

       integer*2   sqla_rc_stmt_modify_all
       parameter ( sqla_rc_stmt_modify_all = 513 )

       integer*2   sqla_rc_invalid_trigger_stmt
       parameter ( sqla_rc_invalid_trigger_stmt = -797 )

       integer*2   sqla_rc_sqlda_sqld_err
       parameter ( sqla_rc_sqlda_sqld_err  = -804 )

       integer*2   sqla_rc_sqlvar_type_err
       parameter ( sqla_rc_sqlvar_type_err = -804 )

       integer*2   sqla_rc_disk_full
       parameter ( sqla_rc_disk_full       = -968 )

       integer*2   sqla_rc_node_failure
       parameter ( sqla_rc_node_failure    = -1229 )

       integer*2   sqla_rc_cmpd_nested
       parameter ( sqla_rc_cmpd_nested     = -4010 )

       integer*2   sqla_rc_cmpd_invalid_stmt
       parameter ( sqla_rc_cmpd_invalid_stmt = -4011 )

       integer*2   sqla_rc_cmpd_invalid_commit
       parameter ( sqla_rc_cmpd_invalid_commit = -4012 )

       integer*2   sqla_rc_cmpd_invalid_end
       parameter ( sqla_rc_cmpd_invalid_end = -4013 )

       integer*2   sqla_rc_invalid_cmpd_syntax
       parameter ( sqla_rc_invalid_cmpd_syntax = -4014 )

       integer*2   sqla_rc_fatal_error
       parameter ( sqla_rc_fatal_error     = -4901 )

       integer*2   sqla_rc_parm_chars_bad
       parameter ( sqla_rc_parm_chars_bad  = -4902 )

       integer*2   sqla_rc_parm_length_bad
       parameter ( sqla_rc_parm_length_bad = -4903 )

       integer*2   sqla_rc_parm_pointer_bad
       parameter ( sqla_rc_parm_pointer_bad = -4904 )

       integer*2   sqla_rc_parm_range_bad
       parameter ( sqla_rc_parm_range_bad  = -4905 )

       integer*2   sqla_rc_hvar_sqltype_bad
       parameter ( sqla_rc_hvar_sqltype_bad = -4911 )

       integer*2   sqla_rc_hvar_sqllen_bad
       parameter ( sqla_rc_hvar_sqllen_bad = -4912 )

       integer*2   sqla_rc_hvar_token_id_dup
       parameter ( sqla_rc_hvar_token_id_dup = -4913 )

       integer*2   sqla_rc_hvar_token_id_bad
       parameter ( sqla_rc_hvar_token_id_bad = -4914 )

       integer*2   sqla_rc_init_dup
       parameter ( sqla_rc_init_dup        = -4915 )

       integer*2   sqla_rc_init_required
       parameter ( sqla_rc_init_required   = -4916 )

       integer*2   sqla_rc_option_bad
       parameter ( sqla_rc_option_bad      = -4917 )

       integer*2   sqla_rc_term_option_bad
       parameter ( sqla_rc_term_option_bad = -4918 )

       integer*2   sqla_rc_task_array_limit
       parameter ( sqla_rc_task_array_limit = -4919 )

       integer*2   sqla_rc_token_array_limit
       parameter ( sqla_rc_token_array_limit = -4920 )

       integer*2   sqla_rc_option_gen_invalid
       parameter ( sqla_rc_option_gen_invalid = -4930 )

* Prep version of -109
       integer*2   sqla_rc_stmt_clause_bad
       parameter ( sqla_rc_stmt_clause_bad = -4940 )

* Prep version of -198
       integer*2   sqla_rc_stmt_blank
       parameter ( sqla_rc_stmt_blank      = -4941 )

* Prep version of -303
       integer*2   sqla_rc_select_hvar_type_bad
       parameter ( sqla_rc_select_hvar_type_bad = -4942 )

* Prep version of -313
       integer*2   sqla_rc_select_list_bad
       parameter ( sqla_rc_select_list_bad = 4943 )

* Prep version of -407
       integer*2   sqla_rc_column_not_nullable
       parameter ( sqla_rc_column_not_nullable = -4944 )

* Prep version of -418
       integer*2   sqla_rc_stmt_marker_bad
       parameter ( sqla_rc_stmt_marker_bad = -4945 )

* Prep version of -504
       integer*2   sqla_rc_cursor_not_declared
       parameter ( sqla_rc_cursor_not_declared = -4946 )

       integer*2   sqla_rc_no_userda_in_cmpd
       parameter ( sqla_rc_no_userda_in_cmpd = -4950 )

       integer*2   sqla_rc_sqlda_id_bad
       parameter ( sqla_rc_sqlda_id_bad    = -4951 )

       integer*2   sqla_rc_sqlvar_index_bad
       parameter ( sqla_rc_sqlvar_index_bad = -4952 )

       integer*2   sqla_rc_call_type_bad
       parameter ( sqla_rc_call_type_bad   = -4953 )

       integer*2   sqla_rc_section_bad
       parameter ( sqla_rc_section_bad     = -4954 )


* Temporary value used in sqlca.sqlcode after an SQLAALOC function. Runtime
* code can check sqlca.sqlcode to determine whether or not the SQLASETV
* function needs to be called to initialize the sqlda sqlvar elements.
* sqlvars already initialized
       integer*2   sqla_rc_sqlvars_set
       parameter ( sqla_rc_sqlvars_set     = 4959 )


* Errors that cause Precompiler Services to enter the fatal error state.
* After encountering one of these types of errors, Precompiler Services
* requires an SQLAFINI and SQLAINIT call before it will continue.

       integer*2   sqla_rc_inv_insert
       parameter ( sqla_rc_inv_insert      = -803 )

       integer*2   sqla_rc_inv_sqlda_adr
       parameter ( sqla_rc_inv_sqlda_adr   = -822 )

       integer*2   sqla_rc_sys_error
       parameter ( sqla_rc_sys_error       = -902 )

       integer*2   sqla_rc_deadlock_err
       parameter ( sqla_rc_deadlock_err    = -911 )

       integer*2   sqla_rc_fat_sys_err
       parameter ( sqla_rc_fat_sys_err     = -912 )

       integer*2   sqla_rc_too_many_lks
       parameter ( sqla_rc_too_many_lks    = -930 )

       integer*2   sqla_rc_storage_err
       parameter ( sqla_rc_storage_err     = -954 )

       integer*2   sqla_rc_db_heap_err
       parameter ( sqla_rc_db_heap_err     = -956 )

       integer*2   sqla_rc_toomany_ofls
       parameter ( sqla_rc_toomany_ofls    = -958 )

       integer*2   sqla_rc_toomany_files
       parameter ( sqla_rc_toomany_files   = -960 )

       integer*2   sqla_rc_log_full
       parameter ( sqla_rc_log_full        = -964 )

       integer*2   sqla_rc_file_sys_full
       parameter ( sqla_rc_file_sys_full   = -968 )

       integer*2   sqla_rc_read_only_fil
       parameter ( sqla_rc_read_only_fil   = -970 )


       integer*2   sqla_rc_incorrect_dsk
       parameter ( sqla_rc_incorrect_dsk   = -972 )

       integer*2   sqla_rc_db_drv_locked
       parameter ( sqla_rc_db_drv_locked   = -974 )

       integer*2   sqla_rc_drv_door_open
       parameter ( sqla_rc_drv_door_open   = -976 )

       integer*2   sqla_rc_disk_wrt_pro
       parameter ( sqla_rc_disk_wrt_pro    = -978 )

       integer*2   sqla_rc_filesystem_access
       parameter ( sqla_rc_filesystem_access = -10019 )


       integer*2   sqla_rc_disk_error
       parameter ( sqla_rc_disk_error      = -980 )

       integer*2   sqla_rc_disk_err
       parameter ( sqla_rc_disk_err        = -982 )

       integer*2   sqla_rc_comm_rb_err
       parameter ( sqla_rc_comm_rb_err     = -984 )

       integer*2   sqla_rc_cat_file_err
       parameter ( sqla_rc_cat_file_err    = -985 )

       integer*2   sqla_rc_tab_file_err
       parameter ( sqla_rc_tab_file_err    = -986 )

       integer*2   sqla_rc_index_err
       parameter ( sqla_rc_index_err       = -990 )

       integer*2   sqla_rc_rel_num_bad
       parameter ( sqla_rc_rel_num_bad     = -992 )

       integer*2   sqla_rc_agent_gone
       parameter ( sqla_rc_agent_gone      = -1224 )

* Prep version of -952
       integer*2   sqla_rc_ctrl_break
       parameter ( sqla_rc_ctrl_break      = -4994 )

* Country info not found
       integer*2   sqla_rc_codepage_bad
       parameter ( sqla_rc_codepage_bad    = -4995 )

* Prep version of -1046
       integer*2   sqla_rc_sqluser_bad
       parameter ( sqla_rc_sqluser_bad     = -4997 )

* Prep version of -1049
       integer*2   sqla_rc_db_disconnected
       parameter ( sqla_rc_db_disconnected = -4998 )

* Precompiler Services err
       integer*2   sqla_rc_internal_err
       parameter ( sqla_rc_internal_err    = -4999 )


*******************************************************************************
*  Target API constants for sqlaopts()
********************************************************************************
* Precompiler Services API (sqlainit)
       integer*2   sqlao_prep_svcs_api
       parameter ( sqlao_prep_svcs_api     = 0 )



* Program ID.  Used by Precompiler Services and Runtime Services
       integer*2   sqla_program_id_v610_struct_sz
       parameter ( sqla_program_id_v610_struct_sz = 40 )

       integer*2   sqla_program_id_v610_length_sz
       parameter ( sqla_program_id_v610_length_sz = 2 )

       integer*2   sqla_program_id_v610_length_ofs
       parameter ( sqla_program_id_v610_length_ofs = 1 )

       integer*2   sqla_program_id_v610_rp_rel_num_sz
       parameter ( sqla_program_id_v610_rp_rel_num_sz = 2 )

       integer*2   sqla_program_id_v610_rp_rel_num_ofs
       parameter ( sqla_program_id_v610_rp_rel_num_ofs = 3 )

       integer*2   sqla_program_id_v610_db_rel_num_sz
       parameter ( sqla_program_id_v610_db_rel_num_sz = 2 )

       integer*2   sqla_program_id_v610_db_rel_num_ofs
       parameter ( sqla_program_id_v610_db_rel_num_ofs = 5 )

       integer*2   sqla_program_id_v610_bf_rel_num_sz
       parameter ( sqla_program_id_v610_bf_rel_num_sz = 2 )

       integer*2   sqla_program_id_v610_bf_rel_num_ofs
       parameter ( sqla_program_id_v610_bf_rel_num_ofs = 7 )

       integer*2   sqla_program_id_v610_sqluser_sz
       parameter ( sqla_program_id_v610_sqluser_sz = 8 )

       integer*2   sqla_program_id_v610_sqluser_ofs
       parameter ( sqla_program_id_v610_sqluser_ofs = 9 )

       integer*2   sqla_program_id_v610_planname_sz
       parameter ( sqla_program_id_v610_planname_sz = 8 )

       integer*2   sqla_program_id_v610_planname_ofs
       parameter ( sqla_program_id_v610_planname_ofs = 17 )

       integer*2   sqla_program_id_v610_contoken_sz
       parameter ( sqla_program_id_v610_contoken_sz = 8 )

       integer*2   sqla_program_id_v610_contoken_ofs
       parameter ( sqla_program_id_v610_contoken_ofs = 25 )

       integer*2   sqla_program_id_v610_buffer_sz
       parameter ( sqla_program_id_v610_buffer_sz = 8 )

       integer*2   sqla_program_id_v610_buffer_ofs
       parameter ( sqla_program_id_v610_buffer_ofs = 33 )


       integer*2   sqla_program_id_v70_struct_sz
       parameter ( sqla_program_id_v70_struct_sz = 162 )

       integer*2   sqla_program_id_v70_length_sz
       parameter ( sqla_program_id_v70_length_sz = 2 )

       integer*2   sqla_program_id_v70_length_ofs
       parameter ( sqla_program_id_v70_length_ofs = 1 )

       integer*2   sqla_program_id_v70_rp_rel_num_sz
       parameter ( sqla_program_id_v70_rp_rel_num_sz = 2 )

       integer*2   sqla_program_id_v70_rp_rel_num_ofs
       parameter ( sqla_program_id_v70_rp_rel_num_ofs = 3 )

       integer*2   sqla_program_id_v70_db_rel_num_sz
       parameter ( sqla_program_id_v70_db_rel_num_sz = 2 )

       integer*2   sqla_program_id_v70_db_rel_num_ofs
       parameter ( sqla_program_id_v70_db_rel_num_ofs = 5 )

       integer*2   sqla_program_id_v70_bf_rel_num_sz
       parameter ( sqla_program_id_v70_bf_rel_num_sz = 2 )

       integer*2   sqla_program_id_v70_bf_rel_num_ofs
       parameter ( sqla_program_id_v70_bf_rel_num_ofs = 7 )

       integer*2   sqla_program_id_v70_sqluser_len_sz
       parameter ( sqla_program_id_v70_sqluser_len_sz = 2 )

       integer*2   sqla_program_id_v70_sqluser_len_ofs
       parameter ( sqla_program_id_v70_sqluser_len_ofs = 9 )

       integer*2   sqla_program_id_v70_sqluser_sz
       parameter ( sqla_program_id_v70_sqluser_sz = 128 )

       integer*2   sqla_program_id_v70_sqluser_ofs
       parameter ( sqla_program_id_v70_sqluser_ofs = 11 )

       integer*2   sqla_program_id_v70_planname_sz
       parameter ( sqla_program_id_v70_planname_sz = 8 )

       integer*2   sqla_program_id_v70_planname_ofs
       parameter ( sqla_program_id_v70_planname_ofs = 139 )

       integer*2   sqla_program_id_v70_contoken_sz
       parameter ( sqla_program_id_v70_contoken_sz = 8 )

       integer*2   sqla_program_id_v70_contoken_ofs
       parameter ( sqla_program_id_v70_contoken_ofs = 147 )

       integer*2   sqla_program_id_v70_buffer_sz
       parameter ( sqla_program_id_v70_buffer_sz = 8 )

       integer*2   sqla_program_id_v70_buffer_ofs
       parameter ( sqla_program_id_v70_buffer_ofs = 155 )


       integer*2   sqla_program_id_struct_sz
       parameter ( sqla_program_id_struct_sz = 162 )

       integer*2   sqla_program_id_length_sz
       parameter ( sqla_program_id_length_sz = 2 )

       integer*2   sqla_program_id_length_ofs
       parameter ( sqla_program_id_length_ofs = 1 )

       integer*2   sqla_program_id_rp_rel_num_sz
       parameter ( sqla_program_id_rp_rel_num_sz = 2 )

       integer*2   sqla_program_id_rp_rel_num_ofs
       parameter ( sqla_program_id_rp_rel_num_ofs = 3 )

       integer*2   sqla_program_id_db_rel_num_sz
       parameter ( sqla_program_id_db_rel_num_sz = 2 )

       integer*2   sqla_program_id_db_rel_num_ofs
       parameter ( sqla_program_id_db_rel_num_ofs = 5 )

       integer*2   sqla_program_id_bf_rel_num_sz
       parameter ( sqla_program_id_bf_rel_num_sz = 2 )

       integer*2   sqla_program_id_bf_rel_num_ofs
       parameter ( sqla_program_id_bf_rel_num_ofs = 7 )

       integer*2   sqla_program_id_planname_sz
       parameter ( sqla_program_id_planname_sz = 8 )

       integer*2   sqla_program_id_planname_ofs
       parameter ( sqla_program_id_planname_ofs = 9 )

       integer*2   sqla_program_id_contoken_sz
       parameter ( sqla_program_id_contoken_sz = 8 )

       integer*2   sqla_program_id_contoken_ofs
       parameter ( sqla_program_id_contoken_ofs = 17 )

       integer*2   sqla_program_id_buffer_sz
       parameter ( sqla_program_id_buffer_sz = 8 )

       integer*2   sqla_program_id_buffer_ofs
       parameter ( sqla_program_id_buffer_ofs = 25 )

       integer*2   sqla_program_id_sqluser_len_sz
       parameter ( sqla_program_id_sqluser_len_sz = 2 )

       integer*2   sqla_program_id_sqluser_len_ofs
       parameter ( sqla_program_id_sqluser_len_ofs = 33 )

       integer*2   sqla_program_id_sqluser_sz
       parameter ( sqla_program_id_sqluser_sz = 128 )

       integer*2   sqla_program_id_sqluser_ofs
       parameter ( sqla_program_id_sqluser_ofs = 35 )


* Indexes into the buffer field, showing the information it provides
       integer*2   sqla_pgmid_std
       parameter ( sqla_pgmid_std          = 1 )

       integer*2   sqla_pgmid_connect
       parameter ( sqla_pgmid_connect      = 2 )

       integer*2   sqla_pgmid_sqlrules
       parameter ( sqla_pgmid_sqlrules     = 3 )

       integer*2   sqla_pgmid_disconnect
       parameter ( sqla_pgmid_disconnect   = 4 )

       integer*2   sqla_pgmid_syncpoint
       parameter ( sqla_pgmid_syncpoint    = 5 )

       integer*2   sqla_pgmid_deferred_prepare
       parameter ( sqla_pgmid_deferred_prepare = 6 )

       integer*2   sqla_int_to_ascii_diff
       parameter ( sqla_int_to_ascii_diff  = 48 )


* Number of DUOW connection options
       integer*2   sqla_pgmid_connopts
       parameter ( sqla_pgmid_connopts     = 4 )


* Size of SQL flagger structure
       integer*2   sqla_flaginfo_struct_sz
       parameter ( sqla_flaginfo_struct_sz = 1368 )

       integer*2   sqla_flaginfo_version_sz
       parameter ( sqla_flaginfo_version_sz = 2 )

       integer*2   sqla_flaginfo_version_ofs
       parameter ( sqla_flaginfo_version_ofs = 1 )

       integer*2   sqla_flaginfo_msgs_count_size
       parameter ( sqla_flaginfo_msgs_count_size = 2 )

* Offset of count within sqla_flaginfo structure
       integer*2   sqla_flaginfo_msgs_count_ofs
       parameter ( sqla_flaginfo_msgs_count_ofs = 5 )

       integer*2   sqla_flaginfo_msgs_sqlca_size
       parameter ( sqla_flaginfo_msgs_sqlca_size = 1360 )

* Offset of sqlca array within sqla_flaginfo structure
       integer*2   sqla_flaginfo_msgs_sqlca_ofs
       parameter ( sqla_flaginfo_msgs_sqlca_ofs = 9 )

* Generic Precompiler Services Prototypes

* NOTE: sqlgahvr has been obsoleted in favor of sqlgalhv.  sqlgahvr will be
* unavailable in future releases.
* Add a host variable declaration (obsolete)
       integer*4    sqlgahvr
       external     sqlgahvr


* Add a host variable declaration
       integer*4    sqlgalhv
       external     sqlgalhv


* Compile an sql statement
       integer*4    sqlgcmpl
       external     sqlgcmpl


* Terminate an access plan
       integer*4    sqlgfini
       external     sqlgfini


* Initialize an access plan
       integer*4    sqlginit
       external     sqlginit


* Generic Runtime Services Prototypes

*******************************************************************************
*  NOTE: sqlgopts has been obsoleted in favor of sqlgoptions.  sqlgopts will
*   be unavailable in future releases.
********************************************************************************
* Parse an option string and produce an option array
       integer*4    sqlgopts
       external     sqlgopts


*******************************************************************************
*  NOTE: sqlgopts_free has been obsoleted in favor of sqlgoptions_free.
*   sqlgopts will be unavailable in future releases.
********************************************************************************

* Frees any memory allocated by sqlgopts
       integer*4    sqlgopts_free
       external     sqlgopts_free


* Parse an option string and produce an option array
       integer*4    sqlgoptions
       external     sqlgoptions


* Frees any memory allocated by sqlgoptions
       integer*4    sqlgoptions_free
       external     sqlgoptions_free


