*******************************************************************************
*  
*  Source File Name: SQLENV
*  
*  (C) COPYRIGHT International Business Machines Corp. 1987, 1997
*  All Rights Reserved
*  Licensed Materials - Property of IBM
*  
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*  
*  Function = Include File defining:
*               Environment Commands - Constants
*               Environment Commands - Structures
*               Environment Commands - Function Prototypes
*               Environment Commands - Labels for SQLCODES
*  
*  Operating System:LINUX
*  
********************************************************************************
* Interface Parameters/Structures/Return Codes

* Parameters for START USING DATABASE
* USE = Share
       character*1   sql_use_shr
       parameter (   sql_use_shr           = 'S' )

* USE = Exclusive
       character*1   sql_use_exc
       parameter (   sql_use_exc           = 'X' )

* USE = Exclusive on Single Node
       character*1   sql_use_exc_sn
       parameter (   sql_use_exc_sn        = 'N' )


* Sizes for entries in sqledinfo, sqleninfo, sqledbstat, sqleusrstat,
* sql_dir_entry, sqle_reg_nwbindery
* Alias name
       integer*2   sql_alias_sz
       parameter ( sql_alias_sz            = 8 )

* User Id
       integer*2   sql_userid_sz
       parameter ( sql_userid_sz           = 30 )

* Max User Id Size
       integer*2   sql_max_userid_sz
       parameter ( sql_max_userid_sz       = 1024 )

* Auth Id
       integer*2   sql_authid_sz
       parameter ( sql_authid_sz           = 30 )

* Database name
       integer*2   sql_dbname_sz
       parameter ( sql_dbname_sz           = 8 )


* Drive (Qualified) - OS/2
       integer*2   sql_drive_sz_db2os2
       parameter ( sql_drive_sz_db2os2     = 2 )

* Drive (Qualified) - Windows
       integer*2   sql_drive_sz_db2dos
       parameter ( sql_drive_sz_db2dos     = 2 )

* Drive (Qualified) - NT
       integer*2   sql_drive_sz_db2wint
       parameter ( sql_drive_sz_db2wint    = 12 )

* Path (Qualified) - AIX/UNIX
       integer*2   sql_drive_sz_db2aix
       parameter ( sql_drive_sz_db2aix     = 215 )

       integer*2   sql_drive_sz
       parameter ( sql_drive_sz            = 215 )


* Internal db name
       integer*2   sql_iname_sz
       parameter ( sql_iname_sz            = 8 )

* Node name
       integer*2   sql_nname_sz
       parameter ( sql_nname_sz            = 8 )

* Instance Name
       integer*2   sql_instname_sz
       parameter ( sql_instname_sz         = 8 )

* Type of database
       integer*2   sql_dbtyp_sz
       parameter ( sql_dbtyp_sz            = 20 )

* Comment
       integer*2   sql_cmt_sz
       parameter ( sql_cmt_sz              = 30 )

* Local_lu
       integer*2   sql_loclu_sz
       parameter ( sql_loclu_sz            = 8 )

* Partner_lu
       integer*2   sql_rmtlu_sz
       parameter ( sql_rmtlu_sz            = 8 )

* Mode
       integer*2   sql_mode_sz
       parameter ( sql_mode_sz             = 8 )

* length of tpname
       integer*2   sql_tpname_sz
       parameter ( sql_tpname_sz           = 64 )

* Reserved
       integer*2   sql_nreserve_sz
       parameter ( sql_nreserve_sz         = 0 )

* Alias name
       integer*2   sql_dbstat_alias_sz
       parameter ( sql_dbstat_alias_sz     = 16 )

* Database name
       integer*2   sql_dbstat_dbname_sz
       parameter ( sql_dbstat_dbname_sz    = 16 )

* Host database name
       integer*2   sql_long_name_sz
       parameter ( sql_long_name_sz        = 18 )

* collating sequence
       integer*2   sql_cs_sz
       parameter ( sql_cs_sz               = 256 )

* Parameter string
       integer*2   sql_parameter_sz
       parameter ( sql_parameter_sz        = 512 )

* Network ID
       integer*2   sql_netid_sz
       parameter ( sql_netid_sz            = 8 )

* Maximum Path size
       integer*2   sql_path_sz
       parameter ( sql_path_sz             = 1024 )

* Host Name
       integer*2   sql_hostname_sz
       parameter ( sql_hostname_sz         = 255 )

* Computer Name
       integer*2   sql_computername_sz
       parameter ( sql_computername_sz     = 15 )

* Profile Name
       integer*2   sql_profile_sz
       parameter ( sql_profile_sz          = 235 )

* Option Name
       integer*2   sql_option_sz
       parameter ( sql_option_sz           = 10 )

* DCE principal name size
       integer*2   sql_dceprin_sz
       parameter ( sql_dceprin_sz          = 1024 )

* Service Name
       integer*2   sql_service_name_sz
       parameter ( sql_service_name_sz     = 14 )

* TP Monitor Name
       integer*2   sql_tpmon_name_sz
       parameter ( sql_tpmon_name_sz       = 19 )

* Symbolic Destination Name
       integer*2   sql_sym_dest_name_sz
       parameter ( sql_sym_dest_name_sz    = 8 )

* TM Database Name
       integer*2   sql_tmdatabase_name_sz
       parameter ( sql_tmdatabase_name_sz  = 8 )

* AR Library Name
       integer*2   sql_ar_sz
       parameter ( sql_ar_sz               = 32 )

* System Name
       integer*2   sql_system_name_sz
       parameter ( sql_system_name_sz      = 21 )

* Remote Instance Name
       integer*2   sql_remote_instname_sz
       parameter ( sql_remote_instname_sz  = 8 )


* Default DRDA accounting string.
       integer*2   sql_dftdrdaact_sz
       parameter ( sql_dftdrdaact_sz       = 25 )

* Dir/Route Path/Obj Name
       integer*2   sql_dir_name_sz
       parameter ( sql_dir_name_sz         = 255 )

* Client Comm. Protocol
       integer*2   sql_client_comm_sz
       parameter ( sql_client_comm_sz      = 31 )

* Sysadm Group name
       integer*2   sql_sysadm_sz
       parameter ( sql_sysadm_sz           = 16 )

* Sysadm, sysctrl, sysmaint size for validation
       integer*2   sqlf_sys_group_sz
       parameter ( sqlf_sys_group_sz       = 8 )

* Netware fileserver name
       integer*2   sql_fileserver_sz
       parameter ( sql_fileserver_sz       = 48 )

* Netware bindery name
       integer*2   sql_objectname_sz
       parameter ( sql_objectname_sz       = 48 )

* Netware IPX socket
       integer*2   sql_ipxsocket_sz
       parameter ( sql_ipxsocket_sz        = 4 )

* Netware userid
       integer*2   sql_nw_uid_sz
       parameter ( sql_nw_uid_sz           = 48 )

* Netware password
       integer*2   sql_nw_pswd_sz
       parameter ( sql_nw_pswd_sz          = 128 )

* Collate info size (256 + 4)
       integer*2   sql_collate_info_sz
       parameter ( sql_collate_info_sz     = 260 )

* Max accounting string
       integer*2   sql_account_str_sz
       parameter ( sql_account_str_sz      = 199 )

* Discover protocols string size
       integer*2   sql_dscvrcomm_sz
       parameter ( sql_dscvrcomm_sz        = 35 )


* After an SQL CONNECT, the 5th token in the SQLCA identifies the DBMS an
* application has connected to.  The following are values returned from IBM
* DBMS.
       character*9   sql_dbms_es10_os2
       parameter (   sql_dbms_es10_os2     = 'QOS/2 DBM' )

       character*6   sql_dbms_db2_os2
       parameter (   sql_dbms_db2_os2      = 'QDB2/2' )

       character*7   sql_dbms_db2_nt
       parameter (   sql_dbms_db2_nt       = 'QDB2/NT' )

       character*9   sql_dbms_db2_nt64
       parameter (   sql_dbms_db2_nt64     = 'QDB2/NT64' )

       character*15  sql_dbms_db2_95
       parameter (   sql_dbms_db2_95       = 'QDB2/Windows 95' )

       character*9   sql_dbms_db2_aix
       parameter (   sql_dbms_db2_aix      = 'QDB2/6000' )

       character*10  sql_dbms_db2_aix64
       parameter (   sql_dbms_db2_aix64    = 'QDB2/AIX64' )

       character*12  sql_dbms_db2_aix_pe
       parameter (   sql_dbms_db2_aix_pe   = 'QDB2/6000 PE' )

       character*9   sql_dbms_db2_hpux
       parameter (   sql_dbms_db2_hpux     = 'QDB2/HPUX' )

       character*9   sql_dbms_db2_hpux64
       parameter (   sql_dbms_db2_hpux64   = 'QDB2/HP64' )

       character*8   sql_dbms_db2_sun
       parameter (   sql_dbms_db2_sun      = 'QDB2/SUN' )

       character*10  sql_dbms_db2_sun64
       parameter (   sql_dbms_db2_sun64    = 'QDB2/SUN64' )

       character*8   sql_dbms_db2_sni
       parameter (   sql_dbms_db2_sni      = 'QDB2/SNI' )

       character*8   sql_dbms_db2_sco
       parameter (   sql_dbms_db2_sco      = 'QDB2/SCO' )

       character*8   sql_dbms_db2_sgi
       parameter (   sql_dbms_db2_sgi      = 'QDB2/SGI' )

       character*13  sql_dbms_db2_linuxppc
       parameter (   sql_dbms_db2_linuxppc = 'QDB2/LINUXPPC' )

       character*13  sql_dbms_db2_linux390
       parameter (   sql_dbms_db2_linux390 = 'QDB2/LINUX390' )

       character*10  sql_dbms_db2_linux
       parameter (   sql_dbms_db2_linux    = 'QDB2/LINUX' )

       character*8   sql_dbms_db2_dynix
       parameter (   sql_dbms_db2_dynix    = 'QDB2/PTX' )

       character*4   sql_dbms_db2_mvs
       parameter (   sql_dbms_db2_mvs      = 'QDB2' )

       character*3   sql_dbms_os400
       parameter (   sql_dbms_os400        = 'QAS' )

       character*9   sql_dbms_sqlds_vm
       parameter (   sql_dbms_sqlds_vm     = 'QSQLDS/VM' )

       character*10  sql_dbms_sqlds_vse
       parameter (   sql_dbms_sqlds_vse    = 'QSQLDS/VSE' )

       character*8   sql_dbms_lu62_spm
       parameter (   sql_dbms_lu62_spm     = 'QLU62SPM' )

       character*12  sql_dbms_db2_hpuxia
       parameter (   sql_dbms_db2_hpuxia   = 'QDB2/HPUX-IA' )

       character*14  sql_dbms_db2_hpuxia64
       parameter (   sql_dbms_db2_hpuxia64 = 'QDB2/HPUX-IA64' )

       character*15  sql_dbms_db2_linuxx8664
       parameter (   sql_dbms_db2_linuxx8664 = 'QDB2/LINUXX8664' )

       character*15  sql_dbms_db2_linuxamd64
       parameter (   sql_dbms_db2_linuxamd64 = 'QDB2/LINUXAMD64' )

       character*15  sql_dbms_db2_linuxppc64
       parameter (   sql_dbms_db2_linuxppc64 = 'QDB2/LINUXPPC64' )

       character*14  sql_dbms_db2_linuxia64
       parameter (   sql_dbms_db2_linuxia64 = 'QDB2/LINUXIA64' )

       character*13  sql_dbms_db2_linuxz64
       parameter (   sql_dbms_db2_linuxz64 = 'QDB2/LINUXZ64' )


* Parameters for Entry Type in sqledinfo
* Database is LDAP
       character*1   sql_ldap
       parameter (   sql_ldap              = '4' )

* Database is DCE
       character*1   sql_dce
       parameter (   sql_dce               = '3' )

* Database is Home
       character*1   sql_home
       parameter (   sql_home              = '2' )

* Database is Remote
       character*1   sql_remote
       parameter (   sql_remote            = '1' )

* Database is Indirect
       character*1   sql_indirect
       parameter (   sql_indirect          = '0' )


* Parameters for adapter number in sqlectnd
* Adapter number 0
       integer*2   sql_adapter_0
       parameter ( sql_adapter_0           = 0 )

* Adapter number 1
       integer*2   sql_adapter_1
       parameter ( sql_adapter_1           = 1 )

* Minimum adapter number
       integer*2   sql_adapter_min
       parameter ( sql_adapter_min         = 0 )

* Maximum adapter number
       integer*2   sql_adapter_max
       parameter ( sql_adapter_max         = 15 )


* Definitions of constants used for Structure IDs
* DCS directory entry id
       integer*2   sql_dcs_str_id
       parameter ( sql_dcs_str_id          = '100'x )

* Catalog node struct id
       integer*2   sql_node_str_id
       parameter ( sql_node_str_id         = '200'x )


* Parameters for protocol types in sqlectnd
* APPC
       character     sql_protocol_appc     / z00 /

* NETBIOS
       character     sql_protocol_netb     / z01 /

* APPN
       character     sql_protocol_appn     / z02 /

* TCPIP
       character     sql_protocol_tcpip    / z03 /

* APPC using CPIC
       character     sql_protocol_cpic     / z04 /

* IPX/SPX
       character     sql_protocol_ipxspx   / z05 /

* Local IPC
       character     sql_protocol_local    / z06 /

* Named Pipe
       character     sql_protocol_npipe    / z07 /

* TCPIP using SOCKS
       character     sql_protocol_socks    / z08 /


* Security Type for APPC using CPIC
* None
       integer*2   sql_cpic_security_none
       parameter ( sql_cpic_security_none  = 0 )

* Same
       integer*2   sql_cpic_security_same
       parameter ( sql_cpic_security_same  = 1 )

* Program
       integer*2   sql_cpic_security_program
       parameter ( sql_cpic_security_program = 2 )


* Security Type for TCPIP
* None
       integer*2   sql_tcpip_security_none
       parameter ( sql_tcpip_security_none = 0 )

* TCPIP SOCKS Support
       integer*2   sql_tcpip_security_socks
       parameter ( sql_tcpip_security_socks = 1 )


* Authentication Types
* Authenticate on Server
       integer*2   sql_authentication_server
       parameter ( sql_authentication_server = 0 )

* Authenticate on Client
       integer*2   sql_authentication_client
       parameter ( sql_authentication_client = 1 )

* Authenticate via DDCS
       integer*2   sql_authentication_dcs
       parameter ( sql_authentication_dcs  = 2 )

* Authenticate via DCE
       integer*2   sql_authentication_dce
       parameter ( sql_authentication_dce  = 3 )

* Auth at Server with encrypt
       integer*2   sql_authentication_svr_encrypt
       parameter ( sql_authentication_svr_encrypt = 4 )

* Auth via DDCS with encrypt
       integer*2   sql_authentication_dcs_encrypt
       parameter ( sql_authentication_dcs_encrypt = 5 )

* Auth via DCE or Server with Encrypt (Valid only at server)
       integer*2   sql_authentication_dce_svr_enc
       parameter ( sql_authentication_dce_svr_enc = 6 )

* Auth via Kerberos
       integer*2   sql_authentication_kerberos
       parameter ( sql_authentication_kerberos = 7 )

* Auth via Kerberos or Server with Envrypt (Valid only at the server
       integer*2   sql_authentication_krb_svr_enc
       parameter ( sql_authentication_krb_svr_enc = 8 )

* Authentication Not Specified
       integer*2   sql_authentication_not_spec
       parameter ( sql_authentication_not_spec = 255 )


* Parameters for Create Database API Collating Sequences
* Coll. Seq. from System
       integer*2   sql_cs_system
       parameter ( sql_cs_system           = 0 )

* Coll. Seq. from User
       integer*2   sql_cs_user
       parameter ( sql_cs_user             = -1 )

* Coll. Seq. (None)
       integer*2   sql_cs_none
       parameter ( sql_cs_none             = -2 )

* Coll. Seq. from pre-v5
       integer*2   sql_cs_compatibility
       parameter ( sql_cs_compatibility    = -4 )

* SYSTEM table + NLS function
       integer*2   sql_cs_system_nlschar
       parameter ( sql_cs_system_nlschar   = -8 )

* USER table + NLS function
       integer*2   sql_cs_user_nlschar
       parameter ( sql_cs_user_nlschar     = -9 )

* UTF-8S collation
       integer*2   sql_cs_identity_16bit
       parameter ( sql_cs_identity_16bit   = -10 )


* Defines for Start Database Manager OPTION parameter and Stop Database
* Manager OPTION and CALLERAC parameters
       integer*2   sqle_none
       parameter ( sqle_none               = 0 )

       integer*2   sqle_force
       parameter ( sqle_force              = 1 )

       integer*2   sqle_drop
       parameter ( sqle_drop               = 2 )

       integer*2   sqle_continue
       parameter ( sqle_continue           = 3 )

       integer*2   sqle_terminate
       parameter ( sqle_terminate          = 4 )

       integer*2   sqle_addnode
       parameter ( sqle_addnode            = 5 )

       integer*2   sqle_restart
       parameter ( sqle_restart            = 6 )

       integer*2   sqle_standalone
       parameter ( sqle_standalone         = 7 )


* Defines for Start Database Manager & Add Node Tablespace type
* No Temp Tablespaces
       integer*2   sqle_tablespaces_none
       parameter ( sqle_tablespaces_none   = 0 )

* Temp Tablespaces like Specified Node
       integer*2   sqle_tablespaces_like_node
       parameter ( sqle_tablespaces_like_node = 1 )

* Temp Tablespaces like Catalog Node
       integer*2   sqle_tablespaces_like_catalog
       parameter ( sqle_tablespaces_like_catalog = 2 )


* Parameters for Drop Node Action
* Verify
       integer*2   sql_dropnode_verify
       parameter ( sql_dropnode_verify     = 1 )


* Parameters for indicating the stored procedure invocation was via the CALL
* statement
       character*8   sql_callproc
       parameter (   sql_callproc          = '$SQL$CAL' )


* Default values for Segmented Tables parameters
* Default number of segments-nonOS2
       integer*2   sql_def_numsegs
       parameter ( sql_def_numsegs         = 1 )

* OBSOLETE: Default max pages per seg
       integer*4   sql_def_segpages
       parameter ( sql_def_segpages        = 76800 )

* default extent size
       integer*2   sql_def_extsize
       parameter ( sql_def_extsize         = 32 )


* DUOW Connection Setting types used by sqleqryc() and sqlesetc().Associated
* values are in sql.h, used in common with the precompiler.
* Connect type
       integer*2   sql_connect_type
       parameter ( sql_connect_type        = 1 )

* Rules for changing connections
       integer*2   sql_rules
       parameter ( sql_rules               = 2 )

* Disconnect type at syncpoint
       integer*2   sql_disconnect
       parameter ( sql_disconnect          = 3 )

* Syncpoint type
       integer*2   sql_syncpoint
       parameter ( sql_syncpoint           = 4 )

* Maximum concurrent connections
       integer*2   sql_max_netbios_connections
       parameter ( sql_max_netbios_connections = 5 )

* Maximum concurrent connections
       integer*2   sql_deferred_prepare
       parameter ( sql_deferred_prepare    = 6 )

* Node to connect to
       integer*2   sql_connect_node
       parameter ( sql_connect_node        = 7 )

* Node to attach to 
       integer*2   sql_attach_node
       parameter ( sql_attach_node         = 8 )


* SET CLIENT INFORMATION types used by sqleseti() and sqleqryi().
* Client user name
       integer*2   sqle_client_info_userid
       parameter ( sqle_client_info_userid = 1 )

* Client workstation name
       integer*2   sqle_client_info_wrkstnname
       parameter ( sqle_client_info_wrkstnname = 2 )

* Client application name
       integer*2   sqle_client_info_applname
       parameter ( sqle_client_info_applname = 3 )

* Client accounting string
       integer*2   sqle_client_info_acctstr
       parameter ( sqle_client_info_acctstr = 4 )


* SET CLIENT INFORMATION types maximum information lengths
* Maximum client user information length
       integer*2   sqle_client_userid_max_len
       parameter ( sqle_client_userid_max_len = 255 )

* Maximum client workstation information length
       integer*2   sqle_client_wrkstnname_max_len
       parameter ( sqle_client_wrkstnname_max_len = 255 )

* Maximum client application information length
       integer*2   sqle_client_applname_max_len
       parameter ( sqle_client_applname_max_len = 255 )

* Maximum client accounting information length
       integer*2   sqle_client_acctstr_max_len
       parameter ( sqle_client_acctstr_max_len = 200 )



* A structure to identify an SQL statement.  The eyecatcher $SQL$CALL
* identifies this as an EXEC SQL CALL statement.
       integer*2   sqlstmtid_struct_sz
       parameter ( sqlstmtid_struct_sz     = 194 )

* eye catcher
       integer*2   sqlstmtid_sqlcstid_sz
       parameter ( sqlstmtid_sqlcstid_sz   = 8 )

       integer*2   sqlstmtid_sqlcstid_ofs
       parameter ( sqlstmtid_sqlcstid_ofs  = 1 )

* creator id
       integer*2   sqlstmtid_sqluser_sz
       parameter ( sqlstmtid_sqluser_sz    = 128 )

       integer*2   sqlstmtid_sqluser_ofs
       parameter ( sqlstmtid_sqluser_ofs   = 9 )

* package name
       integer*2   sqlstmtid_pkgname_sz
       parameter ( sqlstmtid_pkgname_sz    = 8 )

       integer*2   sqlstmtid_pkgname_ofs
       parameter ( sqlstmtid_pkgname_ofs   = 137 )

* consistency token
       integer*2   sqlstmtid_contoken_sz
       parameter ( sqlstmtid_contoken_sz   = 8 )

       integer*2   sqlstmtid_contoken_ofs
       parameter ( sqlstmtid_contoken_ofs  = 145 )

* reserved
       integer*2   sqlstmtid_sectnum_sz
       parameter ( sqlstmtid_sectnum_sz    = 2 )

       integer*2   sqlstmtid_sectnum_ofs
       parameter ( sqlstmtid_sectnum_ofs   = 153 )

* reserved
       integer*2   sqlstmtid_wchar_info_sz
       parameter ( sqlstmtid_wchar_info_sz = 1 )

       integer*2   sqlstmtid_wchar_info_ofs
       parameter ( sqlstmtid_wchar_info_ofs = 155 )

* reserved
       integer*2   sqlstmtid_fcacherows_sz
       parameter ( sqlstmtid_fcacherows_sz = 1 )

       integer*2   sqlstmtid_fcacherows_ofs
       parameter ( sqlstmtid_fcacherows_ofs = 156 )

* reserved
       integer*2   sqlstmtid_buffer_sz
       parameter ( sqlstmtid_buffer_sz     = 38 )

       integer*2   sqlstmtid_buffer_ofs
       parameter ( sqlstmtid_buffer_ofs    = 157 )



*******************************************************************************
*  Database Description Block structure
********************************************************************************
* TableSpace types
       character*1   sql_tbs_typ_sms
       parameter (   sql_tbs_typ_sms       = 'S' )

       character*1   sql_tbs_typ_dms
       parameter (   sql_tbs_typ_dms       = 'D' )


* TableSpace container types
* path (directory)  SMS only
       character*1   sql_tbsc_typ_path
       parameter (   sql_tbsc_typ_path     = 'P' )

* device (raw disk) DMS only
       character*1   sql_tbsc_typ_dev
       parameter (   sql_tbsc_typ_dev      = 'D' )

* file (cooked file) DMS only
       character*1   sql_tbsc_typ_file
       parameter (   sql_tbsc_typ_file     = 'F' )


* version 2 database descriptor
       character*8   sqle_dbdesc_2
       parameter (   sqle_dbdesc_2         = 'SQLDBD02' )

* version 2 tableSpace descriptor
       character*8   sqle_dbtsdesc_1
       parameter (   sqle_dbtsdesc_1       = 'SQLTS001' )


* Initial TableSpace names
* system catalogs
       character*11  sqlcatts_name
       parameter (   sqlcatts_name         = 'SYSCATSPACE' )

* user tables
       character*10  sqlusrts_name
       parameter (   sqlusrts_name         = 'USERSPACE1' )

* temp tables
       character*10  sqltmpts_name
       parameter (   sqltmpts_name         = 'TEMPSPACE1' )


* tableSpace container descriptor
       integer*2   sqletscdesc_struct_sz
       parameter ( sqletscdesc_struct_sz   = 268 )

* container type
       integer*2   sqletscdesc_sqlctype_sz
       parameter ( sqletscdesc_sqlctype_sz = 1 )

       integer*2   sqletscdesc_sqlctype_ofs
       parameter ( sqletscdesc_sqlctype_ofs = 1 )

* reserved
       integer*2   sqletscdesc_pad1_sz
       parameter ( sqletscdesc_pad1_sz     = 3 )

       integer*2   sqletscdesc_pad1_ofs
       parameter ( sqletscdesc_pad1_ofs    = 2 )

* container size (in pages)
       integer*2   sqletscdesc_sqlcsize_sz
       parameter ( sqletscdesc_sqlcsize_sz = 4 )

       integer*2   sqletscdesc_sqlcsize_ofs
       parameter ( sqletscdesc_sqlcsize_ofs = 5 )

* length of container name
       integer*2   sqletscdesc_sqlclen_sz
       parameter ( sqletscdesc_sqlclen_sz  = 2 )

       integer*2   sqletscdesc_sqlclen_ofs
       parameter ( sqletscdesc_sqlclen_ofs = 9 )

* container name (includes 1 byte for C NULL terminator)
       integer*2   sqletscdesc_sqlcontr_sz
       parameter ( sqletscdesc_sqlcontr_sz = 256 )

       integer*2   sqletscdesc_sqlcontr_ofs
       parameter ( sqletscdesc_sqlcontr_ofs = 11 )

* 2 bytes padding before next container
       integer*2   sqletscdesc_pad2_sz
       parameter ( sqletscdesc_pad2_sz     = 2 )

       integer*2   sqletscdesc_pad2_ofs
       parameter ( sqletscdesc_pad2_ofs    = 267 )



* tableSpace descriptor
       integer*2   sqletsdesc_struct_sz
       parameter ( sqletsdesc_struct_sz    = 304 )

* eyecatcher/descriptor version
       integer*2   sqletsdesc_sqltsdid_sz
       parameter ( sqletsdesc_sqltsdid_sz  = 8 )

       integer*2   sqletsdesc_sqltsdid_ofs
       parameter ( sqletsdesc_sqltsdid_ofs = 1 )

* extent size (in pages)
       integer*2   sqletsdesc_sqlextnt_sz
       parameter ( sqletsdesc_sqlextnt_sz  = 4 )

       integer*2   sqletsdesc_sqlextnt_ofs
       parameter ( sqletsdesc_sqlextnt_ofs = 9 )

* prefetch size (in pages)
       integer*2   sqletsdesc_sqlprftc_sz
       parameter ( sqletsdesc_sqlprftc_sz  = 4 )

       integer*2   sqletsdesc_sqlprftc_ofs
       parameter ( sqletsdesc_sqlprftc_ofs = 13 )

* i/o overhead
       integer*2   sqletsdesc_sqlpovhd_sz
       parameter ( sqletsdesc_sqlpovhd_sz  = 8 )

       integer*2   sqletsdesc_sqlpovhd_ofs
       parameter ( sqletsdesc_sqlpovhd_ofs = 17 )

* i/o transfer rate
       integer*2   sqletsdesc_sqltrfrt_sz
       parameter ( sqletsdesc_sqltrfrt_sz  = 8 )

       integer*2   sqletsdesc_sqltrfrt_ofs
       parameter ( sqletsdesc_sqltrfrt_ofs = 25 )

* tableSpace type
       integer*2   sqletsdesc_sqltstyp_sz
       parameter ( sqletsdesc_sqltstyp_sz  = 1 )

       integer*2   sqletsdesc_sqltstyp_ofs
       parameter ( sqletsdesc_sqltstyp_ofs = 33 )

* reserved
       integer*2   sqletsdesc_pad1_sz
       parameter ( sqletsdesc_pad1_sz      = 1 )

       integer*2   sqletsdesc_pad1_ofs
       parameter ( sqletsdesc_pad1_ofs     = 34 )

* container count
       integer*2   sqletsdesc_sqlccnt_sz
       parameter ( sqletsdesc_sqlccnt_sz   = 2 )

       integer*2   sqletsdesc_sqlccnt_ofs
       parameter ( sqletsdesc_sqlccnt_ofs  = 35 )

* array of container specs
       integer*2   sqletsdesc_containr_sz
       parameter ( sqletsdesc_containr_sz  = 268 )

       integer*2   sqletsdesc_containr_ofs
       parameter ( sqletsdesc_containr_ofs = 37 )


       integer*2   sqledbdesc_struct_sz
       parameter ( sqledbdesc_struct_sz    = 328 )

* eye catcher
       integer*2   sqledbdesc_sqldbdid_sz
       parameter ( sqledbdesc_sqldbdid_sz  = 8 )

       integer*2   sqledbdesc_sqldbdid_ofs
       parameter ( sqledbdesc_sqldbdid_ofs = 1 )

* comment code page
       integer*2   sqledbdesc_sqldbccp_sz
       parameter ( sqledbdesc_sqldbccp_sz  = 4 )

       integer*2   sqledbdesc_sqldbccp_ofs
       parameter ( sqledbdesc_sqldbccp_ofs = 9 )

* Source of collating seq
       integer*2   sqledbdesc_sqldbcss_sz
       parameter ( sqledbdesc_sqldbcss_sz  = 4 )

       integer*2   sqledbdesc_sqldbcss_ofs
       parameter ( sqledbdesc_sqldbcss_ofs = 13 )

* user-defined collating seq
       integer*2   sqledbdesc_sqldbudc_sz
       parameter ( sqledbdesc_sqldbudc_sz  = 256 )

       integer*2   sqledbdesc_sqldbudc_ofs
       parameter ( sqledbdesc_sqldbudc_ofs = 17 )

* comment
       integer*2   sqledbdesc_sqldbcmt_sz
       parameter ( sqledbdesc_sqldbcmt_sz  = 31 )

       integer*2   sqledbdesc_sqldbcmt_ofs
       parameter ( sqledbdesc_sqldbcmt_ofs = 273 )

* reserved
       integer*2   sqledbdesc_pad_sz
       parameter ( sqledbdesc_pad_sz       = 1 )

       integer*2   sqledbdesc_pad_ofs
       parameter ( sqledbdesc_pad_ofs      = 304 )

* obsolete: use sqltsext
       integer*2   sqledbdesc_sqldbsgp_sz
       parameter ( sqledbdesc_sqldbsgp_sz  = 4 )

       integer*2   sqledbdesc_sqldbsgp_ofs
       parameter ( sqledbdesc_sqldbsgp_ofs = 305 )

* number of segments
       integer*2   sqledbdesc_sqldbnsg_sz
       parameter ( sqledbdesc_sqldbnsg_sz  = 2 )

       integer*2   sqledbdesc_sqldbnsg_ofs
       parameter ( sqledbdesc_sqldbnsg_ofs = 309 )

* reserved
       integer*2   sqledbdesc_pad2_sz
       parameter ( sqledbdesc_pad2_sz      = 2 )

       integer*2   sqledbdesc_pad2_ofs
       parameter ( sqledbdesc_pad2_ofs     = 311 )

* default extent size
       integer*2   sqledbdesc_sqltsext_sz
       parameter ( sqledbdesc_sqltsext_sz  = 4 )

       integer*2   sqledbdesc_sqltsext_ofs
       parameter ( sqledbdesc_sqltsext_ofs = 313 )

       integer*2   sqledbdesc_sqlcatts_sz
       parameter ( sqledbdesc_sqlcatts_sz  = 4 )

       integer*2   sqledbdesc_sqlcatts_ofs
       parameter ( sqledbdesc_sqlcatts_ofs = 317 )

       integer*2   sqledbdesc_sqlusrts_sz
       parameter ( sqledbdesc_sqlusrts_sz  = 4 )

       integer*2   sqledbdesc_sqlusrts_ofs
       parameter ( sqledbdesc_sqlusrts_ofs = 321 )

       integer*2   sqledbdesc_sqltmpts_sz
       parameter ( sqledbdesc_sqltmpts_sz  = 4 )

       integer*2   sqledbdesc_sqltmpts_ofs
       parameter ( sqledbdesc_sqltmpts_ofs = 325 )



* Database Directory Scan data structure
       integer*2   sqledinfo_struct_sz
       parameter ( sqledinfo_struct_sz     = 1588 )

* Alias name
       integer*2   sqledinfo_alias_sz
       parameter ( sqledinfo_alias_sz      = 8 )

       integer*2   sqledinfo_alias_ofs
       parameter ( sqledinfo_alias_ofs     = 1 )

* Database name
       integer*2   sqledinfo_dbname_sz
       parameter ( sqledinfo_dbname_sz     = 8 )

       integer*2   sqledinfo_dbname_ofs
       parameter ( sqledinfo_dbname_ofs    = 9 )

* Drive/Path
       integer*2   sqledinfo_drive_sz
       parameter ( sqledinfo_drive_sz      = 215 )

       integer*2   sqledinfo_drive_ofs
       parameter ( sqledinfo_drive_ofs     = 17 )

* Database subdirectory
       integer*2   sqledinfo_intname_sz
       parameter ( sqledinfo_intname_sz    = 8 )

       integer*2   sqledinfo_intname_ofs
       parameter ( sqledinfo_intname_ofs   = 232 )

* Node name
       integer*2   sqledinfo_nodename_sz
       parameter ( sqledinfo_nodename_sz   = 8 )

       integer*2   sqledinfo_nodename_ofs
       parameter ( sqledinfo_nodename_ofs  = 240 )

* Release information
       integer*2   sqledinfo_dbtype_sz
       parameter ( sqledinfo_dbtype_sz     = 20 )

       integer*2   sqledinfo_dbtype_ofs
       parameter ( sqledinfo_dbtype_ofs    = 248 )

* Comment
       integer*2   sqledinfo_comment_sz
       parameter ( sqledinfo_comment_sz    = 30 )

       integer*2   sqledinfo_comment_ofs
       parameter ( sqledinfo_comment_ofs   = 268 )

* Code page of comment
       integer*2   sqledinfo_com_codepage_sz
       parameter ( sqledinfo_com_codepage_sz = 2 )

       integer*2   sqledinfo_com_codepage_ofs
       parameter ( sqledinfo_com_codepage_ofs = 299 )

* Entry type - defines above
       integer*2   sqledinfo_type_sz
       parameter ( sqledinfo_type_sz       = 1 )

       integer*2   sqledinfo_type_ofs
       parameter ( sqledinfo_type_ofs      = 301 )

* Authentication type
       integer*2   sqledinfo_authentication_sz
       parameter ( sqledinfo_authentication_sz = 2 )

       integer*2   sqledinfo_authentication_ofs
       parameter ( sqledinfo_authentication_ofs = 303 )

* Global database name
       integer*2   sqledinfo_glbdbname_sz
       parameter ( sqledinfo_glbdbname_sz  = 255 )

       integer*2   sqledinfo_glbdbname_ofs
       parameter ( sqledinfo_glbdbname_ofs = 305 )

* dce principal bin string
       integer*2   sqledinfo_dceprincipal_sz
       parameter ( sqledinfo_dceprincipal_sz = 1024 )

       integer*2   sqledinfo_dceprincipal_ofs
       parameter ( sqledinfo_dceprincipal_ofs = 560 )

* Catalog node number
       integer*2   sqledinfo_cat_nodenum_sz
       parameter ( sqledinfo_cat_nodenum_sz = 2 )

       integer*2   sqledinfo_cat_nodenum_ofs
       parameter ( sqledinfo_cat_nodenum_ofs = 1585 )

* Node number
       integer*2   sqledinfo_nodenum_sz
       parameter ( sqledinfo_nodenum_sz    = 2 )

       integer*2   sqledinfo_nodenum_ofs
       parameter ( sqledinfo_nodenum_ofs   = 1587 )


* Node Directory Scan data structure
       integer*2   sqleninfo_struct_sz
       parameter ( sqleninfo_struct_sz     = 590 )

* Node name
       integer*2   sqleninfo_nodename_sz
       parameter ( sqleninfo_nodename_sz   = 8 )

       integer*2   sqleninfo_nodename_ofs
       parameter ( sqleninfo_nodename_ofs  = 1 )

* Local_lu_name
       integer*2   sqleninfo_local_lu_sz
       parameter ( sqleninfo_local_lu_sz   = 8 )

       integer*2   sqleninfo_local_lu_ofs
       parameter ( sqleninfo_local_lu_ofs  = 9 )

* Partner_lu_name
       integer*2   sqleninfo_partner_lu_sz
       parameter ( sqleninfo_partner_lu_sz = 8 )

       integer*2   sqleninfo_partner_lu_ofs
       parameter ( sqleninfo_partner_lu_ofs = 17 )

* Mode
       integer*2   sqleninfo_mode_sz
       parameter ( sqleninfo_mode_sz       = 8 )

       integer*2   sqleninfo_mode_ofs
       parameter ( sqleninfo_mode_ofs      = 25 )

* Comment
       integer*2   sqleninfo_comment_sz
       parameter ( sqleninfo_comment_sz    = 30 )

       integer*2   sqleninfo_comment_ofs
       parameter ( sqleninfo_comment_ofs   = 33 )

* Comment code page
       integer*2   sqleninfo_com_codepage_sz
       parameter ( sqleninfo_com_codepage_sz = 2 )

       integer*2   sqleninfo_com_codepage_ofs
       parameter ( sqleninfo_com_codepage_ofs = 63 )

* NetBIOS Adapter #
       integer*2   sqleninfo_adapter_sz
       parameter ( sqleninfo_adapter_sz    = 2 )

       integer*2   sqleninfo_adapter_ofs
       parameter ( sqleninfo_adapter_ofs   = 65 )

* APPN Network ID
       integer*2   sqleninfo_networkid_sz
       parameter ( sqleninfo_networkid_sz  = 8 )

       integer*2   sqleninfo_networkid_ofs
       parameter ( sqleninfo_networkid_ofs = 67 )

* Protocol type
       integer*2   sqleninfo_protocol_sz
       parameter ( sqleninfo_protocol_sz   = 1 )

       integer*2   sqleninfo_protocol_ofs
       parameter ( sqleninfo_protocol_ofs  = 75 )

* CPIC Sym. Dest. Name
       integer*2   sqleninfo_sym_dest_name_sz
       parameter ( sqleninfo_sym_dest_name_sz = 8 )

       integer*2   sqleninfo_sym_dest_name_ofs
       parameter ( sqleninfo_sym_dest_name_ofs = 76 )

* CPIC Security Type
       integer*2   sqleninfo_security_type_sz
       parameter ( sqleninfo_security_type_sz = 2 )

       integer*2   sqleninfo_security_type_ofs
       parameter ( sqleninfo_security_type_ofs = 85 )

* TCP/IP Host name
       integer*2   sqleninfo_hostname_sz
       parameter ( sqleninfo_hostname_sz   = 255 )

       integer*2   sqleninfo_hostname_ofs
       parameter ( sqleninfo_hostname_ofs  = 87 )

* TCP/IP Service name
       integer*2   sqleninfo_service_name_sz
       parameter ( sqleninfo_service_name_sz = 14 )

       integer*2   sqleninfo_service_name_ofs
       parameter ( sqleninfo_service_name_ofs = 342 )

* IPX/SPX fileserver name
       integer*2   sqleninfo_fileserver_sz
       parameter ( sqleninfo_fileserver_sz = 48 )

       integer*2   sqleninfo_fileserver_ofs
       parameter ( sqleninfo_fileserver_ofs = 356 )

* IPX/SPX objectname
       integer*2   sqleninfo_objectname_sz
       parameter ( sqleninfo_objectname_sz = 48 )

       integer*2   sqleninfo_objectname_ofs
       parameter ( sqleninfo_objectname_ofs = 404 )

* LOCAL Instance name
       integer*2   sqleninfo_instance_name_sz
       parameter ( sqleninfo_instance_name_sz = 8 )

       integer*2   sqleninfo_instance_name_ofs
       parameter ( sqleninfo_instance_name_ofs = 452 )

* Computer name
       integer*2   sqleninfo_computername_sz
       parameter ( sqleninfo_computername_sz = 15 )

       integer*2   sqleninfo_computername_ofs
       parameter ( sqleninfo_computername_ofs = 460 )

* System name
       integer*2   sqleninfo_system_name_sz
       parameter ( sqleninfo_system_name_sz = 21 )

       integer*2   sqleninfo_system_name_ofs
       parameter ( sqleninfo_system_name_ofs = 475 )

* Remote instance name
       integer*2   sqleninfo_remote_instname_sz
       parameter ( sqleninfo_remote_instname_sz = 8 )

       integer*2   sqleninfo_remote_instname_ofs
       parameter ( sqleninfo_remote_instname_ofs = 496 )

* Catalog node type
       integer*2   sqleninfo_catalog_node_type_sz
       parameter ( sqleninfo_catalog_node_type_sz = 1 )

       integer*2   sqleninfo_catalog_node_type_ofs
       parameter ( sqleninfo_catalog_node_type_ofs = 504 )

* OS type
       integer*2   sqleninfo_os_type_sz
       parameter ( sqleninfo_os_type_sz    = 2 )

       integer*2   sqleninfo_os_type_ofs
       parameter ( sqleninfo_os_type_ofs   = 505 )

* Change_password_lu_name
       integer*2   sqleninfo_chgpwd_lu_sz
       parameter ( sqleninfo_chgpwd_lu_sz  = 8 )

       integer*2   sqleninfo_chgpwd_lu_ofs
       parameter ( sqleninfo_chgpwd_lu_ofs = 507 )

* TRANSaction_Program_Name
       integer*2   sqleninfo_transpn_sz
       parameter ( sqleninfo_transpn_sz    = 64 )

       integer*2   sqleninfo_transpn_ofs
       parameter ( sqleninfo_transpn_ofs   = 515 )

* LAN_Adapter_Address
       integer*2   sqleninfo_lanaddr_sz
       parameter ( sqleninfo_lanaddr_sz    = 12 )

       integer*2   sqleninfo_lanaddr_ofs
       parameter ( sqleninfo_lanaddr_ofs   = 579 )


* General Catalog Node structures and defines

       integer*2   sqle_node_struct_struct_sz
       parameter ( sqle_node_struct_struct_sz = 46 )

* Structure Identifier
       integer*2   sqle_node_struct_struct_id_sz
       parameter ( sqle_node_struct_struct_id_sz = 2 )

       integer*2   sqle_node_struct_struct_id_ofs
       parameter ( sqle_node_struct_struct_id_ofs = 1 )

* Codepage for comment
       integer*2   sqle_node_struct_codepage_sz
       parameter ( sqle_node_struct_codepage_sz = 2 )

       integer*2   sqle_node_struct_codepage_ofs
       parameter ( sqle_node_struct_codepage_ofs = 3 )

* Comment
       integer*2   sqle_node_struct_comment_sz
       parameter ( sqle_node_struct_comment_sz = 31 )

       integer*2   sqle_node_struct_comment_ofs
       parameter ( sqle_node_struct_comment_ofs = 5 )

* Node name
       integer*2   sqle_node_struct_nodename_sz
       parameter ( sqle_node_struct_nodename_sz = 9 )

       integer*2   sqle_node_struct_nodename_ofs
       parameter ( sqle_node_struct_nodename_ofs = 36 )

* Protocol Type
       integer*2   sqle_node_struct_protocol_sz
       parameter ( sqle_node_struct_protocol_sz = 1 )

       integer*2   sqle_node_struct_protocol_ofs
       parameter ( sqle_node_struct_protocol_ofs = 45 )


* For APPC protocol
       integer*2   sqle_node_appc_struct_sz
       parameter ( sqle_node_appc_struct_sz = 27 )

* Local_lu name
       integer*2   sqle_node_appc_local_lu_sz
       parameter ( sqle_node_appc_local_lu_sz = 9 )

       integer*2   sqle_node_appc_local_lu_ofs
       parameter ( sqle_node_appc_local_lu_ofs = 1 )

* Alias Partner_lu name
       integer*2   sqle_node_appc_partner_lu_sz
       parameter ( sqle_node_appc_partner_lu_sz = 9 )

       integer*2   sqle_node_appc_partner_lu_ofs
       parameter ( sqle_node_appc_partner_lu_ofs = 10 )

* Mode
       integer*2   sqle_node_appc_mode_sz
       parameter ( sqle_node_appc_mode_sz  = 9 )

       integer*2   sqle_node_appc_mode_ofs
       parameter ( sqle_node_appc_mode_ofs = 19 )


* For NetBIOS Protocol
       integer*2   sqle_node_netb_struct_sz
       parameter ( sqle_node_netb_struct_sz = 12 )

* Adapter Number
       integer*2   sqle_node_netb_adapter_sz
       parameter ( sqle_node_netb_adapter_sz = 2 )

       integer*2   sqle_node_netb_adapter_ofs
       parameter ( sqle_node_netb_adapter_ofs = 1 )

* Remote Workstation name
       integer*2   sqle_node_netb_remote_nname_sz
       parameter ( sqle_node_netb_remote_nname_sz = 9 )

       integer*2   sqle_node_netb_remote_nname_ofs
       parameter ( sqle_node_netb_remote_nname_ofs = 3 )


* For APPN protocol
       integer*2   sqle_node_appn_struct_sz
       parameter ( sqle_node_appn_struct_sz = 126 )

* Network ID
       integer*2   sqle_node_appn_networkid_sz
       parameter ( sqle_node_appn_networkid_sz = 9 )

       integer*2   sqle_node_appn_networkid_ofs
       parameter ( sqle_node_appn_networkid_ofs = 1 )

* Remoter lu name
       integer*2   sqle_node_appn_remote_lu_sz
       parameter ( sqle_node_appn_remote_lu_sz = 9 )

       integer*2   sqle_node_appn_remote_lu_ofs
       parameter ( sqle_node_appn_remote_lu_ofs = 10 )

* Local_lu name
       integer*2   sqle_node_appn_local_lu_sz
       parameter ( sqle_node_appn_local_lu_sz = 9 )

       integer*2   sqle_node_appn_local_lu_ofs
       parameter ( sqle_node_appn_local_lu_ofs = 19 )

* Mode
       integer*2   sqle_node_appn_mode_sz
       parameter ( sqle_node_appn_mode_sz  = 9 )

       integer*2   sqle_node_appn_mode_ofs
       parameter ( sqle_node_appn_mode_ofs = 28 )

* Change password lu name
       integer*2   sqle_node_appn_chgpwd_lu_sz
       parameter ( sqle_node_appn_chgpwd_lu_sz = 9 )

       integer*2   sqle_node_appn_chgpwd_lu_ofs
       parameter ( sqle_node_appn_chgpwd_lu_ofs = 37 )

* Transaction Program Name
       integer*2   sqle_node_appn_transpn_sz
       parameter ( sqle_node_appn_transpn_sz = 65 )

       integer*2   sqle_node_appn_transpn_ofs
       parameter ( sqle_node_appn_transpn_ofs = 46 )

* LAN Adapter Address
       integer*2   sqle_node_appn_lanaddr_sz
       parameter ( sqle_node_appn_lanaddr_sz = 13 )

       integer*2   sqle_node_appn_lanaddr_ofs
       parameter ( sqle_node_appn_lanaddr_ofs = 111 )

* Security Type
       integer*2   sqle_node_cpic_sec_type_sz
       parameter ( sqle_node_cpic_sec_type_sz = 2 )

       integer*2   sqle_node_cpic_sec_type_ofs
       parameter ( sqle_node_cpic_sec_type_ofs = 125 )


* For TCPIP protocol
       integer*2   sqle_node_tcpip_struct_sz
       parameter ( sqle_node_tcpip_struct_sz = 271 )

* Host name
       integer*2   sqle_node_tcpip_hostname_sz
       parameter ( sqle_node_tcpip_hostname_sz = 256 )

       integer*2   sqle_node_tcpip_hostname_ofs
       parameter ( sqle_node_tcpip_hostname_ofs = 1 )

* Service Name
       integer*2   sqle_node_tcpip_service_name_sz
       parameter ( sqle_node_tcpip_service_name_sz = 15 )

       integer*2   sqle_node_tcpip_service_name_ofs
       parameter ( sqle_node_tcpip_service_name_ofs = 257 )


* For NPIPE protocol
       integer*2   sqle_node_npipe_struct_sz
       parameter ( sqle_node_npipe_struct_sz = 25 )

* Computer name
       integer*2   sqle_node_npipe_computername_sz
       parameter ( sqle_node_npipe_computername_sz = 16 )

       integer*2   sqle_node_npipe_computername_ofs
       parameter ( sqle_node_npipe_computername_ofs = 1 )

* Instance Name
       integer*2   sqle_node_npipe_instance_sz
       parameter ( sqle_node_npipe_instance_sz = 9 )

       integer*2   sqle_node_npipe_instance_ofs
       parameter ( sqle_node_npipe_instance_ofs = 17 )


* For LOCAL protocol
       integer*2   sqle_node_local_struct_sz
       parameter ( sqle_node_local_struct_sz = 9 )

* Instance Name
       integer*2   sqle_node_local_instance_sz
       parameter ( sqle_node_local_instance_sz = 9 )

       integer*2   sqle_node_local_instance_ofs
       parameter ( sqle_node_local_instance_ofs = 1 )


* For APPC using CPIC protocol
       integer*2   sqle_node_cpic_struct_sz
       parameter ( sqle_node_cpic_struct_sz = 12 )

* Sym Dest Name
       integer*2   sqle_node_cpic_sym_dest_name_sz
       parameter ( sqle_node_cpic_sym_dest_name_sz = 9 )

       integer*2   sqle_node_cpic_sym_dest_name_ofs
       parameter ( sqle_node_cpic_sym_dest_name_ofs = 1 )

* Security Type
       integer*2   sqle_node_cpic_security_type_sz
       parameter ( sqle_node_cpic_security_type_sz = 2 )

       integer*2   sqle_node_cpic_security_type_ofs
       parameter ( sqle_node_cpic_security_type_ofs = 11 )


* For IPX/SPX protocol
       integer*2   sqle_node_ipxspx_struct_sz
       parameter ( sqle_node_ipxspx_struct_sz = 98 )

* Fileserver name
       integer*2   sqle_node_ipxspx_fileserver_sz
       parameter ( sqle_node_ipxspx_fileserver_sz = 49 )

       integer*2   sqle_node_ipxspx_fileserver_ofs
       parameter ( sqle_node_ipxspx_fileserver_ofs = 1 )

* Object name
       integer*2   sqle_node_ipxspx_objectname_sz
       parameter ( sqle_node_ipxspx_objectname_sz = 49 )

       integer*2   sqle_node_ipxspx_objectname_ofs
       parameter ( sqle_node_ipxspx_objectname_ofs = 50 )


* Values for sqlefrce
* Force Mode (Asynchronous)
       integer*2   sql_asynch
       parameter ( sql_asynch              = 0 )

* Force Count (All Users)
       integer*2   sql_all_users
       parameter ( sql_all_users           = -1 )


* Product name
       integer*2   sql_prodname_sz
       parameter ( sql_prodname_sz         = 30 )

* DDCS Directory Entry Data Structure
       integer*2   sql_dir_entry_struct_sz
       parameter ( sql_dir_entry_struct_sz = 612 )

* Structure Identifier
       integer*2   sql_dir_entry_struct_id_sz
       parameter ( sql_dir_entry_struct_id_sz = 2 )

       integer*2   sql_dir_entry_struct_id_ofs
       parameter ( sql_dir_entry_struct_id_ofs = 1 )

* Release level of entry
       integer*2   sql_dir_entry_release_sz
       parameter ( sql_dir_entry_release_sz = 2 )

       integer*2   sql_dir_entry_release_ofs
       parameter ( sql_dir_entry_release_ofs = 3 )

* Codepage of comment
       integer*2   sql_dir_entry_codepage_sz
       parameter ( sql_dir_entry_codepage_sz = 2 )

       integer*2   sql_dir_entry_codepage_ofs
       parameter ( sql_dir_entry_codepage_ofs = 5 )

* Directory entry comment
       integer*2   sql_dir_entry_comment_sz
       parameter ( sql_dir_entry_comment_sz = 31 )

       integer*2   sql_dir_entry_comment_ofs
       parameter ( sql_dir_entry_comment_ofs = 7 )

* Local DB name
       integer*2   sql_dir_entry_ldb_sz
       parameter ( sql_dir_entry_ldb_sz    = 9 )

       integer*2   sql_dir_entry_ldb_ofs
       parameter ( sql_dir_entry_ldb_ofs   = 38 )

* Target (host) DB name
       integer*2   sql_dir_entry_tdb_sz
       parameter ( sql_dir_entry_tdb_sz    = 19 )

       integer*2   sql_dir_entry_tdb_ofs
       parameter ( sql_dir_entry_tdb_ofs   = 47 )

* AR library name
       integer*2   sql_dir_entry_ar_sz
       parameter ( sql_dir_entry_ar_sz     = 33 )

       integer*2   sql_dir_entry_ar_ofs
       parameter ( sql_dir_entry_ar_ofs    = 66 )

* Parameter string
       integer*2   sql_dir_entry_parm_sz
       parameter ( sql_dir_entry_parm_sz   = 513 )

       integer*2   sql_dir_entry_parm_ofs
       parameter ( sql_dir_entry_parm_ofs  = 99 )


*******************************************************************************
*  Database Codepage and Country code info structures
********************************************************************************

       integer*2   sqledbcinfo_struct_sz
       parameter ( sqledbcinfo_struct_sz   = 52 )

* database codeset
       integer*2   sqledbcinfo_sqldbcp_sz
       parameter ( sqledbcinfo_sqldbcp_sz  = 18 )

       integer*2   sqledbcinfo_sqldbcp_ofs
       parameter ( sqledbcinfo_sqldbcp_ofs = 1 )

* database territory
       integer*2   sqledbcinfo_sqldbcc_sz
       parameter ( sqledbcinfo_sqldbcc_sz  = 34 )

       integer*2   sqledbcinfo_sqldbcc_ofs
       parameter ( sqledbcinfo_sqldbcc_ofs = 19 )


*******************************************************************************
*  V2 Database Codepage and Country code info structure
********************************************************************************

       integer*2   sqledbcountryinfo_struct_sz
       parameter ( sqledbcountryinfo_struct_sz = 52 )

* database codeset
       integer*2   sqledbcountryinfo_codeset_sz
       parameter ( sqledbcountryinfo_codeset_sz = 18 )

       integer*2   sqledbcountryinfo_codeset_ofs
       parameter ( sqledbcountryinfo_codeset_ofs = 1 )

* database territory
       integer*2   sqledbcountryinfo_locale_sz
       parameter ( sqledbcountryinfo_locale_sz = 34 )

       integer*2   sqledbcountryinfo_locale_ofs
       parameter ( sqledbcountryinfo_locale_ofs = 19 )


* Connection setting structure for use with distributed unit of work
       integer*2   sqle_conn_setting_struct_sz
       parameter ( sqle_conn_setting_struct_sz = 4 )

* Connection setting type
       integer*2   sqle_conn_setting_type_sz
       parameter ( sqle_conn_setting_type_sz = 2 )

       integer*2   sqle_conn_setting_type_ofs
       parameter ( sqle_conn_setting_type_ofs = 1 )

* Connection setting value
       integer*2   sqle_conn_setting_value_sz
       parameter ( sqle_conn_setting_value_sz = 2 )

       integer*2   sqle_conn_setting_value_ofs
       parameter ( sqle_conn_setting_value_ofs = 3 )


* SET CLIENT Information structure for use with sqleseti and sqleqryi
       integer*2   sqle_client_info_struct_sz
       parameter ( sqle_client_info_struct_sz = 8 )

* information setting type
       integer*2   sqle_client_info_type_sz
       parameter ( sqle_client_info_type_sz = 2 )

       integer*2   sqle_client_info_type_ofs
       parameter ( sqle_client_info_type_ofs = 1 )

* information setting length
       integer*2   sqle_client_info_length_sz
       parameter ( sqle_client_info_length_sz = 2 )

       integer*2   sqle_client_info_length_ofs
       parameter ( sqle_client_info_length_ofs = 3 )

* information setting value
       integer*2   sqle_client_info_pvalue_sz
       parameter ( sqle_client_info_pvalue_sz = 4 )

       integer*2   sqle_client_info_pvalue_ofs
       parameter ( sqle_client_info_pvalue_ofs = 5 )


*******************************************************************************
*  Register/Deregister constants and data structures
********************************************************************************

* Defines for LOCATION TO REGISTER parameter
       integer*2   sql_nwbindery
       parameter ( sql_nwbindery           = 0 )


* Register/deregister info. for NW bindery data structure
       integer*2   sqle_reg_nwbindery_struct_sz
       parameter ( sqle_reg_nwbindery_struct_sz = 184 )

       integer*2   sqle_reg_nwbindery_uid_sz
       parameter ( sqle_reg_nwbindery_uid_sz = 49 )

       integer*2   sqle_reg_nwbindery_uid_ofs
       parameter ( sqle_reg_nwbindery_uid_ofs = 1 )

       integer*2   sql_uid_len_sz
       parameter ( sql_uid_len_sz          = 2 )

       integer*2   sql_uid_len_ofs
       parameter ( sql_uid_len_ofs         = 51 )

       integer*2   sqle_reg_nwbindery_pswd_sz
       parameter ( sqle_reg_nwbindery_pswd_sz = 129 )

       integer*2   sqle_reg_nwbindery_pswd_ofs
       parameter ( sqle_reg_nwbindery_pswd_ofs = 53 )

       integer*2   sql_pswd_len_sz
       parameter ( sql_pswd_len_sz         = 2 )

       integer*2   sql_pswd_len_ofs
       parameter ( sql_pswd_len_ofs        = 183 )


*******************************************************************************
*  Start/Stop Database Manager constants and data structures
********************************************************************************

* V5 Start Options structure Eye Catcher value
       character*8   sqle_startoptid_v51
       parameter (   sqle_startoptid_v51   = 'SQLOPT01' )



* V5 Start Database Manager structure
       integer*2   sqle_start_opt_struct_sz
       parameter ( sqle_start_opt_struct_sz = 824 )

* Structure Eye Catcher
       integer*2   sqle_start_opt_sqloptid_sz
       parameter ( sqle_start_opt_sqloptid_sz = 8 )

       integer*2   sqle_start_opt_sqloptid_ofs
       parameter ( sqle_start_opt_sqloptid_ofs = 1 )

* Profile specified?
       integer*2   sqle_start_opt_isprofile_sz
       parameter ( sqle_start_opt_isprofile_sz = 4 )

       integer*2   sqle_start_opt_isprofile_ofs
       parameter ( sqle_start_opt_isprofile_ofs = 9 )

* Profile
       integer*2   sqle_start_opt_profile_sz
       parameter ( sqle_start_opt_profile_sz = 236 )

       integer*2   sqle_start_opt_profile_ofs
       parameter ( sqle_start_opt_profile_ofs = 13 )

* Node number specified?
       integer*2   sqle_start_opt_isnodenum_sz
       parameter ( sqle_start_opt_isnodenum_sz = 4 )

       integer*2   sqle_start_opt_isnodenum_ofs
       parameter ( sqle_start_opt_isnodenum_ofs = 249 )

* Node number
       integer*2   sqle_start_opt_nodenum_sz
       parameter ( sqle_start_opt_nodenum_sz = 2 )

       integer*2   sqle_start_opt_nodenum_ofs
       parameter ( sqle_start_opt_nodenum_ofs = 253 )

* Start option
       integer*2   sqle_start_opt_option_sz
       parameter ( sqle_start_opt_option_sz = 4 )

       integer*2   sqle_start_opt_option_ofs
       parameter ( sqle_start_opt_option_ofs = 257 )

* Hostname specified?
       integer*2   sqle_start_opt_ishostname_sz
       parameter ( sqle_start_opt_ishostname_sz = 4 )

       integer*2   sqle_start_opt_ishostname_ofs
       parameter ( sqle_start_opt_ishostname_ofs = 261 )

* Hostname
       integer*2   sqle_start_opt_hostname_sz
       parameter ( sqle_start_opt_hostname_sz = 256 )

       integer*2   sqle_start_opt_hostname_ofs
       parameter ( sqle_start_opt_hostname_ofs = 265 )

* Port specified?
       integer*2   sqle_start_opt_isport_sz
       parameter ( sqle_start_opt_isport_sz = 4 )

       integer*2   sqle_start_opt_isport_ofs
       parameter ( sqle_start_opt_isport_ofs = 521 )

* Port
       integer*2   sqle_start_opt_port_sz
       parameter ( sqle_start_opt_port_sz  = 4 )

       integer*2   sqle_start_opt_port_ofs
       parameter ( sqle_start_opt_port_ofs = 525 )

* Netname specified?
       integer*2   sqle_start_opt_isnetname_sz
       parameter ( sqle_start_opt_isnetname_sz = 4 )

       integer*2   sqle_start_opt_isnetname_ofs
       parameter ( sqle_start_opt_isnetname_ofs = 529 )

* Netname
       integer*2   sqle_start_opt_netname_sz
       parameter ( sqle_start_opt_netname_sz = 256 )

       integer*2   sqle_start_opt_netname_ofs
       parameter ( sqle_start_opt_netname_ofs = 533 )

* Addnode tablespace type
       integer*2   sqle_start_opt_tblspace_type_sz
       parameter ( sqle_start_opt_tblspace_type_sz = 4 )

       integer*2   sqle_start_opt_tblspace_type_ofs
       parameter ( sqle_start_opt_tblspace_type_ofs = 789 )

* Addnode tablespace node
       integer*2   sqle_start_opt_tblspace_node_sz
       parameter ( sqle_start_opt_tblspace_node_sz = 2 )

       integer*2   sqle_start_opt_tblspace_node_ofs
       parameter ( sqle_start_opt_tblspace_node_ofs = 793 )

* Computername specified?
       integer*2   sqle_start_opt_iscomputer_sz
       parameter ( sqle_start_opt_iscomputer_sz = 4 )

       integer*2   sqle_start_opt_iscomputer_ofs
       parameter ( sqle_start_opt_iscomputer_ofs = 797 )

* Computername
       integer*2   sqle_start_opt_computer_sz
       parameter ( sqle_start_opt_computer_sz = 16 )

       integer*2   sqle_start_opt_computer_ofs
       parameter ( sqle_start_opt_computer_ofs = 801 )

* Logon Account user name
       integer*2   sqle_start_opt_pusername_sz
       parameter ( sqle_start_opt_pusername_sz = 4 )

       integer*2   sqle_start_opt_pusername_ofs
       parameter ( sqle_start_opt_pusername_ofs = 817 )

* Logon Account password
       integer*2   sqle_start_opt_ppassword_sz
       parameter ( sqle_start_opt_ppassword_sz = 4 )

       integer*2   sqle_start_opt_ppassword_ofs
       parameter ( sqle_start_opt_ppassword_ofs = 821 )


* V5 Stop Database Manager structure
       integer*2   sqledbstopopt_struct_sz
       parameter ( sqledbstopopt_struct_sz = 256 )

* Profile specified?
       integer*2   sqledbstopopt_sqldbisprf_sz
       parameter ( sqledbstopopt_sqldbisprf_sz = 4 )

       integer*2   sqledbstopopt_sqldbisprf_ofs
       parameter ( sqledbstopopt_sqldbisprf_ofs = 1 )

* Profile
       integer*2   sqledbstopopt_sqldbprf_sz
       parameter ( sqledbstopopt_sqldbprf_sz = 236 )

       integer*2   sqledbstopopt_sqldbprf_ofs
       parameter ( sqledbstopopt_sqldbprf_ofs = 5 )

* Node number specified?
       integer*2   sqledbstopopt_sqldbisnode_sz
       parameter ( sqledbstopopt_sqldbisnode_sz = 4 )

       integer*2   sqledbstopopt_sqldbisnode_ofs
       parameter ( sqledbstopopt_sqldbisnode_ofs = 241 )

* Node number
       integer*2   sqledbstopopt_sqldbnode_sz
       parameter ( sqledbstopopt_sqldbnode_sz = 2 )

       integer*2   sqledbstopopt_sqldbnode_ofs
       parameter ( sqledbstopopt_sqldbnode_ofs = 245 )

* Option
       integer*2   sqledbstopopt_sqldboption_sz
       parameter ( sqledbstopopt_sqldboption_sz = 4 )

       integer*2   sqledbstopopt_sqldboption_ofs
       parameter ( sqledbstopopt_sqldboption_ofs = 249 )

* Caller action
       integer*2   sqledbstopopt_sqldbcallerac_sz
       parameter ( sqledbstopopt_sqldbcallerac_sz = 4 )

       integer*2   sqledbstopopt_sqldbcallerac_ofs
       parameter ( sqledbstopopt_sqldbcallerac_ofs = 253 )


*******************************************************************************
*  Add Node data structures
********************************************************************************

* V5 Add Node Option structure Eye Catcher value
       character*8   sqle_addoptid_v51
       parameter (   sqle_addoptid_v51     = 'SQLADD01' )



* Add Node structure
       integer*2   sqle_addn_opt_struct_sz
       parameter ( sqle_addn_opt_struct_sz = 16 )

* Structure Eye Catcher
       integer*2   sqle_addn_opt_sqladdid_sz
       parameter ( sqle_addn_opt_sqladdid_sz = 8 )

       integer*2   sqle_addn_opt_sqladdid_ofs
       parameter ( sqle_addn_opt_sqladdid_ofs = 1 )

* Temporary Tablespace Type
       integer*2   sqle_addn_opt_tblspace_type_sz
       parameter ( sqle_addn_opt_tblspace_type_sz = 4 )

       integer*2   sqle_addn_opt_tblspace_type_ofs
       parameter ( sqle_addn_opt_tblspace_type_ofs = 9 )

* Temporary Tablespace Node
       integer*2   sqle_addn_opt_tblspace_node_sz
       parameter ( sqle_addn_opt_tblspace_node_sz = 2 )

       integer*2   sqle_addn_opt_tblspace_node_ofs
       parameter ( sqle_addn_opt_tblspace_node_ofs = 13 )


*******************************************************************************
*  Database Environment Commands -- Function Prototypes
********************************************************************************

* GENERIC INTERFACES

* Change Database Comment
       integer*4    sqlgdcgd
       external     sqlgdcgd


* Close Directory Scan
       integer*4    sqlgdcls
       external     sqlgdcls


* Get Next Database Directory Entry
       integer*4    sqlgdgne
       external     sqlgdgne


* Drop Database
       integer*4    sqlgdrpd
       external     sqlgdrpd


* Open Directory Scan
       integer*4    sqlgdosd
       external     sqlgdosd


* Set parallelism degree
       integer*4    sqlgsdeg
       external     sqlgsdeg


* Force Users
       integer*4    sqlgfrce
       external     sqlgfrce


* Catalog DCS Database
       integer*4    sqlggdad
       external     sqlggdad


* Close DCS Directory Scan
       integer*4    sqlggdcl
       external     sqlggdcl


* Uncatalog DCS Database
       integer*4    sqlggdel
       external     sqlggdel


* Get DCS Directory Entry For Database
       integer*4    sqlggdge
       external     sqlggdge


* Get DCS Directory Entries
       integer*4    sqlggdgt
       external     sqlggdgt


* Open DCS Directory Scan
       integer*4    sqlggdsc
       external     sqlggdsc


* Get Instance
       integer*4    sqlggins
       external     sqlggins


* Catalog Database
       integer*4    sqlgctdd
       external     sqlgctdd


* Catalog Database
       integer*4    sqlgcadb
       external     sqlgcadb


* Catalog Node
       integer*4    sqlgctnd
       external     sqlgctnd


* Interrupt
       integer*4    sqlgintr
       external     sqlgintr


* Install Signal Handler
       integer*4    sqlgisig
       external     sqlgisig


* Migrate Database
       integer*4    sqlgmgdb
       external     sqlgmgdb


* Activate Database
       integer*4    sqlg_activate_db
       external     sqlg_activate_db


* Deactivate Database
       integer*4    sqlg_deactivate_db
       external     sqlg_deactivate_db


* Close Node Directory Scan
       integer*4    sqlgncls
       external     sqlgncls


* Get Next Node Directory Entry
       integer*4    sqlgngne
       external     sqlgngne


* Open Node Directory Scan
       integer*4    sqlgnops
       external     sqlgnops


* Database Application Remote Interface
       integer*4    sqlgproc
       external     sqlgproc


* Restart Database
       integer*4    sqlgrstd
       external     sqlgrstd


* Set Client
       integer*4    sqlgsetc
       external     sqlgsetc


* Query Client
       integer*4    sqlgqryc
       external     sqlgqryc


* Create Database
       integer*4    sqlgcrea
       external     sqlgcrea


* Attach
       integer*4    sqlgatin
       external     sqlgatin


* Detach
       integer*4    sqlgdtin
       external     sqlgdtin


* V5 Start Database Manager
       integer*4    sqlgpstart
       external     sqlgpstart


* V5 Stop Database Manager
       integer*4    sqlgpstp
       external     sqlgpstp


* Uncatalog Database
       integer*4    sqlguncd
       external     sqlguncd


* Uncatalog Node
       integer*4    sqlguncn
       external     sqlguncn


* Set Accounting String
       integer*4    sqlgsact
       external     sqlgsact


* Register DB2 Server
       integer*4    sqlgregs
       external     sqlgregs


* Deregister DB2 Server
       integer*4    sqlgdreg
       external     sqlgdreg


* Free Memory
       integer*4    sqlgfmem
       external     sqlgfmem


* Add Node
       integer*4    sqlgaddn
       external     sqlgaddn


* Create Database at Node
       integer*4    sqlgcran
       external     sqlgcran


* Drop Database at Node
       integer*4    sqlgdpan
       external     sqlgdpan


* Drop Node Verify
       integer*4    sqlgdrpn
       external     sqlgdrpn


* SQL Return Codes in SQLCODE for Environment Commands

* Request is still executing
       integer*2   sqle_rc_still_executing
       parameter ( sqle_rc_still_executing = 16 )

* Connect to other DB not allowed
       integer*2   sqle_rc_inluw
       parameter ( sqle_rc_inluw           = -752 )

* Only SBCS data allowed
       integer*2   sqle_rc_w863
       parameter ( sqle_rc_w863            = 863 )


* Agent heap too small
       integer*2   sqle_rc_e953
       parameter ( sqle_rc_e953            = -953 )

* Requestor comm heap too small
       integer*2   sqle_rc_e957
       parameter ( sqle_rc_e957            = -957 )

* Server comm heap too small
       integer*2   sqle_rc_e959
       parameter ( sqle_rc_e959            = -959 )

* Rqstr remote svcs heap too small
       integer*2   sqle_rc_e961
       parameter ( sqle_rc_e961            = -961 )

* Svr remote svcs heap too small
       integer*2   sqle_rc_e962
       parameter ( sqle_rc_e962            = -962 )

* Application control shared memory set cannot be allocated
       integer*2   sqle_rc_no_app_ctrl_seg
       parameter ( sqle_rc_no_app_ctrl_seg = -987 )


* New log path is invalid
       integer*2   sqle_rc_invnewlogp
       parameter ( sqle_rc_invnewlogp      = 993 )

* Current log path is invalid
       integer*2   sqle_rc_invlogp
       parameter ( sqle_rc_invlogp         = 995 )


* Invalid alias
       integer*2   sqle_rc_invalias
       parameter ( sqle_rc_invalias        = -1000 )

* Invalid database name
       integer*2   sqle_rc_invdbname
       parameter ( sqle_rc_invdbname       = -1001 )

* Invalid drive
       integer*2   sqle_rc_invdrive
       parameter ( sqle_rc_invdrive        = -1002 )


* Invalid password - OS/2
       integer*2   sqle_rc_invpsw_db2os2
       parameter ( sqle_rc_invpsw_db2os2   = -1003 )

* Invalid password - NT
       integer*2   sqle_rc_invpsw_db2nt
       parameter ( sqle_rc_invpsw_db2nt    = -1003 )

* Invalid password - DOS
       integer*2   sqle_rc_invpsw_db2dos
       parameter ( sqle_rc_invpsw_db2dos   = -1003 )

* Invalid password - Windows
       integer*2   sqle_rc_invpsw_db2win
       parameter ( sqle_rc_invpsw_db2win   = -1003 )

* Invalid password - Mac
       integer*2   sqle_rc_invpsw_db2mac
       parameter ( sqle_rc_invpsw_db2mac   = -1003 )

* Invalid password - AIX
       integer*2   sqle_rc_invpsw_db2aix
       parameter ( sqle_rc_invpsw_db2aix   = -10002 )


       integer*2   sqle_rc_invpsw
       parameter ( sqle_rc_invpsw          = -10002 )


* Insuf storage on file system
       integer*2   sqle_rc_insstor
       parameter ( sqle_rc_insstor         = -1004 )

* Duplicate alias
       integer*2   sqle_rc_dupalias
       parameter ( sqle_rc_dupalias        = -1005 )

* Appl code page does not match db
       integer*2   sqle_rc_wrongcodepg
       parameter ( sqle_rc_wrongcodepg     = -1006 )

* Invalid new password
       integer*2   sqle_rc_inv_newpsw
       parameter ( sqle_rc_inv_newpsw      = -1008 )

* Invalid remote command
       integer*2   sqle_rc_invremote
       parameter ( sqle_rc_invremote       = -1009 )


* Invalid type
       integer*2   sqle_rc_invtype
       parameter ( sqle_rc_invtype         = -1010 )

* No drive for indirect entry
       integer*2   sqle_rc_nodrive
       parameter ( sqle_rc_nodrive         = -1011 )

* No nodename for remote entry
       integer*2   sqle_rc_nonode
       parameter ( sqle_rc_nonode          = -1012 )

* Alias or database name not found
       integer*2   sqle_rc_nodb
       parameter ( sqle_rc_nodb            = -1013 )

* No more entries
       integer*2   sqle_rc_nomore
       parameter ( sqle_rc_nomore          = 1014 )

* Database needs restart
       integer*2   sqle_rc_db_restart
       parameter ( sqle_rc_db_restart      = -1015 )

* Invalid local_lu alias
       integer*2   sqle_rc_invllu
       parameter ( sqle_rc_invllu          = -1016 )

* Invalid mode
       integer*2   sqle_rc_invmode
       parameter ( sqle_rc_invmode         = -1017 )

* Duplicate node name
       integer*2   sqle_rc_dupnode
       parameter ( sqle_rc_dupnode         = -1018 )

* Invalid node name
       integer*2   sqle_rc_invnode
       parameter ( sqle_rc_invnode         = -1019 )


* Node could not be cataloged
       integer*2   sqle_rc_maxnode
       parameter ( sqle_rc_maxnode         = -1020 )

* Nodename not found
       integer*2   sqle_rc_notnode
       parameter ( sqle_rc_notnode         = -1021 )


* Insuf system resources - OS/2
       integer*2   sqle_rc_inssys_db2os2
       parameter ( sqle_rc_inssys_db2os2   = -1022 )

* Insuf system resources - NT
       integer*2   sqle_rc_inssys_db2nt
       parameter ( sqle_rc_inssys_db2nt    = -1022 )

* Insuf system resources - DOS
       integer*2   sqle_rc_inssys_db2dos
       parameter ( sqle_rc_inssys_db2dos   = -1022 )

* Insuf system resources - Windows
       integer*2   sqle_rc_inssys_db2win
       parameter ( sqle_rc_inssys_db2win   = -1022 )

* Insuf system resources - Macintosh
       integer*2   sqle_rc_inssys_db2mac
       parameter ( sqle_rc_inssys_db2mac   = -1022 )

* Insuf system resources - AIX
       integer*2   sqle_rc_inssys_db2aix
       parameter ( sqle_rc_inssys_db2aix   = -10003 )


       integer*2   sqle_rc_inssys
       parameter ( sqle_rc_inssys          = -10003 )


* Communication conversation failed
       integer*2   sqle_rc_noconv
       parameter ( sqle_rc_noconv          = -1023 )

* No database connection exists
       integer*2   sqle_rc_nosudb
       parameter ( sqle_rc_nosudb          = -1024 )

* Databases are active
       integer*2   sqle_rc_dbact
       parameter ( sqle_rc_dbact           = -1025 )

* Database manager already started
       integer*2   sqle_rc_invstrt
       parameter ( sqle_rc_invstrt         = -1026 )

* Node directory not found
       integer*2   sqle_rc_nonodedir
       parameter ( sqle_rc_nonodedir       = -1027 )

* Partner lu not specified
       integer*2   sqle_rc_invrlu
       parameter ( sqle_rc_invrlu          = -1029 )


* Database directory is full
       integer*2   sqle_rc_maxdb
       parameter ( sqle_rc_maxdb           = -1030 )

* Database directory not found
       integer*2   sqle_rc_nodbdir
       parameter ( sqle_rc_nodbdir         = -1031 )

* Database manager not started
       integer*2   sqle_rc_nostartg
       parameter ( sqle_rc_nostartg        = -1032 )

* Database directory being updated
       integer*2   sqle_rc_dirbusy
       parameter ( sqle_rc_dirbusy         = -1033 )

* Database is damaged
       integer*2   sqle_rc_dbbad
       parameter ( sqle_rc_dbbad           = -1034 )

* Database already in use
       integer*2   sqle_rc_db_inuse
       parameter ( sqle_rc_db_inuse        = -1035 )

* Database file error
       integer*2   sqle_rc_filedb
       parameter ( sqle_rc_filedb          = -1036 )

* No entry in Node directory
       integer*2   sqle_rc_node_dir_empty
       parameter ( sqle_rc_node_dir_empty  = 1037 )

* Node directory file error
       integer*2   sqle_rc_filenode
       parameter ( sqle_rc_filenode        = -1038 )


* Directory file error - OS/2
       integer*2   sqle_rc_filedir_db2os2
       parameter ( sqle_rc_filedir_db2os2  = -1039 )

* Directory file error - NT
       integer*2   sqle_rc_filedir_db2nt
       parameter ( sqle_rc_filedir_db2nt   = -1039 )

* Directory file error - DOS
       integer*2   sqle_rc_filedir_db2dos
       parameter ( sqle_rc_filedir_db2dos  = -1039 )

* Directory file error - Windows
       integer*2   sqle_rc_filedir_db2win
       parameter ( sqle_rc_filedir_db2win  = -1039 )

* Directory file error - Mac
       integer*2   sqle_rc_filedir_db2mac
       parameter ( sqle_rc_filedir_db2mac  = -1039 )

* Directory file error - AIX
       integer*2   sqle_rc_filedir_db2aix
       parameter ( sqle_rc_filedir_db2aix  = -10004 )


       integer*2   sqle_rc_filedir
       parameter ( sqle_rc_filedir         = -10004 )


* Max number of applications reached
       integer*2   sqle_rc_maxappls
       parameter ( sqle_rc_maxappls        = -1040 )

* Max number of databases started
       integer*2   sqle_rc_maxdbs
       parameter ( sqle_rc_maxdbs          = -1041 )

* System error
       integer*2   sqle_rc_syserr
       parameter ( sqle_rc_syserr          = -1042 )

* Catalog bootstrap failure
       integer*2   sqle_rc_catboot
       parameter ( sqle_rc_catboot         = -1043 )

* Request interrupted by ctrl+break
       integer*2   sqle_rc_intrrpt
       parameter ( sqle_rc_intrrpt         = -1044 )

* Invalid level of indirection
       integer*2   sqle_rc_invindir
       parameter ( sqle_rc_invindir        = -1045 )

* Invalid userid
       integer*2   sqle_rc_invauthid
       parameter ( sqle_rc_invauthid       = -1046 )

* Appl already connect to another db
       integer*2   sqle_rc_apconn
       parameter ( sqle_rc_apconn          = -1047 )


* Invalid use specified - OS/2
       integer*2   sqle_rc_useinvalid_db2os2
       parameter ( sqle_rc_useinvalid_db2os2 = -1048 )

* Invalid use specified - NT
       integer*2   sqle_rc_useinvalid_db2nt
       parameter ( sqle_rc_useinvalid_db2nt = -1048 )

* Invalid use specified - DOS
       integer*2   sqle_rc_useinvalid_db2dos
       parameter ( sqle_rc_useinvalid_db2dos = -1048 )

* Invalid use specified - Windows
       integer*2   sqle_rc_useinvalid_db2win
       parameter ( sqle_rc_useinvalid_db2win = -1048 )

* Invalid use specified - MacOS
       integer*2   sqle_rc_useinvalid_db2mac
       parameter ( sqle_rc_useinvalid_db2mac = -1048 )

* Invalid use specified - AIX
       integer*2   sqle_rc_useinvalid_db2aix
       parameter ( sqle_rc_useinvalid_db2aix = -10005 )


       integer*2   sqle_rc_useinvalid
       parameter ( sqle_rc_useinvalid      = -10005 )


* Appl state in error
       integer*2   sqle_rc_appserr
       parameter ( sqle_rc_appserr         = -900 )


* Cannot uncatalog 'Home' database
       integer*2   sqle_rc_unchome
       parameter ( sqle_rc_unchome         = -1050 )

* Db direct. drive does not exist
       integer*2   sqle_rc_nodirdrv
       parameter ( sqle_rc_nodirdrv        = -1051 )

* Database drive does not exist
       integer*2   sqle_rc_nodbdrv
       parameter ( sqle_rc_nodbdrv         = -1052 )

* Interrupt already in progress
       integer*2   sqle_rc_intbusy
       parameter ( sqle_rc_intbusy         = -1053 )

* Commit in progress - no int's
       integer*2   sqle_rc_comminp
       parameter ( sqle_rc_comminp         = -1054 )

* Rollback in progress - no int's
       integer*2   sqle_rc_rollinp
       parameter ( sqle_rc_rollinp         = -1055 )

* Cannot be interrupted - no int's
       integer*2   sqle_rc_nointer
       parameter ( sqle_rc_nointer         = -1360 )

* Windows Client Execution Timeout
       integer*2   sqle_rc_timeout
       parameter ( sqle_rc_timeout         = 1361 )

* Maximum allowable scans exceeded
       integer*2   sqle_rc_maxscan
       parameter ( sqle_rc_maxscan         = -1056 )

* No entries in directory
       integer*2   sqle_rc_nodentry
       parameter ( sqle_rc_nodentry        = 1057 )

* Invalid input handle
       integer*2   sqle_rc_invhand
       parameter ( sqle_rc_invhand         = -1058 )

* Open scan not issued
       integer*2   sqle_rc_noscan
       parameter ( sqle_rc_noscan          = -1059 )


* User lacks connect privilege
       integer*2   sqle_rc_noconnect
       parameter ( sqle_rc_noconnect       = -1060 )

* RESTART was successful, but indoubt transactions exist
       integer*2   sqle_rc_restart_with_indoubts
       parameter ( sqle_rc_restart_with_indoubts = 1061 )

* Database path not found
       integer*2   sqle_rc_badpath
       parameter ( sqle_rc_badpath         = -1062 )

* Database manager started OK
       integer*2   sqle_rc_start_ok
       parameter ( sqle_rc_start_ok        = -1063 )

* Database manager stopped OK
       integer*2   sqle_rc_stop_ok
       parameter ( sqle_rc_stop_ok         = -1064 )

* N utilities not bound
       integer*2   sqle_rc_db_badbinds
       parameter ( sqle_rc_db_badbinds     = 1065 )


* Message file not found - OS/2
       integer*2   sqle_rc_nomsg_db2os2
       parameter ( sqle_rc_nomsg_db2os2    = -1068 )

* Message file not found - NT
       integer*2   sqle_rc_nomsg_db2nt
       parameter ( sqle_rc_nomsg_db2nt     = -1068 )

* Message file not found - DOS
       integer*2   sqle_rc_nomsg_db2dos
       parameter ( sqle_rc_nomsg_db2dos    = -1068 )

* Message file not found - Windows
       integer*2   sqle_rc_nomsg_db2win
       parameter ( sqle_rc_nomsg_db2win    = -1068 )

* Message file not found - MacOS
       integer*2   sqle_rc_nomsg_db2mac
       parameter ( sqle_rc_nomsg_db2mac    = -1068 )

* Message file not found - AIX
       integer*2   sqle_rc_nomsg_db2aix
       parameter ( sqle_rc_nomsg_db2aix    = -10007 )


       integer*2   sqle_rc_nomsg
       parameter ( sqle_rc_nomsg           = -10007 )


* DB invalid type for Drop
       integer*2   sqle_rc_invdrop
       parameter ( sqle_rc_invdrop         = -1069 )


* Invalid Database Name pointer
       integer*2   sqle_rc_invdbname_ptr
       parameter ( sqle_rc_invdbname_ptr   = -1070 )

* Invalid Alias pointer
       integer*2   sqle_rc_invalias_ptr
       parameter ( sqle_rc_invalias_ptr    = -1071 )

* Resources in inconsistent state
       integer*2   sqle_rc_resource_error
       parameter ( sqle_rc_resource_error  = -1072 )

* Invalid Node Directory release
       integer*2   sqle_rc_bad_nd_rel
       parameter ( sqle_rc_bad_nd_rel      = -1073 )

* Invalid Password pointer
       integer*2   sqle_rc_invpsw_ptr
       parameter ( sqle_rc_invpsw_ptr      = -1074 )

* Invalid Comment pointer
       integer*2   sqle_rc_invcomm_ptr
       parameter ( sqle_rc_invcomm_ptr     = -1075 )

* Invalid Count pointer
       integer*2   sqle_rc_invcnt_ptr
       parameter ( sqle_rc_invcnt_ptr      = -1076 )

* Invalid Handle pointer
       integer*2   sqle_rc_invhand_ptr
       parameter ( sqle_rc_invhand_ptr     = -1077 )

* Invalid Buffer pointer
       integer*2   sqle_rc_invbuff_ptr
       parameter ( sqle_rc_invbuff_ptr     = -1078 )

* Invalid Node pointer
       integer*2   sqle_rc_invnode_ptr
       parameter ( sqle_rc_invnode_ptr     = -1079 )

* Invalid Userid pointer
       integer*2   sqle_rc_invuserid_ptr
       parameter ( sqle_rc_invuserid_ptr   = -1150 )

* Invalid Parms pointer
       integer*2   sqle_rc_invparm_ptr
       parameter ( sqle_rc_invparm_ptr     = -1151 )


* Invalid Local Lu pointer
       integer*2   sqle_rc_invllu_ptr
       parameter ( sqle_rc_invllu_ptr      = -1080 )

* Invalid Remote Lu pointer
       integer*2   sqle_rc_invrlu_ptr
       parameter ( sqle_rc_invrlu_ptr      = -1081 )

* Invalid Mode pointer
       integer*2   sqle_rc_invmode_ptr
       parameter ( sqle_rc_invmode_ptr     = -1082 )

* Bad Database Description Block
       integer*2   sqle_rc_bad_dbdb
       parameter ( sqle_rc_bad_dbdb        = -1083 )

* Cannot Allocate Kernel Segments
       integer*2   sqle_rc_ksegsfail
       parameter ( sqle_rc_ksegsfail       = -1084 )

* Cannot Allocate Application heap
       integer*2   sqle_rc_appheapfail
       parameter ( sqle_rc_appheapfail     = -1085 )

* Unexpected OS/2 error
       integer*2   sqle_rc_os2error
       parameter ( sqle_rc_os2error        = -1086 )

* Bind list could not be opened
       integer*2   sqle_rc_bind_list
       parameter ( sqle_rc_bind_list       = 1087 )

* Error occurred during bind
       integer*2   sqle_rc_bind_error
       parameter ( sqle_rc_bind_error      = 1088 )

* Binding was interrupted
       integer*2   sqle_rc_bind_intrrpt
       parameter ( sqle_rc_bind_intrrpt    = 1089 )


* Release number of appl is invalid
       integer*2   sqle_rc_bad_app_rel
       parameter ( sqle_rc_bad_app_rel     = -1090 )

* Release number of database bad
       integer*2   sqle_rc_bad_db_rel
       parameter ( sqle_rc_bad_db_rel      = -1091 )


* Authorization error
       integer*2   sqle_rc_insauth
       parameter ( sqle_rc_insauth         = -1092 )

* User not logged on
       integer*2   sqle_rc_nologon
       parameter ( sqle_rc_nologon         = -1093 )

* Node directory being updated
       integer*2   sqle_rc_ndbusy
       parameter ( sqle_rc_ndbusy          = -1094 )

* Max node scans open
       integer*2   sqle_rc_max_ndscan
       parameter ( sqle_rc_max_ndscan      = -1095 )

* Invalid type for requester node
       integer*2   sqle_rc_reqtype
       parameter ( sqle_rc_reqtype         = -1096 )

* Node not found for remote db
       integer*2   sqle_rc_noderr
       parameter ( sqle_rc_noderr          = -1097 )

* Appl is already connected to db
       integer*2   sqle_rc_apconn_same
       parameter ( sqle_rc_apconn_same     = -1098 )


* Write protect error on diskette
       integer*2   sqle_rc_wrprot_err_db2os2
       parameter ( sqle_rc_wrprot_err_db2os2 = -1099 )

* Write protect error on diskette
       integer*2   sqle_rc_wrprot_err_db2nt
       parameter ( sqle_rc_wrprot_err_db2nt = -1099 )

* Write protect error on diskette
       integer*2   sqle_rc_wrprot_err_db2dos
       parameter ( sqle_rc_wrprot_err_db2dos = -1099 )

* Write protect error on diskette
       integer*2   sqle_rc_wrprot_err_db2win
       parameter ( sqle_rc_wrprot_err_db2win = -1099 )

* Write protect error on diskette
       integer*2   sqle_rc_wrprot_err_db2mac
       parameter ( sqle_rc_wrprot_err_db2mac = -1099 )

* Write protect error on filesystem
       integer*2   sqle_rc_wrprot_err_db2aix
       parameter ( sqle_rc_wrprot_err_db2aix = -10021 )


       integer*2   sqle_rc_wrprot_err
       parameter ( sqle_rc_wrprot_err      = -10021 )


* Node not cataloged for database
       integer*2   sqle_rc_node_warn
       parameter ( sqle_rc_node_warn       = 1100 )

* Remote communications error
       integer*2   sqle_rc_remconn_err
       parameter ( sqle_rc_remconn_err     = -1101 )

* No database name provided in call
       integer*2   sqle_rc_mig_nodb
       parameter ( sqle_rc_mig_nodb        = -1102 )

* Migration was successful
       integer*2   sqle_rc_mig_ok
       parameter ( sqle_rc_mig_ok          = 1103 )

* Invalid program name pointer
       integer*2   sqle_rc_invprog_ptr
       parameter ( sqle_rc_invprog_ptr     = -1104 )


* Invalid disconnect from database
       integer*2   sqle_rc_inv_spdb_db2os2
       parameter ( sqle_rc_inv_spdb_db2os2 = -1105 )

* Invalid disconnect from database
       integer*2   sqle_rc_inv_spdb_db2nt
       parameter ( sqle_rc_inv_spdb_db2nt  = -1105 )

* Invalid disconnect from database
       integer*2   sqle_rc_inv_spdb_db2dos
       parameter ( sqle_rc_inv_spdb_db2dos = -1105 )

* Invalid disconnect from database
       integer*2   sqle_rc_inv_spdb_db2win
       parameter ( sqle_rc_inv_spdb_db2win = -1105 )

* Invalid disconnect from database
       integer*2   sqle_rc_inv_spdb_db2mac
       parameter ( sqle_rc_inv_spdb_db2mac = -1105 )

* Invalid disconnect from database
       integer*2   sqle_rc_inv_spdb_db2aix
       parameter ( sqle_rc_inv_spdb_db2aix = -10017 )


       integer*2   sqle_rc_inv_spdb
       parameter ( sqle_rc_inv_spdb        = -10017 )


* Function could not be executed
       integer*2   sqle_rc_invalid_proc_db2os2
       parameter ( sqle_rc_invalid_proc_db2os2 = -1106 )

* Function could not be executed
       integer*2   sqle_rc_invalid_proc_db2nt
       parameter ( sqle_rc_invalid_proc_db2nt = -1106 )

* Function could not be executed
       integer*2   sqle_rc_invalid_proc_db2dos
       parameter ( sqle_rc_invalid_proc_db2dos = -1106 )

* Function could not be executed
       integer*2   sqle_rc_invalid_proc_db2win
       parameter ( sqle_rc_invalid_proc_db2win = -1106 )

* Function could not be executed
       integer*2   sqle_rc_invalid_proc_db2mac
       parameter ( sqle_rc_invalid_proc_db2mac = -1106 )

* Function could not be executed
       integer*2   sqle_rc_invalid_proc_db2aix
       parameter ( sqle_rc_invalid_proc_db2aix = -10010 )


       integer*2   sqle_rc_invalid_proc
       parameter ( sqle_rc_invalid_proc    = -10010 )


* Program interrupted - OS/2
       integer*2   sqle_rc_intrp_proc_db2os2
       parameter ( sqle_rc_intrp_proc_db2os2 = -1107 )

* Program interrupted - NT
       integer*2   sqle_rc_intrp_proc_db2nt
       parameter ( sqle_rc_intrp_proc_db2nt = -1107 )

* Program interrupted - DOS
       integer*2   sqle_rc_intrp_proc_db2dos
       parameter ( sqle_rc_intrp_proc_db2dos = -1107 )

* Program interrupted - Windows
       integer*2   sqle_rc_intrp_proc_db2win
       parameter ( sqle_rc_intrp_proc_db2win = -1107 )

* Program interrupted - MacOS
       integer*2   sqle_rc_intrp_proc_db2mac
       parameter ( sqle_rc_intrp_proc_db2mac = -1107 )

* Program interrupted - AIX
       integer*2   sqle_rc_intrp_proc_db2aix
       parameter ( sqle_rc_intrp_proc_db2aix = -10011 )


       integer*2   sqle_rc_intrp_proc
       parameter ( sqle_rc_intrp_proc      = -10010 )


* System error on library load
       integer*2   sqle_rc_syserr_proc_db2os2
       parameter ( sqle_rc_syserr_proc_db2os2 = -1108 )

* System error on library load
       integer*2   sqle_rc_syserr_proc_db2nt
       parameter ( sqle_rc_syserr_proc_db2nt = -1108 )

* System error on library load
       integer*2   sqle_rc_syserr_proc_db2dos
       parameter ( sqle_rc_syserr_proc_db2dos = -1108 )

* System error on library load
       integer*2   sqle_rc_syserr_proc_db2win
       parameter ( sqle_rc_syserr_proc_db2win = -1108 )

* System error on library load
       integer*2   sqle_rc_syserr_proc_db2mac
       parameter ( sqle_rc_syserr_proc_db2mac = -1108 )

* System error on library load
       integer*2   sqle_rc_syserr_proc_db2aix
       parameter ( sqle_rc_syserr_proc_db2aix = -10012 )


       integer*2   sqle_rc_syserr_proc
       parameter ( sqle_rc_syserr_proc     = -10012 )


* Library could not be loaded
       integer*2   sqle_rc_nofile_proc_db2os2
       parameter ( sqle_rc_nofile_proc_db2os2 = -1109 )

* Library could not be loaded
       integer*2   sqle_rc_nofile_proc_db2nt
       parameter ( sqle_rc_nofile_proc_db2nt = -1109 )

* Library could not be loaded
       integer*2   sqle_rc_nofile_proc_db2dos
       parameter ( sqle_rc_nofile_proc_db2dos = -1109 )

* Library could not be loaded
       integer*2   sqle_rc_nofile_proc_db2win
       parameter ( sqle_rc_nofile_proc_db2win = -1109 )

* Library could not be loaded
       integer*2   sqle_rc_nofile_proc_db2mac
       parameter ( sqle_rc_nofile_proc_db2mac = -1109 )

* Library could not be loaded
       integer*2   sqle_rc_nofile_proc_db2aix
       parameter ( sqle_rc_nofile_proc_db2aix = -10013 )


       integer*2   sqle_rc_nofile_proc
       parameter ( sqle_rc_nofile_proc     = -10013 )


* Program error
       integer*2   sqle_rc_error_proc
       parameter ( sqle_rc_error_proc      = -1110 )


* Invalid DARI prog name format
       integer*2   sqle_rc_badpgn_proc_db2os2
       parameter ( sqle_rc_badpgn_proc_db2os2 = -1111 )

* Invalid DARI prog name format
       integer*2   sqle_rc_badpgn_proc_db2nt
       parameter ( sqle_rc_badpgn_proc_db2nt = -1111 )

* Invalid DARI prog name format
       integer*2   sqle_rc_badpgn_proc_db2dos
       parameter ( sqle_rc_badpgn_proc_db2dos = -1111 )

* Invalid DARI prog name format
       integer*2   sqle_rc_badpgn_proc_db2win
       parameter ( sqle_rc_badpgn_proc_db2win = -1111 )

* Invalid DARI prog name format
       integer*2   sqle_rc_badpgn_proc_db2mac
       parameter ( sqle_rc_badpgn_proc_db2mac = -1111 )

* Invalid DARI prog name format
       integer*2   sqle_rc_badpgn_proc_db2aix
       parameter ( sqle_rc_badpgn_proc_db2aix = -10014 )


       integer*2   sqle_rc_badpgn_proc
       parameter ( sqle_rc_badpgn_proc     = -10014 )


* Insuf memory to load lib
       integer*2   sqle_rc_insmem_proc_db2os2
       parameter ( sqle_rc_insmem_proc_db2os2 = -1112 )

* Insuf memory to load lib
       integer*2   sqle_rc_insmem_proc_db2nt
       parameter ( sqle_rc_insmem_proc_db2nt = -1112 )

* Insuf memory to load lib
       integer*2   sqle_rc_insmem_proc_db2dos
       parameter ( sqle_rc_insmem_proc_db2dos = -1112 )

* Insuf memory to load lib
       integer*2   sqle_rc_insmem_proc_db2win
       parameter ( sqle_rc_insmem_proc_db2win = -1112 )

* Insuf memory to load lib
       integer*2   sqle_rc_insmem_proc_db2mac
       parameter ( sqle_rc_insmem_proc_db2mac = -1112 )

* Insuf memory to load lib
       integer*2   sqle_rc_insmem_proc_db2aix
       parameter ( sqle_rc_insmem_proc_db2aix = -10015 )


       integer*2   sqle_rc_insmem_proc
       parameter ( sqle_rc_insmem_proc     = -10015 )


* Data type in output SQLDA changed
       integer*2   sqle_rc_sqlda_datatype
       parameter ( sqle_rc_sqlda_datatype  = -1113 )

* Data length in output SQLDA changed
       integer*2   sqle_rc_sqlda_length
       parameter ( sqle_rc_sqlda_length    = -1114 )

* Num of sqlvars changed in SQLDA
       integer*2   sqle_rc_sqlda_vars
       parameter ( sqle_rc_sqlda_vars      = -1115 )

* Backup pending
       integer*2   sqle_rc_bkp_pend
       parameter ( sqle_rc_bkp_pend        = -1116 )

* Roll forward pending
       integer*2   sqle_rc_rollfwd_pend
       parameter ( sqle_rc_rollfwd_pend    = -1117 )

* Need to rerun the Backup process
       integer*2   sqle_rc_bkp_inprog
       parameter ( sqle_rc_bkp_inprog      = -1118 )

* Need to rerun the Restore process
       integer*2   sqle_rc_rst_inprog
       parameter ( sqle_rc_rst_inprog      = -1119 )

* Need to rerun either Backup or Restore process
       integer*2   sqle_rc_br_inprog
       parameter ( sqle_rc_br_inprog       = -1120 )


* Invalid Node structure pointer
       integer*2   sqle_rc_invnodestr_ptr
       parameter ( sqle_rc_invnodestr_ptr  = -1121 )

* Invalid Protocol structure pointer
       integer*2   sqle_rc_invprotocol_ptr
       parameter ( sqle_rc_invprotocol_ptr = -1122 )

* Invalid protocol type
       integer*2   sqle_rc_invprotocol
       parameter ( sqle_rc_invprotocol     = -1123 )

* Invalid remote workstation name
       integer*2   sqle_rc_invrnname
       parameter ( sqle_rc_invrnname       = -1124 )

* Invalid adapter number
       integer*2   sqle_rc_invadapter
       parameter ( sqle_rc_invadapter      = -1125 )

* Invalid network id
       integer*2   sqle_rc_invnetid
       parameter ( sqle_rc_invnetid        = -1126 )

* Invalid real partner LU name
       integer*2   sqle_rc_invplu
       parameter ( sqle_rc_invplu          = -1127 )


* Insuf system resources for DARI
       integer*2   sqle_rc_dari_inssys
       parameter ( sqle_rc_dari_inssys     = -1129 )

* Max DARI process limit reached
       integer*2   sqle_rc_dari_maxdari
       parameter ( sqle_rc_dari_maxdari    = -1130 )

* DARI process abnormally terminated
       integer*2   sqle_rc_dari_abend
       parameter ( sqle_rc_dari_abend      = -1131 )

* Invalid DB2 request in DARI
       integer*2   sqle_rc_dari_inv_rqst
       parameter ( sqle_rc_dari_inv_rqst   = -1132 )

* SQLVAR's sqldata or sqlind ptrs were altered
       integer*2   sqle_rc_dari_var_pointer_chg
       parameter ( sqle_rc_dari_var_pointer_chg = -1133 )

* DB2 request is not allowed when DB auth is client
       integer*2   sqle_rc_dari_rqst_auth_err
       parameter ( sqle_rc_dari_rqst_auth_err = -1134 )

* Invalid numsegs on create db
       integer*2   sqle_rc_bad_numsegs
       parameter ( sqle_rc_bad_numsegs     = -1135 )

* Invalid extSize on create db
       integer*2   sqle_rc_bad_extsize
       parameter ( sqle_rc_bad_extsize     = -1136 )

* Mounted Segment Directories on a drop database request
       integer*2   sqle_rc_mounted_segs
       parameter ( sqle_rc_mounted_segs    = -1137 )


* Invalid object specified
       integer*2   sqle_rc_invos_obj
       parameter ( sqle_rc_invos_obj       = -1200 )

* Invalid status specified
       integer*2   sqle_rc_invos_stat
       parameter ( sqle_rc_invos_stat      = -1201 )

* Status has not been collected
       integer*2   sqle_rc_invos_nostat
       parameter ( sqle_rc_invos_nostat    = -1202 )

* No users connected to database
       integer*2   sqle_rc_invos_nouser
       parameter ( sqle_rc_invos_nouser    = -1203 )

* Active codepage is not supported
       integer*2   sqle_rc_unsupp_codepg
       parameter ( sqle_rc_unsupp_codepg   = -1204 )


* Invalid country information
       integer*2   sqle_rc_inv_cntryinfo_db2os2
       parameter ( sqle_rc_inv_cntryinfo_db2os2 = -1205 )

* Invalid country information
       integer*2   sqle_rc_inv_cntryinfo_db2nt
       parameter ( sqle_rc_inv_cntryinfo_db2nt = -1205 )

* Invalid country information
       integer*2   sqle_rc_inv_cntryinfo_db2dos
       parameter ( sqle_rc_inv_cntryinfo_db2dos = -1205 )

* Invalid country information
       integer*2   sqle_rc_inv_cntryinfo_db2win
       parameter ( sqle_rc_inv_cntryinfo_db2win = -1205 )

* Invalid country information
       integer*2   sqle_rc_inv_cntryinfo_db2mac
       parameter ( sqle_rc_inv_cntryinfo_db2mac = -1205 )

* Invalid country information
       integer*2   sqle_rc_inv_cntryinfo_db2aix
       parameter ( sqle_rc_inv_cntryinfo_db2aix = -10009 )


       integer*2   sqle_rc_inv_cntryinfo
       parameter ( sqle_rc_inv_cntryinfo   = -10009 )


* Invalid Computer Name
       integer*2   sqle_rc_inv_computername
       parameter ( sqle_rc_inv_computername = -1211 )

* Invalid Instance Name
       integer*2   sqle_rc_inv_instancename
       parameter ( sqle_rc_inv_instancename = -1212 )

* Invalid Change Password LU
       integer*2   sqle_rc_invchgpwdlu
       parameter ( sqle_rc_invchgpwdlu     = -1213 )

* Invalid Transaction Pgm Name
       integer*2   sqle_rc_invtpname
       parameter ( sqle_rc_invtpname       = -1214 )

* Invalid LAN Adapter Addr
       integer*2   sqle_rc_invlanaddress
       parameter ( sqle_rc_invlanaddress   = -1215 )

* DB2 Shared Memory Set alloc failed
       integer*2   sqle_rc_no_shrd_seg
       parameter ( sqle_rc_no_shrd_seg     = -1220 )

* ASL heap cannot be allocated
       integer*2   sqle_rc_no_asl_heap
       parameter ( sqle_rc_no_asl_heap     = -1221 )

* ASL heap is too small
       integer*2   sqle_rc_asl_too_small
       parameter ( sqle_rc_asl_too_small   = -1222 )

* No more agents available
       integer*2   sqle_rc_no_agent_avail
       parameter ( sqle_rc_no_agent_avail  = -1223 )

* DB2 agent not active
       integer*2   sqle_rc_agent_gone
       parameter ( sqle_rc_agent_gone      = -1224 )

* Op. Sys. couldn't spawn a process
       integer*2   sqle_rc_proc_limit
       parameter ( sqle_rc_proc_limit      = -1225 )

* Max number of coords reached
       integer*2   sqle_rc_maxcoords
       parameter ( sqle_rc_maxcoords       = -1226 )

* Drop database warning
       integer*2   sqle_rc_dropdb_warn
       parameter ( sqle_rc_dropdb_warn     = 1228 )


* At least one agent not forced
       integer*2   sqle_rc_agent_not_forced
       parameter ( sqle_rc_agent_not_forced = 1230 )

* Invalid Force Users count
       integer*2   sqle_rc_invcount
       parameter ( sqle_rc_invcount        = -1231 )

* Invalid Force Users mode
       integer*2   sqle_rc_invfrce_mode
       parameter ( sqle_rc_invfrce_mode    = -1232 )


* Invalid TableSpace descriptor
       integer*2   sqle_rc_inv_tbs_desc
       parameter ( sqle_rc_inv_tbs_desc    = -1241 )


* Cannot set connection options - existing connections
       integer*2   sqle_rc_no_setconnopt
       parameter ( sqle_rc_no_setconnopt   = -1246 )


* db2uexit file not found
       integer*2   sqle_rc_nouexit
       parameter ( sqle_rc_nouexit         = -1267 )


       integer*2   sqlc_rc_npipe_broken
       parameter ( sqlc_rc_npipe_broken    = -1281 )

       integer*2   sqlc_rc_npipe_busy
       parameter ( sqlc_rc_npipe_busy      = -1282 )

       integer*2   sqlc_rc_npipe_pipe_inuse
       parameter ( sqlc_rc_npipe_pipe_inuse = -1283 )

       integer*2   sqlc_rc_npipe_pipe_not_found
       parameter ( sqlc_rc_npipe_pipe_not_found = -1284 )

       integer*2   sqlc_rc_npipe_invalid_name
       parameter ( sqlc_rc_npipe_invalid_name = -1285 )

       integer*2   sqlc_rc_npipe_no_resource
       parameter ( sqlc_rc_npipe_no_resource = -1286 )

       integer*2   sqlc_rc_npipe_inst_not_found
       parameter ( sqlc_rc_npipe_inst_not_found = -1287 )


* Directory Services failed
       integer*2   sqle_rc_ds_failed
       parameter ( sqle_rc_ds_failed       = -1291 )

* Bad global name
       integer*2   sqle_rc_ds_bad_glb_name
       parameter ( sqle_rc_ds_bad_glb_name = -1292 )

* Bad global directory entry
       integer*2   sqle_rc_ds_bad_glb_dir_entry
       parameter ( sqle_rc_ds_bad_glb_dir_entry = -1293 )

* Bad DIR_PATH_NAME
       integer*2   sqle_rc_ds_bad_dir_path_name
       parameter ( sqle_rc_ds_bad_dir_path_name = -1294 )

* Bad ROUTE_OBJ_NAME
       integer*2   sqle_rc_ds_bad_route_name
       parameter ( sqle_rc_ds_bad_route_name = -1295 )

* Command not supported
       integer*2   sqle_rc_ds_unsupported_cmd
       parameter ( sqle_rc_ds_unsupported_cmd = -1297 )


* Invalid DCE principal name
       integer*2   sqle_rc_dce_invpn
       parameter ( sqle_rc_dce_invpn       = -1300 )

* Error DCE keytab file
       integer*2   sqle_rc_dce_err_keytab
       parameter ( sqle_rc_dce_err_keytab  = -1301 )

* DCE principal and DB2 authid mapping error
       integer*2   sqle_rc_dce_err_mapping
       parameter ( sqle_rc_dce_err_mapping = -1302 )

* Security daemon could not be restarted
       integer*2   sqle_rc_secd_err_restart
       parameter ( sqle_rc_secd_err_restart = -1303 )

* Invalid security type for TCPIP protocol
       integer*2   sqle_rc_invstcp
       parameter ( sqle_rc_invstcp         = -1304 )

* DCE internal error
       integer*2   sqle_rc_dce_err
       parameter ( sqle_rc_dce_err         = -1305 )

* DCE invalid server principal name
       integer*2   sqle_rc_dce_inv_princ
       parameter ( sqle_rc_dce_inv_princ   = -1309 )


* DCS Directory file access error
       integer*2   sqle_rc_filedcs
       parameter ( sqle_rc_filedcs         = -1310 )

* DCS Directory not found
       integer*2   sqle_rc_dcsdir_nf
       parameter ( sqle_rc_dcsdir_nf       = -1311 )

* DCS Directory is empty
       integer*2   sqle_rc_no_entry
       parameter ( sqle_rc_no_entry        = 1312 )

* DCS Directory is full
       integer*2   sqle_rc_max_entry
       parameter ( sqle_rc_max_entry       = -1313 )

* Entry parameter pointer invalid
       integer*2   sqle_rc_inventry_ptr
       parameter ( sqle_rc_inventry_ptr    = -1314 )

* Local DB name has invalid chars
       integer*2   sqle_rc_invldb
       parameter ( sqle_rc_invldb          = -1315 )

* DCS Directory entry not found
       integer*2   sqle_rc_ldb_nf
       parameter ( sqle_rc_ldb_nf          = -1316 )

* DCS Directory duplicate entry
       integer*2   sqle_rc_dupldb
       parameter ( sqle_rc_dupldb          = -1317 )

* Invalid element length
       integer*2   sqle_rc_invlength
       parameter ( sqle_rc_invlength       = -1318 )

* Entries have not been collected
       integer*2   sqle_rc_entrynot_col
       parameter ( sqle_rc_entrynot_col    = -1319 )


* Cannot access DCS Dir at this time
       integer*2   sqle_rc_gdbusy
       parameter ( sqle_rc_gdbusy          = -1320 )

* Invalid structure ID
       integer*2   sqle_rc_invstruct_id
       parameter ( sqle_rc_invstruct_id    = -1321 )

* Error writing to audit log
       integer*2   sqle_rc_aud_write_err
       parameter ( sqle_rc_aud_write_err   = -1322 )

* Error accessing db2audit.cfg
       integer*2   sqle_rc_aud_cfg_file_err
       parameter ( sqle_rc_aud_cfg_file_err = -1323 )

* Remote function not supported
       integer*2   sqle_rc_drdansp
       parameter ( sqle_rc_drdansp         = -1325 )

* File or directory access denied
       integer*2   sqle_rc_accd
       parameter ( sqle_rc_accd            = -1326 )

* Implicit connect - invalid dbname
       integer*2   sqle_rc_implconn_invdb
       parameter ( sqle_rc_implconn_invdb  = -1327 )

* Implicit connect - alias not found
       integer*2   sqle_rc_implconn_nodb
       parameter ( sqle_rc_implconn_nodb   = -1328 )

* Input path too long
       integer*2   sqle_rc_path_too_long
       parameter ( sqle_rc_path_too_long   = -1329 )


* Invalid symbolic destination name
       integer*2   sqle_rc_invsdname
       parameter ( sqle_rc_invsdname       = -1330 )

* Invalid CPIC security type
       integer*2   sqle_rc_invstype
       parameter ( sqle_rc_invstype        = -1331 )

* Invalid Host Name
       integer*2   sqle_rc_inv_hostname
       parameter ( sqle_rc_inv_hostname    = -1332 )

* Invalid Service Name
       integer*2   sqle_rc_inv_sername
       parameter ( sqle_rc_inv_sername     = -1333 )


* Double-hops not allowed
       integer*2   sqle_rc_double_remote
       parameter ( sqle_rc_double_remote   = -1334 )

* AR name has invalid chars
       integer*2   sqle_rc_invar
       parameter ( sqle_rc_invar           = -1335 )


* File server is unknown
       integer*2   sqle_rc_unknown_fileserver
       parameter ( sqle_rc_unknown_fileserver = -1340 )

* Invalid File Server
       integer*2   sqle_rc_inv_fserver
       parameter ( sqle_rc_inv_fserver     = -1342 )

* Invalid Object Name
       integer*2   sqle_rc_inv_objname
       parameter ( sqle_rc_inv_objname     = -1343 )


* Backup or Restore is active
       integer*2   sqle_rc_br_active
       parameter ( sqle_rc_br_active       = -1350 )


* Invalid Instance Name
       integer*2   sqle_rc_inv_instance
       parameter ( sqle_rc_inv_instance    = -1390 )

* Another Instance is using the DB
       integer*2   sqle_rc_instance_using
       parameter ( sqle_rc_instance_using  = -1391 )

* Invalid DB2 Path Name
       integer*2   sqle_rc_inv_db2path
       parameter ( sqle_rc_inv_db2path     = -1393 )


* Unsupported authentication type
       integer*2   sqle_rc_bad_auth
       parameter ( sqle_rc_bad_auth        = -1400 )

* Authentication types do not match
       integer*2   sqle_rc_diff_auth
       parameter ( sqle_rc_diff_auth       = -1401 )

* Authentication failed due to unexpected error
       integer*2   sqle_rc_auth_err
       parameter ( sqle_rc_auth_err        = -1402 )

* Invalid user name and/or password
       integer*2   sqle_rc_auth_failure
       parameter ( sqle_rc_auth_failure    = -1403 )

* Password has expired
       integer*2   sqle_rc_password_expired
       parameter ( sqle_rc_password_expired = -1404 )

* Password without userid
       integer*2   sqle_rc_passwd_without_userid
       parameter ( sqle_rc_passwd_without_userid = -1425 )

* Error getting DB2INSTDFT
       integer*2   sqle_rc_db2instdft_error
       parameter ( sqle_rc_db2instdft_error = -1426 )

* No current attachment
       integer*2   sqle_rc_not_instance_attached
       parameter ( sqle_rc_not_instance_attached = -1427 )

* Attached to wrong instance
       integer*2   sqle_rc_wrong_attach
       parameter ( sqle_rc_wrong_attach    = -1428 )

* Relative path not allowed
       integer*2   sqle_rc_relpath_not_allowed
       parameter ( sqle_rc_relpath_not_allowed = -1431 )

* Connected to wrong database
       integer*2   sqle_rc_wrong_connect
       parameter ( sqle_rc_wrong_connect   = -1433 )


* Ctx parm invalid
       integer*2   sqle_rc_ctx_inv_parm
       parameter ( sqle_rc_ctx_inv_parm    = -1441 )

* App Ctx not in use
       integer*2   sqle_rc_ctx_notinuse
       parameter ( sqle_rc_ctx_notinuse    = -1442 )

* Already using Ctx
       integer*2   sqle_rc_ctx_using
       parameter ( sqle_rc_ctx_using       = -1443 )

* App Ctx in use
       integer*2   sqle_rc_ctx_inuse
       parameter ( sqle_rc_ctx_inuse       = -1444 )

* Thread does not have context
       integer*2   sqle_rc_ctx_no_ctx
       parameter ( sqle_rc_ctx_no_ctx      = -1445 )


* Invalid registration info. ptr.
       integer*2   sqle_rc_invreginfo_ptr
       parameter ( sqle_rc_invreginfo_ptr  = -1450 )

* Reg. issued from invalid node
       integer*2   sqle_rc_reg_invnode
       parameter ( sqle_rc_reg_invnode     = -1451 )

* Invalid registration location
       integer*2   sqle_rc_invregloc
       parameter ( sqle_rc_invregloc       = -1452 )

* Invalid file server in DBM cfg.
       integer*2   sqle_rc_invcfg_fsname
       parameter ( sqle_rc_invcfg_fsname   = -1453 )

* Invalid object name in DBM cfg.
       integer*2   sqle_rc_invcfg_objname
       parameter ( sqle_rc_invcfg_objname  = -1454 )

* Invalid IPX socket in DBM cfg.
       integer*2   sqle_rc_invcfg_ipxsocket
       parameter ( sqle_rc_invcfg_ipxsocket = -1455 )

* Object name already exists
       integer*2   sqle_rc_duplicate_objname
       parameter ( sqle_rc_duplicate_objname = -1456 )

* NWDS connection exists, cannot log into NW fileserver
       integer*2   sqle_rc_nwds_connexists
       parameter ( sqle_rc_nwds_connexists = -1457 )

* DB2 server reg./dereg. not needed
       integer*2   sqle_rc_reg_not_needed
       parameter ( sqle_rc_reg_not_needed  = -1458 )

* Invalid TCPIP Security 
       integer*2   sqle_rc_invstype_tcp
       parameter ( sqle_rc_invstype_tcp    = -1461 )


* Database is started but only one bufferpool is started
       integer*2   sqle_rc_one_bufferpool
       parameter ( sqle_rc_one_bufferpool  = 1478 )


* An error occured when starting the DB2 security daemon
       integer*2   sqle_rc_secd_failure
       parameter ( sqle_rc_secd_failure    = -1525 )


* FCM startup error when using VI
       integer*2   sqle_rc_vi_error
       parameter ( sqle_rc_vi_error        = -1526 )


* Function is no longer supported
       integer*2   sqle_rc_unsupp_function
       parameter ( sqle_rc_unsupp_function = -1650 )


* Invalid server level for request
       integer*2   sqle_rc_inv_serverlvl
       parameter ( sqle_rc_inv_serverlvl   = -1651 )

* File I/O error
       integer*2   sqle_rc_fileio_err
       parameter ( sqle_rc_fileio_err      = -1652 )

* Invalid profile path
       integer*2   sqle_rc_inv_profile_path
       parameter ( sqle_rc_inv_profile_path = -1653 )

* Instance path error
       integer*2   sqle_rc_instpath_err
       parameter ( sqle_rc_instpath_err    = -1654 )


* Generator failed
       integer*2   sqle_rc_generator_failed
       parameter ( sqle_rc_generator_failed = -1660 )


* Discover is disabled in DBM CFG
       integer*2   sqle_rc_dscvr_disabled
       parameter ( sqle_rc_dscvr_disabled  = -1670 )

* Search discovery failed
       integer*2   sqle_rc_search_dscvr_failed
       parameter ( sqle_rc_search_dscvr_failed = -1671 )

* Invalid discover address list
       integer*2   sqle_rc_inv_dscvr_addrlst
       parameter ( sqle_rc_inv_dscvr_addrlst = -1673 )

* Invalid discover address
       integer*2   sqle_rc_inv_dscvr_addr
       parameter ( sqle_rc_inv_dscvr_addr  = -1674 )

* Invalid admin. server
       integer*2   sqle_rc_inv_adminserver
       parameter ( sqle_rc_inv_adminserver = -1675 )


* Invalid Schema name found
       integer*2   sqle_rc_inv_schema
       parameter ( sqle_rc_inv_schema      = -1700 )

* DB cannot be migrated
       integer*2   sqle_rc_db_not_migr
       parameter ( sqle_rc_db_not_migr     = -1701 )

* Fail to create db2event dir
       integer*2   sqle_rc_crt_event_fail
       parameter ( sqle_rc_crt_event_fail  = -1703 )

* DB migration failed
       integer*2   sqle_rc_db_mig_fail
       parameter ( sqle_rc_db_mig_fail     = -1704 )

* Fail to update directory entry
       integer*2   sqle_rc_update_dir_fail
       parameter ( sqle_rc_update_dir_fail = 1705 )


* Invalid Request Info pointer
       integer*2   sqle_rc_inv_reqinfo_ptr
       parameter ( sqle_rc_inv_reqinfo_ptr = -1800 )

* Invalid Request Type
       integer*2   sqle_rc_inv_request_type
       parameter ( sqle_rc_inv_request_type = -1801 )

* No entry belongs to Request Type
       integer*2   sqle_rc_no_node_entry
       parameter ( sqle_rc_no_node_entry   = -1802 )

* Node already exists in node directory
       integer*2   sqle_rc_node_exist
       parameter ( sqle_rc_node_exist      = -1803 )


* DB is already activated
       integer*2   sqle_rc_db_activated
       parameter ( sqle_rc_db_activated    = 1490 )

* DB is still active
       integer*2   sqle_rc_db_not_stopped
       parameter ( sqle_rc_db_not_stopped  = -1491 )

* DB is not active
       integer*2   sqle_rc_db_not_up
       parameter ( sqle_rc_db_not_up       = -1492 )

* Application is connected to a database
       integer*2   sqle_rc_app_is_connected
       parameter ( sqle_rc_app_is_connected = -1493 )

* There is already DB connection
       integer*2   sqle_rc_act_db_connected
       parameter ( sqle_rc_act_db_connected = 1494 )

* There is still DB connection
       integer*2   sqle_rc_deact_db_connected
       parameter ( sqle_rc_deact_db_connected = 1495 )

* DB is not activated
       integer*2   sqle_rc_deact_db_not_activated
       parameter ( sqle_rc_deact_db_not_activated = 1496 )

* Error occurs on some nodes
       integer*2   sqle_rc_actdeact_error
       parameter ( sqle_rc_actdeact_error  = 1497 )

* Invalid parameter
       integer*2   sqle_rc_invalid_parm
       parameter ( sqle_rc_invalid_parm    = -2032 )


* Error not Admin Server
       integer*2   sqle_rc_e4411
       parameter ( sqle_rc_e4411           = -4411 )

* Admin Server not started
       integer*2   sqle_rc_noadmstart
       parameter ( sqle_rc_noadmstart      = -4414 )


* Communications support failed
       integer*2   sqle_rc_comm_failed
       parameter ( sqle_rc_comm_failed     = 5043 )


* Vendor cfg file not found
       integer*2   sqle_rc_no_vendor_cfg
       parameter ( sqle_rc_no_vendor_cfg   = -5500 )

* Vendor cfg file invalid 
       integer*2   sqle_rc_bad_vendor_cfg
       parameter ( sqle_rc_bad_vendor_cfg  = -5501 )


* System database directory is not shared by all PDB nodes
       integer*2   sqle_rc_sdirerr
       parameter ( sqle_rc_sdirerr         = -6022 )

* The path specified for the database directory is not valid
       integer*2   sqle_rc_path_not_qual
       parameter ( sqle_rc_path_not_qual   = -6027 )

* Database is not found in local database directory
       integer*2   sqle_rc_localdb_not_found
       parameter ( sqle_rc_localdb_not_found = -6028 )

* Invalid parameter for start/stop
       integer*2   sqle_rc_inv_parm
       parameter ( sqle_rc_inv_parm        = -6030 )

* Error in db2nodes.cfg file
       integer*2   sqle_rc_err_db2nodes_cfg
       parameter ( sqle_rc_err_db2nodes_cfg = -6031 )

* Some nodes have not been started properly
       integer*2   sqle_rc_started_partially
       parameter ( sqle_rc_started_partially = 6032 )

* Some nodes have not been stopped properly
       integer*2   sqle_rc_stopped_partially
       parameter ( sqle_rc_stopped_partially = 6033 )

* The node is not in used by any database
       integer*2   sqle_rc_node_not_inuse
       parameter ( sqle_rc_node_not_inuse  = 6034 )

* The node is used by a database
       integer*2   sqle_rc_node_inuse
       parameter ( sqle_rc_node_inuse      = 6035 )

* Start/stop command in progress
       integer*2   sqle_rc_start_stop_in_prog
       parameter ( sqle_rc_start_stop_in_prog = -6036 )

* Timeout reached for start/stop
       integer*2   sqle_rc_node_timeout
       parameter ( sqle_rc_node_timeout    = -6037 )

* Invalid action for DROP NODE
       integer*2   sqle_rc_invdrop_action
       parameter ( sqle_rc_invdrop_action  = -6046 )

* Communication error in start/stop
       integer*2   sqle_rc_comm_err
       parameter ( sqle_rc_comm_err        = -6048 )

* Need to stop the node before starting the node with the restart option
       integer*2   sqle_rc_node_need_stop
       parameter ( sqle_rc_node_need_stop  = -6072 )

* Add Node failed
       integer*2   sqle_rc_add_node_fail
       parameter ( sqle_rc_add_node_fail   = -6073 )

* Add Node failed because Create/Drop Db in progress
       integer*2   sqle_rc_add_node_crdp
       parameter ( sqle_rc_add_node_crdp   = -6074 )

* Add Node operation successful
       integer*2   sqle_rc_add_node_ok
       parameter ( sqle_rc_add_node_ok     = 6075 )

* Prompt for db2stop DROP NODENUM
       integer*2   sqle_rc_drop_prompt
       parameter ( sqle_rc_drop_prompt     = 6076 )

* Drop node OK. Files still exist
       integer*2   sqle_rc_drop_ok
       parameter ( sqle_rc_drop_ok         = 6077 )

* Drop node failed
       integer*2   sqle_rc_drop_failed
       parameter ( sqle_rc_drop_failed     = -6078 )

* Drop node cancelled successfully
       integer*2   sqle_rc_drop_cancel
       parameter ( sqle_rc_drop_cancel     = 6079 )

* Add Node succeeded but no databases created on the node
       integer*2   sqle_rc_add_node_nodb
       parameter ( sqle_rc_add_node_nodb   = 6080 )

* Timeout reached in stop FORCE
       integer*2   sqle_rc_force_timeout_err
       parameter ( sqle_rc_force_timeout_err = -6081 )


* No DB2 license
       integer*2   sqle_rc_db2_server_license
       parameter ( sqle_rc_db2_server_license = -8000 )

* Out of DB2 client licenses
       integer*2   sqle_rc_db2_license
       parameter ( sqle_rc_db2_license     = -8001 )

* Out of DDCS clients
       integer*2   sqle_rc_ddcs_license
       parameter ( sqle_rc_ddcs_license    = -8002 )


* Federated cfg file not found
       integer*2   sqle_rc_no_fed_cfg
       parameter ( sqle_rc_no_fed_cfg      = -5180 )

* Federated cfg file invalid
       integer*2   sqle_rc_bad_fed_cfg
       parameter ( sqle_rc_bad_fed_cfg     = -5181 )


*******************************************************************************
*  
*  The following functions and symbols are obsolete and may not be supported
*  in future releases. The obsolete functions are provided for backward compatibility
*  and exported from DB2API.LIB. All applications should be migrated to use new APIs.
*  Note: Some of the function parameters may be NO-OP.
*        Some structures are larger (eg. SQLEDINFO) in V2.
*  
********************************************************************************
* Invalid numsegs on create db
       integer*2   sqle_rc_bad_segpages
       parameter ( sqle_rc_bad_segpages    = -1136 )

       integer*2   sqle_rc_asl_heap
       parameter ( sqle_rc_asl_heap        = -1221 )

       integer*2   sqle_rc_invalid_db2path
       parameter ( sqle_rc_invalid_db2path = -1393 )

       integer*2   sqle_rc_invspdb
       parameter ( sqle_rc_invspdb         = -10017 )

       integer*2   sqle_rc_lenchg
       parameter ( sqle_rc_lenchg          = -1114 )

       integer*2   sqle_rc_sqldchg
       parameter ( sqle_rc_sqldchg         = -1115 )

       integer*2   sqle_rc_typechg
       parameter ( sqle_rc_typechg         = -1113 )


* No CS/6000 license
       integer*2   sqle_rc_cs_license
       parameter ( sqle_rc_cs_license      = -8003 )

* No SNA/6000 license
       integer*2   sqle_rc_sna_license
       parameter ( sqle_rc_sna_license     = -8004 )


* Authentication Undefined
       integer*2   sql_authentication_undef
       parameter ( sql_authentication_undef = 255 )


C   SQLEDINFO constants used as array indices to access particular
C   data elements.

       integer       sqledinfo_alias
       parameter   ( sqledinfo_alias       = sqledinfo_alias_ofs )

       integer       sqledinfo_dbname
       parameter   ( sqledinfo_dbname      = sqledinfo_dbname_ofs )

       integer       sqledinfo_drive
       parameter   ( sqledinfo_drive       = sqledinfo_drive_ofs )

       integer       sqledinfo_intname
       parameter   ( sqledinfo_intname     = sqledinfo_intname_ofs )

       integer       sqledinfo_nodename
       parameter   ( sqledinfo_nodename    = sqledinfo_nodename_ofs )

       integer       sqledinfo_dbtype
       parameter   ( sqledinfo_dbtype      = sqledinfo_dbtype_ofs )

       integer       sqledinfo_comment
       parameter   ( sqledinfo_comment     = sqledinfo_comment_ofs )

       integer       sqledinfo_com_codepage
       parameter   ( sqledinfo_com_codepage = sqledinfo_com_codepage_ofs
     +)

       integer       sqledinfo_type
       parameter   ( sqledinfo_type        = sqledinfo_type_ofs )

       integer       sqledinfo_auth
       parameter   ( sqledinfo_auth        = sqledinfo_authentication_of
     +s)

C   SQLENINFO constants used as array indices to access particular
C   data elements.

       integer       sqleninfo_nodename
       parameter   ( sqleninfo_nodename    = sqleninfo_nodename_ofs )

       integer       sqleninfo_local_lu
       parameter   ( sqleninfo_local_lu    = sqleninfo_local_lu_ofs )

       integer       sqleninfo_partner_lu
       parameter   ( sqleninfo_partner_lu  = sqleninfo_partner_lu_ofs )

       integer       sqleninfo_mode
       parameter   ( sqleninfo_mode        = sqleninfo_mode_ofs )

       integer       sqleninfo_comment
       parameter   ( sqleninfo_comment     = sqleninfo_comment_ofs )

       integer       sqleninfo_com_codepage
       parameter   ( sqleninfo_com_codepage = sqleninfo_com_codepage_ofs
     +)

       integer       sqleninfo_adapter
       parameter   ( sqleninfo_adapter     = sqleninfo_adapter_ofs )

       integer       sqleninfo_networkid
       parameter   ( sqleninfo_networkid   = sqleninfo_networkid_ofs )

       integer       sqleninfo_protocol
       parameter   ( sqleninfo_protocol    = sqleninfo_protocol_ofs )

       integer       sqleninfo_sym_dest_name
       parameter ( sqleninfo_sym_dest_name = sqleninfo_sym_dest_name_ofs
     +)

       integer       sqleninfo_security_type
       parameter ( sqleninfo_security_type = sqleninfo_security_type_ofs
     +)

       integer       sqleninfo_hostname
       parameter   ( sqleninfo_hostname    = sqleninfo_hostname_ofs )

       integer       sqleninfo_service_name
       parameter   ( sqleninfo_service_name = sqleninfo_service_name_ofs
     +)

* CREATE DATABASE
       integer*4    sqlgdbcr
       external     sqlgdbcr


* PE V1.2 Start Database Manager structure
       integer*2   sqledbstrtopt_struct_sz
       parameter ( sqledbstrtopt_struct_sz = 792 )

* Profile specified?
       integer*2   sqledbstrtopt_sqldbisprf_sz
       parameter ( sqledbstrtopt_sqldbisprf_sz = 4 )

       integer*2   sqledbstrtopt_sqldbisprf_ofs
       parameter ( sqledbstrtopt_sqldbisprf_ofs = 1 )

* Profile
       integer*2   sqledbstrtopt_sqldbprf_sz
       parameter ( sqledbstrtopt_sqldbprf_sz = 236 )

       integer*2   sqledbstrtopt_sqldbprf_ofs
       parameter ( sqledbstrtopt_sqldbprf_ofs = 5 )

* Node number specified?
       integer*2   sqledbstrtopt_sqldbisnode_sz
       parameter ( sqledbstrtopt_sqldbisnode_sz = 4 )

       integer*2   sqledbstrtopt_sqldbisnode_ofs
       parameter ( sqledbstrtopt_sqldbisnode_ofs = 241 )

* Node number
       integer*2   sqledbstrtopt_sqldbnode_sz
       parameter ( sqledbstrtopt_sqldbnode_sz = 2 )

       integer*2   sqledbstrtopt_sqldbnode_ofs
       parameter ( sqledbstrtopt_sqldbnode_ofs = 245 )

* Command specified?
       integer*2   sqledbstrtopt_sqldbiscmd_sz
       parameter ( sqledbstrtopt_sqldbiscmd_sz = 4 )

       integer*2   sqledbstrtopt_sqldbiscmd_ofs
       parameter ( sqledbstrtopt_sqldbiscmd_ofs = 249 )

* Command
       integer*2   sqledbstrtopt_sqldbcmd_sz
       parameter ( sqledbstrtopt_sqldbcmd_sz = 11 )

       integer*2   sqledbstrtopt_sqldbcmd_ofs
       parameter ( sqledbstrtopt_sqldbcmd_ofs = 253 )

* Hostname specified?
       integer*2   sqledbstrtopt_sqldbishst_sz
       parameter ( sqledbstrtopt_sqldbishst_sz = 4 )

       integer*2   sqledbstrtopt_sqldbishst_ofs
       parameter ( sqledbstrtopt_sqldbishst_ofs = 265 )

* Hostname
       integer*2   sqledbstrtopt_sqldbhst_sz
       parameter ( sqledbstrtopt_sqldbhst_sz = 256 )

       integer*2   sqledbstrtopt_sqldbhst_ofs
       parameter ( sqledbstrtopt_sqldbhst_ofs = 269 )

* Port specified?
       integer*2   sqledbstrtopt_sqldbisprt_sz
       parameter ( sqledbstrtopt_sqldbisprt_sz = 4 )

       integer*2   sqledbstrtopt_sqldbisprt_ofs
       parameter ( sqledbstrtopt_sqldbisprt_ofs = 525 )

* Port
       integer*2   sqledbstrtopt_sqldbprt_sz
       parameter ( sqledbstrtopt_sqldbprt_sz = 4 )

       integer*2   sqledbstrtopt_sqldbprt_ofs
       parameter ( sqledbstrtopt_sqldbprt_ofs = 529 )

* Netname specified?
       integer*2   sqledbstrtopt_sqldbisnet_sz
       parameter ( sqledbstrtopt_sqldbisnet_sz = 4 )

       integer*2   sqledbstrtopt_sqldbisnet_ofs
       parameter ( sqledbstrtopt_sqldbisnet_ofs = 533 )

* Netname
       integer*2   sqledbstrtopt_sqldbnet_sz
       parameter ( sqledbstrtopt_sqldbnet_sz = 256 )

       integer*2   sqledbstrtopt_sqldbnet_ofs
       parameter ( sqledbstrtopt_sqldbnet_ofs = 537 )


* Start Database Manager
       integer*4    sqlgstar
       external     sqlgstar


* PE V1.2 Start Database Manager
       integer*4    sqlgpstr
       external     sqlgpstr


* Stop Database Manager
       integer*4    sqlgstdm
       external     sqlgstdm


*******************************************************************************
*  
*  End of obsolete functions and symbols
*  
********************************************************************************
