-- Begin file

CREATE TABLE EMP                                                     
 (ID           SMALLINT NOT NULL,                                         
  NAME         VARCHAR(9),                                                
  DEPT         SMALLINT CHECK (DEPT BETWEEN 10 AND 100),
  JOB          CHAR(5)  CHECK (JOB IN ('Sales', 'Mgr', 'Clerk')),
  HIREDATE     DATE,                                                      
  SALARY       DECIMAL(7,2),                                              
  COMM         DECIMAL(7,2),                                              
  PRIMARY KEY (ID),                                                       
  CONSTRAINT YEARSAL CHECK (YEAR(HIREDATE) > 1986 OR SALARY > 40500) 
 );

-- Attempt to insert a row into table EMP
-- The attempt will fail, as it would violate check constraint YEARSAL
INSERT INTO EMP VALUES (1,'Lee', 15, 'Mgr', '1985-01-01' , 40000.00, 1000.00);

DROP TABLE EMP;

-- End file
