-- Begin file

WITH
   PAYLEVEL AS
      (SELECT EMPNO, YEAR(HIREDATE) AS HIREYEAR, EDLEVEL,
              SALARY+BONUS+COMM AS TOTAL_PAY
              FROM EMPLOYEE
                   WHERE EDLEVEL > 16
      ),

   PAYBYED (EDUC_LEVEL, YEAR_OF_HIRE, AVG_TOTAL_PAY) AS
      (SELECT EDLEVEL, HIREYEAR, AVG(TOTAL_PAY)
              FROM PAYLEVEL
              GROUP BY EDLEVEL, HIREYEAR
      )

 SELECT EMPNO, EDLEVEL, YEAR_OF_HIRE, TOTAL_PAY, AVG_TOTAL_PAY
   FROM PAYLEVEL, PAYBYED
    WHERE EDLEVEL=EDUC_LEVEL
          AND HIREYEAR = YEAR_OF_HIRE
          AND TOTAL_PAY < AVG_TOTAL_PAY;

-- End file
