-- Begin file

drop table flights;

create table flights (source varchar (8), 
                      destination varchar (8),
                      d_time integer, 
                      a_time integer, 
                      cost smallint,
                      airline varchar (8));

INSERT INTO FLIGHTS VALUES ('Paris',   'Detroit',  null,null,700,'KLM'),
                           ('Paris',   'New York', null,null,600,'KLM'),
                           ('Paris',   'Toronto',   null,null,750,'AC'), 
                           ('Detroit', 'San Jose', null,null,400,'AA'),     
                           ('New York','Chicago',  null,null,200,'AA'),     
                           ('Toronto',  'Chicago',  null,null,275,'AC'),      
                           ('Chicago', 'San Jose', null,null,300,'AA');

WITH 
 REACH (SOURCE, DESTINATION, COST, STOPS) AS
   ( SELECT SOURCE, DESTINATION, COST, CAST(0 AS SMALLINT)
      FROM FLIGHTS
       WHERE SOURCE = 'Paris'
    UNION ALL
     SELECT R.SOURCE, F.DESTINATION, CAST(R.COST+F.COST AS SMALLINT), CAST(R.STOPS+1 AS SMALLINT)
     FROM REACH R, FLIGHTS F
      WHERE R.DESTINATION=F.SOURCE
        AND R.STOPS < 5
   )
SELECT DESTINATION, COST, STOPS FROM REACH;

drop table flights;


-- End file

