-- Begin file

WITH 
 DEPT_MGR AS
  ( SELECT DEPTNO, DEPTNAME, EMPNO, LASTNAME, FIRSTNME, PHONENO
     FROM DEPARTMENT D, EMPLOYEE E
      WHERE D.MGRNO=E.EMPNO AND E.JOB='MANAGER'
  ),

 DEPT_NO_MGR AS
  ( SELECT DEPTNO, DEPTNAME, MGRNO AS EMPNO
      FROM DEPARTMENT
   EXCEPT ALL
    SELECT DEPTNO, DEPTNAME, EMPNO
      FROM DEPT_MGR
  ),

 MGR_NO_DEPT (DEPTNO, EMPNO, LASTNAME, FIRSTNME, PHONENO) AS
  ( SELECT WORKDEPT, EMPNO, LASTNAME, FIRSTNME, PHONENO
      FROM EMPLOYEE
       WHERE JOB='MANAGER'
   EXCEPT ALL
    SELECT DEPTNO,EMPNO, LASTNAME, FIRSTNME, PHONENO
      FROM DEPT_MGR
  )

SELECT DEPTNO, DEPTNAME, EMPNO, LASTNAME, FIRSTNME, PHONENO 
  FROM DEPT_MGR
UNION ALL
SELECT DEPTNO, DEPTNAME, EMPNO,
       CAST(NULL AS VARCHAR(15)) AS LASTNAME,
       CAST(NULL AS VARCHAR(12)) AS FIRSTNME,
       CAST(NULL AS CHAR(4)) AS PHONENO
  FROM DEPT_NO_MGR
UNION ALL
SELECT DEPTNO,
       CAST(NULL AS VARCHAR(29)) AS DEPTNAME,
       EMPNO, LASTNAME, FIRSTNME, PHONENO
  FROM MGR_NO_DEPT;

-- End file
