-- Begin file

drop table currentquote;

create table currentquote (symbol char(3) not null,
                           quote  decimal(6,2),
                           status varchar(8));

drop table quotehistory;

create table quotehistory (symbol char(3) not null,
                           quote  decimal(6,2),  timestamp timestamp);

insert into currentquote values ('IBM',68.5,null);

CREATE TRIGGER STOCK_STATUS                                    
       NO CASCADE BEFORE UPDATE OF QUOTE ON CURRENTQUOTE       
       REFERENCING NEW AS NEWQUOTE OLD AS OLDQUOTE             
       FOR EACH ROW MODE DB2SQL                                
          SET NEWQUOTE.STATUS =                                
             CASE                                              
                WHEN NEWQUOTE.QUOTE >=                         
                      (SELECT MAX(QUOTE) FROM QUOTEHISTORY     
                       WHERE SYMBOL = NEWQUOTE.SYMBOL              
                       AND YEAR(TIMESTAMP) = YEAR(CURRENT DATE) )  
                   THEN 'High'                                    
                WHEN NEWQUOTE.QUOTE <=                            
                      (SELECT MIN(QUOTE) FROM QUOTEHISTORY        
                       WHERE SYMBOL = NEWQUOTE.SYMBOL             
                       AND YEAR(TIMESTAMP) = YEAR(CURRENT DATE) ) 
                   THEN 'Low'                                     
                WHEN NEWQUOTE.QUOTE > OLDQUOTE.QUOTE              
                   THEN 'Rising'                                  
                WHEN NEWQUOTE.QUOTE < OLDQUOTE.QUOTE              
                   THEN 'Dropping'                                
                WHEN NEWQUOTE.QUOTE = OLDQUOTE.QUOTE              
                   THEN 'Steady'                                  
             END;                                                 
      

CREATE TRIGGER RECORD_HISTORY                            
       AFTER UPDATE OF QUOTE ON CURRENTQUOTE             
       REFERENCING NEW AS NEWQUOTE                       
       FOR EACH ROW MODE DB2SQL                          
          INSERT INTO QUOTEHISTORY                                  
          VALUES (NEWQUOTE.SYMBOL,NEWQUOTE.QUOTE,CURRENT TIMESTAMP);

update currentquote set quote =68.25 where symbol='IBM';

select * from currentquote;

update currentquote set quote =68.75 where symbol='IBM';

select * from currentquote;

update currentquote set quote =68.5 where symbol='IBM';

select * from currentquote;

update currentquote set quote =68.5 where symbol='IBM';

select * from currentquote;

update currentquote set quote =68.62 where symbol='IBM';

select * from currentquote;

update currentquote set quote =68 where symbol='IBM';

select * from currentquote;

select * from quotehistory;

drop trigger record_history;

drop trigger stock_status;

drop table currentquote;

drop table quotehistory;

-- End file
