-- Begin file

echo CREATE FUNCTIONS presort, postsort ..;
create function presort(varchar(15))
       returns varchar(15) not fenced not null call
       not variant no sql no external action language c parameter style db2sql
       external name 'udf!thai_in' ;

create function postsort(varchar(15))
       returns varchar(15) not fenced not null call
       not variant no sql no external action language c parameter style db2sql
       external name 'udf!thai_out' ;


echo CREATE TUDF TABLE ..;
create table tudf (empnum int,emp varchar(15),thaiemp varchar(15),job varchar(5));

echo INPUT DATA ..;
insert into tudf values (1,'óѰ',presort('óѰ'),'Clerk');
insert into tudf values (2,'',presort(''),'Sales');
insert into tudf values (3,'fab',presort('fab'),'Mgr');
insert into tudf values (4,'',presort(''),'Staff');
insert into tudf values (5,'odd',presort('odd'),'Staff');
insert into tudf values (6,'',presort(''),'Staff');


echo SELECT TUDF TABLE ..;
select empnum,emp,thaiemp,job from tudf;


echo APPLY UDFs on TUDF table ..;
select emp,presort(emp) as presorted from tudf;
select emp,postsort(thaiemp) as "PRE & POST SORTED" from tudf;


echo ORDER BY without UDF ..;
select empnum,emp,postsort(thaiemp) as postsorted from tudf order by emp;
echo ORDER BY with UDF ..;
select empnum,emp,postsort(thaiemp) as postsorted from tudf order by thaiemp;

echo cleanup ..;
drop function presort(varchar(15));
drop function postsort(varchar(15));

drop table tudf;

echo done .. ;

-- End file
