-- This is a CLP script that creates an SQL procedure.
-- To create the SQL procedure using this script, perform the following steps:
-- 1. connect to the database
-- 2. issue the command "db2 -td@ -vf <script-name>"
--    where <script-name> represents the name of this script
--
-- To call this SQL procedure from the command line, issue the following command:
--    db2 "CALL iterator ()"
--
-- The sample "iterate.sqc" demonstrates how to call this SQL procedure using
-- an embedded C client application.

CREATE PROCEDURE iterator()
LANGUAGE SQL 
BEGIN 
   DECLARE SQLSTATE CHAR(5);
   DECLARE v_dept CHAR(3);
   DECLARE v_deptname VARCHAR(29);
   DECLARE v_admdept CHAR(3);
   DECLARE at_end INT DEFAULT 0;

   DECLARE not_found CONDITION FOR SQLSTATE '02000';
   DECLARE c1 CURSOR FOR 
     SELECT deptno, deptname, admrdept 
     FROM department
     ORDER BY deptno;
   DECLARE CONTINUE HANDLER FOR not_found
     SET at_end = 1;

   OPEN c1;
   ins_loop:
   LOOP
     FETCH c1 INTO v_dept, v_deptname, v_admdept;
     IF at_end = 1 THEN
       LEAVE ins_loop;
     ELSEIF v_dept = 'D11' THEN
       ITERATE ins_loop;
     END IF;
     INSERT INTO department (deptno, deptname, admrdept)
       VALUES ('NEW', v_deptname, v_admdept);
   END LOOP;
   CLOSE c1;
END @
