-- This is a CLP script that creates an SQL procedure.
-- To create the SQL procedure using this script, perform the following steps:
-- 1. connect to the database
-- 2. issue the command "db2 -td@ -vf <script-name>"
--    where <script-name> represents the name of this script
--
-- To call this SQL procedure from the command line, perform the following steps:
-- 1. connect to the database
-- 2. issue the following command:
--    db2 "CALL repeat_stmt (?)"
--
-- The sample "repeat.sqc" demonstrates how to call this SQL procedure using
-- an embedded C client application.

CREATE PROCEDURE repeat_stmt(OUT counter INT)
LANGUAGE SQL
BEGIN
  DECLARE SQLSTATE CHAR(5);
  DECLARE v_firstnme VARCHAR(12);
  DECLARE v_midinit CHAR(1);
  DECLARE v_lastname VARCHAR(15);
  DECLARE at_end SMALLINT DEFAULT 0;
  DECLARE v_counter SMALLINT DEFAULT 0;

  DECLARE not_found 
    CONDITION FOR SQLSTATE '02000';
  DECLARE c1 CURSOR FOR 
    SELECT firstnme, midinit, lastname 
    FROM employee;
  DECLARE CONTINUE HANDLER FOR not_found
    SET at_end = 1;

  -- initialize OUT parameter
  SET counter = 0;
  OPEN c1;
  fetch_loop:
    REPEAT
      FETCH c1 INTO 
        v_firstnme, v_midinit, v_lastname;
       -- Use a local variable for the iterator variable
       -- because SQL procedures only allow you to assign 
       -- values to an OUT parameter
       SET v_counter = v_counter + 1;
       -- Now assign the value of the local
       -- variable to the OUT parameter
       SET counter = v_counter;
    UNTIL at_end <> 0
  END REPEAT fetch_loop;
  CLOSE c1;
END @
