-------------------------------------------------------------------------
--
-- DB2 UDB v5/v6 provided a script (objcat.clp) to create catalog views
-- for the object-relational extensions.  Since these views are no longer
-- needed (the information is in the SYSCAT catalog views), this script
-- can be used to drop all the OBJCAT and OBJSTAT views.
-- This script also drops NEW DB2 UDB v7 views created in objcat.db2.
--
-- Usage: Execute this file with the command:
--   db2 -tvf objcatdp.db2
--
-- To execute the statements in the file, you must have SYSADM or DBADM
-- authority.
--
-------------------------------------------------------------------------



-------------------------------------------------------------------------
-- Statistic views

drop view objstat.coldist;
drop view objstat.columns;
drop view objstat.functions;
drop view objstat.indexes;
drop view objstat.tables;
drop schema objstat restrict;

-------------------------------------------------------------------------
-- Catalog views

drop view objcat.attributes;
drop view objcat.bufferpoolnodes;
drop view objcat.bufferpools;
drop view objcat.castfunctions;
drop view objcat.checks;
drop view objcat.colauth;
drop view objcat.colchecks;
drop view objcat.coldist;
drop view objcat.columns;
drop view objcat.constdep;
drop view objcat.datatypes;
drop view objcat.dbauth;
drop view objcat.eventmonitors;
drop view objcat.events;
drop view objcat.funcparms;
drop view objcat.functions ;
drop view objcat.hierarchies;
drop view objcat.indexauth;
drop view objcat.indexes;
drop view objcat.keycoluse;
drop view objcat.nodegroupdef;
drop view objcat.nodegroups;
drop view objcat.packageauth;
drop view objcat.packagedep;
drop view objcat.packages;
drop view objcat.partitionmaps;
drop view objcat.procedures;
drop view objcat.procparms;
drop view objcat.references;
drop view objcat.schemaauth;
drop view objcat.schemata;
drop view objcat.statements;
drop view objcat.tabauth;
drop view objcat.tabconst;
drop view objcat.tables;
drop view objcat.tablespaces;
drop view objcat.transforms;
drop view objcat.indexextensiondep;
drop view objcat.indexextensionmethods;
drop view objcat.indexextensionparms;
drop view objcat.indexextensions;
drop view objcat.predicatespecs;
drop view objcat.indexexploitrules;
drop view objcat.trigdep;
drop view objcat.triggers;
drop view objcat.viewdep;
drop view objcat.views;
drop schema objcat restrict;

-------------------------------------------------------------------------
-- System views (not for user access)
--   Do not change the name of this schema

drop view "ObjIBM**"."SysChildTables~*=+";
drop schema "ObjIBM**" restrict;
