C***********************************************************************
C
C  Source File Name = SQLMON.F
C
C  (C) COPYRIGHT International Business Machines Corp. 1993, 1997
C  All Rights Reserved
C  Licensed Materials - Property of IBM
C
C  US Government Users Restricted Rights - Use, duplication or
C  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
C
C  Function = Defining:
C               DB Monitor External APIs
C               API parameter Data Structure
C               DB Monitor Error Code
C
C***********************************************************************

c ***************************************************************************
c Database Monitor Version Constant
c ***************************************************************************

       integer          sqlm_dbmon_version1
       parameter        (sqlm_dbmon_version1    = 1)

       integer          sqlm_dbmon_version2
       parameter        (sqlm_dbmon_version2    = 2)

       integer          sqlm_dbmon_version5
       parameter        (sqlm_dbmon_version5    = 3)

       integer          sqlm_dbmon_version5_2
       parameter        (sqlm_dbmon_version5_2  = 4)

       integer          sqlm_dbmon_version6
       parameter        (sqlm_dbmon_version6    = 5)

       integer          sqlm_current_version
       parameter        (sqlm_current_version   = 5)


c ***************************************************************************
c snapshot monitor collected information types
c structure identifier in snapshot buffer (info_type element)
c ***************************************************************************

c          db2 information
        character        sqlm_db2_ss
        parameter       (sqlm_db2_ss                = '1')

c          database information
        character       sqlm_dbase_ss
        parameter       (sqlm_dbase_ss              = '2')

c          application information
        character       sqlm_appl_ss
        parameter       (sqlm_appl_ss               = '3')

c          summary application information
        character       sqlm_applinfo_ss
        parameter       (sqlm_applinfo_ss           = '4')

c          table header information
        character       sqlm_table_header_ss
        parameter       (sqlm_table_header_ss       = '5')

c          table information
        character       sqlm_table_ss
        parameter       (sqlm_table_ss              = '6')

c          database lock information
        character       sqlm_dbase_lock_ss
        parameter       (sqlm_dbase_lock_ss         = '7')

c          application lock information
        character       sqlm_appl_lock_ss
        parameter       (sqlm_appl_lock_ss          = '8')

c          lock information
        character       sqlm_lock_ss
        parameter       (sqlm_lock_ss               = '9')

c          DDCS applinfo information
        character       sqlm_dcs_applinfo_ss
        parameter       (sqlm_dcs_applinfo_ss       = 'A')

c          Tablespace Header information
        character       sqlm_tablespace_header_ss
        parameter       (sqlm_tablespace_header_ss  = 'B')

c          Tablespace information
        character       sqlm_tablespace_ss
        parameter       (sqlm_tablespace_ss         = 'C')

c            DB2 FCM info (sqlm_fcm)
        character       sqlm_fcm_ss
        parameter       (sqlm_fcm_ss                = 'E')

c            DB2 FCM Node info (sqlm_fcm_node)
        character       sqlm_node_ss
        parameter       (sqlm_node_ss               = 'G')

c            Rollfwd info  (sqlm_rollfwd_info)
        character       sqlm_dbase_rollfwd_ss
        parameter       (sqlm_dbase_rollfwd_ss      = 'H')

c            Rollfwd tablespace information (sqlm_rollfwd_ts_info)
        character       sqlm_dbase_rollfwd_ts_ss
        parameter       (sqlm_dbase_rollfwd_ts_ss   = 'I')

c            Bufferpool info (sqlm_bufferpool)
        character       sqlm_bufferpool_ss
        parameter       (sqlm_bufferpool_ss         = 'J')

c            Lock wait info (sqlm_lock_wait)
        character       sqlm_lock_wait_ss
        parameter       (sqlm_lock_wait_ss          = 'K')

c            Statement info (sqlm_stmt)
        character       sqlm_stmt_ss
        parameter       (sqlm_stmt_ss               = 'L')

c            Subsection info (sqlm_subsection)
        character       sqlm_subsection_ss
        parameter       (sqlm_subsection_ss         = 'M')

c            Agent info (sqlm_agent)
        character       sqlm_agent_ss
        parameter       (sqlm_agent_ss              = 'N')

c            DCS appl info (sqlm_dcs_appl)
        character       sqlm_dcs_appl_ss
        parameter       (sqlm_dcs_appl_ss           = 'O')

c            DCS appl ident. (sqlm_dcs_applid_info)
        character       sqlm_dcs_applid_info_ss
        parameter       (sqlm_dcs_applid_info_ss    = 'P')

c            DCS appl stats. (sqlm_dcs_appl_snap_stats)
        character       sqlm_dcs_appl_snap_stats_ss
        parameter       (sqlm_dcs_appl_snap_stats_ss = 'Q')

c           2PC transaction ID (sqlm_appl_xid)
        character       sqlm_appl_xid_ss
        parameter       (sqlm_appl_xid_ss           = 'R')

c           3-tier client info
        character       sqlm_tpmon_info_ss
        parameter       (sqlm_tpmon_info_ss         = 'S')

c           DCS statement info
        character       sqlm_dcs_stmt_ss
        parameter       (sqlm_dcs_stmt_ss           = 'T')

c           DCS database info
        character       sqlm_dcs_dbase_ss
        parameter       (sqlm_dcs_dbase_ss          = 'U')

c           Collected info
        character       sqlm_collected_ss
        parameter       (sqlm_collected_ss          = 'V')
        
c ***************************************************************************
c stream type ids 
c ***************************************************************************

        integer         sqlm_stream_snapshot
        parameter       (sqlm_stream_snapshot     = 1)

        integer         sqlm_stream_evmon
        parameter       (sqlm_stream_evmon        = 2)

c ***************************************************************************
c level of data to collect
c ***************************************************************************

c          db2 related information
        integer         sqlma_db2
        parameter       (sqlma_db2               = 1)

c          database related information
        integer         sqlma_dbase
        parameter       (sqlma_dbase             = 2)

c          application information - by application id
        integer         sqlma_appl
        parameter       (sqlma_appl              = 3)

c          application information - by agent id
        integer         sqlma_agent_id
        parameter       (sqlma_agent_id          = 4)

c          table related information for a database
        integer         sqlma_dbase_tables
        parameter       (sqlma_dbase_tables      = 5)

c          application related information for a database
        integer         sqlma_dbase_appls
        parameter       (sqlma_dbase_appls       = 6)

c          summary application information for a database
        integer         sqlma_dbase_applinfo
        parameter       (sqlma_dbase_applinfo    = 7)

c          lock related information for a database
        integer         sqlma_dbase_locks
        parameter       (sqlma_dbase_locks       = 8)

c          database related information for all databases in db2
        integer         sqlma_dbase_all
        parameter       (sqlma_dbase_all         = 9)

c          application related information for all active applications
        integer         sqlma_appl_all
        parameter       (sqlma_appl_all          = 10)

c          summary application information for all active applications.
        integer         sqlma_applinfo_all
        parameter       (sqlma_applinfo_all      = 11)

c          application information for all active DDCS applications.
        integer         sqlma_dcs_applinfo_all
        parameter       (sqlma_dcs_applinfo_all  = 12)

c           tablespace related infomation for a database
        integer         sqlma_dbase_tablespaces
        parameter       (sqlma_dbase_tablespaces  = 13)

c            List of locks held - for appl_id
        integer         sqlma_appl_locks
        parameter       (sqlma_appl_locks = 20)

c           List of locks held - for agentid
        integer         sqlma_appl_locks_agent_id
        parameter       (sqlma_appl_locks_agent_id = 21)

c            Bufferpool info - for a database
        integer         sqlma_dbase_bufferpools
        parameter       (sqlma_dbase_bufferpools   = 22)

c            Bufferpool info - all bufferpools
        integer         sqlma_bufferpools_all
        parameter       (sqlma_bufferpools_all     = 23)

c            DCS appl info - all connections
        integer         sqlma_dcs_appl_all
        parameter       (sqlma_dcs_appl_all        = 30)

c            DCS appl info - for appl_id
        integer         sqlma_dcs_appl
        parameter       (sqlma_dcs_appl            = 31)

c            DCS appl handle - for appl-handle
        integer         sqlma_dcs_appl_handle
        parameter       (sqlma_dcs_appl_handle     = 32)

c            DCS appl info - all cons to db
        integer         sqlma_dcs_dbase_appls
        parameter       (sqlma_dcs_dbase_appls     = 33)

c            DCS database level information
        integer         sqlma_dcs_dbase            
        parameter       (sqlma_dcs_dbase           = 34)
        
c            DCS DB info for all active dbs
        integer         sqlma_dcs_dbase_all
        parameter       (sqlma_dcs_dbase_all       = 35)

c            Dynamic SQL snapshot
        integer         sqlma_dynamic_sql
        parameter       (sqlma_dynamic_sql         = 36)


c ***************************************************************************
c size definitions
c ***************************************************************************

c          size of the application id
        integer         sqlm_applid_sz
        parameter       (sqlm_applid_sz         = 32)

c          size of sequence number
       integer  sqlm_seq_sz
        parameter       (sqlm_seq_sz            = 4)

c          size of short identifier
        integer         sqlm_sh_ident_sz
        parameter       (sqlm_sh_ident_sz       = 8)

c          general identifier size
        integer         sqlm_ident_sz
        parameter       (sqlm_ident_sz          = 20)

c          size of object name in sqlma structure
        integer         sqlm_object_sz
        parameter       (sqlm_object_sz         = 36)

c          size of reserved area
        integer         sqlm_lg_ident_sz
        parameter       (sqlm_lg_ident_sz       = 32)

c          size of database path
        integer         sqlm_dbpath_sz
        parameter       (sqlm_dbpath_sz         = 256)

c          size of communcation address
        integer         sqlm_comm_addr_sz
        parameter       (sqlm_comm_addr_sz      = 32)

c ***************************************************************************
c information group state switches
c ***************************************************************************

c          turn monitoring group off
        integer         sqlm_off
        parameter       (sqlm_off               = 0)

c          turn monitoring group on
        integer         sqlm_on
        parameter       (sqlm_on                = 1)

c          leave monitoring group in current state
        integer         sqlm_hold
        parameter       (sqlm_hold              = 2)

c ***************************************************************************
c flag constants for sqlmrset() 
c ***************************************************************************
        integer         sqlm_udb_dbase
        parameter       (sqlm_udb_dbase         = 0)

        integer         sqlm_udb_all
        parameter       (sqlm_udb_all           = 1)

        integer         sqlm_dcs_dbase
        parameter       (sqlm_dcs_dbase         = 2)

        integer         sqlm_dcs_all
        parameter       (sqlm_dcs_all           = 3)

        integer         sqlm_apm
        parameter       (sqlm_apm               = 4)
        

c ***************************************************************************
c information groups array indexes
c ***************************************************************************

c          select unit of work information
        integer         sqlm_uow_sw
        parameter       (sqlm_uow_sw            = 1)

c          select statement information
        integer         sqlm_statement_sw
        parameter       (sqlm_statement_sw      = 2)

c          select table information
        integer         sqlm_table_sw
        parameter       (sqlm_table_sw          = 3)

c          select buffer pool information
        integer         sqlm_buffer_pool_sw
        parameter       (sqlm_buffer_pool_sw    = 4)

c          select lock information
        integer         sqlm_lock_sw
        parameter       (sqlm_lock_sw           = 5)

c          select sort information
        integer         sqlm_sort_sw
        parameter       (sqlm_sort_sw           = 6)


c          number of monitoring groups
        integer         sqlm_num_groups
        parameter       (sqlm_num_groups        = 6)

c ***************************************************************************
c statement types
c ***************************************************************************

c          static statement
        integer         sqlm_static
        parameter       (sqlm_static            = 1)

c          dynamic statement
        integer         sqlm_dynamic
        parameter       (sqlm_dynamic           = 2)

c          operation other than an sql statement
        integer         sqlm_non_stmt
        parameter       (sqlm_non_stmt          = 3)

c          unknown statment type
        integer         sqlm_stmt_type_unknown
        parameter       (sqlm_stmt_type_unknown = 4)

c ***************************************************************************
c statement operation types
c ***************************************************************************

c            SELECT statement
        integer         sqlm_select
        parameter       (sqlm_select = 15)

c          prepare operation
        integer         sqlm_prepare
        parameter       (sqlm_prepare           = 1)

c          execute operation
        integer         sqlm_execute
        parameter       (sqlm_execute           = 2)

c          execute immediate operation
        integer         sqlm_execute_immediate
        parameter       (sqlm_execute_immediate = 3)

c          open operation
        integer         sqlm_open
        parameter       (sqlm_open              = 4)

c          fetch operation
        integer         sqlm_fetch
        parameter       (sqlm_fetch             = 5)

c          close operation
        integer         sqlm_close
        parameter       (sqlm_close             = 6)

c          describe operation
        integer         sqlm_describe
        parameter       (sqlm_describe          = 7)

c          static commit operation
        integer         sqlm_static_commit
        parameter       (sqlm_static_commit     = 8)

c          static rollback operation
        integer         sqlm_static_rollback
        parameter       (sqlm_static_rollback   = 9)

c            SQL Free Locator
        integer         sqlm_free_locator
        parameter       (sqlm_free_locator = 10)

c            Prepare to commit (2-phase commit)
        integer         sqlm_prep_commit
        parameter       (sqlm_prep_commit  = 11)

c            Call a stored procedure 
        integer         sqlm_call
        parameter       (sqlm_call         = 12)

c            Prep. and open (DB2 Connect only)
        integer         sqlm_prep_open
        parameter       (sqlm_prep_open    = 16)
        
c            Prep. and execute (DB2 Connect)     
        integer         sqlm_prep_exec
        parameter       (sqlm_prep_exec    = 17)
        
c            Compile (DB2 Connect only)     
        integer         sqlm_compile
        parameter       (sqlm_compile      = 18)
        
c   non-SQL operations

c            Runstats
        integer         sqlm_runstats
        parameter       (sqlm_runstats     = 20)

c            Reorg
        integer         sqlm_reorg
        parameter       (sqlm_reorg        = 21)

c            Rebind package
        integer         sqlm_rebind
        parameter       (sqlm_rebind       = 22)

c            Redistribute
        integer         sqlm_redist
        parameter       (sqlm_redist       = 23)

c            Get Table Authorization
        integer         sqlm_getta
        parameter       (sqlm_getta        = 24)

c            Get Administrative Authorization
        integer         sqlm_getaa
        parameter       (sqlm_getaa        = 25)


c ***************************************************************************
c table types
c ***************************************************************************

c          user table
        integer         sqlm_user_table
        parameter       (sqlm_user_table        = 1)

c          dropped user table
        integer         sqlm_dropped_table
        parameter       (sqlm_dropped_table     = 2)

c          temporary table
        integer         sqlm_temp_table
        parameter       (sqlm_temp_table        = 3)

c          system catalog table
        integer         sqlm_catalog_table
        parameter       (sqlm_catalog_table     = 4)

c          reorg table
        integer         sqlm_reorg_table
        parameter       (sqlm_reorg_table       = 5)

c ***************************************************************************
c lock modes
c ***************************************************************************

c          no lock
        integer         sqlm_lnon
        parameter       (sqlm_lnon              = 0)

c          intention share lock
        integer         sqlm_lois
        parameter       (sqlm_lois              = 1)

c          intention exclusive lock
        integer         sqlm_loix
        parameter       (sqlm_loix              = 2)

c          share lock
        integer         sqlm_loos
        parameter       (sqlm_loos              = 3)

c          share with intention exclusive lock
        integer         sqlm_lsix
        parameter       (sqlm_lsix              = 4)

c          exclusive lock
        integer         sqlm_loox
        parameter       (sqlm_loox              = 5)

c          intent none (for dirty read)
        integer         sqlm_loin
        parameter       (sqlm_loin              = 6)

c          super exclusive lock
        integer         sqlm_looz
        parameter       (sqlm_looz              = 7)

c          update lock
        integer         sqlm_loou
        parameter       (sqlm_loou              = 8)

c            Next-key Share Lock
        integer         sqlm_lons
        parameter       (sqlm_lons              = 9)

c            Next-key Exclusive Lock
        integer         sqlm_lonx
        parameter       (sqlm_lonx              = 10)

c            Weak Exclusive Lock
        integer         sqlm_loow
        parameter       (sqlm_loow              = 11)

c            Next-key Weak Exclusive Lock
        integer         sqlm_lonw
        parameter       (sqlm_lonw              = 12)

c  ********************************************************************
c  subsection status (ss_status)
c  ********************************************************************

c            Subsection executing
        integer         sqlm_ssexec
        parameter       (sqlm_ssexec            = 1)

c            Waiting to receive data on a tablequeue
        integer         sqlm_sstq_wait_to_rcv
        parameter       (sqlm_sstq_wait_to_rcv  = 2)

c            Waiting to send data on a tablequeue
        integer         sqlm_sstq_wait_to_send
        parameter       (sqlm_sstq_wait_to_send = 3)

c            Subsection execution is completed
        integer         sqlm_sscompleted
        parameter       (sqlm_sscompleted       = 4)


c ***************************************************************************
c application status
c ***************************************************************************

c          connect pending
        integer         sqlm_connectpend
        parameter       (sqlm_connectpend        = 1)

c          connect completed
        integer         sqlm_connected
        parameter       (sqlm_connected          = 2)

c          unit of work executing
        integer         sqlm_uowexec
        parameter       (sqlm_uowexec            = 3)

c          unit of work waitng
        integer         sqlm_uowwait
        parameter       (sqlm_uowwait            = 4)

c          lock wait
       integer          sqlm_lockwait
       parameter        (sqlm_lockwait           = 5)

c          commit active
        integer         sqlm_commit_act
        parameter       (sqlm_commit_act         = 6)

c          rollback active
        integer         sqlm_rollback_act
        parameter       (sqlm_rollback_act       = 7)

c          recompiling a plan
        integer         sqlm_recomp
        parameter       (sqlm_recomp             = 8)

c          compiling an sql statement
        integer         sqlm_comp
        parameter       (sqlm_comp               = 9)

c          request interrupted
        integer         sqlm_intr
        parameter       (sqlm_intr               = 10)

c          disconnect pending
        integer         sqlm_disconnectpend
        parameter       (sqlm_disconnectpend     = 11)

c          Prepared Transaction
        integer         sqlm_tprep
        parameter       (sqlm_tprep              = 12)

c          Transaction heuristically committed
        integer         sqlm_thcomt
        parameter       (sqlm_thcomt             = 13)

c          Transaction heuristically rolled back
        integer         sqlm_thabrt
        parameter       (sqlm_thabrt             = 14)

c          Transaction heuristically rolled back
        integer         sqlm_tend
        parameter       (sqlm_tend               = 15)

c          Creating Database
        integer         sqlm_create_db
        parameter       (sqlm_create_db          = 16)

c           Restarting a Database
        integer         sqlm_restart
        parameter       (sqlm_restart            = 17)

c           Restoring a Database
        integer         sqlm_restore
        parameter       (sqlm_restore            = 18)

c           Performing a Backup
        integer         sqlm_backup
        parameter       (sqlm_backup             = 19)

c           Performing a fast load
        integer         sqlm_load
        parameter       (sqlm_load               = 20)

c           Performing a fast unload
        integer         sqlm_unload
        parameter       (sqlm_unload             = 21)

c           Wait to disable tablespace
        integer         sqlm_ioerror_wait
        parameter       (sqlm_ioerror_wait       = 22)

c           Quiescing a tablespace
        integer         sqlm_quiesce_tablespace
        parameter       (sqlm_quiesce_tablespace = 23)

c           Waiting for remote node
        integer         sqlm_waitfor_remote
        parameter       (sqlm_waitfor_remote     = 24)

c ***************************************************************************
c DCS applicatoin status (dcs_appl_status) 
c ***************************************************************************

c           connect to host db pending
        integer         sqlm_dcs_connectpend_outbound
        parameter       (sqlm_dcs_connectpend_outbound = 101)

c           gateway waiting for reply from host database
        integer         sqlm_dcs_uowwait_outbound
        parameter       (sqlm_dcs_uowwait_outbound     = 102)

c           conn. to host db established or gateway waiting for request
        integer         sqlm_dcs_uowwait_inbound
        parameter       (sqlm_dcs_uowwait_inbound      = 103)

c ***************************************************************************
c database status
c ***************************************************************************
c           Database is active
        integer         sqlm_db_active
        parameter       (sqlm_db_active       = 0)

c           Quiesce is pending for DB
        integer         sqlm_db_quiesce_pend
        parameter       (sqlm_db_quiesce_pend = 1)

c           Database has been quiesced
        integer         sqlm_db_quiesced
        parameter       (sqlm_db_quiesced     = 2)

c            DB in Database rollforward
        integer         sqlm_db_rollfwd
        parameter       (sqlm_db_rollfwd      = 3)

c  ********************************************************************
c  rollforward types (rf_type)
c  ********************************************************************

c            Database rollforward
        integer         sqlm_rollfwd_typ_db
        parameter       (sqlm_rollfwd_typ_db = 0)

c            DB tablespace (on-line) rollforward
        integer         sqlm_rollfwd_typ_tspace
        parameter       (sqlm_rollfwd_typ_tspace = 1)

c            No rollforward in progress
        integer         sqlm_no_rollfwd
        parameter       (sqlm_no_rollfwd = 2)


c  ********************************************************************
c  Rollforward status (rf_status)
c  ********************************************************************

c            REDO phase in progress
        integer         sqlm_rollfwd_status_redo
        parameter       (sqlm_rollfwd_status_redo      = 0)

c            UNDO phase in progress
        integer         sqlm_rollfwd_status_undo
        parameter       (sqlm_rollfwd_status_undo      = 1)

c            Successfuly completed on this node
        integer         sqlm_rollfwd_status_success
        parameter       (sqlm_rollfwd_status_success   = 2)

c            Error occurred on this node
        integer         sqlm_rollfwd_status_error
        parameter       (sqlm_rollfwd_status_error     = 3)

c            User intervention required
        integer         sqlm_rollfwd_status_usr_intr
        parameter       (sqlm_rollfwd_status_usr_intr  = 4)



c ***************************************************************************
c database manager status
c ***************************************************************************
c           DB2 instance is active
        integer         sqlm_db2_active
        parameter       (sqlm_db2_active       = 0)

c           Quiesce is pending for DB2 instance
        integer         sqlm_db2_quiesce_pend
        parameter       (sqlm_db2_quiesce_pend = 1)

c           DB2 has been quiesced
        integer         sqlm_db2_quiesced
        parameter       (sqlm_db2_quiesced     = 2)

c ***************************************************************************
c uow completion status
c ***************************************************************************

c          unit of work issued a commit
        integer         sqlm_uowcommit
        parameter       (sqlm_uowcommit         = 1)

c          unit of work issued a rollback
        integer         sqlm_uowrollback
        parameter       (sqlm_uowrollback       = 2)

c          unit of work was rolled back due to a deadlock
        integer         sqlm_uowdeadlock
        parameter       (sqlm_uowdeadlock       = 3)

c          unit of work was rolled back due to an abend
        integer         sqlm_uowabend
        parameter       (sqlm_uowabend          = 4)

c          normal application termination
        integer         sqlm_appl_end
        parameter       (sqlm_appl_end          = 5)

c          unit of work was rolled back from a lock timeout
        integer         sqlm_uowlocktimeout
        parameter       (sqlm_uowlocktimeout    = 6)

c          returned for flushed events
        integer         sqlm_uow_unknown
        parameter        (sqlm_uow_unknown       = 7)

c ***************************************************************************
c lock object type
c ***************************************************************************

c          table lock type
        integer         sqlm_table_lock
        parameter       (sqlm_table_lock        = 1)

c          table row lock type
        integer         sqlm_row_lock
        parameter       (sqlm_row_lock          = 2)

c          internal lock type
        integer         sqlm_internal_lock
        parameter       (sqlm_internal_lock     = 3)

c          tablespace lock type
        integer         sqlm_tablespace_lock
        parameter       (sqlm_tablespace_lock   = 4)

c            end of table lock
        integer         sqlm_eot_lock
        parameter       (sqlm_eot_lock          = 5)

c            key value lock
        integer         sqlm_keyvalue_lock
        parameter       (sqlm_keyvalue_lock     = 6)

c            internal lock on the sysboot table
        integer         sqlm_sysboot_lock
        parameter       (sqlm_sysboot_lock      = 7) 

c            internal lock
        integer         sqlm_internalp_lock
        parameter       (sqlm_internalp_lock    = 8)

c            internal lock
        integer         sqlm_internalv_lock
        parameter       (sqlm_internalv_lock    = 9)

c            internal lock        
        integer         sqlm_internals_lock
        parameter       (sqlm_internals_lock    = 10)

c            internal lock
        integer         sqlm_internalj_lock
        parameter       (sqlm_internalj_lock    = 11)

c            internal lock
        integer         sqlm_internall_lock
        parameter       (sqlm_internall_lock    = 12)


c ***************************************************************************
c lock status
c ***************************************************************************

c          granted state
        integer         sqlm_lrbgrnt
        parameter       (sqlm_lrbgrnt           = 1)

c          converting state
        integer         sqlm_lrbconv
        parameter       (sqlm_lrbconv           = 2)


c ***************************************************************************
c  client communications protocols
c ***************************************************************************

c          appc
        integer         sqlm_prot_appc
        parameter       (sqlm_prot_appc         = 0)

c          netbios
        integer         sqlm_prot_netbios
        parameter       (sqlm_prot_netbios      = 1)

c          appn
        integer         sqlm_prot_appn
        parameter       (sqlm_prot_appn         = 2)

c          tcp/ip
        integer         sqlm_prot_tcpip
        parameter       (sqlm_prot_tcpip        = 3)

c          cpic
        integer         sqlm_prot_cpic
        parameter       (sqlm_prot_cpic         = 4)

c          ipx/spx
        integer         sqlm_prot_ipxspx
        parameter       (sqlm_prot_ipxspx       = 5)

c          local client
        integer         sqlm_prot_local
        parameter       (sqlm_prot_local        = 6)

c          cpic
        integer         sqlm_prot_npipe
        parameter       (sqlm_prot_npipe        = 7)




c ***************************************************************************
c  client platforms
c ***************************************************************************

c          Unknown client platform
        integer         sqlm_platform_unknown
        parameter       (sqlm_platform_unknown       =  0)

c          OS/2 client
        integer          sqlm_platform_os2
        parameter       (sqlm_platform_os2           =  1)

c          DOS client
        integer          sqlm_platform_dos
        parameter       (sqlm_platform_dos           =  2)

c          Windows client
        integer          sqlm_platform_windows
        parameter       (sqlm_platform_windows       =  3)

c          AIX client
        integer          sqlm_platform_aix
        parameter       (sqlm_platform_aix           =  4)

c          NT client
        integer          sqlm_platform_nt
        parameter       (sqlm_platform_nt            =  5)

c          HP client
        integer          sqlm_platform_hp
        parameter       (sqlm_platform_hp            =  6)

c          Sun client
        integer          sqlm_platform_sun
        parameter       (sqlm_platform_sun           =  7)

c          MVS client via DRDA
        integer          sqlm_platform_mvs_drda
        parameter       (sqlm_platform_mvs_drda      =  8)

c          AS400 client via DRDA
        integer          sqlm_platform_as400_drda
        parameter       (sqlm_platform_as400_drda    =  9)

c          VM client via DRDA
        integer          sqlm_platform_vm_drda
        parameter       (sqlm_platform_vm_drda       = 10)

c          VSE client via DRDA
        integer          sqlm_platform_vse_drda
        parameter       (sqlm_platform_vse_drda      = 11)

c          Unknown DRDA Client
        integer          sqlm_platform_unknown_drda
        parameter       (sqlm_platform_unknown_drda  = 12)

c            Siemens Nixdorf
        integer         sqlm_platform_sni
        parameter       (sqlm_platform_sni           = 13)

c            Macintosh Client
        integer         sqlm_platform_mac
        parameter       (sqlm_platform_mac           = 14)

c            Windows 95
        integer         sqlm_platform_windows95
        parameter       (sqlm_platform_windows95     = 15)

c            SCO
        integer         sqlm_platform_sco
        parameter       (sqlm_platform_sco           = 16)

c            Silicon Graphic
        integer         sqlm_platform_sgi
        parameter       (sqlm_platform_sgi           = 17)

c            Linux
        integer         sqlm_platform_linux
        parameter       (sqlm_platform_linux         = 18)

c            Dynix
        integer         sqlm_platform_dynix
        parameter       (sqlm_platform_dynix         = 19)



c  *********************************************************************
c  Operating System Application Priority Type (appl_priority_type)
c  *********************************************************************
c            Remains unchanged over time
        integer         sqlm_fixed_priority
        parameter       (sqlm_fixed_priority         = 1)

c            Recalculated by OS based on usage
        integer         sqlm_dynamic_priority
        parameter       (sqlm_dynamic_priority       = 2)


c  **************************************************************************
c  Event Monitor Type Identifiers
c  **************************************************************************
c          Database Event
        integer          sqlm_event_db
        parameter       (sqlm_event_db          =   1)

c          Connection Event
        integer          sqlm_event_conn
        parameter       (sqlm_event_conn        =   2)

c          Table Event
        integer          sqlm_event_table
        parameter       (sqlm_event_table       =   3)

c          Statement Event
        integer          sqlm_event_stmt
        parameter       (sqlm_event_stmt        =   4)

c          Dynamic Statement Text Event
        integer          sqlm_event_stmttext
        parameter       (sqlm_event_stmttext    =   5)

c          Transaction Event
        integer          sqlm_event_xact
        parameter       (sqlm_event_xact        =   6)

c          Deadlock Event
        integer          sqlm_event_deadlock
        parameter       (sqlm_event_deadlock    =   7)

c          Deadlock Connection Event
        integer          sqlm_event_dlconn
        parameter       (sqlm_event_dlconn      =   8)

c          Tablespace Event
        integer          sqlm_event_tablespace
        parameter       (sqlm_event_tablespace  =   9)

c          Database Header Event
        integer          sqlm_event_dbheader
        parameter       (sqlm_event_dbheader    =  10)

c          Event Monitor Start event
        integer          sqlm_event_start
        parameter       (sqlm_event_start       =  11)

c          Connection Header Event
        integer          sqlm_event_connheader
        parameter       (sqlm_event_connheader  =  12)

c          Overflow Event
        integer          sqlm_event_overflow
        parameter       (sqlm_event_overflow    =  13)

c            Bufferpool Event
        integer         sqlm_event_bufferpool
        parameter       (sqlm_event_bufferpool  = 14)

c            Subsection Event (MPP systems)
        integer         sqlm_event_subsection
        parameter       (sqlm_event_subsection  = 15)

c            Log header Event
        integer         sqlm_event_log_hdr
        parameter       (sqlm_event_log_hdr     = 16)

c            Largest value in the list
        integer         sqlm_event_max
        parameter       (sqlm_event_max         = 16)


c ***************************************************************************
c  Event Monitor Byte Order Identifiers
c ***************************************************************************

c          Little endian server
        integer         sqlm_little_endian
        parameter       (sqlm_little_endian     =  0)

c          Big endian server
        integer         sqlm_big_endian
        parameter       (sqlm_big_endian        = -1)


c ***************************************************************************
c database monitor structure size constants
c DON'T USE THESE CONSTANTS. THEY ARE PROVIDED FOR COMPATIBILITY ONLY
c ***************************************************************************

c          structure sqlm_db2
        integer         sqlm_db2_sz
        parameter       (sqlm_db2_sz            = 100)

c          structure sqlm_dbase
        integer         sqlm_dbase_sz
        parameter       (sqlm_dbase_sz          = 548)

c          structure sqlm_appl
        integer         sqlm_appl_sz
        parameter       (sqlm_appl_sz           = 880)

c          structure sqlm_applinfo
        integer         sqlm_applinfo_sz
        parameter       (sqlm_applinfo_sz       = 492)

c          structure sqlm_dcs_applinfo
        integer         sqlm_dcs_applinfo_sz
        parameter       (sqlm_dcs_applinfo_sz   = 260)

c          structure sqlm_table_header
        integer         sqlm_table_header_sz
        parameter       (sqlm_table_header_sz   = 356)

c          structure sqlm_table
        integer         sqlm_table_sz
        parameter       (sqlm_table_sz          = 60)

c          structure sqlm_dbase_lock
        integer         sqlm_dbase_lock_sz
        parameter       (sqlm_dbase_lock_sz     = 352)

c          structure sqlm_appl_lock
        integer         sqlm_appl_lock_sz
        parameter       (sqlm_appl_lock_sz      = 216)

c          structure sqlm_lock
        integer         sqlm_lock_sz
        parameter       (sqlm_lock_sz           = 60)

c          structure sqlm_timestamp
        integer         sqlm_timestamp_sz
        parameter       (sqlm_timestamp_sz      = 8)

c          structure sqlm_collected
        integer         sqlm_collected_sz
        parameter       (sqlm_collected_sz      = 232)

c ***************************************************************************
c database monitor error constants
c ***************************************************************************

c          parameter is a null pointer
        integer         sqlm_rc_inv_ptr
        parameter       (sqlm_rc_inv_ptr        = -1601)

c          invalid obj_type in sqlma structure
        integer         sqlm_rc_inv_obj_type
        parameter       (sqlm_rc_inv_obj_type   = -1602)

c          database alias or application id not specified in sqlma structure
        integer         sqlm_rc_not_specified
        parameter       (sqlm_rc_not_specified  = -1603)

c          database alias or application id not null terminated
        integer         sqlm_rc_not_null_term
        parameter       (sqlm_rc_not_null_term  = -1604)

c          specified database is not active
        integer         sqlm_rc_dbnoact
        parameter       (sqlm_rc_dbnoact        =  1605)

c          database monitor buffer area is full
        integer         sqlm_rc_buffer_full
        parameter       (sqlm_rc_buffer_full    =  1606)

c          not enough working memory for database monitor request
        integer         sqlm_rc_nomem
        parameter       (sqlm_rc_nomem          = -1607)

c          duplicate database aliases were specified
        integer         sqlm_rc_duplicate_db
        parameter       (sqlm_rc_duplicate_db   =  1608)

c          database monitor cannot monitor remote databases
        integer         sqlm_rc_remote_db
        parameter       (sqlm_rc_remote_db      = -1609)

c          invalid value for input parameter
        integer         sqlm_rc_inv_value
        parameter       (sqlm_rc_inv_value      = -1610)

c          no data returned by Database Monitor
        integer         sqlm_rc_no_data
        parameter       (sqlm_rc_no_data        =  1611)

c            Too many objects for this request.
        integer         sqlm_rc_too_many_objects
        parameter       (sqlm_rc_too_many_objects = -1623)

c            Databases in a sqlmonsz or sqlmonss call reside at different nodes.
        integer         sqlm_rc_multiple_nodes
        parameter       (sqlm_rc_multiple_nodes   = -1624)

c  ********************************************************************
c  FCM Connection Status (connection_status)
c  ********************************************************************

c            No current connection
        integer         sqlm_fcm_connect_inactive
        parameter       (sqlm_fcm_connect_inactive = 0)

c            Connection is active
        integer         sqlm_fcm_connect_active
        parameter       (sqlm_fcm_connect_active = 1)

c            Connection is congested
        integer         sqlm_fcm_connect_congested
        parameter       (sqlm_fcm_connect_congested = 2)


c  ********************************************************************
c  Database location relative to snapshot agent (db_location)
c  ********************************************************************

c            Same node as snapshot
        integer         sqlm_local
        parameter       (sqlm_local = 1)

c            DB is on a different node
        integer         sqlm_remote
        parameter       (sqlm_remote = 2)

c            Node location definitions
        integer         sqlm_current_node
        parameter       (sqlm_current_node = -1)

        integer         sqlm_all_nodes
        parameter       (sqlm_all_nodes    = -2)


c ***************************************************************************
c database monitor snapshot data structures
c ***************************************************************************

c ***************************************************************************
c  sql monitor area
c  The sqlma structure is the input data structure used by the sqlgmnss and
c  sqlgmrst APIs to indicate the object to be monitored.
c  To build first contains the ma_obj_num indicating the number of objects
c  to monitor, and is then followed by as many sqlma_object structures,
c  each defining one object.
c ***************************************************************************

       integer*4    sqlm_ma_obj_num

       character    sqlma_object(44)

       integer*4    sqlm_ma_agent_id
       integer*4    sqlm_ma_obj_type
       character    sqlm_ma_object(sqlm_object_sz)

       equivalence (sqlma_object ( 1), sqlm_ma_agent_id )
       equivalence (sqlma_object ( 5), sqlm_ma_obj_type )
       equivalence (sqlma_object ( 9), sqlm_ma_object   )

c ***************************************************************************
c Timestamp
c ***************************************************************************

       character   sqlm_timestamp(8)

       integer*4   sqlm_ts_seconds
       integer*4   sqlm_ts_microsec

       equivalence (sqlm_timestamp ( 1), sqlm_ts_seconds )
       equivalence (sqlm_timestamp ( 5), sqlm_ts_microsec)

c ***************************************************************************
c Elapsed Time
c ***************************************************************************

       character   sqlm_time(8)

       integer*4   sqlm_time_seconds
       integer*4   sqlm_time_microsec

       equivalence (sqlm_time ( 1), sqlm_time_seconds )
       equivalence (sqlm_time ( 5), sqlm_time_microsec)

c ***************************************************************************
c V6 Parsing Structures 
c ***************************************************************************
       character   sqlm_header_info(8)

       integer*4   sqlm_hdr_size
       integer*2   sqlm_hdr_type
       integer*2   sqlm_hdr_element

       equivalence (sqlm_header_info(1), sqlm_hdr_size)
       equivalence (sqlm_header_info(5), sqlm_hdr_type)
       equivalence (sqlm_header_info(7), sqlm_hdr_element)

       character   sqlm_header_data(9)

       integer*4   sqlm_hdr_d_size
       integer*2   sqlm_hdr_d_type
       integer*2   sqlm_hdr_d_element
       character   sqlm_hdr_d_data

       equivalence (sqlm_header_data(1), sqlm_hdr_d_size)
       equivalence (sqlm_header_data(5), sqlm_hdr_d_type)
       equivalence (sqlm_header_data(7), sqlm_hdr_d_element)
       equivalence (sqlm_header_data(9), sqlm_hdr_d_data)
       
c ***************************************************************************
c V6 Elements
c ***************************************************************************
       
       integer          sqlm_type_header
       parameter          (sqlm_type_header = 1)

       integer          sqlm_type_string
       parameter          (sqlm_type_string = 50)

       integer          sqlm_type_u8bit
       parameter          (sqlm_type_u8bit = 51)

       integer          sqlm_type_8bit
       parameter          (sqlm_type_8bit = 52)

       integer          sqlm_type_16bit
       parameter          (sqlm_type_16bit = 53)

       integer          sqlm_type_u16bit
       parameter          (sqlm_type_u16bit = 54)

       integer          sqlm_type_32bit
       parameter          (sqlm_type_32bit = 55)

       integer          sqlm_type_u32bit
       parameter          (sqlm_type_u32bit = 56)

       integer          sqlm_type_u64bit
       parameter          (sqlm_type_u64bit = 57)

       integer          sqlm_type_64bit
       parameter          (sqlm_type_64bit = 58)

       integer          sqlm_elm_db2
       parameter          (sqlm_elm_db2 = 1)

       integer          sqlm_elm_fcm
       parameter          (sqlm_elm_fcm = 2)

       integer          sqlm_elm_fcm_node
       parameter          (sqlm_elm_fcm_node = 3)

       integer          sqlm_elm_appl_info
       parameter          (sqlm_elm_appl_info = 4)

       integer          sqlm_elm_appl
       parameter          (sqlm_elm_appl = 5)

       integer          sqlm_elm_dcs_appl_info
       parameter          (sqlm_elm_dcs_appl_info = 6)

       integer          sqlm_elm_dcs_appl
       parameter          (sqlm_elm_dcs_appl = 7)

       integer          sqlm_elm_dcs_stmt
       parameter          (sqlm_elm_dcs_stmt = 8)

       integer          sqlm_elm_subsection
       parameter          (sqlm_elm_subsection = 9)

       integer          sqlm_elm_agent
       parameter          (sqlm_elm_agent = 10)

       integer          sqlm_elm_lock_wait
       parameter          (sqlm_elm_lock_wait = 11)

       integer          sqlm_elm_dcs_dbase
       parameter          (sqlm_elm_dcs_dbase = 12)

       integer          sqlm_elm_dbase
       parameter          (sqlm_elm_dbase = 13)

       integer          sqlm_elm_rollforward
       parameter          (sqlm_elm_rollforward = 14)

       integer          sqlm_elm_table
       parameter          (sqlm_elm_table = 15)

       integer          sqlm_elm_lock
       parameter          (sqlm_elm_lock = 16)

       integer          sqlm_elm_tablespace
       parameter          (sqlm_elm_tablespace = 17)

       integer          sqlm_elm_bufferpool
       parameter          (sqlm_elm_bufferpool = 18)

       integer          sqlm_elm_dynsql
       parameter          (sqlm_elm_dynsql = 19)

       integer          sqlm_elm_collected
       parameter          (sqlm_elm_collected = 20)

       integer          sqlm_elm_switch_list
       parameter          (sqlm_elm_switch_list = 21)

       integer          sqlm_elm_uow_sw
       parameter          (sqlm_elm_uow_sw = 22)

       integer          sqlm_elm_statement_sw
       parameter          (sqlm_elm_statement_sw = 23)

       integer          sqlm_elm_table_sw
       parameter          (sqlm_elm_table_sw = 24)

       integer          sqlm_elm_buffpool_sw
       parameter          (sqlm_elm_buffpool_sw = 25)

       integer          sqlm_elm_lock_sw
       parameter          (sqlm_elm_lock_sw = 26)

       integer          sqlm_elm_sort_sw
       parameter          (sqlm_elm_sort_sw = 27)

       integer          sqlm_elm_table_list
       parameter          (sqlm_elm_table_list = 28)

       integer          sqlm_elm_tablespace_list
       parameter          (sqlm_elm_tablespace_list = 29)

       integer          sqlm_elm_dynsql_list
       parameter          (sqlm_elm_dynsql_list = 30)

       integer          sqlm_elm_appl_lock_list
       parameter          (sqlm_elm_appl_lock_list = 31)

       integer          sqlm_elm_db_lock_list
       parameter          (sqlm_elm_db_lock_list = 32)

       integer          sqlm_elm_stmt
       parameter          (sqlm_elm_stmt = 33)

       integer          sqlm_max_logical_element
       parameter          (sqlm_max_logical_element = 33)

       integer          sqlm_elm_event_db
       parameter          (sqlm_elm_event_db = 100)

       integer          sqlm_elm_event_conn
       parameter          (sqlm_elm_event_conn = 101)

       integer          sqlm_elm_event_table
       parameter          (sqlm_elm_event_table = 102)

       integer          sqlm_elm_event_stmt
       parameter          (sqlm_elm_event_stmt = 103)

       integer          sqlm_elm_event_xact
       parameter          (sqlm_elm_event_xact = 104)

       integer          sqlm_elm_event_deadlock
       parameter          (sqlm_elm_event_deadlock = 105)

       integer          sqlm_elm_event_dlconn
       parameter          (sqlm_elm_event_dlconn = 106)

       integer          sqlm_elm_event_tablespace
       parameter          (sqlm_elm_event_tablespace = 107)

       integer          sqlm_elm_event_dbheader
       parameter          (sqlm_elm_event_dbheader = 108)

       integer          sqlm_elm_event_start
       parameter          (sqlm_elm_event_start = 109)

       integer          sqlm_elm_event_connheader
       parameter          (sqlm_elm_event_connheader = 110)

       integer          sqlm_elm_event_overflow
       parameter          (sqlm_elm_event_overflow = 111)

       integer          sqlm_elm_event_bufferpool
       parameter          (sqlm_elm_event_bufferpool = 112)

       integer          sqlm_elm_event_subsection
       parameter          (sqlm_elm_event_subsection = 113)

       integer          sqlm_elm_event_log_header
       parameter          (sqlm_elm_event_log_header = 114)

       integer          sqlm_elm_time_stamp
       parameter          (sqlm_elm_time_stamp = 200)

       integer          sqlm_elm_status_change_time
       parameter          (sqlm_elm_status_change_time = 201)

       integer          sqlm_elm_gw_con_time
       parameter          (sqlm_elm_gw_con_time = 202)

       integer          sqlm_elm_prev_uow_stop_time
       parameter          (sqlm_elm_prev_uow_stop_time = 203)

       integer          sqlm_elm_uow_start_time
       parameter          (sqlm_elm_uow_start_time = 204)

       integer          sqlm_elm_uow_stop_time
       parameter          (sqlm_elm_uow_stop_time = 205)

       integer          sqlm_elm_stmt_start
       parameter          (sqlm_elm_stmt_start = 206)

       integer          sqlm_elm_stmt_stop
       parameter          (sqlm_elm_stmt_stop = 207)

       integer          sqlm_elm_last_reset
       parameter          (sqlm_elm_last_reset = 208)

       integer          sqlm_elm_db2start_time
       parameter          (sqlm_elm_db2start_time = 209)

       integer          sqlm_elm_db_conn_time
       parameter          (sqlm_elm_db_conn_time = 210)

       integer          sqlm_elm_last_backup
       parameter          (sqlm_elm_last_backup = 211)

       integer          sqlm_elm_lock_wait_start_time
       parameter          (sqlm_elm_lock_wait_start_time = 212)

       integer          sqlm_elm_appl_con_time
       parameter          (sqlm_elm_appl_con_time = 213)

       integer          sqlm_elm_conn_complete_time
       parameter          (sqlm_elm_conn_complete_time = 214)

       integer          sqlm_elm_disconn_time
       parameter          (sqlm_elm_disconn_time = 215)

       integer          sqlm_elm_event_time
       parameter          (sqlm_elm_event_time = 216)

       integer          sqlm_elm_start_time
       parameter          (sqlm_elm_start_time = 217)

       integer          sqlm_elm_stop_time
       parameter          (sqlm_elm_stop_time = 218)

       integer          sqlm_elm_rf_timestamp
       parameter          (sqlm_elm_rf_timestamp = 219)

       integer          sqlm_elm_conn_time
       parameter          (sqlm_elm_conn_time = 220)

       integer          sqlm_elm_first_overflow_time
       parameter          (sqlm_elm_first_overflow_time = 221)

       integer          sqlm_elm_last_overflow_time
       parameter          (sqlm_elm_last_overflow_time = 222)

       integer          sqlm_elm_gw_exec_time
       parameter          (sqlm_elm_gw_exec_time = 223)

       integer          sqlm_elm_agent_usr_cpu_time
       parameter          (sqlm_elm_agent_usr_cpu_time = 224)

       integer          sqlm_elm_agent_sys_cpu_time
       parameter          (sqlm_elm_agent_sys_cpu_time = 225)

       integer          sqlm_elm_ss_usr_cpu_time
       parameter          (sqlm_elm_ss_usr_cpu_time = 226)

       integer          sqlm_elm_ss_sys_cpu_time
       parameter          (sqlm_elm_ss_sys_cpu_time = 227)

       integer          sqlm_elm_user_cpu_time
       parameter          (sqlm_elm_user_cpu_time = 228)

       integer          sqlm_elm_total_exec_time
       parameter          (sqlm_elm_total_exec_time = 229)

       integer          sqlm_elm_switch_set_time
       parameter          (sqlm_elm_switch_set_time = 230)

       integer          sqlm_elm_seconds
       parameter          (sqlm_elm_seconds = 300)

       integer          sqlm_elm_microsec
       parameter          (sqlm_elm_microsec = 301)

       integer          sqlm_elm_agent_id
       parameter          (sqlm_elm_agent_id = 302)

       integer          sqlm_elm_server_db2_type
       parameter          (sqlm_elm_server_db2_type = 303)

       integer          sqlm_elm_server_prdid
       parameter          (sqlm_elm_server_prdid = 304)

       integer          sqlm_elm_server_nname
       parameter          (sqlm_elm_server_nname = 305)

       integer          sqlm_elm_server_instance_name
       parameter          (sqlm_elm_server_instance_name = 306)

       integer          sqlm_elm_node_number
       parameter          (sqlm_elm_node_number = 307)

       integer          sqlm_elm_time_zone_disp
       parameter          (sqlm_elm_time_zone_disp = 308)

       integer          sqlm_elm_server_version
       parameter          (sqlm_elm_server_version = 309)

       integer          sqlm_elm_appl_status
       parameter          (sqlm_elm_appl_status = 310)

       integer          sqlm_elm_codepage_id
       parameter          (sqlm_elm_codepage_id = 311)

       integer          sqlm_elm_stmt_text
       parameter          (sqlm_elm_stmt_text = 312)

       integer          sqlm_elm_appl_name
       parameter          (sqlm_elm_appl_name = 313)

       integer          sqlm_elm_appl_id
       parameter          (sqlm_elm_appl_id = 314)

       integer          sqlm_elm_sequence_no
       parameter          (sqlm_elm_sequence_no = 315)

       integer          sqlm_elm_auth_id
       parameter          (sqlm_elm_auth_id = 316)

       integer          sqlm_elm_client_nname
       parameter          (sqlm_elm_client_nname = 317)

       integer          sqlm_elm_client_prdid
       parameter          (sqlm_elm_client_prdid = 318)

       integer          sqlm_elm_input_db_alias
       parameter          (sqlm_elm_input_db_alias = 319)

       integer          sqlm_elm_client_db_alias
       parameter          (sqlm_elm_client_db_alias = 320)

       integer          sqlm_elm_db_name
       parameter          (sqlm_elm_db_name = 321)

       integer          sqlm_elm_db_path
       parameter          (sqlm_elm_db_path = 322)

       integer          sqlm_elm_num_assoc_agents
       parameter          (sqlm_elm_num_assoc_agents = 323)

       integer          sqlm_elm_coord_node_num
       parameter          (sqlm_elm_coord_node_num = 324)

       integer          sqlm_elm_authority_lvl
       parameter          (sqlm_elm_authority_lvl = 325)

       integer          sqlm_elm_execution_id
       parameter          (sqlm_elm_execution_id = 326)

       integer          sqlm_elm_corr_token
       parameter          (sqlm_elm_corr_token = 327)

       integer          sqlm_elm_client_pid
       parameter          (sqlm_elm_client_pid = 328)

       integer          sqlm_elm_client_platform
       parameter          (sqlm_elm_client_platform = 329)

       integer          sqlm_elm_client_protocol
       parameter          (sqlm_elm_client_protocol = 330)

       integer          sqlm_elm_country_code
       parameter          (sqlm_elm_country_code = 331)

       integer          sqlm_elm_coord_agent_pid
       parameter          (sqlm_elm_coord_agent_pid = 332)

       integer          sqlm_elm_gw_db_alias
       parameter          (sqlm_elm_gw_db_alias = 333)

       integer          sqlm_elm_outbound_comm_address
       parameter          (sqlm_elm_outbound_comm_address = 334)

       integer          sqlm_elm_inbound_comm_address
       parameter          (sqlm_elm_inbound_comm_address = 335)

       integer          sqlm_elm_outbound_comm_protocol
       parameter          (sqlm_elm_outbound_comm_protocol = 336)

       integer          sqlm_elm_dcs_db_name
       parameter          (sqlm_elm_dcs_db_name = 337)

       integer          sqlm_elm_host_db_name
       parameter          (sqlm_elm_host_db_name = 338)

       integer          sqlm_elm_host_prdid
       parameter          (sqlm_elm_host_prdid = 339)

       integer          sqlm_elm_outbound_appl_id
       parameter          (sqlm_elm_outbound_appl_id = 340)

       integer          sqlm_elm_outbound_sequence_no
       parameter          (sqlm_elm_outbound_sequence_no = 341)

       integer          sqlm_elm_dcs_appl_status
       parameter          (sqlm_elm_dcs_appl_status = 342)

       integer          sqlm_elm_host_ccsid
       parameter          (sqlm_elm_host_ccsid = 343)

       integer          sqlm_elm_output_state
       parameter          (sqlm_elm_output_state = 344)

       integer          sqlm_elm_count
       parameter          (sqlm_elm_count = 345)

       integer          sqlm_elm_rows_selected
       parameter          (sqlm_elm_rows_selected = 346)

       integer          sqlm_elm_sql_stmts
       parameter          (sqlm_elm_sql_stmts = 347)

       integer          sqlm_elm_failed_sql_stmts
       parameter          (sqlm_elm_failed_sql_stmts = 348)

       integer          sqlm_elm_commit_sql_stmts
       parameter          (sqlm_elm_commit_sql_stmts = 349)

       integer          sqlm_elm_rollback_sql_stmts
       parameter          (sqlm_elm_rollback_sql_stmts = 350)

       integer          sqlm_elm_inbound_bytes_received
       parameter          (sqlm_elm_inbound_bytes_received = 351)

       integer          sqlm_elm_outbound_bytes_sent
       parameter          (sqlm_elm_outbound_bytes_sent = 352)

       integer          sqlm_elm_outbound_bytes_received
       parameter          (sqlm_elm_outbound_bytes_received = 353)

       integer          sqlm_elm_inbound_bytes_sent
       parameter          (sqlm_elm_inbound_bytes_sent = 354)

       integer          sqlm_elm_stmt_operation
       parameter          (sqlm_elm_stmt_operation = 355)

       integer          sqlm_elm_section_number
       parameter          (sqlm_elm_section_number = 356)

       integer          sqlm_elm_lock_node
       parameter          (sqlm_elm_lock_node = 357)

       integer          sqlm_elm_creator
       parameter          (sqlm_elm_creator = 358)

       integer          sqlm_elm_package_name
       parameter          (sqlm_elm_package_name = 359)

       integer          sqlm_elm_appl_idle_time
       parameter          (sqlm_elm_appl_idle_time = 360)

       integer          sqlm_elm_open_cursors
       parameter          (sqlm_elm_open_cursors = 361)

       integer          sqlm_elm_uow_comp_status
       parameter          (sqlm_elm_uow_comp_status = 362)

       integer          sqlm_elm_sequence_no_holding_lk
       parameter          (sqlm_elm_sequence_no_holding_lk = 363)

       integer          sqlm_elm_rolled_back_agent_id
       parameter          (sqlm_elm_rolled_back_agent_id = 364)

       integer          sqlm_elm_rolled_back_appl_id
       parameter          (sqlm_elm_rolled_back_appl_id = 365)

       integer          sqlm_elm_rolled_back_sequence_no
       parameter          (sqlm_elm_rolled_back_sequence_no = 366)

       integer          sqlm_elm_xid
       parameter          (sqlm_elm_xid = 367)

       integer          sqlm_elm_tpmon_client_userid
       parameter          (sqlm_elm_tpmon_client_userid = 368)

       integer          sqlm_elm_tpmon_client_wkstn
       parameter          (sqlm_elm_tpmon_client_wkstn = 369)

       integer          sqlm_elm_tpmon_client_app
       parameter          (sqlm_elm_tpmon_client_app = 370)

       integer          sqlm_elm_tpmon_acc_str
       parameter          (sqlm_elm_tpmon_acc_str = 371)

       integer          sqlm_elm_query_cost_estimate
       parameter          (sqlm_elm_query_cost_estimate = 372)

       integer          sqlm_elm_query_card_estimate
       parameter          (sqlm_elm_query_card_estimate = 373)

       integer          sqlm_elm_fetch_count
       parameter          (sqlm_elm_fetch_count = 374)

       integer          sqlm_elm_gw_total_cons
       parameter          (sqlm_elm_gw_total_cons = 375)

       integer          sqlm_elm_gw_cur_cons
       parameter          (sqlm_elm_gw_cur_cons = 376)

       integer          sqlm_elm_gw_cons_wait_host
       parameter          (sqlm_elm_gw_cons_wait_host = 377)

       integer          sqlm_elm_gw_cons_wait_client
       parameter          (sqlm_elm_gw_cons_wait_client = 378)

       integer          sqlm_elm_gw_connections_top
       parameter          (sqlm_elm_gw_connections_top = 379)

       integer          sqlm_elm_sort_heap_allocated
       parameter          (sqlm_elm_sort_heap_allocated = 380)

       integer          sqlm_elm_post_threshold_sorts
       parameter          (sqlm_elm_post_threshold_sorts = 381)

       integer          sqlm_elm_piped_sorts_requested
       parameter          (sqlm_elm_piped_sorts_requested = 382)

       integer          sqlm_elm_piped_sorts_accepted
       parameter          (sqlm_elm_piped_sorts_accepted = 383)

       integer          sqlm_elm_dl_conns
       parameter          (sqlm_elm_dl_conns = 384)

       integer          sqlm_elm_rem_cons_in
       parameter          (sqlm_elm_rem_cons_in = 385)

       integer          sqlm_elm_rem_cons_in_exec
       parameter          (sqlm_elm_rem_cons_in_exec = 386)

       integer          sqlm_elm_local_cons
       parameter          (sqlm_elm_local_cons = 387)

       integer          sqlm_elm_local_cons_in_exec
       parameter          (sqlm_elm_local_cons_in_exec = 388)

       integer          sqlm_elm_con_local_dbases
       parameter          (sqlm_elm_con_local_dbases = 389)

       integer          sqlm_elm_agents_registered
       parameter          (sqlm_elm_agents_registered = 390)

       integer          sqlm_elm_agents_waiting_on_token
       parameter          (sqlm_elm_agents_waiting_on_token = 391)

       integer          sqlm_elm_db2_status
       parameter          (sqlm_elm_db2_status = 392)

       integer          sqlm_elm_agents_registered_top
       parameter          (sqlm_elm_agents_registered_top = 393)

       integer          sqlm_elm_agents_waiting_top
       parameter          (sqlm_elm_agents_waiting_top = 394)

       integer          sqlm_elm_comm_private_mem
       parameter          (sqlm_elm_comm_private_mem = 395)

       integer          sqlm_elm_idle_agents
       parameter          (sqlm_elm_idle_agents = 396)

       integer          sqlm_elm_agents_from_pool
       parameter          (sqlm_elm_agents_from_pool = 397)

       integer          sqlm_elm_agents_created_empty_pool
       parameter          (sqlm_elm_agents_created_empty_pool = 398)

       integer          sqlm_elm_agents_top
       parameter          (sqlm_elm_agents_top = 399)

       integer          sqlm_elm_coord_agents_top
       parameter          (sqlm_elm_coord_agents_top = 400)

       integer          sqlm_elm_max_agent_overflows
       parameter          (sqlm_elm_max_agent_overflows = 401)

       integer          sqlm_elm_agents_stolen
       parameter          (sqlm_elm_agents_stolen = 402)

       integer          sqlm_elm_product_name
       parameter          (sqlm_elm_product_name = 403)

       integer          sqlm_elm_component_id
       parameter          (sqlm_elm_component_id = 404)

       integer          sqlm_elm_service_level
       parameter          (sqlm_elm_service_level = 405)

       integer          sqlm_elm_post_threshold_hash_joins
       parameter          (sqlm_elm_post_threshold_hash_joins = 406)

       integer          sqlm_elm_buff_free
       parameter          (sqlm_elm_buff_free = 407)

       integer          sqlm_elm_buff_free_bottom
       parameter          (sqlm_elm_buff_free_bottom = 408)

       integer          sqlm_elm_ma_free
       parameter          (sqlm_elm_ma_free = 409)

       integer          sqlm_elm_ma_free_bottom
       parameter          (sqlm_elm_ma_free_bottom = 410)

       integer          sqlm_elm_ce_free
       parameter          (sqlm_elm_ce_free = 411)

       integer          sqlm_elm_ce_free_bottom
       parameter          (sqlm_elm_ce_free_bottom = 412)

       integer          sqlm_elm_rb_free
       parameter          (sqlm_elm_rb_free = 413)

       integer          sqlm_elm_rb_free_bottom
       parameter          (sqlm_elm_rb_free_bottom = 414)

       integer          sqlm_elm_number_nodes
       parameter          (sqlm_elm_number_nodes = 415)

       integer          sqlm_elm_connection_status
       parameter          (sqlm_elm_connection_status = 416)

       integer          sqlm_elm_total_buffers_sent
       parameter          (sqlm_elm_total_buffers_sent = 417)

       integer          sqlm_elm_total_buffers_rcvd
       parameter          (sqlm_elm_total_buffers_rcvd = 418)

       integer          sqlm_elm_locks_held
       parameter          (sqlm_elm_locks_held = 419)

       integer          sqlm_elm_lock_waits
       parameter          (sqlm_elm_lock_waits = 420)

       integer          sqlm_elm_lock_wait_time
       parameter          (sqlm_elm_lock_wait_time = 421)

       integer          sqlm_elm_lock_list_in_use
       parameter          (sqlm_elm_lock_list_in_use = 422)

       integer          sqlm_elm_deadlocks
       parameter          (sqlm_elm_deadlocks = 423)

       integer          sqlm_elm_lock_escals
       parameter          (sqlm_elm_lock_escals = 424)

       integer          sqlm_elm_x_lock_escals
       parameter          (sqlm_elm_x_lock_escals = 425)

       integer          sqlm_elm_locks_waiting
       parameter          (sqlm_elm_locks_waiting = 426)

       integer          sqlm_elm_total_sorts
       parameter          (sqlm_elm_total_sorts = 427)

       integer          sqlm_elm_total_sort_time
       parameter          (sqlm_elm_total_sort_time = 428)

       integer          sqlm_elm_sort_overflows
       parameter          (sqlm_elm_sort_overflows = 429)

       integer          sqlm_elm_active_sorts
       parameter          (sqlm_elm_active_sorts = 430)

       integer          sqlm_elm_pool_data_l_reads
       parameter          (sqlm_elm_pool_data_l_reads = 431)

       integer          sqlm_elm_pool_data_p_reads
       parameter          (sqlm_elm_pool_data_p_reads = 432)

       integer          sqlm_elm_pool_data_writes
       parameter          (sqlm_elm_pool_data_writes = 433)

       integer          sqlm_elm_pool_index_l_reads
       parameter          (sqlm_elm_pool_index_l_reads = 434)

       integer          sqlm_elm_pool_index_p_reads
       parameter          (sqlm_elm_pool_index_p_reads = 435)

       integer          sqlm_elm_pool_index_writes
       parameter          (sqlm_elm_pool_index_writes = 436)

       integer          sqlm_elm_pool_read_time
       parameter          (sqlm_elm_pool_read_time = 437)

       integer          sqlm_elm_pool_write_time
       parameter          (sqlm_elm_pool_write_time = 438)

       integer          sqlm_elm_files_closed
       parameter          (sqlm_elm_files_closed = 439)

       integer          sqlm_elm_dynamic_sql_stmts
       parameter          (sqlm_elm_dynamic_sql_stmts = 440)

       integer          sqlm_elm_static_sql_stmts
       parameter          (sqlm_elm_static_sql_stmts = 441)

       integer          sqlm_elm_select_sql_stmts
       parameter          (sqlm_elm_select_sql_stmts = 442)

       integer          sqlm_elm_ddl_sql_stmts
       parameter          (sqlm_elm_ddl_sql_stmts = 443)

       integer          sqlm_elm_uid_sql_stmts
       parameter          (sqlm_elm_uid_sql_stmts = 444)

       integer          sqlm_elm_int_auto_rebinds
       parameter          (sqlm_elm_int_auto_rebinds = 445)

       integer          sqlm_elm_int_rows_deleted
       parameter          (sqlm_elm_int_rows_deleted = 446)

       integer          sqlm_elm_int_rows_updated
       parameter          (sqlm_elm_int_rows_updated = 447)

       integer          sqlm_elm_int_commits
       parameter          (sqlm_elm_int_commits = 448)

       integer          sqlm_elm_int_rollbacks
       parameter          (sqlm_elm_int_rollbacks = 449)

       integer          sqlm_elm_int_deadlock_rollbacks
       parameter          (sqlm_elm_int_deadlock_rollbacks = 450)

       integer          sqlm_elm_rows_deleted
       parameter          (sqlm_elm_rows_deleted = 451)

       integer          sqlm_elm_rows_inserted
       parameter          (sqlm_elm_rows_inserted = 452)

       integer          sqlm_elm_rows_updated
       parameter          (sqlm_elm_rows_updated = 453)

       integer          sqlm_elm_binds_precompiles
       parameter          (sqlm_elm_binds_precompiles = 454)

       integer          sqlm_elm_locks_held_top
       parameter          (sqlm_elm_locks_held_top = 455)

       integer          sqlm_elm_num_nodes_in_db2_instance
       parameter          (sqlm_elm_num_nodes_in_db2_instance = 456)

       integer          sqlm_elm_total_cons
       parameter          (sqlm_elm_total_cons = 457)

       integer          sqlm_elm_appls_cur_cons
       parameter          (sqlm_elm_appls_cur_cons = 458)

       integer          sqlm_elm_appls_in_db2
       parameter          (sqlm_elm_appls_in_db2 = 459)

       integer          sqlm_elm_sec_log_used_top
       parameter          (sqlm_elm_sec_log_used_top = 460)

       integer          sqlm_elm_tot_log_used_top
       parameter          (sqlm_elm_tot_log_used_top = 461)

       integer          sqlm_elm_sec_logs_allocated
       parameter          (sqlm_elm_sec_logs_allocated = 462)

       integer          sqlm_elm_pool_async_index_reads
       parameter          (sqlm_elm_pool_async_index_reads = 463)

       integer          sqlm_elm_pool_data_to_estore
       parameter          (sqlm_elm_pool_data_to_estore = 464)

       integer          sqlm_elm_pool_index_to_estore
       parameter          (sqlm_elm_pool_index_to_estore = 465)

       integer          sqlm_elm_pool_index_from_estore
       parameter          (sqlm_elm_pool_index_from_estore = 466)

       integer          sqlm_elm_pool_data_from_estore
       parameter          (sqlm_elm_pool_data_from_estore = 467)

       integer          sqlm_elm_db_status
       parameter          (sqlm_elm_db_status = 468)

       integer          sqlm_elm_lock_timeouts
       parameter          (sqlm_elm_lock_timeouts = 469)

       integer          sqlm_elm_connections_top
       parameter          (sqlm_elm_connections_top = 470)

       integer          sqlm_elm_db_heap_top
       parameter          (sqlm_elm_db_heap_top = 471)

       integer          sqlm_elm_pool_async_data_reads
       parameter          (sqlm_elm_pool_async_data_reads = 472)

       integer          sqlm_elm_pool_async_data_writes
       parameter          (sqlm_elm_pool_async_data_writes = 473)

       integer          sqlm_elm_pool_async_index_writes
       parameter          (sqlm_elm_pool_async_index_writes = 474)

       integer          sqlm_elm_pool_async_read_time
       parameter          (sqlm_elm_pool_async_read_time = 475)

       integer          sqlm_elm_pool_async_write_time
       parameter          (sqlm_elm_pool_async_write_time = 476)

       integer          sqlm_elm_pool_async_data_read_reqs
       parameter          (sqlm_elm_pool_async_data_read_reqs = 477)

       integer          sqlm_elm_pool_lsn_gap_clns
       parameter          (sqlm_elm_pool_lsn_gap_clns = 478)

       integer          sqlm_elm_pool_drty_pg_steal_clns
       parameter          (sqlm_elm_pool_drty_pg_steal_clns = 479)

       integer          sqlm_elm_pool_drty_pg_thrsh_clns
       parameter          (sqlm_elm_pool_drty_pg_thrsh_clns = 480)

       integer          sqlm_elm_direct_reads
       parameter          (sqlm_elm_direct_reads = 481)

       integer          sqlm_elm_direct_writes
       parameter          (sqlm_elm_direct_writes = 482)

       integer          sqlm_elm_direct_read_reqs
       parameter          (sqlm_elm_direct_read_reqs = 483)

       integer          sqlm_elm_direct_write_reqs
       parameter          (sqlm_elm_direct_write_reqs = 484)

       integer          sqlm_elm_direct_read_time
       parameter          (sqlm_elm_direct_read_time = 485)

       integer          sqlm_elm_direct_write_time
       parameter          (sqlm_elm_direct_write_time = 486)

       integer          sqlm_elm_int_rows_inserted
       parameter          (sqlm_elm_int_rows_inserted = 487)

       integer          sqlm_elm_log_reads
       parameter          (sqlm_elm_log_reads = 488)

       integer          sqlm_elm_log_writes
       parameter          (sqlm_elm_log_writes = 489)

       integer          sqlm_elm_pkg_cache_lookups
       parameter          (sqlm_elm_pkg_cache_lookups = 490)

       integer          sqlm_elm_pkg_cache_inserts
       parameter          (sqlm_elm_pkg_cache_inserts = 491)

       integer          sqlm_elm_cat_cache_lookups
       parameter          (sqlm_elm_cat_cache_lookups = 492)

       integer          sqlm_elm_cat_cache_inserts
       parameter          (sqlm_elm_cat_cache_inserts = 493)

       integer          sqlm_elm_cat_cache_overflows
       parameter          (sqlm_elm_cat_cache_overflows = 494)

       integer          sqlm_elm_cat_cache_heap_full
       parameter          (sqlm_elm_cat_cache_heap_full = 495)

       integer          sqlm_elm_catalog_node
       parameter          (sqlm_elm_catalog_node = 496)

       integer          sqlm_elm_total_sec_cons
       parameter          (sqlm_elm_total_sec_cons = 497)

       integer          sqlm_elm_db_location
       parameter          (sqlm_elm_db_location = 498)

       integer          sqlm_elm_server_platform
       parameter          (sqlm_elm_server_platform = 499)

       integer          sqlm_elm_catalog_node_name
       parameter          (sqlm_elm_catalog_node_name = 500)

       integer          sqlm_elm_prefetch_wait_time
       parameter          (sqlm_elm_prefetch_wait_time = 501)

       integer          sqlm_elm_appl_section_lookups
       parameter          (sqlm_elm_appl_section_lookups = 502)

       integer          sqlm_elm_appl_section_inserts
       parameter          (sqlm_elm_appl_section_inserts = 503)

       integer          sqlm_elm_total_hash_joins
       parameter          (sqlm_elm_total_hash_joins = 504)

       integer          sqlm_elm_total_hash_loops
       parameter          (sqlm_elm_total_hash_loops = 505)

       integer          sqlm_elm_hash_join_overflows
       parameter          (sqlm_elm_hash_join_overflows = 506)

       integer          sqlm_elm_hash_join_small_overflows
       parameter          (sqlm_elm_hash_join_small_overflows = 507)

       integer          sqlm_elm_uow_lock_wait_time
       parameter          (sqlm_elm_uow_lock_wait_time = 508)

       integer          sqlm_elm_stmt_type
       parameter          (sqlm_elm_stmt_type = 509)

       integer          sqlm_elm_cursor_name
       parameter          (sqlm_elm_cursor_name = 510)

       integer          sqlm_elm_uow_log_space_used
       parameter          (sqlm_elm_uow_log_space_used = 511)

       integer          sqlm_elm_open_rem_curs
       parameter          (sqlm_elm_open_rem_curs = 512)

       integer          sqlm_elm_open_rem_curs_blk
       parameter          (sqlm_elm_open_rem_curs_blk = 513)

       integer          sqlm_elm_rej_curs_blk
       parameter          (sqlm_elm_rej_curs_blk = 514)

       integer          sqlm_elm_acc_curs_blk
       parameter          (sqlm_elm_acc_curs_blk = 515)

       integer          sqlm_elm_version
       parameter          (sqlm_elm_version = 516)

       integer          sqlm_elm_event_monitor_name
       parameter          (sqlm_elm_event_monitor_name = 517)

       integer          sqlm_elm_sql_reqs_since_commit
       parameter          (sqlm_elm_sql_reqs_since_commit = 518)

       integer          sqlm_elm_num_sec_appl_structs
       parameter          (sqlm_elm_num_sec_appl_structs = 519)

       integer          sqlm_elm_byte_order
       parameter          (sqlm_elm_byte_order = 520)

       integer          sqlm_elm_prep_time_worst
       parameter          (sqlm_elm_prep_time_worst = 521)

       integer          sqlm_elm_rows_read
       parameter          (sqlm_elm_rows_read = 522)

       integer          sqlm_elm_rows_written
       parameter          (sqlm_elm_rows_written = 523)

       integer          sqlm_elm_open_loc_curs
       parameter          (sqlm_elm_open_loc_curs = 524)

       integer          sqlm_elm_open_loc_curs_blk
       parameter          (sqlm_elm_open_loc_curs_blk = 525)

       integer          sqlm_elm_coord_node
       parameter          (sqlm_elm_coord_node = 526)

       integer          sqlm_elm_num_agents
       parameter          (sqlm_elm_num_agents = 527)

       integer          sqlm_elm_associated_agents_top
       parameter          (sqlm_elm_associated_agents_top = 528)

       integer          sqlm_elm_appl_priority
       parameter          (sqlm_elm_appl_priority = 529)

       integer          sqlm_elm_appl_priority_type
       parameter          (sqlm_elm_appl_priority_type = 530)

       integer          sqlm_elm_degree_parallelism
       parameter          (sqlm_elm_degree_parallelism = 531)

       integer          sqlm_elm_stmt_sorts
       parameter          (sqlm_elm_stmt_sorts = 532)

       integer          sqlm_elm_stmt_usr_cpu_time
       parameter          (sqlm_elm_stmt_usr_cpu_time = 533)

       integer          sqlm_elm_stmt_sys_cpu_time
       parameter          (sqlm_elm_stmt_sys_cpu_time = 534)

       integer          sqlm_elm_ss_number
       parameter          (sqlm_elm_ss_number = 535)

       integer          sqlm_elm_ss_status
       parameter          (sqlm_elm_ss_status = 536)

       integer          sqlm_elm_ss_node_number
       parameter          (sqlm_elm_ss_node_number = 537)

       integer          sqlm_elm_ss_exec_time
       parameter          (sqlm_elm_ss_exec_time = 538)

       integer          sqlm_elm_prep_time_best
       parameter          (sqlm_elm_prep_time_best = 539)

       integer          sqlm_elm_num_compilations
       parameter          (sqlm_elm_num_compilations = 540)

       integer          sqlm_elm_tq_node_waited_for
       parameter          (sqlm_elm_tq_node_waited_for = 541)

       integer          sqlm_elm_tq_wait_for_any
       parameter          (sqlm_elm_tq_wait_for_any = 542)

       integer          sqlm_elm_tq_id_waiting_on
       parameter          (sqlm_elm_tq_id_waiting_on = 543)

       integer          sqlm_elm_tq_tot_send_spills
       parameter          (sqlm_elm_tq_tot_send_spills = 544)

       integer          sqlm_elm_tq_cur_send_spills
       parameter          (sqlm_elm_tq_cur_send_spills = 545)

       integer          sqlm_elm_tq_max_send_spills
       parameter          (sqlm_elm_tq_max_send_spills = 546)

       integer          sqlm_elm_tq_rows_read
       parameter          (sqlm_elm_tq_rows_read = 547)

       integer          sqlm_elm_tq_rows_written
       parameter          (sqlm_elm_tq_rows_written = 548)

       integer          sqlm_elm_agent_pid
       parameter          (sqlm_elm_agent_pid = 549)

       integer          sqlm_elm_lock_escalation
       parameter          (sqlm_elm_lock_escalation = 550)

       integer          sqlm_elm_subsection_number
       parameter          (sqlm_elm_subsection_number = 551)

       integer          sqlm_elm_lock_mode
       parameter          (sqlm_elm_lock_mode = 552)

       integer          sqlm_elm_lock_object_type
       parameter          (sqlm_elm_lock_object_type = 553)

       integer          sqlm_elm_num_executions
       parameter          (sqlm_elm_num_executions = 554)

       integer          sqlm_elm_table_name
       parameter          (sqlm_elm_table_name = 555)

       integer          sqlm_elm_table_schema
       parameter          (sqlm_elm_table_schema = 556)

       integer          sqlm_elm_tablespace_name
       parameter          (sqlm_elm_tablespace_name = 557)

       integer          sqlm_elm_agent_id_holding_lk
       parameter          (sqlm_elm_agent_id_holding_lk = 558)

       integer          sqlm_elm_appl_id_holding_lk
       parameter          (sqlm_elm_appl_id_holding_lk = 559)

       integer          sqlm_elm_num_tables
       parameter          (sqlm_elm_num_tables = 560)

       integer          sqlm_elm_table_file_id
       parameter          (sqlm_elm_table_file_id = 561)

       integer          sqlm_elm_table_type
       parameter          (sqlm_elm_table_type = 562)

       integer          sqlm_elm_overflow_accesses
       parameter          (sqlm_elm_overflow_accesses = 563)

       integer          sqlm_elm_page_reorgs
       parameter          (sqlm_elm_page_reorgs = 564)

       integer          sqlm_elm_sqlcabc
       parameter          (sqlm_elm_sqlcabc = 565)

       integer          sqlm_elm_lock_status
       parameter          (sqlm_elm_lock_status = 566)

       integer          sqlm_elm_lock_object_name
       parameter          (sqlm_elm_lock_object_name = 567)

       integer          sqlm_elm_rf_type
       parameter          (sqlm_elm_rf_type = 568)

       integer          sqlm_elm_rf_log_num
       parameter          (sqlm_elm_rf_log_num = 569)

       integer          sqlm_elm_rf_status
       parameter          (sqlm_elm_rf_status = 570)

       integer          sqlm_elm_ts_name
       parameter          (sqlm_elm_ts_name = 571)

       integer          sqlm_elm_bp_name
       parameter          (sqlm_elm_bp_name = 572)

       integer          sqlm_elm_stmt_node_number
       parameter          (sqlm_elm_stmt_node_number = 573)

       integer          sqlm_elm_partial_record
       parameter          (sqlm_elm_partial_record = 574)

       integer          sqlm_elm_system_cpu_time
       parameter          (sqlm_elm_system_cpu_time = 575)

       integer          sqlm_elm_sqlca
       parameter          (sqlm_elm_sqlca = 576)

       integer          sqlm_elm_sqlcode
       parameter          (sqlm_elm_sqlcode = 577)

       integer          sqlm_elm_sqlerrml
       parameter          (sqlm_elm_sqlerrml = 578)

       integer          sqlm_elm_sqlerrmc
       parameter          (sqlm_elm_sqlerrmc = 579)

       integer          sqlm_elm_sqlerrp
       parameter          (sqlm_elm_sqlerrp = 580)

       integer          sqlm_elm_sqlerrd
       parameter          (sqlm_elm_sqlerrd = 581)

       integer          sqlm_elm_sqlwarn
       parameter          (sqlm_elm_sqlwarn = 582)

       integer          sqlm_elm_sqlstate
       parameter          (sqlm_elm_sqlstate = 583)

       integer          sqlm_elm_uow_status
       parameter          (sqlm_elm_uow_status = 584)

       integer          sqlm_elm_total_sys_cpu_time
       parameter          (sqlm_elm_total_sys_cpu_time = 585)

       integer          sqlm_elm_total_usr_cpu_time
       parameter          (sqlm_elm_total_usr_cpu_time = 586)

       integer          sqlm_elm_lock_mode_requested
       parameter          (sqlm_elm_lock_mode_requested = 587)

       integer          sqlm_elm_inactive_gw_agents
       parameter          (sqlm_elm_inactive_gw_agents = 588)

       integer          sqlm_elm_num_gw_conn_switches
       parameter          (sqlm_elm_num_gw_conn_switches = 589)

       integer          sqlm_elm_gw_comm_errors
       parameter          (sqlm_elm_gw_comm_errors = 590)

       integer          sqlm_elm_gw_comm_error_time
       parameter          (sqlm_elm_gw_comm_error_time = 591)

       integer          sqlm_elm_gw_con_start_time
       parameter          (sqlm_elm_gw_con_start_time = 592)

       integer          sqlm_elm_con_response_time
       parameter          (sqlm_elm_con_response_time = 593)

       integer          sqlm_elm_con_elapsed_time
       parameter          (sqlm_elm_con_elapsed_time = 594)

       integer          sqlm_elm_host_response_time
       parameter          (sqlm_elm_host_response_time = 595)

       integer          sqlm_elm_pkg_cache_num_overflows
       parameter          (sqlm_elm_pkg_cache_num_overflows = 596)

       integer          sqlm_elm_pkg_cache_size_top
       parameter          (sqlm_elm_pkg_cache_size_top = 597)

       integer          sqlm_elm_appl_id_oldest_xact
       parameter          (sqlm_elm_appl_id_oldest_xact = 598)

       integer          sqlm_elm_total_log_used
       parameter          (sqlm_elm_total_log_used = 599)

       integer          sqlm_elm_total_log_available
       parameter          (sqlm_elm_total_log_available = 600)

       integer          sqlm_elm_stmt_elapsed_time
       parameter          (sqlm_elm_stmt_elapsed_time = 601)

       integer          sqlm_elm_uow_elapsed_time
       parameter          (sqlm_elm_uow_elapsed_time = 602)

       integer          sqlm_elm_sqlcaid
       parameter          (sqlm_elm_sqlcaid = 603)

c ***************************************************************************
c state information for each monitor group
c ***************************************************************************

       character   sqlm_recording_group(16)

       integer*4   sqlm_rg_input_state
       integer*4   sqlm_rg_output_state
       integer*4   sqlm_rg_start_seconds
       integer*4   sqlm_rg_start_microsec

       equivalence( sqlm_recording_group(  1),
     +               sqlm_rg_input_state      )
       equivalence( sqlm_recording_group(  5),
     +               sqlm_rg_output_state     )
       equivalence( sqlm_recording_group(  9),
     +               sqlm_rg_start_seconds )
       equivalence( sqlm_recording_group( 13),
     +               sqlm_rg_start_microsec )

c ***************************************************************************
c collection count data structure returned from get monitor info
c ***************************************************************************

       character   sqlm_collected(240)

       integer*4   sqlm_c_sqlm_size

       integer*4   sqlm_c_db2
       integer*4   sqlm_c_databases
       integer*4   sqlm_c_table_databases
       integer*4   sqlm_c_lock_databases
       integer*4   sqlm_c_applications
       integer*4   sqlm_c_applinfos
       integer*4   sqlm_c_dcs_applinfos
       integer*4   sqlm_c_server_db2_type
       integer*4   sqlm_c_timestamp_seconds
       integer*4   sqlm_c_timestamp_microsec

       integer*4   sqlm_c_gs_uow_input_state
       integer*4   sqlm_c_gs_uow_output_state
       integer*4   sqlm_c_gs_uow_start_seconds
       integer*4   sqlm_c_gs_uow_start_microsec

       integer*4   sqlm_c_gs_st_input_state
       integer*4   sqlm_c_gs_st_output_state
       integer*4   sqlm_c_gs_st_start_seconds
       integer*4   sqlm_c_gs_st_start_microsec

       integer*4   sqlm_c_gs_tbl_input_state
       integer*4   sqlm_c_gs_tbl_output_state
       integer*4   sqlm_c_gs_tbl_start_seconds
       integer*4   sqlm_c_gs_tbl_start_microsec

       integer*4   sqlm_c_gs_bp_input_state
       integer*4   sqlm_c_gs_bp_output_state
       integer*4   sqlm_c_gs_bp_start_seconds
       integer*4   sqlm_c_gs_bp_start_microsec

       integer*4   sqlm_c_gs_lk_input_state
       integer*4   sqlm_c_gs_lk_output_state
       integer*4   sqlm_c_gs_lk_start_seconds
       integer*4   sqlm_c_gs_lk_start_microsec

       integer*4   sqlm_c_gs_srt_input_state
       integer*4   sqlm_c_gs_srt_output_state
       integer*4   sqlm_c_gs_srt_start_seconds
       integer*4   sqlm_c_gs_srt_start_microsec

       character   sqlm_c_server_prdid(sqlm_ident_sz)
       character   sqlm_c_server_nname(sqlm_ident_sz)
       character   sqlm_c_server_instance_name(sqlm_ident_sz)
       character   sqlm_c_reserved(22)
       integer*2   sqlm_c_node_number
       integer*4   sqlm_c_time_zone_disp
       integer*4   sqlm_c_num_top_level_structs
       integer*4   sqlm_c_tablespace_databases
       integer*4   sqlm_c_server_version

       equivalence( sqlm_collected(  1),
     +               sqlm_c_sqlm_size             )
       equivalence( sqlm_collected(  5),
     +               sqlm_c_db2              )
       equivalence( sqlm_collected(  9),
     +               sqlm_c_databases        )
       equivalence( sqlm_collected( 13),
     +               sqlm_c_table_databases  )
       equivalence( sqlm_collected( 17),
     +               sqlm_c_lock_databases   )
       equivalence( sqlm_collected( 21),
     +               sqlm_c_applications     )
       equivalence( sqlm_collected( 25),
     +               sqlm_c_applinfos        )
       equivalence( sqlm_collected( 29),
     +               sqlm_c_dcs_applinfos    )
       equivalence( sqlm_collected( 33),
     +               sqlm_c_server_db2_type  )
       equivalence( sqlm_collected( 37),
     +               sqlm_c_timestamp_seconds )
       equivalence( sqlm_collected( 41),
     +               sqlm_c_timestamp_microsec )
       equivalence( sqlm_collected( 45),
     +               sqlm_c_gs_uow_input_state )
       equivalence( sqlm_collected( 49),
     +               sqlm_c_gs_uow_output_state )
       equivalence( sqlm_collected( 53),
     +               sqlm_c_gs_uow_start_seconds )
       equivalence( sqlm_collected( 57),
     +               sqlm_c_gs_uow_start_microsec )
       equivalence( sqlm_collected( 61),
     +               sqlm_c_gs_st_input_state )
       equivalence( sqlm_collected( 65),
     +               sqlm_c_gs_st_output_state )
       equivalence( sqlm_collected( 69),
     +               sqlm_c_gs_st_start_seconds )
       equivalence( sqlm_collected( 73),
     +               sqlm_c_gs_st_start_microsec )
       equivalence( sqlm_collected( 77),
     +               sqlm_c_gs_tbl_input_state )
       equivalence( sqlm_collected( 81),
     +               sqlm_c_gs_tbl_output_state )
       equivalence( sqlm_collected( 85),
     +               sqlm_c_gs_tbl_start_seconds )
       equivalence( sqlm_collected( 89),
     +               sqlm_c_gs_tbl_start_microsec )
       equivalence( sqlm_collected( 93),
     +               sqlm_c_gs_bp_input_state )
       equivalence( sqlm_collected( 97),
     +               sqlm_c_gs_bp_output_state )
       equivalence( sqlm_collected(101),
     +               sqlm_c_gs_bp_start_seconds )
       equivalence( sqlm_collected(105),
     +               sqlm_c_gs_bp_start_microsec )
       equivalence( sqlm_collected(109),
     +               sqlm_c_gs_lk_input_state )
       equivalence( sqlm_collected(113),
     +               sqlm_c_gs_lk_output_state )
       equivalence( sqlm_collected(117),
     +               sqlm_c_gs_lk_start_seconds )
       equivalence( sqlm_collected(121),
     +               sqlm_c_gs_lk_start_microsec )
       equivalence( sqlm_collected(125),
     +               sqlm_c_gs_srt_input_state )
       equivalence( sqlm_collected(129),
     +               sqlm_c_gs_srt_output_state )
       equivalence( sqlm_collected(133),
     +               sqlm_c_gs_srt_start_seconds )
       equivalence( sqlm_collected(137),
     +               sqlm_c_gs_srt_start_microsec )
       equivalence( sqlm_collected(141),
     +               sqlm_c_server_prdid     )
       equivalence( sqlm_collected(161),
     +               sqlm_c_server_nname     )
       equivalence( sqlm_collected(181),
     +               sqlm_c_server_instance_name )
       equivalence( sqlm_collected(201),
     +               sqlm_c_reserved         )
       equivalence( sqlm_collected(223),
     +               sqlm_c_node_number      )
       equivalence( sqlm_collected(225),
     +               sqlm_c_time_zone_disp   )
       equivalence( sqlm_collected(229),
     +               sqlm_c_num_top_level_structs )
       equivalence( sqlm_collected(233),
     +               sqlm_c_tablespace_databases )
       equivalence( sqlm_collected(237),
     +               sqlm_c_server_version   )


c ***************************************************************************
c summary application information data structutre
c ***************************************************************************

       character   sqlm_applinfo(560)

       integer*4   sqlm_ai_sqlm_size
       character   sqlm_ai_info_type
       character   sqlm_ai_filler(3)
       integer*4   sqlm_ai_agent_id
       integer*4   sqlm_ai_appl_status
       integer*4   sqlm_ai_codepage_id
       integer*4   sqlm_ai_st_change_seconds
       integer*4   sqlm_ai_st_change_microsec
       character   sqlm_ai_appl_name(sqlm_ident_sz)
       character   sqlm_ai_appl_id(sqlm_applid_sz)
       character   sqlm_ai_sequence_no(sqlm_seq_sz)
       character   sqlm_ai_auth_id(sqlm_ident_sz)
       character   sqlm_ai_client_nname(sqlm_ident_sz)
       character   sqlm_ai_client_prdid(sqlm_ident_sz)
       character   sqlm_ai_input_db_alias(sqlm_ident_sz)
       character   sqlm_ai_client_db_alias(sqlm_ident_sz)
       character   sqlm_ai_db_name(sqlm_ident_sz)
       character   sqlm_ai_db_path(sqlm_dbpath_sz)

       character   sqlm_ai_reserved(20)

       integer*4   sqlm_ai_num_assoc_agents
       integer*4   sqlm_ai_coord_node_num
       integer*4   sqlm_ai_authority_lvl

c      sqlm_dbmon_version2  client identification information
       character   sqlm_ai_execution_id(sqlm_ident_sz)
       character   sqlm_ai_corr_token(sqlm_applid_sz)
       integer*4   sqlm_ai_client_pid
       integer*2   sqlm_ai_client_platform
       integer*2   sqlm_ai_client_protocol
       integer*2   sqlm_ai_country_code
       character   sqlm_ai_filler2(2)
       integer*4   sqlm_ai_coord_agent_pid


       equivalence( sqlm_applinfo(  1), sqlm_ai_sqlm_size             )
       equivalence( sqlm_applinfo(  5), sqlm_ai_info_type        )
       equivalence( sqlm_applinfo(  6), sqlm_ai_filler              )
       equivalence( sqlm_applinfo(  9), sqlm_ai_agent_id         )
       equivalence( sqlm_applinfo( 13), sqlm_ai_appl_status      )
       equivalence( sqlm_applinfo( 17), sqlm_ai_codepage_id      )
       equivalence( sqlm_applinfo( 21), sqlm_ai_st_change_seconds )
       equivalence( sqlm_applinfo( 25), sqlm_ai_st_change_microsec )
       equivalence( sqlm_applinfo( 29), sqlm_ai_appl_name        )
       equivalence( sqlm_applinfo( 49), sqlm_ai_appl_id          )
       equivalence( sqlm_applinfo( 81), sqlm_ai_sequence_no      )
       equivalence( sqlm_applinfo( 85), sqlm_ai_auth_id          )
       equivalence( sqlm_applinfo(105), sqlm_ai_client_nname     )
       equivalence( sqlm_applinfo(125), sqlm_ai_client_prdid     )
       equivalence( sqlm_applinfo(145), sqlm_ai_input_db_alias   )
       equivalence( sqlm_applinfo(165), sqlm_ai_client_db_alias  )
       equivalence( sqlm_applinfo(185), sqlm_ai_db_name          )
       equivalence( sqlm_applinfo(205), sqlm_ai_db_path          )
       equivalence( sqlm_applinfo(461), sqlm_ai_reserved         )
       equivalence( sqlm_applinfo(481), sqlm_ai_num_assoc_agents )
       equivalence( sqlm_applinfo(485), sqlm_ai_coord_node_num   )
       equivalence( sqlm_applinfo(489), sqlm_ai_authority_lvl    )
       equivalence( sqlm_applinfo(493), sqlm_ai_execution_id     )
       equivalence( sqlm_applinfo(513), sqlm_ai_corr_token       )
       equivalence( sqlm_applinfo(545), sqlm_ai_client_pid       )
       equivalence( sqlm_applinfo(549), sqlm_ai_client_platform  )
       equivalence( sqlm_applinfo(551), sqlm_ai_client_protocol  )
       equivalence( sqlm_applinfo(553), sqlm_ai_country_code     )
       equivalence( sqlm_applinfo(555), sqlm_ai_filler2             )
       equivalence( sqlm_applinfo(557), sqlm_ai_coord_agent_pid  )

c ***************************************************************************
c DDCS application information data structutre
c ***************************************************************************

       character   sqlm_dcs_applinfo(260)

       integer*4   sqlm_dcs_sqlm_size
       character   sqlm_dcs_info_type
       character   sqlm_dcs_filler(3)
       integer*4   sqlm_dcs_agent_id
       integer*4   sqlm_dcs_codepage_id
c      where app started
       character   sqlm_dcs_appl_name(sqlm_ident_sz)
       character   sqlm_dcs_appl_id(sqlm_applid_sz)
       character   sqlm_dcs_sequence_no(sqlm_seq_sz)
       character   sqlm_dcs_auth_id(sqlm_ident_sz)
       character   sqlm_dcs_client_nname(sqlm_ident_sz)
       character   sqlm_dcs_client_prdid(sqlm_ident_sz)
       character   sqlm_dcs_client_db_alias(sqlm_ident_sz)
       character   sqlm_dcs_db_name(sqlm_ident_sz)
       character   sqlm_dcs_host_prdid(sqlm_ident_sz)
       character   sqlm_dcs_outbound_appl_id(sqlm_applid_sz)
       character   sqlm_dcs_outbound_sequence_no(sqlm_seq_sz)
       integer*4   sqlm_dcs_appl_status
       integer*4   sqlm_status_change_time_seconds
       integer*4   sqlm_status_change_time_microsec
       integer*2   sqlm_client_platform
       integer*2   sqlm_client_protocol
       integer*2   sqlm_host_ccsid
       integer*4   sqlm_num_sec_dcs_app_structs
       character   sqlm_dcs_reserved(10)
       

       equivalence( sqlm_dcs_applinfo(  1),
     +               sqlm_dcs_sqlm_size             )
       equivalence( sqlm_dcs_applinfo(  5),
     +               sqlm_dcs_info_type        )
       equivalence( sqlm_dcs_applinfo(  6),
     +               sqlm_dcs_filler              )
       equivalence( sqlm_dcs_applinfo(  9),
     +               sqlm_dcs_agent_id         )
       equivalence( sqlm_dcs_applinfo( 13),
     +               sqlm_dcs_codepage_id      )
       equivalence( sqlm_dcs_applinfo( 17),
     +               sqlm_dcs_appl_name        )
       equivalence( sqlm_dcs_applinfo( 37),
     +               sqlm_dcs_appl_id          )
       equivalence( sqlm_dcs_applinfo( 69),
     +               sqlm_dcs_sequence_no      )
       equivalence( sqlm_dcs_applinfo( 73),
     +               sqlm_dcs_auth_id          )
       equivalence( sqlm_dcs_applinfo( 93),
     +               sqlm_dcs_client_nname     )
       equivalence( sqlm_dcs_applinfo(113),
     +               sqlm_dcs_client_prdid     )
       equivalence( sqlm_dcs_applinfo(133),
     +               sqlm_dcs_client_db_alias  )
       equivalence( sqlm_dcs_applinfo(153),
     +               sqlm_dcs_db_name          )
       equivalence( sqlm_dcs_applinfo(173),
     +               sqlm_dcs_host_prdid       )
       equivalence( sqlm_dcs_applinfo(193),
     +               sqlm_dcs_outbound_appl_id )
       equivalence( sqlm_dcs_applinfo(225),
     +               sqlm_dcs_outbound_sequence_no )
       equivalence( sqlm_dcs_applinfo(229),
     +               sqlm_dcs_appl_status )
       equivalence( sqlm_dcs_applinfo(233),
     +               sqlm_status_change_time_seconds )
       equivalence( sqlm_dcs_applinfo(237),
     +               sqlm_status_change_time_microsec )
       equivalence( sqlm_dcs_applinfo(241),
     +               sqlm_client_platform )
       equivalence( sqlm_dcs_applinfo(243),
     +               sqlm_client_protocol )
       equivalence( sqlm_dcs_applinfo(245),
     +               sqlm_host_ccsid )
       equivalence( sqlm_dcs_applinfo(247),
     +               sqlm_num_sec_dcs_app_structs )     
       equivalence( sqlm_dcs_applinfo(251),
     +               sqlm_dcs_reserved         )

c ***************************************************************************
c      identificaton information for a DCS appl 
c ***************************************************************************
       
       character   sqlm_dcs_applid_info(348)

       integer*4   sqlm_dai_size
       character   sqlm_dai_info_type
       character   sqlm_dai_pad(3)
       integer*4   sqlm_dai_agent_id
       integer*4   sqlm_dai_codepage_id
       integer*4   sqlm_dai_client_pid
       character   sqlm_dai_appl_name(sqlm_ident_sz)
       character   sqlm_dai_appl_id(sqlm_applid_sz)
       character   sqlm_dai_sequence_no(sqlm_seq_sz)
       character   sqlm_dai_auth_id(sqlm_ident_sz)
       character   sqlm_dai_client_nname(sqlm_ident_sz)
       character   sqlm_dai_client_prdid(sqlm_ident_sz)
       character   sqlm_dai_gw_db_alias(sqlm_ident_sz)
       character   sqlm_dai_execution_id(sqlm_ident_sz)
       character   sqlm_dai_outbound_comm_address(sqlm_comm_addr_sz)
       character   sqlm_dai_inbound_comm_address(sqlm_comm_addr_sz)
       integer*2   sqlm_dai_outbound_comm_protocol
       integer*2   sqlm_dai_client_platform
       integer*2   sqlm_dai_client_protocol
       character   sqlm_dai_pad2(2)
       character   sqlm_dai_dcs_db_name(sqlm_ident_sz)
       character   sqlm_dai_host_db_name(sqlm_ident_sz)
       character   sqlm_dai_host_prdid(sqlm_ident_sz)
       character   sqlm_dai_outbound_appl_id(sqlm_applid_sz)
       character   sqlm_dai_outbound_sequence_no(sqlm_seq_sz)
       integer*4   sqlm_dai_dcs_appl_status
       integer*4   sqlm_dai_status_change_time_seconds
       integer*4   sqlm_dai_status_change_time_microsec
       integer*2   sqlm_dai_host_ccsid
       character   sqlm_dai_pad3(2)

       equivalence (sqlm_dcs_applid_info(1), sqlm_dai_size)
       equivalence (sqlm_dcs_applid_info(5), sqlm_dai_info_type)
       equivalence (sqlm_dcs_applid_info(6), sqlm_dai_pad)
       equivalence (sqlm_dcs_applid_info(9), sqlm_dai_agent_id)
       equivalence (sqlm_dcs_applid_info(13), sqlm_dai_codepage_id)
       equivalence (sqlm_dcs_applid_info(17), sqlm_dai_client_pid)
       equivalence (sqlm_dcs_applid_info(21), sqlm_dai_appl_name)
       equivalence (sqlm_dcs_applid_info(41), sqlm_dai_appl_id)
       equivalence (sqlm_dcs_applid_info(73), sqlm_dai_sequence_no)
       equivalence (sqlm_dcs_applid_info(77), sqlm_dai_auth_id)
       equivalence (sqlm_dcs_applid_info(97), sqlm_dai_client_nname)
       equivalence (sqlm_dcs_applid_info(117), sqlm_dai_client_prdid)
       equivalence (sqlm_dcs_applid_info(137), sqlm_dai_gw_db_alias)
       equivalence (sqlm_dcs_applid_info(157), sqlm_dai_execution_id)
       equivalence (sqlm_dcs_applid_info(177), 
     +                sqlm_dai_outbound_comm_address)
       equivalence (sqlm_dcs_applid_info(208),
     +                sqlm_dai_inbound_comm_address)
       equivalence (sqlm_dcs_applid_info(241),
     +                sqlm_dai_outbound_comm_protocol)
       equivalence (sqlm_dcs_applid_info(243), 
     +                sqlm_dai_client_platform)
       equivalence (sqlm_dcs_applid_info(245),
     +                sqlm_dai_client_protocol)
       equivalence (sqlm_dcs_applid_info(247), sqlm_dai_pad2)
       equivalence (sqlm_dcs_applid_info(249), sqlm_dai_dcs_db_name)
       equivalence (sqlm_dcs_applid_info(269), sqlm_dai_host_db_name)
       equivalence (sqlm_dcs_applid_info(289), sqlm_dai_host_prdid)
       equivalence (sqlm_dcs_applid_info(309), 
     +                sqlm_dai_outbound_appl_id)
       equivalence (sqlm_dcs_applid_info(341), 
     +                sqlm_dai_outbound_sequence_no)
       equivalence (sqlm_dcs_applid_info(345), 
     +                sqlm_dai_dcs_appl_status)
      

c ***************************************************************************
c      Counters for snapshot dcs application  
c ***************************************************************************

       character   sqlm_dcs_appl_snap_stats(60)

       integer*4   sqlm_das_size
       character   sqlm_das_info_type
       character   sqlm_das_pad(3)
        
       integer*4   sqlm_das_gw_con_time_seconds
       integer*4   sqlm_das_gw_con_time_microsec
       integer*4   sqlm_das_gw_exec_time_seconds
       integer*4   sqlm_das_gw_exec_time_microsec
       integer*4   sqlm_das_rows_selected
       integer*4   sqlm_das_sql_stmts
       integer*4   sqlm_das_failed_sql_stmts
       integer*4   sqlm_das_commit_sql_stmts
       integer*4   sqlm_das_rollback_sql_stmts
       integer*4   sqlm_das_inbound_bytes_received
       integer*4   sqlm_das_outbound_bytes_sent
       integer*4   sqlm_das_outbound_bytes_received
       integer*4   sqlm_das_inbound_bytes_sent

       equivalence (sqlm_dcs_appl_snap_stats(1), sqlm_das_size)
       equivalence (sqlm_dcs_appl_snap_stats(5), sqlm_das_info_type)
       equivalence (sqlm_dcs_appl_snap_stats(6), sqlm_das_pad)
       equivalence (sqlm_dcs_appl_snap_stats(9),
     +                sqlm_das_gw_con_time_seconds)
       equivalence (sqlm_dcs_appl_snap_stats(13),
     +                sqlm_das_gw_con_time_microsec)
       equivalence (sqlm_dcs_appl_snap_stats(17),
     +                sqlm_das_gw_exec_time_seconds)
       equivalence (sqlm_dcs_appl_snap_stats(21),
     +                sqlm_das_gw_exec_time_microsec)
       equivalence (sqlm_dcs_appl_snap_stats(25),
     +                sqlm_das_rows_selected)
       equivalence (sqlm_dcs_appl_snap_stats(29),
     +                sqlm_das_sql_stmts)
       equivalence (sqlm_dcs_appl_snap_stats(33),
     +                sqlm_das_failed_sql_stmts)
       equivalence (sqlm_dcs_appl_snap_stats(37),
     +                sqlm_das_commit_sql_stmts)
       equivalence (sqlm_dcs_appl_snap_stats(41),
     +                sqlm_das_rollback_sql_stmts)
       equivalence (sqlm_dcs_appl_snap_stats(45),
     +                sqlm_das_inbound_bytes_received)
       equivalence (sqlm_dcs_appl_snap_stats(49),
     +                sqlm_das_outbound_bytes_sent)
       equivalence (sqlm_dcs_appl_snap_stats(53),
     +                sqlm_das_outbound_bytes_received)
       equivalence (sqlm_dcs_appl_snap_stats(57),
     +                sqlm_das_inbound_bytes_sent)
    

c ***************************************************************************
c      get snapshot for dcs applications
c ***************************************************************************
    
       character    sqlm_dcs_appl(128)

       integer*4    sqlm_da_size
       character    sqlm_da_info_type
       character    sqlm_da_pad(3)
       integer*4    sqlm_da_num_sec_dcs_structs
       integer*4    sqlm_da_stmt_operation
       integer*4    sqlm_da_section_number
       integer*4    sqlm_da_stmt_start_seconds
       integer*4    sqlm_da_stmt_start_microsec
       integer*4    sqlm_da_stmt_stop_seconds
       integer*4    sqlm_da_stmt_stop_microsec
       character    sqlm_da_creator(sqlm_ident_sz)
       character    sqlm_da_package_name(sqlm_ident_sz)
       integer*4    sqlm_da_appl_idle_time
       integer*4    sqlm_da_open_cursors
       integer*4    sqlm_da_uow_comp_status
       integer*4    sqlm_da_prev_uow_stop_time_seconds
       integer*4    sqlm_da_prev_uow_stop_time_microsec
       integer*4    sqlm_da_uow_start_time_seconds
       integer*4    sqlm_da_uow_start_time_microsec
       integer*4    sqlm_da_uow_stop_time_seconds
       integer*4    sqlm_da_uow_stop_time_microsec
       integer*4    sqlm_da_inbound_bytes_received
       integer*4    sqlm_da_outbound_bytes_sent
       integer*4    sqlm_da_outbound_bytes_received
       integer*4    sqlm_da_inbound_bytes_sent

       equivalence (sqlm_dcs_appl(1),
     +                sqlm_da_size)
       equivalence (sqlm_dcs_appl(5),
     +                sqlm_da_info_type)
       equivalence (sqlm_dcs_appl(6),
     +                sqlm_da_pad)
       equivalence (sqlm_dcs_appl(9),
     +                sqlm_da_num_sec_dcs_structs)
       equivalence (sqlm_dcs_appl(13),
     +                sqlm_da_stmt_operation)
       equivalence (sqlm_dcs_appl(17),
     +                sqlm_da_section_number)
       equivalence (sqlm_dcs_appl(21),
     +                sqlm_da_stmt_start_seconds)
       equivalence (sqlm_dcs_appl(25),
     +                sqlm_da_stmt_start_microsec)
       equivalence (sqlm_dcs_appl(29),
     +                sqlm_da_stmt_stop_seconds)
       equivalence (sqlm_dcs_appl(33),
     +                sqlm_da_stmt_stop_microsec)
       equivalence (sqlm_dcs_appl(37),
     +                sqlm_da_creator)
       equivalence (sqlm_dcs_appl(57),
     +                sqlm_da_package_name)
       equivalence (sqlm_dcs_appl(77),
     +                sqlm_da_appl_idle_time)
       equivalence (sqlm_dcs_appl(81),
     +                sqlm_da_open_cursors)
       equivalence (sqlm_dcs_appl(85),
     +                sqlm_da_uow_comp_status)
       equivalence (sqlm_dcs_appl(89),
     +                sqlm_da_prev_uow_stop_time_seconds)
       equivalence (sqlm_dcs_appl(93),
     +                sqlm_da_prev_uow_stop_time_microsec)
       equivalence (sqlm_dcs_appl(97),
     +                sqlm_da_uow_start_time_seconds)
       equivalence (sqlm_dcs_appl(101),
     +                sqlm_da_uow_start_time_microsec)
       equivalence (sqlm_dcs_appl(105),
     +                sqlm_da_uow_stop_time_seconds)
       equivalence (sqlm_dcs_appl(109),
     +                sqlm_da_uow_stop_time_microsec)
       equivalence (sqlm_dcs_appl(113),
     +                sqlm_da_inbound_bytes_received)
       equivalence (sqlm_dcs_appl(117),
     +                sqlm_da_outbound_bytes_sent)
       equivalence (sqlm_dcs_appl(121),
     +                sqlm_da_outbound_bytes_received)
       equivalence (sqlm_dcs_appl(125),
     +                sqlm_da_inbound_bytes_sent)
        
c ***************************************************************************
c      xid information - returned on application and dcs application snapshot       
c ***************************************************************************
       
       character    sqlm_appl_xid(13)

       integer*4    sqlm_ax_size
       character    sqlm_ax_info_type
       character    sqlm_ax_pad(3)
       integer*4    sqlm_ax_xid_size
       character    sqlm_ax_xid

       equivalence (sqlm_appl_xid(1), sqlm_ax_size)
       equivalence (sqlm_appl_xid(5), sqlm_ax_info_type)
       equivalence (sqlm_appl_xid(6), sqlm_ax_pad)
       equivalence (sqlm_appl_xid(9), sqlm_ax_xid_size)
       equivalence (sqlm_appl_xid(13), sqlm_ax_xid)


c      3-tie client information

       character    sqlm_tpmon_info(72)

       integer*4    sqlm_tp_size
       character    sqlm_tp_info_type
       character    sqlm_tp_pad(3)
       character    sqlm_tp_tpmon_client_userid(sqlm_ident_sz)
       character    sqlm_tp_tpmon_client_wkstn(sqlm_ident_sz)
       character    sqlm_tp_tpmon_client_app(sqlm_ident_sz)
       integer*2    sqlm_tp_acc_str_length
       integer*2    sqlm_tp_acc_str_offset

       equivalence (sqlm_tpmon_info(1), sqlm_tp_size)
       equivalence (sqlm_tpmon_info(5), sqlm_tp_info_type)
       equivalence (sqlm_tpmon_info(6), sqlm_tp_pad)
       equivalence (sqlm_tpmon_info(9), sqlm_tp_tpmon_client_userid)
       equivalence (sqlm_tpmon_info(29), sqlm_tp_tpmon_client_wkstn)
       equivalence (sqlm_tpmon_info(49), sqlm_tp_tpmon_client_app)
       equivalence (sqlm_tpmon_info(69), sqlm_tp_acc_str_length)
       equivalence (sqlm_tpmon_info(71), sqlm_tp_acc_str_offset)


c ***************************************************************************
c      statement that is running on a host
c ***************************************************************************
       
       character    sqlm_dcs_stmt(112)

       integer*4    sqlm_ds_size
       character    sqlm_ds_info_type
       character    sqlm_ds_pad(3)
       character    sqlm_ds_creator(sqlm_ident_sz)
       character    sqlm_ds_package_name(sqlm_ident_sz)
       integer*4    sqlm_ds_section_number
       integer*4    sqlm_ds_query_cost_estimate
       integer*4    sqlm_ds_query_card_estimate
       integer*4    sqlm_ds_stmt_start_seconds
       integer*4    sqlm_ds_stmt_start_microsec
       integer*4    sqlm_ds_stmt_stop_seconds
       integer*4    sqlm_ds_stmt_stop_microsec
       integer*4    sqlm_ds_stmt_operation
       integer*4    sqlm_ds_fetch_count
       integer*4    sqlm_ds_gw_exec_time_seconds
       integer*4    sqlm_ds_gw_exec_time_microsec
       integer*4    sqlm_ds_inbound_bytes_received
       integer*4    sqlm_ds_outbound_bytes_sent
       integer*4    sqlm_ds_outbound_bytes_received
       integer*4    sqlm_ds_inbound_bytes_sent
       integer*2    sqlm_ds_stmt_length
       integer*2    sqlm_ds_stmt_text_offset
       
       equivalence  (sqlm_dcs_stmt(1), sqlm_ds_size)
       equivalence  (sqlm_dcs_stmt(5), sqlm_ds_info_type)
       equivalence  (sqlm_dcs_stmt(6), sqlm_ds_pad)
       equivalence  (sqlm_dcs_stmt(9), sqlm_ds_creator)
       equivalence  (sqlm_dcs_stmt(29), sqlm_ds_package_name)
       equivalence  (sqlm_dcs_stmt(49), sqlm_ds_section_number)
       equivalence  (sqlm_dcs_stmt(53), sqlm_ds_query_cost_estimate)
       equivalence  (sqlm_dcs_stmt(57), sqlm_ds_query_card_estimate)
       equivalence  (sqlm_dcs_stmt(61), sqlm_ds_stmt_start_seconds)
       equivalence  (sqlm_dcs_stmt(65), sqlm_ds_stmt_start_microsec)
       equivalence  (sqlm_dcs_stmt(69), sqlm_ds_stmt_stop_seconds)
       equivalence  (sqlm_dcs_stmt(73), sqlm_ds_stmt_stop_microsec)
       equivalence  (sqlm_dcs_stmt(77), sqlm_ds_stmt_operation)
       equivalence  (sqlm_dcs_stmt(81), sqlm_ds_fetch_count)
       equivalence  (sqlm_dcs_stmt(85), sqlm_ds_gw_exec_time_seconds)
       equivalence  (sqlm_dcs_stmt(89), sqlm_ds_gw_exec_time_microsec)
       equivalence  (sqlm_dcs_stmt(93), sqlm_ds_inbound_bytes_received)
       equivalence  (sqlm_dcs_stmt(97), sqlm_ds_outbound_bytes_sent)
       equivalence  (sqlm_dcs_stmt(101),
     +                 sqlm_ds_outbound_bytes_received)
       equivalence  (sqlm_dcs_stmt(105),
     +                 sqlm_ds_inbound_bytes_sent)
       equivalence  (sqlm_dcs_stmt(109), sqlm_ds_stmt_length)
       equivalence  (sqlm_dcs_stmt(111), sqlm_ds_stmt_text_offset)
    

c ***************************************************************************
c      dcs database statistics
c ***************************************************************************
       
       character    sqlm_dcs_db(104)

       integer*4    sqlm_ddb_size
       character    sqlm_ddb_info_type
       character    sqlm_ddb_pad(3)

       character    sqlm_ddb_dcs_db_name
       character    sqlm_ddb_host_db_name
       integer*4    sqlm_ddb_gw_con_time_seconds
       integer*4    sqlm_ddb_gw_con_time_microsec
       integer*4    sqlm_ddb_last_reset_seconds
       integer*4    sqlm_ddb_last_reset_microsec
       integer*4    sqlm_ddb_sql_stmts
       integer*4    sqlm_ddb_failed_sql_stmts
       integer*4    sqlm_ddb_commit_sql_stmts
       integer*4    sqlm_ddb_rollback_sql_stmts
       integer*4    sqlm_ddb_rows_selected
       integer*4    sqlm_ddb_gw_total_cons
       integer*4    sqlm_ddb_gw_cur_cons
       integer*4    sqlm_ddb_gw_cons_wait_host
       integer*4    sqlm_ddb_gw_cons_wait_client
       integer*4    sqlm_ddb_gw_connections_top

       equivalence  (sqlm_dcs_db(1), sqlm_ddb_size)
       equivalence  (sqlm_dcs_db(5), sqlm_ddb_info_type)
       equivalence  (sqlm_dcs_db(6), sqlm_ddb_pad)
       equivalence  (sqlm_dcs_db(9), sqlm_ddb_dcs_db_name)
       equivalence  (sqlm_dcs_db(29), sqlm_ddb_host_db_name)
       equivalence  (sqlm_dcs_db(49), sqlm_ddb_gw_con_time_seconds)
       equivalence  (sqlm_dcs_db(53), sqlm_ddb_gw_con_time_microsec)
       equivalence  (sqlm_dcs_db(57), sqlm_ddb_last_reset_seconds)
       equivalence  (sqlm_dcs_db(61), sqlm_ddb_last_reset_microsec)
       equivalence  (sqlm_dcs_db(65), sqlm_ddb_sql_stmts)
       equivalence  (sqlm_dcs_db(69), sqlm_ddb_failed_sql_stmts)
       equivalence  (sqlm_dcs_db(73), sqlm_ddb_commit_sql_stmts)
       equivalence  (sqlm_dcs_db(77), sqlm_ddb_rollback_sql_stmts)
       equivalence  (sqlm_dcs_db(81), sqlm_ddb_rows_selected)
       equivalence  (sqlm_dcs_db(85), sqlm_ddb_gw_total_cons)
       equivalence  (sqlm_dcs_db(89), sqlm_ddb_gw_cur_cons)
       equivalence  (sqlm_dcs_db(93), sqlm_ddb_gw_cons_wait_host)
       equivalence  (sqlm_dcs_db(97), sqlm_ddb_gw_cons_wait_client)
       equivalence  (sqlm_dcs_db(101), sqlm_ddb_gw_connections_top)       
     

c ***************************************************************************
c db2 related snapshot information
c ***************************************************************************

       character   sqlm_db2(224)

       integer*4   sqlm_db2_sqlm_size
       character   sqlm_db2_info_type
       character   sqlm_db2_filler(3)

c      sorting information
       integer*4   sqlm_db2_sort_heap_allocated
       integer*4   sqlm_db2_post_threshold_sorts
c      threshold exceeded
       integer*4   sqlm_db2_piped_sorts_requested
c      by rds to sls
       integer*4   sqlm_db2_piped_sorts_accepted

c      timestamps
       integer*4   sqlm_db2_db2start_seconds
       integer*4   sqlm_db2_db2start_microsec
       integer*4   sqlm_db2_last_reset_seconds
       integer*4   sqlm_db2_last_reset_microsec

c      connection information
       integer*4   sqlm_db2_rem_cons_in
       integer*4   sqlm_db2_rem_cons_in_exec
       integer*4   sqlm_db2_local_cons
       integer*4   sqlm_db2_local_cons_in_exec
       integer*4   sqlm_db2_con_local_dbases
       integer*4   sqlm_db2_agents_registered
       integer*4   sqlm_db2_agents_waiting_on_tok

c      server switch settings - indicate if the dbms is collecting monitor data
       character   sqlm_db2_dbmon_sw_settings(sqlm_num_groups)
       character   sqlm_db2_filler2(2)
       integer*4   sqlm_db2_dbmon_sw_set_time(sqlm_num_groups)
c      when switch was set - 0 if switch is off

c      sqlm_dbmon_version2  db2 instance status
       integer*4   sqlm_db2_db2status

c      sqlm_dbmon_version2  high water marks
       integer*4   sqlm_db2_agents_registered_top
       integer*4   sqlm_db2_agents_waiting_top

c      sqlm_dbmon_version2  db2 instance memory usage information
       integer*4   sqlm_db2_comm_private_mem

c      sqlm_dbmon_version2  agent information
       integer*4   sqlm_db2_idle_agents

c      sqlm_dbmon_version5  agent information
       integer*4   sqlm_db2_agents_from_pool
       integer*4   sqlm_db2_agents_created_empty_pool
c      pool was empty
       integer*4   sqlm_db2_coord_agents_top
       integer*4   sqlm_db2_max_agent_overflows
c      maxagents configuration parameter.
       integer*4   sqlm_db2_agents_stolen
       integer*4   sqlm_db2_num_sec_dbm_structs
       character   sqlm_db2_product_name(sqlm_lg_ident_sz)
       character   sqlm_db2_component_id(sqlm_ident_sz)
       character   sqlm_db2_service_level(sqlm_sh_ident_sz)
c      sqlm_dbmon_version5_2 db2 connect (ddcs) info
       integer*4   sqlm_gw_total_cons
       integer*4   sqlm_gw_cur_cons
       integer*4   sqlm_gw_cons_wait_host
       integer*4   sqlm_gw_cons_wait_client
       integer*4   sqlm_post_threshold_hash_joins

       equivalence( sqlm_db2(  1),
     +               sqlm_db2_sqlm_size             )
       equivalence( sqlm_db2(  5),
     +               sqlm_db2_info_type        )
       equivalence( sqlm_db2(  6),
     +               sqlm_db2_filler             )
       equivalence( sqlm_db2(  9),
     +               sqlm_db2_sort_heap_allocated )
       equivalence( sqlm_db2( 13),
     +               sqlm_db2_post_threshold_sorts )
       equivalence( sqlm_db2( 17),
     +               sqlm_db2_piped_sorts_requested )
       equivalence( sqlm_db2( 21),
     +               sqlm_db2_piped_sorts_accepted )
       equivalence( sqlm_db2( 25),
     +               sqlm_db2_db2start_seconds )
       equivalence( sqlm_db2( 29),
     +               sqlm_db2_db2start_microsec )
       equivalence( sqlm_db2( 33),
     +               sqlm_db2_last_reset_seconds )
       equivalence( sqlm_db2( 37),
     +               sqlm_db2_last_reset_microsec )
       equivalence( sqlm_db2( 41),
     +               sqlm_db2_rem_cons_in      )
       equivalence( sqlm_db2( 45),
     +               sqlm_db2_rem_cons_in_exec )
       equivalence( sqlm_db2( 49),
     +               sqlm_db2_local_cons       )
       equivalence( sqlm_db2( 53),
     +               sqlm_db2_local_cons_in_exec )
       equivalence( sqlm_db2( 57),
     +               sqlm_db2_con_local_dbases )
       equivalence( sqlm_db2( 61),
     +               sqlm_db2_agents_registered )
       equivalence( sqlm_db2( 65),
     +               sqlm_db2_agents_waiting_on_tok )
       equivalence( sqlm_db2( 69),
     +               sqlm_db2_dbmon_sw_settings )
       equivalence( sqlm_db2( 75),
     +               sqlm_db2_filler2             )
       equivalence( sqlm_db2( 77),
     +               sqlm_db2_dbmon_sw_set_time )
       equivalence( sqlm_db2(101),
     +               sqlm_db2_db2status       )
       equivalence( sqlm_db2(105),
     +               sqlm_db2_agents_registered_top )
       equivalence( sqlm_db2(109),
     +               sqlm_db2_agents_waiting_top )
       equivalence( sqlm_db2(113),
     +               sqlm_db2_comm_private_mem )
       equivalence( sqlm_db2(117),
     +               sqlm_db2_idle_agents      )
       equivalence( sqlm_db2(121),
     +               sqlm_db2_agents_from_pool )
       equivalence( sqlm_db2(125),
     +               sqlm_db2_agents_created_empty_pool )
       equivalence( sqlm_db2(129),
     +               sqlm_db2_coord_agents_top )
       equivalence( sqlm_db2(133),
     +               sqlm_db2_max_agent_overflows )
       equivalence( sqlm_db2(137),
     +               sqlm_db2_agents_stolen    )
       equivalence( sqlm_db2(141),
     +               sqlm_db2_num_sec_dbm_structs )
       equivalence( sqlm_db2(145),
     +               sqlm_db2_product_name     )
       equivalence( sqlm_db2(177),
     +               sqlm_db2_component_id     )
       equivalence( sqlm_db2(197),
     +               sqlm_db2_service_level    )
       equivalence( sqlm_db2(201),
     +               sqlm_gw_total_cons )
       equivalence( sqlm_db2(205),
     +               sqlm_gw_cur_cons )
       equivalence( sqlm_db2(209),
     +               sqlm_gw_cons_wait_host )
       equivalence( sqlm_db2(213),
     +               sqlm_gw_cons_wait_client )
       equivalence( sqlm_db2(217),
     +               sqlm_post_threshold_hash_joins )

c ***************************************************************************
c Fast Communication Manager (FCM) related Snapshot Information
c ***************************************************************************

       character   sqlm_fcm(44)

       integer*4   sqlm_f_size
       character   sqlm_f_info_type
       character   sqlm_f_filler(3)

c      fcm buffer information
       integer*4   sqlm_f_buff_free
       integer*4   sqlm_f_buff_free_bottom

c      fcm message anchor information
       integer*4   sqlm_f_ma_free
       integer*4   sqlm_f_ma_free_bottom

c      fcm connection entry information
       integer*4   sqlm_f_ce_free
       integer*4   sqlm_f_ce_free_bottom

c      fcm request blocks information
       integer*4   sqlm_f_rb_free
       integer*4   sqlm_f_rb_free_bottom

c      fcm node status information
       integer*4   sqlm_f_number_nodes

       equivalence( sqlm_fcm(  1),
     +               sqlm_f_size             )
       equivalence( sqlm_fcm(  5),
     +               sqlm_f_info_type        )
       equivalence( sqlm_fcm(  6),
     +               sqlm_f_filler             )
       equivalence( sqlm_fcm(  9),
     +               sqlm_f_buff_free        )
       equivalence( sqlm_fcm( 13),
     +               sqlm_f_buff_free_bottom )
       equivalence( sqlm_fcm( 17),
     +               sqlm_f_ma_free          )
       equivalence( sqlm_fcm( 21),
     +               sqlm_f_ma_free_bottom   )
       equivalence( sqlm_fcm( 25),
     +               sqlm_f_ce_free          )
       equivalence( sqlm_fcm( 29),
     +               sqlm_f_ce_free_bottom   )
       equivalence( sqlm_fcm( 33),
     +               sqlm_f_rb_free          )
       equivalence( sqlm_fcm( 37),
     +               sqlm_f_rb_free_bottom   )
       equivalence( sqlm_fcm( 41),
     +               sqlm_f_number_nodes     )

c ***************************************************************************
c FCM Node Snapshot Information                                              */
c ***************************************************************************

       character   sqlm_fcm_node(20)

       integer*4   sqlm_f_n_size
       character   sqlm_f_n_info_type
       character   sqlm_f_n_pad1(1)
       integer*2   sqlm_f_n_node_number
       integer*4   sqlm_f_n_connection_status

c      fcm buffer counts
       integer*4   sqlm_f_n_total_buffers_sent
       integer*4   sqlm_f_n_total_buffers_rcvd

       equivalence( sqlm_fcm_node(  1),
     +               sqlm_f_n_size             )
       equivalence( sqlm_fcm_node(  5),
     +               sqlm_f_n_info_type        )
       equivalence( sqlm_fcm_node(  6),
     +               sqlm_f_n_pad1             )
       equivalence( sqlm_fcm_node(  7),
     +               sqlm_f_n_node_number      )
       equivalence( sqlm_fcm_node(  9),
     +               sqlm_f_n_connection_status )
       equivalence( sqlm_fcm_node( 13),
     +               sqlm_f_n_total_buffers_sent )
       equivalence( sqlm_fcm_node( 17),
     +               sqlm_f_n_total_buffers_rcvd )

c ***************************************************************************
c database related snapshot information
c ***************************************************************************

       character   sqlm_dbase(740)

       integer*4   sqlm_db_sqlm_size
       character   sqlm_db_info_type
       character   sqlm_db_filler(3)
       character   sqlm_db_input_db_alias(sqlm_ident_sz)
       character   sqlm_db_db_name(sqlm_ident_sz)
       character   sqlm_db_db_path(sqlm_dbpath_sz)

c      locking information
       integer*4   sqlm_db_locks_held
       integer*4   sqlm_db_lock_waits
       integer*4   sqlm_db_lock_wait_time
       integer*4   sqlm_db_lock_list_in_use
       integer*4   sqlm_db_deadlocks
       integer*4   sqlm_db_lock_escals
       integer*4   sqlm_db_x_lock_escals
       integer*4   sqlm_db_locks_waiting

c      sorting information
       integer*4   sqlm_db_sort_heap_allocated
       integer*4   sqlm_db_total_sorts
       integer*4   sqlm_db_total_sort_time
       integer*4   sqlm_db_sort_overflows
       integer*4   sqlm_db_active_sorts

c      buffer pool information
       integer*4   sqlm_db_pool_data_l_reads
       integer*4   sqlm_db_pool_data_p_reads
       integer*4   sqlm_db_pool_data_writes
       integer*4   sqlm_db_pool_index_l_reads
       integer*4   sqlm_db_pool_index_p_reads
       integer*4   sqlm_db_pool_index_writes
       integer*4   sqlm_db_pool_read_time
       integer*4   sqlm_db_pool_write_time

       integer*4   sqlm_db_files_closed

c      sql statement counts
       integer*4   sqlm_db_commit_sql_stmts
       integer*4   sqlm_db_rollback_sql_stmts
       integer*4   sqlm_db_dynamic_sql_stmts
       integer*4   sqlm_db_static_sql_stmts
       integer*4   sqlm_db_failed_sql_stmts
       integer*4   sqlm_db_select_sql_stmts
       integer*4   sqlm_db_ddl_sql_stmts
       integer*4   sqlm_db_uid_sql_stmts

c      internal counts
       integer*4   sqlm_db_int_auto_rebinds
       integer*4   sqlm_db_int_rows_deleted
       integer*4   sqlm_db_int_rows_updated
       integer*4   sqlm_db_int_commits
       integer*4   sqlm_db_int_rollbacks
       integer*4   sqlm_db_int_deadlock_rollbacks
c      since 1st connect

c      row counts
       integer*4   sqlm_db_rows_deleted
       integer*4   sqlm_db_rows_inserted
       integer*4   sqlm_db_rows_updated
       integer*4   sqlm_db_rows_selected

c      binds/precompiles
       integer*4   sqlm_db_binds_precompiles

c      timestamps
       integer*4   sqlm_db_db_conn_seconds
       integer*4   sqlm_db_db_conn_microsec
       integer*4   sqlm_db_last_reset_seconds
       integer*4   sqlm_db_last_reset_microsec
       integer*4   sqlm_db_last_backup_seconds
       integer*4   sqlm_db_last_backup_microsec

c      application connection counters
       integer*4   sqlm_db_total_cons
       integer*4   sqlm_db_appls_cur_cons
       integer*4   sqlm_db_appls_in_db2

c      logging information
       integer*4   sqlm_db_sec_log_used_top
       integer*4   sqlm_db_tot_log_used_top
       integer*4   sqlm_db_sec_logs_allocated

       character   sqlm_db_reserved(8)

       integer*4   sqlm_db_num_sec_dbase_structs

c      sqlm_dbmon_version5  buffer pool and i/o information
       integer*4   sqlm_db_pool_async_index_reads
       integer*4   sqlm_db_pool_data_to_estore
       integer*4   sqlm_db_pool_index_to_estore
       integer*4   sqlm_db_pool_index_from_estore
       integer*4   sqlm_db_pool_data_from_estore

c      sqlm_dbmon_version2  database status
       integer*4   sqlm_db_dbstatus

c      sqlm_dbmon_version2  lock information
       integer*4   sqlm_db_lock_timeouts

c      sqlm_dbmon_version2  high water marks
       integer*4   sqlm_db_connections_top
       integer*4   sqlm_db_db_heap_top

c      sqlm_dbmon_version2  buffer pool and i/o information
       integer*4   sqlm_db_pool_async_data_reads
       integer*4   sqlm_db_pool_async_data_writes
       integer*4   sqlm_db_pool_async_index_writes
       integer*4   sqlm_db_pool_async_read_time
       integer*4   sqlm_db_pool_async_write_time
       integer*4   sqlm_db_pool_async_data_read_rqs
       integer*4   sqlm_db_pool_lsn_gap_clns
       integer*4   sqlm_db_pool_drty_pg_steal_clns
       integer*4   sqlm_db_pool_drty_pg_thrsh_clns
       integer*4   sqlm_db_direct_reads
       integer*4   sqlm_db_direct_writes
       integer*4   sqlm_db_direct_read_rqs
       integer*4   sqlm_db_direct_write_rqs
       integer*4   sqlm_db_direct_read_time
       integer*4   sqlm_db_direct_write_time

c      sqlm_dbmon_version2 internal counts
       integer*4   sqlm_db_int_rows_inserted

c      sqlm_dbmon_version2 logging information
       integer*4   sqlm_db_log_reads
       integer*4   sqlm_db_log_writes

c      sqlm_dbmon_version2 package cache information
       integer*4   sqlm_db_pkg_cache_lookups
       integer*4   sqlm_db_pkg_cache_inserts

c      sqlm_dbmon_version2 catalog cache information
       integer*4   sqlm_db_cat_cache_lookups
       integer*4   sqlm_db_cat_cache_inserts
       integer*4   sqlm_db_cat_cache_overflows
       integer*4   sqlm_db_cat_cache_heap_full

c      sqlm_dbmon_version5
       integer*4   sqlm_db_catalog_node
       integer*4   sqlm_db_total_sec_cons
c      database connection.
       integer*4   sqlm_db_num_assoc_agents
c      with appls connected to this db.
       integer*4   sqlm_db_agents_top
c      with appls connected to this db.
       integer*4   sqlm_db_coord_agents_top
c      connected to this db. at one time.
       integer*2   sqlm_db_db_location
       integer*2   sqlm_db_server_platform
       character   sqlm_db_catalog_node_name(sqlm_lg_ident_sz)
       integer*4   sqlm_db_prefetch_wait_time

c      sqlm_dbmon_version5 application section retrieval information
       integer*4   sqlm_db_appl_section_lookups
       integer*4   sqlm_db_appl_section_inserts

c      sqlm_dbmon_version5_2 Hash join information
       integer*4   sqlm_db_total_hash_joins
       integer*4   sqlm_db_total_hash_loops
       integer*4   sqlm_db_hash_join_overflows
       integer*4   sqlm_db_hash_join_small_overflows

       equivalence( sqlm_dbase(  1),
     +               sqlm_db_sqlm_size             )
       equivalence( sqlm_dbase(  5),
     +               sqlm_db_info_type        )
       equivalence( sqlm_dbase(  6),
     +               sqlm_db_filler             )
       equivalence( sqlm_dbase(  9),
     +               sqlm_db_input_db_alias   )
       equivalence( sqlm_dbase( 29),
     +               sqlm_db_db_name          )
       equivalence( sqlm_dbase( 49),
     +               sqlm_db_db_path          )
       equivalence( sqlm_dbase(305),
     +               sqlm_db_locks_held       )
       equivalence( sqlm_dbase(309),
     +               sqlm_db_lock_waits       )
       equivalence( sqlm_dbase(313),
     +               sqlm_db_lock_wait_time   )
       equivalence( sqlm_dbase(317),
     +               sqlm_db_lock_list_in_use )
       equivalence( sqlm_dbase(321),
     +               sqlm_db_deadlocks        )
       equivalence( sqlm_dbase(325),
     +               sqlm_db_lock_escals      )
       equivalence( sqlm_dbase(329),
     +               sqlm_db_x_lock_escals    )
       equivalence( sqlm_dbase(333),
     +               sqlm_db_locks_waiting    )
       equivalence( sqlm_dbase(337),
     +               sqlm_db_sort_heap_allocated )
       equivalence( sqlm_dbase(341),
     +               sqlm_db_total_sorts      )
       equivalence( sqlm_dbase(345),
     +               sqlm_db_total_sort_time  )
       equivalence( sqlm_dbase(349),
     +               sqlm_db_sort_overflows   )
       equivalence( sqlm_dbase(353),
     +               sqlm_db_active_sorts     )
       equivalence( sqlm_dbase(357),
     +               sqlm_db_pool_data_l_reads )
       equivalence( sqlm_dbase(361),
     +               sqlm_db_pool_data_p_reads )
       equivalence( sqlm_dbase(365),
     +               sqlm_db_pool_data_writes )
       equivalence( sqlm_dbase(369),
     +               sqlm_db_pool_index_l_reads )
       equivalence( sqlm_dbase(373),
     +               sqlm_db_pool_index_p_reads )
       equivalence( sqlm_dbase(377),
     +               sqlm_db_pool_index_writes )
       equivalence( sqlm_dbase(381),
     +               sqlm_db_pool_read_time   )
       equivalence( sqlm_dbase(385),
     +               sqlm_db_pool_write_time  )
       equivalence( sqlm_dbase(389),
     +               sqlm_db_files_closed     )
       equivalence( sqlm_dbase(393),
     +               sqlm_db_commit_sql_stmts )
       equivalence( sqlm_dbase(397),
     +               sqlm_db_rollback_sql_stmts )
       equivalence( sqlm_dbase(401),
     +               sqlm_db_dynamic_sql_stmts )
       equivalence( sqlm_dbase(405),
     +               sqlm_db_static_sql_stmts )
       equivalence( sqlm_dbase(409),
     +               sqlm_db_failed_sql_stmts )
       equivalence( sqlm_dbase(413),
     +               sqlm_db_select_sql_stmts )
       equivalence( sqlm_dbase(417),
     +               sqlm_db_ddl_sql_stmts    )
       equivalence( sqlm_dbase(421),
     +               sqlm_db_uid_sql_stmts    )
       equivalence( sqlm_dbase(425),
     +               sqlm_db_int_auto_rebinds )
       equivalence( sqlm_dbase(429),
     +               sqlm_db_int_rows_deleted )
       equivalence( sqlm_dbase(433),
     +               sqlm_db_int_rows_updated )
       equivalence( sqlm_dbase(437),
     +               sqlm_db_int_commits      )
       equivalence( sqlm_dbase(441),
     +               sqlm_db_int_rollbacks    )
       equivalence( sqlm_dbase(445),
     +               sqlm_db_int_deadlock_rollbacks )
       equivalence( sqlm_dbase(449),
     +               sqlm_db_rows_deleted     )
       equivalence( sqlm_dbase(453),
     +               sqlm_db_rows_inserted    )
       equivalence( sqlm_dbase(457),
     +               sqlm_db_rows_updated     )
       equivalence( sqlm_dbase(461),
     +               sqlm_db_rows_selected    )
       equivalence( sqlm_dbase(465),
     +               sqlm_db_binds_precompiles )
       equivalence( sqlm_dbase(469),
     +               sqlm_db_db_conn_seconds )
       equivalence( sqlm_dbase(473),
     +               sqlm_db_db_conn_microsec )
       equivalence( sqlm_dbase(477),
     +               sqlm_db_last_reset_seconds )
       equivalence( sqlm_dbase(481),
     +               sqlm_db_last_reset_microsec )
       equivalence( sqlm_dbase(485),
     +               sqlm_db_last_backup_seconds )
       equivalence( sqlm_dbase(489),
     +               sqlm_db_last_backup_microsec )
       equivalence( sqlm_dbase(493),
     +               sqlm_db_total_cons       )
       equivalence( sqlm_dbase(497),
     +               sqlm_db_appls_cur_cons   )
       equivalence( sqlm_dbase(501),
     +               sqlm_db_appls_in_db2     )
       equivalence( sqlm_dbase(505),
     +               sqlm_db_sec_log_used_top )
       equivalence( sqlm_dbase(509),
     +               sqlm_db_tot_log_used_top )
       equivalence( sqlm_dbase(513),
     +               sqlm_db_sec_logs_allocated )
       equivalence( sqlm_dbase(517),
     +               sqlm_db_reserved         )
       equivalence( sqlm_dbase(521),
     +               sqlm_db_num_sec_dbase_structs )
       equivalence( sqlm_dbase(525),
     +               sqlm_db_pool_async_index_reads )
       equivalence( sqlm_dbase(529),
     +               sqlm_db_pool_data_to_estore )
       equivalence( sqlm_dbase(533),
     +               sqlm_db_pool_index_to_estore )
       equivalence( sqlm_dbase(537),
     +               sqlm_db_pool_index_from_estore )
       equivalence( sqlm_dbase(541),
     +               sqlm_db_pool_data_from_estore )
       equivalence( sqlm_dbase(545),
     +               sqlm_db_dbstatus        )
       equivalence( sqlm_dbase(549),
     +               sqlm_db_lock_timeouts    )
       equivalence( sqlm_dbase(553),
     +               sqlm_db_connections_top  )
       equivalence( sqlm_dbase(557),
     +               sqlm_db_db_heap_top      )
       equivalence( sqlm_dbase(561),
     +               sqlm_db_pool_async_data_reads )
       equivalence( sqlm_dbase(565),
     +               sqlm_db_pool_async_data_writes )
       equivalence( sqlm_dbase(569),
     +               sqlm_db_pool_async_index_writes )
       equivalence( sqlm_dbase(573),
     +               sqlm_db_pool_async_read_time )
       equivalence( sqlm_dbase(577),
     +               sqlm_db_pool_async_write_time )
       equivalence( sqlm_dbase(581),
     +               sqlm_db_pool_async_data_read_rqs )
       equivalence( sqlm_dbase(585),
     +               sqlm_db_pool_lsn_gap_clns )
       equivalence( sqlm_dbase(589),
     +               sqlm_db_pool_drty_pg_steal_clns )
       equivalence( sqlm_dbase(593),
     +               sqlm_db_pool_drty_pg_thrsh_clns )
       equivalence( sqlm_dbase(597),
     +               sqlm_db_direct_reads     )
       equivalence( sqlm_dbase(601),
     +               sqlm_db_direct_writes    )
       equivalence( sqlm_dbase(605),
     +               sqlm_db_direct_read_rqs )
       equivalence( sqlm_dbase(609),
     +               sqlm_db_direct_write_rqs )
       equivalence( sqlm_dbase(613),
     +               sqlm_db_direct_read_time )
       equivalence( sqlm_dbase(617),
     +               sqlm_db_direct_write_time )
       equivalence( sqlm_dbase(621),
     +               sqlm_db_int_rows_inserted )
       equivalence( sqlm_dbase(625),
     +               sqlm_db_log_reads        )
       equivalence( sqlm_dbase(629),
     +               sqlm_db_log_writes       )
       equivalence( sqlm_dbase(633),
     +               sqlm_db_pkg_cache_lookups )
       equivalence( sqlm_dbase(637),
     +               sqlm_db_pkg_cache_inserts )
       equivalence( sqlm_dbase(641),
     +               sqlm_db_cat_cache_lookups )
       equivalence( sqlm_dbase(645),
     +               sqlm_db_cat_cache_inserts )
       equivalence( sqlm_dbase(649),
     +               sqlm_db_cat_cache_overflows )
       equivalence( sqlm_dbase(653),
     +               sqlm_db_cat_cache_heap_full )
       equivalence( sqlm_dbase(657),
     +               sqlm_db_catalog_node     )
       equivalence( sqlm_dbase(661),
     +               sqlm_db_total_sec_cons   )
       equivalence( sqlm_dbase(665),
     +               sqlm_db_num_assoc_agents )
       equivalence( sqlm_dbase(669),
     +               sqlm_db_agents_top       )
       equivalence( sqlm_dbase(673),
     +               sqlm_db_coord_agents_top )
       equivalence( sqlm_dbase(677),
     +               sqlm_db_db_location      )
       equivalence( sqlm_dbase(679),
     +               sqlm_db_server_platform  )
       equivalence( sqlm_dbase(681),
     +               sqlm_db_catalog_node_name )
       equivalence( sqlm_dbase(713),
     +               sqlm_db_prefetch_wait_time )
       equivalence( sqlm_dbase(717),
     +               sqlm_db_appl_section_lookups )
       equivalence( sqlm_dbase(721),
     +               sqlm_db_appl_section_inserts )
       equivalence( sqlm_dbase(725),
     +               sqlm_db_total_hash_joins )
       equivalence( sqlm_dbase(729),
     +               sqlm_db_total_hash_loops )
       equivalence( sqlm_dbase(733),
     +               sqlm_db_hash_join_overflows )
       equivalence( sqlm_dbase(737),
     +               sqlm_db_hash_join_small_overflows )


c ***************************************************************************
c application related snapshot information
c ***************************************************************************

       character   sqlm_appl(1244)

       integer*4   sqlm_a_sqlm_size
       character   sqlm_a_info_type
       character   sqlm_a_filler(3)

c      identification information

       integer*4   sqlm_a_agent_id
       integer*4   sqlm_a_appl_status
       integer*4   sqlm_a_codepage_id
       integer*4   sqlm_a_st_change_seconds
       integer*4   sqlm_a_st_change_microsec
       character   sqlm_a_appl_name(sqlm_ident_sz)
       character   sqlm_a_appl_id(sqlm_applid_sz)
       character   sqlm_a_sequence_no(sqlm_seq_sz)
       character   sqlm_a_auth_id(sqlm_ident_sz)
       character   sqlm_a_client_nname(sqlm_ident_sz)
       character   sqlm_a_client_prdid(sqlm_ident_sz)
       character   sqlm_a_input_db_alias(sqlm_ident_sz)
       character   sqlm_a_client_db_alias(sqlm_ident_sz)
       character   sqlm_a_db_name(sqlm_ident_sz)
       character   sqlm_a_db_path(sqlm_dbpath_sz)

c      lock information
       integer*4   sqlm_a_locks_held
       integer*4   sqlm_a_lock_waits
       integer*4   sqlm_a_lock_wait_time
       integer*4   sqlm_a_lock_escals
       integer*4   sqlm_a_x_lock_escals
       integer*4   sqlm_a_deadlocks
       integer*4   sqlm_a_uow_lock_wait_time
       integer*4   sqlm_a_agent_id_holding_lk
       integer*4   sqlm_a_table_file_id
       integer*4   sqlm_a_lock_mode
       integer*4   sqlm_a_lock_object_type
       integer*4   sqlm_a_lock_object_name
       integer*4   sqlm_a_lk_wait_start_seconds
       integer*4   sqlm_a_lk_wait_start_microsec
       character   sqlm_a_appl_id_holding_lk(sqlm_applid_sz)
       character   sqlm_a_sequence_no_holding_lk(sqlm_seq_sz)

c      sorting information
       integer*4   sqlm_a_total_sorts
       integer*4   sqlm_a_total_sort_time
       integer*4   sqlm_a_sort_overflows

c      buffer pool information
       integer*4   sqlm_a_pool_data_l_reads
       integer*4   sqlm_a_pool_data_p_reads
       integer*4   sqlm_a_pool_data_writes
       integer*4   sqlm_a_pool_index_l_reads
       integer*4   sqlm_a_pool_index_p_reads
       integer*4   sqlm_a_pool_index_writes
       integer*4   sqlm_a_pool_read_time
       integer*4   sqlm_a_pool_write_time

c      sql statement counts
       integer*4   sqlm_a_commit_sql_stmts
       integer*4   sqlm_a_rollback_sql_stmts
       integer*4   sqlm_a_dynamic_sql_stmts
       integer*4   sqlm_a_static_sql_stmts
       integer*4   sqlm_a_failed_sql_stmts
       integer*4   sqlm_a_select_sql_stmts
       integer*4   sqlm_a_ddl_sql_stmts
       integer*4   sqlm_a_uid_sql_stmts

c      internal counts
       integer*4   sqlm_a_int_auto_rebinds
       integer*4   sqlm_a_int_rows_deleted
       integer*4   sqlm_a_int_rows_updated
       integer*4   sqlm_a_int_commits
       integer*4   sqlm_a_int_rollbacks
       integer*4   sqlm_a_int_deadlock_rollbacks

c      row counts
       integer*4   sqlm_a_rows_deleted
       integer*4   sqlm_a_rows_inserted
       integer*4   sqlm_a_rows_updated
       integer*4   sqlm_a_rows_selected

c      binds/precompiles
       integer*4   sqlm_a_binds_precompiles

c      sql statement information - current operation performed on coordinator
       integer*4   sqlm_a_stmt_type
       integer*4   sqlm_a_stmt_operation
       integer*4   sqlm_a_section_number
       integer*4   sqlm_a_stmt_length
       integer*4   sqlm_a_stmt_sorts
       integer*4   sqlm_a_stmt_start_seconds
       integer*4   sqlm_a_stmt_start_microsec
       integer*4   sqlm_a_stmt_stop_seconds
       integer*4   sqlm_a_stmt_stop_microsec
       character   sqlm_a_cursor_name(sqlm_ident_sz)
       character   sqlm_a_creator(sqlm_ident_sz)
       character   sqlm_a_package_name(sqlm_ident_sz)

c      unit-of-work information
       integer*4   sqlm_a_uow_log_space_used
       integer*4   sqlm_a_uow_comp_status
       integer*4   sqlm_a_prev_uow_stop_seconds
       integer*4   sqlm_a_prev_uow_stop_microsec
       integer*4   sqlm_a_uow_start_seconds
       integer*4   sqlm_a_uow_start_microsec
       integer*4   sqlm_a_uow_stop_seconds
       integer*4   sqlm_a_uow_stop_microsec

c      remote cursor information
       integer*4   sqlm_a_open_rem_curs
       integer*4   sqlm_a_open_rem_curs_blk
       integer*4   sqlm_a_rej_curs_blk
       integer*4   sqlm_a_acc_curs_blk

c      timestamps
       integer*4   sqlm_a_appl_conn_seconds
       integer*4   sqlm_a_appl_conn_microsec
       integer*4   sqlm_a_conn_comp_seconds
       integer*4   sqlm_a_conn_comp_microsec
       integer*4   sqlm_a_last_reset_seconds
       integer*4   sqlm_a_last_reset_microsec

       integer*4   sqlm_a_curr_comm_heap_size
       integer*4   sqlm_a_max_comm_heap_size

c      sqlm_dbmon_version5  agent cpu times
       integer*4   sqlm_a_appl_idle_time

c      sqlm_dbmon_version5  buffer pool and i/o information
       integer*4   sqlm_a_pool_data_to_estore
       integer*4   sqlm_a_pool_index_to_estore
       integer*4   sqlm_a_pool_index_from_estore
       integer*4   sqlm_a_pool_data_from_estore

       integer*4   sqlm_a_authority_lvl
       integer*4   sqlm_a_sql_reqs_since_commit
       integer*4   sqlm_a_num_sec_appl_structs

c      sqlm_dbmon_version2  lock wait information
       character   sqlm_a_table_name(sqlm_ident_sz)
       character   sqlm_a_table_schema(sqlm_ident_sz)
       character   sqlm_a_tablespace_name(sqlm_ident_sz)

c      sqlm_dbmon_version2  lock information
       integer*4   sqlm_a_lock_timeouts

c      sqlm_dbmon_version2  agent cpu times
       integer*4   sqlm_a_agent_usr_cpu_time_seconds
       integer*4   sqlm_a_agent_usr_cpu_time_microsec
       integer*4   sqlm_a_agent_sys_cpu_time_seconds
       integer*4   sqlm_a_agent_sys_cpu_time_microsec

c      sqlm_dbmon_version2  sql statement cpu times
       integer*4   sqlm_a_stmt_usr_cpu_time_seconds
       integer*4   sqlm_a_stmt_usr_cpu_time_microsec
       integer*4   sqlm_a_stmt_sys_cpu_time_seconds
       integer*4   sqlm_a_stmt_sys_cpu_time_microsec

c      sqlm_dbmon_version2  internal counts
       integer*4   sqlm_a_int_rows_inserted

c      sqlm_dbmon_version2  row counts
       integer*4   sqlm_a_rows_read
       integer*4   sqlm_a_rows_written

c      sqlm_dbmon_version2  i/o information
       integer*4   sqlm_a_direct_reads
       integer*4   sqlm_a_direct_writes
       integer*4   sqlm_a_direct_read_rqs
       integer*4   sqlm_a_direct_write_rqs
       integer*4   sqlm_a_direct_read_time
       integer*4   sqlm_a_direct_write_time

c      sqlm_dbmon_version2  local cursor information
       integer*4   sqlm_a_open_loc_curs
       integer*4   sqlm_a_open_loc_curs_blk

c      sqlm_dbmon_version2  client identification information
       character   sqlm_a_execution_id(sqlm_ident_sz)
       character   sqlm_a_corr_token(sqlm_applid_sz)
       integer*4   sqlm_a_client_pid
       integer*2   sqlm_a_client_platform
       integer*2   sqlm_a_client_protocol
       integer*2   sqlm_a_country_code
       character   sqlm_a_filler2(2)

c      sqlm_dbmon_version2 package cache information
       integer*4   sqlm_a_pkg_cache_lookups
       integer*4   sqlm_a_pkg_cache_inserts

c      sqlm_dbmon_version2 catalog cache information
       integer*4   sqlm_a_cat_cache_lookups
       integer*4   sqlm_a_cat_cache_inserts
       integer*4   sqlm_a_cat_cache_overflows
       integer*4   sqlm_a_cat_cache_heap_full

c      sqlm_dbmon_version5
       integer*4   sqlm_a_coord_node
       integer*4   sqlm_a_num_assoc_agents
       integer*4   sqlm_a_num_agents
       integer*4   sqlm_a_agents_stolen
       integer*4   sqlm_a_associated_agents_top
c      application  high water mark.
       integer*4   sqlm_a_appl_priority
       integer*4   sqlm_a_appl_priority_type
       integer*4   sqlm_a_prefetch_wait_time
       integer*4   sqlm_a_coord_agent_pid

       integer*4   sqlm_a_appl_section_lookups
       integer*4   sqlm_a_appl_section_inserts
       integer*4   sqlm_a_locks_waiting
       character   sqlm_a_outbound_comm_address(sqlm_comm_addr_sz)
       character   sqlm_a_inbound_comm_address(sqlm_comm_addr_sz)
       integer*2   sqlm_a_outbound_comm_protocol
       character   sqlm_a_filler3(2)

c      sqlm_dbmon_version5_2
       integer*4   sqlm_a_total_hash_joins
       integer*4   sqlm_a_total_hash_loops
       integer*4   sqlm_a_hash_join_overflows
       integer*4   sqlm_a_hash_join_small_overflows

       equivalence( sqlm_appl(  1), sqlm_a_sqlm_size             )
       equivalence( sqlm_appl(  5), sqlm_a_info_type        )
       equivalence( sqlm_appl(  6), sqlm_a_filler           )
       equivalence( sqlm_appl(  9), sqlm_a_agent_id         )
       equivalence( sqlm_appl( 13), sqlm_a_appl_status      )
       equivalence( sqlm_appl( 17), sqlm_a_codepage_id      )
       equivalence( sqlm_appl( 21), sqlm_a_st_change_seconds )
       equivalence( sqlm_appl( 25), sqlm_a_st_change_microsec )
       equivalence( sqlm_appl( 29), sqlm_a_appl_name        )
       equivalence( sqlm_appl( 49), sqlm_a_appl_id          )
       equivalence( sqlm_appl( 81), sqlm_a_sequence_no      )
       equivalence( sqlm_appl( 85), sqlm_a_auth_id          )
       equivalence( sqlm_appl(105), sqlm_a_client_nname     )
       equivalence( sqlm_appl(125), sqlm_a_client_prdid     )
       equivalence( sqlm_appl(145), sqlm_a_input_db_alias   )
       equivalence( sqlm_appl(165), sqlm_a_client_db_alias  )
       equivalence( sqlm_appl(185), sqlm_a_db_name          )
       equivalence( sqlm_appl(205), sqlm_a_db_path          )
       equivalence( sqlm_appl(461), sqlm_a_locks_held       )
       equivalence( sqlm_appl(465), sqlm_a_lock_waits       )
       equivalence( sqlm_appl(469), sqlm_a_lock_wait_time   )
       equivalence( sqlm_appl(473), sqlm_a_lock_escals      )
       equivalence( sqlm_appl(477), sqlm_a_x_lock_escals    )
       equivalence( sqlm_appl(481), sqlm_a_deadlocks        )
       equivalence( sqlm_appl(485), sqlm_a_uow_lock_wait_time )
       equivalence( sqlm_appl(489), sqlm_a_agent_id_holding_lk )
       equivalence( sqlm_appl(493), sqlm_a_table_file_id    )
       equivalence( sqlm_appl(497), sqlm_a_lock_mode        )
       equivalence( sqlm_appl(501), sqlm_a_lock_object_type )
       equivalence( sqlm_appl(505), sqlm_a_lock_object_name )
       equivalence( sqlm_appl(509), sqlm_a_lk_wait_start_seconds )
       equivalence( sqlm_appl(513), sqlm_a_lk_wait_start_microsec )
       equivalence( sqlm_appl(517), sqlm_a_appl_id_holding_lk )
       equivalence( sqlm_appl(549), sqlm_a_sequence_no_holding_lk )
       equivalence( sqlm_appl(553), sqlm_a_total_sorts      )
       equivalence( sqlm_appl(557), sqlm_a_total_sort_time  )
       equivalence( sqlm_appl(561), sqlm_a_sort_overflows   )
       equivalence( sqlm_appl(565), sqlm_a_pool_data_l_reads )
       equivalence( sqlm_appl(569), sqlm_a_pool_data_p_reads )
       equivalence( sqlm_appl(573), sqlm_a_pool_data_writes )
       equivalence( sqlm_appl(577), sqlm_a_pool_index_l_reads )
       equivalence( sqlm_appl(581), sqlm_a_pool_index_p_reads )
       equivalence( sqlm_appl(585), sqlm_a_pool_index_writes )
       equivalence( sqlm_appl(589), sqlm_a_pool_read_time   )
       equivalence( sqlm_appl(593), sqlm_a_pool_write_time  )
       equivalence( sqlm_appl(597), sqlm_a_commit_sql_stmts )
       equivalence( sqlm_appl(601), sqlm_a_rollback_sql_stmts )
       equivalence( sqlm_appl(605), sqlm_a_dynamic_sql_stmts )
       equivalence( sqlm_appl(609), sqlm_a_static_sql_stmts )
       equivalence( sqlm_appl(613), sqlm_a_failed_sql_stmts )
       equivalence( sqlm_appl(617), sqlm_a_select_sql_stmts )
       equivalence( sqlm_appl(621), sqlm_a_ddl_sql_stmts    )
       equivalence( sqlm_appl(625), sqlm_a_uid_sql_stmts    )
       equivalence( sqlm_appl(629), sqlm_a_int_auto_rebinds )
       equivalence( sqlm_appl(633), sqlm_a_int_rows_deleted )
       equivalence( sqlm_appl(637), sqlm_a_int_rows_updated )
       equivalence( sqlm_appl(641), sqlm_a_int_commits      )
       equivalence( sqlm_appl(645), sqlm_a_int_rollbacks    )
       equivalence( sqlm_appl(649), sqlm_a_int_deadlock_rollbacks )
       equivalence( sqlm_appl(653), sqlm_a_rows_deleted     )
       equivalence( sqlm_appl(657), sqlm_a_rows_inserted    )
       equivalence( sqlm_appl(661), sqlm_a_rows_updated     )
       equivalence( sqlm_appl(665), sqlm_a_rows_selected    )
       equivalence( sqlm_appl(669), sqlm_a_binds_precompiles )
       equivalence( sqlm_appl(673), sqlm_a_stmt_type        )
       equivalence( sqlm_appl(677), sqlm_a_stmt_operation   )
       equivalence( sqlm_appl(681), sqlm_a_section_number   )
       equivalence( sqlm_appl(685), sqlm_a_stmt_length      )
       equivalence( sqlm_appl(689), sqlm_a_stmt_sorts       )
       equivalence( sqlm_appl(693), sqlm_a_stmt_start_seconds )
       equivalence( sqlm_appl(697), sqlm_a_stmt_start_microsec )
       equivalence( sqlm_appl(701), sqlm_a_stmt_stop_seconds        )
       equivalence( sqlm_appl(705), sqlm_a_stmt_stop_microsec        )
       equivalence( sqlm_appl(709), sqlm_a_cursor_name      )
       equivalence( sqlm_appl(729), sqlm_a_creator          )
       equivalence( sqlm_appl(749), sqlm_a_package_name     )
       equivalence( sqlm_appl(769), sqlm_a_uow_log_space_used )
       equivalence( sqlm_appl(773), sqlm_a_uow_comp_status  )
       equivalence( sqlm_appl(777), sqlm_a_prev_uow_stop_seconds )
       equivalence( sqlm_appl(781), sqlm_a_prev_uow_stop_microsec )
       equivalence( sqlm_appl(785), sqlm_a_uow_start_seconds   )
       equivalence( sqlm_appl(789), sqlm_a_uow_start_microsec   )
       equivalence( sqlm_appl(793), sqlm_a_uow_stop_seconds    )
       equivalence( sqlm_appl(797), sqlm_a_uow_stop_microsec    )
       equivalence( sqlm_appl(801), sqlm_a_open_rem_curs    )
       equivalence( sqlm_appl(805), sqlm_a_open_rem_curs_blk )
       equivalence( sqlm_appl(809), sqlm_a_rej_curs_blk     )
       equivalence( sqlm_appl(813), sqlm_a_acc_curs_blk     )
       equivalence( sqlm_appl(817), sqlm_a_appl_conn_seconds    )
       equivalence( sqlm_appl(821), sqlm_a_appl_conn_microsec    )
       equivalence( sqlm_appl(825), sqlm_a_conn_comp_seconds )
       equivalence( sqlm_appl(825), sqlm_a_conn_comp_microsec )
       equivalence( sqlm_appl(833), sqlm_a_last_reset_seconds )
       equivalence( sqlm_appl(837), sqlm_a_last_reset_microsec )
       equivalence( sqlm_appl(841), sqlm_a_curr_comm_heap_size )
       equivalence( sqlm_appl(845), sqlm_a_max_comm_heap_size )
       equivalence( sqlm_appl(849), sqlm_a_appl_idle_time   )
       equivalence( sqlm_appl(853), sqlm_a_pool_data_to_estore )
       equivalence( sqlm_appl(857), sqlm_a_pool_index_to_estore )
       equivalence( sqlm_appl(861), sqlm_a_pool_index_from_estore )
       equivalence( sqlm_appl(865), sqlm_a_pool_data_from_estore )
       equivalence( sqlm_appl(873), sqlm_a_authority_lvl    )
       equivalence( sqlm_appl(877), sqlm_a_sql_reqs_since_commit )
       equivalence( sqlm_appl(881), sqlm_a_num_sec_appl_structs )
       equivalence( sqlm_appl(885), sqlm_a_table_name       )
       equivalence( sqlm_appl(905), sqlm_a_table_schema     )
       equivalence( sqlm_appl(925), sqlm_a_tablespace_name  )
       equivalence( sqlm_appl(945), sqlm_a_lock_timeouts    )
       equivalence( sqlm_appl(949), sqlm_a_agent_usr_cpu_time_seconds )
       equivalence( sqlm_appl(953), sqlm_a_agent_usr_cpu_time_microsec )
       equivalence( sqlm_appl(965), sqlm_a_stmt_usr_cpu_time_seconds )
       equivalence( sqlm_appl(969), sqlm_a_stmt_usr_cpu_time_microsec )
       equivalence( sqlm_appl(973), sqlm_a_stmt_sys_cpu_time_seconds )
       equivalence( sqlm_appl(973), sqlm_a_stmt_sys_cpu_time_microsec )
       equivalence( sqlm_appl(981), sqlm_a_int_rows_inserted )
       equivalence( sqlm_appl(985), sqlm_a_rows_read        )
       equivalence( sqlm_appl(989), sqlm_a_rows_written     )
       equivalence( sqlm_appl(993), sqlm_a_direct_reads     )
       equivalence( sqlm_appl(997), sqlm_a_direct_writes    )
       equivalence( sqlm_appl(1001), sqlm_a_direct_read_rqs )
       equivalence( sqlm_appl(1005), sqlm_a_direct_write_rqs )
       equivalence( sqlm_appl(1009), sqlm_a_direct_read_time )
       equivalence( sqlm_appl(1013), sqlm_a_direct_write_time )
       equivalence( sqlm_appl(1017), sqlm_a_open_loc_curs    )
       equivalence( sqlm_appl(1021), sqlm_a_open_loc_curs_blk )
       equivalence( sqlm_appl(1025), sqlm_a_execution_id     )
       equivalence( sqlm_appl(1045), sqlm_a_corr_token       )
       equivalence( sqlm_appl(1077), sqlm_a_client_pid       )
       equivalence( sqlm_appl(1081), sqlm_a_client_platform  )
       equivalence( sqlm_appl(1083), sqlm_a_client_protocol  )
       equivalence( sqlm_appl(1085), sqlm_a_country_code     )
       equivalence( sqlm_appl(1087), sqlm_a_filler2          )
       equivalence( sqlm_appl(1089), sqlm_a_pkg_cache_lookups )
       equivalence( sqlm_appl(1093), sqlm_a_pkg_cache_inserts )
       equivalence( sqlm_appl(1097), sqlm_a_cat_cache_lookups )
       equivalence( sqlm_appl(1101), sqlm_a_cat_cache_inserts )
       equivalence( sqlm_appl(1105), sqlm_a_cat_cache_overflows )
       equivalence( sqlm_appl(1109), sqlm_a_cat_cache_heap_full )
       equivalence( sqlm_appl(1113), sqlm_a_coord_node       )
       equivalence( sqlm_appl(1117), sqlm_a_num_assoc_agents )
       equivalence( sqlm_appl(1121), sqlm_a_num_agents )
       equivalence( sqlm_appl(1125), sqlm_a_agents_stolen    )
       equivalence( sqlm_appl(1129), sqlm_a_associated_agents_top )
       equivalence( sqlm_appl(1133), sqlm_a_appl_priority    )
       equivalence( sqlm_appl(1137), sqlm_a_appl_priority_type )
       equivalence( sqlm_appl(1141), sqlm_a_prefetch_wait_time )
       equivalence( sqlm_appl(1145), sqlm_a_coord_agent_pid  )
       equivalence( sqlm_appl(1149), sqlm_a_appl_section_lookups )
       equivalence( sqlm_appl(1153), sqlm_a_appl_section_inserts )
       equivalence( sqlm_appl(1157), sqlm_a_locks_waiting    )
       equivalence( sqlm_appl(1161), sqlm_a_outbound_comm_address)
       equivalence( sqlm_appl(1193), sqlm_a_inbound_comm_address)
       equivalence( sqlm_appl(1225), sqlm_a_outbound_comm_protocol)
       equivalence( sqlm_appl(1229), sqlm_a_total_hash_joins)
       equivalence( sqlm_appl(1233), sqlm_a_total_hash_loops)
       equivalence( sqlm_appl(1237), sqlm_a_hash_join_overflows)
       equivalence( sqlm_appl(1241), sqlm_a_hash_join_small_overflows)

c ***************************************************************************
c Lock Wait Snapshot Information
c ***************************************************************************

       character   sqlm_lock_wait(124)

       integer*4   sqlm_lw_size
       character   sqlm_lw_info_type
       character   sqlm_lw_filler(3)
       integer*4   sqlm_lw_subsection_number

       integer*4   sqlm_lw_lock_mode
       integer*4   sqlm_lw_lock_object_type
       integer*4   sqlm_lw_lock_wait_start_seconds
       integer*4   sqlm_lw_lock_wait_start_microsec
       character   sqlm_lw_table_name(sqlm_ident_sz)
       character   sqlm_lw_table_schema(sqlm_ident_sz)
       character   sqlm_lw_tablespace_name(sqlm_ident_sz)

       integer*4   sqlm_lw_agent_id_holding_lk
       character   sqlm_lw_appl_id_holding_lk(sqlm_applid_sz)

       equivalence( sqlm_lock_wait(  1),
     +               sqlm_lw_size             )
       equivalence( sqlm_lock_wait(  5),
     +               sqlm_lw_info_type        )
       equivalence( sqlm_lock_wait(  6),
     +               sqlm_lw_filler             )
       equivalence( sqlm_lock_wait(  9),
     +               sqlm_lw_subsection_number )
       equivalence( sqlm_lock_wait( 13),
     +               sqlm_lw_lock_mode        )
       equivalence( sqlm_lock_wait( 17),
     +               sqlm_lw_lock_object_type )
       equivalence( sqlm_lock_wait( 21),
     +               sqlm_lw_lock_wait_start_seconds )
       equivalence( sqlm_lock_wait( 25),
     +               sqlm_lw_lock_wait_start_microsec )
       equivalence( sqlm_lock_wait( 29),
     +               sqlm_lw_table_name       )
       equivalence( sqlm_lock_wait( 49),
     +               sqlm_lw_table_schema     )
       equivalence( sqlm_lock_wait( 69),
     +               sqlm_lw_tablespace_name  )
       equivalence( sqlm_lock_wait( 89),
     +               sqlm_lw_agent_id_holding_lk )
       equivalence( sqlm_lock_wait( 93),
     +               sqlm_lw_appl_id_holding_lk )

c ***************************************************************************
c table related snapshot information
c ***************************************************************************


c      table header information

       character   sqlm_table_header(324)

       integer*4   sqlm_th_sqlm_size
       character   sqlm_th_info_type
       character   sqlm_th_filler(3)
       integer*4   sqlm_th_num_tables
       integer*4   sqlm_th_db_conn_seconds
       integer*4   sqlm_th_db_conn_microsec
       integer*4   sqlm_th_last_reset_seconds
       integer*4   sqlm_th_last_reset_microsec
       character   sqlm_th_input_db_alias(sqlm_ident_sz)
       character   sqlm_th_db_name(sqlm_ident_sz)
       character   sqlm_th_db_path(sqlm_dbpath_sz)

       equivalence( sqlm_table_header(  1),
     +               sqlm_th_sqlm_size             )
       equivalence( sqlm_table_header(  5),
     +               sqlm_th_info_type        )
       equivalence( sqlm_table_header(  6),
     +               sqlm_th_filler             )
       equivalence( sqlm_table_header(  9),
     +               sqlm_th_num_tables       )
       equivalence( sqlm_table_header( 13),
     +               sqlm_th_db_conn_seconds )
       equivalence( sqlm_table_header( 17),
     +               sqlm_th_db_conn_microsec )
       equivalence( sqlm_table_header( 21),
     +               sqlm_th_last_reset_seconds )
       equivalence( sqlm_table_header( 25),
     +               sqlm_th_last_reset_microsec )
       equivalence( sqlm_table_header( 29),
     +               sqlm_th_input_db_alias   )
       equivalence( sqlm_table_header( 49),
     +               sqlm_th_db_name          )
       equivalence( sqlm_table_header( 69),
     +               sqlm_th_db_path          )


c      individual table information

       character   sqlm_table(100)

       integer*4   sqlm_t_sqlm_size
       character   sqlm_t_info_type
       character   sqlm_t_filler(3)
       integer*4   sqlm_t_table_file_id
       integer*4   sqlm_t_table_type
       integer*4   sqlm_t_rows_written
       integer*4   sqlm_t_rows_read
       integer*4   sqlm_t_overflow_accesses
       integer*4   sqlm_t_page_reorgs
      
       character   sqlm_t_reserved(28)

c      sqlm_dbmon_version2  table identification
       character   sqlm_t_table_name(sqlm_ident_sz)
       character   sqlm_t_table_schema(sqlm_ident_sz)

       equivalence( sqlm_table(  1),
     +               sqlm_t_sqlm_size             )
       equivalence( sqlm_table(  5),
     +               sqlm_t_info_type        )
       equivalence( sqlm_table(  6),
     +               sqlm_t_filler             )
       equivalence( sqlm_table(  9),
     +               sqlm_t_table_file_id    )
       equivalence( sqlm_table( 13),
     +               sqlm_t_table_type       )
       equivalence( sqlm_table( 17),
     +               sqlm_t_rows_written     )
       equivalence( sqlm_table( 21),
     +               sqlm_t_rows_read        )
       equivalence( sqlm_table( 25),
     +               sqlm_t_overflow_accesses )
       equivalence( sqlm_table( 29),
     +               sqlm_t_page_reorgs )
       equivalence( sqlm_table( 33),
     +               sqlm_t_reserved         )
       equivalence( sqlm_table( 61),
     +               sqlm_t_table_name       )
       equivalence( sqlm_table( 81),
     +               sqlm_t_table_schema     )

c ***************************************************************************
c lock related information
c ***************************************************************************

c      database lock information

       character   sqlm_dbase_lock(320)

       integer*4   sqlm_dl_sqlm_size
       character   sqlm_dl_info_type
       character   sqlm_dl_filler(3)
       integer*4   sqlm_dl_locks_held
       integer*4   sqlm_dl_appls_cur_cons
       integer*4   sqlm_dl_num_appls
       integer*4   sqlm_dl_locks_waiting
       character   sqlm_dl_input_db_alias(sqlm_ident_sz)
       character   sqlm_dl_db_name(sqlm_ident_sz)
       character   sqlm_dl_db_path(sqlm_dbpath_sz)

       equivalence( sqlm_dbase_lock(  1),
     +               sqlm_dl_sqlm_size             )
       equivalence( sqlm_dbase_lock(  5),
     +               sqlm_dl_info_type        )
       equivalence( sqlm_dbase_lock(  6),
     +               sqlm_dl_filler              )
       equivalence( sqlm_dbase_lock(  9),
     +               sqlm_dl_locks_held       )
       equivalence( sqlm_dbase_lock( 13),
     +               sqlm_dl_appls_cur_cons   )
       equivalence( sqlm_dbase_lock( 17),
     +               sqlm_dl_num_appls        )
       equivalence( sqlm_dbase_lock( 21),
     +               sqlm_dl_locks_waiting    )
       equivalence( sqlm_dbase_lock( 25),
     +               sqlm_dl_input_db_alias   )
       equivalence( sqlm_dbase_lock( 45),
     +               sqlm_dl_db_name          )
       equivalence( sqlm_dbase_lock( 65),
     +               sqlm_dl_db_path          )


c      application lock information

       character   sqlm_appl_lock(276)

       integer*4   sqlm_al_sqlm_size
       character   sqlm_al_info_type
       character   sqlm_al_filler(3)

c      application identification information
       integer*4   sqlm_al_agent_id
       integer*4   sqlm_al_appl_status
       integer*4   sqlm_al_codepage_id
       integer*4   sqlm_al_locks_held
       integer*4   sqlm_al_num_locks
       integer*4   sqlm_al_st_change_seconds
       integer*4   sqlm_al_st_change_microsec
       character   sqlm_al_appl_id(sqlm_applid_sz)
       character   sqlm_al_sequence_no(sqlm_seq_sz)
       character   sqlm_al_appl_name(sqlm_ident_sz)
       character   sqlm_al_auth_id(sqlm_ident_sz)
       character   sqlm_al_client_db_alias(sqlm_ident_sz)

       integer*4   sqlm_al_agent_id_holding_lk
       integer*4   sqlm_al_lock_object_name
       integer*4   sqlm_al_lock_object_type
       integer*4   sqlm_al_table_file_id
       character   sqlm_al_appl_id_holding_lk(sqlm_applid_sz)
       character   sqlm_al_sequence_no_holding_lk(sqlm_seq_sz)
       character   sqlm_al_reserved(24)

       integer*4   sqlm_al_lock_wait_time
       integer*4   sqlm_al_num_lockwaits

       character   sqlm_al_table_name(sqlm_ident_sz)
       character   sqlm_al_table_schema(sqlm_ident_sz)
       character   sqlm_al_tablespace_name(sqlm_ident_sz)


       equivalence( sqlm_appl_lock(  1), sqlm_al_sqlm_size         )
       equivalence( sqlm_appl_lock(  5), sqlm_al_info_type        )
       equivalence( sqlm_appl_lock(  6), sqlm_al_filler           )
       equivalence( sqlm_appl_lock(  9), sqlm_al_agent_id         )
       equivalence( sqlm_appl_lock( 13), sqlm_al_appl_status      )
       equivalence( sqlm_appl_lock( 17), sqlm_al_codepage_id      )
       equivalence( sqlm_appl_lock( 21), sqlm_al_locks_held       )
       equivalence( sqlm_appl_lock( 25), sqlm_al_num_locks        )
       equivalence( sqlm_appl_lock( 29), sqlm_al_st_change_seconds )
       equivalence( sqlm_appl_lock( 33), sqlm_al_st_change_microsec )
       equivalence( sqlm_appl_lock( 37), sqlm_al_appl_id          )
       equivalence( sqlm_appl_lock( 69), sqlm_al_sequence_no      )
       equivalence( sqlm_appl_lock( 73), sqlm_al_appl_name        )
       equivalence( sqlm_appl_lock( 93), sqlm_al_auth_id          )
       equivalence( sqlm_appl_lock(113), sqlm_al_client_db_alias  )
       equivalence( sqlm_appl_lock(133), sqlm_al_agent_id_holding_lk )
       equivalence( sqlm_appl_lock(137), sqlm_al_lock_object_name )
       equivalence( sqlm_appl_lock(141), sqlm_al_lock_object_type )
       equivalence( sqlm_appl_lock(145), sqlm_al_table_file_id    )
       equivalence( sqlm_appl_lock(149), sqlm_al_appl_id_holding_lk )
       equivalence( sqlm_appl_lock(181),sqlm_al_sequence_no_holding_lk)
       equivalence( sqlm_appl_lock(185), sqlm_al_reserved         )
       equivalence( sqlm_appl_lock(209), sqlm_al_lock_wait_time   )
       equivalence( sqlm_appl_lock(213), sqlm_al_num_lockwaits    )
       equivalence( sqlm_appl_lock(217), sqlm_al_table_name       )
       equivalence( sqlm_appl_lock(237), sqlm_al_table_schema     )
       equivalence( sqlm_appl_lock(257), sqlm_al_tablespace_name  )

c      individual lock information

       character   sqlm_lock(120)

       integer*4   sqlm_l_sqlm_size
       character   sqlm_l_info_type
       character   sqlm_l_filler(3)
       integer*4   sqlm_l_table_file_id
       integer*4   sqlm_l_lock_object_type
       integer*4   sqlm_l_lock_mode
       integer*4   sqlm_l_lock_status
       integer*4   sqlm_l_lock_object_name
       character   sqlm_l_reserved(32)

c      sqlm_dbmon_version2  lock information
       character   sqlm_l_table_name(sqlm_ident_sz)
       character   sqlm_l_table_schema(sqlm_ident_sz)
       character   sqlm_l_tablespace_name(sqlm_ident_sz)

       equivalence( sqlm_lock(  1),
     +               sqlm_l_sqlm_size             )
       equivalence( sqlm_lock(  5),
     +               sqlm_l_info_type        )
       equivalence( sqlm_lock(  6),
     +               sqlm_l_filler              )
       equivalence( sqlm_lock(  9),
     +               sqlm_l_table_file_id    )
       equivalence( sqlm_lock( 13),
     +               sqlm_l_lock_object_type )
       equivalence( sqlm_lock( 17),
     +               sqlm_l_lock_mode        )
       equivalence( sqlm_lock( 21),
     +               sqlm_l_lock_status      )
       equivalence( sqlm_lock( 25),
     +               sqlm_l_lock_object_name )
       equivalence( sqlm_lock( 29),
     +               sqlm_l_reserved         )
       equivalence( sqlm_lock( 61),
     +               sqlm_l_table_name       )
       equivalence( sqlm_lock( 81),
     +               sqlm_l_table_schema     )
       equivalence( sqlm_lock(101),
     +               sqlm_l_tablespace_name  )


c ***************************************************************************
c Tablespace Related Snapshot Information
c ***************************************************************************

c tablespace header

       character   sqlm_tablespace_header(324)

       integer*4   sqlm_tsh_sqlm_size
       character   sqlm_tsh_info_type
       character   sqlm_tsh_filler(3)
       integer*4   sqlm_tsh_num_tablespaces
       integer*4   sqlm_tsh_db_conn_seconds
       integer*4   sqlm_tsh_db_conn_microsec
       integer*4   sqlm_tsh_last_reset_seconds
       integer*4   sqlm_tsh_last_reset_microsec
       character   sqlm_tsh_input_db_alias(sqlm_ident_sz)
       character   sqlm_tsh_db_name(sqlm_ident_sz)
       character   sqlm_tsh_db_path(sqlm_dbpath_sz)

       equivalence( sqlm_tablespace_header(  1),
     +               sqlm_tsh_sqlm_size             )
       equivalence( sqlm_tablespace_header(  5),
     +               sqlm_tsh_info_type        )
       equivalence( sqlm_tablespace_header(  6),
     +               sqlm_tsh_filler              )
       equivalence( sqlm_tablespace_header(  9),
     +               sqlm_tsh_num_tablespaces  )
       equivalence( sqlm_tablespace_header( 13),
     +               sqlm_tsh_db_conn_seconds )
       equivalence( sqlm_tablespace_header( 17),
     +               sqlm_tsh_db_conn_microsec )
       equivalence( sqlm_tablespace_header( 21),
     +               sqlm_tsh_last_reset_seconds )
       equivalence( sqlm_tablespace_header( 25),
     +               sqlm_tsh_last_reset_microsec )
       equivalence( sqlm_tablespace_header( 29),
     +               sqlm_tsh_input_db_alias   )
       equivalence( sqlm_tablespace_header( 49),
     +               sqlm_tsh_db_name          )
       equivalence( sqlm_tablespace_header( 69),
     +               sqlm_tsh_db_path          )

c individual tablespace information

       character   sqlm_tablespace(132)

       integer*4   sqlm_ts_sqlm_size
       character   sqlm_ts_info_type
       character   sqlm_ts_filler(3)

       character   sqlm_ts_tablespace_name(sqlm_ident_sz)

       integer*4   sqlm_ts_pool_data_l_reads
       integer*4   sqlm_ts_pool_data_p_reads
       integer*4   sqlm_ts_pool_async_data_reads
       integer*4   sqlm_ts_pool_data_writes
       integer*4   sqlm_ts_pool_async_data_writes
       integer*4   sqlm_ts_pool_index_l_reads
       integer*4   sqlm_ts_pool_index_p_reads
       integer*4   sqlm_ts_pool_index_writes
       integer*4   sqlm_ts_pool_async_index_writes
       integer*4   sqlm_ts_pool_read_time
       integer*4   sqlm_ts_pool_write_time
       integer*4   sqlm_ts_pool_async_read_time
       integer*4   sqlm_ts_pool_async_write_time
       integer*4   sqlm_ts_pool_async_data_read_rqs

       integer*4   sqlm_ts_direct_reads
       integer*4   sqlm_ts_direct_writes
       integer*4   sqlm_ts_direct_read_rqs
       integer*4   sqlm_ts_direct_write_rqs
       integer*4   sqlm_ts_direct_read_time
       integer*4   sqlm_ts_direct_write_time

       integer*4   sqlm_ts_files_closed

c      sqlm_dbmon_version5  buffer pool and i/o information
       integer*4   sqlm_ts_pool_async_index_reads
       integer*4   sqlm_ts_pool_data_to_estore
       integer*4   sqlm_ts_pool_index_to_estore
       integer*4   sqlm_ts_pool_index_from_estore
       integer*4   sqlm_ts_pool_data_from_estore

       equivalence( sqlm_tablespace(  1),
     +               sqlm_ts_sqlm_size             )
       equivalence( sqlm_tablespace(  5),
     +               sqlm_ts_info_type        )
       equivalence( sqlm_tablespace(  6),
     +               sqlm_ts_filler              )
       equivalence( sqlm_tablespace(  9),
     +               sqlm_ts_tablespace_name  )
       equivalence( sqlm_tablespace( 29),
     +               sqlm_ts_pool_data_l_reads )
       equivalence( sqlm_tablespace( 33),
     +               sqlm_ts_pool_data_p_reads )
       equivalence( sqlm_tablespace( 37),
     +               sqlm_ts_pool_async_data_reads )
       equivalence( sqlm_tablespace( 41),
     +               sqlm_ts_pool_data_writes )
       equivalence( sqlm_tablespace( 45),
     +               sqlm_ts_pool_async_data_writes )
       equivalence( sqlm_tablespace( 49),
     +               sqlm_ts_pool_index_l_reads )
       equivalence( sqlm_tablespace( 53),
     +               sqlm_ts_pool_index_p_reads )
       equivalence( sqlm_tablespace( 57),
     +               sqlm_ts_pool_index_writes )
       equivalence( sqlm_tablespace( 61),
     +               sqlm_ts_pool_async_index_writes )
       equivalence( sqlm_tablespace( 65),
     +               sqlm_ts_pool_read_time   )
       equivalence( sqlm_tablespace( 69),
     +               sqlm_ts_pool_write_time  )
       equivalence( sqlm_tablespace( 73),
     +               sqlm_ts_pool_async_read_time )
       equivalence( sqlm_tablespace( 77),
     +               sqlm_ts_pool_async_write_time )
       equivalence( sqlm_tablespace( 81),
     +               sqlm_ts_pool_async_data_read_rqs )
       equivalence( sqlm_tablespace( 85),
     +               sqlm_ts_direct_reads     )
       equivalence( sqlm_tablespace( 89),
     +               sqlm_ts_direct_writes    )
       equivalence( sqlm_tablespace( 93),
     +               sqlm_ts_direct_read_rqs )
       equivalence( sqlm_tablespace( 97),
     +               sqlm_ts_direct_write_rqs )
       equivalence( sqlm_tablespace(101),
     +               sqlm_ts_direct_read_time )
       equivalence( sqlm_tablespace(105),
     +               sqlm_ts_direct_write_time )
       equivalence( sqlm_tablespace(109),
     +               sqlm_ts_files_closed     )
       equivalence( sqlm_tablespace(113),
     +               sqlm_ts_pool_async_index_reads )
       equivalence( sqlm_tablespace(117),
     +               sqlm_ts_pool_data_to_estore )
       equivalence( sqlm_tablespace(121),
     +               sqlm_ts_pool_index_to_estore )
       equivalence( sqlm_tablespace(125),
     +               sqlm_ts_pool_index_from_estore )
       equivalence( sqlm_tablespace(129),
     +               sqlm_ts_pool_data_from_estore )



       character   sqlm_rollfwd_info(28)

       integer*4   sqlm_rf_size
       character   sqlm_rf_info_type
       character   sqlm_rf_filler(1)
       integer*2   sqlm_rf_node_number
       integer*4   sqlm_rf_rf_type
       integer*4   sqlm_rf_rf_log_num
       integer*4   sqlm_rf_rf_status
       integer*4   sqlm_rf_rf_timestamp
c      gmt time in seconds since jan 1st, 1970
       integer*4   sqlm_rf_rf_num_tspaces

       equivalence( sqlm_rollfwd_info(  1),
     +               sqlm_rf_size             )
       equivalence( sqlm_rollfwd_info(  5),
     +               sqlm_rf_info_type        )
       equivalence( sqlm_rollfwd_info(  6),
     +               sqlm_rf_filler           )
       equivalence( sqlm_rollfwd_info(  7),
     +               sqlm_rf_node_number      )
       equivalence( sqlm_rollfwd_info(  9),
     +               sqlm_rf_rf_type          )
       equivalence( sqlm_rollfwd_info( 13),
     +               sqlm_rf_rf_log_num       )
       equivalence( sqlm_rollfwd_info( 17),
     +               sqlm_rf_rf_status        )
       equivalence( sqlm_rollfwd_info( 21),
     +               sqlm_rf_rf_timestamp     )
       equivalence( sqlm_rollfwd_info( 25),
     +               sqlm_rf_rf_num_tspaces   )


       character   sqlm_rollfwd_ts_info(28)

       integer*4   sqlm_rf_ts_size
       character   sqlm_rf_ts_info_type
       character   sqlm_rf_ts_pad(3)
       character   sqlm_rf_ts_ts_name(sqlm_ident_sz)

       equivalence( sqlm_rollfwd_ts_info(  1),
     +               sqlm_rf_ts_size             )
       equivalence( sqlm_rollfwd_ts_info(  5),
     +               sqlm_rf_ts_info_type        )
       equivalence( sqlm_rollfwd_ts_info(  6),
     +               sqlm_rf_ts_pad              )
       equivalence( sqlm_rollfwd_ts_info(  9),
     +               sqlm_rf_ts_ts_name          )


c ***************************************************************************
c Database Monitor Event Monitor Data Structures
c ***************************************************************************

c ***************************************************************************
c Event Monitor Log Stream Header Record
c ***************************************************************************

       character  sqlm_event_log_stream_header(12)

       integer*4  sqlm_evlsh_byte_order
       integer*4  sqlm_evlsh_size
       integer*4  sqlm_evlsh_version

       equivalence (sqlm_event_log_stream_header(1),
     +              sqlm_evlsh_byte_order )
       equivalence (sqlm_event_log_stream_header(5),
     +              sqlm_evlsh_size )
       equivalence (sqlm_event_log_stream_header(9),
     +              sqlm_evlsh_version )

c ***************************************************************************
c Event Monitor Log Header Record
c ***************************************************************************

       character   sqlm_event_log_header(80)

       integer*4   sqlm_evlh_byte_order
       integer*4   sqlm_evlh_size
       integer*4   sqlm_evlh_version
       character   sqlm_evlh_event_monitor_name(sqlm_ident_sz)
       integer*2   sqlm_evlh_codepage_id
       integer*2   sqlm_evlh_country_code
       character   sqlm_evlh_server_prdid(sqlm_ident_sz)
       character   sqlm_server_instance_name(sqlm_ident_sz)
       integer*4   sqlm_evlh_num_nodes_in_db2_inst

       equivalence( sqlm_event_log_header(  1),
     +               sqlm_evlh_byte_order       )
       equivalence( sqlm_event_log_header(  5),
     +               sqlm_evlh_size             )
       equivalence( sqlm_event_log_header(  9),
     +               sqlm_evlh_version          )
       equivalence( sqlm_event_log_header( 13),
     +               sqlm_evlh_event_monitor_name )
       equivalence( sqlm_event_log_header( 33),
     +               sqlm_evlh_codepage_id      )
       equivalence( sqlm_event_log_header( 35),
     +               sqlm_evlh_country_code     )
       equivalence( sqlm_event_log_header( 37),
     +               sqlm_evlh_server_prdid     )
       equivalence( sqlm_event_log_header( 57),
     +               sqlm_server_instance_name )
       equivalence( sqlm_event_log_header( 77),
     +               sqlm_evlh_num_nodes_in_db2_inst )

c ***************************************************************************
c Event Monitor Record Header                                                */
c ***************************************************************************
       character   sqlm_event_rec_header(8)

       integer*4   sqlm_er_size
       integer*4   sqlm_er_type

       equivalence( sqlm_event_rec_header(  1),
     +               sqlm_er_size             )
       equivalence( sqlm_event_rec_header(  5),
     +               sqlm_er_type             )


c ***************************************************************************
c Event Monitor Database Event Record
c ***************************************************************************

       character   sqlm_db_event(363)

       integer*4   sqlm_db_ev_size
       integer*4   sqlm_db_ev_event_type

c      locking information
       integer*4   sqlm_db_ev_lock_waits
       integer*4   sqlm_db_ev_lock_wait_time
       integer*4   sqlm_db_ev_deadlocks
       integer*4   sqlm_db_ev_lock_escals
       integer*4   sqlm_db_ev_x_lock_escals
       integer*4   sqlm_db_ev_lock_timeouts

c      sorting information
       integer*4   sqlm_db_ev_total_sorts
       integer*4   sqlm_db_ev_total_sort_time
       integer*4   sqlm_db_ev_sort_overflows

c      buffer pool and i/o information
       integer*4   sqlm_db_ev_pool_data_l_reads
       integer*4   sqlm_db_ev_pool_data_p_reads
       integer*4   sqlm_db_ev_pool_async_data_reads
       integer*4   sqlm_db_ev_pool_data_writes
       integer*4   sqlm_db_ev_pool_async_data_writes
       integer*4   sqlm_db_ev_pool_index_l_reads
       integer*4   sqlm_db_ev_pool_index_p_reads
       integer*4   sqlm_db_ev_pool_index_writes
       integer*4   sqlm_db_ev_pool_async_index_writes
       integer*4   sqlm_db_ev_pool_read_time
       integer*4   sqlm_db_ev_pool_write_time
       integer*4   sqlm_db_ev_pool_async_read_time
       integer*4   sqlm_db_ev_pool_async_write_time
       integer*4   sqlm_db_ev_pool_async_data_read_rqs
       integer*4   sqlm_db_ev_pool_lsn_gap_clns
       integer*4   sqlm_db_ev_pool_drty_pg_steal_clns
       integer*4   sqlm_db_ev_pool_drty_pg_thrsh_clns
       integer*4   sqlm_db_ev_direct_reads
       integer*4   sqlm_db_ev_direct_writes
       integer*4   sqlm_db_ev_direct_read_rqs
       integer*4   sqlm_db_ev_direct_write_rqs
       integer*4   sqlm_db_ev_direct_read_time
       integer*4   sqlm_db_ev_direct_write_time

       integer*4   sqlm_db_ev_files_closed

c      sql statement counts
       integer*4   sqlm_db_ev_commit_sql_stmts
       integer*4   sqlm_db_ev_rollback_sql_stmts
       integer*4   sqlm_db_ev_dynamic_sql_stmts
       integer*4   sqlm_db_ev_static_sql_stmts
       integer*4   sqlm_db_ev_failed_sql_stmts
       integer*4   sqlm_db_ev_select_sql_stmts
       integer*4   sqlm_db_ev_ddl_sql_stmts
       integer*4   sqlm_db_ev_uid_sql_stmts

c      internal counts
       integer*4   sqlm_db_ev_int_auto_rebinds
       integer*4   sqlm_db_ev_int_rows_deleted
       integer*4   sqlm_db_ev_int_rows_updated
       integer*4   sqlm_db_ev_int_rows_inserted
       integer*4   sqlm_db_ev_int_commits
       integer*4   sqlm_db_ev_int_rollbacks

c      row counts
       integer*4   sqlm_db_ev_rows_deleted
       integer*4   sqlm_db_ev_rows_inserted
       integer*4   sqlm_db_ev_rows_updated
       integer*4   sqlm_db_ev_rows_selected

c      binds/precompiles
       integer*4   sqlm_db_ev_binds_precompiles

c      timestamps
       integer*4   sqlm_db_ev_disconn_time_seconds
       integer*4   sqlm_db_ev_disconn_time_microsec

c      application connection counters
       integer*4   sqlm_db_ev_total_cons
       integer*4   sqlm_db_ev_connections_top

c      database memory pool high water marks
       integer*4   sqlm_db_ev_db_heap_top


c      logging information
       integer*4   sqlm_db_ev_sec_log_used_top
       integer*4   sqlm_db_ev_tot_log_used_top
       integer*4   sqlm_db_ev_log_reads
       integer*4   sqlm_db_ev_log_writes

c      package cache information
       integer*4   sqlm_db_ev_pkg_cache_lookups
       integer*4   sqlm_db_ev_pkg_cache_inserts

c      catalog cache information
       integer*4   sqlm_db_ev_cat_cache_lookups
       integer*4   sqlm_db_ev_cat_cache_inserts
       integer*4   sqlm_db_ev_cat_cache_overflows
       integer*4   sqlm_db_ev_cat_cache_heap_full

c      application section retrieval information
       integer*4   sqlm_db_ev_appl_section_lookups
       integer*4   sqlm_db_ev_appl_section_inserts

c      sqlm_dbmon_version5  buffer pool and i/o information
       integer*4   sqlm_db_ev_pool_async_idx_reads
       integer*4   sqlm_db_ev_pool_data_to_estore
       integer*4   sqlm_db_ev_pool_idx_to_estore
       integer*4   sqlm_db_ev_pool_idx_from_estore
       integer*4   sqlm_db_ev_pool_data_from_estore
       integer*4   sqlm_db_ev_prefetch_wait_time

c      sqlm_dbmon_version5  server details
       integer*4   sqlm_db_ev_catalog_node
       integer*2   sqlm_db_ev_server_platform
       character   sqlm_db_ev_catalog_node_name(sqlm_lg_ident_sz)

c      sqlm_dbmon_version5_2 hash join info
       integer*4   sqlm_db_ev_total_hash_joins
       integer*4   sqlm_db_ev_total_hash_loops
       integer*4   sqlm_db_ev_hash_join_overflows
       integer*4   sqlm_db_ev_hash_join_small_overflows

       equivalence( sqlm_db_event(  1),
     +               sqlm_db_ev_size             )
       equivalence( sqlm_db_event(  5),
     +               sqlm_db_ev_event_type       )
       equivalence( sqlm_db_event(  9),
     +               sqlm_db_ev_lock_waits       )
       equivalence( sqlm_db_event( 13),
     +               sqlm_db_ev_lock_wait_time   )
       equivalence( sqlm_db_event( 17),
     +               sqlm_db_ev_deadlocks        )
       equivalence( sqlm_db_event( 21),
     +               sqlm_db_ev_lock_escals      )
       equivalence( sqlm_db_event( 25),
     +               sqlm_db_ev_x_lock_escals    )
       equivalence( sqlm_db_event( 29),
     +               sqlm_db_ev_lock_timeouts    )
       equivalence( sqlm_db_event( 33),
     +               sqlm_db_ev_total_sorts      )
       equivalence( sqlm_db_event( 37),
     +               sqlm_db_ev_total_sort_time  )
       equivalence( sqlm_db_event( 41),
     +               sqlm_db_ev_sort_overflows   )
       equivalence( sqlm_db_event( 45),
     +               sqlm_db_ev_pool_data_l_reads )
       equivalence( sqlm_db_event( 49),
     +               sqlm_db_ev_pool_data_p_reads )
       equivalence( sqlm_db_event( 53),
     +               sqlm_db_ev_pool_async_data_reads )
       equivalence( sqlm_db_event( 57),
     +               sqlm_db_ev_pool_data_writes )
       equivalence( sqlm_db_event( 61),
     +               sqlm_db_ev_pool_async_data_writes )
       equivalence( sqlm_db_event( 65),
     +               sqlm_db_ev_pool_index_l_reads )
       equivalence( sqlm_db_event( 69),
     +               sqlm_db_ev_pool_index_p_reads )
       equivalence( sqlm_db_event( 73),
     +               sqlm_db_ev_pool_index_writes )
       equivalence( sqlm_db_event( 77),
     +               sqlm_db_ev_pool_async_index_writes )
       equivalence( sqlm_db_event( 81),
     +               sqlm_db_ev_pool_read_time   )
       equivalence( sqlm_db_event( 85),
     +               sqlm_db_ev_pool_write_time  )
       equivalence( sqlm_db_event( 89),
     +               sqlm_db_ev_pool_async_read_time )
       equivalence( sqlm_db_event( 93),
     +               sqlm_db_ev_pool_async_write_time )
       equivalence( sqlm_db_event( 97),
     +               sqlm_db_ev_pool_async_data_read_rqs )
       equivalence( sqlm_db_event(101),
     +               sqlm_db_ev_pool_lsn_gap_clns )
       equivalence( sqlm_db_event(105),
     +               sqlm_db_ev_pool_drty_pg_steal_clns )
       equivalence( sqlm_db_event(109),
     +               sqlm_db_ev_pool_drty_pg_thrsh_clns )
       equivalence( sqlm_db_event(113),
     +               sqlm_db_ev_direct_reads     )
       equivalence( sqlm_db_event(117),
     +               sqlm_db_ev_direct_writes    )
       equivalence( sqlm_db_event(121),
     +               sqlm_db_ev_direct_read_rqs )
       equivalence( sqlm_db_event(125),
     +               sqlm_db_ev_direct_write_rqs )
       equivalence( sqlm_db_event(129),
     +               sqlm_db_ev_direct_read_time )
       equivalence( sqlm_db_event(133),
     +               sqlm_db_ev_direct_write_time )
       equivalence( sqlm_db_event(137),
     +               sqlm_db_ev_files_closed     )
       equivalence( sqlm_db_event(141),
     +               sqlm_db_ev_commit_sql_stmts )
       equivalence( sqlm_db_event(145),
     +               sqlm_db_ev_rollback_sql_stmts )
       equivalence( sqlm_db_event(149),
     +               sqlm_db_ev_dynamic_sql_stmts )
       equivalence( sqlm_db_event(153),
     +               sqlm_db_ev_static_sql_stmts )
       equivalence( sqlm_db_event(157),
     +               sqlm_db_ev_failed_sql_stmts )
       equivalence( sqlm_db_event(161),
     +               sqlm_db_ev_select_sql_stmts )
       equivalence( sqlm_db_event(165),
     +               sqlm_db_ev_ddl_sql_stmts    )
       equivalence( sqlm_db_event(169),
     +               sqlm_db_ev_uid_sql_stmts    )
       equivalence( sqlm_db_event(173),
     +               sqlm_db_ev_int_auto_rebinds )
       equivalence( sqlm_db_event(177),
     +               sqlm_db_ev_int_rows_deleted )
       equivalence( sqlm_db_event(181),
     +               sqlm_db_ev_int_rows_updated )
       equivalence( sqlm_db_event(185),
     +               sqlm_db_ev_int_rows_inserted )
       equivalence( sqlm_db_event(189),
     +               sqlm_db_ev_int_commits      )
       equivalence( sqlm_db_event(193),
     +               sqlm_db_ev_int_rollbacks    )
       equivalence( sqlm_db_event(197),
     +               sqlm_db_ev_rows_deleted     )
       equivalence( sqlm_db_event(201),
     +               sqlm_db_ev_rows_inserted    )
       equivalence( sqlm_db_event(205),
     +               sqlm_db_ev_rows_updated     )
       equivalence( sqlm_db_event(209),
     +               sqlm_db_ev_rows_selected    )
       equivalence( sqlm_db_event(213),
     +               sqlm_db_ev_binds_precompiles )
       equivalence( sqlm_db_event(217),
     +               sqlm_db_ev_disconn_time_seconds )
       equivalence( sqlm_db_event(221),
     +               sqlm_db_ev_disconn_time_microsec )
       equivalence( sqlm_db_event(225),
     +               sqlm_db_ev_total_cons       )
       equivalence( sqlm_db_event(229),
     +               sqlm_db_ev_connections_top  )
       equivalence( sqlm_db_event(233),
     +               sqlm_db_ev_db_heap_top      )
       equivalence( sqlm_db_event(237),
     +               sqlm_db_ev_sec_log_used_top )
       equivalence( sqlm_db_event(241),
     +               sqlm_db_ev_tot_log_used_top )
       equivalence( sqlm_db_event(245),
     +               sqlm_db_ev_log_reads        )
       equivalence( sqlm_db_event(249),
     +               sqlm_db_ev_log_writes       )
       equivalence( sqlm_db_event(253),
     +               sqlm_db_ev_pkg_cache_lookups )
       equivalence( sqlm_db_event(257),
     +               sqlm_db_ev_pkg_cache_inserts )
       equivalence( sqlm_db_event(261),
     +               sqlm_db_ev_cat_cache_lookups )
       equivalence( sqlm_db_event(265),
     +               sqlm_db_ev_cat_cache_inserts )
       equivalence( sqlm_db_event(269),
     +               sqlm_db_ev_cat_cache_overflows )
       equivalence( sqlm_db_event(273),
     +               sqlm_db_ev_cat_cache_heap_full )
       equivalence( sqlm_db_event(277),
     +               sqlm_db_ev_appl_section_lookups )
       equivalence( sqlm_db_event(281),
     +               sqlm_db_ev_appl_section_inserts )
       equivalence( sqlm_db_event(285),
     +               sqlm_db_ev_pool_async_idx_reads )
       equivalence( sqlm_db_event(289),
     +               sqlm_db_ev_pool_data_to_estore )
       equivalence( sqlm_db_event(293),
     +               sqlm_db_ev_pool_idx_to_estore )
       equivalence( sqlm_db_event(297),
     +               sqlm_db_ev_pool_idx_from_estore )
       equivalence( sqlm_db_event(301),
     +               sqlm_db_ev_pool_data_from_estore )
       equivalence( sqlm_db_event(305),
     +               sqlm_db_ev_prefetch_wait_time )
       equivalence( sqlm_db_event(309),
     +               sqlm_db_ev_catalog_node     )
       equivalence( sqlm_db_event(313),
     +               sqlm_db_ev_server_platform  )
       equivalence( sqlm_db_event(315),
     +               sqlm_db_ev_catalog_node_name )
       equivalence( sqlm_db_event(347),
     +               sqlm_db_ev_total_hash_joins )
       equivalence( sqlm_db_event(351),
     +               sqlm_db_ev_total_hash_loops )
       equivalence( sqlm_db_event(355),
     +               sqlm_db_ev_hash_join_overflows )
       equivalence( sqlm_db_event(359),
     +               sqlm_db_ev_hash_join_small_overflows )


c ***************************************************************************
c Event Monitor Connection Event Record
c ***************************************************************************

       character   sqlm_conn_event(344)

       integer*4   sqlm_cn_ev_size
       integer*4   sqlm_cn_ev_event_type
       character   sqlm_cn_ev_appl_id(sqlm_applid_sz)
       character   sqlm_cn_ev_sequence_no(sqlm_seq_sz)

c      locking information
       integer*4   sqlm_cn_ev_lock_waits
       integer*4   sqlm_cn_ev_lock_wait_time
       integer*4   sqlm_cn_ev_lock_escals
       integer*4   sqlm_cn_ev_x_lock_escals
       integer*4   sqlm_cn_ev_deadlocks
       integer*4   sqlm_cn_ev_lock_timeouts

c      sorting information
       integer*4   sqlm_cn_ev_total_sorts
       integer*4   sqlm_cn_ev_total_sort_time
       integer*4   sqlm_cn_ev_sort_overflows

c      buffer pool and i/o information
       integer*4   sqlm_cn_ev_pool_data_l_reads
       integer*4   sqlm_cn_ev_pool_data_p_reads
       integer*4   sqlm_cn_ev_pool_data_writes
       integer*4   sqlm_cn_ev_pool_index_l_reads
       integer*4   sqlm_cn_ev_pool_index_p_reads
       integer*4   sqlm_cn_ev_pool_index_writes
       integer*4   sqlm_cn_ev_pool_read_time
       integer*4   sqlm_cn_ev_pool_write_time
       integer*4   sqlm_cn_ev_direct_reads
       integer*4   sqlm_cn_ev_direct_writes
       integer*4   sqlm_cn_ev_direct_read_rqs
       integer*4   sqlm_cn_ev_direct_write_rqs
       integer*4   sqlm_cn_ev_direct_read_time
       integer*4   sqlm_cn_ev_direct_write_time

c      sql statement counts
       integer*4   sqlm_cn_ev_commit_sql_stmts
       integer*4   sqlm_cn_ev_rollback_sql_stmts
       integer*4   sqlm_cn_ev_dynamic_sql_stmts
       integer*4   sqlm_cn_ev_static_sql_stmts
       integer*4   sqlm_cn_ev_failed_sql_stmts
       integer*4   sqlm_cn_ev_select_sql_stmts
       integer*4   sqlm_cn_ev_ddl_sql_stmts
       integer*4   sqlm_cn_ev_uid_sql_stmts

c      internal counts
       integer*4   sqlm_cn_ev_int_auto_rebinds
       integer*4   sqlm_cn_ev_int_rows_deleted
       integer*4   sqlm_cn_ev_int_rows_updated
       integer*4   sqlm_cn_ev_int_rows_inserted
       integer*4   sqlm_cn_ev_int_commits
       integer*4   sqlm_cn_ev_int_rollbacks
       integer*4   sqlm_cn_ev_int_deadlock_rollbacks
c      since 1st connect

c      row counts
       integer*4   sqlm_cn_ev_rows_deleted
       integer*4   sqlm_cn_ev_rows_inserted
       integer*4   sqlm_cn_ev_rows_updated
       integer*4   sqlm_cn_ev_rows_selected
       integer*4   sqlm_cn_ev_rows_read
       integer*4   sqlm_cn_ev_rows_written

c      binds/precompiles
       integer*4   sqlm_cn_ev_binds_precompiles

c      blocking cursor information
       integer*4   sqlm_cn_ev_rej_curs_blk
       integer*4   sqlm_cn_ev_acc_curs_blk

c      timestamps
       integer*4   sqlm_cn_ev_disconn_time_seconds
       integer*4   sqlm_cn_ev_disconn_time_microsec

c      agent activity
       integer*4   sqlm_cn_ev_user_cpu_time_seconds
       integer*4   sqlm_cn_ev_user_cpu_time_microsec
       integer*4   sqlm_cn_ev_system_cpu_time_seconds
       integer*4   sqlm_cn_ev_system_cpu_time_microsec

c      package cache information
       integer*4   sqlm_cn_ev_pkg_cache_lookups
       integer*4   sqlm_cn_ev_pkg_cache_inserts

c      catalog cache information
       integer*4   sqlm_cn_ev_cat_cache_overflows
       integer*4   sqlm_cn_ev_cat_cache_heap_full

c      application section retrieval information
       integer*4   sqlm_cn_ev_appl_section_lookups
       integer*4   sqlm_cn_ev_appl_section_inserts

c      sqlm_dbmon_version5  buffer pool and i/o information
       integer*4   sqlm_cn_ev_prefetch_wait_time
       integer*4   sqlm_cn_ev_pool_data_to_estore
       integer*4   sqlm_cn_ev_pool_index_to_estore
       integer*4   sqlm_cn_ev_pool_index_from_estore
       integer*4   sqlm_cn_ev_pool_data_from_estore

c      sqlm_dbmon_version5
       integer*4   sqlm_cn_ev_authority_lvl
       integer*4   sqlm_cn_ev_coord_node
       integer*4   sqlm_cn_ev_appl_priority
       integer*4   sqlm_cn_ev_appl_priority_type
       integer*4   sqlm_cn_ev_agent_id

c      sqlm_dbmon_version5_2
       integer*4   sqlm_cn_ev_total_hash_joins
       integer*4   sqlm_cn_ev_total_hash_loops
       integer*4   sqlm_cn_ev_hash_join_overflows
       integer*4   sqlm_cn_ev_hash_join_small_overflows
       integer*4   sqlm_cn_ev_cat_cache_inserts
       integer*4   sqlm_cn_ev_cat_cache_lookups

       equivalence( sqlm_conn_event(  1),
     +               sqlm_cn_ev_size             )
       equivalence( sqlm_conn_event(  5),
     +               sqlm_cn_ev_event_type       )
       equivalence( sqlm_conn_event(  9),
     +               sqlm_cn_ev_appl_id          )
       equivalence( sqlm_conn_event( 41),
     +               sqlm_cn_ev_sequence_no      )
       equivalence( sqlm_conn_event( 45),
     +               sqlm_cn_ev_lock_waits       )
       equivalence( sqlm_conn_event( 49),
     +               sqlm_cn_ev_lock_wait_time   )
       equivalence( sqlm_conn_event( 53),
     +               sqlm_cn_ev_lock_escals      )
       equivalence( sqlm_conn_event( 57),
     +               sqlm_cn_ev_x_lock_escals    )
       equivalence( sqlm_conn_event( 61),
     +               sqlm_cn_ev_deadlocks        )
       equivalence( sqlm_conn_event( 65),
     +               sqlm_cn_ev_lock_timeouts    )
       equivalence( sqlm_conn_event( 69),
     +               sqlm_cn_ev_total_sorts      )
       equivalence( sqlm_conn_event( 73),
     +               sqlm_cn_ev_total_sort_time  )
       equivalence( sqlm_conn_event( 77),
     +               sqlm_cn_ev_sort_overflows   )
       equivalence( sqlm_conn_event( 81),
     +               sqlm_cn_ev_pool_data_l_reads )
       equivalence( sqlm_conn_event( 85),
     +               sqlm_cn_ev_pool_data_p_reads )
       equivalence( sqlm_conn_event( 89),
     +               sqlm_cn_ev_pool_data_writes )
       equivalence( sqlm_conn_event( 93),
     +               sqlm_cn_ev_pool_index_l_reads )
       equivalence( sqlm_conn_event( 97),
     +               sqlm_cn_ev_pool_index_p_reads )
       equivalence( sqlm_conn_event(101),
     +               sqlm_cn_ev_pool_index_writes )
       equivalence( sqlm_conn_event(105),
     +               sqlm_cn_ev_pool_read_time   )
       equivalence( sqlm_conn_event(109),
     +               sqlm_cn_ev_pool_write_time  )
       equivalence( sqlm_conn_event(113),
     +               sqlm_cn_ev_direct_reads     )
       equivalence( sqlm_conn_event(117),
     +               sqlm_cn_ev_direct_writes    )
       equivalence( sqlm_conn_event(121),
     +               sqlm_cn_ev_direct_read_rqs )
       equivalence( sqlm_conn_event(125),
     +               sqlm_cn_ev_direct_write_rqs )
       equivalence( sqlm_conn_event(129),
     +               sqlm_cn_ev_direct_read_time )
       equivalence( sqlm_conn_event(133),
     +               sqlm_cn_ev_direct_write_time )
       equivalence( sqlm_conn_event(137),
     +               sqlm_cn_ev_commit_sql_stmts )
       equivalence( sqlm_conn_event(141),
     +               sqlm_cn_ev_rollback_sql_stmts )
       equivalence( sqlm_conn_event(145),
     +               sqlm_cn_ev_dynamic_sql_stmts )
       equivalence( sqlm_conn_event(149),
     +               sqlm_cn_ev_static_sql_stmts )
       equivalence( sqlm_conn_event(153),
     +               sqlm_cn_ev_failed_sql_stmts )
       equivalence( sqlm_conn_event(157),
     +               sqlm_cn_ev_select_sql_stmts )
       equivalence( sqlm_conn_event(161),
     +               sqlm_cn_ev_ddl_sql_stmts    )
       equivalence( sqlm_conn_event(165),
     +               sqlm_cn_ev_uid_sql_stmts    )
       equivalence( sqlm_conn_event(169),
     +               sqlm_cn_ev_int_auto_rebinds )
       equivalence( sqlm_conn_event(173),
     +               sqlm_cn_ev_int_rows_deleted )
       equivalence( sqlm_conn_event(177),
     +               sqlm_cn_ev_int_rows_updated )
       equivalence( sqlm_conn_event(181),
     +               sqlm_cn_ev_int_rows_inserted )
       equivalence( sqlm_conn_event(185),
     +               sqlm_cn_ev_int_commits      )
       equivalence( sqlm_conn_event(189),
     +               sqlm_cn_ev_int_rollbacks    )
       equivalence( sqlm_conn_event(193),
     +               sqlm_cn_ev_int_deadlock_rollbacks )
       equivalence( sqlm_conn_event(197),
     +               sqlm_cn_ev_rows_deleted     )
       equivalence( sqlm_conn_event(201),
     +               sqlm_cn_ev_rows_inserted    )
       equivalence( sqlm_conn_event(205),
     +               sqlm_cn_ev_rows_updated     )
       equivalence( sqlm_conn_event(209),
     +               sqlm_cn_ev_rows_selected    )
       equivalence( sqlm_conn_event(213),
     +               sqlm_cn_ev_rows_read        )
       equivalence( sqlm_conn_event(217),
     +               sqlm_cn_ev_rows_written     )
       equivalence( sqlm_conn_event(221),
     +               sqlm_cn_ev_binds_precompiles )
       equivalence( sqlm_conn_event(225),
     +               sqlm_cn_ev_rej_curs_blk     )
       equivalence( sqlm_conn_event(229),
     +               sqlm_cn_ev_acc_curs_blk     )
       equivalence( sqlm_conn_event(233),
     +               sqlm_cn_ev_disconn_time_seconds )
       equivalence( sqlm_conn_event(237),
     +               sqlm_cn_ev_disconn_time_microsec )
       equivalence( sqlm_conn_event(241),
     +               sqlm_cn_ev_user_cpu_time_seconds )
       equivalence( sqlm_conn_event(245),
     +               sqlm_cn_ev_user_cpu_time_microsec )
       equivalence( sqlm_conn_event(249),
     +               sqlm_cn_ev_system_cpu_time_seconds )
       equivalence( sqlm_conn_event(253),
     +               sqlm_cn_ev_system_cpu_time_microsec )
       equivalence( sqlm_conn_event(257),
     +               sqlm_cn_ev_pkg_cache_lookups )
       equivalence( sqlm_conn_event(261),
     +               sqlm_cn_ev_pkg_cache_inserts )
       equivalence( sqlm_conn_event(265),
     +               sqlm_cn_ev_cat_cache_overflows )
       equivalence( sqlm_conn_event(269),
     +               sqlm_cn_ev_cat_cache_heap_full )
       equivalence( sqlm_conn_event(273),
     +               sqlm_cn_ev_appl_section_lookups )
       equivalence( sqlm_conn_event(277),
     +               sqlm_cn_ev_appl_section_inserts )
       equivalence( sqlm_conn_event(281),
     +               sqlm_cn_ev_prefetch_wait_time )
       equivalence( sqlm_conn_event(285),
     +               sqlm_cn_ev_pool_data_to_estore )
       equivalence( sqlm_conn_event(289),
     +               sqlm_cn_ev_pool_index_to_estore )
       equivalence( sqlm_conn_event(293),
     +               sqlm_cn_ev_pool_index_from_estore )
       equivalence( sqlm_conn_event(297),
     +               sqlm_cn_ev_pool_data_from_estore )
       equivalence( sqlm_conn_event(301),
     +               sqlm_cn_ev_authority_lvl    )
       equivalence( sqlm_conn_event(305),
     +               sqlm_cn_ev_coord_node       )
       equivalence( sqlm_conn_event(309),
     +               sqlm_cn_ev_appl_priority    )
       equivalence( sqlm_conn_event(313),
     +               sqlm_cn_ev_appl_priority_type )
       equivalence( sqlm_conn_event(317),
     +               sqlm_cn_ev_agent_id         )
       equivalence( sqlm_conn_event(321),
     +               sqlm_cn_ev_total_hash_joins )
       equivalence( sqlm_conn_event(325),
     +               sqlm_cn_ev_total_hash_loops )
       equivalence( sqlm_conn_event(329),
     +               sqlm_cn_ev_hash_join_overflows )
       equivalence( sqlm_conn_event(333),
     +               sqlm_cn_ev_hash_join_small_overflows)
       equivalence( sqlm_conn_event(337),
     +               sqlm_cn_ev_cat_cache_inserts )
       equivalence( sqlm_conn_event(341),
     +               sqlm_cn_ev_cat_cache_lookups )
       

c ***************************************************************************
c Event Monitor Table Event Record
c ***************************************************************************

       character   sqlm_table_event(76)

       integer*4   sqlm_tbl_ev_size
       integer*4   sqlm_tbl_ev_event_type
       character   sqlm_tbl_ev_table_name(sqlm_ident_sz)
       character   sqlm_tbl_ev_table_schema(sqlm_ident_sz)
       integer*4   sqlm_tbl_ev_table_type
       integer*4   sqlm_tbl_ev_rows_written
       integer*4   sqlm_tbl_ev_rows_read
       integer*4   sqlm_tbl_ev_overflow_accesses
       integer*4   sqlm_tbl_ev_time_seconds
       integer*4   sqlm_tbl_ev_time_microsec
       integer*4   sqlm_tbl_ev_page_reorgs


       equivalence( sqlm_table_event(  1),
     +               sqlm_tbl_ev_size             )
       equivalence( sqlm_table_event(  5),
     +               sqlm_tbl_ev_event_type       )
       equivalence( sqlm_table_event(  9),
     +               sqlm_tbl_ev_table_name       )
       equivalence( sqlm_table_event( 29),
     +               sqlm_tbl_ev_table_schema     )
       equivalence( sqlm_table_event( 49),
     +               sqlm_tbl_ev_table_type       )
       equivalence( sqlm_table_event( 53),
     +               sqlm_tbl_ev_rows_written     )
       equivalence( sqlm_table_event( 57),
     +               sqlm_tbl_ev_rows_read        )
       equivalence( sqlm_table_event( 61),
     +               sqlm_tbl_ev_overflow_accesses )
       equivalence( sqlm_table_event( 65),
     +               sqlm_tbl_ev_time_seconds )
       equivalence( sqlm_table_event( 69),
     +               sqlm_tbl_ev_time_microsec )
       equivalence( sqlm_table_event( 73),
     +               sqlm_tbl_ev_page_reorgs)

c ***************************************************************************
c Event Monitor Statement record
c ***************************************************************************

       character   sqlm_stmt_event(332)

       integer*4   sqlm_stmt_ev_size
c      dynamic sql statement text
       integer*4   sqlm_stmt_ev_event_type
       character   sqlm_stmt_ev_appl_id(sqlm_applid_sz)
       character   sqlm_stmt_ev_sequence_no(sqlm_seq_sz)
       integer*4   sqlm_stmt_ev_stmt_type
       integer*4   sqlm_stmt_ev_operation
       integer*4   sqlm_stmt_ev_fetch_count
       integer*4   sqlm_stmt_ev_section_number
       integer*4   sqlm_stmt_ev_start_time_seconds
       integer*4   sqlm_stmt_ev_start_time_microsec
       integer*4   sqlm_stmt_ev_stop_time_seconds
       integer*4   sqlm_stmt_ev_stop_time_microsec
       character   sqlm_stmt_ev_cursor_name(sqlm_ident_sz)
       character   sqlm_stmt_ev_creator(sqlm_ident_sz)
       character   sqlm_stmt_ev_package_name(sqlm_ident_sz)
       integer*4   sqlm_stmt_ev_usr_cpu_time_seconds
       integer*4   sqlm_stmt_ev_usr_cpu_time_microsec
       integer*4   sqlm_stmt_ev_sys_cpu_time_seconds
       integer*4   sqlm_stmt_ev_sys_cpu_time_microsec
       integer*4   sqlm_stmt_ev_total_sorts
       integer*4   sqlm_stmt_ev_total_sort_time
       integer*4   sqlm_stmt_ev_sort_overflows
       integer*4   sqlm_stmt_ev_rows_read
       integer*4   sqlm_stmt_ev_rows_written
       integer*4   sqlm_stmt_ev_int_rows_deleted
       integer*4   sqlm_stmt_ev_int_rows_updated
       integer*4   sqlm_stmt_ev_int_rows_inserted

       character*8 sqlm_stmt_ev_sqlca_sqlcaid
       integer*4   sqlm_stmt_ev_sqlca_sqlcabc
       integer*4   sqlm_stmt_ev_sqlca_sqlcode
       integer*2   sqlm_stmt_ev_sqlca_sqlerrml
       character*70 sqlm_stmt_ev_sqlca_sqlerrmc
       character*8 sqlm_stmt_ev_sqlca_sqlerrp
       integer*4   sqlm_stmt_ev_sqlca_sqlerrd(6)
       character*11 sqlm_stmt_ev_sqlca_sqlwarn
       character*5 sqlm_stmt_ev_sqlca_sqlstate

       integer*4   sqlm_stmt_ev_agent_id
       integer*4   sqlm_stmt_ev_agents_top
       integer*2   sqlm_stmt_ev_stmt_length
c      is only returned for dynamic sql
       integer*2   sqlm_stmt_ev_stmt_text_offset

       equivalence( sqlm_stmt_event(  1),
     +               sqlm_stmt_ev_size             )
       equivalence( sqlm_stmt_event(  5),
     +               sqlm_stmt_ev_event_type       )
       equivalence( sqlm_stmt_event(  9),
     +               sqlm_stmt_ev_appl_id          )
       equivalence( sqlm_stmt_event( 41),
     +               sqlm_stmt_ev_sequence_no      )
       equivalence( sqlm_stmt_event( 45),
     +               sqlm_stmt_ev_stmt_type        )
       equivalence( sqlm_stmt_event( 49),
     +               sqlm_stmt_ev_operation        )
       equivalence( sqlm_stmt_event( 53),
     +               sqlm_stmt_ev_fetch_count      )
       equivalence( sqlm_stmt_event( 57),
     +               sqlm_stmt_ev_section_number   )
       equivalence( sqlm_stmt_event( 61),
     +               sqlm_stmt_ev_start_time_seconds )
       equivalence( sqlm_stmt_event( 65),
     +               sqlm_stmt_ev_start_time_microsec )
       equivalence( sqlm_stmt_event( 69),
     +               sqlm_stmt_ev_stop_time_seconds )
       equivalence( sqlm_stmt_event( 73),
     +               sqlm_stmt_ev_stop_time_microsec )
       equivalence( sqlm_stmt_event( 77),
     +               sqlm_stmt_ev_cursor_name      )
       equivalence( sqlm_stmt_event( 97),
     +               sqlm_stmt_ev_creator          )
       equivalence( sqlm_stmt_event(117),
     +               sqlm_stmt_ev_package_name     )
       equivalence( sqlm_stmt_event(137),
     +               sqlm_stmt_ev_usr_cpu_time_seconds )
       equivalence( sqlm_stmt_event(141),
     +               sqlm_stmt_ev_usr_cpu_time_microsec )
       equivalence( sqlm_stmt_event(145),
     +               sqlm_stmt_ev_sys_cpu_time_seconds )
       equivalence( sqlm_stmt_event(149),
     +               sqlm_stmt_ev_sys_cpu_time_microsec )
       equivalence( sqlm_stmt_event(153),
     +               sqlm_stmt_ev_total_sorts      )
       equivalence( sqlm_stmt_event(157),
     +               sqlm_stmt_ev_total_sort_time  )
       equivalence( sqlm_stmt_event(161),
     +               sqlm_stmt_ev_sort_overflows   )
       equivalence( sqlm_stmt_event(165),
     +               sqlm_stmt_ev_rows_read        )
       equivalence( sqlm_stmt_event(169),
     +               sqlm_stmt_ev_rows_written     )
       equivalence( sqlm_stmt_event(173),
     +               sqlm_stmt_ev_int_rows_deleted )
       equivalence( sqlm_stmt_event(177),
     +               sqlm_stmt_ev_int_rows_updated )
       equivalence( sqlm_stmt_event(181),
     +               sqlm_stmt_ev_int_rows_inserted )
       equivalence( sqlm_stmt_event(185),
     +               sqlm_stmt_ev_sqlca_sqlcaid          )
       equivalence( sqlm_stmt_event(193),
     +               sqlm_stmt_ev_sqlca_sqlcabc          )
       equivalence( sqlm_stmt_event(197),
     +               sqlm_stmt_ev_sqlca_sqlcode          )
       equivalence( sqlm_stmt_event(201),
     +               sqlm_stmt_ev_sqlca_sqlerrml         )
       equivalence( sqlm_stmt_event(203),
     +               sqlm_stmt_ev_sqlca_sqlerrmc         )
       equivalence( sqlm_stmt_event(273),
     +               sqlm_stmt_ev_sqlca_sqlerrp          )
       equivalence( sqlm_stmt_event(305),
     +               sqlm_stmt_ev_sqlca_sqlerrd          )
       equivalence( sqlm_stmt_event(305),
     +               sqlm_stmt_ev_sqlca_sqlwarn          )
       equivalence( sqlm_stmt_event(316),
     +               sqlm_stmt_ev_sqlca_sqlstate         )
       equivalence( sqlm_stmt_event(321),
     +               sqlm_stmt_ev_agent_id         )
       equivalence( sqlm_stmt_event(325),
     +               sqlm_stmt_ev_agents_top       )
       equivalence( sqlm_stmt_event(329),
     +               sqlm_stmt_ev_stmt_length      )
       equivalence( sqlm_stmt_event(331),
     +               sqlm_stmt_ev_stmt_text_offset )


c ***************************************************************************
c Event Monitor Statment and Statment Text Event Records
c ***************************************************************************

       character   sqlm_stmt(176)

       integer*4   sqlm_st_size
c      *includes* variable length sql text
       character   sqlm_st_info_type
       character   sqlm_st_filler(1)
       integer*2   sqlm_st_stmt_node_number
       integer*4   sqlm_st_stmt_type
       integer*4   sqlm_st_stmt_operation
       integer*4   sqlm_st_section_number
       integer*4   sqlm_st_query_cost_estimate
       integer*4   sqlm_st_query_card_estimate
       integer*4   sqlm_st_degree_parallelism
       integer*4   sqlm_st_stmt_sorts
       integer*4   sqlm_st_total_sort_time
       integer*4   sqlm_st_sort_overflows
       integer*4   sqlm_st_rows_read
       integer*4   sqlm_st_rows_written
       integer*4   sqlm_st_int_rows_deleted
       integer*4   sqlm_st_int_rows_updated
       integer*4   sqlm_st_int_rows_inserted
       integer*4   sqlm_st_fetch_count

       integer*4   sqlm_st_stmt_start_seconds
       integer*4   sqlm_st_stmt_start_microsec
       integer*4   sqlm_st_stmt_stop_seconds
       integer*4   sqlm_st_stmt_stop_microsec
       character   sqlm_st_cursor_name(sqlm_ident_sz)
       character   sqlm_st_creator(sqlm_ident_sz)
       character   sqlm_st_package_name(sqlm_ident_sz)
       integer*4   sqlm_st_stmt_usr_cpu_seconds
       integer*4   sqlm_st_stmt_usr_cpu_microsec
       integer*4   sqlm_st_stmt_sys_cpu_seconds
       integer*4   sqlm_st_stmt_sys_cpu_microsec

       integer*4   sqlm_st_num_ss
       integer*4   sqlm_st_num_agents
       integer*4   sqlm_st_agents_top
       integer*2   sqlm_st_stmt_length
c      blank padded to a 4 byte boundary
       integer*2   sqlm_st_stmt_text_offset

       equivalence( sqlm_stmt(  1),
     +               sqlm_st_size             )
       equivalence( sqlm_stmt(  5),
     +               sqlm_st_info_type        )
       equivalence( sqlm_stmt(  6),
     +               sqlm_st_filler              )
       equivalence( sqlm_stmt(  7),
     +               sqlm_st_stmt_node_number )
       equivalence( sqlm_stmt(  9),
     +               sqlm_st_stmt_type        )
       equivalence( sqlm_stmt( 13),
     +               sqlm_st_stmt_operation   )
       equivalence( sqlm_stmt( 17),
     +               sqlm_st_section_number   )
       equivalence( sqlm_stmt( 21),
     +               sqlm_st_query_cost_estimate )
       equivalence( sqlm_stmt( 25),
     +               sqlm_st_query_card_estimate )
       equivalence( sqlm_stmt( 29),
     +               sqlm_st_degree_parallelism )
       equivalence( sqlm_stmt( 33),
     +               sqlm_st_stmt_sorts       )
       equivalence( sqlm_stmt( 37),
     +               sqlm_st_total_sort_time  )
       equivalence( sqlm_stmt( 41),
     +               sqlm_st_sort_overflows   )
       equivalence( sqlm_stmt( 45),
     +               sqlm_st_rows_read        )
       equivalence( sqlm_stmt( 49),
     +               sqlm_st_rows_written     )
       equivalence( sqlm_stmt( 53),
     +               sqlm_st_int_rows_deleted )
       equivalence( sqlm_stmt( 57),
     +               sqlm_st_int_rows_updated )
       equivalence( sqlm_stmt( 61),
     +               sqlm_st_int_rows_inserted )
       equivalence( sqlm_stmt( 65),
     +               sqlm_st_fetch_count      )
       equivalence( sqlm_stmt( 69),
     +               sqlm_st_stmt_start_seconds )
       equivalence( sqlm_stmt( 73),
     +               sqlm_st_stmt_start_microsec )
       equivalence( sqlm_stmt( 77),
     +               sqlm_st_stmt_stop_seconds )
       equivalence( sqlm_stmt( 81),
     +               sqlm_st_stmt_stop_microsec )
       equivalence( sqlm_stmt( 85),
     +               sqlm_st_cursor_name      )
       equivalence( sqlm_stmt(105),
     +               sqlm_st_creator          )
       equivalence( sqlm_stmt(125),
     +               sqlm_st_package_name     )
       equivalence( sqlm_stmt(145),
     +               sqlm_st_stmt_usr_cpu_seconds )
       equivalence( sqlm_stmt(149),
     +               sqlm_st_stmt_usr_cpu_microsec )
       equivalence( sqlm_stmt(153),
     +               sqlm_st_stmt_sys_cpu_seconds )
       equivalence( sqlm_stmt(157),
     +               sqlm_st_stmt_sys_cpu_microsec )
       equivalence( sqlm_stmt(161),
     +               sqlm_st_num_ss           )
       equivalence( sqlm_stmt(165),
     +               sqlm_st_num_agents       )
       equivalence( sqlm_stmt(169),
     +               sqlm_st_agents_top       )
       equivalence( sqlm_stmt(173),
     +               sqlm_st_stmt_length      )
       equivalence( sqlm_stmt(175),
     +               sqlm_st_stmt_text_offset )

c ***************************************************************************
c SQL Subsection -  returned on application snapshot (SQLMA_APPL)
c ***************************************************************************

       character   sqlm_subsection(72)

       integer*4   sqlm_ss_size
       character   sqlm_ss_info_type
       character   sqlm_ss_filler(1)

       integer*2   sqlm_ss_ss_number
       integer*2   sqlm_ss_ss_status
       integer*2   sqlm_ss_ss_node_number
       integer*4   sqlm_ss_ss_exec_time

       integer*4   sqlm_ss_ss_usr_cpu_seconds
       integer*4   sqlm_ss_ss_usr_cpu_microsec
       integer*4   sqlm_ss_ss_sys_cpu_seconds
       integer*4   sqlm_ss_ss_sys_cpu_microsec

c      tablequeue information
       integer*2   sqlm_ss_tq_node_waited_for
c      on a tablequeue, node for which we wait
       integer*2   sqlm_ss_tq_wait_for_any
       integer*2   sqlm_ss_tq_id_waiting_on
       character   sqlm_ss_filler2(2)
       integer*4   sqlm_ss_tq_tot_send_spills
c      temp table when sending data on a tq
       integer*4   sqlm_ss_tq_cur_send_spills
       integer*4   sqlm_ss_tq_max_send_spills
       integer*4   sqlm_ss_tq_rows_read
       integer*4   sqlm_ss_tq_rows_written

       integer*4   sqlm_ss_rows_read
       integer*4   sqlm_ss_rows_written

       integer*4   sqlm_ss_num_agents

       equivalence( sqlm_subsection(  1),
     +               sqlm_ss_size             )
       equivalence( sqlm_subsection(  5),
     +               sqlm_ss_info_type        )
       equivalence( sqlm_subsection(  6),
     +               sqlm_ss_filler             )
       equivalence( sqlm_subsection(  7),
     +               sqlm_ss_ss_number        )
       equivalence( sqlm_subsection(  9),
     +               sqlm_ss_ss_status        )
       equivalence( sqlm_subsection( 11),
     +               sqlm_ss_ss_node_number   )
       equivalence( sqlm_subsection( 13),
     +               sqlm_ss_ss_exec_time     )
       equivalence( sqlm_subsection( 17),
     +               sqlm_ss_ss_usr_cpu_seconds )
       equivalence( sqlm_subsection( 21),
     +               sqlm_ss_ss_usr_cpu_microsec )
       equivalence( sqlm_subsection( 25),
     +               sqlm_ss_ss_sys_cpu_seconds )
       equivalence( sqlm_subsection( 29),
     +               sqlm_ss_ss_sys_cpu_microsec )
       equivalence( sqlm_subsection( 33),
     +               sqlm_ss_tq_node_waited_for )
       equivalence( sqlm_subsection( 35),
     +               sqlm_ss_tq_wait_for_any  )
       equivalence( sqlm_subsection( 37),
     +               sqlm_ss_tq_id_waiting_on )
       equivalence( sqlm_subsection( 39),
     +               sqlm_ss_filler2             )
       equivalence( sqlm_subsection( 41),
     +               sqlm_ss_tq_tot_send_spills )
       equivalence( sqlm_subsection( 45),
     +               sqlm_ss_tq_cur_send_spills )
       equivalence( sqlm_subsection( 49),
     +               sqlm_ss_tq_max_send_spills )
       equivalence( sqlm_subsection( 53),
     +               sqlm_ss_tq_rows_read     )
       equivalence( sqlm_subsection( 57),
     +               sqlm_ss_tq_rows_written  )
       equivalence( sqlm_subsection( 61),
     +               sqlm_ss_rows_read        )
       equivalence( sqlm_subsection( 65),
     +               sqlm_ss_rows_written     )
       equivalence( sqlm_subsection( 69),
     +               sqlm_ss_num_agents       )


       character   sqlm_stmttext_event(92)

       integer*4   sqlm_stmttxt_ev_size
c      includes statement text
       integer*4   sqlm_stmttxt_ev_event_type
       character   sqlm_stmttxt_ev_appl_id(sqlm_applid_sz)
       character   sqlm_stmttxt_ev_sequence_no(sqlm_seq_sz)
       character   sqlm_stmttxt_ev_creator(sqlm_ident_sz)
       character   sqlm_stmttxt_ev_package_name(sqlm_ident_sz)
       integer*4   sqlm_stmttxt_ev_section_number
       integer*4   sqlm_stmttxt_ev_stmt_length

       equivalence( sqlm_stmttext_event(  1),
     +               sqlm_stmttxt_ev_size             )
       equivalence( sqlm_stmttext_event(  5),
     +               sqlm_stmttxt_ev_event_type       )
       equivalence( sqlm_stmttext_event(  9),
     +               sqlm_stmttxt_ev_appl_id          )
       equivalence( sqlm_stmttext_event( 41),
     +               sqlm_stmttxt_ev_sequence_no      )
       equivalence( sqlm_stmttext_event( 45),
     +               sqlm_stmttxt_ev_creator          )
       equivalence( sqlm_stmttext_event( 65),
     +               sqlm_stmttxt_ev_package_name     )
       equivalence( sqlm_stmttext_event( 85),
     +               sqlm_stmttxt_ev_section_number   )
       equivalence( sqlm_stmttext_event( 89),
     +               sqlm_stmttxt_ev_stmt_length      )



       character   sqlm_subsection_event(58)

       integer*4   sqlm_ss_ev_size
       integer*4   sqlm_ss_ev_event_type

       integer*4   sqlm_ss_ev_agent_id
       integer*2   sqlm_ss_ev_ss_number
       integer*2   sqlm_ss_ev_ss_node_number

c      execution stats
       integer*4   sqlm_ss_ev_ss_exec_time
       integer*4   sqlm_ss_ev_ss_usr_cpu_seconds
       integer*4   sqlm_ss_ev_ss_usr_cpu_microsec
       integer*4   sqlm_ss_ev_ss_sys_cpu_seconds
       integer*4   sqlm_ss_ev_ss_sys_cpu_microsec

c      tablequeue information
       integer*4   sqlm_ss_ev_tq_tot_send_spills
c      temp table when sending data on a tq
       integer*4   sqlm_ss_ev_tq_max_send_spills
       integer*4   sqlm_ss_ev_tq_rows_read
       integer*4   sqlm_ss_ev_tq_rows_written
       integer*2   sqlm_ss_ev_num_agents
       character   sqlm_ss_ev_filler(2)

       equivalence( sqlm_subsection_event(  1),
     +               sqlm_ss_ev_size             )
       equivalence( sqlm_subsection_event(  5),
     +               sqlm_ss_ev_event_type       )
       equivalence( sqlm_subsection_event(  9),
     +               sqlm_ss_ev_agent_id         )
       equivalence( sqlm_subsection_event( 13),
     +               sqlm_ss_ev_ss_number        )
       equivalence( sqlm_subsection_event( 15),
     +               sqlm_ss_ev_ss_node_number   )
       equivalence( sqlm_subsection_event( 17),
     +               sqlm_ss_ev_ss_exec_time     )
       equivalence( sqlm_subsection_event( 21),
     +               sqlm_ss_ev_ss_usr_cpu_seconds )
       equivalence( sqlm_subsection_event( 25),
     +               sqlm_ss_ev_ss_usr_cpu_microsec )
       equivalence( sqlm_subsection_event( 29),
     +               sqlm_ss_ev_ss_sys_cpu_seconds )
       equivalence( sqlm_subsection_event( 33),
     +               sqlm_ss_ev_ss_sys_cpu_microsec )
       equivalence( sqlm_subsection_event( 37),
     +               sqlm_ss_ev_tq_tot_send_spills )
       equivalence( sqlm_subsection_event( 41),
     +               sqlm_ss_ev_tq_max_send_spills )
       equivalence( sqlm_subsection_event( 45),
     +               sqlm_ss_ev_tq_rows_read     )
       equivalence( sqlm_subsection_event( 49),
     +               sqlm_ss_ev_tq_rows_written  )
       equivalence( sqlm_subsection_event( 53),
     +               sqlm_ss_ev_num_agents       )
       equivalence( sqlm_subsection_event( 55),
     +               sqlm_ss_ev_filler )


c ***************************************************************************
c Event Monitor Transaction Event Record
c ***************************************************************************


       character   sqlm_xact_event(120)

       integer*4   sqlm_xact_ev_size
       integer*4   sqlm_xact_ev_event_type
       character   sqlm_xact_ev_appl_id(sqlm_applid_sz)
       character   sqlm_xact_ev_sequence_no(sqlm_seq_sz)
       integer*4   sqlm_xact_ev_log_space_used
       integer*4   sqlm_xact_ev_status
       integer*4   sqlm_xact_ev_lock_wait_time
       integer*4   sqlm_xact_ev_locks_held_top
       integer*4   sqlm_xact_ev_lock_escals
       integer*4   sqlm_xact_ev_x_lock_escals
       integer*4   sqlm_xact_ev_rows_read
       integer*4   sqlm_xact_ev_rows_written
       integer*4   sqlm_xact_ev_usr_cpu_time_seconds
       integer*4   sqlm_xact_ev_usr_cpu_time_microsec
       integer*4   sqlm_xact_ev_sys_cpu_time_seconds
       integer*4   sqlm_xact_ev_sys_cpu_time_microsec
       integer*4   sqlm_xact_ev_prv_stp_time_seconds
       integer*4   sqlm_xact_ev_prv_stp_time_microsec
       integer*4   sqlm_xact_ev_start_time_seconds
       integer*4   sqlm_xact_ev_start_time_microsec
       integer*4   sqlm_xact_ev_stp_time_seconds
       integer*4   sqlm_xact_ev_stp_time_microsec
       integer*4   sqlm_xact_ev_agent_id

       equivalence( sqlm_xact_event(  1),
     +               sqlm_xact_ev_size             )
       equivalence( sqlm_xact_event(  5),
     +               sqlm_xact_ev_event_type       )
       equivalence( sqlm_xact_event(  9),
     +               sqlm_xact_ev_appl_id          )
       equivalence( sqlm_xact_event( 41),
     +               sqlm_xact_ev_sequence_no      )
       equivalence( sqlm_xact_event( 45),
     +               sqlm_xact_ev_log_space_used   )
       equivalence( sqlm_xact_event( 49),
     +               sqlm_xact_ev_status           )
       equivalence( sqlm_xact_event( 53),
     +               sqlm_xact_ev_lock_wait_time   )
       equivalence( sqlm_xact_event( 57),
     +               sqlm_xact_ev_locks_held_top   )
       equivalence( sqlm_xact_event( 61),
     +               sqlm_xact_ev_lock_escals      )
       equivalence( sqlm_xact_event( 65),
     +               sqlm_xact_ev_x_lock_escals    )
       equivalence( sqlm_xact_event( 69),
     +               sqlm_xact_ev_rows_read        )
       equivalence( sqlm_xact_event( 73),
     +               sqlm_xact_ev_rows_written     )
       equivalence( sqlm_xact_event( 77),
     +               sqlm_xact_ev_usr_cpu_time_seconds )
       equivalence( sqlm_xact_event( 81),
     +               sqlm_xact_ev_usr_cpu_time_microsec )
       equivalence( sqlm_xact_event( 85),
     +               sqlm_xact_ev_sys_cpu_time_seconds )
       equivalence( sqlm_xact_event( 89),
     +               sqlm_xact_ev_sys_cpu_time_microsec )
       equivalence( sqlm_xact_event( 93),
     +               sqlm_xact_ev_prv_stp_time_seconds )
       equivalence( sqlm_xact_event( 97),
     +               sqlm_xact_ev_prv_stp_time_microsec )
       equivalence( sqlm_xact_event(101),
     +               sqlm_xact_ev_start_time_seconds )
       equivalence( sqlm_xact_event(105),
     +               sqlm_xact_ev_start_time_microsec )
       equivalence( sqlm_xact_event(109),
     +               sqlm_xact_ev_stp_time_seconds )
       equivalence( sqlm_xact_event(113),
     +               sqlm_xact_ev_stp_time_microsec )
       equivalence( sqlm_xact_event(117),
     +               sqlm_xact_ev_agent_id         )


c ***************************************************************************
c Event Monitor Deadlock and Deadlocked Connection Event Records
c ***************************************************************************

       character   sqlm_deadlock_event(60)

       integer*4   sqlm_dl_ev_size
       integer*4   sqlm_dl_ev_event_type
       integer*4   sqlm_dl_ev_dl_conns
       integer*4   sqlm_dl_ev_start_time_seconds
       integer*4   sqlm_dl_ev_start_time_microsec
       character   sqlm_dl_ev_rolled_back_appl_id(sqlm_applid_sz)
       character   sqlm_dl_ev_rolled_back_sequence_no(sqlm_seq_sz)
       integer*4   sqlm_dl_ev_rolled_back_agent_id

       equivalence( sqlm_deadlock_event(  1),
     +               sqlm_dl_ev_size             )
       equivalence( sqlm_deadlock_event(  5),
     +               sqlm_dl_ev_event_type       )
       equivalence( sqlm_deadlock_event(  9),
     +               sqlm_dl_ev_dl_conns         )
       equivalence( sqlm_deadlock_event( 13),
     +               sqlm_dl_ev_start_time_seconds )
       equivalence( sqlm_deadlock_event( 17),
     +               sqlm_dl_ev_start_time_microsec )
       equivalence( sqlm_deadlock_event( 21),
     +               sqlm_dl_ev_rolled_back_appl_id )
       equivalence( sqlm_deadlock_event( 53),
     +               sqlm_dl_ev_rolled_back_sequence_no )
       equivalence( sqlm_deadlock_event( 57),
     +               sqlm_dl_ev_rolled_back_agent_id )


       character   sqlm_dlconn_event(177)

       integer*4   sqlm_dlc_ev_size
       integer*4   sqlm_dlc_ev_event_type
       character   sqlm_dlc_ev_appl_id(sqlm_applid_sz)
       character   sqlm_dlc_ev_sequence_no(sqlm_seq_sz)
       character   sqlm_dlc_ev_appl_id_hldng_lk(sqlm_applid_sz)
       character   sqlm_dlc_ev_sequence_no_hldng_lk(sqlm_seq_sz)
       character   sqlm_dlc_ev_table_name(sqlm_ident_sz)
       character   sqlm_dlc_ev_table_schema(sqlm_ident_sz)
       character   sqlm_dlc_ev_tablespace_name(sqlm_ident_sz)
       integer*4   sqlm_dlc_ev_lock_mode
       integer*4   sqlm_dlc_ev_lock_object_type
       integer*4   sqlm_dlc_ev_lock_object_name
       integer*4   sqlm_dlc_ev_lk_wt_start_seconds
       integer*4   sqlm_dlc_ev_lk_wt_start_microsec
       integer*4   sqlm_dlc_ev_start_time_seconds
       integer*4   sqlm_dlc_ev_start_time_microsec
       integer*4   sqlm_dlc_ev_lock_node
       integer*4   sqlm_dlc_ev_agent_id
       character   sqlm_dlc_ev_lock_escalation

       equivalence( sqlm_dlconn_event(  1),
     +               sqlm_dlc_ev_size             )
       equivalence( sqlm_dlconn_event(  5),
     +               sqlm_dlc_ev_event_type       )
       equivalence( sqlm_dlconn_event(  9),
     +               sqlm_dlc_ev_appl_id          )
       equivalence( sqlm_dlconn_event( 41),
     +               sqlm_dlc_ev_sequence_no      )
       equivalence( sqlm_dlconn_event( 45),
     +               sqlm_dlc_ev_appl_id_hldng_lk )
       equivalence( sqlm_dlconn_event( 77),
     +               sqlm_dlc_ev_sequence_no_hldng_lk )
       equivalence( sqlm_dlconn_event( 81),
     +               sqlm_dlc_ev_table_name       )
       equivalence( sqlm_dlconn_event(101),
     +               sqlm_dlc_ev_table_schema     )
       equivalence( sqlm_dlconn_event(121),
     +               sqlm_dlc_ev_tablespace_name  )
       equivalence( sqlm_dlconn_event(141),
     +               sqlm_dlc_ev_lock_mode        )
       equivalence( sqlm_dlconn_event(145),
     +               sqlm_dlc_ev_lock_object_type )
       equivalence( sqlm_dlconn_event(149),
     +               sqlm_dlc_ev_lock_object_name )
       equivalence( sqlm_dlconn_event(153),
     +               sqlm_dlc_ev_lk_wt_start_seconds )
       equivalence( sqlm_dlconn_event(157),
     +               sqlm_dlc_ev_lk_wt_start_microsec )
       equivalence( sqlm_dlconn_event(161),
     +               sqlm_dlc_ev_start_time_seconds )
       equivalence( sqlm_dlconn_event(165),
     +               sqlm_dlc_ev_start_time_microsec )
       equivalence( sqlm_dlconn_event(169),
     +               sqlm_dlc_ev_lock_node        )
       equivalence( sqlm_dlconn_event(173),
     +               sqlm_dlc_ev_agent_id         )
       equivalence( sqlm_dlconn_event(177),
     +               sqlm_dlc_ev_lock_escalation )



c ***************************************************************************
c Event Monitor Tablespace Event Record
c ***************************************************************************

       character   sqlm_tsp_event(140)

       integer*4   sqlm_ts_ev_size
       integer*4   sqlm_ts_ev_event_type

       character   sqlm_ts_ev_tablespace_name(sqlm_ident_sz)
       integer*4   sqlm_ts_ev_pool_data_l_reads
       integer*4   sqlm_ts_ev_pool_data_p_reads
       integer*4   sqlm_ts_ev_pool_async_data_reads
       integer*4   sqlm_ts_ev_pool_data_writes
       integer*4   sqlm_ts_ev_pool_async_data_writes
       integer*4   sqlm_ts_ev_pool_index_l_reads
       integer*4   sqlm_ts_ev_pool_index_p_reads
       integer*4   sqlm_ts_ev_pool_index_writes
       integer*4   sqlm_ts_ev_pool_async_index_writes
       integer*4   sqlm_ts_ev_pool_read_time
       integer*4   sqlm_ts_ev_pool_write_time
       integer*4   sqlm_ts_ev_pool_async_read_time
       integer*4   sqlm_ts_ev_pool_async_write_time
       integer*4   sqlm_ts_ev_pool_async_data_read_rqs

       integer*4   sqlm_ts_ev_direct_reads
       integer*4   sqlm_ts_ev_direct_writes
       integer*4   sqlm_ts_ev_direct_read_rqs
       integer*4   sqlm_ts_ev_direct_write_rqs
       integer*4   sqlm_ts_ev_direct_read_time
       integer*4   sqlm_ts_ev_direct_write_time

       integer*4   sqlm_ts_ev_files_closed
       integer*4   sqlm_ts_ev_time_seconds
       integer*4   sqlm_ts_ev_time_microsec

c      sqlm_dbmon_version5  buffer pool and i/o information
       integer*4   sqlm_ts_ev_pool_async_idx_reads
       integer*4   sqlm_ts_ev_pool_data_to_estore
       integer*4   sqlm_ts_ev_pool_idx_to_estore
       integer*4   sqlm_ts_ev_pool_idx_from_estore
       integer*4   sqlm_ts_ev_pool_data_from_estore

       equivalence( sqlm_tsp_event(  1),
     +               sqlm_ts_ev_size             )
       equivalence( sqlm_tsp_event(  5),
     +               sqlm_ts_ev_event_type       )
       equivalence( sqlm_tsp_event(  9),
     +               sqlm_ts_ev_tablespace_name  )
       equivalence( sqlm_tsp_event( 29),
     +               sqlm_ts_ev_pool_data_l_reads )
       equivalence( sqlm_tsp_event( 33),
     +               sqlm_ts_ev_pool_data_p_reads )
       equivalence( sqlm_tsp_event( 37),
     +               sqlm_ts_ev_pool_async_data_reads )
       equivalence( sqlm_tsp_event( 41),
     +               sqlm_ts_ev_pool_data_writes )
       equivalence( sqlm_tsp_event( 45),
     +               sqlm_ts_ev_pool_async_data_writes )
       equivalence( sqlm_tsp_event( 49),
     +               sqlm_ts_ev_pool_index_l_reads )
       equivalence( sqlm_tsp_event( 53),
     +               sqlm_ts_ev_pool_index_p_reads )
       equivalence( sqlm_tsp_event( 57),
     +               sqlm_ts_ev_pool_index_writes )
       equivalence( sqlm_tsp_event( 61),
     +               sqlm_ts_ev_pool_async_index_writes )
       equivalence( sqlm_tsp_event( 65),
     +               sqlm_ts_ev_pool_read_time   )
       equivalence( sqlm_tsp_event( 69),
     +               sqlm_ts_ev_pool_write_time  )
       equivalence( sqlm_tsp_event( 73),
     +               sqlm_ts_ev_pool_async_read_time )
       equivalence( sqlm_tsp_event( 77),
     +               sqlm_ts_ev_pool_async_write_time )
       equivalence( sqlm_tsp_event( 81),
     +               sqlm_ts_ev_pool_async_data_read_rqs )
       equivalence( sqlm_tsp_event( 85),
     +               sqlm_ts_ev_direct_reads     )
       equivalence( sqlm_tsp_event( 89),
     +               sqlm_ts_ev_direct_writes    )
       equivalence( sqlm_tsp_event( 93),
     +               sqlm_ts_ev_direct_read_rqs )
       equivalence( sqlm_tsp_event( 97),
     +               sqlm_ts_ev_direct_write_rqs )
       equivalence( sqlm_tsp_event(101),
     +               sqlm_ts_ev_direct_read_time )
       equivalence( sqlm_tsp_event(105),
     +               sqlm_ts_ev_direct_write_time )
       equivalence( sqlm_tsp_event(109),
     +               sqlm_ts_ev_files_closed     )
       equivalence( sqlm_tsp_event(113),
     +               sqlm_ts_ev_time_seconds )
       equivalence( sqlm_tsp_event(117),
     +               sqlm_ts_ev_time_microsec )
       equivalence( sqlm_tsp_event(121),
     +               sqlm_ts_ev_pool_async_idx_reads )
       equivalence( sqlm_tsp_event(125),
     +               sqlm_ts_ev_pool_data_to_estore )
       equivalence( sqlm_tsp_event(129),
     +               sqlm_ts_ev_pool_idx_to_estore )
       equivalence( sqlm_tsp_event(133),
     +               sqlm_ts_ev_pool_idx_from_estore )
       equivalence( sqlm_tsp_event(137),
     +               sqlm_ts_ev_pool_data_from_estore )


c ***************************************************************************
c Event Monitor Database Header Event Record
c ***************************************************************************

       character   sqlm_dbhdr_event(292)

       integer*4   sqlm_dbh_ev_size
       integer*4   sqlm_dbh_ev_event_type
       character   sqlm_dbh_ev_db_name(sqlm_ident_sz)
       character   sqlm_dbh_ev_db_path(sqlm_dbpath_sz)
       integer*4   sqlm_dbh_ev_conn_time_seconds
       integer*4   sqlm_dbh_ev_conn_time_microsec

       equivalence( sqlm_dbhdr_event(  1),
     +               sqlm_dbh_ev_size             )
       equivalence( sqlm_dbhdr_event(  5),
     +               sqlm_dbh_ev_event_type       )
       equivalence( sqlm_dbhdr_event(  9),
     +               sqlm_dbh_ev_db_name          )
       equivalence( sqlm_dbhdr_event( 29),
     +               sqlm_dbh_ev_db_path          )
       equivalence( sqlm_dbhdr_event(285),
     +               sqlm_dbh_ev_conn_time_seconds )
       equivalence( sqlm_dbhdr_event(289),
     +               sqlm_dbh_ev_conn_time_microsec )


c ***************************************************************************
c Event Monitor Start Event Record
c ***************************************************************************

       character   sqlm_evmon_start_event(16)

       integer*4   sqlm_ev_st_size
       integer*4   sqlm_ev_st_event_type
       integer*4   sqlm_ev_st_start_time_seconds
       integer*4   sqlm_ev_st_start_time_microsec

       equivalence( sqlm_evmon_start_event(  1),
     +               sqlm_ev_st_size             )
       equivalence( sqlm_evmon_start_event(  5),
     +               sqlm_ev_st_event_type       )
       equivalence( sqlm_evmon_start_event(  9),
     +               sqlm_ev_st_start_time_seconds )
       equivalence( sqlm_evmon_start_event( 13),
     +               sqlm_ev_st_start_time_microsec )


c ***************************************************************************
c Event Monitor Connection Header Event Record
c ***************************************************************************

       character   sqlm_connhdr_event(224)

       integer*4   sqlm_ch_ev_size
       integer*4   sqlm_ch_ev_event_type
       character   sqlm_ch_ev_appl_id(sqlm_applid_sz)
       character   sqlm_ch_ev_sequence_no(sqlm_seq_sz)
       character   sqlm_ch_ev_corr_token(sqlm_applid_sz)
       character   sqlm_ch_ev_appl_name(sqlm_ident_sz)
       character   sqlm_ch_ev_auth_id(sqlm_ident_sz)
       character   sqlm_ch_ev_execution_id(sqlm_ident_sz)
       character   sqlm_ch_ev_client_nname(sqlm_ident_sz)
       character   sqlm_ch_ev_client_prdid(sqlm_ident_sz)
       character   sqlm_ch_ev_client_db_alias(sqlm_ident_sz)
       integer*4   sqlm_ch_ev_client_pid
       integer*4   sqlm_ch_ev_agent_id
       integer*2   sqlm_ch_ev_codepage_id
       integer*2   sqlm_ch_ev_country_code
       integer*2   sqlm_ch_ev_client_platform
       integer*2   sqlm_ch_ev_client_protocol
       integer*4   sqlm_ch_ev_conn_time_seconds
       integer*4   sqlm_ch_ev_conn_time_microsec
       integer*2   sqlm_ch_ev_node_number
       character   sqlm_ch_ev_pad(2)

       equivalence( sqlm_connhdr_event(  1),
     +               sqlm_ch_ev_size             )
       equivalence( sqlm_connhdr_event(  5),
     +               sqlm_ch_ev_event_type       )
       equivalence( sqlm_connhdr_event(  9),
     +               sqlm_ch_ev_appl_id          )
       equivalence( sqlm_connhdr_event( 41),
     +               sqlm_ch_ev_sequence_no      )
       equivalence( sqlm_connhdr_event( 45),
     +               sqlm_ch_ev_corr_token       )
       equivalence( sqlm_connhdr_event( 77),
     +               sqlm_ch_ev_appl_name        )
       equivalence( sqlm_connhdr_event( 97),
     +               sqlm_ch_ev_auth_id          )
       equivalence( sqlm_connhdr_event(117),
     +               sqlm_ch_ev_execution_id     )
       equivalence( sqlm_connhdr_event(137),
     +               sqlm_ch_ev_client_nname     )
       equivalence( sqlm_connhdr_event(157),
     +               sqlm_ch_ev_client_prdid     )
       equivalence( sqlm_connhdr_event(177),
     +               sqlm_ch_ev_client_db_alias  )
       equivalence( sqlm_connhdr_event(197),
     +               sqlm_ch_ev_client_pid       )
       equivalence( sqlm_connhdr_event(201),
     +               sqlm_ch_ev_agent_id         )
       equivalence( sqlm_connhdr_event(205),
     +               sqlm_ch_ev_codepage_id      )
       equivalence( sqlm_connhdr_event(207),
     +               sqlm_ch_ev_country_code     )
       equivalence( sqlm_connhdr_event(209),
     +               sqlm_ch_ev_client_platform  )
       equivalence( sqlm_connhdr_event(211),
     +               sqlm_ch_ev_client_protocol  )
       equivalence( sqlm_connhdr_event(213),
     +               sqlm_ch_ev_conn_time_seconds )
       equivalence( sqlm_connhdr_event(217),
     +               sqlm_ch_ev_conn_time_microsec )
       equivalence( sqlm_connhdr_event(221),
     +               sqlm_ch_ev_node_number )
       equivalence( sqlm_connhdr_event(223),
     +               sqlm_ch_ev_pad )


c ***************************************************************************
c Event Monitor Overflow Event Record
c ***************************************************************************

       character   sqlm_overflow_event(32)

       integer*4   size
       integer*4   event_type
       integer*4   count
       integer*4   first_of_time_seconds
       integer*4   first_of_time_microsec
       integer*4   last_of_time_seconds
       integer*4   last_of_time_microsec
       integer*2   node_number
       character   filler(2)

       equivalence( sqlm_overflow_event(  1),
     +               size             )
       equivalence( sqlm_overflow_event(  5),
     +               event_type       )
       equivalence( sqlm_overflow_event(  9),
     +               count            )
       equivalence( sqlm_overflow_event( 13),
     +               first_of_time_seconds )
       equivalence( sqlm_overflow_event( 17),
     +               first_of_time_microsec )
       equivalence( sqlm_overflow_event( 21),
     +               last_of_time_seconds )
       equivalence( sqlm_overflow_event( 25),
     +               last_of_time_microsec )
       equivalence( sqlm_overflow_event( 29),
     +               node_number      )
       equivalence( sqlm_overflow_event( 31),
     +               filler              )

c  ************************************************************
c  Event Monitor Bufferpool Event Record
c  ************************************************************

       character   sqlm_bufferpool_event(416)

       integer*4   sqlm_bpe_size
       integer*4   sqlm_bpe_event_type
       integer*4   sqlm_bpe_event_time_seconds
       integer*4   sqlm_bpe_event_time_microsec
       character   sqlm_bpe_bp_name(sqlm_ident_sz)
       character   sqlm_bpe_db_name(sqlm_ident_sz)
       character   sqlm_bpe_db_path(sqlm_dbpath_sz)

c      version 1 counters
       integer*4   sqlm_bpe_pool_data_l_reads
       integer*4   sqlm_bpe_pool_data_p_reads
       integer*4   sqlm_bpe_pool_data_writes
       integer*4   sqlm_bpe_pool_index_l_reads
       integer*4   sqlm_bpe_pool_index_p_reads
       integer*4   sqlm_bpe_pool_index_writes
       integer*4   sqlm_bpe_pool_read_time
       integer*4   sqlm_bpe_pool_write_time
       integer*4   sqlm_bpe_files_closed

c      version 2 counters
       integer*4   sqlm_bpe_pool_async_data_reads
       integer*4   sqlm_bpe_pool_async_data_writes
       integer*4   sqlm_bpe_pool_async_index_writes
       integer*4   sqlm_bpe_pool_async_read_time
       integer*4   sqlm_bpe_pool_async_write_time
       integer*4   sqlm_bpe_pool_async_data_read_reqs
       integer*4   sqlm_bpe_direct_reads
       integer*4   sqlm_bpe_direct_writes
       integer*4   sqlm_bpe_direct_read_reqs
       integer*4   sqlm_bpe_direct_write_reqs
       integer*4   sqlm_bpe_direct_read_time
       integer*4   sqlm_bpe_direct_write_time

c      version 3 counters
       integer*4   sqlm_bpe_pool_async_index_reads
       integer*4   sqlm_bpe_pool_data_to_estore
       integer*4   sqlm_bpe_pool_index_to_estore
       integer*4   sqlm_bpe_pool_index_from_estore
       integer*4   sqlm_bpe_pool_data_from_estore

       equivalence( sqlm_bufferpool_event(  1),
     +               sqlm_bpe_size             )
       equivalence( sqlm_bufferpool_event(  5),
     +               sqlm_bpe_event_type       )
       equivalence( sqlm_bufferpool_event(  9),
     +               sqlm_bpe_event_time_seconds )
       equivalence( sqlm_bufferpool_event( 13),
     +               sqlm_bpe_event_time_microsec )
       equivalence( sqlm_bufferpool_event( 17),
     +               sqlm_bpe_bp_name          )
       equivalence( sqlm_bufferpool_event( 37),
     +               sqlm_bpe_db_name          )
       equivalence( sqlm_bufferpool_event( 57),
     +               sqlm_bpe_db_path          )
       equivalence( sqlm_bufferpool_event(313),
     +               sqlm_bpe_pool_data_l_reads )
       equivalence( sqlm_bufferpool_event(317),
     +               sqlm_bpe_pool_data_p_reads )
       equivalence( sqlm_bufferpool_event(321),
     +               sqlm_bpe_pool_data_writes )
       equivalence( sqlm_bufferpool_event(325),
     +               sqlm_bpe_pool_index_l_reads )
       equivalence( sqlm_bufferpool_event(329),
     +               sqlm_bpe_pool_index_p_reads )
       equivalence( sqlm_bufferpool_event(333),
     +               sqlm_bpe_pool_index_writes )
       equivalence( sqlm_bufferpool_event(337),
     +               sqlm_bpe_pool_read_time   )
       equivalence( sqlm_bufferpool_event(341),
     +               sqlm_bpe_pool_write_time  )
       equivalence( sqlm_bufferpool_event(345),
     +               sqlm_bpe_files_closed     )
       equivalence( sqlm_bufferpool_event(349),
     +               sqlm_bpe_pool_async_data_reads )
       equivalence( sqlm_bufferpool_event(353),
     +               sqlm_bpe_pool_async_data_writes )
       equivalence( sqlm_bufferpool_event(357),
     +               sqlm_bpe_pool_async_index_writes )
       equivalence( sqlm_bufferpool_event(361),
     +               sqlm_bpe_pool_async_read_time )
       equivalence( sqlm_bufferpool_event(365),
     +               sqlm_bpe_pool_async_write_time )
       equivalence( sqlm_bufferpool_event(369),
     +               sqlm_bpe_pool_async_data_read_reqs )
       equivalence( sqlm_bufferpool_event(373),
     +               sqlm_bpe_direct_reads     )
       equivalence( sqlm_bufferpool_event(377),
     +               sqlm_bpe_direct_writes    )
       equivalence( sqlm_bufferpool_event(381),
     +               sqlm_bpe_direct_read_reqs )
       equivalence( sqlm_bufferpool_event(385),
     +               sqlm_bpe_direct_write_reqs )
       equivalence( sqlm_bufferpool_event(389),
     +               sqlm_bpe_direct_read_time )
       equivalence( sqlm_bufferpool_event(393),
     +               sqlm_bpe_direct_write_time )
       equivalence( sqlm_bufferpool_event(397),
     +               sqlm_bpe_pool_async_index_reads )
       equivalence( sqlm_bufferpool_event(401),
     +               sqlm_bpe_pool_data_to_estore )
       equivalence( sqlm_bufferpool_event(405),
     +               sqlm_bpe_pool_index_to_estore )
       equivalence( sqlm_bufferpool_event(409),
     +               sqlm_bpe_pool_index_from_estore )
       equivalence( sqlm_bufferpool_event(413),
     +               sqlm_bpe_pool_data_from_estore )

c  ************************************************************
c  SQL Agent -  returned on application snapshot (SQLMA_APPL)
c  ************************************************************

       character   sqlm_agent(12)

       integer*4   sqlm_agent_size
       character   sqlm_agent_info_type
       character   sqlm_agent_pad1(3)
       integer*4   sqlm_agent_agent_pid

       equivalence( sqlm_agent(  1), sqlm_agent_size         )
       equivalence( sqlm_agent(  5), sqlm_agent_info_type    )
       equivalence( sqlm_agent(  6), sqlm_agent_pad1         )
       equivalence( sqlm_agent(  9), sqlm_agent_agent_pid    )

c  ************************************************************
c  Bufferpool Related Snapshot Information
c  ************************************************************

       character   sqlm_bufferpool(428)

       integer*4   sqlm_bp_sqlm_size
       character   sqlm_bp_info_type
       character   sqlm_bp_filler(3)
       character   sqlm_bp_bp_name(sqlm_ident_sz)
       character   sqlm_bp_input_db_alias(sqlm_ident_sz)
       character   sqlm_bp_db_name(sqlm_ident_sz)
       character   sqlm_bp_db_path(sqlm_dbpath_sz)

c      version 1 counters
       integer*4   sqlm_bp_pool_data_l_reads
       integer*4   sqlm_bp_pool_data_p_reads
       integer*4   sqlm_bp_pool_data_writes
       integer*4   sqlm_bp_pool_index_l_reads
       integer*4   sqlm_bp_pool_index_p_reads
       integer*4   sqlm_bp_pool_index_writes
       integer*4   sqlm_bp_pool_read_time
       integer*4   sqlm_bp_pool_write_time
       integer*4   sqlm_bp_files_closed

c      version 2 counters
       integer*4   sqlm_bp_pool_async_data_r
       integer*4   sqlm_bp_pool_async_data_w
       integer*4   sqlm_bp_pool_async_index_w
       integer*4   sqlm_bp_pool_async_read_t
       integer*4   sqlm_bp_pool_async_write_t
       integer*4   sqlm_bp_pool_async_d_rd_reqs
       integer*4   sqlm_bp_direct_reads
       integer*4   sqlm_bp_direct_writes
       integer*4   sqlm_bp_direct_read_reqs
       integer*4   sqlm_bp_direct_write_reqs
       integer*4   sqlm_bp_direct_read_time
       integer*4   sqlm_bp_direct_write_time

c      version 3 counters
       integer*4   sqlm_bp_pool_async_ix_reads
       integer*4   sqlm_bp_pool_data_to_estore
       integer*4   sqlm_bp_pool_index_to_estore
       integer*4   sqlm_bp_pool_ix_from_estore
       integer*4   sqlm_bp_pool_d_from_estore


       equivalence( sqlm_bufferpool(  1), sqlm_bp_sqlm_size        )
       equivalence( sqlm_bufferpool(  5), sqlm_bp_info_type        )
       equivalence( sqlm_bufferpool(  6), sqlm_bp_filler           )
       equivalence( sqlm_bufferpool(  9), sqlm_bp_bp_name          )
       equivalence( sqlm_bufferpool( 29), sqlm_bp_input_db_alias   )
       equivalence( sqlm_bufferpool( 49), sqlm_bp_db_name          )
       equivalence( sqlm_bufferpool( 69), sqlm_bp_db_path          )
       equivalence( sqlm_bufferpool(325), sqlm_bp_pool_data_l_reads )
       equivalence( sqlm_bufferpool(329), sqlm_bp_pool_data_p_reads )
       equivalence( sqlm_bufferpool(333), sqlm_bp_pool_data_writes )
       equivalence( sqlm_bufferpool(337), sqlm_bp_pool_index_l_reads )
       equivalence( sqlm_bufferpool(341), sqlm_bp_pool_index_p_reads )
       equivalence( sqlm_bufferpool(345), sqlm_bp_pool_index_writes )
       equivalence( sqlm_bufferpool(349), sqlm_bp_pool_read_time   )
       equivalence( sqlm_bufferpool(353), sqlm_bp_pool_write_time  )
       equivalence( sqlm_bufferpool(357), sqlm_bp_files_closed     )
       equivalence( sqlm_bufferpool(361), sqlm_bp_pool_async_data_r )
       equivalence( sqlm_bufferpool(365), sqlm_bp_pool_async_data_w )
       equivalence( sqlm_bufferpool(369), sqlm_bp_pool_async_index_w )
       equivalence( sqlm_bufferpool(373), sqlm_bp_pool_async_read_t )
       equivalence( sqlm_bufferpool(377), sqlm_bp_pool_async_write_t )
       equivalence( sqlm_bufferpool(381), sqlm_bp_pool_async_d_rd_reqs )
       equivalence( sqlm_bufferpool(385), sqlm_bp_direct_reads     )
       equivalence( sqlm_bufferpool(389), sqlm_bp_direct_writes    )
       equivalence( sqlm_bufferpool(393), sqlm_bp_direct_read_reqs )
       equivalence( sqlm_bufferpool(397), sqlm_bp_direct_write_reqs )
       equivalence( sqlm_bufferpool(401), sqlm_bp_direct_read_time )
       equivalence( sqlm_bufferpool(405), sqlm_bp_direct_write_time )
       equivalence( sqlm_bufferpool(409), sqlm_bp_pool_async_ix_reads )
       equivalence( sqlm_bufferpool(413), sqlm_bp_pool_data_to_estore )
       equivalence( sqlm_bufferpool(417), sqlm_bp_pool_index_to_estore )
       equivalence( sqlm_bufferpool(421), sqlm_bp_pool_ix_from_estore )
       equivalence( sqlm_bufferpool(425), sqlm_bp_pool_d_from_estore )

c  ************************************************************
c  Database Monitor function declarations
c  ************************************************************

c     Database Monitor Switch API

      external      sqlgmon
      integer*4     sqlgmon

c     Database Monitor Snapshot API

      external      sqlgmnss
      integer*4     sqlgmnss

c     Database Monitor Estimate Buffer Size API

      external      sqlgmnsz
      integer*4     sqlgmnsz

c     Database Monitor Reset API

      external      sqlgmrst
      integer*4     sqlgmrst

