*******************************************************************************
*  
*  Source File Name: SQLUTIL
*  
*  (C) COPYRIGHT International Business Machines Corp. 1987, 1997
*  All Rights Reserved
*  Licensed Materials - Property of IBM
*  
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*  
*  Function = Include File defining:
*               Utility / Configuration Commands - Constants
*               Utility / Configuration Commands - Data Structures
*               Utility / Configuration Commands - Function Prototypes
*               Utility / Configuration Commands - Labels for SQLCODES
*  
*  Operating System:LINUX
*  
********************************************************************************
* Interface Parameters/Structures/Return Codes

* Parameters for Rollforward caller action
* Roll forward to requested point
       integer*2   sqlum_rollfwd
       parameter ( sqlum_rollfwd           = 1 )

* End roll-forward recovery
       integer*2   sqlum_stop
       parameter ( sqlum_stop              = 2 )

* End roll-forward recovery
       integer*2   sqlum_complete
       parameter ( sqlum_complete          = 2 )

* Roll forward to requested point and end roll-forward recovery
       integer*2   sqlum_rollfwd_stop
       parameter ( sqlum_rollfwd_stop      = 3 )

* Roll forward to requested point and end roll-forward recovery
       integer*2   sqlum_rollfwd_complete
       parameter ( sqlum_rollfwd_complete  = 3 )

* Query nextArcFile, firstDeleteArc, lastDeleteArc, lastCommitTime
       integer*2   sqlum_query
       parameter ( sqlum_query             = 4 )

* Cancel current rollforward
       integer*2   sqlum_cancel
       parameter ( sqlum_cancel            = 8 )

* Parameter check
       integer*2   sqlum_parm_check
       parameter ( sqlum_parm_check        = 10 )

* Continue load recovery.
       integer*2   sqlum_loadrec_continue
       parameter ( sqlum_loadrec_continue  = 11 )

* Terminate load recovery.
       integer*2   sqlum_loadrec_terminate
       parameter ( sqlum_loadrec_terminate = 12 )

* Terminate device.Caller action codes 31 - 50 reserved for internal use.
       integer*2   sqlum_loadrec_device_terminate
       parameter ( sqlum_loadrec_device_terminate = 13 )


* Constants used for Rollforward
* Roll forward until STOP specified
       character*26  sqlum_infinity_timestamp
       parameter (   sqlum_infinity_timestamp = '9999-12-31-23.59.59.999
     +999' )

* Length of Archive File name
       integer*2   sqlum_archive_file_len
       parameter ( sqlum_archive_file_len  = 12 )

* Length of ISO format Timestamp
       integer*2   sqlum_timestamp_len
       parameter ( sqlum_timestamp_len     = 26 )


* Roll forward input version values
* current rollforward input version
       integer*2   sqlum_rfwd_version
       parameter ( sqlum_rfwd_version      = 5 )


* Roll forward allNodeFlag values
* submit to all nodes in the node list
       integer*2   sqlurf_node_list
       parameter ( sqlurf_node_list        = 0 )

* submit to all nodes in the nodeconfiguration file
       integer*2   sqlurf_all_nodes
       parameter ( sqlurf_all_nodes        = 1 )

* submit to all nodes except the onesspecified by the nodelist parameter
       integer*2   sqlurf_all_except
       parameter ( sqlurf_all_except       = 2 )

* submit to catalog node only
       integer*2   sqlurf_cat_node_only
       parameter ( sqlurf_cat_node_only    = 3 )


* Roll forward query status codes
* cannot query node
       integer*2   sqlurfq_not_available
       parameter ( sqlurfq_not_available   = 0 )

* rollforward is not pending
       integer*2   sqlurfq_not_rfw_pending
       parameter ( sqlurfq_not_rfw_pending = 1 )

* database rollforward pending
       integer*2   sqlurfq_db_rfw_pending
       parameter ( sqlurfq_db_rfw_pending  = 2 )

* tablespace rollforward pending
       integer*2   sqlurfq_tbl_rfw_pending
       parameter ( sqlurfq_tbl_rfw_pending = 3 )

* database rollforward in progress
       integer*2   sqlurfq_db_rfw_in_progress
       parameter ( sqlurfq_db_rfw_in_progress = 4 )

* tablespace rollforward in progress
       integer*2   sqlurfq_tbl_rfw_in_progress
       parameter ( sqlurfq_tbl_rfw_in_progress = 5 )

* database rollforward processing STOP
       integer*2   sqlurfq_db_rfw_stopping
       parameter ( sqlurfq_db_rfw_stopping = 6 )

* tablespace rollforward processing STOP
       integer*2   sqlurfq_tbl_rfw_stopping
       parameter ( sqlurfq_tbl_rfw_stopping = 7 )


* Rollforward connect mode
* Offline rollforward mode
       integer*2   sqlum_offline
       parameter ( sqlum_offline           = '0'x )

* Online rollforward mode
       integer*2   sqlum_online
       parameter ( sqlum_online            = '1'x )


* Backup mode
* Offline backup mode
       integer*2   sqlub_offline
       parameter ( sqlub_offline           = '0'x )

* Online backup mode
       integer*2   sqlub_online
       parameter ( sqlub_online            = '1'x )

* Split mirror backup
       integer*2   sqlub_splitmirror
       parameter ( sqlub_splitmirror       = '10'x )

* Backup modes
       integer*2   sqlub_mode_mask
       parameter ( sqlub_mode_mask         = 'f'x )

* Backup options
       integer*2   sqlub_opt_mask
       parameter ( sqlub_opt_mask          = '0'x )


* Backup type
       integer*2   sqlub_db
       parameter ( sqlub_db                = '0'x )

       integer*2   sqlub_full
       parameter ( sqlub_full              = '0'x )

       integer*2   sqlub_tablespace
       parameter ( sqlub_tablespace        = '3'x )

       integer*2   sqlub_incremental
       parameter ( sqlub_incremental       = '10'x )

       integer*2   sqlub_delta
       parameter ( sqlub_delta             = '30'x )

       integer*4   sqlub_inc_level_mask
       parameter ( sqlub_inc_level_mask    = 'ff00'x )


* Backup type masks
* Determines if full/tbsp bckp.
       integer*2   sqlub_type_mask
       parameter ( sqlub_type_mask         = 'f'x )

* Determines if incr/delta bckp.
       integer*2   sqlub_incr_mask
       parameter ( sqlub_incr_mask         = 'f0'x )


* Backup calling action values
* initial call
       integer*2   sqlub_backup
       parameter ( sqlub_backup            = 0 )

* Subsequent call
       integer*2   sqlub_continue
       parameter ( sqlub_continue          = 1 )

* Terminating call
       integer*2   sqlub_terminate
       parameter ( sqlub_terminate         = 2 )

* Initial call to run without prompting
       integer*2   sqlub_nointerrupt
       parameter ( sqlub_nointerrupt       = 3 )

* End media device.
       integer*2   sqlub_device_terminate
       parameter ( sqlub_device_terminate  = 9 )

* for parameter check and initialization.
       integer*2   sqlub_parm_check
       parameter ( sqlub_parm_check        = 10 )

* for parameter check and initialization.
       integer*2   sqlub_parm_check_init_and_wait
       parameter ( sqlub_parm_check_init_and_wait = 10 )

* for parameter checking only.
       integer*2   sqlub_parm_check_only
       parameter ( sqlub_parm_check_only   = 11 )


* Restore rollforward mode
       integer*2   sqlud_rollfwd
       parameter ( sqlud_rollfwd           = '0'x )

       integer*2   sqlud_norollfwd
       parameter ( sqlud_norollfwd         = '1'x )


* Restore mode
* Offline restore mode
       integer*2   sqlud_offline
       parameter ( sqlud_offline           = '0'x )

* Online restore mode
       integer*2   sqlud_online
       parameter ( sqlud_online            = '1'x )


* Datalink mode
       integer*2   sqlud_datalink
       parameter ( sqlud_datalink          = '0'x )

       integer*2   sqlud_nodatalink
       parameter ( sqlud_nodatalink        = '1'x )


* Restore calling action values
* initial call
       integer*2   sqlud_restore
       parameter ( sqlud_restore           = 0 )

* Subsequent call
       integer*2   sqlud_continue
       parameter ( sqlud_continue          = 1 )

* Terminating call
       integer*2   sqlud_terminate
       parameter ( sqlud_terminate         = 2 )

* Initial call to run without prompting
       integer*2   sqlud_nointerrupt
       parameter ( sqlud_nointerrupt       = 3 )

* End media device.
       integer*2   sqlud_device_terminate
       parameter ( sqlud_device_terminate  = 9 )

* for parameter check and initialization.
       integer*2   sqlud_parm_check
       parameter ( sqlud_parm_check        = 10 )

* for parameter check and initialization.
       integer*2   sqlud_parm_check_init_and_wait
       parameter ( sqlud_parm_check_init_and_wait = 10 )

* for parameter checking only.
       integer*2   sqlud_parm_check_only
       parameter ( sqlud_parm_check_only   = 11 )

* list of tablespaces/containers.
       integer*2   sqlud_restore_tablespace_list
       parameter ( sqlud_restore_tablespace_list = 12 )

* abort incremental restore
       integer*2   sqlud_terminate_incremental
       parameter ( sqlud_terminate_incremental = 13 )

* initial call, tablespace container redefinition requested
       integer*2   sqlud_restore_stordef
       parameter ( sqlud_restore_stordef   = 100 )

* initial call, tablespace container redefinition requested without
* prompting
       integer*2   sqlud_stordef_nointerrupt
       parameter ( sqlud_stordef_nointerrupt = 101 )


* Restore type
       integer*2   sqlud_db
       parameter ( sqlud_db                = '0'x )

       integer*2   sqlud_full
       parameter ( sqlud_full              = '0'x )

       integer*2   sqlud_online_tablespace
       parameter ( sqlud_online_tablespace = '3'x )

       integer*2   sqlud_tablespace
       parameter ( sqlud_tablespace        = '4'x )

       integer*2   sqlud_history
       parameter ( sqlud_history           = '5'x )

       integer*2   sqlud_incremental
       parameter ( sqlud_incremental       = '10'x )

       integer*2   sqlud_automatic
       parameter ( sqlud_automatic         = '100'x )


* The following are not supported in V2.1.0
       integer*2   sqlud_tablespace_tbl
       parameter ( sqlud_tablespace_tbl    = 6 )

       integer*2   sqlud_hist_tblspace_tbl
       parameter ( sqlud_hist_tblspace_tbl = 7 )


* Restore type masks
* Determines if full/tbsp restore
       integer*2   sqlud_type_mask
       parameter ( sqlud_type_mask         = 'f'x )

* Determines if incr. restore
       integer*2   sqlud_incr_mask
       parameter ( sqlud_incr_mask         = 'f0'x )


* Backup/Restore Definitions
* length of database alias name
       integer*2   sqlu_alias_sz
       parameter ( sqlu_alias_sz           = 8 )

* Maximum length of userid
       integer*2   sqlu_userid_len
       parameter ( sqlu_userid_len         = 1024 )

* length of password
       integer*2   sqlu_pwd_len
       parameter ( sqlu_pwd_len            = 18 )

* length of the backup timestamp in yyyymmddhhmmss format
       integer*2   sqlu_time_stamp_len
       parameter ( sqlu_time_stamp_len     = 14 )


* length of filename of backup image:
* dbalias.type.db2instance.node.timestamp.seq
       integer*2   sqlu_backup_name_sz
       parameter ( sqlu_backup_name_sz     = 44 )


* length of directory where backup file will reside:dir - '/' - filename
       integer*2   sqlu_backup_dir_sz
       parameter ( sqlu_backup_dir_sz      = 978 )


* Data map separator for LOAD utility;  Partition Key Identifier
       character*9   sql_header_data_separator
       parameter (   sql_header_data_separator = '===PDB===' )

       character*4   sqlu_partitionkey
       parameter (   sqlu_partitionkey     = 'Key:' )


* Parameters for Backup/Restore old api's
* User exit used, not SD interface
       character*1   sqlu_nsd_id
       parameter (   sqlu_nsd_id           = '0' )


* Parameters for SQLUHPRN force option
       integer*2   sqluh_no_force
       parameter ( sqluh_no_force          = 0 )

       integer*2   sqluh_force
       parameter ( sqluh_force             = 1 )


* Parameters for SQLUHOPS caller action
       integer*2   sqluh_list_backup
       parameter ( sqluh_list_backup       = 0 )

       integer*2   sqluh_list_history
       parameter ( sqluh_list_history      = 1 )

       integer*2   sqluh_list_adm_backup
       parameter ( sqluh_list_adm_backup   = 2 )

       integer*2   sqluh_list_adm_rollforward
       parameter ( sqluh_list_adm_rollforward = 3 )

       integer*2   sqluh_list_adm_runstats
       parameter ( sqluh_list_adm_runstats = 4 )

       integer*2   sqluh_list_adm_reorg
       parameter ( sqluh_list_adm_reorg    = 5 )

       integer*2   sqluh_list_adm_alt_tablespace
       parameter ( sqluh_list_adm_alt_tablespace = 6 )

       integer*2   sqluh_list_adm_dropped_table
       parameter ( sqluh_list_adm_dropped_table = 7 )

       integer*2   sqluh_list_adm_load
       parameter ( sqluh_list_adm_load     = 8 )

       integer*2   sqluh_list_adm_history
       parameter ( sqluh_list_adm_history  = 9 )


* Parameters for SQLUHGNE caller action
       integer*2   sqluh_get_next_entry
       parameter ( sqluh_get_next_entry    = 0 )

       integer*2   sqluh_get_ddl
       parameter ( sqluh_get_ddl           = 1 )

       integer*2   sqluh_get_next_entry_ddl
       parameter ( sqluh_get_next_entry_ddl = 2 )


* History File structure sizes
       integer*2   sqluh_op_sz
       parameter ( sqluh_op_sz             = 1 )

       integer*2   sqluh_obj_sz
       parameter ( sqluh_obj_sz            = 1 )

       integer*2   sqluh_objpart_sz
       parameter ( sqluh_objpart_sz        = 17 )

       integer*2   sqluh_optype_sz
       parameter ( sqluh_optype_sz         = 1 )

       integer*2   sqluh_devtype_sz
       parameter ( sqluh_devtype_sz        = 1 )

       integer*2   sqluh_firstlog_sz
       parameter ( sqluh_firstlog_sz       = 12 )

       integer*2   sqluh_lastlog_sz
       parameter ( sqluh_lastlog_sz        = 12 )

       integer*2   sqluh_backid_sz
       parameter ( sqluh_backid_sz         = 14 )

       integer*2   sqluh_tcreate_sz
       parameter ( sqluh_tcreate_sz        = 8 )

       integer*2   sqluh_tname_sz
       parameter ( sqluh_tname_sz          = 18 )

       integer*2   sqluh_numtablespace_sz
       parameter ( sqluh_numtablespace_sz  = 5 )

       integer*2   sqluh_loc_sz
       parameter ( sqluh_loc_sz            = 255 )

       integer*2   sqluh_comment_sz
       parameter ( sqluh_comment_sz        = 30 )

       integer*2   sqluh_tablespacename_sz
       parameter ( sqluh_tablespacename_sz = 18 )

       integer*2   sqluh_timestamp_sz
       parameter ( sqluh_timestamp_sz      = 14 )

       integer*2   sqluh_id_sz
       parameter ( sqluh_id_sz             = 24 )


* Parameters for RUNSTATS
* TABLEOPT = Table w/o Indexes
       character*1   sql_stats_table
       parameter (   sql_stats_table       = 'T' )

* TABLEOPT = Table and Indexes
       character*1   sql_stats_both
       parameter (   sql_stats_both        = 'B' )

* TABLEOPT = Indexes w/o Table
       character*1   sql_stats_index
       parameter (   sql_stats_index       = 'I' )

* TABLEOPT = Table and dist stats
       character*1   sql_stats_exttable_only
       parameter (   sql_stats_exttable_only = 'D' )

* TABLEOPT = Table and dist stats and basic indexes
       character*1   sql_stats_exttable_index
       parameter (   sql_stats_exttable_index = 'E' )

* TABLEOPT = Ext stats for indexes only
       character*1   sql_stats_extindex_only
       parameter (   sql_stats_extindex_only = 'X' )

* TABLEOPT = Ext stats for indexes and basic table stats
       character*1   sql_stats_extindex_table
       parameter (   sql_stats_extindex_table = 'Y' )

* TABLEOPT = Ext stats for indexes and table with dist stats
       character*1   sql_stats_all
       parameter (   sql_stats_all         = 'A' )

* SHAREOPT = Reference
       character*1   sql_stats_ref
       parameter (   sql_stats_ref         = 'R' )

* SHAREOPT = Change
       character*1   sql_stats_chg
       parameter (   sql_stats_chg         = 'C' )


* TABLEOPT - no statistics are to be gathered - Load only
       character*1   sqlu_stats_none
       parameter (   sqlu_stats_none       = ' ' )


* Parameters for selection method in sqldcol
* Names
       integer*2   sql_meth_n
       parameter ( sql_meth_n              = 78 )

* Positional
       integer*2   sql_meth_p
       parameter ( sql_meth_p              = 80 )

* Default
       integer*2   sql_meth_d
       parameter ( sql_meth_d              = 68 )

* Locations
       integer*2   sql_meth_l
       parameter ( sql_meth_l              = 76 )


* File Types for Import/Export
       character*3   sql_ixf
       parameter (   sql_ixf               = 'IXF' )

       character*3   sql_wsf
       parameter (   sql_wsf               = 'WSF' )

       character*3   sql_del
       parameter (   sql_del               = 'DEL' )

       character*3   sql_asc
       parameter (   sql_asc               = 'ASC' )

* load/unload
       character*5   sql_db2cs
       parameter (   sql_db2cs             = 'DB2CS' )


* Import/Export/Load/Unload calling action values
* Initial call
       integer*2   sqlu_initial
       parameter ( sqlu_initial            = '0'x )

* Subsequent call
       integer*2   sqlu_continue
       parameter ( sqlu_continue           = '1'x )

* Terminating call
       integer*2   sqlu_terminate
       parameter ( sqlu_terminate          = '2'x )

* Initial call - Load/Unload only
       integer*2   sqlu_nointerrupt
       parameter ( sqlu_nointerrupt        = '3'x )

* Abort call - Load only
       integer*2   sqlu_abort
       parameter ( sqlu_abort              = '4'x )

* Restart call - Load only
       integer*2   sqlu_restart
       parameter ( sqlu_restart            = '5'x )

* Subsequent call - Load/Unload only
       integer*2   sqlu_device_terminate
       parameter ( sqlu_device_terminate   = '9'x )


* Actions for quiesce tablespaces for table
       integer*2   sqlu_quiescemode_share
       parameter ( sqlu_quiescemode_share  = 0 )

       integer*2   sqlu_quiescemode_intent_update
       parameter ( sqlu_quiescemode_intent_update = 1 )

       integer*2   sqlu_quiescemode_exclusive
       parameter ( sqlu_quiescemode_exclusive = 2 )

       integer*2   sqlu_quiescemode_reset
       parameter ( sqlu_quiescemode_reset  = 9 )

       integer*2   sqlu_quiescemode_reset_owned
       parameter ( sqlu_quiescemode_reset_owned = 10 )


*******************************************************************************
*  Equates for Configuration Utilities
********************************************************************************

* Token equates for SQLFupd structure for Database Manager config file
       integer*2   sqlf_ktn_rqrioblk
       parameter ( sqlf_ktn_rqrioblk       = 1 )

       integer*2   sqlf_ktn_numdb
       parameter ( sqlf_ktn_numdb          = 6 )

       integer*2   sqlf_ktn_nname
       parameter ( sqlf_ktn_nname          = 7 )

       integer*2   sqlf_ktn_maxagents
       parameter ( sqlf_ktn_maxagents      = 12 )

       integer*2   sqlf_ktn_maxcagents
       parameter ( sqlf_ktn_maxcagents     = 13 )

       integer*2   sqlf_ktn_aslheapsz
       parameter ( sqlf_ktn_aslheapsz      = 15 )

       integer*2   sqlf_ktn_backbufsz
       parameter ( sqlf_ktn_backbufsz      = 18 )

       integer*2   sqlf_ktn_restbufsz
       parameter ( sqlf_ktn_restbufsz      = 19 )

       integer*2   sqlf_ktn_indexrec
       parameter ( sqlf_ktn_indexrec       = 20 )

       integer*2   sqlf_ktn_sheapthres
       parameter ( sqlf_ktn_sheapthres     = 21 )

       integer*2   sqlf_ktn_maxdari
       parameter ( sqlf_ktn_maxdari        = 80 )

       integer*2   sqlf_ktn_keepdari
       parameter ( sqlf_ktn_keepdari       = 81 )

       integer*2   sqlf_ktn_svcename
       parameter ( sqlf_ktn_svcename       = 24 )

       integer*2   sqlf_ktn_tpname
       parameter ( sqlf_ktn_tpname         = 25 )

       integer*2   sqlf_ktn_agentpri
       parameter ( sqlf_ktn_agentpri       = 26 )

       integer*2   sqlf_ktn_dftdbpath
       parameter ( sqlf_ktn_dftdbpath      = 27 )

* You may manipulate the bits of SQLF_KTN_DFT_MONSWITCHES or you can enable
* disable, or query the current setting through the individual tokens
       integer*2   sqlf_ktn_dft_monswitches
       parameter ( sqlf_ktn_dft_monswitches = 29 )

* Bit 1 of SQLF_KTN_DFT_MONSWITCHES
       integer*2   sqlf_ktn_dft_mon_uow
       parameter ( sqlf_ktn_dft_mon_uow    = 30 )

* Bit 2 of SQLF_KTN_DFT_MONSWITCHES
       integer*2   sqlf_ktn_dft_mon_stmt
       parameter ( sqlf_ktn_dft_mon_stmt   = 31 )

* Bit 3 of SQLF_KTN_DFT_MONSWITCHES
       integer*2   sqlf_ktn_dft_mon_table
       parameter ( sqlf_ktn_dft_mon_table  = 32 )

* Bit 4 of SQLF_KTN_DFT_MONSWITCHES
       integer*2   sqlf_ktn_dft_mon_bufpool
       parameter ( sqlf_ktn_dft_mon_bufpool = 33 )

* Bit 5 of SQLF_KTN_DFT_MONSWITCHES
       integer*2   sqlf_ktn_dft_mon_lock
       parameter ( sqlf_ktn_dft_mon_lock   = 34 )

* Bit 6 of SQLF_KTN_DFT_MONSWITCHES
       integer*2   sqlf_ktn_dft_mon_sort
       parameter ( sqlf_ktn_dft_mon_sort   = 35 )

       integer*2   sqlf_ktn_dft_account_str
       parameter ( sqlf_ktn_dft_account_str = 28 )

       integer*2   sqlf_ktn_sysadm_group
       parameter ( sqlf_ktn_sysadm_group   = 39 )

       integer*2   sqlf_ktn_dir_cache
       parameter ( sqlf_ktn_dir_cache      = 40 )

       integer*2   sqlf_ktn_drda_heap_sz
       parameter ( sqlf_ktn_drda_heap_sz   = 41 )

       integer*2   sqlf_ktn_cpuspeed
       parameter ( sqlf_ktn_cpuspeed       = 42 )

       integer*2   sqlf_ktn_min_priv_mem
       parameter ( sqlf_ktn_min_priv_mem   = 43 )

       integer*2   sqlf_ktn_priv_mem_thresh
       parameter ( sqlf_ktn_priv_mem_thresh = 44 )

       integer*2   sqlf_ktn_maxtotfilop
       parameter ( sqlf_ktn_maxtotfilop    = 45 )

       integer*2   sqlf_ktn_fileserver
       parameter ( sqlf_ktn_fileserver     = 47 )

       integer*2   sqlf_ktn_objectname
       parameter ( sqlf_ktn_objectname     = 48 )

       integer*2   sqlf_ktn_query_heap_sz
       parameter ( sqlf_ktn_query_heap_sz  = 49 )

       integer*2   sqlf_ktn_agent_stack_sz
       parameter ( sqlf_ktn_agent_stack_sz = 61 )

       integer*2   sqlf_ktn_sysmaint_group
       parameter ( sqlf_ktn_sysmaint_group = 62 )

       integer*2   sqlf_ktn_sysctrl_group
       parameter ( sqlf_ktn_sysctrl_group  = 63 )

       integer*2   sqlf_ktn_diaglevel
       parameter ( sqlf_ktn_diaglevel      = 64 )

       integer*2   sqlf_ktn_diagpath
       parameter ( sqlf_ktn_diagpath       = 65 )

       integer*2   sqlf_ktn_tp_mon_name
       parameter ( sqlf_ktn_tp_mon_name    = 66 )

       integer*2   sqlf_ktn_tm_database
       parameter ( sqlf_ktn_tm_database    = 67 )

       integer*2   sqlf_ktn_resync_interval
       parameter ( sqlf_ktn_resync_interval = 68 )

       integer*2   sqlf_ktn_udf_mem_sz
       parameter ( sqlf_ktn_udf_mem_sz     = 69 )

       integer*2   sqlf_ktn_ipx_socket
       parameter ( sqlf_ktn_ipx_socket     = 71 )

       integer*2   sqlf_ktn_dos_rqrioblk
       parameter ( sqlf_ktn_dos_rqrioblk   = 72 )

       integer*2   sqlf_ktn_dir_type
       parameter ( sqlf_ktn_dir_type       = 73 )

       integer*2   sqlf_ktn_dir_path_name
       parameter ( sqlf_ktn_dir_path_name  = 74 )

       integer*2   sqlf_ktn_dir_obj_name
       parameter ( sqlf_ktn_dir_obj_name   = 75 )

       integer*2   sqlf_ktn_route_obj_name
       parameter ( sqlf_ktn_route_obj_name = 76 )

       integer*2   sqlf_ktn_dft_client_comm
       parameter ( sqlf_ktn_dft_client_comm = 77 )

       integer*2   sqlf_ktn_dft_client_adpt
       parameter ( sqlf_ktn_dft_client_adpt = 82 )

       integer*2   sqlf_ktn_authentication
       parameter ( sqlf_ktn_authentication = 78 )

       integer*2   sqlf_ktn_mon_heap_sz
       parameter ( sqlf_ktn_mon_heap_sz    = 79 )

       integer*2   sqlf_ktn_spm_log_file_sz
       parameter ( sqlf_ktn_spm_log_file_sz = 90 )

       integer*2   sqlf_ktn_spm_max_resync
       parameter ( sqlf_ktn_spm_max_resync = 91 )

       integer*2   sqlf_ktn_spm_name
       parameter ( sqlf_ktn_spm_name       = 92 )

       integer*2   sqlf_ktn_num_initagents
       parameter ( sqlf_ktn_num_initagents = 500 )

       integer*2   sqlf_ktn_max_coordagents
       parameter ( sqlf_ktn_max_coordagents = 501 )

       integer*2   sqlf_ktn_num_poolagents
       parameter ( sqlf_ktn_num_poolagents = 502 )

       integer*2   sqlf_ktn_fcm_num_buffers
       parameter ( sqlf_ktn_fcm_num_buffers = 503 )

       integer*2   sqlf_ktn_fcm_num_rqb
       parameter ( sqlf_ktn_fcm_num_rqb    = 504 )

       integer*2   sqlf_ktn_fcm_num_connect
       parameter ( sqlf_ktn_fcm_num_connect = 505 )

       integer*2   sqlf_ktn_fcm_num_anchors
       parameter ( sqlf_ktn_fcm_num_anchors = 506 )

       integer*2   sqlf_ktn_conn_elapse
       parameter ( sqlf_ktn_conn_elapse    = 508 )

       integer*2   sqlf_ktn_max_connretries
       parameter ( sqlf_ktn_max_connretries = 509 )

       integer*2   sqlf_ktn_max_time_diff
       parameter ( sqlf_ktn_max_time_diff  = 510 )

       integer*2   sqlf_ktn_start_stop_time
       parameter ( sqlf_ktn_start_stop_time = 511 )

       integer*2   sqlf_ktn_trust_allclnts
       parameter ( sqlf_ktn_trust_allclnts = 301 )

       integer*2   sqlf_ktn_trust_clntauth
       parameter ( sqlf_ktn_trust_clntauth = 302 )

       integer*2   sqlf_ktn_max_querydegree
       parameter ( sqlf_ktn_max_querydegree = 303 )

       integer*2   sqlf_ktn_discover
       parameter ( sqlf_ktn_discover       = 304 )

       integer*2   sqlf_ktn_discover_comm
       parameter ( sqlf_ktn_discover_comm  = 305 )

       integer*2   sqlf_ktn_intra_parallel
       parameter ( sqlf_ktn_intra_parallel = 306 )

       integer*2   sqlf_ktn_comm_bandwidth
       parameter ( sqlf_ktn_comm_bandwidth = 307 )

       integer*2   sqlf_ktn_discover_inst
       parameter ( sqlf_ktn_discover_inst  = 308 )

       integer*2   sqlf_ktn_ss_logon
       parameter ( sqlf_ktn_ss_logon       = 309 )

       integer*2   sqlf_ktn_java_heap_sz
       parameter ( sqlf_ktn_java_heap_sz   = 310 )

       integer*2   sqlf_ktn_jdk11_path
       parameter ( sqlf_ktn_jdk11_path     = 311 )

       integer*2   sqlf_ktn_audit_buf_sz
       parameter ( sqlf_ktn_audit_buf_sz   = 312 )

       integer*2   sqlf_ktn_spm_log_path
       parameter ( sqlf_ktn_spm_log_path   = 313 )

       integer*2   sqlf_ktn_catalog_noauth
       parameter ( sqlf_ktn_catalog_noauth = 314 )

       integer*2   sqlf_ktn_num_initdaris
       parameter ( sqlf_ktn_num_initdaris  = 601 )

       integer*2   sqlf_ktn_initdari_jvm
       parameter ( sqlf_ktn_initdari_jvm   = 602 )

       integer*2   sqlf_ktn_datalinks
       parameter ( sqlf_ktn_datalinks      = 603 )

       integer*2   sqlf_ktn_federated
       parameter ( sqlf_ktn_federated      = 604 )

       integer*2   sqlf_ktn_notifylevel
       parameter ( sqlf_ktn_notifylevel    = 605 )

       integer*2   sqlf_ktn_max_logicagents
       parameter ( sqlf_ktn_max_logicagents = 701 )

* tokens for informational parameters
       integer*2   sqlf_ktn_nodetype
       parameter ( sqlf_ktn_nodetype       = 100 )

       integer*2   sqlf_ktn_release
       parameter ( sqlf_ktn_release        = 101 )

       integer*2   sqlf_ktn_notoken
       parameter ( sqlf_ktn_notoken        = 200 )


*******************************************************************************
*  defines for database manager configuration parameter values
********************************************************************************
* equates for directory type (for dir_type configuration parameter)
       integer*2   sqlf_dirtype_none
       parameter ( sqlf_dirtype_none       = 0 )

       integer*2   sqlf_dirtype_dce
       parameter ( sqlf_dirtype_dce        = 1 )


* Nodetype equates
       integer*2   sqlf_nt_standalone
       parameter ( sqlf_nt_standalone      = 0 )

       integer*2   sqlf_nt_server
       parameter ( sqlf_nt_server          = 1 )

       integer*2   sqlf_nt_requestor
       parameter ( sqlf_nt_requestor       = 2 )

       integer*2   sqlf_nt_stand_req
       parameter ( sqlf_nt_stand_req       = 3 )

       integer*2   sqlf_nt_mpp
       parameter ( sqlf_nt_mpp             = 4 )

       integer*2   sqlf_nt_satellite
       parameter ( sqlf_nt_satellite       = 5 )

* Note: SQLF_NT_DCE is not a possible instance nodetype.  It represents a
* host database server
* reserved for host database server
       integer*2   sqlf_nt_dcs
       parameter ( sqlf_nt_dcs             = 6 )


*******************************************************************************
*  Defines for Database Monitor Switches - SQLF_KTN_DFT_MONSWITCHES:
*  The following meanings apply when the bits are set on:
*  SQLF_ENABLE_MON_UOW     -
*  SQLF_ENABLE_MON_STMT    -
*  SQLF_ENABLE_MON_TABLE   -
*  SQLF_ENABLE_MON_BUFPOOL -
*  SQLF_ENABLE_MON_LOCK    -
*  SQLF_ENABLE_MON_SORT    -
********************************************************************************
* xxxx xxxx xxxx xxx1
       integer*2   sqlf_enable_mon_uow
       parameter ( sqlf_enable_mon_uow     = '1'x )

* xxxx xxxx xxxx xx1x
       integer*2   sqlf_enable_mon_stmt
       parameter ( sqlf_enable_mon_stmt    = '2'x )

* xxxx xxxx xxxx x1xx
       integer*2   sqlf_enable_mon_table
       parameter ( sqlf_enable_mon_table   = '4'x )

* xxxx xxxx xxxx 1xxx
       integer*2   sqlf_enable_mon_bufpool
       parameter ( sqlf_enable_mon_bufpool = '8'x )

* xxxx xxxx xxx1 xxxx
       integer*2   sqlf_enable_mon_lock
       parameter ( sqlf_enable_mon_lock    = '10'x )

* xxxx xxxx xx1x xxxx
       integer*2   sqlf_enable_mon_sort
       parameter ( sqlf_enable_mon_sort    = '20'x )


* Communication Protocols
       character*5   sqlf_protocol_tcpip
       parameter (   sqlf_protocol_tcpip   = 'TCPIP' )

       character*4   sqlf_protocol_appc
       parameter (   sqlf_protocol_appc    = 'APPC' )

       character*7   sqlf_protocol_netb
       parameter (   sqlf_protocol_netb    = 'NETBIOS' )

       character*6   sqlf_protocol_ipxspx
       parameter (   sqlf_protocol_ipxspx  = 'IPXSPX' )


* Admin. server discover definitions (discover parameter)
       integer*2   sqlf_dscvr_known
       parameter ( sqlf_dscvr_known        = 1 )

       integer*2   sqlf_dscvr_search
       parameter ( sqlf_dscvr_search       = 2 )


* Constants for trusted client options
       integer*2   sqlf_trust_allclnts_no
       parameter ( sqlf_trust_allclnts_no  = 0 )

       integer*2   sqlf_trust_allclnts_yes
       parameter ( sqlf_trust_allclnts_yes = 1 )

       integer*2   sqlf_trust_allclnts_drdaonly
       parameter ( sqlf_trust_allclnts_drdaonly = 2 )


* Token equates for SQLFupd structure for Database configuration file
       integer*2   sqlf_dbtn_buff_page
       parameter ( sqlf_dbtn_buff_page     = 90 )

       integer*2   sqlf_dbtn_maxfilop
       parameter ( sqlf_dbtn_maxfilop      = 3 )

       integer*2   sqlf_dbtn_softmax
       parameter ( sqlf_dbtn_softmax       = 5 )

       integer*2   sqlf_dbtn_maxappls
       parameter ( sqlf_dbtn_maxappls      = 6 )

       integer*2   sqlf_dbtn_applheapsz
       parameter ( sqlf_dbtn_applheapsz    = 51 )

       integer*2   sqlf_dbtn_db_heap
       parameter ( sqlf_dbtn_db_heap       = 58 )

       integer*2   sqlf_dbtn_dlchktime
       parameter ( sqlf_dbtn_dlchktime     = 9 )

       integer*2   sqlf_dbtn_sort_heap
       parameter ( sqlf_dbtn_sort_heap     = 52 )

       integer*2   sqlf_dbtn_maxlocks
       parameter ( sqlf_dbtn_maxlocks      = 15 )

       integer*2   sqlf_dbtn_logprimary
       parameter ( sqlf_dbtn_logprimary    = 16 )

       integer*2   sqlf_dbtn_logsecond
       parameter ( sqlf_dbtn_logsecond     = 17 )

       integer*2   sqlf_dbtn_logfil_siz
       parameter ( sqlf_dbtn_logfil_siz    = 92 )

       integer*2   sqlf_dbtn_stmtheap
       parameter ( sqlf_dbtn_stmtheap      = 53 )

       integer*2   sqlf_dbtn_newlogpath
       parameter ( sqlf_dbtn_newlogpath    = 20 )

       integer*2   sqlf_dbtn_copy_protect
       parameter ( sqlf_dbtn_copy_protect  = 22 )

       integer*2   sqlf_dbtn_log_retain
       parameter ( sqlf_dbtn_log_retain    = 23 )

       integer*2   sqlf_dbtn_user_exit
       parameter ( sqlf_dbtn_user_exit     = 24 )

       integer*2   sqlf_dbtn_auto_restart
       parameter ( sqlf_dbtn_auto_restart  = 25 )

       integer*2   sqlf_dbtn_indexrec
       parameter ( sqlf_dbtn_indexrec      = 30 )

       integer*2   sqlf_dbtn_pckcachesz
       parameter ( sqlf_dbtn_pckcachesz    = 31 )

       integer*2   sqlf_dbtn_mincommit
       parameter ( sqlf_dbtn_mincommit     = 32 )

       integer*2   sqlf_dbtn_logbufsz
       parameter ( sqlf_dbtn_logbufsz      = 33 )

       integer*2   sqlf_dbtn_locktimeout
       parameter ( sqlf_dbtn_locktimeout   = 34 )

       integer*2   sqlf_dbtn_indexsort
       parameter ( sqlf_dbtn_indexsort     = 35 )

       integer*2   sqlf_dbtn_num_freqvalues
       parameter ( sqlf_dbtn_num_freqvalues = 36 )

       integer*2   sqlf_dbtn_num_iocleaners
       parameter ( sqlf_dbtn_num_iocleaners = 37 )

       integer*2   sqlf_dbtn_chngpgs_thresh
       parameter ( sqlf_dbtn_chngpgs_thresh = 38 )

       integer*2   sqlf_dbtn_num_ioservers
       parameter ( sqlf_dbtn_num_ioservers = 39 )

       integer*2   sqlf_dbtn_dft_prefetch_sz
       parameter ( sqlf_dbtn_dft_prefetch_sz = 40 )

       integer*2   sqlf_dbtn_seqdetect
       parameter ( sqlf_dbtn_seqdetect     = 41 )

       integer*2   sqlf_dbtn_dft_loadrec_ses
       parameter ( sqlf_dbtn_dft_loadrec_ses = 42 )

       integer*2   sqlf_dbtn_rec_his_retentn
       parameter ( sqlf_dbtn_rec_his_retentn = 43 )

       integer*2   sqlf_dbtn_stat_heap_sz
       parameter ( sqlf_dbtn_stat_heap_sz  = 45 )

* token for directory services
       integer*2   sqlf_dbtn_dir_obj_name
       parameter ( sqlf_dbtn_dir_obj_name  = 46 )

       integer*2   sqlf_dbtn_avg_appls
       parameter ( sqlf_dbtn_avg_appls     = 47 )

       integer*2   sqlf_dbtn_num_quantiles
       parameter ( sqlf_dbtn_num_quantiles = 48 )

       integer*2   sqlf_dbtn_dft_extent_sz
       parameter ( sqlf_dbtn_dft_extent_sz = 54 )

       integer*2   sqlf_dbtn_util_heap_sz
       parameter ( sqlf_dbtn_util_heap_sz  = 55 )

       integer*2   sqlf_dbtn_catalogcache_sz
       parameter ( sqlf_dbtn_catalogcache_sz = 56 )

       integer*2   sqlf_dbtn_dft_queryopt
       parameter ( sqlf_dbtn_dft_queryopt  = 57 )

       integer*2   sqlf_dbtn_app_ctl_heap_sz
       parameter ( sqlf_dbtn_app_ctl_heap_sz = 500 )

       integer*2   sqlf_dbtn_tsm_password
       parameter ( sqlf_dbtn_tsm_password  = 501 )

       integer*2   sqlf_dbtn_pckcache_sz
       parameter ( sqlf_dbtn_pckcache_sz   = 505 )

       integer*2   sqlf_dbtn_multipage_alloc
       parameter ( sqlf_dbtn_multipage_alloc = 506 )

       integer*2   sqlf_dbtn_dft_degree
       parameter ( sqlf_dbtn_dft_degree    = 301 )

       integer*2   sqlf_dbtn_estore_seg_sz
       parameter ( sqlf_dbtn_estore_seg_sz = 303 )

       integer*2   sqlf_dbtn_num_estore_segs
       parameter ( sqlf_dbtn_num_estore_segs = 304 )

       integer*2   sqlf_dbtn_tsm_owner
       parameter ( sqlf_dbtn_tsm_owner     = 305 )

       integer*2   sqlf_dbtn_tsm_nodename
       parameter ( sqlf_dbtn_tsm_nodename  = 306 )

       integer*2   sqlf_dbtn_tsm_mgmtclass
       parameter ( sqlf_dbtn_tsm_mgmtclass = 307 )

       integer*2   sqlf_dbtn_discover
       parameter ( sqlf_dbtn_discover      = 308 )

       integer*2   sqlf_dbtn_dft_sqlmathwarn
       parameter ( sqlf_dbtn_dft_sqlmathwarn = 309 )

       integer*2   sqlf_dbtn_dl_expint
       parameter ( sqlf_dbtn_dl_expint     = 350 )

       integer*2   sqlf_dbtn_dl_num_copies
       parameter ( sqlf_dbtn_dl_num_copies = 351 )

       integer*2   sqlf_dbtn_dl_time_drop
       parameter ( sqlf_dbtn_dl_time_drop  = 353 )

       integer*2   sqlf_dbtn_num_db_backups
       parameter ( sqlf_dbtn_num_db_backups = 601 )

       integer*2   sqlf_dbtn_dl_token
       parameter ( sqlf_dbtn_dl_token      = 602 )

       integer*2   sqlf_dbtn_dl_upper
       parameter ( sqlf_dbtn_dl_upper      = 603 )

       integer*2   sqlf_dbtn_dyn_query_mgmt
       parameter ( sqlf_dbtn_dyn_query_mgmt = 604 )

       integer*2   sqlf_dbtn_min_dec_div_3
       parameter ( sqlf_dbtn_min_dec_div_3 = 605 )

       integer*2   sqlf_dbtn_dft_refresh_age
       parameter ( sqlf_dbtn_dft_refresh_age = 702 )

       integer*2   sqlf_dbtn_trackmod
       parameter ( sqlf_dbtn_trackmod      = 703 )

       integer*2   sqlf_dbtn_lock_list
       parameter ( sqlf_dbtn_lock_list     = 704 )

* tokens for informational (non-modifiable) parameters
       integer*2   sqlf_dbtn_collate_info
       parameter ( sqlf_dbtn_collate_info  = 44 )

       integer*2   sqlf_dbtn_country
       parameter ( sqlf_dbtn_country       = 100 )

       integer*2   sqlf_dbtn_codepage
       parameter ( sqlf_dbtn_codepage      = 101 )

       integer*2   sqlf_dbtn_release
       parameter ( sqlf_dbtn_release       = 102 )

       integer*2   sqlf_dbtn_logpath
       parameter ( sqlf_dbtn_logpath       = 103 )

       integer*2   sqlf_dbtn_loghead
       parameter ( sqlf_dbtn_loghead       = 105 )

       integer*2   sqlf_dbtn_consistent
       parameter ( sqlf_dbtn_consistent    = 111 )

       integer*2   sqlf_dbtn_backup_pending
       parameter ( sqlf_dbtn_backup_pending = 112 )

       integer*2   sqlf_dbtn_rollfwd_pending
       parameter ( sqlf_dbtn_rollfwd_pending = 113 )

       integer*2   sqlf_dbtn_log_retain_status
       parameter ( sqlf_dbtn_log_retain_status = 114 )

       integer*2   sqlf_dbtn_user_exit_status
       parameter ( sqlf_dbtn_user_exit_status = 115 )

       integer*2   sqlf_dbtn_codeset
       parameter ( sqlf_dbtn_codeset       = 120 )

       integer*2   sqlf_dbtn_territory
       parameter ( sqlf_dbtn_territory     = 121 )

       integer*2   sqlf_dbtn_numsegs
       parameter ( sqlf_dbtn_numsegs       = 122 )

       integer*2   sqlf_dbtn_database_level
       parameter ( sqlf_dbtn_database_level = 124 )

       integer*2   sqlf_dbtn_notoken
       parameter ( sqlf_dbtn_notoken       = 200 )

       integer*2   sqlf_dbtn_restore_pending
       parameter ( sqlf_dbtn_restore_pending = 503 )


* defines for database configuration parameter values

* Generic Disable/Enable values for configuration parameters
       integer*2   sqlf_disable
       parameter ( sqlf_disable            = 0 )

       integer*2   sqlf_enable
       parameter ( sqlf_enable             = 1 )


* Index recreate type (INDEXREC values)
       integer*2   sqlf_inx_rec_system
       parameter ( sqlf_inx_rec_system     = 0 )

       integer*2   sqlf_inx_rec_reference
       parameter ( sqlf_inx_rec_reference  = 1 )

       integer*2   sqlf_inx_rec_restart
       parameter ( sqlf_inx_rec_restart    = 2 )


* Possible values for: SQLF_DBTN_ROLLFWD_PENDING are:
* SQLF_DISABLE, SQLF_ENABLE, and SQLF_ROLLFWD_TABLESPACE
* The third state of rollfwd_pending
       integer*2   sqlf_rollfwd_tablespace
       parameter ( sqlf_rollfwd_tablespace = 2 )


* Defines for SQLF_DBTN_LOG_RETAIN and SQLF_DBTN_LOG_RETAIN_STATUS
* Not configured with LOGRETAIN
       integer*2   sqlf_logretain_disable
       parameter ( sqlf_logretain_disable  = 0 )

* Log file retained for recovery
       integer*2   sqlf_logretain_recovery
       parameter ( sqlf_logretain_recovery = 1 )

* Log file retained for CAPTURE, will be deleted after CAPTURE finished
* processing
       integer*2   sqlf_logretain_capture
       parameter ( sqlf_logretain_capture  = 2 )


*******************************************************************************
*  Constants for configuration parameter maximum lengths
********************************************************************************
* length of syncpoint manager name
       integer*2   sql_spm_name_sz
       parameter ( sql_spm_name_sz         = 8 )

* max length of log parms
       integer*2   sql_logpath_sz
       parameter ( sql_logpath_sz          = 242 )

* max length of log file name
       integer*2   sql_logfile_name_sz
       parameter ( sql_logfile_name_sz     = 12 )

* max length of db path parm
       integer*2   sql_dbpath_sz
       parameter ( sql_dbpath_sz           = 215 )

* max length of diagpath parm
       integer*2   sql_ffdcpath_sz
       parameter ( sql_ffdcpath_sz         = 215 )


* Constants for types of Data Redistribution operation
* Uniform redistribution
       character*1   sqlut_uniform
       parameter (   sqlut_uniform         = 'U' )

* Using target partitioning map
       character*1   sqlut_targetmap
       parameter (   sqlut_targetmap       = 'T' )

* Resuming a stopped data redist.
       character*1   sqlut_continue
       parameter (   sqlut_continue        = 'C' )

* Rolling back a stopped data redist.
       character*1   sqlut_rollback
       parameter (   sqlut_rollback        = 'R' )

* LOAD and UNLOAD defines
* Automatic Restart
       character*1   sqlu_automatic_restart
       parameter (   sqlu_automatic_restart = 'A' )

* Reserved for backward compability
       character*1   sqlu_load_phase
       parameter (   sqlu_load_phase       = 'L' )

* Reserved for backward compability
       character*1   sqlu_build_phase
       parameter (   sqlu_build_phase      = 'B' )

* Reserved for backward compability
       character*1   sqlu_delete_phase
       parameter (   sqlu_delete_phase     = 'D' )


       integer*2   sqldcoln_struct_sz
       parameter ( sqldcoln_struct_sz      = 8 )

       integer*2   sqldcoln_dcolnlen_sz
       parameter ( sqldcoln_dcolnlen_sz    = 2 )

       integer*2   sqldcoln_dcolnlen_ofs
       parameter ( sqldcoln_dcolnlen_ofs   = 1 )

       integer*2   sqldcoln_dcolnptr_sz
       parameter ( sqldcoln_dcolnptr_sz    = 4 )

       integer*2   sqldcoln_dcolnptr_ofs
       parameter ( sqldcoln_dcolnptr_ofs   = 5 )


       integer*2   sqldcol_struct_sz
       parameter ( sqldcol_struct_sz       = 12 )

       integer*2   sqldcol_dcolmeth_sz
       parameter ( sqldcol_dcolmeth_sz     = 2 )

       integer*2   sqldcol_dcolmeth_ofs
       parameter ( sqldcol_dcolmeth_ofs    = 1 )

       integer*2   sqldcol_dcolnum_sz
       parameter ( sqldcol_dcolnum_sz      = 2 )

       integer*2   sqldcol_dcolnum_ofs
       parameter ( sqldcol_dcolnum_ofs     = 3 )

* actual size must be dcolnum
       integer*2   sqldcol_dcolname_sz
       parameter ( sqldcol_dcolname_sz     = 8 )

       integer*2   sqldcol_dcolname_ofs
       parameter ( sqldcol_dcolname_ofs    = 5 )


       integer*2   sqldcol_header_sz
       parameter ( sqldcol_header_sz       = 4 )

* Structure for Pairs of Locations for ASC files
       integer*2   sqllocpair_struct_sz
       parameter ( sqllocpair_struct_sz    = 4 )

       integer*2   sqllocpair_begin_loc_sz
       parameter ( sqllocpair_begin_loc_sz = 2 )

       integer*2   sqllocpair_begin_loc_ofs
       parameter ( sqllocpair_begin_loc_ofs = 1 )

       integer*2   sqllocpair_end_loc_sz
       parameter ( sqllocpair_end_loc_sz   = 2 )

       integer*2   sqllocpair_end_loc_ofs
       parameter ( sqllocpair_end_loc_ofs  = 3 )


       integer*2   sqlloctab_struct_sz
       parameter ( sqlloctab_struct_sz     = 4 )

* actual size must be dcolnum
       integer*2   sqlloctab_locpair_sz
       parameter ( sqlloctab_locpair_sz    = 4 )

       integer*2   sqlloctab_locpair_ofs
       parameter ( sqlloctab_locpair_ofs   = 1 )


* Structures for Input and Output Data for Import and Export

       integer*2   sqluimpt_in_struct_sz
       parameter ( sqluimpt_in_struct_sz   = 12 )

       integer*2   sqluimpt_in_sizeofstruct_sz
       parameter ( sqluimpt_in_sizeofstruct_sz = 4 )

       integer*2   sqluimpt_in_sizeofstruct_ofs
       parameter ( sqluimpt_in_sizeofstruct_ofs = 1 )

       integer*2   sqluimpt_in_commitcnt_sz
       parameter ( sqluimpt_in_commitcnt_sz = 4 )

       integer*2   sqluimpt_in_commitcnt_ofs
       parameter ( sqluimpt_in_commitcnt_ofs = 5 )

       integer*2   sqluimpt_in_restartcnt_sz
       parameter ( sqluimpt_in_restartcnt_sz = 4 )

       integer*2   sqluimpt_in_restartcnt_ofs
       parameter ( sqluimpt_in_restartcnt_ofs = 9 )


       integer*2   sqluimpt_out_struct_sz
       parameter ( sqluimpt_out_struct_sz  = 28 )

       integer*2   sqluimpt_out_sizeofstruct_sz
       parameter ( sqluimpt_out_sizeofstruct_sz = 4 )

       integer*2   sqluimpt_out_sizeofstruct_ofs
       parameter ( sqluimpt_out_sizeofstruct_ofs = 1 )

       integer*2   sqluimpt_out_rowsread_sz
       parameter ( sqluimpt_out_rowsread_sz = 4 )

       integer*2   sqluimpt_out_rowsread_ofs
       parameter ( sqluimpt_out_rowsread_ofs = 5 )

       integer*2   sqluimpt_out_rowsskipped_sz
       parameter ( sqluimpt_out_rowsskipped_sz = 4 )

       integer*2   sqluimpt_out_rowsskipped_ofs
       parameter ( sqluimpt_out_rowsskipped_ofs = 9 )

       integer*2   sqluimpt_out_rowsinserted_sz
       parameter ( sqluimpt_out_rowsinserted_sz = 4 )

       integer*2   sqluimpt_out_rowsinserted_ofs
       parameter ( sqluimpt_out_rowsinserted_ofs = 13 )

       integer*2   sqluimpt_out_rowsupdated_sz
       parameter ( sqluimpt_out_rowsupdated_sz = 4 )

       integer*2   sqluimpt_out_rowsupdated_ofs
       parameter ( sqluimpt_out_rowsupdated_ofs = 17 )

       integer*2   sqluimpt_out_rowsrejected_sz
       parameter ( sqluimpt_out_rowsrejected_sz = 4 )

       integer*2   sqluimpt_out_rowsrejected_ofs
       parameter ( sqluimpt_out_rowsrejected_ofs = 21 )

       integer*2   sqluimpt_out_rowscommitted_sz
       parameter ( sqluimpt_out_rowscommitted_sz = 4 )

       integer*2   sqluimpt_out_rowscommitted_ofs
       parameter ( sqluimpt_out_rowscommitted_ofs = 25 )


       integer*2   sqluexpt_out_struct_sz
       parameter ( sqluexpt_out_struct_sz  = 8 )

       integer*2   sqluexpt_out_sizeofstruct_sz
       parameter ( sqluexpt_out_sizeofstruct_sz = 4 )

       integer*2   sqluexpt_out_sizeofstruct_ofs
       parameter ( sqluexpt_out_sizeofstruct_ofs = 1 )

       integer*2   sqluexpt_out_rowsexported_sz
       parameter ( sqluexpt_out_rowsexported_sz = 4 )

       integer*2   sqluexpt_out_rowsexported_ofs
       parameter ( sqluexpt_out_rowsexported_ofs = 5 )


       integer*2   sqluimpt_in_size
       parameter ( sqluimpt_in_size        = 12 )

       integer*2   sqluimpt_out_size
       parameter ( sqluimpt_out_size       = 28 )

       integer*2   sqluexpt_out_size
       parameter ( sqluexpt_out_size       = 8 )


* Structures for Input and Output Data for Load and Unload

       integer*2   sqluload_in_struct_sz
       parameter ( sqluload_in_struct_sz   = 40 )

       integer*2   sqluload_in_sizeofstruct_sz
       parameter ( sqluload_in_sizeofstruct_sz = 4 )

       integer*2   sqluload_in_sizeofstruct_ofs
       parameter ( sqluload_in_sizeofstruct_ofs = 1 )

       integer*2   sqluload_in_savecnt_sz
       parameter ( sqluload_in_savecnt_sz  = 4 )

       integer*2   sqluload_in_savecnt_ofs
       parameter ( sqluload_in_savecnt_ofs = 5 )

       integer*2   sqluload_in_restartcnt_sz
       parameter ( sqluload_in_restartcnt_sz = 4 )

       integer*2   sqluload_in_restartcnt_ofs
       parameter ( sqluload_in_restartcnt_ofs = 9 )

       integer*2   sqluload_in_rowcnt_sz
       parameter ( sqluload_in_rowcnt_sz   = 4 )

       integer*2   sqluload_in_rowcnt_ofs
       parameter ( sqluload_in_rowcnt_ofs  = 13 )

       integer*2   sqluload_in_warningcnt_sz
       parameter ( sqluload_in_warningcnt_sz = 4 )

       integer*2   sqluload_in_warningcnt_ofs
       parameter ( sqluload_in_warningcnt_ofs = 17 )

       integer*2   sqluload_in_data_buffer_size_sz
       parameter ( sqluload_in_data_buffer_size_sz = 4 )

       integer*2   sqluload_in_data_buffer_size_ofs
       parameter ( sqluload_in_data_buffer_size_ofs = 21 )

       integer*2   sqluload_in_sort_buffer_size_sz
       parameter ( sqluload_in_sort_buffer_size_sz = 4 )

       integer*2   sqluload_in_sort_buffer_size_ofs
       parameter ( sqluload_in_sort_buffer_size_ofs = 25 )

       integer*2   sqluload_in_hold_quiesce_sz
       parameter ( sqluload_in_hold_quiesce_sz = 2 )

       integer*2   sqluload_in_hold_quiesce_ofs
       parameter ( sqluload_in_hold_quiesce_ofs = 29 )

       integer*2   sqluload_in_restartphase_sz
       parameter ( sqluload_in_restartphase_sz = 1 )

       integer*2   sqluload_in_restartphase_ofs
       parameter ( sqluload_in_restartphase_ofs = 31 )

       integer*2   sqluload_in_statsopt_sz
       parameter ( sqluload_in_statsopt_sz = 1 )

       integer*2   sqluload_in_statsopt_ofs
       parameter ( sqluload_in_statsopt_ofs = 32 )

       integer*2   sqluload_in_cpu_parallelism_sz
       parameter ( sqluload_in_cpu_parallelism_sz = 2 )

       integer*2   sqluload_in_cpu_parallelism_ofs
       parameter ( sqluload_in_cpu_parallelism_ofs = 33 )

       integer*2   sqluload_in_disk_parallelism_sz
       parameter ( sqluload_in_disk_parallelism_sz = 2 )

       integer*2   sqluload_in_disk_parallelism_ofs
       parameter ( sqluload_in_disk_parallelism_ofs = 35 )

       integer*2   sqluload_in_non_recoverable_sz
       parameter ( sqluload_in_non_recoverable_sz = 2 )

       integer*2   sqluload_in_non_recoverable_ofs
       parameter ( sqluload_in_non_recoverable_ofs = 37 )

       integer*2   sqluload_in_indexing_mode_sz
       parameter ( sqluload_in_indexing_mode_sz = 2 )

       integer*2   sqluload_in_indexing_mode_ofs
       parameter ( sqluload_in_indexing_mode_ofs = 39 )


       integer*2   sqluload_out_struct_sz
       parameter ( sqluload_out_struct_sz  = 28 )

       integer*2   sqluload_out_sizeofstruct_sz
       parameter ( sqluload_out_sizeofstruct_sz = 4 )

       integer*2   sqluload_out_sizeofstruct_ofs
       parameter ( sqluload_out_sizeofstruct_ofs = 1 )

       integer*2   sqluload_out_rowsread_sz
       parameter ( sqluload_out_rowsread_sz = 4 )

       integer*2   sqluload_out_rowsread_ofs
       parameter ( sqluload_out_rowsread_ofs = 5 )

       integer*2   sqluload_out_rowsskipped_sz
       parameter ( sqluload_out_rowsskipped_sz = 4 )

       integer*2   sqluload_out_rowsskipped_ofs
       parameter ( sqluload_out_rowsskipped_ofs = 9 )

       integer*2   sqluload_out_rowsloaded_sz
       parameter ( sqluload_out_rowsloaded_sz = 4 )

       integer*2   sqluload_out_rowsloaded_ofs
       parameter ( sqluload_out_rowsloaded_ofs = 13 )

       integer*2   sqluload_out_rowsrejected_sz
       parameter ( sqluload_out_rowsrejected_sz = 4 )

       integer*2   sqluload_out_rowsrejected_ofs
       parameter ( sqluload_out_rowsrejected_ofs = 17 )

       integer*2   sqluload_out_rowsdeleted_sz
       parameter ( sqluload_out_rowsdeleted_sz = 4 )

       integer*2   sqluload_out_rowsdeleted_ofs
       parameter ( sqluload_out_rowsdeleted_ofs = 21 )

       integer*2   sqluload_out_rowscommitted_sz
       parameter ( sqluload_out_rowscommitted_sz = 4 )

       integer*2   sqluload_out_rowscommitted_ofs
       parameter ( sqluload_out_rowscommitted_ofs = 25 )


       integer*2   sqluunld_in_struct_sz
       parameter ( sqluunld_in_struct_sz   = 24 )

       integer*2   sqluunld_in_sizeofstruct_sz
       parameter ( sqluunld_in_sizeofstruct_sz = 4 )

       integer*2   sqluunld_in_sizeofstruct_ofs
       parameter ( sqluunld_in_sizeofstruct_ofs = 1 )

       integer*2   sqluunld_in_data_buffer_size_sz
       parameter ( sqluunld_in_data_buffer_size_sz = 4 )

       integer*2   sqluunld_in_data_buffer_size_ofs
       parameter ( sqluunld_in_data_buffer_size_ofs = 5 )

       integer*2   sqluunld_in_sort_buffer_size_sz
       parameter ( sqluunld_in_sort_buffer_size_sz = 4 )

       integer*2   sqluunld_in_sort_buffer_size_ofs
       parameter ( sqluunld_in_sort_buffer_size_ofs = 9 )

       integer*2   sqluunld_in_hold_quiesce_sz
       parameter ( sqluunld_in_hold_quiesce_sz = 2 )

       integer*2   sqluunld_in_hold_quiesce_ofs
       parameter ( sqluunld_in_hold_quiesce_ofs = 13 )

       integer*2   sqluunld_in_intent_update_sz
       parameter ( sqluunld_in_intent_update_sz = 2 )

       integer*2   sqluunld_in_intent_update_ofs
       parameter ( sqluunld_in_intent_update_ofs = 15 )

       integer*2   sqluunld_in_serial_write_sz
       parameter ( sqluunld_in_serial_write_sz = 2 )

       integer*2   sqluunld_in_serial_write_ofs
       parameter ( sqluunld_in_serial_write_ofs = 17 )

       integer*2   sqluunld_in_num_buffers_sz
       parameter ( sqluunld_in_num_buffers_sz = 2 )

       integer*2   sqluunld_in_num_buffers_ofs
       parameter ( sqluunld_in_num_buffers_ofs = 19 )

       integer*2   sqluunld_in_reorg_lobs_sz
       parameter ( sqluunld_in_reorg_lobs_sz = 2 )

       integer*2   sqluunld_in_reorg_lobs_ofs
       parameter ( sqluunld_in_reorg_lobs_ofs = 21 )

       integer*2   sqluunld_in_filler_sz
       parameter ( sqluunld_in_filler_sz   = 2 )

       integer*2   sqluunld_in_filler_ofs
       parameter ( sqluunld_in_filler_ofs  = 23 )


       integer*2   sqluunld_out_struct_sz
       parameter ( sqluunld_out_struct_sz  = 8 )

       integer*2   sqluunld_out_sizeofstruct_sz
       parameter ( sqluunld_out_sizeofstruct_sz = 4 )

       integer*2   sqluunld_out_sizeofstruct_ofs
       parameter ( sqluunld_out_sizeofstruct_ofs = 1 )

       integer*2   sqluunld_out_rowsunloaded_sz
       parameter ( sqluunld_out_rowsunloaded_sz = 4 )

       integer*2   sqluunld_out_rowsunloaded_ofs
       parameter ( sqluunld_out_rowsunloaded_ofs = 5 )


       integer*2   sqluload_in_size
       parameter ( sqluload_in_size        = 40 )

       integer*2   sqluload_out_size
       parameter ( sqluload_out_size       = 28 )

       integer*2   sqluunld_in_size
       parameter ( sqluunld_in_size        = 24 )

       integer*2   sqluunld_out_size
       parameter ( sqluunld_out_size       = 8 )


* Structures for Configuration Utility APIs.

C   Byte array offsets to access elements of sqlchar data structure

       integer                             sqlchar_length, sqlchar_data
       parameter ( sqlchar_length          = 1 )
       parameter ( sqlchar_data            = 3 )

       integer*2   sqlfupd_struct_sz
       parameter ( sqlfupd_struct_sz       = 8 )

       integer*2   sqlfupd_token_sz
       parameter ( sqlfupd_token_sz        = 2 )

       integer*2   sqlfupd_token_ofs
       parameter ( sqlfupd_token_ofs       = 1 )

       integer*2   sqlfupd_ptrvalue_sz
       parameter ( sqlfupd_ptrvalue_sz     = 4 )

       integer*2   sqlfupd_ptrvalue_ofs
       parameter ( sqlfupd_ptrvalue_ofs    = 5 )


* Constants and structure used by sqlgadau and sqluadau.
       integer*2   sql_user_authorized
       parameter ( sql_user_authorized     = 1 )

       integer*2   sql_user_unauthorized
       parameter ( sql_user_unauthorized   = 0 )

       integer*2   sql_authorization_size_old
       parameter ( sql_authorization_size_old = 22 )

       integer*2   sql_authorization_size_v2
       parameter ( sql_authorization_size_v2 = 34 )

       integer*2   sql_authorization_size_v3
       parameter ( sql_authorization_size_v3 = 38 )

       integer*2   sql_authorization_size
       parameter ( sql_authorization_size  = 42 )


       integer*2   sql_authorizations_struct_sz
       parameter ( sql_authorizations_struct_sz = 42 )

       integer*2   sql_auth_authorizations_len_sz
       parameter ( sql_auth_authorizations_len_sz = 2 )

       integer*2   sql_auth_authorizations_len_ofs
       parameter ( sql_auth_authorizations_len_ofs = 1 )

       integer*2   sql_auth_sysadm_auth_sz
       parameter ( sql_auth_sysadm_auth_sz = 2 )

       integer*2   sql_auth_sysadm_auth_ofs
       parameter ( sql_auth_sysadm_auth_ofs = 3 )

       integer*2   sql_auth_dbadm_auth_sz
       parameter ( sql_auth_dbadm_auth_sz  = 2 )

       integer*2   sql_auth_dbadm_auth_ofs
       parameter ( sql_auth_dbadm_auth_ofs = 5 )

       integer*2   sql_auth_createtab_auth_sz
       parameter ( sql_auth_createtab_auth_sz = 2 )

       integer*2   sql_auth_createtab_auth_ofs
       parameter ( sql_auth_createtab_auth_ofs = 7 )

       integer*2   sql_auth_bindadd_auth_sz
       parameter ( sql_auth_bindadd_auth_sz = 2 )

       integer*2   sql_auth_bindadd_auth_ofs
       parameter ( sql_auth_bindadd_auth_ofs = 9 )

       integer*2   sql_auth_connect_auth_sz
       parameter ( sql_auth_connect_auth_sz = 2 )

       integer*2   sql_auth_connect_auth_ofs
       parameter ( sql_auth_connect_auth_ofs = 11 )

       integer*2   sql_auth_sysadm_grp_auth_sz
       parameter ( sql_auth_sysadm_grp_auth_sz = 2 )

       integer*2   sql_auth_sysadm_grp_auth_ofs
       parameter ( sql_auth_sysadm_grp_auth_ofs = 13 )

       integer*2   sql_auth_dbadm_grp_auth_sz
       parameter ( sql_auth_dbadm_grp_auth_sz = 2 )

       integer*2   sql_auth_dbadm_grp_auth_ofs
       parameter ( sql_auth_dbadm_grp_auth_ofs = 15 )

       integer*2   sql_auth_createtab_grp_auth_sz
       parameter ( sql_auth_createtab_grp_auth_sz = 2 )

       integer*2   sql_auth_createtab_grp_auth_ofs
       parameter ( sql_auth_createtab_grp_auth_ofs = 17 )

       integer*2   sql_auth_bindadd_grp_auth_sz
       parameter ( sql_auth_bindadd_grp_auth_sz = 2 )

       integer*2   sql_auth_bindadd_grp_auth_ofs
       parameter ( sql_auth_bindadd_grp_auth_ofs = 19 )

       integer*2   sql_auth_connect_grp_auth_sz
       parameter ( sql_auth_connect_grp_auth_sz = 2 )

       integer*2   sql_auth_connect_grp_auth_ofs
       parameter ( sql_auth_connect_grp_auth_ofs = 21 )

       integer*2   sql_auth_sysctrl_auth_sz
       parameter ( sql_auth_sysctrl_auth_sz = 2 )

       integer*2   sql_auth_sysctrl_auth_ofs
       parameter ( sql_auth_sysctrl_auth_ofs = 23 )

       integer*2   sql_auth_sysctrl_grp_auth_sz
       parameter ( sql_auth_sysctrl_grp_auth_sz = 2 )

       integer*2   sql_auth_sysctrl_grp_auth_ofs
       parameter ( sql_auth_sysctrl_grp_auth_ofs = 25 )

       integer*2   sql_auth_sysmaint_auth_sz
       parameter ( sql_auth_sysmaint_auth_sz = 2 )

       integer*2   sql_auth_sysmaint_auth_ofs
       parameter ( sql_auth_sysmaint_auth_ofs = 27 )

       integer*2   sql_auth_sysmaint_grp_auth_sz
       parameter ( sql_auth_sysmaint_grp_auth_sz = 2 )

       integer*2   sql_auth_sysmaint_grp_auth_ofs
       parameter ( sql_auth_sysmaint_grp_auth_ofs = 29 )

       integer*2   sql_auth_crtnfenc_auth_sz
       parameter ( sql_auth_crtnfenc_auth_sz = 2 )

       integer*2   sql_auth_crtnfenc_auth_ofs
       parameter ( sql_auth_crtnfenc_auth_ofs = 31 )

       integer*2   sql_auth_crtnfenc_grp_auth_sz
       parameter ( sql_auth_crtnfenc_grp_auth_sz = 2 )

       integer*2   sql_auth_crtnfenc_grp_auth_ofs
       parameter ( sql_auth_crtnfenc_grp_auth_ofs = 33 )

       integer*2   sql_auth_implschm_auth_sz
       parameter ( sql_auth_implschm_auth_sz = 2 )

       integer*2   sql_auth_implschm_auth_ofs
       parameter ( sql_auth_implschm_auth_ofs = 35 )

       integer*2   sql_auth_implschm_grp_auth_sz
       parameter ( sql_auth_implschm_grp_auth_sz = 2 )

       integer*2   sql_auth_implschm_grp_auth_ofs
       parameter ( sql_auth_implschm_grp_auth_ofs = 37 )

       integer*2   sql_auth_load_auth_sz
       parameter ( sql_auth_load_auth_sz   = 2 )

       integer*2   sql_auth_load_auth_ofs
       parameter ( sql_auth_load_auth_ofs  = 39 )

       integer*2   sql_auth_load_grp_auth_sz
       parameter ( sql_auth_load_grp_auth_sz = 2 )

       integer*2   sql_auth_load_grp_auth_ofs
       parameter ( sql_auth_load_grp_auth_ofs = 41 )


* Constants and structure used for backup and restore
       integer*2   sqlu_max_tbs_name_len
       parameter ( sqlu_max_tbs_name_len   = 18 )

       integer*2   sqlu_db_dir_len
       parameter ( sqlu_db_dir_len         = 215 )

       integer*2   sqlu_shr_lib_len
       parameter ( sqlu_shr_lib_len        = 255 )

       integer*2   sqlu_media_location_len
       parameter ( sqlu_media_location_len = 255 )

       integer*2   sqlu_applid_len
       parameter ( sqlu_applid_len         = 32 )

       integer*2   sqlu_max_sessions
       parameter ( sqlu_max_sessions       = 999 )


       integer*2   sqlu_tbsp_entry_struct_sz
       parameter ( sqlu_tbsp_entry_struct_sz = 24 )

       integer*2   sqlu_tbsp_len_sz
       parameter ( sqlu_tbsp_len_sz        = 4 )

       integer*2   sqlu_tbsp_len_ofs
       parameter ( sqlu_tbsp_len_ofs       = 1 )

       integer*2   sqlu_tbsp_tbsp_entry_sz
       parameter ( sqlu_tbsp_tbsp_entry_sz = 19 )

       integer*2   sqlu_tbsp_tbsp_entry_ofs
       parameter ( sqlu_tbsp_tbsp_entry_ofs = 5 )

       integer*2   sqlu_tbsp_entry_filler_sz
       parameter ( sqlu_tbsp_entry_filler_sz = 1 )

       integer*2   sqlu_tbsp_entry_filler_ofs
       parameter ( sqlu_tbsp_entry_filler_ofs = 24 )


       integer*2   sqlu_tbsp_bkrst_list_struct_sz
       parameter ( sqlu_tbsp_bkrst_list_struct_sz = 8 )

       integer*2   sqlu_tbsp_bkrst_num_entry_sz
       parameter ( sqlu_tbsp_bkrst_num_entry_sz = 4 )

       integer*2   sqlu_tbsp_bkrst_num_entry_ofs
       parameter ( sqlu_tbsp_bkrst_num_entry_ofs = 1 )

       integer*2   sqlu_tbsp_bkrst_tbsp_sz
       parameter ( sqlu_tbsp_bkrst_tbsp_sz = 4 )

       integer*2   sqlu_tbsp_bkrst_tbsp_ofs
       parameter ( sqlu_tbsp_bkrst_tbsp_ofs = 5 )


       integer*2   sqlu_media_entry_struct_sz
       parameter ( sqlu_media_entry_struct_sz = 220 )

       integer*2   sqlu_medent_len_sz
       parameter ( sqlu_medent_len_sz      = 4 )

       integer*2   sqlu_medent_len_ofs
       parameter ( sqlu_medent_len_ofs     = 1 )

       integer*2   sqlu_medent_media_entry_sz
       parameter ( sqlu_medent_media_entry_sz = 216 )

       integer*2   sqlu_medent_media_entry_ofs
       parameter ( sqlu_medent_media_entry_ofs = 5 )


       integer*2   sqlu_vendor_struct_sz
       parameter ( sqlu_vendor_struct_sz   = 520 )

       integer*2   sqlu_vendor_shrlib_len_sz
       parameter ( sqlu_vendor_shrlib_len_sz = 4 )

       integer*2   sqlu_vendor_shrlib_len_ofs
       parameter ( sqlu_vendor_shrlib_len_ofs = 1 )

       integer*2   sqlu_vendor_shr_lib_sz
       parameter ( sqlu_vendor_shr_lib_sz  = 256 )

       integer*2   sqlu_vendor_shr_lib_ofs
       parameter ( sqlu_vendor_shr_lib_ofs = 5 )

       integer*2   sqlu_vendor_filename_len_sz
       parameter ( sqlu_vendor_filename_len_sz = 4 )

       integer*2   sqlu_vendor_filename_len_ofs
       parameter ( sqlu_vendor_filename_len_ofs = 261 )

       integer*2   sqlu_vendor_filename_sz
       parameter ( sqlu_vendor_filename_sz = 256 )

       integer*2   sqlu_vendor_filename_ofs
       parameter ( sqlu_vendor_filename_ofs = 265 )


       integer*2   sqlu_location_entry_struct_sz
       parameter ( sqlu_location_entry_struct_sz = 260 )

       integer*2   sqlu_location_len_sz
       parameter ( sqlu_location_len_sz    = 4 )

       integer*2   sqlu_location_len_ofs
       parameter ( sqlu_location_len_ofs   = 1 )

       integer*2   sqlu_locent_location_entry_sz
       parameter ( sqlu_locent_location_entry_sz = 256 )

       integer*2   sqlu_locent_location_entry_ofs
       parameter ( sqlu_locent_location_entry_ofs = 5 )


       integer*2   sqlurf_newlogpath_struct_sz
       parameter ( sqlurf_newlogpath_struct_sz = 260 )

* node number
       integer*2   sqlurf_newlogpath_nodenum_sz
       parameter ( sqlurf_newlogpath_nodenum_sz = 2 )

       integer*2   sqlurf_newlogpath_nodenum_ofs
       parameter ( sqlurf_newlogpath_nodenum_ofs = 1 )

* length of new logpath
       integer*2   sqlurf_newlogpath_pathlen_sz
       parameter ( sqlurf_newlogpath_pathlen_sz = 2 )

       integer*2   sqlurf_newlogpath_pathlen_ofs
       parameter ( sqlurf_newlogpath_pathlen_ofs = 3 )

* new overflow log path
       integer*2   sqlurf_newlogpath_logpath_sz
       parameter ( sqlurf_newlogpath_logpath_sz = 255 )

       integer*2   sqlurf_newlogpath_logpath_ofs
       parameter ( sqlurf_newlogpath_logpath_ofs = 5 )


       integer*2   sqlurf_info_struct_sz
       parameter ( sqlurf_info_struct_sz   = 76 )

* node number
       integer*2   sqlurf_info_nodenum_sz
       parameter ( sqlurf_info_nodenum_sz  = 2 )

       integer*2   sqlurf_info_nodenum_ofs
       parameter ( sqlurf_info_nodenum_ofs = 1 )

* state information
       integer*2   sqlurf_info_state_sz
       parameter ( sqlurf_info_state_sz    = 4 )

       integer*2   sqlurf_info_state_ofs
       parameter ( sqlurf_info_state_ofs   = 5 )

* next archive file needed
       integer*2   sqlurf_info_nextarclog_sz
       parameter ( sqlurf_info_nextarclog_sz = 13 )

       integer*2   sqlurf_info_nextarclog_ofs
       parameter ( sqlurf_info_nextarclog_ofs = 9 )

* first archive file to be deleted
       integer*2   sqlurf_info_firstarcdel_sz
       parameter ( sqlurf_info_firstarcdel_sz = 13 )

       integer*2   sqlurf_info_firstarcdel_ofs
       parameter ( sqlurf_info_firstarcdel_ofs = 22 )

* last archive file to be deleted
       integer*2   sqlurf_info_lastarcdel_sz
       parameter ( sqlurf_info_lastarcdel_sz = 13 )

       integer*2   sqlurf_info_lastarcdel_ofs
       parameter ( sqlurf_info_lastarcdel_ofs = 35 )

* returned timestamp
       integer*2   sqlurf_info_lastcommit_sz
       parameter ( sqlurf_info_lastcommit_sz = 27 )

       integer*2   sqlurf_info_lastcommit_ofs
       parameter ( sqlurf_info_lastcommit_ofs = 48 )


       integer*4   sqlurf_stat_struct_sz
       parameter ( sqlurf_stat_struct_sz   = 76004 )

       integer*2   sqlurf_stat_numnodes_sz
       parameter ( sqlurf_stat_numnodes_sz = 4 )

       integer*2   sqlurf_stat_numnodes_ofs
       parameter ( sqlurf_stat_numnodes_ofs = 1 )

       integer*4   sqlurf_stat_nodeinfo_sz
       parameter ( sqlurf_stat_nodeinfo_sz = 76000 )

       integer*2   sqlurf_stat_nodeinfo_ofs
       parameter ( sqlurf_stat_nodeinfo_ofs = 5 )


       integer*2   rfwd_input_struct_sz
       parameter ( rfwd_input_struct_sz    = 68 )

* rollforward version
       integer*2   rfwd_input_version_sz
       parameter ( rfwd_input_version_sz   = 4 )

       integer*2   rfwd_input_version_ofs
       parameter ( rfwd_input_version_ofs  = 1 )

* database alias
       integer*2   rfwd_input_pdbalias_sz
       parameter ( rfwd_input_pdbalias_sz  = 4 )

       integer*2   rfwd_input_pdbalias_ofs
       parameter ( rfwd_input_pdbalias_ofs = 5 )

* action
       integer*2   rfwd_input_calleraction_sz
       parameter ( rfwd_input_calleraction_sz = 2 )

       integer*2   rfwd_input_calleraction_ofs
       parameter ( rfwd_input_calleraction_ofs = 9 )

* stop time
       integer*2   rfwd_input_pstoptime_sz
       parameter ( rfwd_input_pstoptime_sz = 4 )

       integer*2   rfwd_input_pstoptime_ofs
       parameter ( rfwd_input_pstoptime_ofs = 13 )

* user name
       integer*2   rfwd_input_pusername_sz
       parameter ( rfwd_input_pusername_sz = 4 )

       integer*2   rfwd_input_pusername_ofs
       parameter ( rfwd_input_pusername_ofs = 17 )

* password
       integer*2   rfwd_input_ppassword_sz
       parameter ( rfwd_input_ppassword_sz = 4 )

       integer*2   rfwd_input_ppassword_ofs
       parameter ( rfwd_input_ppassword_ofs = 21 )

* overflow log path
       integer*2   rfwd_input_poverflowlogpath_sz
       parameter ( rfwd_input_poverflowlogpath_sz = 4 )

       integer*2   rfwd_input_poverflowlogpath_ofs
       parameter ( rfwd_input_poverflowlogpath_ofs = 25 )

* no. of changed overflow log paths
       integer*2   rfwd_input_numchnglgovrflw_sz
       parameter ( rfwd_input_numchnglgovrflw_sz = 2 )

       integer*2   rfwd_input_numchnglgovrflw_ofs
       parameter ( rfwd_input_numchnglgovrflw_ofs = 29 )

* changed overflow log paths
       integer*2   rfwd_input_pchnglogovrflw_sz
       parameter ( rfwd_input_pchnglogovrflw_sz = 4 )

       integer*2   rfwd_input_pchnglogovrflw_ofs
       parameter ( rfwd_input_pchnglogovrflw_ofs = 33 )

* connect mode
       integer*2   rfwd_input_connectmode_sz
       parameter ( rfwd_input_connectmode_sz = 2 )

       integer*2   rfwd_input_connectmode_ofs
       parameter ( rfwd_input_connectmode_ofs = 37 )

* tablespace list
       integer*2   rfwd_input_ptablespacelist_sz
       parameter ( rfwd_input_ptablespacelist_sz = 4 )

       integer*2   rfwd_input_ptablespacelist_ofs
       parameter ( rfwd_input_ptablespacelist_ofs = 41 )

* all node flag
       integer*2   rfwd_input_allnodeflag_sz
       parameter ( rfwd_input_allnodeflag_sz = 2 )

       integer*2   rfwd_input_allnodeflag_ofs
       parameter ( rfwd_input_allnodeflag_ofs = 45 )

* size of nodelist
       integer*2   rfwd_input_numnodes_sz
       parameter ( rfwd_input_numnodes_sz  = 2 )

       integer*2   rfwd_input_numnodes_ofs
       parameter ( rfwd_input_numnodes_ofs = 47 )

* list of node numbers
       integer*2   rfwd_input_pnodelist_sz
       parameter ( rfwd_input_pnodelist_sz = 4 )

       integer*2   rfwd_input_pnodelist_ofs
       parameter ( rfwd_input_pnodelist_ofs = 49 )

* size of pNodeInfo in rfwd_output
       integer*2   rfwd_input_numnodeinfo_sz
       parameter ( rfwd_input_numnodeinfo_sz = 2 )

       integer*2   rfwd_input_numnodeinfo_ofs
       parameter ( rfwd_input_numnodeinfo_ofs = 53 )

* not used
       integer*2   rfwd_input_dlmode_sz
       parameter ( rfwd_input_dlmode_sz    = 2 )

       integer*2   rfwd_input_dlmode_ofs
       parameter ( rfwd_input_dlmode_ofs   = 55 )

* not used
       integer*2   rfwd_input_preportfile_sz
       parameter ( rfwd_input_preportfile_sz = 4 )

       integer*2   rfwd_input_preportfile_ofs
       parameter ( rfwd_input_preportfile_ofs = 57 )

* dropped table id
       integer*2   rfwd_input_pdroppedtblid_sz
       parameter ( rfwd_input_pdroppedtblid_sz = 4 )

       integer*2   rfwd_input_pdroppedtblid_ofs
       parameter ( rfwd_input_pdroppedtblid_ofs = 61 )

* dropped table export directory
       integer*2   rfwd_input_pexportdir_sz
       parameter ( rfwd_input_pexportdir_sz = 4 )

       integer*2   rfwd_input_pexportdir_ofs
       parameter ( rfwd_input_pexportdir_ofs = 65 )


       integer*2   grfwd_input_struct_sz
       parameter ( grfwd_input_struct_sz   = 80 )

* length in bytes of DbAlias
       integer*2   grfwd_input_dbaliaslen_sz
       parameter ( grfwd_input_dbaliaslen_sz = 2 )

       integer*2   grfwd_input_dbaliaslen_ofs
       parameter ( grfwd_input_dbaliaslen_ofs = 1 )

* length in bytes of StopTime
       integer*2   grfwd_input_stoptimelen_sz
       parameter ( grfwd_input_stoptimelen_sz = 2 )

       integer*2   grfwd_input_stoptimelen_ofs
       parameter ( grfwd_input_stoptimelen_ofs = 3 )

* length in bytes of UserName
       integer*2   grfwd_input_usernamelen_sz
       parameter ( grfwd_input_usernamelen_sz = 2 )

       integer*2   grfwd_input_usernamelen_ofs
       parameter ( grfwd_input_usernamelen_ofs = 5 )

* length in bytes of Password
       integer*2   grfwd_input_passwordlen_sz
       parameter ( grfwd_input_passwordlen_sz = 2 )

       integer*2   grfwd_input_passwordlen_ofs
       parameter ( grfwd_input_passwordlen_ofs = 7 )

* length in bytes of OverflowLogPath
       integer*2   grfwd_input_ovrflwlogpathlen_sz
       parameter ( grfwd_input_ovrflwlogpathlen_sz = 2 )

       integer*2   grfwd_input_ovrflwlogpathlen_ofs
       parameter ( grfwd_input_ovrflwlogpathlen_ofs = 9 )

* length in bytes of ReportFile
       integer*2   grfwd_input_reportfilelen_sz
       parameter ( grfwd_input_reportfilelen_sz = 2 )

       integer*2   grfwd_input_reportfilelen_ofs
       parameter ( grfwd_input_reportfilelen_ofs = 11 )

* rollforward version
       integer*2   grfwd_input_version_sz
       parameter ( grfwd_input_version_sz  = 4 )

       integer*2   grfwd_input_version_ofs
       parameter ( grfwd_input_version_ofs = 13 )

* database alias
       integer*2   grfwd_input_pdbalias_sz
       parameter ( grfwd_input_pdbalias_sz = 4 )

       integer*2   grfwd_input_pdbalias_ofs
       parameter ( grfwd_input_pdbalias_ofs = 17 )

* action
       integer*2   grfwd_input_calleraction_sz
       parameter ( grfwd_input_calleraction_sz = 2 )

       integer*2   grfwd_input_calleraction_ofs
       parameter ( grfwd_input_calleraction_ofs = 21 )

* stop time
       integer*2   grfwd_input_pstoptime_sz
       parameter ( grfwd_input_pstoptime_sz = 4 )

       integer*2   grfwd_input_pstoptime_ofs
       parameter ( grfwd_input_pstoptime_ofs = 25 )

* user name
       integer*2   grfwd_input_pusername_sz
       parameter ( grfwd_input_pusername_sz = 4 )

       integer*2   grfwd_input_pusername_ofs
       parameter ( grfwd_input_pusername_ofs = 29 )

* password
       integer*2   grfwd_input_ppassword_sz
       parameter ( grfwd_input_ppassword_sz = 4 )

       integer*2   grfwd_input_ppassword_ofs
       parameter ( grfwd_input_ppassword_ofs = 33 )

* overflow log path
       integer*2   grfwd_input_poverflowlogpath_sz
       parameter ( grfwd_input_poverflowlogpath_sz = 4 )

       integer*2   grfwd_input_poverflowlogpath_ofs
       parameter ( grfwd_input_poverflowlogpath_ofs = 37 )

* no. of changed overflow log paths
       integer*2   grfwd_input_numchnglgovrflw_sz
       parameter ( grfwd_input_numchnglgovrflw_sz = 2 )

       integer*2   grfwd_input_numchnglgovrflw_ofs
       parameter ( grfwd_input_numchnglgovrflw_ofs = 41 )

* changed overflow log paths
       integer*2   grfwd_input_pchnglogovrflw_sz
       parameter ( grfwd_input_pchnglogovrflw_sz = 4 )

       integer*2   grfwd_input_pchnglogovrflw_ofs
       parameter ( grfwd_input_pchnglogovrflw_ofs = 45 )

* connect mode
       integer*2   grfwd_input_connectmode_sz
       parameter ( grfwd_input_connectmode_sz = 2 )

       integer*2   grfwd_input_connectmode_ofs
       parameter ( grfwd_input_connectmode_ofs = 49 )

* tablespace list
       integer*2   grfwd_input_ptablespacelist_sz
       parameter ( grfwd_input_ptablespacelist_sz = 4 )

       integer*2   grfwd_input_ptablespacelist_ofs
       parameter ( grfwd_input_ptablespacelist_ofs = 53 )

* all node flag
       integer*2   grfwd_input_allnodeflag_sz
       parameter ( grfwd_input_allnodeflag_sz = 2 )

       integer*2   grfwd_input_allnodeflag_ofs
       parameter ( grfwd_input_allnodeflag_ofs = 57 )

* size of nodelist
       integer*2   grfwd_input_numnodes_sz
       parameter ( grfwd_input_numnodes_sz = 2 )

       integer*2   grfwd_input_numnodes_ofs
       parameter ( grfwd_input_numnodes_ofs = 59 )

* list of node numbers
       integer*2   grfwd_input_pnodelist_sz
       parameter ( grfwd_input_pnodelist_sz = 4 )

       integer*2   grfwd_input_pnodelist_ofs
       parameter ( grfwd_input_pnodelist_ofs = 61 )

* size of pNodeInfo in rfwd_output
       integer*2   grfwd_input_numnodeinfo_sz
       parameter ( grfwd_input_numnodeinfo_sz = 2 )

       integer*2   grfwd_input_numnodeinfo_ofs
       parameter ( grfwd_input_numnodeinfo_ofs = 65 )

* not used
       integer*2   grfwd_input_dlmode_sz
       parameter ( grfwd_input_dlmode_sz   = 2 )

       integer*2   grfwd_input_dlmode_ofs
       parameter ( grfwd_input_dlmode_ofs  = 67 )

* not used
       integer*2   grfwd_input_preportfile_sz
       parameter ( grfwd_input_preportfile_sz = 4 )

       integer*2   grfwd_input_preportfile_ofs
       parameter ( grfwd_input_preportfile_ofs = 69 )

* dropped table id
       integer*2   grfwd_input_pdroppedtblid_sz
       parameter ( grfwd_input_pdroppedtblid_sz = 4 )

       integer*2   grfwd_input_pdroppedtblid_ofs
       parameter ( grfwd_input_pdroppedtblid_ofs = 73 )

* dropped table export directory
       integer*2   grfwd_input_pexportdir_sz
       parameter ( grfwd_input_pexportdir_sz = 4 )

       integer*2   grfwd_input_pexportdir_ofs
       parameter ( grfwd_input_pexportdir_ofs = 77 )


       integer*2   rfwd_output_struct_sz
       parameter ( rfwd_output_struct_sz   = 12 )

* application id
       integer*2   rfwd_output_papplicationid_sz
       parameter ( rfwd_output_papplicationid_sz = 4 )

       integer*2   rfwd_output_papplicationid_ofs
       parameter ( rfwd_output_papplicationid_ofs = 1 )

* number of replies received
       integer*2   rfwd_output_pnumreplies_sz
       parameter ( rfwd_output_pnumreplies_sz = 4 )

       integer*2   rfwd_output_pnumreplies_ofs
       parameter ( rfwd_output_pnumreplies_ofs = 5 )

* node reply info
       integer*2   rfwd_output_pnodeinfo_sz
       parameter ( rfwd_output_pnodeinfo_sz = 4 )

       integer*2   rfwd_output_pnodeinfo_ofs
       parameter ( rfwd_output_pnodeinfo_ofs = 9 )


* Media types
* path/device
       character*1   sqlu_local_media
       parameter (   sqlu_local_media      = 'L' )

* remote file/device/named pipe
       character*1   sqlu_server_location
       parameter (   sqlu_server_location  = 'S' )

* local file/device/named pipe
       character*1   sqlu_client_location
       parameter (   sqlu_client_location  = 'C' )

* Tivoli Storage Manager
       character*1   sqlu_tsm_media
       parameter (   sqlu_tsm_media        = 'A' )

* X/Open XBSA interface
       character*1   sqlu_xbsa_media
       parameter (   sqlu_xbsa_media       = 'X' )

* vendor library
       character*1   sqlu_other_media
       parameter (   sqlu_other_media      = 'O' )

* user exit
       character*1   sqlu_user_exit
       parameter (   sqlu_user_exit        = 'U' )

* Generated only by vendors
       character*1   sqlu_disk_media
       parameter (   sqlu_disk_media       = 'D' )

* Generated only by vendors
       character*1   sqlu_diskette_media
       parameter (   sqlu_diskette_media   = 'K' )

* Generated only by vendors
       character*1   sqlu_tape_media
       parameter (   sqlu_tape_media       = 'T' )

* Generated only by vendors
       character*1   sqlu_pipe_media
       parameter (   sqlu_pipe_media       = 'P' )


       integer*2   sqlu_media_list_struct_sz
       parameter ( sqlu_media_list_struct_sz = 12 )

       integer*2   sqlu_media_list_media_type_sz
       parameter ( sqlu_media_list_media_type_sz = 1 )

       integer*2   sqlu_media_list_media_type_ofs
       parameter ( sqlu_media_list_media_type_ofs = 1 )

       integer*2   sqlu_media_list_filler_sz
       parameter ( sqlu_media_list_filler_sz = 3 )

       integer*2   sqlu_media_list_filler_ofs
       parameter ( sqlu_media_list_filler_ofs = 2 )

       integer*2   sqlu_media_list_sessions_sz
       parameter ( sqlu_media_list_sessions_sz = 4 )

       integer*2   sqlu_media_list_sessions_ofs
       parameter ( sqlu_media_list_sessions_ofs = 5 )

       integer*2   sqlu_media_list_target_sz
       parameter ( sqlu_media_list_target_sz = 4 )

       integer*2   sqlu_media_list_target_ofs
       parameter ( sqlu_media_list_target_ofs = 9 )


* Struct used by sqlugtpi, sqlugrpi and sqlugrpn to store partitioning
* information
       integer*2   sqlupi_struct_sz
       parameter ( sqlupi_struct_sz        = 10196 )

* Length of partitioning map
       integer*2   sqlupi_pmaplen_sz
       parameter ( sqlupi_pmaplen_sz       = 2 )

       integer*2   sqlupi_pmaplen_ofs
       parameter ( sqlupi_pmaplen_ofs      = 1 )

* Partitioning map
       integer*2   sqlupi_pmap_sz
       parameter ( sqlupi_pmap_sz          = 8192 )

       integer*2   sqlupi_pmap_ofs
       parameter ( sqlupi_pmap_ofs         = 3 )

* # of used SQLPARTKEY elements
       integer*2   sqlupi_sqld_sz
       parameter ( sqlupi_sqld_sz          = 2 )

       integer*2   sqlupi_sqld_ofs
       parameter ( sqlupi_sqld_ofs         = 8195 )

* Partitioning Keys
       integer*2   sqlupi_sqlpartkey_sz
       parameter ( sqlupi_sqlpartkey_sz    = 2000 )

       integer*2   sqlupi_sqlpartkey_ofs
       parameter ( sqlupi_sqlpartkey_ofs   = 8197 )


       integer*2   sqluhtsp_struct_sz
       parameter ( sqluhtsp_struct_sz      = 20 )

* tablespace name
       integer*2   sqluhtsp_tablespace_name_sz
       parameter ( sqluhtsp_tablespace_name_sz = 19 )

       integer*2   sqluhtsp_tablespace_name_ofs
       parameter ( sqluhtsp_tablespace_name_ofs = 1 )

       integer*2   sqluhtsp_filler_sz
       parameter ( sqluhtsp_filler_sz      = 1 )

       integer*2   sqluhtsp_filler_ofs
       parameter ( sqluhtsp_filler_ofs     = 20 )


       integer*2   sqluhadm_struct_sz
       parameter ( sqluhadm_struct_sz      = 180 )

* Completion time of operation
       integer*2   sqluhadm_end_time_sz
       parameter ( sqluhadm_end_time_sz    = 15 )

       integer*2   sqluhadm_end_time_ofs
       parameter ( sqluhadm_end_time_ofs   = 1 )

* Unique object identifier
       integer*2   sqluhadm_id_sz
       parameter ( sqluhadm_id_sz          = 25 )

       integer*2   sqluhadm_id_ofs
       parameter ( sqluhadm_id_ofs         = 16 )

* Result SQLCA from event
       integer*2   sqluhadm_event_sqlca_sz
       parameter ( sqluhadm_event_sqlca_sz = 136 )

       integer*2   sqluhadm_event_sqlca_ofs
       parameter ( sqluhadm_event_sqlca_ofs = 41 )

* Command text
       integer*2   sqluhadm_command_sz
       parameter ( sqluhadm_command_sz     = 4 )

       integer*2   sqluhadm_command_ofs
       parameter ( sqluhadm_command_ofs    = 177 )


       integer*2   sqluhinfo_struct_sz
       parameter ( sqluhinfo_struct_sz     = 424 )

* Eye catcher = 'SQLUHINF'
       integer*2   sqluhinfo_sqluhinfoid_sz
       parameter ( sqluhinfo_sqluhinfoid_sz = 8 )

       integer*2   sqluhinfo_sqluhinfoid_ofs
       parameter ( sqluhinfo_sqluhinfoid_ofs = 1 )

* SQLUHINFO  in bytes=(   )
       integer*2   sqluhinfo_sqluhinfobc_sz
       parameter ( sqluhinfo_sqluhinfobc_sz = 4 )

       integer*2   sqluhinfo_sqluhinfobc_ofs
       parameter ( sqluhinfo_sqluhinfobc_ofs = 9 )

* # of tablespace elements available
       integer*2   sqluhinfo_sqln_sz
       parameter ( sqluhinfo_sqln_sz       = 2 )

       integer*2   sqluhinfo_sqln_ofs
       parameter ( sqluhinfo_sqln_ofs      = 13 )

* # of used tablespace elements
       integer*2   sqluhinfo_sqld_sz
       parameter ( sqluhinfo_sqld_sz       = 2 )

       integer*2   sqluhinfo_sqld_ofs
       parameter ( sqluhinfo_sqld_ofs      = 15 )

* Type of event
       integer*2   sqluhinfo_operation_sz
       parameter ( sqluhinfo_operation_sz  = 2 )

       integer*2   sqluhinfo_operation_ofs
       parameter ( sqluhinfo_operation_ofs = 17 )

* Granularity of operation
       integer*2   sqluhinfo_object_sz
       parameter ( sqluhinfo_object_sz     = 2 )

       integer*2   sqluhinfo_object_ofs
       parameter ( sqluhinfo_object_ofs    = 19 )

* Start time + sequence number.
       integer*2   sqluhinfo_object_part_sz
       parameter ( sqluhinfo_object_part_sz = 18 )

       integer*2   sqluhinfo_object_part_ofs
       parameter ( sqluhinfo_object_part_ofs = 21 )

* More details of operation
       integer*2   sqluhinfo_optype_sz
       parameter ( sqluhinfo_optype_sz     = 2 )

       integer*2   sqluhinfo_optype_ofs
       parameter ( sqluhinfo_optype_ofs    = 39 )

       integer*2   sqluhinfo_device_type_sz
       parameter ( sqluhinfo_device_type_sz = 2 )

       integer*2   sqluhinfo_device_type_ofs
       parameter ( sqluhinfo_device_type_ofs = 41 )

       integer*2   sqluhinfo_first_log_sz
       parameter ( sqluhinfo_first_log_sz  = 13 )

       integer*2   sqluhinfo_first_log_ofs
       parameter ( sqluhinfo_first_log_ofs = 43 )

       integer*2   sqluhinfo_last_log_sz
       parameter ( sqluhinfo_last_log_sz   = 13 )

       integer*2   sqluhinfo_last_log_ofs
       parameter ( sqluhinfo_last_log_ofs  = 56 )

       integer*2   sqluhinfo_backup_id_sz
       parameter ( sqluhinfo_backup_id_sz  = 15 )

       integer*2   sqluhinfo_backup_id_ofs
       parameter ( sqluhinfo_backup_id_ofs = 69 )

       integer*2   sqluhinfo_table_creator_sz
       parameter ( sqluhinfo_table_creator_sz = 9 )

       integer*2   sqluhinfo_table_creator_ofs
       parameter ( sqluhinfo_table_creator_ofs = 84 )

       integer*2   sqluhinfo_table_name_sz
       parameter ( sqluhinfo_table_name_sz = 19 )

       integer*2   sqluhinfo_table_name_ofs
       parameter ( sqluhinfo_table_name_ofs = 93 )

       integer*2   sqluhinfo_num_of_tablespaces_sz
       parameter ( sqluhinfo_num_of_tablespaces_sz = 6 )

       integer*2   sqluhinfo_num_of_tablespaces_ofs
       parameter ( sqluhinfo_num_of_tablespaces_ofs = 112 )

       integer*2   sqluhinfo_location_sz
       parameter ( sqluhinfo_location_sz   = 256 )

       integer*2   sqluhinfo_location_ofs
       parameter ( sqluhinfo_location_ofs  = 118 )

       integer*2   sqluhinfo_comment_sz
       parameter ( sqluhinfo_comment_sz    = 31 )

       integer*2   sqluhinfo_comment_ofs
       parameter ( sqluhinfo_comment_ofs   = 374 )

       integer*2   sqluhinfo_tablespace_sz
       parameter ( sqluhinfo_tablespace_sz = 20 )

       integer*2   sqluhinfo_tablespace_ofs
       parameter ( sqluhinfo_tablespace_ofs = 405 )


*  structure and defines for sqldzcfg API
* 
* nb: 'tbs' is an abbreviaton for 'TABLESPACE'

* max len of File Manager server name
       integer*2   sqldz_max_fs_name_len
       parameter ( sqldz_max_fs_name_len   = 256 )

* JFS support for Datalinks
       integer*2   native_dlff
       parameter ( native_dlff             = 0 )

* DFS support for Datalinks
       integer*2   dfs_dlff
       parameter ( dfs_dlff                = 1 )

* Active Datalinks Manager
       integer*2   active_dlfm
       parameter ( active_dlfm             = 0 )

* Deleted Datalinks Manager
       integer*2   inactive_dlfm
       parameter ( inactive_dlfm           = 1 )

       integer*2   sqldz_serverinfo_struct_sz
       parameter ( sqldz_serverinfo_struct_sz = 284 )

* DLFM TCPIP hostname
       integer*2   fileserver_sz
       parameter ( fileserver_sz           = 257 )

       integer*2   fileserver_ofs
       parameter ( fileserver_ofs          = 1 )

* TCPIP Port Number
       integer*2   fileserverport_sz
       parameter ( fileserverport_sz       = 4 )

       integer*2   fileserverport_ofs
       parameter ( fileserverport_ofs      = 261 )

* File Manager Type
       integer*2   fileservertype_sz
       parameter ( fileservertype_sz       = 4 )

       integer*2   fileservertype_ofs
       parameter ( fileservertype_ofs      = 265 )

* File Manager Status
       integer*2   fileserverstatus_sz
       parameter ( fileserverstatus_sz     = 4 )

       integer*2   fileserverstatus_ofs
       parameter ( fileserverstatus_ofs    = 269 )

* DLFM Instance Name
       integer*2   fileserverinstancename_sz
       parameter ( fileserverinstancename_sz = 9 )

       integer*2   fileserverinstancename_ofs
       parameter ( fileserverinstancename_ofs = 273 )


* Returns number of defined File Manager Servers
       integer*2   sqldz_size
       parameter ( sqldz_size              = 1 )

* Returns sqludz_serverinfo entries for all defined File Manager Servers
       integer*2   sqldz_list
       parameter ( sqldz_list              = 2 )

* Adds File Manager Servers to datalink.cfg config file
       integer*2   sqldz_add
       parameter ( sqldz_add               = 3 )

* Updates File Manager Servers in datalink.cfg config file
       integer*2   sqldz_update
       parameter ( sqldz_update            = 4 )

* Deletes File Manager Servers from datalink.cfg config file
       integer*2   sqldz_delete
       parameter ( sqldz_delete            = 5 )

* Definitions needed for the sqlb api calls
* 
* nb: 'tbs' is an abbreviaton for 'TABLESPACE'

* length of structure version
       integer*2   sqlb_sversion_size
       parameter ( sqlb_sversion_size      = 8 )

* maximum length of a table space name
       integer*2   sqlb_max_tbs_name_sz
       parameter ( sqlb_max_tbs_name_sz    = 128 )

* NB: this constant is set to the maximum size that is likely to be needed
* in future.  Don't confuse this with SQLU_MAX_TBS_NAME_LEN which is set to
* the current maximum size (18).

* Externally visibile flags of a table space
* storage manager class
* System   Managed Space
       integer*2   sqlb_tbs_sms
       parameter ( sqlb_tbs_sms            = '1'x )

* Database Managed Space
       integer*2   sqlb_tbs_dms
       parameter ( sqlb_tbs_dms            = '2'x )

* table space contents
* regular contents
       integer*2   sqlb_tbs_any
       parameter ( sqlb_tbs_any            = '0'x )

* long field data
       integer*2   sqlb_tbs_long
       parameter ( sqlb_tbs_long           = '20'x )

* system temp data
       integer*2   sqlb_tbs_systmp
       parameter ( sqlb_tbs_systmp         = '10'x )

* user temp data
       integer*2   sqlb_tbs_usrtmp
       parameter ( sqlb_tbs_usrtmp         = '40'x )

* kept for compatibility
       integer*2   sqlb_tbs_tmp
       parameter ( sqlb_tbs_tmp            = 16 )

* other flags values
* temp table space is reserved for completion of reorg recovery
       integer*4   sqlb_tbs_tmp_recovery
       parameter ( sqlb_tbs_tmp_recovery   = '20000'x )


* The externally visible state of a table space is composed of the
* hexadecimal sum of various of the following state values.  For example if
* the state is 'quiesced exclusive' and 'load pending', the value would be
* 0x0004 + 0x0008 which is 0x000c.
* 
* You may use the tool db2tbst to do the reverse calculation (from 0x000c to
* 'load pending' and 'quiesced exclusive', for example) which is more
* complex. In our example, execute:
* 
*  db2tbst 0x000c
* 
* which yields:
* 
* State = Quiesced Exclusive
*       + Load Pending
* Normal
       integer*2   sqlb_normal
       parameter ( sqlb_normal             = '0'x )

* Quiesced: SHARE
       integer*2   sqlb_quiesced_share
       parameter ( sqlb_quiesced_share     = '1'x )

* Quiesced: UPDATE
       integer*2   sqlb_quiesced_update
       parameter ( sqlb_quiesced_update    = '2'x )

* Quiesced: EXCLUSIVE
       integer*2   sqlb_quiesced_exclusive
       parameter ( sqlb_quiesced_exclusive = '4'x )

* Load pending
       integer*2   sqlb_load_pending
       parameter ( sqlb_load_pending       = '8'x )

* Delete pending
       integer*2   sqlb_delete_pending
       parameter ( sqlb_delete_pending     = '10'x )

* Backup pending
       integer*2   sqlb_backup_pending
       parameter ( sqlb_backup_pending     = '20'x )

* Roll forward in progress
       integer*2   sqlb_rollforward_in_progress
       parameter ( sqlb_rollforward_in_progress = '40'x )

* Roll forward pending
       integer*2   sqlb_rollforward_pending
       parameter ( sqlb_rollforward_pending = '80'x )

* Restore pending
       integer*2   sqlb_restore_pending
       parameter ( sqlb_restore_pending    = '100'x )

* Recovery pending (use SQLB_RESTORE_PENDING)
       integer*2   sqlb_recovery_pending
       parameter ( sqlb_recovery_pending   = '100'x )

* Disable pending
       integer*2   sqlb_disable_pending
       parameter ( sqlb_disable_pending    = '200'x )

* Reorg in progress
       integer*2   sqlb_reorg_in_progress
       parameter ( sqlb_reorg_in_progress  = '400'x )

* Backup in progress
       integer*2   sqlb_backup_in_progress
       parameter ( sqlb_backup_in_progress = '800'x )

* storage must be defined
       integer*2   sqlb_stordef_pending
       parameter ( sqlb_stordef_pending    = '1000'x )

* Restore in progress
       integer*2   sqlb_restore_in_progress
       parameter ( sqlb_restore_in_progress = '2000'x )

* Offline and not accessible
       integer*2   sqlb_offline
       parameter ( sqlb_offline            = '4000'x )

* Only action is to drop
       integer*4   sqlb_drop_pending
       parameter ( sqlb_drop_pending       = '8000'x )

* No write is allowed
       integer*4   sqlb_suspend_write
       parameter ( sqlb_suspend_write      = '10000'x )

* storage may be defined
       integer*4   sqlb_stordef_allowed
       parameter ( sqlb_stordef_allowed    = '2000000'x )

* storDef is in 'final' state
       integer*4   sqlb_stordef_final_version
       parameter ( sqlb_stordef_final_version = '4000000'x )

* storDef was changed prior to rollforward
       integer*4   sqlb_stordef_changed
       parameter ( sqlb_stordef_changed    = '8000000'x )

* dms rebalancer is active
       integer*4   sqlb_rebal_in_progress
       parameter ( sqlb_rebal_in_progress  = '10000000'x )

* TBS deletion in progress
       integer*4   sqlb_pstat_deletion
       parameter ( sqlb_pstat_deletion     = '20000000'x )

* TBS creation in progress
       integer*4   sqlb_pstat_creation
       parameter ( sqlb_pstat_creation     = '40000000'x )


* For service use only.
       integer*2   sqlb_state_set
       parameter ( sqlb_state_set          = '8'x )


* provide information about the quiescers of a tablespace
       integer*2   sqlb_quies_d_struct_sz
       parameter ( sqlb_quies_d_struct_sz  = 8 )

* tablespace id of quiesceObject
       integer*2   sqlb_quies_d_quiesceid_sz
       parameter ( sqlb_quies_d_quiesceid_sz = 4 )

       integer*2   sqlb_quies_d_quiesceid_ofs
       parameter ( sqlb_quies_d_quiesceid_ofs = 1 )

* object in quiesceId
       integer*2   sqlb_quies_d_quiesceobject_sz
       parameter ( sqlb_quies_d_quiesceobject_sz = 4 )

       integer*2   sqlb_quies_d_quiesceobject_ofs
       parameter ( sqlb_quies_d_quiesceobject_ofs = 5 )


* Maximum number of quiescers
       integer*2   sqlb_max_quiescers
       parameter ( sqlb_max_quiescers      = 5 )

* SQLB_TBSPQRY_DATA version id
       character*8   sqlb_tbspqry_data_id
       parameter (   sqlb_tbspqry_data_id  = 'TBSQ0030' )


* Provide info about a tableSpace in a database
       integer*2   sqlb_tbspq_d_struct_sz
       parameter ( sqlb_tbspq_d_struct_sz  = 300 )

* version
       integer*2   sqlb_tbspq_d_tbspqver_sz
       parameter ( sqlb_tbspq_d_tbspqver_sz = 8 )

       integer*2   sqlb_tbspq_d_tbspqver_ofs
       parameter ( sqlb_tbspq_d_tbspqver_ofs = 1 )

* internal id for the pool
       integer*2   sqlb_tbspq_d_id_sz
       parameter ( sqlb_tbspq_d_id_sz      = 4 )

       integer*2   sqlb_tbspq_d_id_ofs
       parameter ( sqlb_tbspq_d_id_ofs     = 9 )

* length of the name (for cobol & other nonC lang.)
       integer*2   sqlb_tbspq_d_namelen_sz
       parameter ( sqlb_tbspq_d_namelen_sz = 4 )

       integer*2   sqlb_tbspq_d_namelen_ofs
       parameter ( sqlb_tbspq_d_namelen_ofs = 13 )

* NUL terminated name
       integer*2   sqlb_tbspq_d_name_sz
       parameter ( sqlb_tbspq_d_name_sz    = 128 )

       integer*2   sqlb_tbspq_d_name_ofs
       parameter ( sqlb_tbspq_d_name_ofs   = 17 )

* DMS : Pages specified by CREATE TABLESPACE.
* SMS : N/A
       integer*2   sqlb_tbspq_d_totalpages_sz
       parameter ( sqlb_tbspq_d_totalpages_sz = 4 )

       integer*2   sqlb_tbspq_d_totalpages_ofs
       parameter ( sqlb_tbspq_d_totalpages_ofs = 145 )

* DMS : totalPages - overhead
* SMS : N/A
       integer*2   sqlb_tbspq_d_useablepages_sz
       parameter ( sqlb_tbspq_d_useablepages_sz = 4 )

       integer*2   sqlb_tbspq_d_useablepages_ofs
       parameter ( sqlb_tbspq_d_useablepages_ofs = 149 )

* bit attributes for the pool -- includes 'class' & other stuff to be
* defined
       integer*2   sqlb_tbspq_d_flags_sz
       parameter ( sqlb_tbspq_d_flags_sz   = 4 )

       integer*2   sqlb_tbspq_d_flags_ofs
       parameter ( sqlb_tbspq_d_flags_ofs  = 153 )

* pagesize of tablespace (in bytes) .. one of 4K, 8K, 16K, or 32K
       integer*2   sqlb_tbspq_d_pagesize_sz
       parameter ( sqlb_tbspq_d_pagesize_sz = 4 )

       integer*2   sqlb_tbspq_d_pagesize_ofs
       parameter ( sqlb_tbspq_d_pagesize_ofs = 157 )

* extent size (in pages)
       integer*2   sqlb_tbspq_d_extsize_sz
       parameter ( sqlb_tbspq_d_extsize_sz = 4 )

       integer*2   sqlb_tbspq_d_extsize_ofs
       parameter ( sqlb_tbspq_d_extsize_ofs = 161 )

* prefetch size
       integer*2   sqlb_tbspq_d_prefetchsize_sz
       parameter ( sqlb_tbspq_d_prefetchsize_sz = 4 )

       integer*2   sqlb_tbspq_d_prefetchsize_ofs
       parameter ( sqlb_tbspq_d_prefetchsize_ofs = 165 )

* number of containers
       integer*2   sqlb_tbspq_d_ncontainers_sz
       parameter ( sqlb_tbspq_d_ncontainers_sz = 4 )

       integer*2   sqlb_tbspq_d_ncontainers_ofs
       parameter ( sqlb_tbspq_d_ncontainers_ofs = 169 )

* SQLB_NORMAL, SQLB_LOAD_PENDING, etc.
       integer*2   sqlb_tbspq_d_tbsstate_sz
       parameter ( sqlb_tbspq_d_tbsstate_sz = 4 )

       integer*2   sqlb_tbspq_d_tbsstate_ofs
       parameter ( sqlb_tbspq_d_tbsstate_ofs = 173 )

* 'timestamp' identifying the origin of the tbs
       integer*2   sqlb_tbspq_d_lifelsn_sz
       parameter ( sqlb_tbspq_d_lifelsn_sz = 6 )

       integer*2   sqlb_tbspq_d_lifelsn_ofs
       parameter ( sqlb_tbspq_d_lifelsn_ofs = 177 )

* for alignment
       integer*2   sqlb_tbspq_d_pad_sz
       parameter ( sqlb_tbspq_d_pad_sz     = 2 )

       integer*2   sqlb_tbspq_d_pad_ofs
       parameter ( sqlb_tbspq_d_pad_ofs    = 183 )

* bit attributes for the pool
       integer*2   sqlb_tbspq_d_flags2_sz
       parameter ( sqlb_tbspq_d_flags2_sz  = 4 )

       integer*2   sqlb_tbspq_d_flags2_ofs
       parameter ( sqlb_tbspq_d_flags2_ofs = 185 )

* Minimum Recovery Time
       integer*2   sqlb_tbspq_d_minimumrectime_sz
       parameter ( sqlb_tbspq_d_minimumrectime_sz = 27 )

       integer*2   sqlb_tbspq_d_minimumrectime_ofs
       parameter ( sqlb_tbspq_d_minimumrectime_ofs = 189 )

* for alignment
       integer*2   sqlb_tbspq_d_pad1_sz
       parameter ( sqlb_tbspq_d_pad1_sz    = 1 )

       integer*2   sqlb_tbspq_d_pad1_ofs
       parameter ( sqlb_tbspq_d_pad1_ofs   = 216 )

* For Load or Delete Pending
       integer*2   sqlb_tbspq_d_statechngobj_sz
       parameter ( sqlb_tbspq_d_statechngobj_sz = 4 )

       integer*2   sqlb_tbspq_d_statechngobj_ofs
       parameter ( sqlb_tbspq_d_statechngobj_ofs = 217 )

* For Load or Delete Pending
       integer*2   sqlb_tbspq_d_statechngid_sz
       parameter ( sqlb_tbspq_d_statechngid_sz = 4 )

       integer*2   sqlb_tbspq_d_statechngid_ofs
       parameter ( sqlb_tbspq_d_statechngid_ofs = 221 )

* Number of queiscers
       integer*2   sqlb_tbspq_d_nquiescers_sz
       parameter ( sqlb_tbspq_d_nquiescers_sz = 4 )

       integer*2   sqlb_tbspq_d_nquiescers_ofs
       parameter ( sqlb_tbspq_d_nquiescers_ofs = 225 )

* quiescer info
       integer*2   sqlb_tbspq_d_quiescer_sz
       parameter ( sqlb_tbspq_d_quiescer_sz = 40 )

       integer*2   sqlb_tbspq_d_quiescer_ofs
       parameter ( sqlb_tbspq_d_quiescer_ofs = 229 )

* for future use
       integer*2   sqlb_tbspq_d_reserved_sz
       parameter ( sqlb_tbspq_d_reserved_sz = 32 )

       integer*2   sqlb_tbspq_d_reserved_ofs
       parameter ( sqlb_tbspq_d_reserved_ofs = 269 )


* container type
* SMS: directory path specs
       integer*2   sqlb_cont_path
       parameter ( sqlb_cont_path          = 0 )

* DMS: a 'raw' or 'device' spec
       integer*2   sqlb_cont_disk
       parameter ( sqlb_cont_disk          = 1 )

* DMS: a 'cooked file' -> file spec
       integer*2   sqlb_cont_file
       parameter ( sqlb_cont_file          = 2 )

* DMS: 'striped' disk spec
       integer*2   sqlb_cont_striped_disk
       parameter ( sqlb_cont_striped_disk  = 5 )

* DMS: 'striped' file spec
       integer*2   sqlb_cont_striped_file
       parameter ( sqlb_cont_striped_file  = 6 )


* provide information about the containers on which tablespaces are based
       integer*2   sqlb_tbscq_d_struct_sz
       parameter ( sqlb_tbscq_d_struct_sz  = 292 )

* container id
       integer*2   sqlb_tbscq_d_id_sz
       parameter ( sqlb_tbscq_d_id_sz      = 4 )

       integer*2   sqlb_tbscq_d_id_ofs
       parameter ( sqlb_tbscq_d_id_ofs     = 1 )

* num table spaces sharing this container (is always 1 for DMS tablespaces)
       integer*2   sqlb_tbscq_d_ntbs_sz
       parameter ( sqlb_tbscq_d_ntbs_sz    = 4 )

       integer*2   sqlb_tbscq_d_ntbs_ofs
       parameter ( sqlb_tbscq_d_ntbs_ofs   = 5 )

* tableSpace id, when 'nTbs' is 1
       integer*2   sqlb_tbscq_d_tbsid_sz
       parameter ( sqlb_tbscq_d_tbsid_sz   = 4 )

       integer*2   sqlb_tbscq_d_tbsid_ofs
       parameter ( sqlb_tbscq_d_tbsid_ofs  = 9 )

* length of name (for non-C lang.)
       integer*2   sqlb_tbscq_d_namelen_sz
       parameter ( sqlb_tbscq_d_namelen_sz = 4 )

       integer*2   sqlb_tbscq_d_namelen_ofs
       parameter ( sqlb_tbscq_d_namelen_ofs = 13 )

* null term. name
       integer*2   sqlb_tbscq_d_name_sz
       parameter ( sqlb_tbscq_d_name_sz    = 256 )

       integer*2   sqlb_tbscq_d_name_ofs
       parameter ( sqlb_tbscq_d_name_ofs   = 17 )

* 1 if container is under the DB directory, 0 if not
       integer*2   sqlb_tbscq_d_underdbdir_sz
       parameter ( sqlb_tbscq_d_underdbdir_sz = 4 )

       integer*2   sqlb_tbscq_d_underdbdir_ofs
       parameter ( sqlb_tbscq_d_underdbdir_ofs = 273 )

* SQLB_CONT_PATH/DISK/FILE
       integer*2   sqlb_tbscq_d_conttype_sz
       parameter ( sqlb_tbscq_d_conttype_sz = 4 )

       integer*2   sqlb_tbscq_d_conttype_ofs
       parameter ( sqlb_tbscq_d_conttype_ofs = 277 )

* DMS : Pages specified by CREATE TABLESPACE. SMS : N/A
       integer*2   sqlb_tbscq_d_totalpages_sz
       parameter ( sqlb_tbscq_d_totalpages_sz = 4 )

       integer*2   sqlb_tbscq_d_totalpages_ofs
       parameter ( sqlb_tbscq_d_totalpages_ofs = 281 )

* DMS : totalPages - overhead SMS : N/A
       integer*2   sqlb_tbscq_d_useablepages_sz
       parameter ( sqlb_tbscq_d_useablepages_sz = 4 )

       integer*2   sqlb_tbscq_d_useablepages_ofs
       parameter ( sqlb_tbscq_d_useablepages_ofs = 285 )

* 1 if container is accessible, 0 if there is a problem
       integer*2   sqlb_tbscq_d_ok_sz
       parameter ( sqlb_tbscq_d_ok_sz      = 4 )

       integer*2   sqlb_tbscq_d_ok_ofs
       parameter ( sqlb_tbscq_d_ok_ofs     = 289 )


* provide statistics on a tablespace
* BETA NOTE: currently, we only provide stats on DMS tablespaces
* SRSFIX: determine what SMS support to ship with V2
       integer*2   sqlb_tbs_stats_struct_sz
       parameter ( sqlb_tbs_stats_struct_sz = 20 )

* DMS : Pages specified by CREATE TABLESPACE.
* SMS : Pages of all files in the directories.
       integer*2   sqlb_tbs_stats_totalpages_sz
       parameter ( sqlb_tbs_stats_totalpages_sz = 4 )

       integer*2   sqlb_tbs_stats_totalpages_ofs
       parameter ( sqlb_tbs_stats_totalpages_ofs = 1 )

* DMS : totalPages - overhead
* SMS : same as totalPages
       integer*2   sqlb_tbs_stats_useablepages_sz
       parameter ( sqlb_tbs_stats_useablepages_sz = 4 )

       integer*2   sqlb_tbs_stats_useablepages_ofs
       parameter ( sqlb_tbs_stats_useablepages_ofs = 5 )

* DMS : used and allocated pages in the pool
* SMS : same as totalPages
       integer*2   sqlb_tbs_stats_usedpages_sz
       parameter ( sqlb_tbs_stats_usedpages_sz = 4 )

       integer*2   sqlb_tbs_stats_usedpages_ofs
       parameter ( sqlb_tbs_stats_usedpages_ofs = 9 )

* DMS : useablePages - usedPages
* SMS : N/A
       integer*2   sqlb_tbs_stats_freepages_sz
       parameter ( sqlb_tbs_stats_freepages_sz = 4 )

       integer*2   sqlb_tbs_stats_freepages_ofs
       parameter ( sqlb_tbs_stats_freepages_ofs = 13 )

* DMS : high water mark of used page number
* SMS : N/A
       integer*2   sqlb_tbs_stats_highwatermark_sz
       parameter ( sqlb_tbs_stats_highwatermark_sz = 4 )

       integer*2   sqlb_tbs_stats_highwatermark_ofs
       parameter ( sqlb_tbs_stats_highwatermark_ofs = 17 )


* all tablespaces in database
       integer*2   sqlb_open_tbs_all
       parameter ( sqlb_open_tbs_all       = '0'x )

* all tablespaces my agent is restoring
       integer*2   sqlb_open_tbs_restore
       parameter ( sqlb_open_tbs_restore   = '1'x )

* all tablespaces where storage definition is allowed
       integer*2   sqlb_open_tbs_stordef
       parameter ( sqlb_open_tbs_stordef   = '2'x )

* reserved
       integer*2   sqlb_open_tbs_reserved
       parameter ( sqlb_open_tbs_reserved  = '4'x )


* constant used in place of tablespace id to indicate all table spaces in db
       integer*4   sqlb_all_tablespaces
       parameter ( sqlb_all_tablespaces    = 'fffe'x )


* constants used for reserved parameters
       integer*4   sqlb_reserved1
       parameter ( sqlb_reserved1          = 'fffd'x )

       integer*4   sqlb_reserved2
       parameter ( sqlb_reserved2          = 'fffe'x )



       integer*2   sqlb_set_cont_init_state
       parameter ( sqlb_set_cont_init_state = 0 )

       integer*2   sqlb_set_cont_final_state
       parameter ( sqlb_set_cont_final_state = 1 )





* Get Row Partitioning Information
       integer*4    sqlugrpi_api
       external     sqlugrpi_api

* Get Row Partitioning Number
       integer*4    sqlugrpn_api
       external     sqlugrpn_api

* Get Table Partitioning Information
       integer*4    sqlugtpi_api
       external     sqlugtpi_api

* Generic APIs

* Get Authorizations
       integer*4    sqlgadau
       external     sqlgadau


* Get Default Database Configuration
       integer*4    sqlgddb
       external     sqlgddb


* Reset Database Configuration
       integer*4    sqlgrdb
       external     sqlgrdb


* Update Database Configuration
       integer*4    sqlgudb
       external     sqlgudb


* Get Database Configuration
       integer*4    sqlgxdb
       external     sqlgxdb


* Get Database Manager Configuration Defaults
       integer*4    sqlgdsys
       external     sqlgdsys


* Backup Database
       integer*4    sqlgbkp
       external     sqlgbkp


* Backup Database
       integer*4    sqlgbkup
       external     sqlgbkup


* Describe Database
       integer*4    sqlgdsdb
       external     sqlgdsdb


* Close Recovery History File Scan
       integer*4    sqlghcls
       external     sqlghcls


* Get Next Recovery History File Entry
       integer*4    sqlghgne
       external     sqlghgne


* Open Recovery History File Scan
       integer*4    sqlghops
       external     sqlghops


* Prune Recovery History File
       integer*4    sqlghprn
       external     sqlghprn


* Update Recovery History File
       integer*4    sqlghupd
       external     sqlghupd


* Rollforward Database
       integer*4    sqlgroll
       external     sqlgroll


* Restore Database
       integer*4    sqlgrestore
       external     sqlgrestore


* Restore Database
       integer*4    sqlgrst
       external     sqlgrst


* Restore Database
       integer*4    sqlgrsto
       external     sqlgrsto


* Reconcile Table
       integer*4    sqlgrcon
       external     sqlgrcon


* Quiesce Tablespaces for Table
       integer*4    sqlgvqdp
       external     sqlgvqdp


* Data Redistribution
       integer*4    sqlgdrdt
       external     sqlgdrdt


* EXPORT FROM
       integer*4    sqlgexpr
       external     sqlgexpr


* Export
       integer*4    sqlgexpt
       external     sqlgexpt


* Import
       integer*4    sqlgimpr
       external     sqlgimpr

* Get Row Partitioning Information
       integer*4    sqlggrpi
       external     sqlggrpi

* Get Row Partitioning Number
       integer*4    sqlggrpn
       external     sqlggrpn

* Get Table Partitioning Information
       integer*4    sqlggtpi
       external     sqlggtpi

* Import
       integer*4    sqlgimpt
       external     sqlgimpt


* Load
       integer*4    sqlgload
       external     sqlgload


* Query
       integer*4    sqlgqry
       external     sqlgqry


* Reorganize Table
       integer*4    sqlgreot
       external     sqlgreot


* Run Statistics
       integer*4    sqlgstat
       external     sqlgstat


* Dereference Address
       integer*4    sqlgdref
       external     sqlgdref


* Copy Memory
       integer*4    sqlgmcpy
       external     sqlgmcpy


* Return address
       integer*4    sqlgaddr
       external     sqlgaddr


* Configuration Utility Commands

* Reset Database Manager Configuration
       integer*4    sqlgrsys
       external     sqlgrsys


* Update Database Manager Configuration
       integer*4    sqlgusys
       external     sqlgusys


* Get Database Manager Configuration
       integer*4    sqlgxsys
       external     sqlgxsys


* Single TableSpace Query
       integer*4    sqlgstpq
       external     sqlgstpq


* Open TableSpace Query
       integer*4    sqlgotsq
       external     sqlgotsq


* Fetch TableSpace Query
       integer*4    sqlgftpq
       external     sqlgftpq


* Close TableSpace Query
       integer*4    sqlgctsq
       external     sqlgctsq


* TableSpace Query
       integer*4    sqlgmtsq
       external     sqlgmtsq


* Open Tablespace Container Query
       integer*4    sqlgotcq
       external     sqlgotcq


* Fetch Tablespace Container Query
       integer*4    sqlgftcq
       external     sqlgftcq


* Close Tablespace Container Query
       integer*4    sqlgctcq
       external     sqlgctcq


* Tablespace Container Query
       integer*4    sqlgtcq
       external     sqlgtcq


* Set TableSpace Containers
       integer*4    sqlgstsc
       external     sqlgstsc


* Get TableSpace Statistics
       integer*4    sqlggtss
       external     sqlggtss


* Get table authorizations
       integer*4    sqlgtbau
       external     sqlgtbau


* SQL Return Codes in SQLCODE for UTILITY/CONFIGURATION Commands

* If using the symbolic constants SQL-RC-OK and SQL-RC-INVALID-SQLCA ensure
* sql.f is included.

* ROLL FORWARD Return Codes - more in the 4900's

* Log Control file not found.
       integer*2   sqlu_rc_nolfh
       parameter ( sqlu_rc_nolfh           = -1258 )

* I/O Error accessing LFH.
       integer*2   sqlu_rc_ioelfh
       parameter ( sqlu_rc_ioelfh          = -1259 )

* DB not enabled for Roll Fwd
       integer*2   sqlu_rc_rfnoten
       parameter ( sqlu_rc_rfnoten         = -1260 )

* Roll Forward is not Pending
       integer*2   sqlu_rc_rfnotp
       parameter ( sqlu_rc_rfnotp          = -1261 )

* Bad Point in Time specified
       integer*2   sqlu_rc_badpit
       parameter ( sqlu_rc_badpit          = -1262 )

* Invalid Log Extent file
       integer*2   sqlu_rc_invext
       parameter ( sqlu_rc_invext          = -1263 )

* Log Extent file does not belong to DB
       integer*2   sqlu_rc_notext
       parameter ( sqlu_rc_notext          = -1264 )

* Log extent file is incorrect version
       integer*2   sqlu_rc_ivrext
       parameter ( sqlu_rc_ivrext          = -1265 )

* Time specified is before previous roll-forward time
       integer*2   sqlu_rc_prtime
       parameter ( sqlu_rc_prtime          = -1266 )

* User exit encountered an error (other than retry) while attempting to
* retrieve a log extent file for roll forward
       integer*2   sqlu_rc_uexit_err
       parameter ( sqlu_rc_uexit_err       = -1268 )

* Rollforward by tablespace in progress.
       integer*2   sqlu_rc_rfinprg
       parameter ( sqlu_rc_rfinprg         = -1269 )

* Roll forward complete but I/O errors encountered
       integer*2   sqlu_rc_rcvioerr
       parameter ( sqlu_rc_rcvioerr        = 1271 )

* Rollforward by tablespace has stopped.
       integer*2   sqlu_rc_rfstop
       parameter ( sqlu_rc_rfstop          = -1272 )

* Missing log extent file.
       integer*2   sqlu_rc_missing_ext
       parameter ( sqlu_rc_missing_ext     = -1273 )

* Invalid stop time for tablespace rollforward.
       integer*2   sqlu_rc_invtsp_stoptime
       parameter ( sqlu_rc_invtsp_stoptime = -1274 )

* invalid stop time specified
       integer*2   sqlu_invrfr_stoptime
       parameter ( sqlu_invrfr_stoptime    = -1275 )

* invalid time to issue a stop
       integer*2   sqlu_invrfr_stop
       parameter ( sqlu_invrfr_stop        = -1276 )

* Restore found one or more containers are inaccessable
       integer*2   sqlud_inaccessable_container
       parameter ( sqlud_inaccessable_container = 1277 )

* Roll forward complete but rollback required
       integer*2   sqlu_rc_tbsrollbk
       parameter ( sqlu_rc_tbsrollbk       = 1278 )

* Restart complete but not all invalid  indexes were recreated
       integer*2   sql_rc_recreate_indexes
       parameter ( sql_rc_recreate_indexes = 1279 )

* invalid stop time specified for tablespace rollforward
       integer*2   sqlu_invrfr_tbspittime
       parameter ( sqlu_invrfr_tbspittime  = -1280 )


* invalid client comm. protocols
       integer*2   sqlf_rc_inv_client_comm
       parameter ( sqlf_rc_inv_client_comm = -1290 )

* invalid directory services field
       integer*2   sqlf_rc_inv_dir_field
       parameter ( sqlf_rc_inv_dir_field   = -1296 )


* hostname in node dir unknown
       integer*2   sqlcc_rc_unknown_host
       parameter ( sqlcc_rc_unknown_host   = -1336 )

* service name in node directory is unknown
       integer*2   sqlcc_rc_unknown_service
       parameter ( sqlcc_rc_unknown_service = -1337 )

* CPI-C symdestname is unknown
       integer*2   sqlcc_rc_unknown_sym_dest_name
       parameter ( sqlcc_rc_unknown_sym_dest_name = -1338 )

* wrkstn name (nname)
       integer*2   sqlcc_rc_nname_notfound
       parameter ( sqlcc_rc_nname_notfound = -1341 )

* SOCKS env vars not found
       integer*2   sqlcc_rc_no_socks_env_var
       parameter ( sqlcc_rc_no_socks_env_var = -1460 )

* socket address in use
       integer*2   sqlcc_rc_sockaddr_in_use
       parameter ( sqlcc_rc_sockaddr_in_use = -5040 )

* general failure in servercommunications support
       integer*2   sqlcc_rc_comm_support_failed
       parameter ( sqlcc_rc_comm_support_failed = -5042 )


* invalid discover type
       integer*2   sqlf_rc_inv_discover_type
       parameter ( sqlf_rc_inv_discover_type = -1480 )

* invalid discover comm
       integer*2   sqlf_rc_inv_discover_comm
       parameter ( sqlf_rc_inv_discover_comm = -1481 )


* buffpage may be ignored
       integer*2   sqlf_warning_buffpage
       parameter ( sqlf_warning_buffpage   = 1482 )


* GENERAL UTILITY Return Codes

* Invalid output drive
       integer*2   sqlu_bad_drive
       parameter ( sqlu_bad_drive          = -2000 )

* Backup terminated by user
       integer*2   sqlu_user_term
       parameter ( sqlu_user_term          = -2001 )

* database not local
       integer*2   sqlu_not_local
       parameter ( sqlu_not_local          = -2002 )

* base op system error
       integer*2   sqlu_dos_error
       parameter ( sqlu_dos_error          = -2003 )

* SQL error occurred
       integer*2   sqlu_sql_error
       parameter ( sqlu_sql_error          = -2004 )

* read wrong # of bytes
       integer*2   sqlu_read_error
       parameter ( sqlu_read_error         = -2005 )

* too few buffers for pagesize
       integer*2   sqlu_buff_too_small
       parameter ( sqlu_buff_too_small     = -2007 )

* call out of sequence
       integer*2   sqlu_invalid_action
       parameter ( sqlu_invalid_action     = -2008 )

* insufficient memory
       integer*2   sqlu_insuff_memory
       parameter ( sqlu_insuff_memory      = -2009 )

* error in Start Using
       integer*2   sqlu_strd_error
       parameter ( sqlu_strd_error         = -2010 )

* error in Stop Using
       integer*2   sqlu_stpd_error
       parameter ( sqlu_stpd_error         = -2011 )

* directory Scan error
       integer*2   sqlu_dir_error
       parameter ( sqlu_dir_error          = -2013 )

* invalid database name
       integer*2   sqlu_invalid_dbname
       parameter ( sqlu_invalid_dbname     = -2015 )

* invalid path in environment
       integer*2   sqlu_invalid_path
       parameter ( sqlu_invalid_path       = -2016 )

* Start Session failed
       integer*2   sqlu_start_session
       parameter ( sqlu_start_session      = -2017 )

* invalid authorizations
       integer*2   sqlu_invalid_auths
       parameter ( sqlu_invalid_auths      = -2018 )

* auto-binding failed
       integer*2   sqlu_autobind
       parameter ( sqlu_autobind           = -2019 )

* conflict after auto-bind control file
       integer*2   sqlu_timestamp
       parameter ( sqlu_timestamp          = -2020 )

* I/O error in accessing the log
       integer*2   sqlu_io_error_lfh
       parameter ( sqlu_io_error_lfh       = -2023 )

* I/O error in accessing the Backup/Restore flag file
       integer*2   sqlu_io_error_brg
       parameter ( sqlu_io_error_brg       = -2024 )

* System I/O error occurred
       integer*2   sqlu_io_error
       parameter ( sqlu_io_error           = -2025 )

* error in PAUSE the started DB
       integer*2   sqlu_pause_error
       parameter ( sqlu_pause_error        = -2026 )

* error in CONTINUE the stoped DB
       integer*2   sqlu_cont_error
       parameter ( sqlu_cont_error         = -2027 )

* interruption installing error
       integer*2   sqlu_int_inst_err
       parameter ( sqlu_int_inst_err       = -2028 )

* user exit returned non-zero rc
       integer*2   sqlu_uexit_rc
       parameter ( sqlu_uexit_rc           = -2029 )


* warning to mount tape
       integer*2   sqlu_first_tape_warning
       parameter ( sqlu_first_tape_warning = 2031 )

* parameter to utility incorrect
       integer*2   sqlu_invalid_parm
       parameter ( sqlu_invalid_parm       = -2032 )

* TSM reported error
       integer*2   sqlu_tsm_error
       parameter ( sqlu_tsm_error          = -2033 )

* address of parameter incorrect
       integer*2   sqlu_invalid_parm_address
       parameter ( sqlu_invalid_parm_address = -2034 )

* error during nointerrupt action
       integer*2   sqlu_noint_error
       parameter ( sqlu_noint_error        = -2035 )

* directory does not exist
       integer*2   sqlu_path_error
       parameter ( sqlu_path_error         = -2036 )

* unable to load TSM
       integer*2   sqlu_load_tsm_error
       parameter ( sqlu_load_tsm_error     = -2037 )

* database system error
       integer*2   sqlu_dbsystem_error
       parameter ( sqlu_dbsystem_error     = -2038 )

* application terminated
       integer*2   sqlu_no_app_error
       parameter ( sqlu_no_app_error       = -2039 )

* alias parameter error
       integer*2   sqlu_alias_error
       parameter ( sqlu_alias_error        = -2040 )

* buff_size parameter error
       integer*2   sqlu_buffsize_error
       parameter ( sqlu_buffsize_error     = -2041 )

* I/O error during change tape
       integer*2   sqlu_io_warning
       parameter ( sqlu_io_warning         = 2042 )

* Spawn child process error
       integer*2   sqlu_spawn_edu_error
       parameter ( sqlu_spawn_edu_error    = -2043 )

* Message queue error
       integer*2   sqlu_queue_error
       parameter ( sqlu_queue_error        = -2044 )

* Object access error
       integer*2   sqlu_object_access_error
       parameter ( sqlu_object_access_error = -2048 )

* Bad backup image
       integer*2   sqlu_corrupt_image_error
       parameter ( sqlu_corrupt_image_error = -2054 )

* Unable to access memory set
       integer*2   sqlu_memory_access_error
       parameter ( sqlu_memory_access_error = -2055 )

* device path point to unknown device type
       integer*2   sqlu_unknown_media_type
       parameter ( sqlu_unknown_media_type = -2056 )

* device or file already opened by other process
       integer*2   sqlu_media_cannot_be_shared
       parameter ( sqlu_media_cannot_be_shared = -2057 )

* End of tape or file encountered during read
       integer*2   sqlu_end_of_media_warning
       parameter ( sqlu_end_of_media_warning = 2058 )

* Device is full during write
       integer*2   sqlu_device_full_warning
       parameter ( sqlu_device_full_warning = 2059 )

* Empty device or file not found during read
       integer*2   sqlu_media_empty_warning
       parameter ( sqlu_media_empty_warning = 2060 )

* Access denied due to authority level
       integer*2   sqlu_media_access_denied
       parameter ( sqlu_media_access_denied = -2061 )

* Access error
       integer*2   sqlu_media_access_error
       parameter ( sqlu_media_access_error = -2062 )

* Terminate last Media IO.
       integer*2   sqlu_term_last_media_warning
       parameter ( sqlu_term_last_media_warning = 2065 )

* Invalid tablespace name
       integer*2   sqlu_bad_tablespace_name
       parameter ( sqlu_bad_tablespace_name = -2066 )

* Could not locate media header in backup or copy image
       integer*2   sqlu_no_media_header
       parameter ( sqlu_no_media_header    = -2068 )

* Mismatch alias name from media
       integer*2   sqlu_incorrect_dbalias
       parameter ( sqlu_incorrect_dbalias  = -2069 )

* Mismatch timestamp read from media
       integer*2   sqlu_incorrect_timestamp
       parameter ( sqlu_incorrect_timestamp = -2070 )


* Shared library access error
       integer*2   sqlu_shr_lib_access_error
       parameter ( sqlu_shr_lib_access_error = -2071 )

* Bind shared library error
       integer*2   sqlu_bind_shr_lib_error
       parameter ( sqlu_bind_shr_lib_error = -2072 )


* Error at DB2 or DLFM
       integer*2   sqlu_datalink_internal_error
       parameter ( sqlu_datalink_internal_error = -2073 )

* Error at DB2 end
       integer*2   sqlu_datalink_db_error
       parameter ( sqlu_datalink_db_error  = -2074 )

* Error at DLFM end
       integer*2   sqlu_datalink_dlfm_error
       parameter ( sqlu_datalink_dlfm_error = -2075 )

* Unable to register DLM Server
       integer*2   sqlu_register_dlfm_warning
       parameter ( sqlu_register_dlfm_warning = 2076 )

* DLMs down during reconcile
       integer*2   sqlu_reconcile_dlm_pend_warn
       parameter ( sqlu_reconcile_dlm_pend_warn = 2077 )

* Out of sequence tablespace restore
       integer*2   sqlud_tsp_restore_out_of_seq
       parameter ( sqlud_tsp_restore_out_of_seq = -2154 )


* ARCHIVE LOG Return Codes
* Database is not in recoverable mode.
       integer*2   sqlu_archivelog_nonrecov_db
       parameter ( sqlu_archivelog_nonrecov_db = -2417 )

* HISTORY TABLE Return Codes
* Changes were made to historyfile during update.
       integer*2   sqluh_scan_updated_warning
       parameter ( sqluh_scan_updated_warning = 2155 )

* MAX # open scans exceeded
       integer*2   sqluh_max_scans_exceeded
       parameter ( sqluh_max_scans_exceeded = -2157 )

* History file is unfixable
       integer*2   sqluh_damaged_file
       parameter ( sqluh_damaged_file      = -2161 )

* number of tablespaces changed
       integer*2   sqluh_sqluhinfo_vars_warning
       parameter ( sqluh_sqluhinfo_vars_warning = 2165 )

* Duplicate timestamp found
       integer*2   sqluh_duplicate_entry
       parameter ( sqluh_duplicate_entry   = -2170 )

* Entry not found on update
       integer*2   sqluh_entry_not_found
       parameter ( sqluh_entry_not_found   = -2171 )

* Access history file warning
       integer*2   sqlu_access_hist_warning
       parameter ( sqlu_access_hist_warning = 2172 )


* PRUNE command return codes
* PRUNE LOGFILE not allowed in this database configuration
       integer*2   sqlu_prune_log_not_allowed
       parameter ( sqlu_prune_log_not_allowed = -1206 )


* REORGANIZE TABLE Return Codes
* invalid authid on index name
       integer*2   sqlur_invalid_authid
       parameter ( sqlur_invalid_authid    = -2200 )

* invalid tablename syntax
       integer*2   sqlur_invalid_tablename
       parameter ( sqlur_invalid_tablename = -2203 )

* invalid tablename syntax
       integer*2   sqlur_invalid_indexname
       parameter ( sqlur_invalid_indexname = -2204 )

* index doesn't exist
       integer*2   sqlur_index_not_found
       parameter ( sqlur_index_not_found   = -2205 )

* invalid filepath pointer
       integer*2   sqlur_invalid_filepath
       parameter ( sqlur_invalid_filepath  = -2207 )

* invalid tablespace pointer
       integer*2   sqlur_invalid_tablespace
       parameter ( sqlur_invalid_tablespace = -2208 )

* table does not exist
       integer*2   sqlur_table_not_found
       parameter ( sqlur_table_not_found   = -2211 )

* cannot reorg a view
       integer*2   sqlur_view_error
       parameter ( sqlur_view_error        = -2212 )

* Incorrect tablespace type
       integer*2   sqlur_incorrect_tablespace
       parameter ( sqlur_incorrect_tablespace = -2213 )

* insuffic authority
       integer*2   sqlur_insauth
       parameter ( sqlur_insauth           = -2214 )

* SQL error commiting prev work
       integer*2   sqlur_sqlerr_comprev
       parameter ( sqlur_sqlerr_comprev    = -2215 )

* SQL error during reorganization
       integer*2   sqlur_sqlerr_reorg
       parameter ( sqlur_sqlerr_reorg      = -2216 )

* Invalid temp tablespace for reorg table
       integer*2   sqlur_inv_temp
       parameter ( sqlur_inv_temp          = -2217 )


* RUN STATISTICS Return Codes
* invalid authid
       integer*2   sqlus_invalid_authid
       parameter ( sqlus_invalid_authid    = -2300 )

* invalid table name
       integer*2   sqlus_invalid_table_name
       parameter ( sqlus_invalid_table_name = -2301 )

* invalid index pointer
       integer*2   sqlus_invalid_index_list
       parameter ( sqlus_invalid_index_list = -2302 )

* statsopt parameter invalid
       integer*2   sqlus_invalid_stats_opt
       parameter ( sqlus_invalid_stats_opt = -2303 )

* sharelev parameter invalid
       integer*2   sqlus_invalid_share_lev
       parameter ( sqlus_invalid_share_lev = -2304 )

* table specified is a view
       integer*2   sqlus_views_not_allowed
       parameter ( sqlus_views_not_allowed = -2305 )

* object doesn't exist
       integer*2   sqlus_obj_does_not_exist
       parameter ( sqlus_obj_does_not_exist = -2306 )

* system table not allowed
       integer*2   sqlus_sys_table_not_allowed
       parameter ( sqlus_sys_table_not_allowed = -2307 )

* index authid invalid
       integer*2   sqlus_invalid_index_authid
       parameter ( sqlus_invalid_index_authid = -2308 )

* index name invalid
       integer*2   sqlus_invalid_index_name
       parameter ( sqlus_invalid_index_name = -2309 )

* error running statistics
       integer*2   sqlus_error_stat
       parameter ( sqlus_error_stat        = -2310 )

* insuffic authority for runstats
       integer*2   sqlus_insauth
       parameter ( sqlus_insauth           = -2311 )

* statistics heap is too small
       integer*2   sqlus_stats_heap_too_small
       parameter ( sqlus_stats_heap_too_small = -2312 )

* incomplete statistics collected
       integer*2   sqlus_partial_success
       parameter ( sqlus_partial_success   = 2313 )

* Statistics are in an inconsistent state
       integer*2   sqlus_inconsistent_stats
       parameter ( sqlus_inconsistent_stats = 2314 )


* Rst DB turn off roll fwd pend, old OS/2 API only
       integer*2   sqlud_rst_norollfwd
       parameter ( sqlud_rst_norollfwd     = 3 )

* Old OS/2 Backup calling action values
* backup entire database
       integer*2   sqlu_back_all
       parameter ( sqlu_back_all           = '0'x )

* backup changes only
       integer*2   sqlu_back_changes
       parameter ( sqlu_back_changes       = '1'x )

* quiesce during backup
       integer*2   sqlu_back_quiesce
       parameter ( sqlu_back_quiesce       = '800'x )

* New UOW return error immed
       integer*2   sqlu_new_uow_return_error
       parameter ( sqlu_new_uow_return_error = '400'x )


* pause or Continue or migration error
       integer*2   sqlu_dbm_error
       parameter ( sqlu_dbm_error          = -2014 )

* Wrong diskette inserted
       integer*2   sqlu_wrong_diskette
       parameter ( sqlu_wrong_diskette     = -2021 )

* a specific fixed disk is full
       integer*2   sqlu_disk_full
       parameter ( sqlu_disk_full          = -2030 )


* invalid type
       integer*2   sqlub_bad_type
       parameter ( sqlub_bad_type          = -2400 )

* type must be database
       integer*2   sqlub_type_mustbe_db
       parameter ( sqlub_type_mustbe_db    = -2401 )

* insufficient auth for backup
       integer*2   sqlub_user_not_auth
       parameter ( sqlub_user_not_auth     = -2403 )

* The target disk/diskette is full
       integer*2   sqlub_media_full
       parameter ( sqlub_media_full        = -2404 )

* The Backup can't run because B/R flag file existed and read I/O error
* occurred
       integer*2   sqlub_br_inprog
       parameter ( sqlub_br_inprog         = -2407 )

* Backup process is successful, but unable to delete BRG file
       integer*2   sqlub_del_brg_err
       parameter ( sqlub_del_brg_err       = 2408 )

* 'change-only' is only applied to the most recent base image
       integer*2   sqlub_wrong_base_image
       parameter ( sqlub_wrong_base_image  = -2409 )

* change only, backup not allowed to user exit
       integer*2   sqlub_no_chg_nsd
       parameter ( sqlub_no_chg_nsd        = -2410 )

* I/O error during backup
       integer*2   sqlub_io_error
       parameter ( sqlub_io_error          = -2411 )

* Log not truncated during backup
       integer*2   sqlub_log_not_trunc
       parameter ( sqlub_log_not_trunc     = 2425 )

* Restore utility not bound
       integer*2   sqlud_bind_warning
       parameter ( sqlud_bind_warning      = 2507 )

* error dropping database
       integer*2   sqlud_drop_error
       parameter ( sqlud_drop_error        = -2511 )


* BACKUP Return Codes
* The backup can't run because the Restore is in progress
       integer*2   sqlub_rst_in_prog
       parameter ( sqlub_rst_in_prog       = -2405 )

* The Backup can't run because roll forward is pending
       integer*2   sqlub_rollfwd_pending
       parameter ( sqlub_rollfwd_pending   = -2406 )

* data page encountered during backup is corrupted
       integer*2   sqlub_corrupt_page
       parameter ( sqlub_corrupt_page      = -2412 )

* retain req'd for online backup
       integer*2   sqlub_logretain_online_error
       parameter ( sqlub_logretain_online_error = -2413 )

* no space for control info
       integer*2   sqlub_insuf_space_warning
       parameter ( sqlub_insuf_space_warning = 2414 )

* tape full, mount another
       integer*2   sqlub_next_tape_warning
       parameter ( sqlub_next_tape_warning = 2416 )

* database does not exist
       integer*2   sqlub_dbase_does_not_exist
       parameter ( sqlub_dbase_does_not_exist = -2418 )

* disk full during backup
       integer*2   sqlub_disk_full_error
       parameter ( sqlub_disk_full_error   = -2419 )


* first tape cannot hold header
       integer*2   sqlub_first_tape_error
       parameter ( sqlub_first_tape_error  = -2420 )

* retain req'd for tbs backup
       integer*2   sqlub_logretain_tbs_error
       parameter ( sqlub_logretain_tbs_error = -2421 )

* the backup API used does not support this format of database
       integer*2   sqlub_db_unsupported_by_api
       parameter ( sqlub_db_unsupported_by_api = -2422 )

* A required index is missing during an offline backup
       integer*2   sqlub_missing_index
       parameter ( sqlub_missing_index     = -2423 )

* Copy operation at DLFMend is still in progress
       integer*2   sqlub_copy_in_progress
       parameter ( sqlub_copy_in_progress  = -2424 )

* TRACKMOD req'd for incremental backup
       integer*2   sqlub_trackmod_incr_error
       parameter ( sqlub_trackmod_incr_error = -2426 )


* RESTORE Return Codes
* can't read restored database
       integer*2   sqlud_cannot_restore
       parameter ( sqlud_cannot_restore    = -2501 )

* error reading backup diskette
       integer*2   sqlud_diskette_error
       parameter ( sqlud_diskette_error    = -2502 )

* wrong backup diskette
       integer*2   sqlud_wrong_database
       parameter ( sqlud_wrong_database    = -2503 )

* prompt for backup diskette
       integer*2   sqlud_diskette_prompt
       parameter ( sqlud_diskette_prompt   = 2504 )

* warn that drop will be done
       integer*2   sqlud_drop_warning
       parameter ( sqlud_drop_warning      = 2505 )

* Restore worked, but not cleanup
       integer*2   sqlud_database_warning
       parameter ( sqlud_database_warning  = 2506 )

* timestamp incorrectly specified
       integer*2   sqlud_invalid_timestamp
       parameter ( sqlud_invalid_timestamp = -2508 )

* invalid database drive
       integer*2   sqlud_invalid_dbdrv
       parameter ( sqlud_invalid_dbdrv     = -2509 )

* semaphore error
       integer*2   sqlud_sem_error
       parameter ( sqlud_sem_error         = -2510 )

* error creating database
       integer*2   sqlud_create_error
       parameter ( sqlud_create_error      = -2512 )

* error renaming database
       integer*2   sqlud_ren_error
       parameter ( sqlud_ren_error         = -2513 )

* restored database wrong version
       integer*2   sqlud_bad_version
       parameter ( sqlud_bad_version       = -2514 )

* insuffic authority to restore
       integer*2   sqlud_insauth
       parameter ( sqlud_insauth           = -2515 )

* a database active
       integer*2   sqlud_dbact
       parameter ( sqlud_dbact             = -2516 )

* database migrated
       integer*2   sqlud_migrated
       parameter ( sqlud_migrated          = 2517 )

* error in restoring DB config.
       integer*2   sqlud_rst_dbcong_err
       parameter ( sqlud_rst_dbcong_err    = -2518 )

* error in migrating the database
       integer*2   sqlud_migrate_error
       parameter ( sqlud_migrate_error     = -2519 )

* DBCON file is restored using the backup version
       integer*2   sqlud_dbcon_warn
       parameter ( sqlud_dbcon_warn        = 2520 )

* Restore process is successful, but unable to delete BRG file
       integer*2   sqlud_del_brg_err
       parameter ( sqlud_del_brg_err       = 2521 )

* more than one file match
       integer*2   sqlud_too_many_backup_files
       parameter ( sqlud_too_many_backup_files = -2522 )

* corrupted backup image
       integer*2   sqlud_media_corrupt
       parameter ( sqlud_media_corrupt     = -2530 )

* image of wrong database
       integer*2   sqlud_wrgimage_error
       parameter ( sqlud_wrgimage_error    = -2532 )

* image of wrong database
       integer*2   sqlud_wrgimage_warning
       parameter ( sqlud_wrgimage_warning  = 2533 )

* seq number of backup incorrect
       integer*2   sqlud_wrongseq_warning
       parameter ( sqlud_wrongseq_warning  = 2536 )

* roll forward required
       integer*2   sqlud_must_rollfwd
       parameter ( sqlud_must_rollfwd      = -2537 )

* end of file reached unexpectedly
       integer*2   sqlud_unexpect_eof_error
       parameter ( sqlud_unexpect_eof_error = -2538 )

* noint type restore had warning
       integer*2   sqlud_noint_warning
       parameter ( sqlud_noint_warning     = 2540 )

* unable to close backup file
       integer*2   sqlud_close_media_warning
       parameter ( sqlud_close_media_warning = 2541 )

* no backup file match found
       integer*2   sqlud_no_backup_file_match
       parameter ( sqlud_no_backup_file_match = -2542 )

* invalid directory for new dbase
       integer*2   sqlud_db_dir_error
       parameter ( sqlud_db_dir_error      = -2543 )

* disk full during restore
       integer*2   sqlud_disk_full_error
       parameter ( sqlud_disk_full_error   = -2544 )

* restore requires first image first
       integer*2   sqlud_not_first_image
       parameter ( sqlud_not_first_image   = -2546 )

* cannot restore online backup from a previous release
       integer*2   sqlud_old_online_image_error
       parameter ( sqlud_old_online_image_error = -2547 )

* backup has diff codepage from disk DB
       integer*2   sqlud_image_db_cp_mismatch
       parameter ( sqlud_image_db_cp_mismatch = -2548 )

* all tablespaces skipped during restore
       integer*2   sqlud_all_tblspaces_skipped
       parameter ( sqlud_all_tblspaces_skipped = -2549 )

* backup from a different node
       integer*2   sqlud_wrong_node
       parameter ( sqlud_wrong_node        = -2550 )

* backup of a database with a different catalog node
       integer*2   sqlud_wrong_cat_node
       parameter ( sqlud_wrong_cat_node    = -2551 )

* Report filename length >255
       integer*2   sqlud_reportfile_error
       parameter ( sqlud_reportfile_error  = -2552 )

* Reconcile Genereic Error
       integer*2   sqlu_reconcile_generic_error
       parameter ( sqlu_reconcile_generic_error = -2554 )


*******************************************************************************
*   the meaning of the following 8 warnings :
*         A -> database alias
*         N -> database name
*         S -> database seed
*         0 -> target db value DOES NOT matches backup image value
*         1 -> target db value matches backup image value
*  
********************************************************************************
       integer*2   sqlud_a0n0s0_warning
       parameter ( sqlud_a0n0s0_warning    = 2529 )

       integer*2   sqlud_a0n0s1_warning
       parameter ( sqlud_a0n0s1_warning    = 2528 )

       integer*2   sqlud_a0n1s0_warning
       parameter ( sqlud_a0n1s0_warning    = 2525 )

       integer*2   sqlud_a0n1s1_warning
       parameter ( sqlud_a0n1s1_warning    = 2524 )

       integer*2   sqlud_a1n0s0_warning
       parameter ( sqlud_a1n0s0_warning    = 2527 )

       integer*2   sqlud_a1n0s1_warning
       parameter ( sqlud_a1n0s1_warning    = 2526 )

       integer*2   sqlud_a1n1s0_warning
       parameter ( sqlud_a1n1s0_warning    = 2523 )

       integer*2   sqlud_a1n1s1_warning
       parameter ( sqlud_a1n1s1_warning    = 2539 )

* restore tablespace to a non original database.
       integer*2   sqlud_tblsp_to_other_db
       parameter ( sqlud_tblsp_to_other_db = -2560 )

* restore tablespace to a new data base.
       integer*2   sqlud_tblsp_to_new_db
       parameter ( sqlud_tblsp_to_new_db   = 2561 )

* restore tablespace from full backup image.
       integer*2   sqlud_tblsp_fr_full_bkup
       parameter ( sqlud_tblsp_fr_full_bkup = -2562 )

* Not all tablespases were restored
       integer*2   sqlud_notall_tbs_restored
       parameter ( sqlud_notall_tbs_restored = 2563 )

* Mismatch between restore image and database restored to
       integer*2   sqlud_db_mismatch
       parameter ( sqlud_db_mismatch       = 2565 )

* Tables in tablespaces are in DRP/RNP state
       integer*2   sqlud_tbs_datalink_pending
       parameter ( sqlud_tbs_datalink_pending = 2566 )

* Image is being restored on the wrong platform
       integer*2   sqlud_wrong_platform
       parameter ( sqlud_wrong_platform    = -2570 )

* Problem on first media write
       integer*2   sqlu_header_write_err
       parameter ( sqlu_header_write_err   = 2045 )

* Complete incremental history not available
       integer*2   sqlud_incr_history_error
       parameter ( sqlud_incr_history_error = -2571 )

* Incremental restore out of sequence
       integer*2   sqlud_incr_restore_out_of_seq
       parameter ( sqlud_incr_restore_out_of_seq = -2572 )

* Incremental image being restored non-incrementally
       integer*2   sqlud_non_incr_restore
       parameter ( sqlud_non_incr_restore  = -2573 )

* Incremental image being restored is newer than target image
       integer*2   sqlud_incr_too_new
       parameter ( sqlud_incr_too_new      = -2574 )

* Incremental image being restored is older than previous image
       integer*2   sqlud_incr_too_old
       parameter ( sqlud_incr_too_old      = -2575 )

* Incremental restore is missing "incremental" clause
       integer*2   sqlud_missing_incr_clause
       parameter ( sqlud_missing_incr_clause = -2576 )


* sqlgadau and sqluadau Return codes
* sql_authorizations parm is bad
       integer*2   sqlua_bad_input_parameter
       parameter ( sqlua_bad_input_parameter = -2600 )


* DB2SPLIT Return codes
* invalid command line options
       integer*2   sqlusp_cmd_line_opt_err
       parameter ( sqlusp_cmd_line_opt_err = -2701 )

* fail to open config file
       integer*2   sqlusp_open_cfg_file_err
       parameter ( sqlusp_open_cfg_file_err = -2702 )

* fail to open log file
       integer*2   sqlusp_open_log_file_err
       parameter ( sqlusp_open_log_file_err = -2703 )

* fail to open input data file
       integer*2   sqlusp_open_in_data_file_err
       parameter ( sqlusp_open_in_data_file_err = -2704 )

* fail to open input partition map file
       integer*2   sqlusp_open_input_map_file_err
       parameter ( sqlusp_open_input_map_file_err = -2705 )

* fail to open output partition map file
       integer*2   sqlusp_open_outmap_file_err
       parameter ( sqlusp_open_outmap_file_err = -2706 )

* fail to open distribution file
       integer*2   sqlusp_open_dist_file_err
       parameter ( sqlusp_open_dist_file_err = -2707 )

* fail to open output data file
       integer*2   sqlusp_open_outdata_file_err
       parameter ( sqlusp_open_outdata_file_err = -2708 )

* syntax error in config file
       integer*2   sqlusp_cfg_syntax_err
       parameter ( sqlusp_cfg_syntax_err   = -2709 )

* invalid keyword in config file
       integer*2   sqlusp_invalid_cfg_keyword
       parameter ( sqlusp_invalid_cfg_keyword = -2710 )

* column delimiter can't be a blank
       integer*2   sqlusp_invalid_col_delimiter
       parameter ( sqlusp_invalid_col_delimiter = -2711 )

* string delimiter can't be a period
       integer*2   sqlusp_invalid_str_delimiter
       parameter ( sqlusp_invalid_str_delimiter = -2712 )

* invalid run type in config file
       integer*2   sqlusp_invalid_runtype
       parameter ( sqlusp_invalid_runtype  = -2713 )

* invalid Message Level in config file
       integer*2   sqlusp_invalid_msg_level
       parameter ( sqlusp_invalid_msg_level = -2714 )

* invalid Check Level in config file
       integer*2   sqlusp_invalid_chk_level
       parameter ( sqlusp_invalid_chk_level = -2715 )

* record length out of range
       integer*2   sqlusp_invalid_rec_len
       parameter ( sqlusp_invalid_rec_len  = -2716 )

* invalid node specification
       integer*2   sqlusp_invalid_node
       parameter ( sqlusp_invalid_node     = -2717 )

* invalid output node specification
       integer*2   sqlusp_invalid_outputnode
       parameter ( sqlusp_invalid_outputnode = -2718 )

* invalid output type
       integer*2   sqlusp_invalid_outputtype
       parameter ( sqlusp_invalid_outputtype = -2719 )

* too many partitioning keys
       integer*2   sqlusp_too_many_ptitn_keys
       parameter ( sqlusp_too_many_ptitn_keys = -2720 )

* invalid partition key specification
       integer*2   sqlusp_invalid_ptitn_keys
       parameter ( sqlusp_invalid_ptitn_keys = -2721 )

* invalid log file specification
       integer*2   sqlusp_invalid_log_file
       parameter ( sqlusp_invalid_log_file = -2722 )

* invalid trace specification
       integer*2   sqlusp_invalid_trace
       parameter ( sqlusp_invalid_trace    = -2723 )

* specify one and only one: MAPFILI or NODE
       integer*2   sqlusp_node_err
       parameter ( sqlusp_node_err         = -2724 )

* Output partition map is needed
       integer*2   sqlusp_no_outmap
       parameter ( sqlusp_no_outmap        = -2725 )

* no partitioning key defined
       integer*2   sqlusp_no_ptitn_key
       parameter ( sqlusp_no_ptitn_key     = -2726 )

* key exceeds record length
       integer*2   sqlusp_key_out_range
       parameter ( sqlusp_key_out_range    = -2727 )

* output node list is not a subset of node list
       integer*2   sqlusp_node_not_existed
       parameter ( sqlusp_node_not_existed = -2728 )

* invalid data entry in input map
       integer*2   sqlusp_input_map_err
       parameter ( sqlusp_input_map_err    = -2729 )

* error writing header of out data file
       integer*2   sqlusp_write_head_err
       parameter ( sqlusp_write_head_err   = -2730 )

* error processing input data file
       integer*2   sqlusp_data_read_err
       parameter ( sqlusp_data_read_err    = -2731 )

* binary data if VMMVS
       integer*2   sqlusp_data_bin_err
       parameter ( sqlusp_data_bin_err     = -2732 )

* run type not specified
       integer*2   sqlusp_no_runtype
       parameter ( sqlusp_no_runtype       = -2733 )

* 32kLimit definition error
       integer*2   sqlusp_32klimit_def_err
       parameter ( sqlusp_32klimit_def_err = -2734 )

* discard empty record
       integer*2   sqlusp_discard_rec_warn
       parameter ( sqlusp_discard_rec_warn = 2735 )

* error from sqlugrpi or sqlugrpn
       integer*2   sqlusp_grpi_err
       parameter ( sqlusp_grpi_err         = -2736 )

* error writing data file
       integer*2   sqlusp_data_write_err
       parameter ( sqlusp_data_write_err   = -2737 )

* data is truncated in writing
       integer*2   sqlusp_data_write_warn
       parameter ( sqlusp_data_write_warn  = 2738 )

* reclen must be defined for BIN
       integer*2   sqlusp_bin_no_reclen
       parameter ( sqlusp_bin_no_reclen    = -2739 )

* FLOAT is not supported for DEL/ASC
       integer*2   sqlusp_float_not_allowed
       parameter ( sqlusp_float_not_allowed = -2740 )

* invalid file type
       integer*2   sqlusp_filetype_def_err
       parameter ( sqlusp_filetype_def_err = -2741 )

* decimal len not match its precision
       integer*2   sqlusp_decimal_len_not_match
       parameter ( sqlusp_decimal_len_not_match = -2742 )

* len not match for binary type data
       integer*2   sqlusp_data_len_not_match
       parameter ( sqlusp_data_len_not_match = -2743 )

* illegal filename in cfg file
       integer*2   sqlusp_illegal_filename
       parameter ( sqlusp_illegal_filename = -2744 )

* Invalid NEWLINE flag in cfg file
       integer*2   sqlusp_newline_def_err
       parameter ( sqlusp_newline_def_err  = -2745 )

* Incomplete record in input data file
       integer*2   sqlusp_incomplete_record
       parameter ( sqlusp_incomplete_record = -2746 )

* ASC record must be no longer than 32K
       integer*2   sqlusp_record_too_long
       parameter ( sqlusp_record_too_long  = -2747 )

* ASC record not long enough
       integer*2   sqlusp_record_too_short
       parameter ( sqlusp_record_too_short = -2748 )

* partition key not in the first 32k bytes of the record.
       integer*2   sqlusp_key_not_in_32k
       parameter ( sqlusp_key_not_in_32k   = -2749 )

* line too long in cfg file
       integer*2   sqlusp_cfg_line_too_long
       parameter ( sqlusp_cfg_line_too_long = -2750 )

* expected reclen not matching actual reclen
       integer*2   sqlusp_rec_len_err
       parameter ( sqlusp_rec_len_err      = -2751 )

* invalid codepage specification
       integer*2   sqlusp_invalid_codepage
       parameter ( sqlusp_invalid_codepage = -2752 )

* failed to get application CP
       integer*2   sqlusp_app_codepage_err
       parameter ( sqlusp_app_codepage_err = -2753 )

* codepages not convertable
       integer*2   sqlusp_codepage_notable
       parameter ( sqlusp_codepage_notable = -2754 )

* codepage-related delimiter error
       integer*2   sqlusp_delimiter_error
       parameter ( sqlusp_delimiter_error  = -2755 )

* error converting data to DB CP
       integer*2   sqlusp_cp_data_to_db
       parameter ( sqlusp_cp_data_to_db    = -2756 )

* binary numerics not allowed in EBCDIC data
       integer*2   sqlusp_ebcdic_no_bin
       parameter ( sqlusp_ebcdic_no_bin    = -2757 )

* DB2GPMAP Return Codes
* Specify only tbl or nodegrp
       integer*2   sqlugpmap_tbl_and_ndgrp
       parameter ( sqlugpmap_tbl_and_ndgrp = -2761 )

* fail to find DB install path
       integer*2   sqlugpmap_no_inst_path
       parameter ( sqlugpmap_no_inst_path  = -2762 )

* tbl not found
       integer*2   sqlugpmap_tbl_not_found
       parameter ( sqlugpmap_tbl_not_found = -2763 )

* nodegrp not found
       integer*2   sqlugpmap_nodegrp_not_found
       parameter ( sqlugpmap_nodegrp_not_found = -2764 )

* fail to open file
       integer*2   sqlugpmap_open_outmapfile_warn
       parameter ( sqlugpmap_open_outmapfile_warn = 2765 )

* incorrect ptitn map size
       integer*2   sqlugpmap_ptitn_map_err
       parameter ( sqlugpmap_ptitn_map_err = -2766 )

* invalid cmd line option
       integer*2   sqlugpmap_invalid_cmd_opt
       parameter ( sqlugpmap_invalid_cmd_opt = -2767 )

* IMPORT/EXPORT Return codes
* error opening output file
       integer*2   sqlue_dfo
       parameter ( sqlue_dfo               = -3001 )

* i/o error writing output file
       integer*2   sqlue_ioe
       parameter ( sqlue_ioe               = -3002 )

* i/o error closing output file
       integer*2   sqlue_cls
       parameter ( sqlue_cls               = -3003 )

* invalid filetype parameter
       integer*2   sqlue_ift
       parameter ( sqlue_ift               = -3004 )

* function interrupted
       integer*2   sqlue_cbi
       parameter ( sqlue_cbi               = -3005 )

* i/o error opening message file
       integer*2   sqlue_mfo
       parameter ( sqlue_mfo               = -3006 )

* i/o error writing message file
       integer*2   sqlue_mfw
       parameter ( sqlue_mfw               = -3007 )

* start using database failed
       integer*2   sqlue_sta
       parameter ( sqlue_sta               = -3008 )

* invalid tcolstrg
       integer*2   sqlue_str
       parameter ( sqlue_str               = -3009 )

* invalid dcoldata
       integer*2   sqlue_col
       parameter ( sqlue_col               = -3010 )


* memory allocation error
       integer*2   sqlue_mem
       parameter ( sqlue_mem               = -3011 )

* system error
       integer*2   sqlue_syserr
       parameter ( sqlue_syserr            = -3012 )

* invalid filetmod
       integer*2   sqlue_ftmod
       parameter ( sqlue_ftmod             = -3013 )

* failure on closing message file
       integer*2   sqlue_mfc
       parameter ( sqlue_mfc               = -3014 )

* SQL error occurred
       integer*2   sqlue_sqlerr
       parameter ( sqlue_sqlerr            = -3015 )

* no keywords found
       integer*2   sqlue_fmodnk
       parameter ( sqlue_fmodnk            = -3016 )

* invalid delimiter or duplicate
       integer*2   sqlue_fmodid
       parameter ( sqlue_fmodid            = -3017 )

* decimal used for char delimiter
       integer*2   sqlue_fmoddec
       parameter ( sqlue_fmoddec           = -3018 )

* no tcolstrg
       integer*2   sqlue_nts
       parameter ( sqlue_nts               = -3019 )

* insufficient authority for exp.
       integer*2   sqlue_rc_insauth
       parameter ( sqlue_rc_insauth        = -3020 )


* insufficient authority for imp.
       integer*2   sqlui_rc_insauth
       parameter ( sqlui_rc_insauth        = -3021 )

* SQL error on input string
       integer*2   sqlue_sql_prep_err
       parameter ( sqlue_sql_prep_err      = -3022 )

* invalid database name
       integer*2   sqlue_database
       parameter ( sqlue_database          = -3023 )

* invalid datafile
       integer*2   sqlue_datafile
       parameter ( sqlue_datafile          = -3025 )

* invalid msgfile
       integer*2   sqlue_msgfile
       parameter ( sqlue_msgfile           = -3026 )

* Export method indicator not n/d
       integer*2   sqlue_dcolmeth
       parameter ( sqlue_dcolmeth          = -3028 )

* filetype is null
       integer*2   sqlue_nul_ftype
       parameter ( sqlue_nul_ftype         = -3029 )


* error opening input data file
       integer*2   sqlui_dfo
       parameter ( sqlui_dfo               = -3030 )

* i/o error reading input file
       integer*2   sqlui_ioe
       parameter ( sqlui_ioe               = -3031 )

* Import method not n/d/p
       integer*2   sqlui_dcolmeth
       parameter ( sqlui_dcolmeth          = -3032 )

* invalid insert in tcolstrg
       integer*2   sqlui_tinsert
       parameter ( sqlui_tinsert           = -3033 )

* invalid into in tcolstrg
       integer*2   sqlui_tinto
       parameter ( sqlui_tinto             = -3034 )

* invalid tablename in tcolstrg
       integer*2   sqlui_tablename
       parameter ( sqlui_tablename         = -3035 )

* close paren not in tcolstrg
       integer*2   sqlui_cparen
       parameter ( sqlui_cparen            = -3036 )

* SQL error on insert string
       integer*2   sqlue_sql_prep_insert
       parameter ( sqlue_sql_prep_insert   = -3037 )

* tcolstrg invalid
       integer*2   sqlui_tcoljunk
       parameter ( sqlui_tcoljunk          = -3038 )

* load parallelism reduced
       integer*2   sqlu_reduce_cpupar
       parameter ( sqlu_reduce_cpupar      = 3039 )

* lob file error
       integer*2   sqlue_lobfile_error
       parameter ( sqlue_lobfile_error     = -3040 )


* LINKTYPE is not URL
       integer*2   sqlui_dl_illegal_linktype
       parameter ( sqlui_dl_illegal_linktype = -3042 )

* dl_specification invalid
       integer*2   sqlui_dl_col_junk
       parameter ( sqlui_dl_col_junk       = -3043 )

* multiple prefix decl per col
       integer*2   sqlui_dl_col_dup_prefix
       parameter ( sqlui_dl_col_dup_prefix = -3044 )


* invalid dcol position for CSV
       integer*2   sqluic_bad_dcol_pos
       parameter ( sqluic_bad_dcol_pos     = -3045 )

* non-default dcol and no cols
       integer*2   sqlui_nondef_dcol_nocols
       parameter ( sqlui_nondef_dcol_nocols = -3046 )

* dcolinfo has invalid method
       integer*2   sqlui_bad_dcol_meth
       parameter ( sqlui_bad_dcol_meth     = -3047 )

* non nullable column
       integer*2   sqlui_nodcol_for_nonnull_dbcol
       parameter ( sqlui_nodcol_for_nonnull_dbcol = -3048 )

* unsupported column type
       integer*2   sqluic_unsuptyp_nonulls
       parameter ( sqluic_unsuptyp_nonulls = -3049 )


* conversion for cdpg
       integer*2   sqluii_conversion
       parameter ( sqluii_conversion       = 3050 )

* too many rows for WSF export
       integer*2   sqlue_rowct_toobig
       parameter ( sqlue_rowct_toobig      = -3053 )

* eof reading first rec in IXF
       integer*2   sqluii_heof
       parameter ( sqluii_heof             = -3054 )

* length of 'H' rec not numeric
       integer*2   sqluii_hlen_conv
       parameter ( sqluii_hlen_conv        = -3055 )

* first record too short
       integer*2   sqluii_hlen_short
       parameter ( sqluii_hlen_short       = -3056 )

* first IXF rec is not 'H'
       integer*2   sqluii_htyp
       parameter ( sqluii_htyp             = -3057 )

* no IXF identifier in 'H'
       integer*2   sqluii_hid
       parameter ( sqluii_hid              = -3058 )

* invalid version field in 'H'
       integer*2   sqluii_hvers
       parameter ( sqluii_hvers            = -3059 )


* HCNT in 'H' not numeric
       integer*2   sqluii_hcnt
       parameter ( sqluii_hcnt             = -3060 )

* SBCP in 'H' not numeric
       integer*2   sqluii_hsbcp_bad
       parameter ( sqluii_hsbcp_bad        = -3061 )

* DBCP in 'H' not numeric
       integer*2   sqluii_hdbcp_bad
       parameter ( sqluii_hdbcp_bad        = -3062 )

* 'H' SBCP not compat w/data SBCP
       integer*2   sqluii_hsbcp_cmp
       parameter ( sqluii_hsbcp_cmp        = -3063 )

* 'H' DBCP not compat w/data DBCP
       integer*2   sqluii_hdbcp_cmp
       parameter ( sqluii_hdbcp_cmp        = -3064 )

* can't get codepages
       integer*2   sqluii_db_codepg
       parameter ( sqluii_db_codepg        = -3065 )

* eof reading/looking for 'T' rec
       integer*2   sqluii_teof
       parameter ( sqluii_teof             = -3066 )

* length of 'T' rec not numeric
       integer*2   sqluii_tlen_conv
       parameter ( sqluii_tlen_conv        = -3067 )

* 'T' record is too short
       integer*2   sqluii_tlen_short
       parameter ( sqluii_tlen_short       = -3068 )

* first non-'A' rec not 'T' rec
       integer*2   sqluii_ttyp
       parameter ( sqluii_ttyp             = -3069 )


* invalid rec length of 'A' rec
       integer*2   sqluii_alen_bad
       parameter ( sqluii_alen_bad         = -3070 )

* invalid data convention in 'T'
       integer*2   sqluii_tconv
       parameter ( sqluii_tconv            = -3071 )

* invalid data format in 'T'
       integer*2   sqluii_tform
       parameter ( sqluii_tform            = -3072 )

* invalid machine form in 'T'
       integer*2   sqluii_tmfrm
       parameter ( sqluii_tmfrm            = -3073 )

* invalid data location in 'T'
       integer*2   sqluii_tloc
       parameter ( sqluii_tloc             = -3074 )

* 'C' rec cnt in 'T' not numeric
       integer*2   sqluii_tccnt
       parameter ( sqluii_tccnt            = -3075 )

* name len fld in 'T' not numeric
       integer*2   sqluii_tnaml
       parameter ( sqluii_tnaml            = -3076 )

* too many 'C' records
       integer*2   sqluii_ccnt_high
       parameter ( sqluii_ccnt_high        = -3077 )

* length of 'A' rec not numeric
       integer*2   sqluii_alen_conv
       parameter ( sqluii_alen_conv        = -3078 )

* length of 'C' rec not numeric
       integer*2   sqluii_clen_conv
       parameter ( sqluii_clen_conv        = -3079 )


* 'C' record is too short
       integer*2   sqluii_clen_short
       parameter ( sqluii_clen_short       = -3080 )

* wrong rec type / 'C' expected
       integer*2   sqluii_ctyp
       parameter ( sqluii_ctyp             = -3081 )

* EOF while processing 'C' recs
       integer*2   sqluii_ceof
       parameter ( sqluii_ceof             = -3082 )

* 'D' rec id field not numeric
       integer*2   sqluii_cdrid
       parameter ( sqluii_cdrid            = -3083 )

* 'D' rec posn field not numeric
       integer*2   sqluii_cposn
       parameter ( sqluii_cposn            = -3084 )

* 'D' id/position not consistent
       integer*2   sqluii_cidpos
       parameter ( sqluii_cidpos           = -3085 )

* IXF column does not exist
       integer*2   sqluii_nocrec_for_nonnull_dbcol
       parameter ( sqluii_nocrec_for_nonnull_dbcol = -3086 )

* IXF column not valid
       integer*2   sqluii_invcrec_nonnull_dbcol
       parameter ( sqluii_invcrec_nonnull_dbcol = -3087 )

* IXF column not compatible
       integer*2   sqluii_creccomp_nonnull_dbcol
       parameter ( sqluii_creccomp_nonnull_dbcol = -3088 )

* wrong rec type / 'D' expected
       integer*2   sqluii_dtyp
       parameter ( sqluii_dtyp             = -3089 )


* length of 'D' rec not numeric
       integer*2   sqluii_dlen_conv
       parameter ( sqluii_dlen_conv        = -3090 )

* length of 'D' rec not valid
       integer*2   sqluii_dlen_range
       parameter ( sqluii_dlen_range       = -3091 )

* invalid id field in 'D' rec
       integer*2   sqluii_did
       parameter ( sqluii_did              = -3092 )

* import file not valid WSF
       integer*2   sqluiw_ifile_inv
       parameter ( sqluiw_ifile_inv        = -3093 )

* DOS non-nullable name not found
       integer*2   sqluiw_nncol_lost
       parameter ( sqluiw_nncol_lost       = -3094 )

* col position out of range
       integer*2   sqluiw_pcol_inv
       parameter ( sqluiw_pcol_inv         = -3095 )

* unsup col type - not nullable
       integer*2   sqluiw_ucoltyp_nonul
       parameter ( sqluiw_ucoltyp_nonul    = -3096 )

* record length invalid
       integer*2   sqluiw_reclen_inv
       parameter ( sqluiw_reclen_inv       = -3097 )

* row number out of range
       integer*2   sqluiw_inrow_inv
       parameter ( sqluiw_inrow_inv        = -3098 )

* col number out of range
       integer*2   sqluiw_incol_inv
       parameter ( sqluiw_incol_inv        = -3099 )


* column longer than 254 chars
       integer*2   sqlue_col_toobig
       parameter ( sqlue_col_toobig        = 3100 )

* column has char delimiter
       integer*2   sqlue_data_chardel
       parameter ( sqlue_data_chardel      = 3101 )

* dcol column nbr > tcol number
       integer*2   sqlue_dcnum_high
       parameter ( sqlue_dcnum_high        = 3102 )

* dcol column nbr < tcol number
       integer*2   sqlue_dcnum_low
       parameter ( sqlue_dcnum_low         = 3103 )

* warning message issued
       integer*2   sqlue_warning
       parameter ( sqlue_warning           = 3107 )


* file not linked
       integer*2   sqlui_dlfm_link
       parameter ( sqlui_dlfm_link         = 3108 )


* extra database cols
       integer*2   sqlui_fewer_dcols_dbcols_nulled
       parameter ( sqlui_fewer_dcols_dbcols_nulled = 3112 )

* column will be nulled
       integer*2   sqluic_unsuptyp_nullable
       parameter ( sqluic_unsuptyp_nullable = 3113 )

* character ignored
       integer*2   sqluic_ignored_char
       parameter ( sqluic_ignored_char     = 3114 )

* input CSV field too long
       integer*2   sqluic_field_too_long
       parameter ( sqluic_field_too_long   = 3115 )

* field value missing
       integer*2   sqluic_cf_reqfield_missing
       parameter ( sqluic_cf_reqfield_missing = 3116 )

* non NULL found for GENERATED ALWAYWS col
       integer*2   sqluic_cf_genalways_notnull
       parameter ( sqluic_cf_genalways_notnull = 3550 )

* smallint field nulled
       integer*2   sqluic_cfint2_nulled
       parameter ( sqluic_cfint2_nulled    = 3117 )

* smallint field error
       integer*2   sqluic_cfint2_rowrej
       parameter ( sqluic_cfint2_rowrej    = 3118 )

* int field nulled
       integer*2   sqluic_cfint4_nulled
       parameter ( sqluic_cfint4_nulled    = 3119 )


* int field error
       integer*2   sqluic_cfint4_rowrej
       parameter ( sqluic_cfint4_rowrej    = 3120 )

* float field nulled
       integer*2   sqluic_cffloat_nulled
       parameter ( sqluic_cffloat_nulled   = 3121 )

* float field error
       integer*2   sqluic_cffloat_rowrej
       parameter ( sqluic_cffloat_rowrej   = 3122 )

* decimal field nulled
       integer*2   sqluic_cfdec_nulled
       parameter ( sqluic_cfdec_nulled     = 3123 )

* decimal field error
       integer*2   sqluic_cfdec_rowrej
       parameter ( sqluic_cfdec_rowrej     = 3124 )

* char field truncated
       integer*2   sqluic_cftrunc
       parameter ( sqluic_cftrunc          = 3125 )


* char field nulled
       integer*2   sqluic_cfchar_nulled
       parameter ( sqluic_cfchar_nulled    = 3126 )

* char field error
       integer*2   sqluic_cfchar_rowrej
       parameter ( sqluic_cfchar_rowrej    = 3127 )

* date field truncated
       integer*2   sqluic_cfdatetrunc
       parameter ( sqluic_cfdatetrunc      = 3128 )

* date/time/stamp field padded
       integer*2   sqluic_cfdtpad
       parameter ( sqluic_cfdtpad          = 3129 )


* time field truncated
       integer*2   sqluic_cftimetrunc
       parameter ( sqluic_cftimetrunc      = 3130 )

* stamp field truncated
       integer*2   sqluic_cfstamptrunc
       parameter ( sqluic_cfstamptrunc     = 3131 )

* char field truncated
       integer*2   sqlue_truncate
       parameter ( sqlue_truncate          = 3132 )

* Datalink field nulled
       integer*2   sqlui_datalink_nulled
       parameter ( sqlui_datalink_nulled   = 3133 )

* Datalink field error
       integer*2   sqlui_datalink_rowrej
       parameter ( sqlui_datalink_rowrej   = 3134 )

* Too many METHOD cols
       integer*2   sqlu_dcol_too_many
       parameter ( sqlu_dcol_too_many      = -3135 )

* not enough columns
       integer*2   sqluic_rowtooshort
       parameter ( sqluic_rowtooshort      = 3137 )

* end of input data file
       integer*2   sqluic_eof_in_chardels
       parameter ( sqluic_eof_in_chardels  = 3138 )

* stop using database failed
       integer*2   sqlue_sqlstpdb_err
       parameter ( sqlue_sqlstpdb_err      = 3139 )


* WSF label too big
       integer*2   sqlue_wsflab_len
       parameter ( sqlue_wsflab_len        = 3142 )

* WSF char type length too long
       integer*2   sqlue_char_mtrunc
       parameter ( sqlue_char_mtrunc       = 3143 )

* WSF char type length too long
       integer*2   sqlue_char_wtrunc
       parameter ( sqlue_char_wtrunc       = 3144 )

* WSF char truncated at 240
       integer*2   sqlue_char_itrunc
       parameter ( sqlue_char_itrunc       = 3145 )

* row count exceeds 2048
       integer*2   sqlue_rowct_large
       parameter ( sqlue_rowct_large       = 3147 )

* row not inserted
       integer*2   sqlue_3148
       parameter ( sqlue_3148              = 3148 )


* 'H' hcnt not equal 'T' rec ccnt
       integer*2   sqluii_tcntcmp
       parameter ( sqluii_tcntcmp          = 3154 )

* invalid name length in 'C' rec
       integer*2   sqluii_cnaml
       parameter ( sqluii_cnaml            = 3155 )

* invalid null field in 'C' rec
       integer*2   sqluii_cnull
       parameter ( sqluii_cnull            = 3156 )

* invalid type field in 'C' rec
       integer*2   sqluii_ctype
       parameter ( sqluii_ctype            = 3157 )

* invalid SBCP field in 'C' rec
       integer*2   sqluii_csbcp
       parameter ( sqluii_csbcp            = 3158 )

* invalid DBCP field in 'C' rec
       integer*2   sqluii_cdbcp
       parameter ( sqluii_cdbcp            = 3159 )


* invalid col len fld in 'C' rec
       integer*2   sqluii_cleng
       parameter ( sqluii_cleng            = 3160 )

* invalid precision in 'C' rec
       integer*2   sqluii_cprec
       parameter ( sqluii_cprec            = 3161 )

* invalid scale field in 'C' rec
       integer*2   sqluii_cscal
       parameter ( sqluii_cscal            = 3162 )

* use 00008 for float col length
       integer*2   sqluii_cfloat_blankleng
       parameter ( sqluii_cfloat_blankleng = 3163 )

* invalid float col len in 'C'.
       integer*2   sqluii_cfloat_badleng
       parameter ( sqluii_cfloat_badleng   = 3164 )

* 'C' record has invalid type
       integer*2   sqluii_cutype
       parameter ( sqluii_cutype           = 3165 )

* IXF col does not exist
       integer*2   sqluii_nocrec_for_null_dbcol
       parameter ( sqluii_nocrec_for_null_dbcol = 3166 )

* IXF col is invalid
       integer*2   sqluii_invcrec_for_null_dbcol
       parameter ( sqluii_invcrec_for_null_dbcol = 3167 )

* IXF col not compatible
       integer*2   sqluii_creccomp_null_dbcol
       parameter ( sqluii_creccomp_null_dbcol = 3168 )


* EOF found in row of data
       integer*2   sqluii_deof_inrow
       parameter ( sqluii_deof_inrow       = 3170 )

* non-label cell in hdr row
       integer*2   sqluiw_nonlab_hdr
       parameter ( sqluiw_nonlab_hdr       = 3171 )

* nullable colnam not found
       integer*2   sqluiw_ncol_lost
       parameter ( sqluiw_ncol_lost        = 3172 )

* unsup col type - nullable
       integer*2   sqluiw_ucoltyp_null
       parameter ( sqluiw_ucoltyp_null     = 3174 )

* wrong rec type for db col
       integer*2   sqluiw_intype_inv
       parameter ( sqluiw_intype_inv       = 3175 )

* date value out of range
       integer*2   sqluiw_date_inv
       parameter ( sqluiw_date_inv         = 3176 )

* time value out of range
       integer*2   sqluiw_time_inv
       parameter ( sqluiw_time_inv         = 3177 )

* int rec for time invalid
       integer*2   sqluiw_intime_inv
       parameter ( sqluiw_intime_inv       = 3178 )

* no data / non nullable col
       integer*2   sqluiw_nodata_nnull
       parameter ( sqluiw_nodata_nnull     = 3179 )


* insert diskette request
       integer*2   sqlue_insert_disk
       parameter ( sqlue_insert_disk       = 3180 )

* file ended before AE rec
       integer*2   sqluii_ae_notfound
       parameter ( sqluii_ae_notfound      = 3181 )

* retry to insert diskette
       integer*2   sqluii_insert_disk_retry
       parameter ( sqluii_insert_disk_retry = 3182 )

* mult del o'rides/no blanks
       integer*2   sqluec_noblank_b4kw
       parameter ( sqluec_noblank_b4kw     = 3183 )

* row of previous warning
       integer*2   sqlui_prevmesg_rowno
       parameter ( sqlui_prevmesg_rowno    = 3185 )

* log full inserting row
       integer*2   sqlui_logfull_inswarn
       parameter ( sqlui_logfull_inswarn   = 3186 )

* error creating index
       integer*2   sqlui_index_warn
       parameter ( sqlui_index_warn        = 3187 )

* error truncating table
       integer*2   sqlui_truncate_table
       parameter ( sqlui_truncate_table    = -3188 )


* invalid INDEXIXF option
       integer*2   sqlui_indexixf
       parameter ( sqlui_indexixf          = -3190 )

* data not fit modifier
       integer*2   sqlue_invalid_date_data
       parameter ( sqlue_invalid_date_data = 3191 )

* invalid user date modifier
       integer*2   sqlue_invalid_date_spec
       parameter ( sqlue_invalid_date_spec = -3192 )

* cannot import to this view
       integer*2   sqlui_view_error
       parameter ( sqlui_view_error        = -3193 )

* cannot import system table
       integer*2   sqlui_systbl_error
       parameter ( sqlui_systbl_error      = -3194 )

* not enough space
       integer*2   sqlue_retry_disk
       parameter ( sqlue_retry_disk        = 3195 )

* input file not found
       integer*2   sqlui_in_notfd
       parameter ( sqlui_in_notfd          = -3196 )

* import/export in use
       integer*2   sqlui_impbusy
       parameter ( sqlui_impbusy           = -3197 )


* cant replace parent table
       integer*2   sqlui_repl_par
       parameter ( sqlui_repl_par          = -3201 )

* cant update without PK's
       integer*2   sqlui_iuopt_nopk
       parameter ( sqlui_iuopt_nopk        = -3203 )

* cant update views
       integer*2   sqlui_iuopt_noview
       parameter ( sqlui_iuopt_noview      = -3204 )

* cant replace ref cons view
       integer*2   sqlui_view_ref
       parameter ( sqlui_view_ref          = -3205 )

* cant replace subquery view
       integer*2   sqlui_view_squery
       parameter ( sqlui_view_squery       = -3206 )


* Invalid table list
       integer*2   sqlu_invalid_tables_list
       parameter ( sqlu_invalid_tables_list = -3207 )

* Import Typed-table to Reg
       integer*2   sqlu_typed_import_into_regular
       parameter ( sqlu_typed_import_into_regular = 3208 )

* Cannot rename sub-table/attr
       integer*2   sqlu_cant_renam_subtab_or_attr
       parameter ( sqlu_cant_renam_subtab_or_attr = -3209 )

* Options incompatible w/ hier
       integer*2   sqlu_incompatible_hierarchy
       parameter ( sqlu_incompatible_hierarchy = -3210 )

* Load doesn't supp RT
       integer*2   sqlu_load_doesnt_supp_rt
       parameter ( sqlu_load_doesnt_supp_rt = -3211 )

* not supported Load Terminate operation
       integer*2   sqlu_nosupp_ld_term_op
       parameter ( sqlu_nosupp_ld_term_op  = -3212 )


* Load indexing mode
       integer*2   sqlu_inxmode_info
       parameter ( sqlu_inxmode_info       = 3213 )

* Deferred indexing, but unique inx
       integer*2   sqlu_inxmode_defbutunique
       parameter ( sqlu_inxmode_defbutunique = -3214 )

* Load incrmental indexing + DMS + copy + same TS
       integer*2   sqlu_inxmode_dms_restriction
       parameter ( sqlu_inxmode_dms_restriction = 3215 )

* Load incrmental indexing but inx invalid
       integer*2   sqlu_inxmode_inc_butbadinx
       parameter ( sqlu_inxmode_inc_butbadinx = 3216 )

* Load incrmental indexing but not insert
       integer*2   sqlu_inxmode_inc_butnotinsert
       parameter ( sqlu_inxmode_inc_butnotinsert = 3217 )

* Index file is damaged/missing
       integer*2   sqlu_index_file_missing
       parameter ( sqlu_index_file_missing = -3218 )

* Load unable to turn off constraints
       integer*2   sqlu_constraints_off_failed
       parameter ( sqlu_constraints_off_failed = -3219 )


* AIX req next file
       integer*2   sqlue_provide_file_part
       parameter ( sqlue_provide_file_part = 3220 )

* start commit
       integer*2   sqlui_start_commit
       parameter ( sqlui_start_commit      = 3221 )

* finish commit
       integer*2   sqlui_finish_commit
       parameter ( sqlui_finish_commit     = 3222 )

* bad input parms
       integer*2   sqlui_bad_struct_parm
       parameter ( sqlui_bad_struct_parm   = -3223 )

* restartcnt too big
       integer*2   sqlui_skipped_all_rows
       parameter ( sqlui_skipped_all_rows  = -3225 )

* map special token to user record
       integer*2   sqlu_which_user_record
       parameter ( sqlu_which_user_record  = 3227 )

* Datalink table, deferred indexing not allowed on load
       integer*2   sqlu_dl_and_deferred_inx
       parameter ( sqlu_dl_and_deferred_inx = -3228 )

* compound=x error
       integer*2   sqlui_compound_err
       parameter ( sqlui_compound_err      = -3250 )


* row/col sequence invalid
       integer*2   sqluiw_rcseq_inv
       parameter ( sqluiw_rcseq_inv        = -3300 )

* BOF in middle of WSF file
       integer*2   sqluiw_bof_inv
       parameter ( sqluiw_bof_inv          = -3301 )

* unexpected EOF
       integer*2   sqluiw_early_eof
       parameter ( sqluiw_early_eof        = -3302 )

* filetype not ixf
       integer*2   sqlui_ixfonly
       parameter ( sqlui_ixfonly           = -3303 )

* table does not exist
       integer*2   sqlui_deltable
       parameter ( sqlui_deltable          = -3304 )

* table already exists
       integer*2   sqlui_create_err
       parameter ( sqlui_create_err        = -3305 )

* SQL error during insert
       integer*2   sqlui_execute_err
       parameter ( sqlui_execute_err       = -3306 )

* incomplete col info
       integer*2   sqlui_inc_col
       parameter ( sqlui_inc_col           = -3307 )

* codepage mismatch
       integer*2   sqlui_cp_mismatch
       parameter ( sqlui_cp_mismatch       = -3308 )

* double byte data found
       integer*2   sqlui_dbldata
       parameter ( sqlui_dbldata           = -3309 )


* unrec col type
       integer*2   sqlui_unrec_ctype
       parameter ( sqlui_unrec_ctype       = -3310 )

* invalid IXF column
       integer*2   sqlui_invcrec_for_create
       parameter ( sqlui_invcrec_for_create = -3310 )


* disk full - OS/2
       integer*2   sqlue_disk_full_db2os2
       parameter ( sqlue_disk_full_db2os2  = -3313 )

* disk full - Windows NT
       integer*2   sqlue_disk_full_db2nt
       parameter ( sqlue_disk_full_db2nt   = -3313 )

* disk full - DOS
       integer*2   sqlue_disk_full_db2dos
       parameter ( sqlue_disk_full_db2dos  = -3313 )

* disk full - Windows
       integer*2   sqlue_disk_full_db2win
       parameter ( sqlue_disk_full_db2win  = -3313 )

* disk full - AIX
       integer*2   sqlue_disk_full_db2aix
       parameter ( sqlue_disk_full_db2aix  = -10018 )

* disk full - MacOS
       integer*2   sqlue_disk_full_db2mac
       parameter ( sqlue_disk_full_db2mac  = -3313 )


       integer*2   sqlue_disk_full
       parameter ( sqlue_disk_full         = -10018 )


* 'A' data/ time not as 'H'.
       integer*2   sqluii_astamp_nomatch
       parameter ( sqluii_astamp_nomatch   = -3314 )

* invalid volume info
       integer*2   sqluii_acrec_badvol
       parameter ( sqluii_acrec_badvol     = -3315 )

* error closing IXF file
       integer*2   sqluii_close_notlast
       parameter ( sqluii_close_notlast    = -3316 )

* conflict in filetmod
       integer*2   sqluw_ftmod_inv
       parameter ( sqluw_ftmod_inv         = -3317 )

* keyword repeated/filetmod
       integer*2   sqluec_dup_keyword
       parameter ( sqluec_dup_keyword      = -3318 )

* error creating table
       integer*2   sqlui_err_createtab
       parameter ( sqlui_err_createtab     = -3319 )


* keyword at end of filetmod
       integer*2   sqluec_noroom_afterkw
       parameter ( sqluec_noroom_afterkw   = -3320 )

* circular log full
       integer*2   sqlui_logfull_inserr
       parameter ( sqlui_logfull_inserr    = -3321 )

* semaphore error
       integer*2   sqlue_sem_error
       parameter ( sqlue_sem_error         = -3322 )

* column type invalid
       integer*2   sqlue_invcoltype
       parameter ( sqlue_invcoltype        = -3324 )

* ignored WSF row
       integer*2   sqluew_ignored_row
       parameter ( sqluew_ignored_row      = 3325 )

* column list invalid
       integer*2   sqlui_col_list
       parameter ( sqlui_col_list          = -3326 )

* system error
       integer*2   sqluei_syserror
       parameter ( sqluei_syserror         = -3327 )


* odd leng char -> graphic
       integer*2   sqluii_odd2graph
       parameter ( sqluii_odd2graph        = 3330 )

* permission denied
       integer*2   sqlue_oeaccess
       parameter ( sqlue_oeaccess          = -3331 )

* too many files open
       integer*2   sqlue_oemfile
       parameter ( sqlue_oemfile           = -3332 )

* no such file or directory
       integer*2   sqlue_oenoent
       parameter ( sqlue_oenoent           = -3333 )

* not enough memory
       integer*2   sqlue_oenomem
       parameter ( sqlue_oenomem           = -3334 )

* no space left
       integer*2   sqlue_oenospc
       parameter ( sqlue_oenospc           = -3335 )


* invalid method for ASC
       integer*2   sqluia_bad_dcol_meth
       parameter ( sqluia_bad_dcol_meth    = -3400 )

* invalid import method
       integer*2   sqlui_dcolm_all
       parameter ( sqlui_dcolm_all         = -3401 )

* zeroes as begin/end
       integer*2   sqluia_nullloc
       parameter ( sqluia_nullloc          = -3402 )

* invalid pair
       integer*2   sqluia_locpair
       parameter ( sqluia_locpair          = -3403 )

* invalid pair for number
       integer*2   sqluia_locnum
       parameter ( sqluia_locnum           = -3404 )

* invalid pair for date
       integer*2   sqluia_locdate
       parameter ( sqluia_locdate          = -3405 )

* invalid pair for time
       integer*2   sqluia_loctime
       parameter ( sqluia_loctime          = -3406 )

* invalid pair for timestamp
       integer*2   sqluia_locstamp
       parameter ( sqluia_locstamp         = -3407 )

* pair defines long field
       integer*2   sqluia_loclong
       parameter ( sqluia_loclong          = 3408 )

* pair defines short field
       integer*2   sqluia_locshort
       parameter ( sqluia_locshort         = 3409 )

* invalid pair for graphic
       integer*2   sqluia_locodd
       parameter ( sqluia_locodd           = -3410 )

* value not graphic--null
       integer*2   sqluia_cfgraph_nulled
       parameter ( sqluia_cfgraph_nulled   = 3411 )

* value not graphic--not null
       integer*2   sqluia_cfgraph_rowrej
       parameter ( sqluia_cfgraph_rowrej   = 3412 )

* field too short--nulled
       integer*2   sqluia_shortfldnulled
       parameter ( sqluia_shortfldnulled   = 3413 )

       integer*2   sqlu_no_lifeboat
       parameter ( sqlu_no_lifeboat        = -3414 )

* CPCV failed--null
       integer*2   sqluia_cfcpcv_nulled
       parameter ( sqluia_cfcpcv_nulled    = 3415 )

* CPCV failed--not null
       integer*2   sqluia_cfcpcv_rowrej
       parameter ( sqluia_cfcpcv_rowrej    = 3416 )


* number of warnings hit threshold
       integer*2   sqlu_too_many_warnings
       parameter ( sqlu_too_many_warnings  = -3502 )

* number of rows hit threshold
       integer*2   sqlu_rowcnt
       parameter ( sqlu_rowcnt             = 3503 )

* reclen > 32767
       integer*2   sqlula_invalid_reclen
       parameter ( sqlula_invalid_reclen   = -3505 )

* null ind value not Y or N
       integer*2   sqlula_nullind_ignored
       parameter ( sqlula_nullind_ignored  = 3506 )

* nullind column is invalid
       integer*2   sqlui_nullind
       parameter ( sqlui_nullind           = -3507 )

* file access error during load
       integer*2   sqlul_file_error
       parameter ( sqlul_file_error        = -3508 )

* num of row deleted after load
       integer*2   sqlul_num_row_deleted
       parameter ( sqlul_num_row_deleted   = 3509 )

* work directory is invalid
       integer*2   sqlu_sort_work_dir_error
       parameter ( sqlu_sort_work_dir_error = -3510 )

* lobfile missing but nullable col
       integer*2   sqlu_nb_lobfile_missing
       parameter ( sqlu_nb_lobfile_missing = 3511 )

* lobfile missing, nonnullable col
       integer*2   sqlu_nnb_lobfile_missing
       parameter ( sqlu_nnb_lobfile_missing = 3512 )

* codepage doesn't match db
       integer*2   sqlul_unmatched_codepage
       parameter ( sqlul_unmatched_codepage = -3513 )

* system error with reason code
       integer*2   sqlul_syserr_with_reason
       parameter ( sqlul_syserr_with_reason = -3514 )

* unexpected rec in db2cs
       integer*2   sqlul_unexpected_record
       parameter ( sqlul_unexpected_record = -3517 )

* coltype incompatible for db2cs
       integer*2   sqlul_incompatible_table
       parameter ( sqlul_incompatible_table = -3518 )

* missing file
       integer*2   sqlul_file_not_found
       parameter ( sqlul_file_not_found    = -3521 )

* copy spec, no logretain/userexit
       integer*2   sqlul_copy_logretain_off
       parameter ( sqlul_copy_logretain_off = -3522 )

* no messages to be retrieved
       integer*2   sqlul_no_messages
       parameter ( sqlul_no_messages       = 3523 )

* freespace option invalid
       integer*2   sqlul_freespace_opt
       parameter ( sqlul_freespace_opt     = -3524 )

* incompatible options
       integer*2   sqlu_incompat_opt
       parameter ( sqlu_incompat_opt       = -3525 )

* modifier incompatible with load options
       integer*2   sqlu_mod_incompat_with_opt
       parameter ( sqlu_mod_incompat_with_opt = -3526 )

* invalid codepage
       integer*2   sqlula_invalid_codepage
       parameter ( sqlula_invalid_codepage = -3527 )

* delimiter may be converted from app to DB
       integer*2   sqlul_delimiter_conv_w
       parameter ( sqlul_delimiter_conv_w  = 3528 )

* Unsupported data type
       integer*2   sqlul_unsupported_data_type
       parameter ( sqlul_unsupported_data_type = -3529 )

* Load index creation parameter no longer supported
       integer*2   sqlul_obsoletete_sort_parm
       parameter ( sqlul_obsoletete_sort_parm = 3535 )

* mount new tape
       integer*2   sqlu_next_tape_warning
       parameter ( sqlu_next_tape_warning  = 3700 )

* no lobs/longs but lobpath nonull
       integer*2   sqlu_lobpaths_ignored
       parameter ( sqlu_lobpaths_ignored   = 3701 )

* device error but ignored
       integer*2   sqlu_device_ignored
       parameter ( sqlu_device_ignored     = 3702 )

* invalid number of buffers
       integer*2   sqlu_num_buffers
       parameter ( sqlu_num_buffers        = -3704 )

* invalid load/unload buffer size
       integer*2   sqlu_buffer_size_error
       parameter ( sqlu_buffer_size_error  = -3705 )

* copy target full
       integer*2   sqlul_disk_full
       parameter ( sqlul_disk_full         = -3706 )

* invalid sort buffer size
       integer*2   sqlu_sort_buffsize_error
       parameter ( sqlu_sort_buffsize_error = -3707 )

* Hash table is full
       integer*2   sqlue_nospace_in_hash
       parameter ( sqlue_nospace_in_hash   = -3708 )


* Load / unload / load recovery SQLCODES
       integer*2   sqlu_open_copy_loc_file_error
       parameter ( sqlu_open_copy_loc_file_error = -3783 )

       integer*2   sqlu_inv_copy_loc_file_input
       parameter ( sqlu_inv_copy_loc_file_input = -3784 )

       integer*2   sqlu_load_recovery_failed
       parameter ( sqlu_load_recovery_failed = -3785 )

       integer*2   sqlu_invalid_parm_warning
       parameter ( sqlu_invalid_parm_warning = 3798 )

       integer*2   sqlu_load_recovery_pending
       parameter ( sqlu_load_recovery_pending = 3799 )


* load recovery - copy location input error type
       integer*2   sqlu_keyword_code
       parameter ( sqlu_keyword_code       = 1 )

       integer*2   sqlu_override_code
       parameter ( sqlu_override_code      = 2 )

       integer*2   sqlu_unexpected_eof_code
       parameter ( sqlu_unexpected_eof_code = 3 )

       integer*2   sqlu_ioerror_code
       parameter ( sqlu_ioerror_code       = 4 )


* load recovery - Different Load recovery options
       integer*2   sqlu_recoverable_load
       parameter ( sqlu_recoverable_load   = 0 )

       integer*2   sqlu_non_recoverable_load
       parameter ( sqlu_non_recoverable_load = 1 )


* Loadapi SQLCODES
       integer*2   sqlu_invalid_quiescemode
       parameter ( sqlu_invalid_quiescemode = -3802 )

       integer*2   sqlu_invalid_index
       parameter ( sqlu_invalid_index      = -3804 )

       integer*2   sqlu_invalid_loadapi_action
       parameter ( sqlu_invalid_loadapi_action = -3805 )

       integer*2   sqlu_constraints_not_off
       parameter ( sqlu_constraints_not_off = -3806 )


* Export SQLCODES
* Export message
       integer*2   sqlue_msg
       parameter ( sqlue_msg               = -3999 )


* Roll-Forward Recovery SQLCODES
* invalid parameter
       integer*2   sqlu_invalid_param
       parameter ( sqlu_invalid_param      = -4904 )

* invalid parameter range
       integer*2   sqlu_invalid_range
       parameter ( sqlu_invalid_range      = -4905 )

* invalid tablespace set
       integer*2   sqlum_invalid_tps_set
       parameter ( sqlum_invalid_tps_set   = -4906 )

* tables set to check pending state
       integer*2   sqlum_check_pending_set
       parameter ( sqlum_check_pending_set = 4907 )

* tablespace not ready to roll forward
       integer*2   sqlum_tsp_not_ready
       parameter ( sqlum_tsp_not_ready     = -4908 )

* Tables in tablespaces are in DRP/RNP state
       integer*2   sqlu_rfr_datalink_pending
       parameter ( sqlu_rfr_datalink_pending = 4909 )

* Invalid overflow log path
       integer*2   sqlu_invalid_oflogpath
       parameter ( sqlu_invalid_oflogpath  = -4910 )

* missing log files
       integer*2   sqlu_rc_missing_logfiles
       parameter ( sqlu_rc_missing_logfiles = -4970 )

* log truncation failed
       integer*2   sqlu_rc_log_truncated
       parameter ( sqlu_rc_log_truncated   = -4971 )

* log path full
       integer*2   sqlu_rc_logpath_full
       parameter ( sqlu_rc_logpath_full    = -4972 )

* log mismatch with catalog node
       integer*2   sqlu_rc_log_mismatch
       parameter ( sqlu_rc_log_mismatch    = -4973 )

* query status warning
       integer*2   sqlu_rc_qry_err_warn
       parameter ( sqlu_rc_qry_err_warn    = 4974 )

* rollforward canceled
       integer*2   sqlu_rc_canceled_warn
       parameter ( sqlu_rc_canceled_warn   = 4975 )

* not on catalog node
       integer*2   sqlu_rc_not_on_catalog_node
       parameter ( sqlu_rc_not_on_catalog_node = -4976 )

* bad export directory
       integer*2   sqlu_rc_export_dir
       parameter ( sqlu_rc_export_dir      = -4977 )

* bad dropped table recovery option
       integer*2   sqlu_rc_dropped_tbl
       parameter ( sqlu_rc_dropped_tbl     = -4978 )

* error while exporting table data
       integer*2   sqlu_rc_export_data
       parameter ( sqlu_rc_export_data     = 4979 )


* Configuration SQLCODES
* only SYSADM_GROUP can change db2 configuration file
       integer*2   sqlf_rc_sysauth
       parameter ( sqlf_rc_sysauth         = -5001 )

* system error
       integer*2   sqlf_rc_syserr
       parameter ( sqlf_rc_syserr          = -5005 )

* path name error
       integer*2   sqlf_rc_pathname
       parameter ( sqlf_rc_pathname        = -5010 )

* invalid node name
       integer*2   sqlf_rc_invnodename
       parameter ( sqlf_rc_invnodename     = -5020 )

* invalid release number
       integer*2   sqlf_rc_rel
       parameter ( sqlf_rc_rel             = -5030 )

* database needs migration; release number is back-level
       integer*2   sqlf_rc_needmig
       parameter ( sqlf_rc_needmig         = -5035 )

* insufficient memory to support stack switching
       integer*2   sqlf_rc_insmem
       parameter ( sqlf_rc_insmem          = -5047 )

* invalid db2 configuration file
       integer*2   sqlf_rc_syscsum
       parameter ( sqlf_rc_syscsum         = -5050 )

* invalid db configuration file
       integer*2   sqlf_rc_dbcsum
       parameter ( sqlf_rc_dbcsum          = -5055 )

* invalid token parameter
       integer*2   sqlf_rc_invtkn
       parameter ( sqlf_rc_invtkn          = -5060 )

* invalid ptr to sqlfupd
       integer*2   sqlf_rc_invtkn_struct
       parameter ( sqlf_rc_invtkn_struct   = -5061 )

* invalid token ptr value
       integer*2   sqlf_rc_invtkn_ptr
       parameter ( sqlf_rc_invtkn_ptr      = -5062 )

* warning - truncated result due to obsolete db cfg token
       integer*2   sqlf_rc_old_db_cfg_tkn_trunc
       parameter ( sqlf_rc_old_db_cfg_tkn_trunc = 5066 )

* invalid count parameter
       integer*2   sqlf_rc_cntinv
       parameter ( sqlf_rc_cntinv          = -5070 )

* invalid new log path
       integer*2   sqlf_rc_invnewlogp
       parameter ( sqlf_rc_invnewlogp      = -5099 )


* invalid bit value - must be 0 or 1
       integer*2   sqlf_rc_inv_bit_value
       parameter ( sqlf_rc_inv_bit_value   = -5112 )


* invalid DB configuration details
       integer*2   sqlf_rc_invdets
       parameter ( sqlf_rc_invdets         = -5121 )

* database is copy protected
       integer*2   sqlf_rc_protect
       parameter ( sqlf_rc_protect         = -5122 )

* I/O Error with log header
       integer*2   sqlf_rc_logio
       parameter ( sqlf_rc_logio           = -5123 )

* invalid db2 config file entry
       integer*2   sqlf_rc_inv_dbment
       parameter ( sqlf_rc_inv_dbment      = -5126 )

* integer out of range
       integer*2   sqlf_rc_inv_range
       parameter ( sqlf_rc_inv_range       = -5130 )

* integer out of range (-1)
       integer*2   sqlf_rc_inv_range_2
       parameter ( sqlf_rc_inv_range_2     = -5131 )

* string null or too long
       integer*2   sqlf_rc_inv_string
       parameter ( sqlf_rc_inv_string      = -5132 )

* char/int not in set
       integer*2   sqlf_rc_inv_set
       parameter ( sqlf_rc_inv_set         = -5133 )

* tpname not valid
       integer*2   sqlf_rc_invtpname
       parameter ( sqlf_rc_invtpname       = -5134 )

* dftdbpath not valid
       integer*2   sqlf_rc_inv_dbpath
       parameter ( sqlf_rc_inv_dbpath      = -5136 )

* diagpath not valid
       integer*2   sqlf_rc_inv_diagpath
       parameter ( sqlf_rc_inv_diagpath    = -5137 )

* invalid agent priority
       integer*2   sqlf_rc_inv_agentpri
       parameter ( sqlf_rc_inv_agentpri    = -5131 )

* out of range - value too small
       integer*2   sqlf_rc_inv_range_too_small
       parameter ( sqlf_rc_inv_range_too_small = -5150 )

* out of range - value too small (-1 is allowed)
       integer*2   sqlf_rc_inv_range_too_small_2
       parameter ( sqlf_rc_inv_range_too_small_2 = -5151 )

* out of range - value too large
       integer*2   sqlf_rc_inv_range_too_big
       parameter ( sqlf_rc_inv_range_too_big = -5152 )

* out of range - condition violated
       integer*2   sqlf_rc_inv_range_condition
       parameter ( sqlf_rc_inv_range_condition = -5153 )

* authentication must be CLIENT for trust_allcnts = NO or trust_clntauth =
* SERVER
       integer*2   sqlf_rc_inv_auth_trust
       parameter ( sqlf_rc_inv_auth_trust  = -5154 )

* sortheap performance warning
       integer*2   sqlf_rc_sortheap_perf
       parameter ( sqlf_rc_sortheap_perf   = 5155 )


* Data Redistribution Return Codes
* nodegroup name is undefined
       integer*2   sqlut_ngname_undef
       parameter ( sqlut_ngname_undef      = -204 )

* node is a duplicate node
       integer*2   sqlut_node_dup
       parameter ( sqlut_node_dup          = -265 )

* node is undefined
       integer*2   sqlut_node_undef
       parameter ( sqlut_node_undef        = -266 )

* max no. of part. map reached
       integer*2   sqlut_over_max_partno
       parameter ( sqlut_over_max_partno   = -269 )

* redist undefined for sys obj.
       integer*2   sqlut_redist_undef
       parameter ( sqlut_redist_undef      = -607 )

* insufficient authority
       integer*2   sqlut_insauth
       parameter ( sqlut_insauth           = -1092 )

* file or dir access denied
       integer*2   sqlut_access_denied
       parameter ( sqlut_access_denied     = -1326 )

* for tablespaces on a node
       integer*2   sqlut_no_containers
       parameter ( sqlut_no_containers     = -1755 )

* invalid authorizations -2018
       integer*2   sqlut_invalid_auths
       parameter ( sqlut_invalid_auths     = -2018 )

* parm to utility incorrect -2032
       integer*2   sqlut_invalid_parm
       parameter ( sqlut_invalid_parm      = -2032 )

* addr of parm incorrect -2034
       integer*2   sqlut_invalid_parm_address
       parameter ( sqlut_invalid_parm_address = -2034 )

* function interruption -3005
       integer*2   sqlut_cbi
       parameter ( sqlut_cbi               = -3005 )

* redist failed - no part key
       integer*2   sqlut_redist_no_partkey
       parameter ( sqlut_redist_no_partkey = -6047 )

* error found in the input file
       integer*2   sqlut_err_in_file
       parameter ( sqlut_err_in_file       = -6053 )

* redistribution not performed
       integer*2   sqlut_rc_redist_err
       parameter ( sqlut_rc_redist_err     = -6056 )

* Log Extent file size changed
       integer*2   sqlu_diff_log_size
       parameter ( sqlu_diff_log_size      = -6063 )

* error during data redistbution
       integer*2   sqlut_error_redist
       parameter ( sqlut_error_redist      = -6064 )

* error writing output file
       integer*2   sqlut_wrt_out_file
       parameter ( sqlut_wrt_out_file      = -6065 )

* Load Header Return Codes
* Invalid partition map
       integer*2   sqlu_partitionmap
       parameter ( sqlu_partitionmap       = -6100 )

* Invalid node number
       integer*2   sqlu_node_number
       parameter ( sqlu_node_number        = -6101 )

* Parameter reserved for future
       integer*2   sqlu_future_parm
       parameter ( sqlu_future_parm        = -6102 )

* Unexpected load system error
       integer*2   sqlu_load_syserr
       parameter ( sqlu_load_syserr        = -6103 )

* Load does not support indices
       integer*2   sqlu_no_indices
       parameter ( sqlu_no_indices         = -6104 )

* Load complete - backup NOW !
       integer*2   sqlu_load_complete
       parameter ( sqlu_load_complete      = -6105 )

* Invalid use of NOHEADER
       integer*2   sqlu_noheader
       parameter ( sqlu_noheader           = -6106 )

* Invalid partitioning key
       integer*2   sqlu_partition_key
       parameter ( sqlu_partition_key      = -6107 )

* Wrong number of partition keys
       integer*2   sqlu_partition_key_num
       parameter ( sqlu_partition_key_num  = -6108 )

* Unexpected partitioning key
       integer*2   sqlu_partition_key_name
       parameter ( sqlu_partition_key_name = -6109 )

* Unexpected partition key type
       integer*2   sqlu_partition_key_type
       parameter ( sqlu_partition_key_type = -6110 )

* Repository for obsolete Return Codes

* wrote wrong # of bytes
       integer*2   sqlu_write_error
       parameter ( sqlu_write_error        = -2006 )

* error in Start Using
       integer*2   sqlu_connect_error
       parameter ( sqlu_connect_error      = -2010 )

* error in ints
       integer*2   sqlu_int_error
       parameter ( sqlu_int_error          = -2012 )

* ADSM reported error
       integer*2   sqlu_adsm_error
       parameter ( sqlu_adsm_error         = -2033 )

* unable to load ADSM
       integer*2   sqlu_load_adsm_error
       parameter ( sqlu_load_adsm_error    = -2037 )

* media header not present
       integer*2   sqlud_no_mheader_error
       parameter ( sqlud_no_mheader_error  = -2531 )

* media header missing
       integer*2   sqlud_no_mheader_warning
       parameter ( sqlud_no_mheader_warning = 2534 )

* another tape mount required
       integer*2   sqlud_next_tape_warning
       parameter ( sqlud_next_tape_warning = 2535 )

* waiting for TSM server to access data on removable media
       integer*2   sqlud_tsm_mount_wait
       parameter ( sqlud_tsm_mount_wait    = 2545 )

* waiting for ADSM server to access data on removable media
       integer*2   sqlud_adsm_mount_wait
       parameter ( sqlud_adsm_mount_wait   = 2545 )


*******************************************************************************
*  Configuration parameter obsolete return codes defines -  
*  Some configuration parameters had specific out of range return
*  codes; these have been replaced by generic out of range messages
*  In these cases the old token names for the specific return codes
*  are given, but the values are replaced by the new values returned 
*  when out of range.
********************************************************************************

* only SYSADM can changedatabase configuration file
       integer*2   sqlf_rc_dbauth
       parameter ( sqlf_rc_dbauth          = -5002 )

* invalid # of concurrent db
       integer*2   sqlf_rc_invndb
       parameter ( sqlf_rc_invndb          = -5130 )

* invalid req I/O blk size
       integer*2   sqlf_rc_invrio
       parameter ( sqlf_rc_invrio          = -5130 )

* invalid serv I/O blk size
       integer*2   sqlf_rc_invsio
       parameter ( sqlf_rc_invsio          = -5015 )

* invalid communications heap
       integer*2   sqlf_rc_invcheap
       parameter ( sqlf_rc_invcheap        = -5016 )

* invalid remote services heap
       integer*2   sqlf_rc_invrsheap
       parameter ( sqlf_rc_invrsheap       = -5017 )

* invalid sort heap threshold
       integer*2   sqlf_rc_invshpthr
       parameter ( sqlf_rc_invshpthr       = -5130 )

* invalid DB2COMM value
       integer*2   sqlcc_rc_bad_db2comm
       parameter ( sqlcc_rc_bad_db2comm    = -5036 )

* service name not definein db2 config file
       integer*2   sqlcc_rc_no_serv_in_dbmcfg
       parameter ( sqlcc_rc_no_serv_in_dbmcfg = -5037 )

* service name not found in/etc/services file
       integer*2   sqlcc_rc_serv_not_found
       parameter ( sqlcc_rc_serv_not_found = -5038 )

* interrupt port not found in/etc/services file
       integer*2   sqlcc_rc_int_port_not_found
       parameter ( sqlcc_rc_int_port_not_found = -5039 )

* trans program name not definedin db2 configuration file
       integer*2   sqlcc_rc_no_tpn_in_dbmcfg
       parameter ( sqlcc_rc_no_tpn_in_dbmcfg = -5041 )

* invalid # of locklist
       integer*2   sqlf_rc_invnll
       parameter ( sqlf_rc_invnll          = -5130 )

* invalid # bufr pool pages
       integer*2   sqlf_rc_invnbp
       parameter ( sqlf_rc_invnbp          = -5130 )

* invalid # of DB files open
       integer*2   sqlf_rc_invndbf
       parameter ( sqlf_rc_invndbf         = -5130 )

* invalid soft check point value
       integer*2   sqlf_rc_invscp_db2os2
       parameter ( sqlf_rc_invscp_db2os2   = -5130 )

* invalid soft check point value
       integer*2   sqlf_rc_invscp_db2aix
       parameter ( sqlf_rc_invscp_db2aix   = -5130 )

* invalid soft check point value
       integer*2   sqlf_rc_invscp
       parameter ( sqlf_rc_invscp          = -5130 )

* invalid # of active appls
       integer*2   sqlf_rc_invnap
       parameter ( sqlf_rc_invnap          = -5130 )

* invalid application heapsz
       integer*2   sqlf_rc_invahp
       parameter ( sqlf_rc_invahp          = -5130 )

* invalid database heap size
       integer*2   sqlf_rc_invdhp
       parameter ( sqlf_rc_invdhp          = -5130 )

* invalid deadlock detection
       integer*2   sqlf_rc_invdlt
       parameter ( sqlf_rc_invdlt          = -5130 )

* invalid # of total files openper application
       integer*2   sqlf_rc_invtaf
       parameter ( sqlf_rc_invtaf          = -5130 )

* invalid sortlist heap
       integer*2   sqlf_rc_invshp
       parameter ( sqlf_rc_invshp          = -5130 )

* invalid maxlocks per application
       integer*2   sqlf_rc_invmal
       parameter ( sqlf_rc_invmal          = -5130 )

* invalid statement heap
       integer*2   sqlf_rc_invstmhp
       parameter ( sqlf_rc_invstmhp        = -5130 )

* invalid number primary log files
       integer*2   sqlf_rc_invlogprim
       parameter ( sqlf_rc_invlogprim      = -5130 )

* invalid number of secondary log files
       integer*2   sqlf_rc_invlog2nd
       parameter ( sqlf_rc_invlog2nd       = -5130 )

* invalid log file size
       integer*2   sqlf_rc_invlogfsz
       parameter ( sqlf_rc_invlogfsz       = -5130 )

* incompatible file open parmeter
       integer*2   sqlf_rc_invdb2
       parameter ( sqlf_rc_invdb2          = -5102 )

* no DB's / requestor only
       integer*2   sqlf_rc_invk2
       parameter ( sqlf_rc_invk2           = -5104 )

* standalone nodetype does notsupport nodename
       integer*2   sqlf_rc_invk3
       parameter ( sqlf_rc_invk3           = -5126 )

* remote workstation has alreadybeen configured
       integer*2   sqlf_rc_rws_exist
       parameter ( sqlf_rc_rws_exist       = -5106 )

* <authid> does not haveauthority to add or drop a remote workstation
       integer*2   sqlf_rc_rws_sysadm
       parameter ( sqlf_rc_rws_sysadm      = -5107 )

* remote workstation has notbeen previously setup using sqlarws
       integer*2   sqlf_rc_rws_not_exist
       parameter ( sqlf_rc_rws_not_exist   = -5108 )

* machine name is missing ors too long.
       integer*2   sqlf_rc_rws_machinename
       parameter ( sqlf_rc_rws_machinename = -5109 )

* configuration option is invalid
       integer*2   sqlf_rc_rws_inv_opt
       parameter ( sqlf_rc_rws_inv_opt     = -5110 )

* environment variableDB2WKSTPROF is not defined
       integer*2   sqlf_rc_env_var_notdef
       parameter ( sqlf_rc_env_var_notdef  = -5111 )

* incompatible buffer pool and maximum # of applications
       integer*2   sqlf_rc_invdb3
       parameter ( sqlf_rc_invdb3          = -5146 )

* invalid QUERY_HEAP_SZ
       integer*2   sqlf_rc_inv_query_heap_sz
       parameter ( sqlf_rc_inv_query_heap_sz = -5143 )

* out of range - limited by a parm
       integer*2   sqlf_rc_inv_range_3
       parameter ( sqlf_rc_inv_range_3     = -5144 )

* out of range - maximum limited by an expression
       integer*2   sqlf_rc_inv_range_max_expr
       parameter ( sqlf_rc_inv_range_max_expr = -5144 )

* out of range - maximum limited by an expression (range includes -1)
       integer*2   sqlf_rc_inv_range_max_expr_2
       parameter ( sqlf_rc_inv_range_max_expr_2 = -5145 )

* out of range - minimum limited by an expression
       integer*2   sqlf_rc_inv_range_min_expr
       parameter ( sqlf_rc_inv_range_min_expr = -5146 )

* out of range - minimum limited by an expression (range includes -1)
       integer*2   sqlf_rc_inv_range_min_expr_2
       parameter ( sqlf_rc_inv_range_min_expr_2 = -5147 )

* not current db2 configuration
       integer*2   sqlf_rc_kcon
       parameter ( sqlf_rc_kcon            = -5025 )

* invalid initial log size
       integer*2   sqlf_rc_invilf
       parameter ( sqlf_rc_invilf          = -5083 )

* invalid logfile extention
       integer*2   sqlf_rc_invlfe
       parameter ( sqlf_rc_invlfe          = -5091 )

* invalid # of log extention
       integer*2   sqlf_rc_invnle
       parameter ( sqlf_rc_invnle          = -5092 )

* incompatible logfile parameter
       integer*2   sqlf_rc_invdb1
       parameter ( sqlf_rc_invdb1          = -5101 )

* both R1 & R3 Log parameters may not be modified
       integer*2   sqlf_rc_lf_1_3
       parameter ( sqlf_rc_lf_1_3          = -5120 )

* maxappls*maxlocks too low
       integer*2   sqlf_rc_low_appls_and_locks
       parameter ( sqlf_rc_low_appls_and_locks = -5135 )

* To many items on update or get
       integer*2   sqlf_rc_max_items_exceeded
       parameter ( sqlf_rc_max_items_exceeded = -5139 )

* invalid AVG_APPLS
       integer*2   sqlf_rc_inv_avg_appls
       parameter ( sqlf_rc_inv_avg_appls   = -5141 )

* invalid system flag
       integer*2   sqlf_rc_invsysidx
       parameter ( sqlf_rc_invsysidx       = -5021 )

* invalid database flag
       integer*2   sqlf_rc_invdbidx
       parameter ( sqlf_rc_invdbidx        = -5022 )

* invalid sysadm_group
       integer*2   sqlf_rc_invsysadm
       parameter ( sqlf_rc_invsysadm       = -5028 )

* invalid node type
       integer*2   sqlf_rc_invnt
       parameter ( sqlf_rc_invnt           = -5065 )

* interrupt received
       integer*2   sqlf_rc_cntbrk
       parameter ( sqlf_rc_cntbrk          = -5075 )

* invalid authentication
       integer*2   sqlf_rc_inv_authentication
       parameter ( sqlf_rc_inv_authentication = -5140 )

* invalid trust_allclnts
       integer*2   sqlf_rc_inv_trust_allclnts
       parameter ( sqlf_rc_inv_trust_allclnts = -5156 )

* db2atld restartcount warning
       integer*2   sqlu_atld_restartcount_warn
       parameter ( sqlu_atld_restartcount_warn = 6500 )

* db2atld savecount error
       integer*2   sqlu_atld_savecount_error
       parameter ( sqlu_atld_savecount_error = -6532 )

* db2atld restartcount error
       integer*2   sqlu_atld_restartcount_error
       parameter ( sqlu_atld_restartcount_error = -6533 )

* db2atld does not need splitting
       integer*2   sqlu_atld_split_not_needed
       parameter ( sqlu_atld_split_not_needed = -6535 )

* db2atld unable to open pmap
       integer*2   sqlu_pmap_open_err
       parameter ( sqlu_pmap_open_err      = -6550 )

* db2atld failed to write pmap
       integer*2   sqlu_pmap_write_err
       parameter ( sqlu_pmap_write_err     = -6551 )

* db2atld failed to open temp file
       integer*2   sqlu_tempcfg_open_err
       parameter ( sqlu_tempcfg_open_err   = -6552 )

* db2atld failed to write to tmp file
       integer*2   sqlu_tempcfg_write_err
       parameter ( sqlu_tempcfg_write_err  = -6553 )

* db2atld failed to spawn remote child
       integer*2   sqlu_rexec_err
       parameter ( sqlu_rexec_err          = -6554 )

* db2atld comm error
       integer*2   sqlu_atld_comm_err
       parameter ( sqlu_atld_comm_err      = -6555 )

* db2atld partial record found
       integer*2   sqlu_atld_partial_rec
       parameter ( sqlu_atld_partial_rec   = 6556 )

* db2atld failed to get default node
       integer*2   sqlu_get_default_node_err
       parameter ( sqlu_get_default_node_err = -6557 )

* db2atld unable to get cur working dir
       integer*2   sqlu_get_curdir_err
       parameter ( sqlu_get_curdir_err     = -6558 )

* db2atld incorrect usage
       integer*2   sqlu_atld_bad_clp_err
       parameter ( sqlu_atld_bad_clp_err   = -6559 )

* db2atld split node incorrect
       integer*2   sqlu_bad_split_node
       parameter ( sqlu_bad_split_node     = -6560 )

* db2atld invalid load node
       integer*2   sqlu_bad_load_node
       parameter ( sqlu_bad_load_node      = -6561 )

* db2atld failed to get instance
       integer*2   sqlu_get_instance_err
       parameter ( sqlu_get_instance_err   = -6562 )

* db2atld failed to get cur UID
       integer*2   sqlu_get_uid_err
       parameter ( sqlu_get_uid_err        = -6563 )

* db2atld invalid password
       integer*2   sqlu_bad_password
       parameter ( sqlu_bad_password       = -6564 )

* db2atld help msg
       integer*2   sqlu_atld_help
       parameter ( sqlu_atld_help          = 6565 )

* db2atld load command not specified
       integer*2   sqlu_missing_load_command
       parameter ( sqlu_missing_load_command = -6566 )

* db2atld option specified twice
       integer*2   sqlu_atld_dup_option
       parameter ( sqlu_atld_dup_option    = -6567 )

* db2atld starting all the load jobs
       integer*2   sqlu_starting_all_loads
       parameter ( sqlu_starting_all_loads = 6568 )

* db2atld starting all the splitters
       integer*2   sqlu_starting_all_splitters
       parameter ( sqlu_starting_all_splitters = 6569 )

* db2atld waiting for splitters to finish
       integer*2   sqlu_waiting_for_splitters
       parameter ( sqlu_waiting_for_splitters = 6570 )

* db2atld waiting for load to complete
       integer*2   sqlu_waiting_for_loads
       parameter ( sqlu_waiting_for_loads  = 6571 )

* db2atld load has started
       integer*2   sqlu_load_started
       parameter ( sqlu_load_started       = 6572 )

* db2atld splitters has finished
       integer*2   sqlu_split_result
       parameter ( sqlu_split_result       = 6573 )

* db2atld Bytes read thus far
       integer*2   sqlu_data_read_status
       parameter ( sqlu_data_read_status   = 6574 )

* db2atld total size of data read
       integer*2   sqlu_total_data_read
       parameter ( sqlu_total_data_read    = 6575 )

* db2atld threading error
       integer*2   sqlu_thread_err
       parameter ( sqlu_thread_err         = -6576 )

* db2atld does not support rowcount
       integer*2   sqlu_atld_rowcount_error
       parameter ( sqlu_atld_rowcount_error = -6577 )

* db2atld can't open /dev/null
       integer*2   sqlu_atld_wrt_null_dev_err
       parameter ( sqlu_atld_wrt_null_dev_err = -6578 )

* db2atld failed in popen
       integer*2   sqlu_atld_popen_error
       parameter ( sqlu_atld_popen_error   = -6579 )

* db2atld failed in popen
       integer*2   sqlu_atld_popen_read_error
       parameter ( sqlu_atld_popen_read_error = -6580 )

* too many splitters
       integer*2   sqlu_atld_too_many_splitters
       parameter ( sqlu_atld_too_many_splitters = -6581 )


* Flush Table API Return Codes
* Table not at this node
       integer*2   sqluf_table_not_at_node
       parameter ( sqluf_table_not_at_node = -6024 )


* sqlugrpi, sqlugrpn, and sqlugtpi return codes
* Invalid authid
       integer*2   sqlug_invalid_authid
       parameter ( sqlug_invalid_authid    = -2300 )

* invalid table
       integer*2   sqlug_invalid_table_name
       parameter ( sqlug_invalid_table_name = -2301 )

* Interrupt
       integer*2   sqlug_cbi
       parameter ( sqlug_cbi               = -3005 )

* Table not exist
       integer*2   sqlug_table_not_found
       parameter ( sqlug_table_not_found   = -2211 )

* Insufficient authorization
       integer*2   sqlug_rc_insauth
       parameter ( sqlug_rc_insauth        = -6023 )

* No partitioning key
       integer*2   sqlug_null_partkey
       parameter ( sqlug_null_partkey      = -6038 )

* Nulls not allowed
       integer*2   sqlug_null_notallowed
       parameter ( sqlug_null_notallowed   = -6039 )

* decimal format conflict
       integer*2   sqlug_decimal_format_conflict
       parameter ( sqlug_decimal_format_conflict = -2755 )

* Invalid syntax
       integer*2   sqlug_invalid_syntax
       parameter ( sqlug_invalid_syntax    = -6044 )

* Invalid datatype
       integer*2   sqlug_invalid_datatype
       parameter ( sqlug_invalid_datatype  = -6045 )

* Invalid dynamic query mgmt flag
       integer*2   sqlf_rc_invalid_dynquerymgmt
       parameter ( sqlf_rc_invalid_dynquerymgmt = -29000 )


* obsolete database manager configuration parameter tokens
       integer*2   sqlf_ktn_svrioblk
       parameter ( sqlf_ktn_svrioblk       = 3 )

       integer*2   sqlf_ktn_sqlenseg
       parameter ( sqlf_ktn_sqlenseg       = 5 )

       integer*2   sqlf_ktn_comheapsz
       parameter ( sqlf_ktn_comheapsz      = 8 )

       integer*2   sqlf_ktn_rsheapsz
       parameter ( sqlf_ktn_rsheapsz       = 9 )

       integer*2   sqlf_ktn_numrc
       parameter ( sqlf_ktn_numrc          = 10 )

       integer*2   sqlf_ktn_cuinterval
       parameter ( sqlf_ktn_cuinterval     = 14 )

       integer*2   sqlf_ktn_sqlstmtsz
       parameter ( sqlf_ktn_sqlstmtsz      = 17 )

       integer*2   sqlf_ktn_comheapsz_p
       parameter ( sqlf_ktn_comheapsz_p    = 50 )

       integer*2   sqlf_ktn_rsheapsz_p
       parameter ( sqlf_ktn_rsheapsz_p     = 51 )

       integer*2   sqlf_ktn_ipx_fileserver
       parameter ( sqlf_ktn_ipx_fileserver = 47 )

       integer*2   sqlf_ktn_ipx_objectname
       parameter ( sqlf_ktn_ipx_objectname = 48 )

       integer*2   sqlf_ktn_adsm_password
       parameter ( sqlf_ktn_adsm_password  = 93 )

       integer*2   sqlf_ktn_adsm_nodename
       parameter ( sqlf_ktn_adsm_nodename  = 94 )

       integer*2   sqlf_ktn_adsm_owner
       parameter ( sqlf_ktn_adsm_owner     = 95 )

       integer*2   sqlf_ktn_max_idleagents
       parameter ( sqlf_ktn_max_idleagents = 60 )


* obsolete database configuration parameter tokens
       integer*2   sqlf_dbtn_logfile
       parameter ( sqlf_dbtn_logfile       = 4 )

       integer*2   sqlf_dbtn_maxtotfilop
       parameter ( sqlf_dbtn_maxtotfilop   = 10 )

       integer*2   sqlf_dbtn_logext
       parameter ( sqlf_dbtn_logext        = 12 )

       integer*2   sqlf_dbtn_logmaxext
       parameter ( sqlf_dbtn_logmaxext     = 13 )

       integer*2   sqlf_dbtn_agentheap
       parameter ( sqlf_dbtn_agentheap     = 14 )

       integer*2   sqlf_dbtn_segpages
       parameter ( sqlf_dbtn_segpages      = 123 )

       integer*2   sqlf_dbtn_buffpage
       parameter ( sqlf_dbtn_buffpage      = 2 )

       integer*2   sqlf_dbtn_sortheap
       parameter ( sqlf_dbtn_sortheap      = 91 )

       integer*2   sqlf_dbtn_sortheapsz_p
       parameter ( sqlf_dbtn_sortheapsz_p  = 52 )

       integer*2   sqlf_dbtn_dbheap
       parameter ( sqlf_dbtn_dbheap        = 50 )

       integer*2   sqlf_dbtn_dbheap_p
       parameter ( sqlf_dbtn_dbheap_p      = 50 )

       integer*2   sqlf_dbtn_applheapsz_p
       parameter ( sqlf_dbtn_applheapsz_p  = 51 )

       integer*2   sqlf_dbtn_stmtheapsz_p
       parameter ( sqlf_dbtn_stmtheapsz_p  = 53 )

       integer*2   sqlf_dbtn_logfilsiz
       parameter ( sqlf_dbtn_logfilsiz     = 18 )

       integer*2   sqlf_dbtn_multipgal
       parameter ( sqlf_dbtn_multipgal     = 504 )

       integer*2   sqlf_dbtn_adsm_passwd
       parameter ( sqlf_dbtn_adsm_passwd   = 501 )

       integer*2   sqlf_dbtn_nextactive
       parameter ( sqlf_dbtn_nextactive    = 107 )

       integer*2   sqlf_dbtn_dl_num_backup
       parameter ( sqlf_dbtn_dl_num_backup = 352 )

       integer*2   sqlf_dbtn_dets
       parameter ( sqlf_dbtn_dets          = 21 )

       integer*2   sqlf_dbtn_intflags
       parameter ( sqlf_dbtn_intflags      = 104 )

       integer*2   sqlf_dbtn_adsm_password
       parameter ( sqlf_dbtn_adsm_password = 501 )

       integer*2   sqlf_dbtn_adsm_owner
       parameter ( sqlf_dbtn_adsm_owner    = 305 )

       integer*2   sqlf_dbtn_adsm_nodename
       parameter ( sqlf_dbtn_adsm_nodename = 306 )

       integer*2   sqlf_dbtn_adsm_mgmtclass
       parameter ( sqlf_dbtn_adsm_mgmtclass = 307 )

       integer*2   sqlf_dbtn_locklist
       parameter ( sqlf_dbtn_locklist      = 1 )



* obsolete config parm assorted defines
* Default maxcagents
       integer*2   sqlfdmca
       parameter ( sqlfdmca                = -1 )

* Default maxdari
       integer*2   sqlfdmxd
       parameter ( sqlfdmxd                = -1 )

* Default agentpri
       integer*2   sqlfdapr
       parameter ( sqlfdapr                = -1 )

* keepdari - no
       integer*2   sqlfmkpd
       parameter ( sqlfmkpd                = 0 )

* keepdari - yes
       integer*2   sqlfxkpd
       parameter ( sqlfxkpd                = 1 )


* obsolete defines for SQLF_DBTN_DETS
* xxxx xxxx xxxx xxx0
       integer*2   sqlf_copy_noprot
       parameter ( sqlf_copy_noprot        = '0'x )

* xxxx xxxx xxxx xxx1
       integer*2   sqlf_copy_protect
       parameter ( sqlf_copy_protect       = '1'x )

* xxxx xxxx xxxx xx1x
       integer*2   sqlf_enable_log_retain
       parameter ( sqlf_enable_log_retain  = '2'x )

* xxxx xxxx xxxx x1xx
       integer*2   sqlf_enable_user_exit
       parameter ( sqlf_enable_user_exit   = '4'x )

* xxxx xxxx xxxx 1xxx
       integer*2   sqlf_enable_auto_restart
       parameter ( sqlf_enable_auto_restart = '8'x )

* xxxx xxxx xxx1 xxxx
       integer*2   sqlf_enable_logretain_capture
       parameter ( sqlf_enable_logretain_capture = '10'x )

* xxxx xxxx xx1x xxxx
       integer*2   sqlf_enable_trackmod
       parameter ( sqlf_enable_trackmod    = '20'x )


* obsolete defines for SQLF_DBTN_INTFLAGS
* xxxx xxxx xxxx xxx1
       integer*2   sqlf_consistent
       parameter ( sqlf_consistent         = '1'x )

* xxxx xxxx xxxx x1xx
       integer*2   sqlf_backup_pending
       parameter ( sqlf_backup_pending     = '4'x )

* xxxx xxxx xxxx 1xxx
       integer*2   sqlf_rollfwd_pending
       parameter ( sqlf_rollfwd_pending    = '8'x )

* xxxx xxxx xxx1 xxxx
       integer*2   sqlf_log_retain
       parameter ( sqlf_log_retain         = '10'x )

* xxxx xxxx xx1x xxxx
       integer*2   sqlf_user_exit
       parameter ( sqlf_user_exit          = '20'x )

* xxxx xxxx x1xx xxxx
       integer*2   sqlf_tbs_rollfwd
       parameter ( sqlf_tbs_rollfwd        = '40'x )

* xxxx xxxx 1xxx xxxx
       integer*2   sqlf_restore_pending
       parameter ( sqlf_restore_pending    = '80'x )


* Obsolete media types
* ADSM
       character*1   sqlu_adsm_media
       parameter (   sqlu_adsm_media       = 'A' )



* Repository for obsolete prototypes

* Update Database Configuration
       integer*4    sqlgeudb
       external     sqlgeudb


* Reset Database Configuration
       integer*4    sqlgrdbc
       external     sqlgrdbc


* Return Database Configuration
       integer*4    sqlgxdbc
       external     sqlgxdbc


*******************************************************************************
*  
*  The following functions and symbols are obsolete and may not be supported
*  in future releases. The obsolete functions are provided for backward compatibility
*  and exported from DB2API.LIB. All applications should be migrated to use new APIs.
*  Note: Some of the function parameters may be NO-OP.
*  
********************************************************************************
* Provide info about a tableSpace in a database
       integer*2   sqlb_tbsq_d_struct_sz
       parameter ( sqlb_tbsq_d_struct_sz   = 176 )

* internal id for the pool
       integer*2   sqlb_tbsq_d_id_sz
       parameter ( sqlb_tbsq_d_id_sz       = 4 )

       integer*2   sqlb_tbsq_d_id_ofs
       parameter ( sqlb_tbsq_d_id_ofs      = 1 )

* length of the name (for cobol & other nonC lang.)
       integer*2   sqlb_tbsq_d_namelen_sz
       parameter ( sqlb_tbsq_d_namelen_sz  = 4 )

       integer*2   sqlb_tbsq_d_namelen_ofs
       parameter ( sqlb_tbsq_d_namelen_ofs = 5 )

* NUL terminated name
       integer*2   sqlb_tbsq_d_name_sz
       parameter ( sqlb_tbsq_d_name_sz     = 128 )

       integer*2   sqlb_tbsq_d_name_ofs
       parameter ( sqlb_tbsq_d_name_ofs    = 9 )

* DMS : Pages specified by CREATE TABLESPACE.
* SMS : N/A
       integer*2   sqlb_tbsq_d_totalpages_sz
       parameter ( sqlb_tbsq_d_totalpages_sz = 4 )

       integer*2   sqlb_tbsq_d_totalpages_ofs
       parameter ( sqlb_tbsq_d_totalpages_ofs = 137 )

* DMS : totalPages - overhead
* SMS : N/A
       integer*2   sqlb_tbsq_d_useablepages_sz
       parameter ( sqlb_tbsq_d_useablepages_sz = 4 )

       integer*2   sqlb_tbsq_d_useablepages_ofs
       parameter ( sqlb_tbsq_d_useablepages_ofs = 141 )

* bit attributes for the pool -- includes 'class' & other stuff to be
* defined
       integer*2   sqlb_tbsq_d_flags_sz
       parameter ( sqlb_tbsq_d_flags_sz    = 4 )

       integer*2   sqlb_tbsq_d_flags_ofs
       parameter ( sqlb_tbsq_d_flags_ofs   = 145 )

* pagesize of tablespace (in bytes) .. one of 4K, 8K, 16K, or 32K
       integer*2   sqlb_tbsq_d_pagesize_sz
       parameter ( sqlb_tbsq_d_pagesize_sz = 4 )

       integer*2   sqlb_tbsq_d_pagesize_ofs
       parameter ( sqlb_tbsq_d_pagesize_ofs = 149 )

* extent size (in pages)
       integer*2   sqlb_tbsq_d_extsize_sz
       parameter ( sqlb_tbsq_d_extsize_sz  = 4 )

       integer*2   sqlb_tbsq_d_extsize_ofs
       parameter ( sqlb_tbsq_d_extsize_ofs = 153 )

* prefetch size
       integer*2   sqlb_tbsq_d_prefetchsize_sz
       parameter ( sqlb_tbsq_d_prefetchsize_sz = 4 )

       integer*2   sqlb_tbsq_d_prefetchsize_ofs
       parameter ( sqlb_tbsq_d_prefetchsize_ofs = 157 )

* number of containers
       integer*2   sqlb_tbsq_d_ncontainers_sz
       parameter ( sqlb_tbsq_d_ncontainers_sz = 4 )

       integer*2   sqlb_tbsq_d_ncontainers_ofs
       parameter ( sqlb_tbsq_d_ncontainers_ofs = 161 )

* SQLB_NORMAL, SQLB_LOAD_PENDING, etc.
       integer*2   sqlb_tbsq_d_tbsstate_sz
       parameter ( sqlb_tbsq_d_tbsstate_sz = 4 )

       integer*2   sqlb_tbsq_d_tbsstate_ofs
       parameter ( sqlb_tbsq_d_tbsstate_ofs = 165 )

* 'timestamp' identifying the origin of the tbs
       integer*2   sqlb_tbsq_d_lifelsn_sz
       parameter ( sqlb_tbsq_d_lifelsn_sz  = 6 )

       integer*2   sqlb_tbsq_d_lifelsn_ofs
       parameter ( sqlb_tbsq_d_lifelsn_ofs = 169 )

* for alignment
       integer*2   sqlb_tbsq_d_pad_sz
       parameter ( sqlb_tbsq_d_pad_sz      = 2 )

       integer*2   sqlb_tbsq_d_pad_ofs
       parameter ( sqlb_tbsq_d_pad_ofs     = 175 )


* Single TableSpace Query
       integer*4    sqlgstsq
       external     sqlgstsq


* Fetch TableSpace Query
       integer*4    sqlgftsq
       external     sqlgftsq


* TableSpace Query
       integer*4    sqlgtsq
       external     sqlgtsq


* No action at all
       integer*2   db2_db_suspend_none
       parameter ( db2_db_suspend_none     = 0 )

* Set write suspend for database
       integer*2   db2_db_suspend_write
       parameter ( db2_db_suspend_write    = 1 )

* Set write resume for database
       integer*2   db2_db_resume_write
       parameter ( db2_db_resume_write     = 2 )

* Set write suspend for tablespaces
       integer*2   db2_ts_suspend_write
       parameter ( db2_ts_suspend_write    = 10 )

* Set write resume for tablespaces
       integer*2   db2_ts_resume_write
       parameter ( db2_ts_resume_write     = 20 )

* invalid into in tcolstrg
       integer*2   slqui_tinto
       parameter ( slqui_tinto             = -3034 )

*******************************************************************************
*  
*  End of obsolete functions and symbols
*  
********************************************************************************
